CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_company` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`causesrisks` TEXT NOT NULL DEFAULT '',
	`country` INT(11) NOT NULL DEFAULT '0',
	`datayear` CHAR(64) NOT NULL DEFAULT '',
	`department` TINYINT(1) NOT NULL DEFAULT '0',
	`email` VARCHAR(255) NOT NULL DEFAULT '',
	`females` VARCHAR(255) NOT NULL DEFAULT '',
	`males` VARCHAR(255) NOT NULL DEFAULT '',
	`medical_turnovers_females` VARCHAR(255) NOT NULL DEFAULT '',
	`medical_turnovers_males` VARCHAR(255) NOT NULL DEFAULT '',
	`name` CHAR(64) NOT NULL DEFAULT '',
	`not_required` INT(1) NOT NULL DEFAULT '0',
	`per` TINYINT(1) NOT NULL DEFAULT '0',
	`percentfemale` TEXT NOT NULL DEFAULT '',
	`percentmale` TEXT NOT NULL DEFAULT '',
	`productivity_losses` VARCHAR(64) NOT NULL DEFAULT '',
	`service_provider` INT(11) NOT NULL DEFAULT '0',
	`sick_leave_females` VARCHAR(255) NOT NULL DEFAULT '',
	`sick_leave_males` VARCHAR(255) NOT NULL DEFAULT '',
	`total_healthcare` VARCHAR(255) NOT NULL DEFAULT '',
	`total_salary` VARCHAR(255) NOT NULL DEFAULT '',
	`turnover_comment` TEXT NOT NULL DEFAULT '',
	`user` INT(11) NOT NULL DEFAULT '0',
	`working_days` INT(11) NOT NULL DEFAULT '0',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`access` int(11) DEFAULT NULL,
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_name` (`name`),
	KEY `idx_user` (`user`),
	KEY `idx_country` (`country`),
	KEY `idx_service_provider` (`service_provider`),
	KEY `idx_per` (`per`),
	KEY `idx_datayear` (`datayear`),
	KEY `idx_working_days` (`working_days`),
	KEY `idx_productivity_losses` (`productivity_losses`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_service_provider` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`country` INT(11) NOT NULL DEFAULT '0',
	`publicaddress` TEXT NOT NULL DEFAULT '',
	`publicemail` VARCHAR(255) NOT NULL DEFAULT '',
	`publicname` VARCHAR(255) NOT NULL DEFAULT '',
	`publicnumber` VARCHAR(64) NOT NULL DEFAULT '',
	`testcompanies` TEXT NOT NULL DEFAULT '',
	`user` INT(11) NOT NULL DEFAULT '0',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_user` (`user`),
	KEY `idx_country` (`country`),
	KEY `idx_publicname` (`publicname`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_country` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`causesrisks` TEXT NOT NULL DEFAULT '',
	`codethree` CHAR(7) NOT NULL DEFAULT '',
	`codetwo` CHAR(7) NOT NULL DEFAULT '',
	`currency` CHAR(7) NOT NULL DEFAULT '',
	`datayear` CHAR(64) NOT NULL DEFAULT '',
	`femaledeath` TEXT NOT NULL DEFAULT '',
	`femaleyld` TEXT NOT NULL DEFAULT '',
	`healthcare` CHAR(7) NOT NULL DEFAULT '',
	`maledeath` TEXT NOT NULL DEFAULT '',
	`maleyld` TEXT NOT NULL DEFAULT '',
	`medical_turnovers` CHAR(7) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`percentfemale` TEXT NOT NULL DEFAULT '',
	`percentmale` TEXT NOT NULL DEFAULT '',
	`presenteeism` CHAR(7) NOT NULL DEFAULT '',
	`productivity_losses` CHAR(7) NOT NULL DEFAULT '',
	`publicaddress` TEXT NOT NULL DEFAULT '',
	`publicemail` VARCHAR(255) NOT NULL DEFAULT '',
	`publicname` VARCHAR(255) NOT NULL DEFAULT '',
	`publicnumber` VARCHAR(64) NOT NULL DEFAULT '',
	`sick_leave` CHAR(7) NOT NULL DEFAULT '',
	`user` INT(11) NOT NULL DEFAULT '0',
	`working_days` INT(11) NOT NULL DEFAULT '0',
	`worldzone` VARCHAR(255) NOT NULL DEFAULT '',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`access` int(11) DEFAULT NULL,
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_name` (`name`),
	KEY `idx_user` (`user`),
	KEY `idx_currency` (`currency`),
	KEY `idx_codethree` (`codethree`),
	KEY `idx_codetwo` (`codetwo`),
	KEY `idx_working_days` (`working_days`),
	KEY `idx_datayear` (`datayear`),
	KEY `idx_worldzone` (`worldzone`),
	KEY `idx_alias` (`alias`),
	KEY `idx_publicname` (`publicname`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_causerisk` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`description` TEXT NOT NULL DEFAULT '',
	`import_id` INT(11) NOT NULL DEFAULT '0',
	`importname` VARCHAR(255) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`ref` VARCHAR(64) NOT NULL DEFAULT '',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`access` int(11) DEFAULT NULL,
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_name` (`name`),
	KEY `idx_ref` (`ref`),
	KEY `idx_importname` (`importname`),
	KEY `idx_import_id` (`import_id`),
	KEY `idx_alias` (`alias`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_health_data` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`causerisk` INT(11) NOT NULL DEFAULT '0',
	`country` INT(11) NOT NULL DEFAULT '0',
	`femaledeath` TEXT NOT NULL DEFAULT '',
	`femaleyld` TEXT NOT NULL DEFAULT '',
	`maledeath` TEXT NOT NULL DEFAULT '',
	`maleyld` TEXT NOT NULL DEFAULT '',
	`year` CHAR(7) NOT NULL DEFAULT '',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`access` int(11) DEFAULT NULL,
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_causerisk` (`causerisk`),
	KEY `idx_year` (`year`),
	KEY `idx_country` (`country`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_scaling_factor` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`causerisk` INT(11) NOT NULL DEFAULT '0',
	`company` INT(11) NOT NULL DEFAULT '0',
	`country` INT(11) NOT NULL DEFAULT '0',
	`health_scaling_factor` CHAR(7) NOT NULL DEFAULT '1',
	`mortality_scaling_factor_females` CHAR(7) NOT NULL DEFAULT '1',
	`mortality_scaling_factor_males` CHAR(7) NOT NULL DEFAULT '1',
	`presenteeism_scaling_factor_females` CHAR(7) NOT NULL DEFAULT '1',
	`presenteeism_scaling_factor_males` CHAR(7) NOT NULL DEFAULT '1',
	`reference` VARCHAR(255) NOT NULL DEFAULT '',
	`yld_scaling_factor_females` CHAR(7) NOT NULL DEFAULT '1',
	`yld_scaling_factor_males` CHAR(7) NOT NULL DEFAULT '1',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_causerisk` (`causerisk`),
	KEY `idx_company` (`company`),
	KEY `idx_country` (`country`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_intervention` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`company` INT(11) NOT NULL DEFAULT '0',
	`country` INT(11) NOT NULL DEFAULT '0',
	`coverage` INT(11) NOT NULL DEFAULT '0',
	`description` TEXT NOT NULL DEFAULT '',
	`duration` INT(11) NOT NULL DEFAULT '0',
	`intervention` TEXT NOT NULL DEFAULT '',
	`interventions` VARCHAR(64) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`not_required` INT(1) NOT NULL DEFAULT '0',
	`reference` VARCHAR(255) NOT NULL DEFAULT '',
	`share` TINYINT(1) NOT NULL DEFAULT '0',
	`type` TINYINT(1) NOT NULL DEFAULT '0',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_name` (`name`),
	KEY `idx_company` (`company`),
	KEY `idx_type` (`type`),
	KEY `idx_coverage` (`coverage`),
	KEY `idx_duration` (`duration`),
	KEY `idx_share` (`share`),
	KEY `idx_country` (`country`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_currency` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`codethree` CHAR(7) NOT NULL DEFAULT '',
	`decimalplace` INT(7) NOT NULL DEFAULT '0',
	`decimalsymbol` CHAR(7) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`negativestyle` VARCHAR(255) NOT NULL DEFAULT '',
	`numericcode` INT(10) NOT NULL DEFAULT '0',
	`positivestyle` VARCHAR(255) NOT NULL DEFAULT '',
	`symbol` CHAR(11) NOT NULL DEFAULT '',
	`thousands` CHAR(7) NOT NULL DEFAULT '',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`access` int(11) DEFAULT NULL,
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	UNIQUE KEY `idx_codethree` (`codethree`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_name` (`name`),
	KEY `idx_numericcode` (`numericcode`),
	KEY `idx_alias` (`alias`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_help_document` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`admin_view` CHAR(255) NOT NULL DEFAULT '',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`article` TINYINT(1) NOT NULL DEFAULT '0',
	`content` TEXT NOT NULL DEFAULT '',
	`groups` TEXT NOT NULL DEFAULT '',
	`location` TINYINT(1) NOT NULL DEFAULT '0',
	`not_required` INT(1) NOT NULL DEFAULT '0',
	`site_view` CHAR(255) NOT NULL DEFAULT '',
	`target` TINYINT(1) NOT NULL DEFAULT '0',
	`title` CHAR(64) NOT NULL DEFAULT '',
	`type` TINYINT(1) NOT NULL DEFAULT '0',
	`url` VARCHAR(255) NOT NULL DEFAULT '',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_title` (`title`),
	KEY `idx_type` (`type`),
	KEY `idx_location` (`location`),
	KEY `idx_target` (`target`),
	KEY `idx_alias` (`alias`),
	KEY `idx_article` (`article`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;







--
-- Dumping data for table `#__costbenefitprojection_country`
--

INSERT INTO `#__costbenefitprojection_country` (`id`, `alias`, `causesrisks`, `codethree`, `codetwo`, `currency`, `datayear`, `femaledeath`, `femaleyld`, `healthcare`, `maledeath`, `maleyld`, `medical_turnovers`, `name`, `percentfemale`, `percentmale`, `presenteeism`, `productivity_losses`, `publicaddress`, `publicemail`, `publicname`, `publicnumber`, `sick_leave`, `user`, `working_days`, `worldzone`, `params`, `published`, `created_by`, `modified_by`, `created`, `modified`, `checked_out`, `checked_out_time`, `version`, `hits`, `access`, `ordering`) VALUES
(1, '', '', 'AFG', 'AF', 'AFN', '', '', '', '', '', '', '', 'Afghanistan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2, '', '', 'ALB', 'AL', 'ALL', '', '', '', '', '', '', '', 'Albania', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3, '', '', 'DZA', 'DZ', 'DZD', '', '', '', '', '', '', '', 'Algeria', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4, '', '', 'ASM', 'AS', 'USD', '', '', '', '', '', '', '', 'American Samoa', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5, '', '', 'AND', 'AD', 'EUR', '', '', '', '', '', '', '', 'Andorra', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6, '', '', 'AGO', 'AO', 'AOA', '', '', '', '', '', '', '', 'Angola', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(7, '', '', 'AIA', 'AI', 'XCD', '', '', '', '', '', '', '', 'Anguilla', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(8, '', '', 'ATA', 'AQ', 'USD', '', '', '', '', '', '', '', 'Antarctica', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(9, '', '', 'ATG', 'AG', 'XCD', '', '', '', '', '', '', '', 'Antigua and Barbuda', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(10, '', '', 'ARG', 'AR', 'ARS', '', '', '', '', '', '', '', 'Argentina', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(11, '', '', 'ARM', 'AM', 'AMD', '', '', '', '', '', '', '', 'Armenia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(12, '', '', 'ABW', 'AW', 'AWG', '', '', '', '', '', '', '', 'Aruba', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(13, '', '', 'AUS', 'AU', 'AUD', '', '', '', '', '', '', '', 'Australia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(14, '', '', 'AUT', 'AT', 'EUR', '', '', '', '', '', '', '', 'Austria', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(15, '', '', 'AZE', 'AZ', 'AZN', '', '', '', '', '', '', '', 'Azerbaijan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(16, '', '', 'BHS', 'BS', 'BSD', '', '', '', '', '', '', '', 'Bahamas', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(17, '', '', 'BHR', 'BH', 'BHD', '', '', '', '', '', '', '', 'Bahrain', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(18, '', '', 'BGD', 'BD', 'BDT', '', '', '', '', '', '', '', 'Bangladesh', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(19, '', '', 'BRB', 'BB', 'BBD', '', '', '', '', '', '', '', 'Barbados', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(20, '', '', 'BLR', 'BY', 'BYR', '', '', '', '', '', '', '', 'Belarus', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(21, '', '', 'BEL', 'BE', 'EUR', '', '', '', '', '', '', '', 'Belgium', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(22, '', '', 'BLZ', 'BZ', 'BZD', '', '', '', '', '', '', '', 'Belize', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(23, '', '', 'BEN', 'BJ', 'XOF', '', '', '', '', '', '', '', 'Benin', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(24, '', '', 'BMU', 'BM', 'BMD', '', '', '', '', '', '', '', 'Bermuda', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(25, '', '', 'BTN', 'BT', 'INR', '', '', '', '', '', '', '', 'Bhutan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(26, '', '', 'BOL', 'BO', 'BOB', '', '', '', '', '', '', '', 'Bolivia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(27, '', '', 'BIH', 'BA', 'BAM', '', '', '', '', '', '', '', 'Bosnia and Herzegowina', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(28, '', '', 'BWA', 'BW', 'BWP', '', '', '', '', '', '', '', 'Botswana', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(29, '', '', 'BVT', 'BV', 'NOK', '', '', '', '', '', '', '', 'Bouvet Island', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(30, '', '', 'BRA', 'BR', 'BRL', '', '', '', '', '', '', '', 'Brazil', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(31, '', '', 'IOT', 'IO', 'USD', '', '', '', '', '', '', '', 'British Indian Ocean Territory', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(32, '', '', 'BRN', 'BN', 'BND', '', '', '', '', '', '', '', 'Brunei Darussalam', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(33, '', '', 'BGR', 'BG', 'BGN', '', '', '', '', '', '', '', 'Bulgaria', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(34, '', '', 'BFA', 'BF', 'XOF', '', '', '', '', '', '', '', 'Burkina Faso', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(35, '', '', 'BDI', 'BI', 'BIF', '', '', '', '', '', '', '', 'Burundi', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(36, '', '', 'KHM', 'KH', 'KHR', '', '', '', '', '', '', '', 'Cambodia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(37, '', '', 'CMR', 'CM', 'XAF', '', '', '', '', '', '', '', 'Cameroon', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(38, '', '', 'CAN', 'CA', 'CAD', '', '', '', '', '', '', '', 'Canada', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(39, '', '', 'CPV', 'CV', 'CVE', '', '', '', '', '', '', '', 'Cape Verde', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(40, '', '', 'CYM', 'KY', 'KYD', '', '', '', '', '', '', '', 'Cayman Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(41, '', '', 'CAF', 'CF', 'XAF', '', '', '', '', '', '', '', 'Central African Republic', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(42, '', '', 'TCD', 'TD', 'XAF', '', '', '', '', '', '', '', 'Chad', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(43, '', '', 'CHL', 'CL', 'CLP', '', '', '', '', '', '', '', 'Chile', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(44, '', '', 'CHN', 'CN', 'CNY', '', '', '', '', '', '', '', 'China', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(45, '', '', 'CXR', 'CX', 'AUD', '', '', '', '', '', '', '', 'Christmas Island', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(46, '', '', 'CCK', 'CC', 'AUD', '', '', '', '', '', '', '', 'Cocos (Keeling) Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(47, '', '', 'COL', 'CO', 'COP', '', '', '', '', '', '', '', 'Colombia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(48, '', '', 'COM', 'KM', 'KMF', '', '', '', '', '', '', '', 'Comoros', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(49, '', '', 'COG', 'CG', 'XAF', '', '', '', '', '', '', '', 'Congo', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(50, '', '', 'COK', 'CK', 'NZD', '', '', '', '', '', '', '', 'Cook Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(51, '', '', 'CRI', 'CR', 'CRC', '', '', '', '', '', '', '', 'Costa Rica', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(52, '', '', 'CIV', 'CI', 'XOF', '', '', '', '', '', '', '', 'Cote D\'Ivoire', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(53, '', '', 'HRV', 'HR', 'HRK', '', '', '', '', '', '', '', 'Croatia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(54, '', '', 'CUB', 'CU', 'CUP', '', '', '', '', '', '', '', 'Cuba', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(55, '', '', 'CYP', 'CY', 'EUR', '', '', '', '', '', '', '', 'Cyprus', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(56, '', '', 'CZE', 'CZ', 'CZK', '', '', '', '', '', '', '', 'Czech Republic', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(57, '', '', 'DNK', 'DK', 'DKK', '', '', '', '', '', '', '', 'Denmark', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(58, '', '', 'DJI', 'DJ', 'DJF', '', '', '', '', '', '', '', 'Djibouti', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(59, '', '', 'DMA', 'DM', 'XCD', '', '', '', '', '', '', '', 'Dominica', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(60, '', '', 'DOM', 'DO', 'DOP', '', '', '', '', '', '', '', 'Dominican Republic', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(61, '', '', 'TMP', 'TP', 'USD', '', '', '', '', '', '', '', 'East Timor', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(62, '', '', 'ECU', 'EC', 'USD', '', '', '', '', '', '', '', 'Ecuador', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(63, '', '', 'EGY', 'EG', 'EGP', '', '', '', '', '', '', '', 'Egypt', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(64, '', '', 'SLV', 'SV', 'USD', '', '', '', '', '', '', '', 'El Salvador', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(65, '', '', 'GNQ', 'GQ', 'XAF', '', '', '', '', '', '', '', 'Equatorial Guinea', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(66, '', '', 'ERI', 'ER', 'ERN', '', '', '', '', '', '', '', 'Eritrea', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(67, '', '', 'EST', 'EE', 'EUR', '', '', '', '', '', '', '', 'Estonia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(68, '', '', 'ETH', 'ET', 'ETB', '', '', '', '', '', '', '', 'Ethiopia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(69, '', '', 'FLK', 'FK', 'FKP', '', '', '', '', '', '', '', 'Falkland Islands (Malvinas)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(70, '', '', 'FRO', 'FO', 'DKK', '', '', '', '', '', '', '', 'Faroe Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(71, '', '', 'FJI', 'FJ', 'FJD', '', '', '', '', '', '', '', 'Fiji', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(72, '', '', 'FIN', 'FI', 'EUR', '', '', '', '', '', '', '', 'Finland', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(73, '', '', 'FRA', 'FR', 'EUR', '', '', '', '', '', '', '', 'France', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(74, '', '', 'GUF', 'GF', 'EUR', '', '', '', '', '', '', '', 'French Guiana', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(75, '', '', 'PYF', 'PF', 'XPF', '', '', '', '', '', '', '', 'French Polynesia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(76, '', '', 'ATF', 'TF', 'EUR', '', '', '', '', '', '', '', 'French Southern Territories', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(77, '', '', 'GAB', 'GA', 'XAF', '', '', '', '', '', '', '', 'Gabon', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(78, '', '', 'GMB', 'GM', 'GMD', '', '', '', '', '', '', '', 'Gambia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(79, '', '', 'GEO', 'GE', 'GEL', '', '', '', '', '', '', '', 'Georgia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(80, '', '', 'DEU', 'DE', 'EUR', '', '', '', '', '', '', '', 'Germany', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(81, 'ghana', '[\"1\",\"6\",\"23\",\"55\",\"69\",\"102\",\"114\",\"115\",\"121\",\"126\",\"137\",\"145\",\"168\",\"195\",\"211\",\"225\",\"233\",\"238\",\"246\",\"265\",\"266\",\"267\",\"268\",\"270\",\"274\",\"277\",\"286\",\"301\"]', 'GHA', 'GH', 'GHS', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[149.7,276.469,385.736,447.014,522.453,555.107,655.253,795.831,1108.19,1715.78],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10275.9,11643.3,13037.1,14188.4,15435.4,16548.2,17585.6,18706,19837.9,21201.4],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[168.528,295.052,406.073,494.617,603.688,681.95,854.017,1123.3,1509.69,2229.63],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8487.26,9055.87,10260.3,11269.3,12425.1,13419.4,14825.3,16240.2,18012.9,19906],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, 'Ghana', '{\"age\":[\"30-34\",\"50-54\"],\"percent\":[5,5]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"percent\":[5,5,5,5,5,5,5,5]}', 0.25, .5, '', '', '', '', 10, 202, 231, '', '', 1, 98, '', '2014-07-24 14:06:17', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, 202),
(82, '', '', 'GIB', 'GI', 'GIP', '', '', '', '', '', '', '', 'Gibraltar', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(83, '', '', 'GRC', 'GR', 'EUR', '', '', '', '', '', '', '', 'Greece', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(84, '', '', 'GRL', 'GL', 'DKK', '', '', '', '', '', '', '', 'Greenland', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(85, '', '', 'GRD', 'GD', 'XCD', '', '', '', '', '', '', '', 'Grenada', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(86, '', '', 'GLP', 'GP', 'EUR', '', '', '', '', '', '', '', 'Guadeloupe', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(87, '', '', 'GUM', 'GU', 'USD', '', '', '', '', '', '', '', 'Guam', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(88, '', '', 'GTM', 'GT', 'GTQ', '', '', '', '', '', '', '', 'Guatemala', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(89, '', '', 'GIN', 'GN', 'GNF', '', '', '', '', '', '', '', 'Guinea', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(90, '', '', 'GNB', 'GW', 'XOF', '', '', '', '', '', '', '', 'Guinea-bissau', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(91, '', '', 'GUY', 'GY', 'GYD', '', '', '', '', '', '', '', 'Guyana', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(92, '', '', 'HTI', 'HT', 'USD', '', '', '', '', '', '', '', 'Haiti', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(93, '', '', 'HMD', 'HM', 'AUD', '', '', '', '', '', '', '', 'Heard and Mc Donald Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(94, '', '', 'HND', 'HN', 'HNL', '', '', '', '', '', '', '', 'Honduras', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(95, '', '', 'HKG', 'HK', 'HKD', '', '', '', '', '', '', '', 'Hong Kong', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(96, '', '', 'HUN', 'HU', 'HUF', '', '', '', '', '', '', '', 'Hungary', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(97, '', '', 'ISL', 'IS', 'ISK', '', '', '', '', '', '', '', 'Iceland', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(98, '', '', 'IND', 'IN', 'INR', '', '', '', '', '', '', '', 'India', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(99, '', '', 'IDN', 'ID', 'IDR', '', '', '', '', '', '', '', 'Indonesia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(100, '', '', 'IRN', 'IR', 'IRR', '', '', '', '', '', '', '', 'Iran (Islamic Republic of)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(101, '', '', 'IRQ', 'IQ', 'IQD', '', '', '', '', '', '', '', 'Iraq', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(102, '', '', 'IRL', 'IE', 'EUR', '', '', '', '', '', '', '', 'Ireland', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(103, '', '', 'ISR', 'IL', 'ILS', '', '', '', '', '', '', '', 'Israel', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(104, '', '', 'ITA', 'IT', 'EUR', '', '', '', '', '', '', '', 'Italy', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(105, '', '', 'JAM', 'JM', 'JMD', '', '', '', '', '', '', '', 'Jamaica', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(106, '', '', 'JPN', 'JP', 'JPY', '', '', '', '', '', '', '', 'Japan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(107, '', '', 'JOR', 'JO', 'JOD', '', '', '', '', '', '', '', 'Jordan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(108, '', '', 'KAZ', 'KZ', 'KZT', '', '', '', '', '', '', '', 'Kazakhstan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(109, '', '', 'KEN', 'KE', 'KES', '', '', '', '', '', '', '', 'Kenya', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(110, '', '', 'KIR', 'KI', 'AUD', '', '', '', '', '', '', '', 'Kiribati', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(111, '', '', 'PRK', 'KP', 'KPW', '', '', '', '', '', '', '', 'Korea, Democratic People\'s Republic of', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(112, '', '', 'KOR', 'KR', 'KRW', '', '', '', '', '', '', '', 'Korea, Republic of', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(113, '', '', 'KWT', 'KW', 'KWD', '', '', '', '', '', '', '', 'Kuwait', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(114, '', '', 'KGZ', 'KG', 'KGS', '', '', '', '', '', '', '', 'Kyrgyzstan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(115, '', '', 'LAO', 'LA', 'LAK', '', '', '', '', '', '', '', 'Lao People\'s Democratic Republic', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(116, '', '', 'LVA', 'LV', 'LVL', '', '', '', '', '', '', '', 'Latvia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(117, '', '', 'LBN', 'LB', 'LBP', '', '', '', '', '', '', '', 'Lebanon', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(118, 'lesotho', '[\"2\",\"3\",\"69\",\"145\",\"198\",\"265\",\"266\",\"267\",\"268\",\"271\",\"274\"]', 'LSO', 'LS', 'ZAR', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\",\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[220.401255791,922.10450801,1919.155644813,2384.131999381,2370.150696949,2155.614144424,1986.919775535,1685.606196172,1602.895390296,1964.968949986,246.524771707,954.205028279,1994.565704901,2366.165039973,2349.882761779,2145.188535609,1957.723452919,1694.82525935,1573.871461094,1965.321062092],\"year\":[2010,2010,2010,2010,2010,2010,2010,2010,2010,2010,2013,2013,2013,2013,2013,2013,2013,2013,2013,2013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\",\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7893.047352601,10489.857144524,13159.554394994,16203.712083296,18323.022723086,19234.736682292,19636.441229761,19337.319207669,19934.671849177,21084.230587721,8233.519156599,10654.532354171,13134.813149903,15810.286355199,18308.043870344,19372.504783066,19697.335016674,19406.024167296,19925.497871357,21089.437749431],\"year\":[2010,2010,2010,2010,2010,2010,2010,2010,2010,2010,2013,2013,2013,2013,2013,2013,2013,2013,2013,2013]}', 0.25, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\",\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[256.796684709,544.518265265,1326.240867163,2325.330481326,2952.688244226,3360.79368399,3699.804263859,3674.891823299,4079.679217978,5076.582683626,276.533316389,546.591425664,1358.621328202,2332.040364973,2930.423689525,3400.551270333,3746.430007766,3710.467465774,4082.734874275,5029.651964509],\"year\":[2010,2010,2010,2010,2010,2010,2010,2010,2010,2010,2013,2013,2013,2013,2013,2013,2013,2013,2013,2013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\",\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7161.72354689,9163.703420871,11314.109960564,13982.96420734,17029.196421535,18549.805460541,19266.14776114,19117.049726313,19244.138401643,20234.957118799,7449.326855749,9310.628761288,11295.1074413,13656.181052589,16601.819552266,18580.710140886,19405.271795338,19282.887011221,19451.753818162,20398.694525568],\"year\":[2010,2010,2010,2010,2010,2010,2010,2010,2010,2010,2013,2013,2013,2013,2013,2013,2013,2013,2013,2013]}', 10, 'Lesotho', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[10,10,10,10,10,10,10,10,10,10]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[10,10,10,10,10,10,10,10,10,10]}', 0.25, 0.3, '', '', '', 061300754, 10, 206, 231, '', '', 1, 98, 450, '2014-09-16 14:16:50', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 4, '', 1, 206),
(119, '', '', 'LBR', 'LR', 'LRD', '', '', '', '', '', '', '', 'Liberia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(120, '', '', 'LBY', 'LY', 'LYD', '', '', '', '', '', '', '', 'Libya', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(121, '', '', 'LIE', 'LI', 'CHF', '', '', '', '', '', '', '', 'Liechtenstein', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(122, '', '', 'LTU', 'LT', 'LTL', '', '', '', '', '', '', '', 'Lithuania', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(123, '', '', 'LUX', 'LU', 'EUR', '', '', '', '', '', '', '', 'Luxembourg', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(124, '', '', 'MAC', 'MO', 'MOP', '', '', '', '', '', '', '', 'Macau', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(125, '', '', 'MKD', 'MK', 'MKD', '', '', '', '', '', '', '', 'Macedonia, The Former Yugoslav Republic of', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(126, '', '', 'MDG', 'MG', 'MGA', '', '', '', '', '', '', '', 'Madagascar', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(127, '', '', 'MWI', 'MW', 'MWK', '', '', '', '', '', '', '', 'Malawi', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(128, '', '', 'MYS', 'MY', 'MYR', '', '', '', '', '', '', '', 'Malaysia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(129, '', '', 'MDV', 'MV', 'MVR', '', '', '', '', '', '', '', 'Maldives', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(130, '', '', 'MLI', 'ML', 'XOF', '', '', '', '', '', '', '', 'Mali', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(131, '', '', 'MLT', 'MT', 'EUR', '', '', '', '', '', '', '', 'Malta', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(132, '', '', 'MHL', 'MH', 'USD', '', '', '', '', '', '', '', 'Marshall Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(133, '', '', 'MTQ', 'MQ', 'EUR', '', '', '', '', '', '', '', 'Martinique', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(134, '', '', 'MRT', 'MR', 'MRO', '', '', '', '', '', '', '', 'Mauritania', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(135, '', '', 'MUS', 'MU', 'MUR', '', '', '', '', '', '', '', 'Mauritius', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(136, '', '', 'MYT', 'YT', 'EUR', '', '', '', '', '', '', '', 'Mayotte', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(137, '', '', 'MEX', 'MX', 'MXN', '', '', '', '', '', '', '', 'Mexico', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(138, '', '', 'FSM', 'FM', 'USD', '', '', '', '', '', '', '', 'Micronesia, Federated States of', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(139, '', '', 'MDA', 'MD', 'MDL', '', '', '', '', '', '', '', 'Moldova, Republic of', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(140, '', '', 'MCO', 'MC', 'EUR', '', '', '', '', '', '', '', 'Monaco', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(141, '', '', 'MNG', 'MN', 'MNT', '', '', '', '', '', '', '', 'Mongolia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(142, '', '', 'MSR', 'MS', 'XCD', '', '', '', '', '', '', '', 'Montserrat', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(143, '', '', 'MAR', 'MA', 'MAD', '', '', '', '', '', '', '', 'Morocco', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(144, '', '', 'MOZ', 'MZ', 'MZN', '', '', '', '', '', '', '', 'Mozambique', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(145, '', '', 'MMR', 'MM', 'MMK', '', '', '', '', '', '', '', 'Myanmar', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(146, 'namibia', '[\"2\",\"3\",\"155\",\"169\",\"268\",\"271\",\"282\"]', 'NAM', 'NA', 'NAD', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\",\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.212913153,173.964136392,218.595395561,274.234302009,357.789610011,460.976960596,635.521743349,960.9070306,1403.883575358,2197.45074929,104.614669356,341.221804819,681.847902403,838.450407163,873.592716238,814.675942041,820.368901134,940.917281745,1272.164299596,1850.713544572],\"year\":[1990,1990,1990,1990,1990,1990,1990,1990,1990,1990,2013,2013,2013,2013,2013,2013,2013,2013,2013,2013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\",\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7800.569806649,9843.453140984,11859.061124889,13871.198521945,15087.526247181,15852.276710594,16412.169488618,16766.883212401,17777.679683024,19183.066774547,8124.499003258,10010.302142009,11647.955104681,13579.995841592,14904.298115402,15742.94305437,16377.537411281,16824.409406834,17927.945001722,19347.57118752],\"year\":[2010,2010,2010,2010,2010,2010,2010,2010,2010,2010,2013,2013,2013,2013,2013,2013,2013,2013,2013,2013]}', 10, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\",\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[181.112030395,302.415240808,384.919673859,490.037153735,654.741769979,874.053443433,1228.685659811,1733.262301828,2468.630143324,3691.703665228,169.291641311,345.805021598,772.408568802,1295.145251286,1637.611396509,1888.08879481,2131.625811178,2328.040919742,2866.316371514,3803.775795108],\"year\":[1990,1990,1990,1990,1990,1990,1990,1990,1990,1990,2013,2013,2013,2013,2013,2013,2013,2013,2013,2013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\",\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6887.398275643,8488.247684401,10109.421650195,11755.232768527,13312.52066742,14341.751187365,15153.73662952,15816.15972903,16713.573824119,18071.388480408,6981.697354811,8566.866279262,10057.537395581,11685.092881092,13539.122011249,14701.600583783,15581.155069184,16106.076766841,16875.669507293,18114.122625816],\"year\":[2010,2010,2010,2010,2010,2010,2010,2010,2010,2010,2013,2013,2013,2013,2013,2013,2013,2013,2013,2013]}', 12, 'Namibia', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[2,5,10,15,20,15,10,10,10,3]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[2,3,10,12,20,20,15,10,5,3]}', 0.25, 5, 'GIZ Office Windhoek<br />\r\nP.O. Box 8016, Bachbrecht<br />\r\nWindhoek<br />\r\nNamibia', 'matthew.black@giz.de', 'Internationale Zusammenarbeit (GIZ) GmbH', .264061411420, 12, 95, 220, '', '', 1, 98, 450, '2014-04-30 02:17:06', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 9, '', 1, 95),
(147, '', '', 'NRU', 'NR', 'AUD', '', '', '', '', '', '', '', 'Nauru', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(148, '', '', 'NPL', 'NP', 'NPR', '', '', '', '', '', '', '', 'Nepal', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(149, '', '', 'NLD', 'NL', 'EUR', '', '', '', '', '', '', '', 'Netherlands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(150, '', '', 'ANT', 'AN', 'ANG', '', '', '', '', '', '', '', 'Netherlands Antilles', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(151, '', '', 'NCL', 'NC', 'XPF', '', '', '', '', '', '', '', 'New Caledonia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(152, '', '', 'NZL', 'NZ', 'NZD', '', '', '', '', '', '', '', 'New Zealand', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(153, '', '', 'NIC', 'NI', 'NIO', '', '', '', '', '', '', '', 'Nicaragua', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(154, '', '', 'NER', 'NE', 'XOF', '', '', '', '', '', '', '', 'Niger', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(155, '', '', 'NGA', 'NG', 'NGN', '', '', '', '', '', '', '', 'Nigeria', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(156, '', '', 'NIU', 'NU', 'NZD', '', '', '', '', '', '', '', 'Niue', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(157, '', '', 'NFK', 'NF', 'AUD', '', '', '', '', '', '', '', 'Norfolk Island', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(158, '', '', 'MNP', 'MP', 'USD', '', '', '', '', '', '', '', 'Northern Mariana Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(159, '', '', 'NOR', 'NO', 'NOK', '', '', '', '', '', '', '', 'Norway', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(160, '', '', 'OMN', 'OM', 'OMR', '', '', '', '', '', '', '', 'Oman', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(161, '', '', 'PAK', 'PK', 'PKR', '', '', '', '', '', '', '', 'Pakistan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(162, '', '', 'PLW', 'PW', 'USD', '', '', '', '', '', '', '', 'Palau', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(163, '', '', 'PAN', 'PA', 'USD', '', '', '', '', '', '', '', 'Panama', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(164, '', '', 'PNG', 'PG', 'PGK', '', '', '', '', '', '', '', 'Papua New Guinea', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(165, '', '', 'PRY', 'PY', 'PYG', '', '', '', '', '', '', '', 'Paraguay', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(166, '', '', 'PER', 'PE', 'PEN', '', '', '', '', '', '', '', 'Peru', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(167, '', '', 'PHL', 'PH', 'PHP', '', '', '', '', '', '', '', 'Philippines', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(168, '', '', 'PCN', 'PN', 'NZD', '', '', '', '', '', '', '', 'Pitcairn', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(169, '', '', 'POL', 'PL', 'PLN', '', '', '', '', '', '', '', 'Poland', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(170, '', '', 'PRT', 'PT', 'EUR', '', '', '', '', '', '', '', 'Portugal', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(171, '', '', 'PRI', 'PR', 'USD', '', '', '', '', '', '', '', 'Puerto Rico', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(172, '', '', 'QAT', 'QA', 'QAR', '', '', '', '', '', '', '', 'Qatar', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(173, '', '', 'REU', 'RE', 'EUR', '', '', '', '', '', '', '', 'Reunion', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(174, '', '', 'ROM', 'RO', 'RON', '', '', '', '', '', '', '', 'Romania', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(175, '', '', 'RUS', 'RU', 'RUB', '', '', '', '', '', '', '', 'Russian Federation', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(176, '', '', 'RWA', 'RW', 'RWF', '', '', '', '', '', '', '', 'Rwanda', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(177, '', '', 'KNA', 'KN', 'XCD', '', '', '', '', '', '', '', 'Saint Kitts and Nevis', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(178, '', '', 'LCA', 'LC', 'XCD', '', '', '', '', '', '', '', 'Saint Lucia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(179, '', '', 'VCT', 'VC', 'XCD', '', '', '', '', '', '', '', 'Saint Vincent and the Grenadines', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(180, '', '', 'WSM', 'WS', 'WST', '', '', '', '', '', '', '', 'Samoa', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(181, '', '', 'SMR', 'SM', 'EUR', '', '', '', '', '', '', '', 'San Marino', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(182, '', '', 'STP', 'ST', 'STD', '', '', '', '', '', '', '', 'Sao Tome and Principe', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(183, '', '', 'SAU', 'SA', 'SAR', '', '', '', '', '', '', '', 'Saudi Arabia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(184, '', '', 'SEN', 'SN', 'XOF', '', '', '', '', '', '', '', 'Senegal', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(185, '', '', 'SYC', 'SC', 'SCR', '', '', '', '', '', '', '', 'Seychelles', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(186, '', '', 'SLE', 'SL', 'SLL', '', '', '', '', '', '', '', 'Sierra Leone', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(187, '', '', 'SGP', 'SG', 'SGD', '', '', '', '', '', '', '', 'Singapore', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(188, '', '', 'SVK', 'SK', 'EUR', '', '', '', '', '', '', '', 'Slovakia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(189, '', '', 'SVN', 'SI', 'EUR', '', '', '', '', '', '', '', 'Slovenia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(190, '', '', 'SLB', 'SB', 'SBD', '', '', '', '', '', '', '', 'Solomon Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(191, '', '', 'SOM', 'SO', 'SOS', '', '', '', '', '', '', '', 'Somalia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(192, 'south-africa', '[\"2\",\"3\",\"12\",\"19\",\"21\",\"24\",\"266\",\"267\",\"271\",\"274\"]', 'ZAF', 'ZA', 'ZAR', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\",\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[166.6276655,521.792560788,1007.891157607,1453.418016161,1503.056593569,1572.245846981,1606.699516641,1588.85138751,1669.441122941,2511.272991566,131.594562076,352.12084675,722.507160627,1132.727982165,1296.426588244,1290.463953947,1272.170862699,1245.652996716,1272.295004752,1944.733357995],\"year\":[2010,2010,2010,2010,2010,2010,2010,2010,2010,2010,2013,2013,2013,2013,2013,2013,2013,2013,2013,2013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9326.5,11254.7,14553.4,17009.8,18066.8,17654.2,17722.1,17850.1,18650.1,19738.4],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\",\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[204.383981819,446.726920574,844.862998747,1409.752177194,1712.060068832,1973.759077273,2178.575381401,2215.834916458,2471.619592214,3698.026872991,183.274456835,385.723194239,712.874506586,1170.142519998,1569.392572287,1852.119860017,1971.340312408,1971.091549187,2191.584035883,3254.58436554],\"year\":[2010,2010,2010,2010,2010,2010,2010,2010,2010,2010,2013,2013,2013,2013,2013,2013,2013,2013,2013,2013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8652.92,9498.43,11939,14264.8,16648.6,17422,18203.3,18160.4,19752.3,20857.6],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, 'South Africa', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[10,10,10,10,10,10,10,10,10,10]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[10,10,10,10,10,10,10,10,10,10]}', 0.25, .5, '', '', '', '', 10, 111, 220, '', '', 1, 98, 450, '2014-06-04 18:48:07', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 2, '', 1, 111),
(193, '', '', 'SGS', 'GS', 'GBP', '', '', '', '', '', '', '', 'South Georgia and the South Sandwich Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(194, '', '', 'ESP', 'ES', 'EUR', '', '', '', '', '', '', '', 'Spain', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(195, '', '', 'LKA', 'LK', 'LKR', '', '', '', '', '', '', '', 'Sri Lanka', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(196, '', '', 'SHN', 'SH', 'SHP', '', '', '', '', '', '', '', 'St. Helena', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(197, '', '', 'SPM', 'PM', 'EUR', '', '', '', '', '', '', '', 'St. Pierre and Miquelon', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(198, '', '', 'SDN', 'SD', 'SDG', '', '', '', '', '', '', '', 'Sudan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(199, '', '', 'SUR', 'SR', 'SRD', '', '', '', '', '', '', '', 'Suriname', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(200, '', '', 'SJM', 'SJ', 'NOK', '', '', '', '', '', '', '', 'Svalbard and Jan Mayen Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(201, '', '', 'SWZ', 'SZ', 'SZL', '', '', '', '', '', '', '', 'Swaziland', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(202, '', '', 'SWE', 'SE', 'SEK', '', '', '', '', '', '', '', 'Sweden', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(203, 'switzerland', '', 'CHE', 'CH', 'CHF', '', '', '', '', '', '', '', 'Switzerland', '', '', '', '', '', '', '', '', '', '', '', '', '', 1, '', 845, '0000-00-00 00:00:00', '2015-09-06 02:00:59', '', '0000-00-00 00:00:00', 1, '', '', ''),
(204, '', '', 'SYR', 'SY', 'SYP', '', '', '', '', '', '', '', 'Syrian Arab Republic', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(205, '', '', 'TWN', 'TW', 'TWD', '', '', '', '', '', '', '', 'Taiwan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(206, '', '', 'TJK', 'TJ', 'TJS', '', '', '', '', '', '', '', 'Tajikistan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(207, 'united-republic-of-tanzania', '[\"2\",\"3\",\"7\",\"8\",\"9\",\"10\",\"11\",\"12\",\"17\",\"18\",\"19\",\"20\",\"21\",\"22\",\"24\",\"25\",\"26\",\"27\",\"28\",\"29\",\"30\",\"31\",\"32\",\"35\",\"36\",\"37\",\"44\",\"49\",\"56\",\"62\",\"67\",\"68\",\"69\",\"102\",\"115\",\"121\",\"126\",\"137\",\"145\",\"168\",\"195\",\"211\",\"238\",\"246\",\"259\",\"265\",\"266\",\"267\",\"268\",\"269\",\"270\",\"271\",\"275\",\"276\",\"278\",\"279\",\"280\",\"281\",\"282\",\"283\",\"284\",\"285\",\"286\",\"302\",\"303\",\"304\",\"308\",\"309\",\"310\",\"315\"]', 'TZA', 'TZ', 'TZS', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[201.509,520.737,807.509,912.677,867.466,821.274,865.768,784.78,1133.52,1627.25],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10633.4,12042.6,13751.2,15368.9,17076.6,17912.8,18599,19383.1,20365,21563.9],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.12,395.589,680.019,881.997,979.578,966.691,1059.43,1176.19,1376.8,1895.82],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9774.96,10192.5,11488.5,12867.7,14576.9,15771.6,17185.4,18226,19788.6,21381.1],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, 'Tanzania, United Republic of', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[10,10,10,10,10,10,10,10,10,10]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[10,10,10,10,10,10,10,10,10,10]}', 0.25, 0.5, '', '', '', '', 10, 106, 220, '', '', 1, 98, 450, '2014-06-02 13:00:41', '2016-05-23 14:57:58', '', '0000-00-00 00:00:00', 2, '', 1, 106),
(208, '', '', 'THA', 'TH', 'THB', '', '', '', '', '', '', '', 'Thailand', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(209, '', '', 'TGO', 'TG', 'XOF', '', '', '', '', '', '', '', 'Togo', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(210, '', '', 'TKL', 'TK', 'NZD', '', '', '', '', '', '', '', 'Tokelau', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(211, '', '', 'TON', 'TO', 'TOP', '', '', '', '', '', '', '', 'Tonga', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(212, '', '', 'TTO', 'TT', 'TTD', '', '', '', '', '', '', '', 'Trinidad and Tobago', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(213, '', '', 'TUN', 'TN', 'TND', '', '', '', '', '', '', '', 'Tunisia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(214, '', '', 'TUR', 'TR', 'TRY', '', '', '', '', '', '', '', 'Turkey', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(215, '', '', 'TKM', 'TM', 'TMT', '', '', '', '', '', '', '', 'Turkmenistan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(216, '', '', 'TCA', 'TC', 'USD', '', '', '', '', '', '', '', 'Turks and Caicos Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(217, '', '', 'TUV', 'TV', 'AUD', '', '', '', '', '', '', '', 'Tuvalu', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(218, 'uganda', '[\"2\",\"3\",\"7\",\"8\",\"9\",\"10\",\"11\",\"12\",\"17\",\"18\",\"19\",\"20\",\"21\",\"22\",\"24\",\"25\",\"26\",\"27\",\"28\",\"29\",\"30\",\"31\",\"32\",\"35\",\"36\",\"37\",\"50\",\"51\",\"52\",\"53\",\"56\",\"67\",\"68\",\"69\",\"103\",\"104\",\"105\",\"108\",\"109\",\"110\",\"111\",\"112\",\"113\",\"114\",\"116\",\"117\",\"118\",\"119\",\"120\",\"121\",\"126\",\"137\",\"146\",\"147\",\"148\",\"154\",\"157\",\"159\",\"160\",\"161\",\"169\",\"170\",\"171\",\"175\",\"194\",\"196\",\"197\",\"199\",\"200\",\"201\",\"202\",\"204\",\"211\",\"225\",\"233\",\"239\",\"245\",\"247\",\"248\",\"249\",\"250\",\"251\",\"254\",\"255\",\"258\",\"259\",\"265\",\"266\",\"267\",\"268\",\"269\",\"270\",\"271\",\"275\",\"276\",\"278\",\"279\",\"280\",\"281\",\"282\",\"283\",\"284\",\"285\",\"286\",\"302\",\"303\",\"304\",\"308\",\"309\",\"313\",\"315\"]', 'UGA', 'UG', 'UGX', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[206.075,466.006,698.821,800.567,854.474,840.675,924.373,971.656,1364.87,2010.7],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10170.4,11764.9,13535.7,14926.9,16461.1,17579.5,18506.6,19155.5,20020.6,21083.9],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 1, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[231.099,448.264,696.081,889.905,1065.39,1132.26,1335,1623.23,2014.25,2786.38],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9064.39,9656.5,11114.6,12524.1,14179,15432.1,17167.1,18203.8,19673.4,21140],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 1, 'Uganda', '{\"age\":[\"15-19\"],\"percent\":[100]}', '{\"age\":[\"15-19\"],\"percent\":[100]}', 0.25, 1, '', '', '', '', 1, 238, 220, '', '', 1, 98, '', '2015-06-15 08:24:10', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, 238),
(219, '', '', 'UKR', 'UA', 'UAH', '', '', '', '', '', '', '', 'Ukraine', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(220, '', '', 'ARE', 'AE', 'AED', '', '', '', '', '', '', '', 'United Arab Emirates', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(221, '', '', 'GBR', 'GB', 'GBP', '', '', '', '', '', '', '', 'United Kingdom', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(222, '', '', 'USA', 'US', 'USD', '', '', '', '', '', '', '', 'United States', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(223, '', '', 'UMI', 'UM', 'USD', '', '', '', '', '', '', '', 'United States Minor Outlying Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(224, '', '', 'URY', 'UY', 'UYU', '', '', '', '', '', '', '', 'Uruguay', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(225, '', '', 'UZB', 'UZ', 'UZS', '', '', '', '', '', '', '', 'Uzbekistan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(226, '', '', 'VUT', 'VU', 'VUV', '', '', '', '', '', '', '', 'Vanuatu', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(227, '', '', 'VAT', 'VA', 'EUR', '', '', '', '', '', '', '', 'Vatican City State (Holy See)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(228, '', '', 'VEN', 'VE', 'VEF', '', '', '', '', '', '', '', 'Venezuela', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(229, '', '', 'VNM', 'VN', 'VND', '', '', '', '', '', '', '', 'Viet Nam', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(230, '', '', 'VGB', 'VG', 'USD', '', '', '', '', '', '', '', 'Virgin Islands (British)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(231, '', '', 'VIR', 'VI', 'USD', '', '', '', '', '', '', '', 'Virgin Islands (U.S.)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(232, '', '', 'WLF', 'WF', 'XPF', '', '', '', '', '', '', '', 'Wallis and Futuna Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(233, '', '', 'ESH', 'EH', 'MAD', '', '', '', '', '', '', '', 'Western Sahara', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(234, '', '', 'YEM', 'YE', 'YER', '', '', '', '', '', '', '', 'Yemen', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(235, '', '', 'DRC', 'DC', 'CDF', '', '', '', '', '', '', '', 'The Democratic Republic of Congo', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(236, 'zambia', '[\"2\",\"3\",\"7\",\"8\",\"9\",\"10\",\"11\",\"12\",\"17\",\"18\",\"19\",\"20\",\"21\",\"22\",\"24\",\"25\",\"26\",\"27\",\"28\",\"29\",\"30\",\"31\",\"32\",\"35\",\"36\",\"37\",\"50\",\"51\",\"52\",\"53\",\"54\",\"56\",\"62\",\"67\",\"68\",\"69\",\"102\",\"115\",\"121\",\"126\",\"133\",\"137\",\"144\",\"146\",\"147\",\"148\",\"154\",\"157\",\"159\",\"160\",\"161\",\"166\",\"167\",\"168\",\"196\",\"197\",\"199\",\"200\",\"201\",\"202\",\"203\",\"225\",\"233\",\"239\",\"245\",\"247\",\"248\",\"249\",\"250\",\"251\",\"254\",\"256\",\"257\",\"258\",\"260\",\"261\",\"265\",\"266\",\"267\",\"268\",\"269\",\"270\",\"271\",\"275\",\"276\",\"277\",\"284\",\"285\",\"286\",\"302\",\"303\",\"304\",\"308\",\"309\",\"315\"]', 'ZMB', 'ZM', 'ZMK', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[264.181,597.058,894.93,1022.68,1099.05,1060.96,1146.72,1189.63,1651.54,2446.89],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9669.89,11478.9,13597.2,15072,16837.5,17639.8,18402,18919.2,19941.1,20977.3],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 1, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[265.332,520.748,830.199,1068.01,1258.15,1314.71,1524.86,1813.67,2197.16,2990.75],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8622.31,9298.69,10992.8,12497.1,14377.2,15578.6,17245.2,17998.1,19679.8,20831.4],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 11, 'Zambia', '{\"age\":[\"15-19\"],\"percent\":[100]}', '{\"age\":[\"15-19\"],\"percent\":[100]}', 0.25, 1, '', '', '', '', 6, 239, 220, '', '', 1, 98, 450, '2015-06-15 08:26:30', '2015-09-08 01:24:37', '', '0000-00-00 00:00:00', 2, '', 1, 239),
(237, 'zimbabwe', '[\"2\",\"3\",\"7\",\"9\",\"10\",\"24\",\"37\",\"56\",\"69\",\"102\",\"115\",\"168\",\"267\",\"268\",\"274\",\"277\"]', 'ZWE', 'ZW', 'USD', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[287.139,814.785,1307.69,1479.31,1455.22,1356.44,1421.49,1255,1835.07,2481],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10681.9,12173.9,14380.8,17238.6,20922.9,21715.2,20965.7,20506.1,21238.6,22930.4],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 5, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[305.582,653.337,1144.79,1525.79,1764.55,1814.32,2081.02,2430.79,2860.31,3765.96],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10051,10809.6,12772.3,15069.2,18416.2,20729.1,22102.5,21421.4,22651.8,24030.7],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 900, 'Zimbabwe', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[5,10,23,18,15,11,9,3,3,3]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[3,8,19,17,16,13,7,7,5,5]}', 0.25, 0.3, 'GIZ Zimbabwe\r\n01 Grove Drive, Highlands\r\nHarare, Zimbabwe', 'tinashe.chimbidzikai@giz.de', 'Tinashe Chimbidzikai', .263449672324, 10, 102, 220, '', '', 1, 98, 450, '2014-05-30 13:33:11', '2015-09-08 01:21:24', '', '0000-00-00 00:00:00', 2, '', 1, 102),
(238, '', '', 'XET', 'XE', 'USD', '', '', '', '', '', '', '', 'East Timor', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(239, '', '', 'JEY', 'JE', 'GBP', '', '', '', '', '', '', '', 'Jersey', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(240, '', '', 'XSB', 'XB', 'EUR', '', '', '', '', '', '', '', 'St. Barthelemy', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(241, '', '', 'XSE', 'XU', 'USD', '', '', '', '', '', '', '', 'St. Eustatius', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(242, '', '', 'XCA', 'XC', 'EUR', '', '', '', '', '', '', '', 'Canary Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(243, '', '', 'SRB', 'RS', 'SRB', '', '', '', '', '', '', '', 'Serbia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(244, '', '', 'MAF', 'MF', 'EUR', '', '', '', '', '', '', '', 'Sint Maarten (French Antilles)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(245, '', '', 'SXM', 'SX', 'ANG', '', '', '', '', '', '', '', 'Sint Maarten (Netherlands Antilles)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(246, '', '', 'ZZZ', 'ZZ', 'ZZZ', '', '', '', '', '', '', '', 'Reserved', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', '');

--
-- Dumping data for table `#__costbenefitprojection_causerisk`
--

INSERT INTO `#__costbenefitprojection_causerisk` (`id`, `alias`, `catid`, `description`, `importname`, `import_id`, `name`, `ref`, `params`, `published`, `created_by`, `modified_by`, `created`, `modified`, `checked_out`, `checked_out_time`, `version`, `hits`, `access`, `ordering`) VALUES
(1, 'hiv-aids-and-tuberculosis', '', '', 'HIV/AIDS and tuberculosis', 296, 'HIV/AIDS and tuberculosis', 'A.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(2, 'tuberculosis', '', '', 'Tuberculosis', 297, 'Tuberculosis', 'A.01.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(3, 'hiv-aids', '', '', 'HIV/AIDS', 298, 'HIV/AIDS', 'A.01.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(4, 'hiv-disease-resulting-in-mycobacterial-infection', '', 'HIV disease resulting in mycobacterial infection', 'HIV disease resulting in mycobacterial infection', 299, 'HIV/AIDS resulting in mycobacterial infection', 'A.01.02.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(5, 'hiv-disease-resulting-in-other-specified-or-unspecified-diseases', '', 'HIV disease resulting in other specified or unspecified diseases', 'HIV disease resulting in other specified or unspecified diseases', 300, 'HIV/AIDS resulting in other diseases', 'A.01.02.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(6, 'diarrhea-lower-respiratory-infections-meningitis-and-other-commo', '', 'Diarrhea, lower respiratory infections, meningitis, and other common infectious diseases', 'Diarrhea, lower respiratory infections, meningitis, and other common infectious diseases', 301, 'Diarrhea, lower respiratory, and other common infectious diseases', 'A.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(7, 'diarrheal-diseases', '', 'Diarrheal diseases', 'Diarrheal diseases', 302, 'Diarrheal diseases', 'A.02.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(8, 'typhoid-and-paratyphoid-fevers', '', '', 'Typhoid and paratyphoid fevers', 318, 'Intestinal infectious diseases', 'A.02.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(9, 'lower-respiratory-infections', '', 'Lower respiratory infections', 'Lower respiratory infections', 322, 'Lower respiratory infections', 'A.02.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(10, 'upper-respiratory-infections', '', 'Upper respiratory infections', 'Upper respiratory infections', 328, 'Upper respiratory infections', 'A.02.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(11, 'otitis-media', '', '', 'Otitis media', 329, 'Otitis media', 'A.02.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(12, 'meningitis', '', '', 'Meningitis', 332, 'Meningitis', 'A.02.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(13, 'pneumococcal-meningitis', '', '', 'Pneumococcal meningitis', 333, 'Pneumococcal meningitis', 'A.02.06.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(14, 'h-influenzae-type-b-meningitis', '', '', 'H influenzae type B meningitis', 334, 'H influenzae type B meningitis', 'A.02.06.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(15, 'meningococcal-infection', '', '', 'Meningococcal infection', 335, 'Meningococcal meningitis', 'A.02.06.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(16, 'other-meningitis', '', '', 'Other meningitis', 336, 'Other meningitis', 'A.02.06.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(17, 'encephalitis', '', '', 'Encephalitis', 337, 'Encephalitis', 'A.02.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(18, 'diphtheria', '', '', 'Diphtheria', 338, 'Diphtheria', 'A.02.08', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(19, 'whooping-cough', '', '', 'Whooping cough', 339, 'Whooping cough', 'A.02.09', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(20, 'tetanus', '', '', 'Tetanus', 340, 'Tetanus', 'A.02.10', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(21, 'measles', '', '', 'Measles', 341, 'Measles', 'A.02.11', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(22, 'varicella', '', '', 'Varicella', 342, 'Varicella and herpes zoster', 'A.02.12', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(23, 'neglected-tropical-diseases-and-malaria', '', '', 'Neglected tropical diseases and malaria', 344, 'Neglected tropical diseases and malaria', 'A.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(24, 'malaria', '', '', 'Malaria', 345, 'Malaria', 'A.03.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(25, 'leishmaniasis', '', '', 'Leishmaniasis', 347, 'Leishmaniasis', 'A.03.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(26, 'schistosomiasis', '', '', 'Schistosomiasis', 351, 'Schistosomiasis', 'A.03.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(27, 'cysticercosis', '', '', 'Cysticercosis', 352, 'Cysticercosis', 'A.03.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(28, 'echinococcosis', '', '', 'Echinococcosis', 353, 'Cystic echinococcosis', 'A.03.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(29, 'trachoma', '', '', 'Trachoma', 356, 'Trachoma', 'A.03.10', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(30, 'dengue', '', '', 'Dengue', 357, 'Dengue', 'A.03.11', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(31, 'rabies', '', '', 'Rabies', 359, 'Rabies', 'A.03.13', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(32, 'intestinal-nematode-infections', '', '', 'Intestinal nematode infections', 360, 'Intestinal nematode infections', 'A.03.14', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(33, 'ascariasis', '', '', 'Ascariasis', 361, 'Ascariasis', 'A.03.14.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(34, 'trichuriasis', '', '', 'Trichuriasis', 362, 'Trichuriasis', 'A.03.14.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(35, 'hookworm-disease', '', '', 'Hookworm disease', 363, 'Hookworm disease', 'A.03.15', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(36, 'other-neglected-tropical-diseases', '', '', 'Other neglected tropical diseases', 365, 'Other neglected tropical diseases', 'A.03.16', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(37, 'maternal-disorders', '', '', 'Maternal disorders', 366, 'Maternal disorders', 'A.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(38, 'maternal-hemorrhage', '', '', 'Maternal hemorrhage', 367, 'Maternal hemorrhage', 'A.04.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(39, 'maternal-sepsis', '', '', 'Maternal sepsis', 368, 'Maternal sepsis and other maternal infections', 'A.04.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(40, 'hypertensive-disorders-of-pregnancy', '', '', 'Hypertensive disorders of pregnancy', 369, 'Maternal hypertensive disorders', 'A.04.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(41, 'obstructed-labor', '', '', 'Obstructed labor', 370, 'Obstructed labor', 'A.04.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(42, 'abortion', '', '', 'Abortion', 371, 'Complications of abortion', 'A.04.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(43, 'other-maternal-disorders', '', '', 'Other maternal disorders', 379, 'Other maternal disorders', 'A.04.09', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(44, 'neonatal-disorders', '', '', 'Neonatal disorders', 380, 'Neonatal disorders', 'A.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(45, 'preterm-birth-complications', '', '', 'Preterm birth complications', 381, 'Preterm birth complications', 'A.05.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(46, 'neonatal-encephalopathy-birth-asphyxia-and-birth-trauma', '', '', 'Neonatal encephalopathy (birth asphyxia and birth trauma)', 382, 'Neonatal encephalopathy due to birth asphyxia and trauma', 'A.05.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(47, 'sepsis-and-other-infectious-disorders-of-the-newborn-baby', '', '', 'Sepsis and other infectious disorders of the newborn baby', 383, 'Neonatal sepsis and other neonatal infections', 'A.05.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(48, 'other-neonatal-disorders', '', '', 'Other neonatal disorders', 385, 'Other neonatal disorders', 'A.05.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(49, 'nutritional-deficiencies', '', '', 'Nutritional deficiencies', 386, 'Nutritional deficiencies', 'A.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(50, 'protein-energy-malnutrition', '', '', 'Protein-energy malnutrition', 387, 'Protein-energy malnutrition', 'A.06.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(51, 'iodine-deficiency', '', '', 'Iodine deficiency', 388, 'Iodine deficiency', 'A.06.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(52, 'vitamin-a-deficiency', '', '', 'Vitamin A deficiency', 389, 'Vitamin A deficiency', 'A.06.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(53, 'iron-deficiency-anemia', '', '', 'Iron-deficiency anemia', 390, 'Iron-deficiency anemia', 'A.06.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(54, 'other-nutritional-deficiencies', '', '', 'Other nutritional deficiencies', 391, 'Other nutritional deficiencies', 'A.06.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(55, 'other-communicable-maternal-neonatal-and-nutritional-disorders', '', '', 'Other communicable, maternal, neonatal, and nutritional disorders', 392, 'Other communicable, maternal, neonatal, and nutritional diseases', 'A.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(56, 'sexually-transmitted-diseases-excluding-hiv', '', '', 'Sexually transmitted diseases excluding HIV', 393, 'Sexually transmitted diseases excluding HIV', 'A.07.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(57, 'syphilis', '', '', 'Syphilis', 394, 'Syphilis', 'A.07.01.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(58, 'sexually-transmitted-chlamydial-diseases', '', '', 'Sexually transmitted chlamydial diseases', 395, 'Chlamydial infection', 'A.07.01.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(59, 'gonococcal-infection', '', '', 'Gonococcal infection', 396, 'Gonococcal infection', 'A.07.01.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(60, 'trichomoniasis', '', '', 'Trichomoniasis', 397, 'Trichomoniasis', 'A.07.01.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(61, 'other-sexually-transmitted-diseases', '', '', 'Other sexually transmitted diseases', 399, 'Other sexually transmitted diseases', 'A.07.01.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(62, 'hepatitis', '', '', 'Hepatitis', 400, 'Hepatitis', 'A.07.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(63, 'acute-hepatitis-a', '', '', 'Acute hepatitis A', 401, 'Hepatitis A', 'A.07.02.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(64, 'acute-hepatitis-b', '', '', 'Acute hepatitis B', 402, 'Hepatitis B', 'A.07.02.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(65, 'acute-hepatitis-c', '', '', 'Acute hepatitis C', 403, 'Hepatitis C', 'A.07.02.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(66, 'acute-hepatitis-e', '', '', 'Acute hepatitis E', 404, 'Hepatitis E', 'A.07.02.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(67, 'leprosy', '', '', 'Leprosy', 405, 'Leprosy', 'A.07.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(68, 'other-infectious-diseases', '', '', 'Other infectious diseases', 408, 'Other infectious diseases', 'A.07.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(69, 'neoplasms', '', '', 'Neoplasms', 410, 'Neoplasms', 'B.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(70, 'esophageal-cancer', '', '', 'Esophageal cancer', 411, 'Esophageal cancer', 'B.01.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(71, 'stomach-cancer', '', '', 'Stomach cancer', 414, 'Stomach cancer', 'B.01.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(72, 'liver-cancer', '', '', 'Liver cancer', 417, 'Liver cancer', 'B.01.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(73, 'liver-cancer-secondary-to-hepatitis-b', '', '', 'Liver cancer secondary to hepatitis B', 418, 'Liver cancer due to hepatitis B', 'B.01.03.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(74, 'liver-cancer-secondary-to-hepatitis-c', '', '', 'Liver cancer secondary to hepatitis C', 419, 'Liver cancer due to hepatitis C', 'B.01.03.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(75, 'liver-cancer-secondary-to-alcohol-use', '', '', 'Liver cancer secondary to alcohol use', 420, 'Liver cancer due to alcohol use', 'B.01.03.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(76, 'other-liver-cancer', '', '', 'Other liver cancer', 421, 'Liver cancer due to other causes', 'B.01.03.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(77, 'larynx-cancer', '', '', 'Larynx cancer', 423, 'Larynx cancer', 'B.01.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(78, 'trachea-bronchus-and-lung-cancers', '', '', 'Trachea, bronchus, and lung cancers', 426, 'Tracheal, bronchus and lung cancer', 'B.01.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(79, 'breast-cancer', '', '', 'Breast cancer', 429, 'Breast cancer', 'B.01.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(80, 'cervical-cancer', '', '', 'Cervical cancer', 432, 'Cervical cancer', 'B.01.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(81, 'uterine-cancer', '', '', 'Uterine cancer', 435, 'Uterine cancer', 'B.01.08', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(82, 'prostate-cancer', '', '', 'Prostate cancer', 438, 'Prostate cancer', 'B.01.09', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(83, 'colon-and-rectum-cancers', '', '', 'Colon and rectum cancers', 441, 'Colon and rectum cancer', 'B.01.10', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(84, 'mouth-cancer', '', '', 'Mouth cancer', 444, 'Lip and oral cavity cancer', 'B.01.11', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(85, 'nasopharynx-cancer', '', '', 'Nasopharynx cancer', 447, 'Nasopharynx cancer', 'B.01.12', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(86, 'cancer-of-other-part-of-pharynx-and-oropharynx', '', '', 'Cancer of other part of pharynx and oropharynx', 450, 'Other pharynx cancer', 'B.01.13', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(87, 'gallbladder-and-biliary-tract-cancer', '', '', 'Gallbladder and biliary tract cancer', 453, 'Gallbladder and biliary tract cancer', 'B.01.14', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(88, 'pancreatic-cancer', '', '', 'Pancreatic cancer', 456, 'Pancreatic cancer', 'B.01.15', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(89, 'malignant-melanoma-of-skin', '', '', 'Malignant melanoma of skin', 459, 'Malignant skin melanoma', 'B.01.16', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(90, 'non-melanoma-skin-cancer', '', '', 'Non-melanoma skin cancer', 462, 'Non-melanoma skin cancer', 'B.01.17', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(91, 'ovarian-cancer', '', '', 'Ovarian cancer', 465, 'Ovarian cancer', 'B.01.18', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(92, 'testicular-cancer', '', '', 'Testicular cancer', 468, 'Testicular cancer', 'B.01.19', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(93, 'kidney-and-other-urinary-organ-cancers', '', '', 'Kidney and other urinary organ cancers', 471, 'Kidney cancer', 'B.01.20', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(94, 'bladder-cancer', '', '', 'Bladder cancer', 474, 'Bladder cancer', 'B.01.21', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(95, 'brain-and-nervous-system-cancers', '', '', 'Brain and nervous system cancers', 477, 'Brain and nervous system cancer', 'B.01.22', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(96, 'thyroid-cancer', '', '', 'Thyroid cancer', 480, 'Thyroid cancer', 'B.01.23', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(97, 'hodgkin-s-disease', '', '', 'Hodgkin\'s disease', 484, 'Hodgkin lymphoma', 'B.01.25', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(98, 'non-hodgkin-lymphoma', '', '', 'Non-Hodgkin lymphoma', 485, 'Non-Hodgkin lymphoma', 'B.01.26', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(99, 'multiple-myeloma', '', '', 'Multiple myeloma', 486, 'Multiple myeloma', 'B.01.27', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(100, 'leukemia', '', '', 'Leukemia', 487, 'Leukemia', 'B.01.28', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(101, 'other-neoplasms', '', '', 'Other neoplasms', 488, 'Other neoplasms', 'B.01.29', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(102, 'cardiovascular-and-circulatory-diseases', '', '', 'Cardiovascular and circulatory diseases', 491, 'Cardiovascular diseases', 'B.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(103, 'rheumatic-heart-disease', '', '', 'Rheumatic heart disease', 492, 'Rheumatic heart disease', 'B.02.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(104, 'ischemic-heart-disease', '', '', 'Ischemic heart disease', 493, 'Ischemic heart disease', 'B.02.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(105, 'cerebrovascular-disease', '', '', 'Cerebrovascular disease', 494, 'Cerebrovascular disease', 'B.02.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(106, 'ischemic-stroke', '', '', 'Ischemic stroke', 495, 'Ischemic stroke', 'B.02.03.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(107, 'hemorrhagic-and-other-non-ischemic-stroke', '', '', 'Hemorrhagic and other non-ischemic stroke', 496, 'Hemorrhagic stroke', 'B.02.03.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(108, 'hypertensive-heart-disease', '', '', 'Hypertensive heart disease', 498, 'Hypertensive heart disease', 'B.02.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(109, 'cardiomyopathy-and-myocarditis', '', '', 'Cardiomyopathy and myocarditis', 499, 'Cardiomyopathy and myocarditis', 'B.02.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(110, 'atrial-fibrillation-and-flutter', '', '', 'Atrial fibrillation and flutter', 500, 'Atrial fibrillation and flutter', 'B.02.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(111, 'aortic-aneurysm', '', '', 'Aortic aneurysm', 501, 'Aortic aneurysm', 'B.02.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(112, 'peripheral-vascular-disease', '', '', 'Peripheral vascular disease', 502, 'Peripheral vascular disease', 'B.02.08', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(113, 'endocarditis', '', '', 'Endocarditis', 503, 'Endocarditis', 'B.02.09', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(114, 'other-cardiovascular-and-circulatory-diseases', '', '', 'Other cardiovascular and circulatory diseases', 507, 'Other cardiovascular and circulatory diseases', 'B.02.10', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(115, 'chronic-respiratory-diseases', '', '', 'Chronic respiratory diseases', 508, 'Chronic respiratory diseases', 'B.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(116, 'chronic-obstructive-pulmonary-disease', '', '', 'Chronic obstructive pulmonary disease', 509, 'Chronic obstructive pulmonary disease', 'B.03.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(117, 'pneumoconiosis', '', '', 'Pneumoconiosis', 510, 'Pneumoconiosis', 'B.03.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(118, 'asthma', '', '', 'Asthma', 515, 'Asthma', 'B.03.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(119, 'interstitial-lung-disease-and-pulmonary-sarcoidosis', '', '', 'Interstitial lung disease and pulmonary sarcoidosis', 516, 'Interstitial lung disease and pulmonary sarcoidosis', 'B.03.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(120, 'other-chronic-respiratory-diseases', '', '', 'Other chronic respiratory diseases', 520, 'Other chronic respiratory diseases', 'B.03.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(121, 'cirrhosis-of-the-liver', '', '', 'Cirrhosis of the liver', 521, 'Cirrhosis', 'B.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(122, 'cirrhosis-of-the-liver-secondary-to-hepatitis-b', '', '', 'Cirrhosis of the liver secondary to hepatitis B', 522, 'Cirrhosis due to hepatitis B', 'B.04.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(123, 'cirrhosis-of-the-liver-secondary-to-hepatitis-c', '', '', 'Cirrhosis of the liver secondary to hepatitis C', 523, 'Cirrhosis due to hepatitis C', 'B.04.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(124, 'cirrhosis-of-the-liver-secondary-to-alcohol-use', '', '', 'Cirrhosis of the liver secondary to alcohol use', 524, 'Cirrhosis due to alcohol use', 'B.04.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(125, 'other-cirrhosis-of-the-liver', '', '', 'Other cirrhosis of the liver', 525, 'Cirrhosis due to other causes', 'B.04.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(126, 'digestive-diseases-except-cirrhosis', '', '', 'Digestive diseases (except cirrhosis)', 526, 'Digestive diseases', 'B.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(127, 'peptic-ulcer-disease', '', '', 'Peptic ulcer disease', 527, 'Peptic ulcer disease', 'B.05.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(128, 'gastritis-and-duodenitis', '', '', 'Gastritis and duodenitis', 528, 'Gastritis and duodenitis', 'B.05.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(129, 'appendicitis', '', '', 'Appendicitis', 529, 'Appendicitis', 'B.05.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(130, 'paralytic-ileus-and-intestinal-obstruction-without-hernia', '', '', 'Paralytic ileus and intestinal obstruction without hernia', 530, 'Paralytic ileus and intestinal obstruction', 'B.05.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(131, 'inguinal-or-femoral-hernia', '', '', 'Inguinal or femoral hernia', 531, 'Inguinal, femoral, and abdominal hernia', 'B.05.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(132, 'non-infective-inflammatory-bowel-disease', '', '', 'Non-infective inflammatory bowel disease', 532, 'Inflammatory bowel disease', 'B.05.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(133, 'vascular-disorders-of-intestine', '', '', 'Vascular disorders of intestine', 533, 'Vascular intestinal disorders', 'B.05.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(134, 'gall-bladder-and-bile-duct-disease', '', '', 'Gall bladder and bile duct disease', 534, 'Gallbladder and biliary diseases', 'B.05.08', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(135, 'pancreatitis', '', '', 'Pancreatitis', 535, 'Pancreatitis', 'B.05.09', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(136, 'other-digestive-diseases', '', '', 'Other digestive diseases', 541, 'Other digestive diseases', 'B.05.10', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(137, 'neurological-disorders', '', '', 'Neurological disorders', 542, 'Neurological disorders', 'B.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(138, 'alzheimer-s-disease-and-other-dementias', '', '', 'Alzheimer\'s disease and other dementias', 543, 'Alzheimer disease and other dementias', 'B.06.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(139, 'parkinson-s-disease', '', '', 'Parkinson\'s disease', 544, 'Parkinson disease', 'B.06.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(140, 'epilepsy', '', '', 'Epilepsy', 545, 'Epilepsy', 'B.06.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(141, 'multiple-sclerosis', '', '', 'Multiple sclerosis', 546, 'Multiple sclerosis', 'B.06.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(142, 'migraine', '', '', 'Migraine', 547, 'Migraine', 'B.06.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(143, 'tension-type-headache', '', '', 'Tension-type headache', 548, 'Tension-type headache', 'B.06.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(144, 'other-neurological-disorders', '', '', 'Other neurological disorders', 557, 'Other neurological disorders', 'B.06.08', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(145, 'mental-and-behavioral-disorders', '', '', 'Mental and behavioral disorders', 558, 'Mental and substance use disorders', 'B.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(146, 'schizophrenia', '', '', 'Schizophrenia', 559, 'Schizophrenia', 'B.07.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(147, 'alcohol-use-disorders', '', '', 'Alcohol use disorders', 560, 'Alcohol use disorders', 'B.07.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(148, 'drug-use-disorders', '', '', 'Drug use disorders', 561, 'Drug use disorders', 'B.07.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(149, 'opioid-use-disorders', '', '', 'Opioid use disorders', 562, 'Opioid use disorders', 'B.07.03.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(150, 'cocaine-use-disorders', '', '', 'Cocaine use disorders', 563, 'Cocaine use disorders', 'B.07.03.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(151, 'amphetamine-use-disorders', '', '', 'Amphetamine use disorders', 564, 'Amphetamine use disorders', 'B.07.03.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(152, 'cannabis-use-disorders', '', '', 'Cannabis use disorders', 565, 'Cannabis use disorders', 'B.07.03.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(153, 'other-drug-use-disorders', '', '', 'Other drug use disorders', 566, 'Other drug use disorders', 'B.07.03.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(154, 'unipolar-depressive-disorders', '', '', 'Unipolar depressive disorders', 567, 'Depressive disorders', 'B.07.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(155, 'major-depressive-disorder', '', '', 'Major depressive disorder', 568, 'Major depressive disorder', 'B.07.04.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(156, 'dysthymia', '', '', 'Dysthymia', 569, 'Dysthymia', 'B.07.04.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(157, 'pervasive-development-disorders', '', '', 'Pervasive development disorders', '', '', '', '', 2, 94, 450, '2014-04-02 15:15:46', '2016-05-21 11:06:14', '', '0000-00-00 00:00:00', 2, '', '', ''),
(158, 'childhood-behavioral-disorders', '', '', 'Childhood behavioral disorders', '', '', '', '', 2, 94, 450, '2014-04-02 15:15:46', '2016-05-21 11:06:14', '', '0000-00-00 00:00:00', 2, '', '', ''),
(159, 'bipolar-affective-disorder', '', '', 'Bipolar affective disorder', 570, 'Bipolar disorder', 'B.07.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(160, 'anxiety-disorders', '', '', 'Anxiety disorders', 571, 'Anxiety disorders', 'B.07.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(161, 'eating-disorders', '', '', 'Eating disorders', 572, 'Eating disorders', 'B.07.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(162, 'autism', '', '', 'Autism', 576, 'Autism', 'B.07.08.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(163, 'asperger-s-syndrome', '', '', 'Asperger\'s syndrome', 577, 'Asperger syndrome', 'B.07.08.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(164, 'attention-deficit-hyperactivity-disorder', '', '', 'Attention-deficit hyperactivity disorder', 578, 'Attention-deficit/hyperactivity disorder', 'B.07.09', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(165, 'conduct-disorder', '', '', 'Conduct disorder', 579, 'Conduct disorder', 'B.07.10', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(166, 'idiopathic-intellectual-disability', '', '', 'Idiopathic intellectual disability', 582, 'Idiopathic intellectual disability', 'B.07.11', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(167, 'other-mental-and-behavioral-disorders', '', '', 'Other mental and behavioral disorders', 585, 'Other mental and substance use disorders', 'B.07.12', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(168, 'diabetes-urogenital-blood-and-endocrine-diseases', '', '', 'Diabetes, urogenital, blood, and endocrine diseases', 586, 'Diabetes, urogenital, blood, and endocrine diseases', 'B.08', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(169, 'diabetes-mellitus', '', '', 'Diabetes mellitus', 587, 'Diabetes mellitus', 'B.08.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(170, 'acute-glomerulonephritis', '', '', 'Acute glomerulonephritis', 588, 'Acute glomerulonephritis', 'B.08.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(171, 'chronic-kidney-diseases', '', '', 'Chronic kidney diseases', 589, 'Chronic kidney disease', 'B.08.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(172, 'chronic-kidney-disease-due-to-diabetes-mellitus', '', '', 'Chronic kidney disease due to diabetes mellitus', 590, 'Chronic kidney disease due to diabetes mellitus', 'B.08.03.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(173, 'chronic-kidney-disease-due-to-hypertension', '', '', 'Chronic kidney disease due to hypertension', 591, 'Chronic kidney disease due to hypertension', 'B.08.03.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(174, 'chronic-kidney-disease-unspecified', '', '', 'Chronic kidney disease unspecified', 593, 'Chronic kidney disease due to other causes', 'B.08.03.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(175, 'urinary-diseases-and-male-infertility', '', '', 'Urinary diseases and male infertility', 594, 'Urinary diseases and male infertility', 'B.08.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(176, 'tubulointerstitial-nephritis-pyelonephritis-and-urinary-tract-in', '', '', 'Tubulointerstitial nephritis, pyelonephritis, and urinary tract infections', 595, 'Interstitial nephritis and urinary tract infections', 'B.08.04.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(177, 'urolithiasis', '', '', 'Urolithiasis', 596, 'Urolithiasis', 'B.08.04.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(178, 'benign-prostatic-hyperplasia', '', '', 'Benign prostatic hyperplasia', 597, 'Benign prostatic hyperplasia', 'B.08.04.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(179, 'male-infertility', '', '', 'Male infertility', 598, 'Male infertility due to other causes', 'B.08.04.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(180, 'other-urinary-diseases', '', '', 'Other urinary diseases', 602, 'Other urinary diseases', 'B.08.04.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(181, 'gynecological-diseases', '', '', 'Gynecological diseases', 603, 'Gynecological diseases', 'B.08.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(182, 'uterine-fibroids', '', '', 'Uterine fibroids', 604, 'Uterine fibroids', 'B.08.05.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(183, 'polycystic-ovarian-syndrome', '', '', 'Polycystic ovarian syndrome', 605, 'Polycystic ovarian syndrome', 'B.08.05.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(184, 'female-infertility', '', '', 'Female infertility', 606, 'Female infertility due to other causes', 'B.08.05.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(185, 'endometriosis', '', '', 'Endometriosis', 607, 'Endometriosis', 'B.08.05.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(186, 'genital-prolapse', '', '', 'Genital prolapse', 608, 'Genital prolapse', 'B.08.05.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(187, 'premenstrual-syndrome', '', '', 'Premenstrual syndrome', 609, 'Premenstrual syndrome', 'B.08.05.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(188, 'other-gynecological-diseases', '', '', 'Other gynecological diseases', 612, 'Other gynecological diseases', 'B.08.05.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(189, 'hemoglobinopathies-and-hemolytic-anemias', '', '', 'Hemoglobinopathies and hemolytic anemias', 613, 'Hemoglobinopathies and hemolytic anemias', 'B.08.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(190, 'thalassemias', '', '', 'Thalassemias', 614, 'Thalassemias', 'B.08.06.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(191, 'sickle-cell-disorders', '', '', 'Sickle cell disorders', 615, 'Sickle cell disorders', 'B.08.06.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(192, 'g6pd-deficiency', '', '', 'G6PD deficiency', 616, 'G6PD deficiency', 'B.08.06.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(193, 'other-hemoglobinopathies-and-hemolytic-anemias', '', '', 'Other hemoglobinopathies and hemolytic anemias', 618, 'Other hemoglobinopathies and hemolytic anemias', 'B.08.06.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(194, 'other-endocrine-nutritional-blood-and-immune-disorders', '', '', 'Other endocrine, nutritional, blood, and immune disorders', 619, 'Endocrine, metabolic, blood, and immune disorders', 'B.08.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(195, 'musculoskeletal-disorders', '', '', 'Musculoskeletal disorders', 626, 'Musculoskeletal disorders', 'B.09', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(196, 'rheumatoid-arthritis', '', '', 'Rheumatoid arthritis', 627, 'Rheumatoid arthritis', 'B.09.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(197, 'osteoarthritis', '', '', 'Osteoarthritis', 628, 'Osteoarthritis', 'B.09.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(198, 'low-back-and-neck-pain', '', '', 'Low back and neck pain', 629, 'Low back and neck pain', 'B.09.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(199, 'low-back-pain', '', '', 'Low back pain', 630, 'Low back pain', 'B.09.03.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(200, 'neck-pain', '', '', 'Neck pain', 631, 'Neck pain', 'B.09.03.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(201, 'gout', '', '', 'Gout', 632, 'Gout', 'B.09.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(202, 'other-musculoskeletal-disorders', '', '', 'Other musculoskeletal disorders', 639, 'Other musculoskeletal disorders', 'B.09.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(203, 'other-non-communicable-diseases', '', '', 'Other non-communicable diseases', 640, 'Other non-communicable diseases', 'B.10', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(204, 'congenital-anomalies', '', '', 'Congenital anomalies', 641, 'Congenital anomalies', 'B.10.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(205, 'neural-tube-defects', '', '', 'Neural tube defects', 642, 'Neural tube defects', 'B.10.01.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(206, 'congenital-heart-anomalies', '', '', 'Congenital heart anomalies', 643, 'Congenital heart anomalies', 'B.10.01.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(207, 'cleft-lip-and-cleft-palate', '', '', 'Cleft lip and cleft palate', 644, 'Orofacial clefts', 'B.10.01.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(208, 'down-s-syndrome', '', '', 'Down\'s syndrome', 645, 'Down syndrome', 'B.10.01.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(209, 'other-chromosomal-abnormalities', '', '', 'Other chromosomal abnormalities', 648, 'Chromosomal unbalanced rearrangements', 'B.10.01.08', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(210, 'other-congenital-anomalies', '', '', 'Other congenital anomalies', 652, 'Other congenital anomalies', 'B.10.01.09', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(211, 'skin-and-subcutaneous-diseases', '', '', 'Skin and subcutaneous diseases', 653, 'Skin and subcutaneous diseases', 'B.10.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(212, 'eczema', '', '', 'Eczema', 654, 'Dermatitis', 'B.10.02.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(213, 'psoriasis', '', '', 'Psoriasis', 655, 'Psoriasis', 'B.10.02.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(214, 'cellulitis', '', '', 'Cellulitis', 656, 'Cellulitis', 'B.10.02.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(215, 'abscess-impetigo-and-other-bacterial-skin-diseases', '', '', 'Abscess, impetigo, and other bacterial skin diseases', 657, 'Pyoderma', 'B.10.02.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(216, 'scabies', '', '', 'Scabies', 658, 'Scabies', 'B.10.02.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(217, 'fungal-skin-diseases', '', '', 'Fungal skin diseases', 659, 'Fungal skin diseases', 'B.10.02.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(218, 'viral-skin-diseases', '', '', 'Viral skin diseases', 660, 'Viral skin diseases', 'B.10.02.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(219, 'acne-vulgaris', '', '', 'Acne vulgaris', 661, 'Acne vulgaris', 'B.10.02.08', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(220, 'alopecia-areata', '', '', 'Alopecia areata', 662, 'Alopecia areata', 'B.10.02.09', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(221, 'pruritus', '', '', 'Pruritus', 663, 'Pruritus', 'B.10.02.10', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(222, 'urticaria', '', '', 'Urticaria', 664, 'Urticaria', 'B.10.02.11', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(223, 'decubitus-ulcer', '', '', 'Decubitus ulcer', 665, 'Decubitus ulcer', 'B.10.02.12', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(224, 'other-skin-and-subcutaneous-diseases', '', '', 'Other skin and subcutaneous diseases', 668, 'Other skin and subcutaneous diseases', 'B.10.02.13', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(225, 'sense-organ-diseases', '', '', 'Sense organ diseases', 669, 'Sense organ diseases', 'B.10.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(226, 'glaucoma', '', '', 'Glaucoma', 670, 'Glaucoma', 'B.10.03.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(227, 'cataracts', '', '', 'Cataracts', 671, 'Cataract', 'B.10.03.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(228, 'macular-degeneration', '', '', 'Macular degeneration', 672, 'Macular degeneration', 'B.10.03.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(229, 'refraction-and-accommodation-disorders', '', '', 'Refraction and accommodation disorders', 673, 'Uncorrected refractive error', 'B.10.03.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(230, 'other-hearing-loss', '', '', 'Other hearing loss', 674, 'Age-related and other hearing loss', 'B.10.03.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(231, 'other-vision-loss', '', '', 'Other vision loss', 675, 'Other vision loss', 'B.10.03.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(232, 'other-sense-organ-diseases', '', '', 'Other sense organ diseases', 679, 'Other sense organ diseases', 'B.10.03.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(233, 'oral-disorders', '', '', 'Oral disorders', 680, 'Oral disorders', 'B.10.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(234, 'dental-caries', '', '', 'Dental caries', 681, 'Deciduous caries', 'B.10.04.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(235, 'periodontal-disease', '', '', 'Periodontal disease', 682, 'Permanent caries', 'B.10.04.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(236, 'edentulism', '', '', 'Edentulism', 684, 'Edentulism and severe tooth loss', 'B.10.04.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(237, 'sudden-infant-death-syndrome', '', '', 'Sudden infant death syndrome', 686, 'Sudden infant death syndrome', 'B.10.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(238, 'transport-injuries', '', '', 'Transport injuries', 688, 'Transport injuries', 'C.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(239, 'road-injury', '', '', 'Road injury', 689, 'Road injuries', 'C.01.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(240, 'pedestrian-injury-by-road-vehicle', '', '', 'Pedestrian injury by road vehicle', 690, 'Pedestrian road injuries', 'C.01.01.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(241, 'pedal-cycle-vehicle', '', '', 'Pedal cycle vehicle', 691, 'Cyclist road injuries', 'C.01.01.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(242, 'motorized-vehicle-with-two-wheels', '', '', 'Motorized vehicle with two wheels', 692, 'Motorcyclist road injuries', 'C.01.01.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(243, 'motorized-vehicle-with-three-or-more-wheels', '', '', 'Motorized vehicle with three or more wheels', 693, 'Motor vehicle road injuries', 'C.01.01.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(244, 'road-injury-other', '', '', 'Road injury other', 694, 'Other road injuries', 'C.01.01.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(245, 'other-transport-injury', '', '', 'Other transport injury', 695, 'Other transport injuries', 'C.01.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(246, 'unintentional-injuries-other-than-transport-injuries', '', '', 'Unintentional injuries other than transport injuries', 696, 'Unintentional injuries', 'C.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(247, 'falls', '', '', 'Falls', 697, 'Falls', 'C.02.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(248, 'drowning', '', '', 'Drowning', 698, 'Drowning', 'C.02.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(249, 'fire-heat-and-hot-substances', '', '', 'Fire, heat and hot substances', 699, 'Fire, heat, and hot substances', 'C.02.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(250, 'poisonings', '', '', 'Poisonings', 700, 'Poisonings', 'C.02.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(251, 'exposure-to-mechanical-forces', '', '', 'Exposure to mechanical forces', 704, 'Exposure to mechanical forces', 'C.02.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(252, 'mechanical-forces-firearm', '', '', 'Mechanical forces (firearm)', 705, 'Unintentional firearm injuries', 'C.02.05.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(253, 'mechanical-forces-other', '', '', 'Mechanical forces (other)', 707, 'Other exposure to mechanical forces', 'C.02.05.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(254, 'adverse-effects-of-medical-treatment', '', '', 'Adverse effects of medical treatment', 708, 'Adverse effects of medical treatment', 'C.02.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(255, 'animal-contact', '', '', 'Animal contact', 709, 'Animal contact', 'C.02.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(256, 'animal-contact-venomous', '', '', 'Animal contact (venomous)', 710, 'Venomous animal contact', 'C.02.07.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(257, 'animal-contact-non-venomous', '', '', 'Animal contact (non-venomous)', 711, 'Non-venomous animal contact', 'C.02.07.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(258, 'unintentional-injuries-not-classified-elsewhere', '', '', 'Unintentional injuries not classified elsewhere', 716, 'Other unintentional injuries', 'C.02.09', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(259, 'self-harm-and-interpersonal-violence', '', '', 'Self-harm and interpersonal violence', 717, 'Self-harm and interpersonal violence', 'C.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(260, 'self-harm', '', '', 'Self-harm', 718, 'Self-harm', 'C.03.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(261, 'interpersonal-violence', '', '', 'Interpersonal violence', 724, 'Interpersonal violence', 'C.03.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(262, 'assault-by-firearm', '', '', 'Assault by firearm', 725, 'Assault by firearm', 'C.03.02.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(263, 'assault-by-sharp-object', '', '', 'Assault by sharp object', 726, 'Assault by sharp object', 'C.03.02.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(264, 'assault-by-other-means', '', '', 'Assault by other means', 727, 'Assault by other means', 'C.03.02.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(265, 'high-fasting-plasma-glucose', '', '', 'High fasting plasma glucose', 105, 'High fasting plasma glucose', 'R.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(266, 'high-total-cholesterol', '', '', 'High total cholesterol', 106, 'High total cholesterol', 'R.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(267, 'high-blood-pressure', '', '', 'High blood pressure', 107, 'High systolic blood pressure', 'R.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(268, 'high-body-mass-index', '', '', 'High body-mass index', 108, 'High body-mass index', 'R.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(269, 'low-bone-mineral-density', '', '', 'Low bone mineral density', 109, 'Low bone mineral density', 'R.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(270, 'physical-inactivity-and-low-physical-activity', '', '', 'Physical inactivity and low physical activity', 125, 'Low physical activity', 'R.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(271, 'tobacco-smoking', '', '', 'Tobacco smoking', 98, 'Tobacco smoke', 'R.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(272, 'second-hand-smoke', '', '', 'Second-hand smoke', 100, 'Secondhand smoke', 'R.07.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(273, 'tobacco-smoking-excluding-second-hand-smoke', '', '', 'Tobacco smoking, excluding second-hand smoke', 99, 'Smoking', 'R.07.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(274, 'alcohol-and-drug-use', '', '', 'Alcohol and drug use', 101, 'Alcohol and drug use', 'R.08', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(275, 'alcohol-use', '', '', 'Alcohol use', 102, 'Alcohol use', 'R.08.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(276, 'drug-use', '', '', 'Drug use', 103, 'Drug use', 'R.08.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(277, 'occupational-risks', '', '', 'Occupational risks', 126, 'Occupational risks', 'R.09', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(278, 'occupational-carcinogens', '', '', 'Occupational carcinogens', 127, 'Occupational carcinogens', 'R.09.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(279, 'occupational-asthmagens', '', '', 'Occupational asthmagens', 128, 'Occupational asthmagens', 'R.09.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(280, 'occupational-risk-factors-for-injuries', '', '', 'Occupational risk factors for injuries', 131, 'Occupational injuries', 'R.09.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(281, 'occupational-noise', '', '', 'Occupational noise', 130, 'Occupational noise', 'R.09.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(282, 'occupational-low-back-pain', '', '', 'Occupational low back pain', 132, 'Occupational ergonomic factors', 'R.09.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(283, 'occupational-particulate-matter-gases-and-fumes', '', '', 'Occupational particulate matter, gases, and fumes', 129, 'Occupational particulate matter, gases, and fumes', 'R.09.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(284, 'iron-deficiency', '', '', 'Iron deficiency', 95, 'Iron deficiency', 'R.10', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(285, 'zinc-deficiency', '', '', 'Zinc deficiency', 97, 'Zinc deficiency', 'R.11', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(286, 'dietary-risks', '', '', 'Dietary risks', 110, 'Dietary risks', 'R.13', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(287, 'diet-low-in-fruits', '', '', 'Diet low in fruits', 111, 'Diet low in fruits', 'R.13.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(288, 'diet-low-in-vegetables', '', '', 'Diet low in vegetables', 112, 'Diet low in vegetables', 'R.13.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(289, 'diet-low-in-whole-grains', '', '', 'Diet low in whole grains', 113, 'Diet low in whole grains', 'R.13.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(290, 'diet-low-in-nuts-and-seeds', '', '', 'Diet low in nuts and seeds', 114, 'Diet low in nuts and seeds', 'R.13.04', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(291, 'diet-low-in-milk', '', '', 'Diet low in milk', 115, 'Diet low in milk', 'R.13.05', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(292, 'diet-high-in-red-meat', '', '', 'Diet high in red meat', 116, 'Diet high in red meat', 'R.13.06', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(293, 'diet-high-in-processed-meat', '', '', 'Diet high in processed meat', 117, 'Diet high in processed meat', 'R.13.07', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(294, 'diet-high-in-sugar-sweetened-beverages', '', '', 'Diet high in sugar-sweetened beverages', 118, 'Diet high in sugar-sweetened beverages', 'R.13.08', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(295, 'diet-low-in-fiber', '', '', 'Diet low in fiber', 119, 'Diet low in fiber', 'R.13.09', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(296, 'diet-low-in-calcium', '', '', 'Diet low in calcium', 120, 'Diet suboptimal in calcium', 'R.13.10', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(297, 'diet-low-in-seafood-omega-3-fatty-acids', '', '', 'Diet low in seafood omega-3 fatty acids', 121, 'Diet low in seafood omega-3 fatty acids', 'R.13.11', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(298, 'diet-low-in-polyunsaturated-fatty-acids', '', '', 'Diet low in polyunsaturated fatty acids', 122, 'Diet low in polyunsaturated fatty acids', 'R.13.12', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(299, 'diet-high-in-trans-fatty-acids', '', '', 'Diet high in trans fatty acids', 123, 'Diet high in trans fatty acids', 'R.13.13', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(300, 'diet-high-in-sodium', '', '', 'Diet high in sodium', 124, 'Diet high in sodium', 'R.13.14', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(301, 'unimproved-water-and-sanitation', '', '', 'Unimproved water and sanitation', 82, 'Unsafe water, sanitation, and handwashing', 'R.13', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(302, 'unimproved-water-source', '', '', 'Unimproved water source', 83, 'Unsafe water source', 'R.13.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(303, 'unimproved-sanitation', '', '', 'Unimproved sanitation', 84, 'Unsafe sanitation', 'R.13.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(304, 'ambient-particulate-matter-pollution', '', '', 'Ambient particulate matter pollution', 86, 'Ambient particulate matter pollution', 'R.14', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(305, 'residential-radon', '', '', 'Residential radon', 90, 'Residential radon', 'R.14.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(306, 'household-air-pollution-from-solid-fuels', '', '', 'Household air pollution from solid fuels', 87, 'Household air pollution from solid fuels', 'R.14.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(307, 'ambient-ozone-pollution', '', '', 'Ambient ozone pollution', 88, 'Ambient ozone pollution', 'R.14.03', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(308, 'lead-exposure', '', '', 'Lead exposure', 91, 'Lead exposure', 'R.15', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(309, 'other-environmental-risks', '', '', 'Other environmental risks', 89, 'Other environmental risks', 'R.16', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(310, 'child-and-maternal-undernutrition', '', '', 'Child and maternal undernutrition', 92, 'Child and maternal malnutrition', 'R.17', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(311, 'suboptimal-breastfeeding', '', '', 'Suboptimal breastfeeding', 93, 'Suboptimal breastfeeding', 'R.17.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(312, 'childhood-underweight', '', '', 'Childhood underweight', 94, 'Childhood underweight', 'R.17.02', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(313, 'sexual-abuse-and-violence', '', '', 'Sexual abuse and violence', 133, 'Sexual abuse and violence', 'R.18', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(314, 'childhood-sexual-abuse', '', '', 'Childhood sexual abuse', 134, 'Childhood sexual abuse', 'R.18.01', '', 1, 94, 450, '2014-04-02 15:15:46', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(315, 'intimate-partner-violence', '', '', 'Intimate partner violence', 135, 'Intimate partner violence', 'R.18.02', '', 1, 94, 450, '2014-04-02 15:15:47', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 3, '', '', ''),
(316, 'typhoid-fever', '', '', 'Typhoid fever', 319, 'Typhoid fever', 'A.02.02.01', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(317, 'paratyphoid-fever', '', '', 'Paratyphoid fever', 320, 'Paratyphoid fever', 'A.02.02.02', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(318, 'other-intestinal-infectious-diseases', '', '', 'Other intestinal infectious diseases', 321, 'Other intestinal infectious diseases', 'A.02.02.03', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(319, 'chagas-disease', '', '', 'Chagas disease', 346, 'Chagas disease', 'A.03.02', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(320, 'visceral-leishmaniasis', '', '', 'Visceral leishmaniasis', 348, 'Visceral leishmaniasis', 'A.03.03.01', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(321, 'cutaneous-and-mucocutaneous-leishmaniasis', '', '', 'Cutaneous and mucocutaneous leishmaniasis', 349, 'Cutaneous and mucocutaneous leishmaniasis', 'A.03.03.02', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(322, 'african-trypanosomiasis', '', '', 'African trypanosomiasis', 350, 'African trypanosomiasis', 'A.03.04', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(323, 'lymphatic-filariasis', '', '', 'Lymphatic filariasis', 354, 'Lymphatic filariasis', 'A.03.08', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(324, 'onchocerciasis', '', '', 'Onchocerciasis', 355, 'Onchocerciasis', 'A.03.09', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(325, 'yellow-fever', '', '', 'Yellow fever', 358, 'Yellow fever', 'A.03.12', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(326, 'food-borne-trematodiases', '', '', 'Food-borne trematodiases', 364, 'Food-borne trematodiases', 'A.03.15', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(327, 'indirect-maternal-deaths', '', '', 'Indirect maternal deaths', 375, 'Indirect maternal deaths', 'A.04.06', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(328, 'late-maternal-deaths', '', '', 'Late maternal deaths', 376, 'Late maternal deaths', 'A.04.07', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(329, 'maternal-deaths-aggravated-by-hiv-aids', '', '', 'Maternal deaths aggravated by HIV/AIDS', 741, 'Maternal deaths aggravated by HIV/AIDS', 'A.04.08', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(330, 'hemolytic-disease-and-other-neonatal-jaundice', '', '', 'Hemolytic disease and other neonatal jaundice', 384, 'Hemolytic disease and other neonatal jaundice', 'A.05.04', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(331, 'genital-herpes', '', '', 'Genital herpes', 398, 'Genital herpes', 'A.07.01.05', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(332, 'mesothelioma', '', '', 'Mesothelioma', 483, 'Mesothelioma', 'B.01.24', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(333, 'silicosis', '', '', 'Silicosis', 511, 'Silicosis', 'B.03.02.01', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(334, 'asbestosis', '', '', 'Asbestosis', 512, 'Asbestosis', 'B.03.02.02', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(335, 'coal-workers-pneumoconiosis', '', '', 'Coal workers pneumoconiosis', 513, 'Coal workers pneumoconiosis', 'B.03.02.03', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(336, 'other-pneumoconiosis', '', '', 'Other pneumoconiosis', 514, 'Other pneumoconiosis', 'B.03.02.04', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(337, 'medication-overuse-headache', '', '', 'Medication overuse headache', 549, 'Medication overuse headache', 'B.06.07', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(338, 'anorexia-nervosa', '', '', 'Anorexia nervosa', 573, 'Anorexia nervosa', 'B.07.07.01', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(339, 'bulimia-nervosa', '', '', 'Bulimia nervosa', 574, 'Bulimia nervosa', 'B.07.07.02', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(340, 'autistic-spectrum-disorders', '', '', 'Autistic spectrum disorders', 575, 'Autistic spectrum disorders', 'B.07.08', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(341, 'chronic-kidney-disease-due-to-glomerulonephritis', '', '', 'Chronic kidney disease due to glomerulonephritis', 592, 'Chronic kidney disease due to glomerulonephritis', 'B.08.03.03', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(342, 'thalassemia-trait', '', '', 'Thalassemia trait', 837, 'Thalassemia trait', 'B.08.06.02', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(343, 'sickle-cell-trait', '', '', 'Sickle cell trait', 838, 'Sickle cell trait', 'B.08.06.04', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(344, 'g6pd-trait', '', '', 'G6PD trait', 839, 'G6PD trait', 'B.08.06.06', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(345, 'turner-syndrome', '', '', 'Turner syndrome', 646, 'Turner syndrome', 'B.10.01.05', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(346, 'klinefelter-syndrome', '', '', 'Klinefelter syndrome', 647, 'Klinefelter syndrome', 'B.10.01.06', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(347, 'periodontal-diseases', '', '', 'Periodontal diseases', 683, 'Periodontal diseases', 'B.10.04.03', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(348, 'other-oral-disorders', '', '', 'Other oral disorders', 685, 'Other oral disorders', 'B.10.04.05', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(349, 'unintentional-suffocation', '', '', 'Unintentional suffocation', 706, 'Unintentional suffocation', 'C.02.05.03', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(350, 'foreign-body', '', '', 'Foreign body', 712, 'Foreign body', 'C.02.08', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(351, 'pulmonary-aspiration-and-foreign-body-in-airway', '', '', 'Pulmonary aspiration and foreign body in airway', 713, 'Pulmonary aspiration and foreign body in airway', 'C.02.08.01', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(352, 'foreign-body-in-eyes', '', '', 'Foreign body in eyes', 714, 'Foreign body in eyes', 'C.02.08.02', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(353, 'foreign-body-in-other-body-part', '', '', 'Foreign body in other body part', 715, 'Foreign body in other body part', 'C.02.08.03', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(354, 'forces-of-nature-war-and-legal-intervention', '', '', 'Forces of nature, war, and legal intervention', 728, 'Forces of nature, war, and legal intervention', 'C.04', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(355, 'exposure-to-forces-of-nature', '', '', 'Exposure to forces of nature', 729, 'Exposure to forces of nature', 'C.04.01', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(356, 'collective-violence-and-legal-intervention', '', '', 'Collective violence and legal intervention', 730, 'Collective violence and legal intervention', 'C.04.02', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(357, 'occupational-exposure-to-asbestos', '', '', 'Occupational exposure to asbestos', 150, 'Occupational exposure to asbestos', 'R.09.01.01', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(358, 'occupational-exposure-to-arsenic', '', '', 'Occupational exposure to arsenic', 151, 'Occupational exposure to arsenic', 'R.09.01.02', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(359, 'occupational-exposure-to-benzene', '', '', 'Occupational exposure to benzene', 152, 'Occupational exposure to benzene', 'R.09.01.03', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(360, 'occupational-exposure-to-beryllium', '', '', 'Occupational exposure to beryllium', 153, 'Occupational exposure to beryllium', 'R.09.01.04', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(361, 'occupational-exposure-to-cadmium', '', '', 'Occupational exposure to cadmium', 154, 'Occupational exposure to cadmium', 'R.09.01.05', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(362, 'occupational-exposure-to-chromium', '', '', 'Occupational exposure to chromium', 155, 'Occupational exposure to chromium', 'R.09.01.06', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(363, 'occupational-exposure-to-diesel-engine-exhaust', '', '', 'Occupational exposure to diesel engine exhaust', 156, 'Occupational exposure to diesel engine exhaust', 'R.09.01.07', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(364, 'occupational-exposure-to-second-hand-smoke', '', '', 'Occupational exposure to second-hand smoke', 157, 'Occupational exposure to second-hand smoke', 'R.09.01.08', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(365, 'occupational-exposure-to-formaldehyde', '', '', 'Occupational exposure to formaldehyde', 158, 'Occupational exposure to formaldehyde', 'R.09.01.09', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(366, 'occupational-exposure-to-nickel', '', '', 'Occupational exposure to nickel', 159, 'Occupational exposure to nickel', 'R.09.01.10', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(367, 'occupational-exposure-to-polycyclic-aromatic-hydrocarbons', '', '', 'Occupational exposure to polycyclic aromatic hydrocarbons', 160, 'Occupational exposure to polycyclic aromatic hydrocarbons', 'R.09.01.11', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(368, 'occupational-exposure-to-silica', '', '', 'Occupational exposure to silica', 161, 'Occupational exposure to silica', 'R.09.01.12', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(369, 'occupational-exposure-to-sulfuric-acid', '', '', 'Occupational exposure to sulfuric acid', 162, 'Occupational exposure to sulfuric acid', 'R.09.01.13', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(370, 'occupational-exposure-to-trichloroethylene', '', '', 'Occupational exposure to trichloroethylene', 237, 'Occupational exposure to trichloroethylene', 'R.09.01.14', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(371, 'vitamin-a-deficiency-2', '', '', 'Vitamin A deficiency', 96, 'Vitamin A deficiency', 'R.12', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(372, 'air-pollution', '', '', 'Air pollution', 85, 'Air pollution', 'R.14.01', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(373, 'non-exclusive-breastfeeding', '', '', 'Non-exclusive breastfeeding', 136, 'Non-exclusive breastfeeding', 'R.19', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(374, 'discontinued-breastfeeding', '', '', 'Discontinued breastfeeding', 137, 'Discontinued breastfeeding', 'R.20', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(375, 'low-glomerular-filtration-rate', '', '', 'Low glomerular filtration rate', 143, 'Low glomerular filtration rate', 'R.21', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(376, 'unsafe-sex', '', '', 'Unsafe sex', 170, 'Unsafe sex', 'R.22', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(377, 'no-handwashing-with-soap', '', '', 'No handwashing with soap', 238, 'No handwashing with soap', 'R.23', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(378, 'childhood-undernutrition', '', '', 'Childhood undernutrition', 239, 'Childhood undernutrition', 'R.24', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(379, 'childhood-wasting', '', '', 'Childhood wasting', 240, 'Childhood wasting', 'R.25', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', ''),
(380, 'childhood-stunting', '', '', 'Childhood stunting', 241, 'Childhood stunting', 'R.26', '', 1, 450, 450, '2016-05-21 11:06:14', '2016-05-22 10:34:06', '', '0000-00-00 00:00:00', 2, '', '', '');

--
-- Dumping data for table `#__costbenefitprojection_health_data`
--

INSERT INTO `#__costbenefitprojection_health_data` (`id`, `causerisk`, `country`, `femaledeath`, `femaleyld`, `maledeath`, `maleyld`, `year`, `params`, `published`, `created_by`, `modified_by`, `created`, `modified`, `checked_out`, `checked_out_time`, `version`, `hits`, `access`, `ordering`) VALUES
(1, 1, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.592175424,172.780751051,426.707017778,614.414045743,631.703555588,582.853355826,499.770521989,417.400806872,314.779742502,297.975583471]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.718671912,641.708782741,1809.594181318,2591.526368588,2574.492129444,2167.489908777,1747.197663693,1326.875430347,1007.001521394,798.705766429]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.047576959,79.987598105,290.459029737,618.891251195,808.151525488,925.343396009,950.209451563,866.990334407,798.763937016,764.661648569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.641728722,450.76055002,1509.006033806,2524.696522454,3047.870412787,3040.229739672,2743.74363759,2152.150965636,1610.240637552,1298.907501543]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 19, '', 2, ''),
(2, 2, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.85253541,90.027758095,171.026917412,165.410873511,140.287747636,99.178278009,101.113792947,113.839577985,153.123369642,168.838089698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.36674339,185.983193461,597.447454596,779.667158681,649.703842136,498.115148726,425.342072614,364.68443017,289.317563342,228.928431644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.797376021,36.309304292,98.676927709,174.102712587,227.172261747,267.118233664,327.455432632,391.565445339,510.399566365,537.363776843]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.522854917,182.741281957,623.247090141,889.690375586,948.591539245,969.034641429,943.108528774,879.336524004,728.559679148,599.599545756]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(3, 3, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.739640014,82.752992952,255.680100366,449.003172232,491.415807951,483.675077818,398.656729042,303.561228887,161.65637286,129.137493773]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.351928522,455.725589281,1212.146726722,1811.859209907,1924.788287309,1669.374760051,1321.855591079,962.191000177,717.683958052,569.777334785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.250200937,43.678293813,191.782102028,444.788538608,580.979263741,658.225162345,622.754018931,475.424889081,288.364370668,227.297871726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.118873805,268.019268063,885.758943665,1635.006146868,2099.278873542,2071.195098243,1800.635108817,1272.814441632,881.680958405,699.307955787]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(4, 4, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.270036568,4.947217521,15.739554416,27.851234623,30.313909004,29.545163196,24.291449231,18.50148746,9.964423268,7.972745559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.326127098,38.660526968,223.924585672,350.286854088,302.356121037,211.279617096,150.765763428,99.700412486,63.962777894,44.538185647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.397406078,3.203069188,14.753150506,35.234701852,46.570815757,53.237508701,50.692313664,38.892206473,23.743100339,18.694901752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4535849507,23.467096019,187.153916854,370.476843914,442.864080373,433.061918271,368.991647888,260.330620049,172.601433219,125.725333207]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(5, 5, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.46960343,77.805775385,239.940545614,421.151937483,461.101898897,454.129914664,374.365280065,285.059741296,151.691949517,121.164748301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.025801425,417.065062312,988.22214105,1461.57235582,1622.432166272,1458.095142955,1171.089827651,862.490587691,653.721180158,525.239149138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.852794863,40.475224625,177.028951547,409.553837311,534.408448083,604.987653592,572.061705267,436.532683234,264.621270018,208.602970304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.665288855,244.552172044,698.605026811,1264.529302954,1656.414793169,1638.133179972,1431.643460928,1012.483821583,709.079525186,573.58262258]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(6, 6, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.124996399,75.748291184,148.559825744,146.217526943,122.863436218,89.355345039,88.776355929,105.867200382,156.594843532,224.728794111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.486661099,119.678358657,131.949626795,143.542235915,155.118382747,160.333610277,156.134193475,151.298484382,144.481161517,142.68781445]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.669073051,25.987637267,67.803509657,115.062714221,145.205656532,164.067837717,193.452772526,224.066925197,296.657791336,417.605223964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[170.205764449,165.785172949,162.54597697,158.274863703,154.78593116,152.998397466,151.682588732,151.137255836,146.191487831,146.015629519]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(7, 7, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.667886439,26.501389061,50.616993117,50.783160117,42.893060224,32.317707311,32.592526479,38.946865021,57.802392804,81.294669631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.823090281,10.096083377,22.7634938,35.165440809,48.154567111,54.309104752,52.714515919,50.023875521,47.640089749,50.848572176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.75616615,7.303332294,19.586188362,34.287817981,44.260833724,48.900280775,56.538413911,65.01200684,87.932669601,118.454200512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.120624467,49.489411328,46.098996534,42.377163596,39.054497073,37.838750799,39.059502864,41.181547294,42.549371378,47.949159925]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(8, 8, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.86197956,1.844396532,1.662844483,1.350927801,1.144099005,0.9649638855,1.005236257,1.118106469,1.268267483,1.352922883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.453235831,1.384656453,1.264253545,1.139408278,1.011638278,0.9225398336,0.8726806038,0.8177238198,0.7581954069,0.7877743517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.379574575,2.25589287,2.021385227,1.796330352,1.670534498,1.520617886,1.423359045,1.370564445,1.35548664,1.445246747]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.666416281,1.567643229,1.422934467,1.272399616,1.118066712,1.009011894,0.9451720749,0.8870536239,0.8330621352,0.8779275159]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(9, 9, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.460606042,39.03494195,81.822616574,80.036012918,67.696527617,49.022155743,48.220790307,59.059060593,88.977593263,132.977131532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.507683538,4.335492915,3.364341554,2.493077949,1.707879397,1.374052029,1.696378171,2.025099847,2.451257917,2.780306974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.777541901,12.184189936,37.556147062,66.331125754,84.591149499,99.106562679,120.130978233,143.532734374,192.220816209,279.17879875]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.308973496,1.95485892,2.081004568,2.131968645,2.229756951,2.584024733,3.372066414,4.088142817,4.834947121,5.481472848]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(10, 10, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00710323345,0.02764196001,0.06559815467,0.06324546446,0.0590092794,0.04398208254,0.05211305693,0.05484994012,0.0779585719,0.0893854094]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.878709909,34.347117975,32.991903243,31.745127415,30.505918366,29.526961618,28.516010728,27.562723743,26.768426814,25.946266814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01056940477,0.02107906647,0.04512373661,0.06813107993,0.08194967643,0.09443631982,0.1176457248,0.1433951619,0.1656729872,0.2109274829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.339901974,35.34418995,34.310941131,33.24487685,32.061507171,31.090956353,30.040107181,28.991232524,28.002196535,26.995452297]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(11, 11, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01097516757,0.01967353853,0.03484164242,0.02399785253,0.01367965453,0.02605994101,0.01711610727,0.04179002163,0.1342828212,0.128157754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.164035034,30.719572227,27.1017411,24.169745246,24.06081341,25.345665688,28.101741076,31.070525014,30.341790715,27.210187707]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01742819703,0.01330600014,0.02353396948,0.01058971019,0.02440099469,0.02190053625,0.03179117055,0.07867356507,0.1755282561,0.2147281941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.201706756,33.162539829,29.314653988,25.843509947,24.622605142,24.893451942,26.226854358,27.968861452,26.202807885,23.182341055]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(12, 12, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.651866864,7.429009795,13.061033036,12.713353298,10.018373404,6.291079287,6.184961845,5.870289877,7.177255105,7.696165929]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.914610709,35.379527653,40.451346655,44.486579939,44.962508323,43.667992491,38.342250453,32.854444537,28.543709851,26.19054255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.205068707,3.694641271,7.673792495,11.501484584,13.277173483,12.971696481,13.694749063,12.371214262,12.6597418,15.601669895]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.80177628,41.057684508,45.670871987,49.392563854,51.159752095,50.229766675,45.712931653,40.782480705,35.607600475,32.743115009]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(13, 13, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.459601147,1.315734893,2.245474954,2.296878661,1.955548483,1.25863811,1.213533523,1.141146304,1.430060423,1.520866448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.370391491,8.176493029,9.359452388,10.44386235,11.578412887,12.18836207,12.408481435,11.459687947,9.78091395,7.839868729]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7202794707,0.8885714697,1.852207137,2.655732372,2.738908591,2.52805762,2.719913132,2.513131277,2.680880934,3.34374062]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.416931598,11.890573317,13.528897126,14.829562834,16.114874017,17.43000339,17.786438971,17.154331829,13.943746299,11.450406784]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(14, 14, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4910049345,1.144629075,1.796626457,1.564911156,1.097007375,0.6328667928,0.6060321884,0.5615859811,0.684362194,0.7327012128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.519315669,10.065413816,10.103720144,10.303594586,9.603988238,8.685034827,7.168653922,6.001898276,4.685260799,3.727555828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.602115823,0.5761525813,1.017943497,1.390800085,1.602526558,1.542012783,1.622519541,1.426784261,1.397679809,1.641708528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.768537413,12.672930698,12.631449032,12.338431751,11.699361283,10.133631532,8.590205425,6.815496788,5.571490702,4.44291418]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(15, 15, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.079710436,2.890693485,4.636015862,4.192961071,3.165450522,1.942165872,1.889703176,1.755807847,2.068395719,2.221056963]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.941327487,7.38420853,8.138995654,8.858644194,9.497272483,9.60264988,8.768116583,8.119996193,7.718647871,7.790410126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.182503198,1.299981866,2.575718462,3.681926948,4.144829562,3.944088747,4.105905154,3.591602592,3.512148618,4.359629085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.627806729,7.110680971,7.520085,8.014894962,8.47837157,8.940784071,8.671607979,8.487605549,8.47735053,8.903818101]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(16, 16, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6215503524,2.077952348,4.382915761,4.658602433,3.80036703,2.45740851,2.475692958,2.411749753,2.994436759,3.221541299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.083576062,9.753412278,12.849178469,14.880478809,14.282834715,13.191945714,9.996998513,7.272862121,6.358887231,6.832707867]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7001702122,0.9299353582,2.227923396,3.773025185,4.790908772,4.95753733,5.246411233,4.839696116,5.069032456,6.256591652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.98850054,9.383499522,11.990440828,14.209674307,14.867145226,13.725347681,10.664679278,8.325046538,7.615012944,7.945975945]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(17, 17, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3028809142,0.7497114123,1.163197596,1.134313785,0.9326737093,0.5853536044,0.5965529092,0.618463504,0.9221131163,0.9028993085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.648194496,1.861263651,2.014984701,2.107106476,2.254486461,2.461564013,2.651164344,2.813435623,2.952263077,3.054099006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3570461834,0.3831128349,0.7884586871,0.9127976079,1.139728153,1.268786129,1.263977134,1.248860522,1.653940099,1.927865097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.965253756,2.11557188,2.202096844,2.279972017,2.625031093,3.196896897,3.694955244,4.06327507,4.286330526,4.364761785]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(18, 18, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003602932203,0.007824528004,0.01490363444,0.01227211087,0.01383591179,0.01139954877,0.01227397543,0.01542308772,0.01133688348,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.890323876e-5,0.0002338357583,0.0004061180573,0.0003507734462,0.0004027587455,0.0003245907248,0.0002967474704,0.0003498757825,0.0002345947876,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006238757548,0.005694835751,0.008489205576,0.01515304242,0.01915095257,0.02882678223,0.03775290043,0.03703853888,0.02400430482,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001073888357,0.0001209775586,0.0001926722054,0.0003631503623,0.00050647724,0.000679632194,0.0007986520311,0.000728535782,0.0004668638381,null]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(19, 19, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01399578339,0.01535922475,0.01066571318,0.007387393022,0.005952659358,0.005226279689,0.006069485591,0.008507317426,0.01173679291,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06082337733,0.05525691402,0.0394911234,0.03170807023,0.02757488898,0.0269841631,0.02887650355,0.03575812902,0.04285669787,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01441916576,0.0109243184,0.007574755283,0.006635958855,0.00540101311,0.008177609726,0.008471210075,0.007972605916,0.01550588431,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05756288578,0.04261865798,0.03083192685,0.02881423658,0.02374918199,0.03614168803,0.03529461248,0.03047833344,0.05357948067,null]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(20, 20, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02384683747,0.02448612132,0.03159826937,0.03737691879,0.03825633129,0.05533403853,0.05542846766,0.09965858936,0.1581869212,0.2244781771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003151221771,0.002766521865,0.002472859274,0.002225883368,0.001973947043,0.002111553927,0.00194958225,0.002683387691,0.003638728985,0.004954067476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04408902776,0.05150491884,0.04402346998,0.09057685238,0.09554119393,0.1117217208,0.1655118018,0.2236945338,0.3979888828,0.5093887477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00490272439,0.004586075483,0.003747989736,0.004521789279,0.004192535901,0.004216316426,0.005341143575,0.006498920396,0.01029615632,0.01256596426]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(21, 21, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1121046208,0.07988299153,0.04783520111,0.02949523013,0.01856617271,0.01187543273,0.009299040731,0.009329776165,0.009796090047,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03076216991,0.01853919687,0.0113938754,0.007942613032,0.005421220101,0.003870340578,0.002773183822,0.002475536668,0.002255518628,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09173041412,0.04928637078,0.02474758537,0.01705505881,0.01263421569,0.01143714184,0.01141789293,0.01209709931,0.01743109418,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02381181517,0.01251531475,0.006672835714,0.004835358406,0.003611441657,0.003247542949,0.003061441904,0.002933549486,0.003850375206,null]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(22, 22, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008148004904,0.01397406958,0.02769832228,0.02598405333,0.02940224981,0.02020788407,0.02398799864,0.02485618425,0.04392368079,0.06298348762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00227563,1.477847937,1.943798221,2.193522464,2.425198586,2.692439205,3.205556163,4.089389349,4.976442448,5.865110805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009200568361,0.01467255054,0.02404510145,0.02501623963,0.027159128,0.02339365663,0.02870443978,0.02867324965,0.03900557804,0.06239853844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7147266243,1.033432279,1.403032027,1.693874642,1.882655286,2.111252994,2.586503094,3.134023011,3.806978899,4.40883312]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(23, 23, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.746922907,12.006090248,17.886700505,15.951883692,12.174744704,9.486933862,9.13553839,11.310490044,14.88887881,16.880495745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[321.511126709,292.889056797,282.38207359,270.875788097,263.879604886,265.555509424,255.52671917,221.028415371,237.659489412,261.883762048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.565165463,8.922275022,14.142534039,18.022062952,19.743723644,19.873164625,20.271219228,23.259881986,26.427062825,28.108252049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[141.26897078,128.800574943,128.382806621,130.748824164,134.200101503,142.079629123,149.505654732,160.925755041,177.993512374,195.912470521]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(24, 24, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.248090258,9.508263761,13.299956826,11.396746937,8.326999702,6.849980175,6.728948425,8.737604979,12.197540399,14.066856954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[163.018790986,127.344532167,115.856651612,104.904574259,96.322028109,92.521992088,82.224365441,47.100488894,35.707716058,26.125319682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.19560519,7.975995252,11.57640165,13.944204516,14.822209378,15.06793101,15.197902116,18.274579702,21.228063675,22.443447756]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.282700617,16.369176849,14.104374432,13.575722854,12.979374273,13.536567621,14.061372523,14.520971922,13.969453154,15.322470274]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(25, 25, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04757563499,0.07475057652,0.09369438728,0.09465978828,0.09197830906,0.08761962887,0.1033722328,0.1254308458,0.1501773016,0.1559956851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07485722405,0.07585653592,0.07685705841,0.07260978258,0.0631141635,0.0562412051,0.05199097674,0.04774081408,0.04349063855,0.03924046769]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04554737545,0.06346061482,0.08081656971,0.0932368837,0.1037866064,0.1147304714,0.133022665,0.1526606583,0.1760678771,0.1851374717]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06392946353,0.06714417493,0.07036034783,0.06945333296,0.06442272934,0.05976393221,0.05547679876,0.05118973653,0.04690266578,0.04261559945]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(26, 26, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0454217113,0.2014033868,0.4741001907,0.5421706856,0.5692599849,0.4482075357,0.5125431469,0.6500001399,0.9099138404,1.122087726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.174706393,6.948528722,6.626529901,6.182076255,5.529257012,5.413186588,5.335734692,5.111862328,5.412168391,5.367900905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0748632781,0.1545051321,0.3743039762,0.644534566,0.9217807254,1.073159737,1.340996334,1.629236644,2.095121459,2.506588483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.65206506,5.30757339,5.255163056,5.222672828,5.164774324,5.205935113,5.096526294,5.111590851,5.093465231,5.09328266]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(27, 27, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005041554969,0.02810011141,0.08041078813,0.09357222614,0.07297056318,0.04647380453,0.04087218581,0.04197151147,0.04728502412,0.04781110743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.084622659,27.390701912,29.045626601,29.0274846,29.760047322,32.179050605,36.675971172,42.036842241,49.091734562,56.132491883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005206584326,0.01352642889,0.03946518303,0.06906669879,0.0747311218,0.07143912515,0.0692150414,0.06599729069,0.06835917662,0.06610009973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.295516652,26.326695809,28.23217341,29.463271932,31.522665358,35.319621969,39.683601456,44.222646444,51.410226375,56.426920746]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(28, 28, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01826331621,0.06551063306,0.1375419,0.1221395984,0.09546790144,0.06199838878,0.05639934414,0.06101365917,0.0790952439,0.09254966679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.119491683,5.764995098,5.430342551,4.00771998,2.482565898,1.479201472,1.471959115,1.744604699,2.017502941,2.095331466]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0182672481,0.03052831008,0.06531823938,0.08725722639,0.0945860698,0.09226364884,0.09246957369,0.0929320145,0.1107305588,0.1238256662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4107367197,0.6254284312,1.709961666,2.756890235,3.72344625,4.434588228,4.775515879,5.027601499,5.154620185,5.314489447]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(29, 29, 146, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001376941287,0.03405526463,0.1221782596,0.9245739721,3.567625633,7.512544545,13.29875609,25.060691085,45.823421238,74.729089285]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0007008248562,0.01581917521,0.05610527483,0.4229693495,1.661037937,3.255722769,5.373331027,10.471867319,20.87374188,36.746723709]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(30, 30, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006689801224,0.008384273973,0.009610256084,0.007410573845,0.007412540021,0.006037110345,0.006779157668,0.008249973953,0.009700888988,0.01031590721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009840979623,0.01067715054,0.01045122209,0.01307942893,0.01509252871,0.01676722367,0.02050673152,0.01880118943,0.02234126532,0.02379245021]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-22 06:33:48', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(31, 31, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01213930887,0.01274575414,0.01402400431,0.01369297907,0.01133003216,0.01931095587,0.01318989642,0.02929015012,0.01857265309,0.0413343773]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.289243134e-5,6.512258425e-5,7.148888557e-5,7.024124083e-5,5.736382935e-5,9.734383757e-5,6.663685561e-5,0.0001480740907,9.470900935e-5,0.0002110701058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02211193177,0.01817747647,0.02118056543,0.02041088678,0.01791151453,0.02086603714,0.03252196137,0.02231882967,0.02978498549,0.05323395256]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001128469532,9.405534884e-5,0.0001112975582,0.0001074978346,9.300335834e-5,0.0001077209236,0.0001661247967,0.0001532928906,0.000153094031,0.0002693912631]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(32, 32, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01177696553,0.02141260828,0.0568216084,0.04570018768,0.04841746829,0.02126494525,0.006045653746,0.04722404927,0.03789959448,0.02501952129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.666716726,101.045081017,101.355714046,102.200903429,103.421442424,104.631827526,95.93977093,79.990159077,79.60834321,75.876447025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004883756562,0.01072219627,0.03600960834,0.07558542941,0.05884206783,0.05684875842,0.0172957704,0.03069294879,0.04446780367,0.03664597716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.29281986,58.791681541,58.235434618,58.227507901,57.938686251,58.249657469,58.307015513,58.781729768,58.747515503,58.81447304]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(33, 33, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01177696553,0.02141260828,0.0568216084,0.04570018768,0.04841746829,0.02126494525,0.006045653746,0.04722404927,0.03789959448,0.02501952129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02828925112,0.02828925112,0.02828925112,0.02828925112,0.02828925112,0.02828925112,0.02828925112,0.02828925112,0.02828925112,0.02828925112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004883756562,0.01072219627,0.03600960834,0.07558542941,0.05884206783,0.05684875842,0.0172957704,0.03069294879,0.04446780367,0.03664597716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02828925112,0.02828925112,0.02828925112,0.02828925112,0.02828925112,0.02828925112,0.02828925112,0.02828925112,0.02828925112,0.02828925112]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(34, 34, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4379896621,0.4362234884,0.4371145757,0.4242019022,0.4286791713,0.4293298524,0.4190959964,0.4280722379,0.4238778427,0.4299033022]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4289395036,0.4411116487,0.4387831499,0.4383435586,0.4372243694,0.428120214,0.4290556991,0.4179274635,0.4249952971,0.4250672808]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(35, 35, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.200437813,100.580568277,100.890310219,101.748412276,102.964474001,104.174208422,95.492385683,79.533797588,79.156176116,75.418254471]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.835591105,58.322280641,57.768362217,57.760875091,57.473172631,57.793248004,57.849670563,58.335513053,58.294230954,58.361116508]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(36, 36, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3519243557,2.085519143,3.720540545,3.635790717,2.950908202,1.946041317,1.667388348,1.609704735,1.438693864,1.3185248]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.370501205,24.285240958,23.868102073,23.555775577,22.733466963,21.761368051,20.528104117,19.935878159,19.955017665,21.517730266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1888391197,0.6446824611,1.938587024,3.074687316,3.634783632,3.359158614,3.367289035,2.972662708,2.652126024,2.669480192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.270388736,21.296961519,20.719122518,21.010228233,21.145601378,22.017664301,22.152649117,22.738004209,22.697434287,18.151225653]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(37, 37, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.493854599,17.149728884,30.845234638,26.712193974,21.390310473,14.115930107,14.996954284,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.454934581,89.417090927,94.672310814,101.641520048,103.738087085,92.863161322,74.851754301,45.526301921,30.41323485,21.329285181]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(38, 38, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.531851336,1.841194315,3.470395036,3.378233711,3.20405875,1.858184968,1.109157629,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.446377914,6.814552336,12.558915088,14.892069544,10.53176357,3.422231205,0.6456896622,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(39, 39, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7100655858,2.065643668,3.436080448,2.799361216,2.205972823,1.790076916,2.612715503,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4231128157,1.029876461,1.032554963,1.168148688,1.317189241,0.9365334416,0.6038487724,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(40, 40, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9743057466,2.640903253,4.288629872,3.41554953,2.679753945,1.504568155,1.072734811,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.274231505,4.177068244,3.356641463,4.532308698,5.583320049,1.827089361,0.1096094271,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(41, 41, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3014040222,1.014391653,1.937712935,1.587849357,1.088554729,0.6179613153,0.5651456503,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.175226008,67.915578678,67.668042427,70.258897023,75.31952034,76.906753151,65.654039135,45.526301921,30.41323485,21.329285181]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(42, 42, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8452938029,2.781526748,5.102436982,4.447386954,3.58597111,3.013513468,4.535189798,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04144637277,0.1357638438,0.1451544235,0.1544897983,0.1382934868,0.06821628542,0.0160470841,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(43, 43, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5892565276,1.873794464,3.245633821,2.756191955,2.217356464,1.404882453,1.33669132,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.094539966,9.344251363,9.911002449,10.635606296,10.848000398,9.702337878,7.82252022,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(44, 45, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.67697373,75.174937767,68.661860304,60.940959724,53.814575517,48.466665455,43.611067974,39.094788845,35.261066546,31.228146497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.185407801,88.456808662,80.560382998,70.489980833,60.350795188,51.280742177,42.440337083,34.934252554,29.073939258,23.779462529]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(45, 46, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.680921187,38.443584227,31.326477625,25.377305979,19.868708296,15.917176143,12.924194595,10.389984723,8.588271097,7.080008855]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.541492299,40.572422711,33.900735871,26.7739778,20.128817138,15.436178965,11.339117463,8.683548302,7.19671726,6.436713379]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(46, 49, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.134694874,4.886828496,9.030299595,8.873985915,7.711804283,6.492242032,7.976797908,8.014656466,11.156503532,18.045271317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[720.475999385,762.372174531,716.780215916,703.782163566,706.721598603,713.54046328,686.222927653,532.320957687,455.348626409,380.555054539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8438650289,1.411735109,3.285645985,5.936144817,7.287175455,9.147487891,11.780006118,13.962025317,20.688165829,31.161438401]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[330.089356254,226.534890785,212.271409113,218.047674047,219.28941071,238.104749811,244.639892533,256.135397687,262.022365691,274.044012972]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(47, 50, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2130051686,0.846330847,1.723235942,1.635212918,1.539740569,1.302559393,1.49404201,2.250246709,2.741126623,4.903955496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07603642751,0.3008545099,0.613870621,0.584528458,0.550801418,0.4640901876,0.5337240186,0.7453700952,0.8963242409,1.579719269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2241002675,0.4062345637,1.05442325,2.057823788,2.460855488,3.362692012,4.324821017,6.209456789,8.55296557,12.319593258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08051327322,0.1462766616,0.3768001146,0.7015454051,0.8738159466,1.129844267,1.404374887,2.065712087,2.830866311,4.022808823]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(48, 51, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00497807178,0.01675600937,0.03340975841,0.02813809597,0.02494646726,0.01620456456,0.01353659679,0.01997486173,0.02931190214,0.05849710724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[111.575987354,139.820465712,135.438074031,126.088941477,116.941551204,108.448880552,100.472578469,92.533897093,84.961622447,77.372630448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005004914993,0.007655281054,0.01428095964,0.02168923817,0.02208201066,0.02518013831,0.02588987353,0.03293124472,0.04146624615,0.0619472694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.91205211,49.414982156,48.448511463,45.392564073,41.975242643,38.754857962,35.591019745,32.781462317,29.943467695,27.306092811]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(49, 52, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.544769262,2.357365249,2.314735421,2.290448072,2.283818265,1.993044421,1.654011536,1.62339293,1.663823418,1.562529723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.455800513,1.309026299,1.261304388,1.236700188,1.245669852,1.105662906,0.9638214207,0.9933788066,1.053352618,1.027628501]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(50, 53, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8488737622,3.768425655,6.891199816,6.810298819,5.767152442,4.797151459,5.959751002,5.008247548,7.229954997,11.2672021]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[606.275235081,619.877749405,578.381153263,574.787979096,586.916684771,602.610103981,583.534795555,437.379041824,367.780258171,299.959192669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5646977767,0.9261712034,2.017161476,3.488931772,4.264787863,5.041665966,6.463472692,6.565454732,10.211670057,16.244233668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[289.637912238,175.65899187,162.170507652,170.6901232,175.161576837,197.071801881,206.62692063,220.217487658,228.087576282,241.53552761]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(51, 54, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06783787306,0.2553159866,0.3824540746,0.4003360759,0.3799647912,0.3763266216,0.5094682931,0.7361873452,1.156109997,1.815616627]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003971260034,0.0157396557,0.0323825806,0.03026646406,0.02874294554,0.02434413811,0.02781807406,0.03925574585,0.04659813294,0.08098242945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05006206941,0.07167406225,0.1997802946,0.367700008,0.5394500956,0.7179497708,0.965822547,1.154182575,1.882063939,2.535664228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003078119888,0.005613799427,0.01428549526,0.02674118119,0.03310543104,0.04258279516,0.05375585058,0.07735681814,0.1071027846,0.1519552269]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(52, 55, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.475938731,7.058745365,13.113855139,12.487031512,10.318815458,7.229050266,6.991517288,7.51947293,8.014964133,8.641754309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.522862009,71.217494111,76.908173814,79.331939758,76.307033209,68.520727955,53.822392272,38.95128776,33.95376019,32.647162805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.691926166,1.825214679,6.265538137,9.876955862,12.197328124,11.999904315,13.580422067,13.318667827,14.770387948,15.769796307]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.179520895,104.717214739,91.842863567,78.497881432,65.394476529,54.176390679,44.929208937,38.619177824,35.663778718,30.124700069]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(53, 56, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1861033013,0.6931745839,1.332886288,1.15857662,1.087920456,0.8342849,0.8535472469,0.7275313045,0.8544468019,0.8136983413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.073516419,53.951942458,59.472825554,60.908896774,58.678659517,52.843573479,40.628771218,27.225141238,23.051380081,20.465440742]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01028686278,0.02797357512,0.07499611206,0.150427595,0.2102604196,0.2547238429,0.3275562607,0.4212611938,0.445915826,0.6107665789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.773538567,85.390276947,72.302074709,57.483836952,44.241941811,33.205623644,25.326988084,19.57772503,17.197915765,16.005533749]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(54, 57, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06418879207,0.2713665333,0.528182226,0.4863099376,0.4421327433,0.3541546342,0.3651510254,0.346842088,0.4614491409,0.4577170441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1276062678,0.7525121302,1.666435085,2.726018249,3.531867759,4.202721084,4.678740236,5.109228444,5.483563925,5.675008571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004636518656,0.01302340583,0.03729535414,0.0800730141,0.1198109371,0.1529335591,0.2068613281,0.2908566163,0.3202011907,0.4550511681]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06078102915,0.3794191014,0.9279296208,1.485649281,1.982004019,2.394173834,2.647107979,2.962719445,3.212549625,3.598532982]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(55, 58, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04287695373,0.1453528921,0.2672449127,0.2214353379,0.2102952947,0.1592114644,0.158653602,0.1229954291,0.1214780089,0.105115621]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.190420083,13.919135662,13.491391845,12.458361276,11.024191527,9.380417484,7.316126067,4.155778114,1.912732644,0.3378375453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.062657847,41.911660274,34.674614243,26.186786437,19.301281107,12.949759534,7.517656207,3.380129195,1.329645288,0.1079107282]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(56, 59, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0390190906,0.1404264763,0.2753040994,0.2327391877,0.2286251609,0.1691046382,0.1764735126,0.1396229397,0.1527479228,0.143355341]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.460735833,9.283925223,8.559533148,7.741525782,6.883567191,5.591092463,3.438451322,0.8686065757,0.4730462086,0.2579884012]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003003312398,0.008072009184,0.02096754246,0.03890624783,0.05008819313,0.05646782605,0.0675165406,0.07754942419,0.07805400142,0.1020589559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.681059294,37.193509316,28.699006725,20.109998759,11.633004961,5.435694243,2.54314309,0.7639515501,0.2753357925,0.006218726622]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(57, 60, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.296251021,17.353919314,20.887784966,22.289979912,20.918077787,17.078175968,9.123553908,2.589691581,0.9035492718,0.07624033524]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(58, 61, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04001846513,0.1360286823,0.2621550504,0.2180921573,0.2068672564,0.1518141624,0.1532691063,0.1180708484,0.1187717324,0.1075103326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5375203759,1.194594627,2.032629169,2.554015422,2.602471605,2.515973238,1.951535346,0.4724678487,0.3163134604,0.2305769502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002647031725,0.006878160052,0.01673321553,0.03144833321,0.04036128951,0.04532245795,0.05317839242,0.05285515278,0.04766063479,0.05365645572]}', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(59, 62, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2203089605,0.5064995164,0.5953135615,0.5676387371,0.4998959681,0.4844705179,0.5805695593,0.8555009423,1.07807901,1.393659673]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.999160138,7.320605943,8.103677688,9.488756137,10.046917443,9.494107034,8.504307633,7.76456695,7.03734487,6.56994191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1426497795,0.2108571819,0.5194770857,0.902277723,1.246071104,1.516874669,1.974780951,2.113028766,3.001233302,3.300687072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.522598797,7.983482126,8.799038432,10.013556631,10.161779851,9.386472592,8.381660048,7.5727804,6.784664332,6.263524415]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(60, 63, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04124774827,0.05554567559,0.05283150808,0.04626795329,0.03938748397,0.03926965652,0.04395463535,0.05137559272,0.04982114471,0.04547756749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.982985344,4.400504329,3.749091627,3.154848392,2.666381192,2.248846532,1.901131763,1.595427252,1.363803044,1.174159907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02445288514,0.02634887835,0.053569616,0.07878265714,0.09180938902,0.09752200834,0.1078024756,0.08818481678,0.09493615864,0.07082270629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.011290186,4.430429843,3.793892357,3.22313451,2.662689932,2.241788499,1.898691121,1.614171305,1.351595626,1.149928208]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(61, 64, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04519372882,0.09093297791,0.1322374231,0.155579326,0.1766369931,0.2285042595,0.3251425706,0.5337070554,0.7491515698,1.066496893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.273569088,1.963910075,3.412783167,5.420617056,6.514027728,6.459498125,5.841150665,5.314996545,4.734408032,4.36040803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04517970436,0.07248262968,0.2177471822,0.4303613222,0.6627599744,0.9011147546,1.289445019,1.493547173,2.277210161,2.714863848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.529883928,2.272839764,3.749958823,5.632340549,6.358032508,6.103709798,5.479326685,4.90049979,4.362764288,3.93346256]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(62, 65, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004173901989,0.007147052907,0.01042348736,0.01228958378,0.01341914589,0.01706189294,0.0238648851,0.03360046523,0.03995520549,0.04539313362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09270034352,0.1054828882,0.123213191,0.1568474338,0.1757501394,0.1899908322,0.282095782,0.4222910739,0.5463620565,0.6953077548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004369818386,0.005958944878,0.0162054623,0.03130860233,0.04759411293,0.06366531142,0.08955890095,0.09260455724,0.1224142697,0.118253242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1126716089,0.1301122731,0.1526941924,0.1877408157,0.23963932,0.2711145607,0.377316744,0.4675755938,0.5623375062,0.7436088457]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(63, 66, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.129693581,0.3528738109,0.3998211428,0.3535018737,0.2704523446,0.1996347103,0.1876074687,0.2368178297,0.2391510907,0.2362920789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6499053628,0.8507086507,0.8185897035,0.7564432554,0.6907583837,0.5957715449,0.4799294226,0.4318520787,0.3927717378,0.3400662173]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06864737168,0.1060667289,0.2319548246,0.3618251418,0.4439076278,0.4545725973,0.4879745577,0.4386922189,0.5066727168,0.3967472755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8687530739,1.150100246,1.10249306,0.9703407559,0.9014180914,0.7698597344,0.6263254987,0.59053371,0.5079669114,0.4365248008]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(64, 67, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01026286683,0.02288007407,0.0380122293,0.05675209402,0.07796352117,0.1141940472,0.1519374053,0.1961889329,0.2428932647,0.30753597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02263348548,0.04912568813,0.08175848214,0.122810595,0.1700283028,0.2471562285,0.3333296174,0.3962002845,0.5067364523,0.6218988294]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(65, 68, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.069526469,5.859071264,11.185655289,10.760816155,8.730999034,5.910294848,5.557400482,5.936440683,6.082438321,6.434396295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.439922585,9.922065636,9.293658343,8.877534753,7.503492727,6.068853395,4.537376016,3.765390639,3.622141974,5.304244183]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5389895237,1.586383922,5.671064939,8.824250544,10.7409966,10.228305804,11.278084855,10.784377867,11.32323882,11.858342657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.860750046,11.294329978,10.659991943,10.877677255,10.820726565,11.337138215,10.887231188,11.07247211,11.174462169,7.233743077]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(66, 69, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.152151653,4.294224677,7.369113462,11.019316953,16.443055926,22.906408937,39.574758714,66.938862542,114.965871244,156.848598871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.516198321,8.62102603,15.316917315,21.878172462,31.570087005,40.88351006,60.373572778,82.399637688,118.844783955,144.058818905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.9126759,3.073772082,4.579841778,7.435870264,11.78431875,20.374311329,38.710191306,67.701916951,123.299125566,181.51956968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.748543833,3.824003164,6.79259599,10.574110522,15.972373874,24.729508549,43.860080397,71.296754669,118.668888286,179.933993947]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(67, 70, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006093800934,0.01611556103,0.06041628615,0.027479162,0.07129093523,0.2805205945,0.7161142137,0.9786801458,2.310543666,4.311560532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002750049725,0.01005284571,0.03120183098,0.01735297814,0.03264518657,0.113597156,0.2905593147,0.3682521007,0.8913391992,1.508411685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02126075142,0.01388112322,0.01938277984,0.1459805228,0.1032442051,0.9222259544,2.770527163,4.181307709,13.95280609,17.758426733]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01041747576,0.005854974586,0.008242322186,0.05763265718,0.03524102013,0.3209140655,0.9568255896,1.413534361,4.356234363,5.172245402]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(68, 71, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02250050653,0.1706991809,0.371514189,0.5636388263,0.9266254118,1.209935333,2.082424465,4.645687159,8.325844593,14.082795811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01550962815,0.07427428908,0.1630241677,0.2339410364,0.4075273739,0.5536819033,0.8927147901,1.962417872,3.290232165,5.691388671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02832899495,0.03202695245,0.0531196956,0.1380640007,0.3523653203,0.5539756534,0.5403604446,0.9669312975,2.582611754,4.569927366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009366353417,0.01365155142,0.02523052663,0.06459462769,0.1691471857,0.2621916929,0.2529336992,0.4281773687,1.073539565,1.844029851]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(69, 72, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.035945078,0.03504059901,0.146050205,0.2968129123,0.344130799,0.5362705167,0.3761700163,1.186050774,2.855031102,3.699018044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009511428076,0.009875428274,0.0399220648,0.07665805029,0.08843284641,0.1317166845,0.09340656196,0.300389983,0.724382392,0.866392789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1619509466,0.290530306,0.4069144536,0.5260325092,1.249602193,1.874773953,3.003400436,6.082291439,8.541128389,11.326261651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04823483304,0.08330681662,0.1068317466,0.1413421557,0.3294811933,0.5354120817,0.8472275614,1.691888164,2.302171952,2.941469287]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(70, 73, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01569103619,0.01610920218,0.06354803428,0.1210388683,0.1304784652,0.1877172267,0.1198762942,0.3419057358,0.7661778538,0.9075143725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004048333634,0.004354704525,0.01665859315,0.02992365915,0.03203852842,0.04405542382,0.0283168719,0.08212364907,0.1836322628,0.2010968772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08295592285,0.1492152754,0.1986330369,0.2446441894,0.5486454239,0.7754397073,1.144647493,2.146793707,2.843862099,3.536738604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02337555855,0.03877175895,0.0464349232,0.05732267814,0.1244057259,0.1878025249,0.2705798993,0.499915871,0.6410376354,0.7653265835]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(71, 74, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004251533563,0.005306251228,0.02801439463,0.06982897276,0.09621546951,0.1729968083,0.1389917948,0.4784382106,1.193574306,1.610623124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001095980212,0.001424302817,0.007311606403,0.01723111558,0.02361194095,0.0404789553,0.03280194563,0.1152196977,0.2871780148,0.3569286565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02345461398,0.04968956736,0.08647756399,0.1313682028,0.3605278867,0.6060173536,1.091049713,2.332299529,3.274922261,4.3184214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006635581766,0.0129108635,0.02015436687,0.03080314499,0.08143860717,0.145571106,0.2534683358,0.5290908675,0.7215390983,0.9171510941]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(72, 75, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0004563156859,0.000915211231,0.005344686158,0.01394899538,0.01993578809,0.0372455075,0.0308036192,0.1155923749,0.3260293521,0.4869527359]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000344529262,0.0006666178025,0.003110514601,0.00678889492,0.008866606922,0.01480402809,0.01189652654,0.04309187928,0.1170187879,0.1552907746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008774951662,0.02917452161,0.04571221441,0.06494584768,0.169990427,0.2796136309,0.4896557794,1.120424798,1.790110018,2.683426794]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005041711261,0.01547102224,0.02253680693,0.03329038513,0.0851733253,0.1511095078,0.2594969662,0.554920439,0.8021086623,1.092201122]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(73, 76, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0155461926,0.01270993442,0.04914309012,0.09199607587,0.09750107638,0.1383109741,0.08649830769,0.2501144521,0.5692495919,0.6939278184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004022584967,0.003429803129,0.01284135065,0.02271438064,0.02391577013,0.03237827729,0.02039121788,0.05995475698,0.1365533263,0.1530764807]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04676545803,0.06245094133,0.07609163863,0.08507426892,0.1704384564,0.2137032609,0.2780474518,0.482773399,0.6322340155,0.7876748401]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01318198147,0.01615317193,0.01770564958,0.0199259474,0.038463535,0.05092894291,0.06368236015,0.1079609869,0.1374865565,0.1667904878]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(74, 77, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01530064838,0.052220061,0.0664575476,0.1459326301,0.2008144495,0.8095781049,0.3673981726,0.3725587975,1.550246369,0.7587750603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01184925878,0.05601072536,0.0939248567,0.2341382244,0.3016147259,0.9356925645,0.4179372621,0.419028296,1.411134282,0.6965664053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03557220335,0.06857439095,0.08672704271,0.08108180042,0.1174481897,0.6425819303,1.126933752,2.559044356,5.132110172,8.749666158]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03212769103,0.06841860533,0.1851646025,0.1138701746,0.1702284007,0.8176555667,1.459957512,3.207329639,6.512898842,9.290323525]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(75, 78, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04922887878,0.08441153316,0.154929833,0.2129419634,0.3369500001,0.5263609118,1.399055221,3.103668271,6.442322747,8.904954941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03206447483,0.04355660715,0.07712140026,0.0821596537,0.1354179113,0.2020180031,0.5209009204,1.101594812,2.18375263,3.007893241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03335946927,0.04880371765,0.1002543296,0.2163231852,0.5121121216,1.153849848,3.38778066,8.537165128,14.425354163,18.639818462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01625564382,0.02241336587,0.04263469305,0.08536586815,0.2069813222,0.4405904179,1.221127492,3.068408431,4.685504853,5.954906849]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(76, 79, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06679741932,0.2276788669,0.5853037551,1.833934592,4.112791258,5.718837334,9.074942866,13.924579972,20.336163439,22.401554884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2453866306,0.625607622,1.871502938,5.207655107,10.8284302,15.924188998,24.013343587,29.225885867,37.459711494,40.306908305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01553079364,0.01897667517,0.07169524372,0.09218674751,0.2257564042,0.3942102758,0.6107465897,1.015345281,1.311770216,1.587497802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05734046961,0.05388814605,0.2321057424,0.2674249061,0.6287880538,1.18278327,1.728888108,2.309025961,2.644770481,3.189177685]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(77, 80, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02105863327,0.09229081837,0.3721977503,0.8945550153,2.330825157,4.383349264,9.776537462,15.931968283,25.10755599,33.486902486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02176837167,0.1598323214,0.8632247511,1.944361144,4.059499213,6.131363668,9.548874184,12.275176279,16.626179236,19.645953142]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(78, 81, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0094666878,0.03605334376,0.05506361268,0.11497081,0.08941583648,0.1384249654,0.3741336948,0.5346027135,1.0815265,2.768798083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009753466133,0.08757051898,0.1615282995,0.4284331461,0.3623997556,0.6293288741,2.072689348,2.958230568,4.174295093,7.341076264]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(79, 82, 146, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009418979823,0.0196958322,0.02165623978,0.04695931821,0.05998008552,0.09728454488,0.5322291419,1.732493328,3.352239745,8.691382974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01761006064,0.03634348753,0.04534407036,0.1094664575,0.2410982128,0.4663276156,4.049378909,13.645432129,24.688858884,55.836082069]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(80, 83, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06107427589,0.1283421331,0.2779177178,0.3581452763,0.3591057203,0.735382023,1.465775961,2.944864691,5.063717814,6.010972154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08006432498,0.1548030423,0.3009479724,0.4243985831,0.4753291954,0.9325372076,1.727412708,3.356982933,5.248896294,6.086895195]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1046599913,0.2142186471,0.2164160796,0.4387831239,0.5867364924,1.233731816,2.614400441,4.022090282,6.27502634,9.457444164]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1129645376,0.2472496335,0.2524549086,0.5400313523,0.7997514341,1.747191357,3.321113763,4.933236835,6.941494346,9.665788938]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(81, 84, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03226956232,0.06470574289,0.1042634092,0.2601993534,0.3656918071,0.4704489499,0.6925015791,2.05417985,4.688087659,5.760231235]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09055550375,0.1598526953,0.2358885415,0.5170079581,0.6934837046,0.8052509182,1.242704921,3.825779112,8.099283279,9.81010186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06896385637,0.06252761146,0.09418457094,0.2408807946,0.4270546466,1.128976177,3.258013183,4.651211893,9.146424258,11.046441079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1268871991,0.1298344276,0.1802306294,0.4330222609,0.7449133544,2.131426109,6.204299414,8.086809458,16.180938316,18.568962552]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(82, 85, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08316923619,0.1249688839,0.09345498767,0.1095231396,0.1195365978,0.1537794932,0.2865910222,0.4385009989,0.69470983,1.066015031]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07474383667,0.1410271914,0.1405412274,0.1343747658,0.1205211835,0.1715929993,0.2704033876,0.3193578475,0.4602226636,0.6089516818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1003593149,0.1355601943,0.1394464497,0.173278186,0.3234697325,0.3856123863,0.2428959207,0.4146927387,0.3852623406,1.889981521]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1645175679,0.2023902338,0.1669147454,0.2385553335,0.4036425344,0.4260610258,0.2741952265,0.3276636436,0.2807121701,1.190007566]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(83, 86, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01329897824,0.02815236541,0.04888012168,0.09447217805,0.1099579635,0.1738536136,0.2376646265,0.6917604535,1.157445011,2.166635525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006864629957,0.01603363077,0.02794963863,0.04738673573,0.06004462177,0.1150022204,0.1881227354,0.5021944791,0.7545799005,1.349809043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05285588003,0.02379011163,0.01845850579,0.0377139788,0.1928768418,0.5692638166,1.506397989,3.990906959,9.336909043,15.895321413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03682795082,0.01538290002,0.01234205947,0.03068808628,0.2153563444,0.6346483685,1.923511831,4.427655224,8.703466333,13.662438126]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(84, 87, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01555807359,0.02194007166,0.02606521831,0.04459102034,0.06823738826,0.1138060126,0.2167759049,0.3119691838,1.031455519,1.238161199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00473878487,0.008335589877,0.009437545361,0.01654222534,0.02445143642,0.0382531908,0.0667994597,0.09398495197,0.2980632109,0.3605855745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0033472955,0.004677152322,0.007572995632,0.02140319051,0.03038618379,0.04362987544,0.1933292757,0.3054733916,0.4459660053,0.7545187205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001146483802,0.002003386799,0.00378220203,0.008463692625,0.009660388281,0.01676902408,0.07597205797,0.1050140294,0.16851523,0.2673345707]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(85, 88, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03282271337,0.04921683542,0.09974883264,0.1986162474,0.39584436,0.6304960969,1.242181755,3.23414916,6.781735508,11.48381816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01786952044,0.02303405831,0.03713087364,0.07457886237,0.1210954415,0.1778086382,0.3208009194,0.8166661692,1.623213696,2.68260538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04738393263,0.05545492662,0.120937446,0.2817344869,0.6314555714,1.360486268,3.148573968,6.175030186,12.163174546,20.931830126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0202339527,0.02507599033,0.04947837067,0.07705591541,0.1747108788,0.3677075087,0.8037084051,1.540708495,2.899478485,4.963504792]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(86, 89, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01726390189,0.05879882161,0.1471055329,0.1845870916,0.2567021999,0.3194541089,0.4730876429,0.8512040967,1.40083767,2.358919997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1447143416,0.43895425,1.077534847,1.094373595,1.246625223,1.33311248,1.62730497,2.675266839,3.915852112,5.741301507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01249073088,0.02523014856,0.05199644046,0.1016131337,0.1405244419,0.2421949828,0.3900867782,0.5559275807,0.8946611599,0.2277206726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05714391015,0.07399757069,0.1637086114,0.2785196304,0.3491966319,0.5471817298,0.8094850913,1.141431701,1.667225176,0.4103283987]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(87, 90, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02773449501,0.1003167842,0.1613411718,0.2086287048,0.1820974262,0.2507758907,0.4065242845,0.6107997778,0.8651679309,1.369755541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07140481583,0.8215750582,1.130179684,1.250350571,1.370807339,1.956892351,2.174506724,2.67299186,3.574652523,4.657589065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02751234274,0.05083059058,0.1423134259,0.2232653012,0.3163529265,0.5031166226,0.8315319125,1.372164881,2.695311436,3.890964928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.085298144,0.178097055,0.4328888904,0.5967914718,1.287459439,1.657712927,2.17993041,2.420080149,4.504235726,6.896458459]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(88, 91, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1211789605,0.1811026371,0.2965557009,0.3775150613,0.5128658068,0.7472485434,1.596202666,2.302630714,4.635372219,7.537764815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3078632031,0.5163646762,0.8308094029,0.8793983935,1.081465101,1.291536753,2.176305531,2.577674843,4.137404989,5.994344207]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(89, 92, 146, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05305930321,0.0625476983,0.1174040346,0.1461123219,0.1796874431,0.2308783103,0.2745049548,0.2411885319,0.4531442052,0.7348811716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1725404334,0.2550463506,0.6359442478,0.9181523471,1.101546636,1.163419275,1.027824807,0.6879083943,1.026398256,1.324693393]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(90, 93, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04115610442,0.07216762704,0.1984692319,0.205284784,0.1357410876,0.1455130148,0.3512381376,0.6432729101,0.7817555032,1.277003723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03879113916,0.07746990178,0.2728636295,0.3112393663,0.1885526368,0.2034541864,0.4652037789,0.7883965369,0.8159968815,1.233090352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04965585197,0.02894447364,0.06316979731,0.07588860142,0.1370247529,0.3323538553,0.7478523143,1.262913005,1.710063952,2.493750997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04642803544,0.03129820801,0.09624617925,0.1266470815,0.2237805792,0.5092446942,1.030637222,1.485890409,1.812986957,2.518646907]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(91, 94, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007868484669,0.03788126496,0.09236989803,0.1639465484,0.1471569895,0.2708283851,0.4477085044,0.5848762264,1.154669452,1.53721824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01287330401,0.0439086201,0.1740990218,0.1962662356,0.2193019658,0.3974857155,0.6104752991,0.7899804478,1.373737877,1.688615305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01619895113,0.04317792061,0.07734600915,0.1193742853,0.1329735611,0.2170880476,0.2731680846,0.6874517918,1.489382428,2.941749424]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0254995046,0.08712806125,0.187733244,0.2059853891,0.2914128852,0.4437634283,0.4986980719,1.055526229,1.903704647,3.270938231]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(92, 95, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1538582359,0.2107857024,0.3122092022,0.3531577686,0.486185925,0.5308787578,0.8696124011,1.123381439,2.029921018,2.524758075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2080366689,0.2663477406,0.4005974541,0.3637969295,0.4527322474,0.4122854094,0.6079167104,0.665459026,1.121105156,1.249606959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08498863149,0.08547903877,0.1723808855,0.1549253017,0.2221747941,0.5188587528,1.285317273,1.896258575,2.199329758,2.841401993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09416321066,0.0942936109,0.1781317116,0.1301573827,0.1681123198,0.3219024059,0.7281442676,0.9495217814,1.01225798,1.229650767]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(93, 96, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009843055633,0.02906365849,0.03123877693,0.03473083495,0.04571782949,0.05999667326,0.1023129617,0.1396375585,0.6549849827,0.8476810349]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1474823928,0.8741474519,1.066489674,0.9093694072,0.8725799667,0.9384665415,1.030843676,0.9271614332,2.610695397,2.26870661]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02946047639,0.03519548314,0.02668332566,0.04434353159,0.06185191723,0.1080055857,0.2091101199,0.3288458239,0.4659798348,0.6857396839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1603528184,0.1985330422,0.2834224687,0.3260649997,0.3706826966,0.4362047585,0.7184788668,0.7908194523,0.8922902846,1.106555359]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(94, 97, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03092637897,0.06954208595,0.08724890915,0.1580793723,0.1470808785,0.1047849044,0.1120315004,0.2384174068,0.3651675025,0.4931731224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1793366864,0.3214451198,0.3199557247,0.4625377888,0.3522358477,0.2318384202,0.2028327285,0.3768863589,0.5097473511,0.6404643557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05128755199,0.0484180017,0.1324403992,0.169356859,0.1259185779,0.2193702514,0.1213346618,0.2292314556,0.520906793,0.6920656559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2575497454,0.2077618982,0.4557945518,0.5130572874,0.3650616706,0.5775345909,0.2582168111,0.447678884,0.881329432,1.112659637]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(95, 98, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1295323761,0.2621907831,0.3779424313,0.5868076442,0.7731593128,0.5879996369,0.9282422609,1.532667152,2.584174024,4.173896829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1333998532,0.2903429622,0.4794386519,0.7687898557,1.14825483,0.8788489121,1.233631615,1.966544048,2.879569685,4.112595706]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5237607066,0.4228210512,0.8532397113,1.409823751,1.73017544,1.557249099,2.904336318,4.556037529,5.810224326,8.343717144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4574290942,0.4025793194,0.933075735,1.710181678,2.261367932,1.875905889,3.099021078,4.433819356,4.925942854,6.257281954]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(96, 99, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009237600532,0.02409768035,0.04356149385,0.04949222153,0.1114220822,0.1910262157,0.3090505171,0.9723504884,1.809260013,1.023207993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01231253229,0.04086987386,0.05337749534,0.09124337369,0.1815783401,0.3021044606,0.5125266652,1.537346448,2.580732337,1.270403494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01383446152,0.01175706572,0.01856489266,0.06589208437,0.04602179269,0.5013402666,0.5861159913,0.8434053094,1.007930188,2.53737894]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02259948571,0.01738384561,0.03346490376,0.13935192,0.08289134928,0.8518780323,0.9968111353,1.431487071,1.544232344,2.983883905]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(97, 100, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237558012,0.4224110821,0.4011207593,0.5440986656,0.6545704657,0.7603117757,1.233450326,1.40658647,1.688612522,2.23772101]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.192174865,0.3461471591,0.3224217362,0.4699029666,0.5813673715,0.6907858424,1.144738377,1.340949468,1.520622964,1.926529231]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.403957912,0.3021748899,0.2571978031,0.3207412415,0.7565025276,1.107527111,1.451503617,1.266930755,3.060511396,4.025687735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3942023058,0.2441589929,0.235231117,0.3193136611,0.7803661929,1.246299041,1.71522294,1.572477189,3.279540421,3.828331083]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(98, 101, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8987925037,1.688844609,2.746970984,2.97523553,3.144548114,3.017778826,4.373764985,6.048943461,9.296903645,12.895618625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4434772,3.011801116,5.13213057,5.634356949,6.158673804,5.371323719,6.898808844,8.510180465,10.46562981,13.164173387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9615882214,0.9654635736,1.304386149,2.156513654,3.087830977,4.413623988,6.579295927,9.661201164,15.417316315,20.393125507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.320775789,1.126904444,1.844218551,3.139852392,4.54997011,5.728158077,7.638487888,9.639927948,13.606972592,16.312357179]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(99, 102, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.036458692,16.09761191,29.973035646,38.310504068,49.541362734,60.000844039,97.752273006,179.243937363,362.817452469,649.037792632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.296419853,35.319922058,36.219533815,42.90635062,58.973861591,100.359837681,159.484594188,231.707950568,374.71858527,525.84038823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.533188265,8.281911575,17.404664929,33.058361526,60.249489899,108.5913404,202.547367359,347.630340936,608.586127285,1058.206988528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.626882346,43.917201312,39.497847301,39.771783936,65.446935785,116.762378623,179.740310666,314.660426159,513.354127464,745.890281085]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(100, 103, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7202104943,1.80258612,2.320193011,2.43794597,2.280549092,2.069187564,2.580240215,2.127820072,3.483630127,5.248882775]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.620891355,5.174116026,5.631725354,5.936025622,6.672018596,7.584437518,8.982174652,10.44533709,11.470987586,13.021068288]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6901671912,0.6560739437,1.092817598,1.542604022,2.026464873,2.969101999,4.494178767,3.479082725,5.55833923,9.926380211]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.217072121,3.613052829,3.960951103,4.220195608,4.913536242,5.713315388,7.196667057,8.104755663,9.034707149,9.753872405]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(101, 104, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5309524849,1.782020658,3.778123554,5.19359511,7.366464741,10.34555569,16.685032351,33.808799341,74.86170632,140.643429852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1212927386,0.2338418235,0.464315001,1.001257994,2.329353249,7.511008501,20.748993765,48.464660129,97.497998431,162.830860904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9817416638,1.616501544,4.1572612,8.901260991,19.779256256,39.013464391,77.622683466,132.528790903,246.036950683,427.555245894]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1983871652,0.4397422938,0.9942630435,1.940673343,4.202502625,13.957241175,40.790258957,109.857061395,249.525010207,402.38827395]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(102, 105, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.086730143,3.786786459,7.804480689,11.737870892,17.557129819,23.865709421,41.727256481,76.400841467,154.268246787,283.055109329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.455452734,2.364435479,4.462651981,7.64780445,11.320437486,16.091821122,24.508258802,36.926503204,54.403881192,72.237941004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.726674451,2.923696825,5.80160764,11.695401284,20.702012704,37.342417153,69.158259859,124.786620308,208.507185164,365.586719383]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.685172572,2.701953893,4.980683413,8.36101024,12.136052101,17.680517718,27.805225373,42.287528302,61.025834413,79.743296773]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(103, 106, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1166304355,0.4881112167,0.8627400011,1.350063217,1.851192739,2.564629769,4.736531411,25.213719969,55.346484136,109.13256704]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8949056831,1.454985067,2.764063916,5.026343624,7.697240069,11.899253112,19.200374882,29.69989046,44.798077588,60.381951489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2130210603,0.2968065213,0.8109986907,1.672366045,3.126207673,6.488213323,13.46311812,48.144514914,86.907226922,164.583766041]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9952635471,1.602804545,2.968297661,5.262757438,7.872251844,12.535731904,20.789503128,33.161941008,48.612407803,65.570962188]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(104, 107, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9700997069,3.298675245,6.941740676,10.387807674,15.705937078,21.30107964,36.99072506,51.1871215,98.921762778,173.922542409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5605470507,0.9094504127,1.698588066,2.621460826,3.623197417,4.19256801,5.307883921,7.226612743,9.605803603,11.855989514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.513653386,2.626890307,4.990608955,10.023035239,17.57580501,30.854203891,55.695141743,76.64210535,121.599958343,201.002953634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.689909025,1.099149348,2.012385751,3.098252802,4.263800257,5.144785814,7.015722245,9.125587295,12.41342661,14.172334585]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(105, 108, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2617582349,1.01700662,2.2517386,3.4618813,5.417815928,7.631478904,13.927524767,25.316734221,52.175157876,86.484921958]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1862157983,0.2816292606,0.4596241145,0.8188484573,1.628925967,4.155829061,10.195703183,18.928894696,27.344663467,40.422736573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2358788839,0.4073405799,1.042191269,2.231588275,4.747656655,9.917920419,20.158853731,34.478561146,57.778899798,101.280459977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.22926694,0.3681234914,0.6146393725,1.123561352,2.38813833,6.252458359,17.36919279,30.530635678,39.862306701,52.324621562]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(106, 109, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.350441612,4.987302481,9.145305874,10.505017291,11.448146612,10.773928449,15.685103804,13.382393291,24.340520502,39.851569145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.280556626,1.572540161,2.085390985,2.817643812,4.808317974,7.790057353,12.622545971,17.710014464,21.750776704,28.729071918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7644972121,1.119873191,2.488573496,4.585820373,7.096973555,10.19733229,16.973712335,28.8654619,50.284697202,81.823062825]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.999634612,2.45162073,3.093238678,4.388235423,7.765807426,13.169282972,22.612664904,31.492804077,41.109960558,51.22292717]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(107, 110, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.04187682548,0.06923661416,0.06587120181,0.1194575778,0.1530226336,0.4860538709,0.8720986291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.8853200317,3.326208993,5.873567022,8.199919698,15.026922229,32.16436126,61.532815391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.01388840065,0.02006293606,0.05860005934,0.09355991754,0.2051665917,0.4698440669,1.060712081]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.1331372095,0.5606383065,1.051996795,1.429554283,2.144926383,3.051958816,6.2123034]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(108, 111, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03465009508,0.1347223662,0.22366153,0.2899045944,0.4237149802,0.3754251375,0.7576562931,1.131086128,2.292461702,4.342942405]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04287123769,0.1458525843,0.2082194789,0.2728065263,0.5170951268,0.8848307681,1.438365078,3.67959626,7.668140662,16.644038167]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-22 06:33:48', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(109, 112, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.08695272143,0.1473559197,0.2577426718,0.7399490836,1.582552831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.002228387968,0.02005557184,0.1997500764,0.7117176696,2.957208293]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.4028174636,0.6350358717,1.27575081,2.501770706,4.438582482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.002851940258,0.02566747503,0.2098706513,0.6603191145,3.389740623]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(110, 113, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1691216707,0.3412410138,0.5118710736,0.4290778882,0.4895293063,0.4030711215,0.5466294555,0.5064030135,0.6469863918,1.244143637]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06148631406,0.072309919,0.05507624673,0.06038534277,0.06924122893,0.08227837403,0.1233174555,0.1767315095,0.1458422792,0.1835966287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2383234787,0.2845342235,0.4802290242,0.5856528423,0.8368801501,1.068467953,1.658097972,1.69679683,2.824907064,5.115000881]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1846453766,0.1939761321,0.110187449,0.1273626227,0.1447529248,0.1812721568,0.3194100809,0.432435223,0.5051545826,0.5630331338]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(111, 114, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8825939574,2.245946193,3.937661325,4.213334173,4.488775613,4.383663896,5.576016122,26.159094382,49.52273983,85.712140652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.570524288,25.621049389,23.060750132,23.739064911,28.819358096,51.268610342,74.083625091,83.82913717,129.228356682,143.925089231]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8530341475,1.128038677,2.133765231,3.229338814,4.52308762,6.736387775,10.3146203,16.634513376,26.955391605,44.776785113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.112703559,34.148731944,25.743884243,19.477608138,33.33550783,58.753442118,62.191669746,89.600408787,108.578875923,140.292212068]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(112, 115, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.910896667,8.212332021,16.146266672,18.793010784,19.94745449,18.441270508,25.660343865,44.669652203,83.29455479,140.074963964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[357.698432069,357.035899521,425.956581507,560.574729429,721.982862539,899.84346592,1089.729070524,1289.735076407,1500.010974086,1725.910459095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.833551886,2.836581482,8.094914533,15.590114023,26.097451868,41.361717433,73.266060328,142.862092877,259.2042249,436.273343281]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[131.994426942,183.385877283,281.345804707,428.715009051,596.843787842,788.550646637,1000.129410255,1216.233262565,1442.528689354,1665.721736966]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(113, 116, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4458467687,2.255881849,5.164034278,5.894993415,6.347429417,6.298229218,9.647550591,21.269989061,40.820991863,73.028865739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[141.747194253,194.928387968,286.865165984,416.946496356,566.304951098,728.987038993,902.999734495,1085.590024006,1275.923431951,1479.159544287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.35711886,0.7563280576,2.872035341,6.292453967,10.979064893,20.782110529,38.788830169,85.160677235,157.774723987,279.701556815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[107.759818993,148.476304665,234.546829159,366.899306585,520.785654803,699.166361541,896.953285402,1099.833777343,1313.219749006,1524.2341195]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(114, 117, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008485409454,0.04106205953,0.08234429164,0.08226832969,0.1116572274,0.06304323193,0.1671144871,0.3104279599,0.5806694736,1.071880549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02719472912,0.04327955239,0.06257602928,0.08581427332,0.1154357341,0.153623222,0.198362131,0.2476606753,0.30743682,0.3779828938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1612510383,0.2559092271,0.5126630366,0.8819325724,1.581683083,2.499320974,4.788946286,7.391326756,13.765735162,24.868670679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06508320401,0.1178296241,0.1836144786,0.2682765189,0.376201509,0.5115620143,0.6888572375,0.916759124,1.215144045,1.590175177]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(115, 118, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.084771189,4.563585457,8.615900151,10.259953771,11.077179162,10.085727608,13.252355091,20.148012312,37.076184749,57.544088936]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[204.541583998,146.474583181,116.188762452,110.445098562,110.709294066,113.062596521,115.310405904,118.387594535,123.324363489,129.944327728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9816580488,1.43642774,3.732892099,6.885549203,11.698881605,15.63671089,26.604923387,43.342156204,76.009204217,112.690775583]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.284469562,29.504517092,38.445791281,48.980411921,58.009325101,65.281873118,72.334525248,78.605661798,84.125977481,88.891912616]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(116, 119, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1714101187,0.8961156282,1.592433794,1.694802233,1.549884232,1.236964015,1.561801395,2.215005932,3.467151286,5.606146033]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2464033972,0.2931579538,0.3460142209,0.4079087388,0.4530898987,0.4862752584,0.5239052102,0.5746321611,0.6341272442,0.7054474342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07747498527,0.2110672179,0.6749014306,1.216549882,1.440396561,1.899511413,2.331902178,5.249428352,8.431518917,13.992921485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3203949424,0.3809134149,0.436274471,0.4884812181,0.5288978811,0.5751173296,0.6270424985,0.6956374529,0.7909669671,0.9108911366]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(117, 120, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2003831792,0.4556870185,0.6915541584,0.8609930419,0.8613044341,0.7573064403,1.031522313,0.7262168924,1.349557366,2.823982739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.136055691,15.296490867,22.494062821,32.689411498,44.400091743,57.153931926,70.696662784,84.935165029,99.821614582,115.723156752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2560489537,0.176849236,0.3024226322,0.3136283987,0.3974257411,0.5440636738,0.7514582815,1.718504261,3.223042884,5.019418309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.564660241,4.906312488,7.733295317,12.078532808,17.143708548,23.015732633,29.525699869,36.181426848,43.176851855,50.094638536]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(118, 121, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4934427418,1.291447633,2.669992968,3.486488123,4.4235499,5.479386446,7.835135749,10.992299072,16.599023603,23.811925496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.794591766,4.681885077,5.448141675,5.84560344,6.143652306,6.340980431,7.039161162,8.726576085,12.923215332,17.224235406]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6515286528,1.017700225,2.783373593,6.63189547,11.865635744,19.549902708,32.551228374,45.016496197,62.189433172,78.759167472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.088489115,4.593020642,7.009402528,10.435978707,12.609877729,13.845821533,15.912013543,19.355567325,26.943408955,33.86663699]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(119, 122, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1047919099,0.2928928816,0.6092185334,0.8083534683,1.042226424,1.327061541,1.971077791,2.714497784,3.810505848,5.144454743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8475453121,1.112670221,1.29110526,1.43925023,1.609401986,1.711577598,1.977377194,2.477469812,3.432975113,4.335220493]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1060822945,0.1580498518,0.4191819177,0.976589728,1.713059392,2.783770765,4.601919041,6.447900249,9.040454863,11.700408977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7653596413,0.8793482348,1.258049552,1.83570376,2.227011192,2.385347879,2.717943034,3.288036138,4.596662543,5.797336926]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(120, 123, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1366491137,0.3698181197,0.7719913362,0.9981605285,1.244721411,1.48101039,2.022104532,2.894335517,4.768523018,7.30288144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.080672694,1.418573733,1.723268903,1.908115872,2.000896209,2.010257647,2.199153334,2.75791395,4.445663166,6.416489474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05044443251,0.09956439101,0.375677228,1.104222273,2.281820868,4.21067635,7.653278298,11.005046022,15.313626405,19.527615098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.384912697,0.5643921062,1.106851072,2.086601793,2.839239619,3.573167751,4.312848837,5.45275841,7.71080138,9.552624739]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(121, 124, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03546757283,0.1944518532,0.500039658,0.7767633243,1.144367182,1.616433854,2.586630007,3.912310228,6.135907954,9.064642635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1953231365,0.49470338,0.7062553108,0.821021032,1.023920858,1.24069641,1.551528308,2.085559758,3.314032646,4.516745813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1553964153,0.398430836,1.192810516,3.011312242,5.657848658,9.643740766,16.530374335,23.221311833,32.390195968,41.26959158]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6242893337,1.226830672,2.23123599,3.609719584,4.663468595,5.404208782,6.617014062,8.380885396,11.862039353,15.403951808]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(122, 125, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2165341449,0.4342847776,0.7887434397,0.9032108,0.9922348866,1.054880661,1.255323424,1.471155545,1.884086785,2.299946639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.671050624,1.655937743,1.727512202,1.677216306,1.509433254,1.378448776,1.311102326,1.405632565,1.730544406,1.955779626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3396055107,0.3616551457,0.7957039285,1.539771224,2.212906818,2.911714834,3.765656655,4.34223815,5.445155937,6.261551848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.313927443,1.922449629,2.413265914,2.90395357,2.880158323,2.483097122,2.26420761,2.233887382,2.773905679,3.112723517]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(123, 126, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.586864773,7.294402609,14.684459784,15.2826272,14.784908196,11.859226763,14.563623657,19.805129034,28.567201255,44.999425778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.07958561,83.050874637,147.838998993,189.458998238,210.931197544,256.458260231,310.381322752,348.495431418,402.643473147,551.171104995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.900133671,3.834303887,9.811994453,17.557206842,24.563012533,31.636413446,40.469228246,49.319418008,66.056305351,89.219076062]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.302744429,50.205893927,73.126841315,95.852035574,114.326182026,137.16898893,164.151937327,192.87496448,222.548981389,275.56067144]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(124, 127, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.211205853,1.038514857,2.265042893,2.540269261,2.620070739,2.218487972,2.94710391,4.470060324,7.560598657,12.113866877]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.207188569,7.034458891,16.026483914,22.919773494,26.259320782,38.821456689,53.069800859,59.791290369,69.014261859,128.24687026]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2599843207,0.73747009,1.580646849,3.066036861,4.636469553,6.678366564,9.692825417,13.791996239,18.548284391,22.795501486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.110254567,2.22107009,3.883973482,6.098539215,8.946695241,13.674954111,20.455623632,29.169410422,37.543827096,55.708954249]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(125, 128, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1028523975,0.3485015729,0.6834708032,0.6872824622,0.6576439774,0.5739926896,0.7276560702,0.990707244,1.576414405,2.507580075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.959940375,32.718696623,61.968133527,75.610636441,78.818784638,97.116561504,122.452634485,139.934176572,168.382180704,232.228414426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1475626803,0.2086495243,0.4937049956,0.8882294421,1.17079904,1.687889704,2.187958261,2.960993617,4.215318277,5.27272697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.076749797,4.458778398,8.096305683,10.915676453,12.5865235,16.196301887,22.378267969,27.8673536,32.41838153,45.703136102]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(126, 129, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1621523456,0.3661811074,0.5555515116,0.5180042122,0.4367252492,0.3195194741,0.3520400143,0.5749578,0.682789085,1.412772881]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.706649758,5.997656812,7.176228188,7.185205782,6.256731003,5.320856378,4.73069645,4.085215893,3.340178691,2.925155803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2994515951,0.2555410949,0.4017929847,0.6697732188,0.6781205487,0.8876650599,1.092920211,1.48681751,1.384036752,3.180549972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.607003329,5.365825507,5.400152835,5.407969896,5.041761782,4.82417241,4.435596615,3.923446546,3.784746319,3.348181443]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(127, 130, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3064453556,0.7438224318,1.105604363,1.201763888,1.516451147,1.4727333,1.853620059,2.716236414,3.835477756,6.844412502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09371171996,0.117162825,0.1482266285,0.1791410086,0.2097871244,0.2563146833,0.3257551298,0.3959207011,0.4664484313,0.7803969647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4396593201,0.6504152913,1.389462049,2.158598851,2.862374843,3.824004858,5.422175665,6.779730479,9.416221541,15.568185627]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08828158065,0.1163540345,0.185365865,0.25371892,0.3207606445,0.4289221881,0.5973857352,0.7683812933,0.9410058627,1.388951152]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(128, 131, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01972255313,0.03348676968,0.04815938675,0.07472913619,0.1037755671,0.1504755755,0.2412612443,0.4462901518,0.6492383695,0.9667007511]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.405087371,0.4201716254,0.4159466434,0.4200906864,0.4381265603,0.4828515501,0.551511956,0.6668134906,0.8697359878,1.347713791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03428328622,0.08119778754,0.130340198,0.1779472606,0.2914843741,0.3734249724,0.5396918313,0.7625764603,1.105913185,1.609227064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.474512984,1.457568477,1.125245028,1.177553623,1.72380471,2.79841811,4.602487156,7.33481239,11.883334993,19.420380649]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(129, 132, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4777882808,3.523895339,7.242603296,7.501217598,6.45300292,4.376230232,4.934849305,5.451661596,6.215413434,7.710892829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.750496448,21.473764465,30.112710533,39.090244191,46.973670724,53.104812843,58.803870351,63.556707114,67.333015853,69.88540096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2293481482,0.8045438871,2.744235536,4.849267845,6.78572384,7.396452448,7.523829674,8.054719501,9.910033491,11.406219248]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.177447199,25.853628827,35.84795742,46.358650788,54.790649789,61.939048834,67.278014225,71.607513302,76.006783569,78.485908176]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(130, 133, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006239037322,0.02217743971,0.07551322266,0.1035180947,0.1105832672,0.120952049,0.1888010918,0.3109548786,0.5729940696,0.9532706476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02705829696,0.02646906163,0.03108887478,0.03743692744,0.04398660399,0.05379013067,0.06618583139,0.09622492106,0.1514617474,0.2299596585]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02292641989,0.05354001821,0.1206509021,0.153199172,0.2450060534,0.4047951484,0.5311402167,0.6962384997,1.143256323,1.657888581]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02903551087,0.02824170498,0.03119651122,0.03558381681,0.04050057835,0.05645625905,0.08773576521,0.1234670613,0.1537552211,0.2134028009]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(131, 134, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06473344556,0.2285294431,0.4370266668,0.4703147008,0.7251319014,0.6817909511,0.9500262359,1.824467793,2.922194942,5.111262913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.040461571,3.273150763,8.346967412,13.315339582,18.577174774,22.402575572,24.47335201,28.729858122,35.285584581,40.760674004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06151318917,0.1144620037,0.2882168609,0.5642638916,0.8965012364,1.117203484,1.787672529,2.328381129,4.526759002,6.906371605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4381497536,0.8071514138,1.704649591,2.6752275,3.75885682,5.205470497,7.259523338,10.325263035,14.377021692,18.241104583]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(132, 135, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05568089071,0.2104284079,0.5725544131,0.5629800665,0.6161059881,0.6347266666,0.9179546535,1.203487529,1.700249174,2.245849522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.05265796,2.849729805,7.346815651,9.854759767,10.141313313,10.67635775,11.729598518,12.854163754,13.462423289,14.082589395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1131347635,0.3986650391,1.321740141,2.700711656,4.045542758,5.518977069,6.76885616,6.707634306,7.523416027,8.486393716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.68896885,3.515884043,7.556880124,10.751361509,12.579248504,14.612221571,16.188861459,17.241816164,17.154823438,18.028025141]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(133, 136, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1800446147,0.7788652404,1.698933264,1.622547798,1.54541745,1.310317851,1.450311078,1.81630531,2.851831358,5.132816696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.836333542,9.139613765,16.266397622,20.846370358,23.212302021,28.22268313,34.177917162,38.385060481,44.338182003,60.683929732]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2922699499,0.5298191553,1.341203935,2.329178638,2.950990254,3.74763412,4.922158265,5.750330352,8.283066336,12.336011633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.612340857,6.381391433,9.295114776,12.177753854,14.537380458,17.433023064,20.868441432,24.513500666,28.285301668,35.022627145]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(134, 137, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.322525914,5.210711155,7.04605784,7.549417,7.341030048,5.518826909,6.614380781,7.955978729,12.128638035,18.213067629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[570.251480198,665.414442356,739.583560722,830.503917254,946.879114905,957.826423898,869.875957029,833.587040563,861.99337261,904.958687327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.619088162,4.784629236,7.413723813,11.296505591,14.937165594,18.092105232,21.802896357,26.230115077,33.661362461,50.742700884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[313.63424567,367.695877462,412.323766479,461.110008632,512.828418302,517.368608153,481.431764842,466.372207262,488.932316269,531.576790132]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(135, 138, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.003684049683,0.05771783959,0.3942357976,1.961151459,5.771722491]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.7984191124,5.031537853,17.605637743,53.027777413,122.165139441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.003908176317,0.06012146937,0.4925311167,2.687439171,8.018987861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.5730230635,3.86761163,12.781184916,38.303108592,86.828714164]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(136, 139, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.012682208,0.01553041433,0.01498527663,0.01672461761,0.02669113388,0.0480060747,0.1433902762,0.3799952133,0.7876401746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.003612749833,0.02485789183,0.07443980997,0.1796517575,0.3989446931,0.9266687003,1.902249516,3.459629448,5.966445192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01536059248,0.03325287011,0.04118185674,0.03971297021,0.07197427193,0.1120291328,0.2809237171,0.7358685186,1.997490641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.004431670144,0.03049293975,0.09210691324,0.2257640884,0.4971059931,1.116512774,2.113079211,4.114146938,7.018471259]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(137, 140, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.201524879,4.885781818,6.643955741,7.078067682,6.647396652,4.976005071,5.690825239,6.386289679,8.023650278,9.375587086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.858978353,45.289394629,44.157313752,41.51543164,39.069253088,37.203865538,35.669618852,36.724605398,38.480603998,41.122733929]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.229634901,4.47310216,7.093642077,10.755488512,14.253839324,17.148785781,20.433670459,23.506383883,27.510422201,36.697614462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.433795716,49.085552567,48.236996731,45.676130448,43.675025114,40.842425485,40.280541957,40.701014663,42.623957899,44.981159134]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(138, 141, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01012858018,0.0147675375,0.01733210318,0.03809463815,0.03702376414,0.06713178379,0.09537243528,0.1552896368,0.1821874962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.714524625,4.018778715,7.097427886,10.712522511,13.58095373,14.974143544,15.170392421,14.328499816,11.963954902,9.24957942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.006875268002,0.007514926747,0.02221446897,0.02442853561,0.06843233844,0.1059414448,0.1131850934,0.210986005,0.2860318088]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7322653878,1.699170957,3.152339095,4.80834203,6.155587214,6.727890595,6.701517177,6.294351138,5.077798852,3.695344939]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(139, 142, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[354.619396882,408.253189894,491.631917034,529.798921688,531.64475117,509.717703671,467.538160936,424.428772372,379.729633026,337.311188747]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[183.316952769,213.039548138,248.997808209,268.43353491,269.418927267,261.708026643,245.716055499,225.453001175,199.570103385,173.822246069]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(140, 143, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.50802432,32.484128945,32.58866605,33.655764916,35.910107027,35.072003781,31.039357501,29.327084881,29.460046529,28.928353691]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.958247497,28.453991146,28.569884046,29.45446094,31.101787283,30.196201184,26.600527411,24.420075048,23.779988427,22.808381099]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(141, 144, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1210010358,0.3021185488,0.3718041479,0.4390319387,0.6388141409,0.4754228903,0.7506998436,0.9366905413,1.608551448,2.09593038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7122307116,1.626436291,2.853618954,4.295493248,5.485062859,6.43222069,8.409512625,13.440513386,27.158628015,54.423975319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3894532613,0.2892912152,0.2793139391,0.4776207532,0.619184764,0.7990046643,1.091133851,1.837091267,2.516646566,3.742576111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4311116438,0.951177442,1.737822971,2.655168217,3.449223688,4.214161462,6.294251346,11.384237042,25.429591071,52.100177591]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(142, 145, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.702763391,3.602023545,5.480255033,5.33509933,5.744188134,5.293064344,6.226874806,7.336119952,9.43298083,11.121172092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3011.699632662,3807.89455711,3778.680481108,3930.539392616,3896.227023352,3749.011521331,3623.603347102,3530.283968191,3331.243760189,3165.564496601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.617046002,21.103310998,29.021153209,32.477814549,34.219862417,37.297372955,40.243364702,21.232883438,24.510456123,28.334175623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3045.395408414,3876.500125396,3772.890609778,3531.279983464,3529.412151514,3402.132643266,3229.439993389,2988.361948374,2734.909156218,2459.040633535]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(143, 146, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.3698908017,0.4915617502,0.6400211692,0.6852374055,0.7549313347,0.8210476445,1.2905573,1.587585879]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.262361605,132.567994017,221.656754776,304.025236263,344.30704372,344.797486701,329.668807326,305.767001127,266.577028718,219.751708085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.3592688773,0.6256900279,0.9216651927,1.244719704,1.531829689,1.738371659,2.306857417,2.950636522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.212451115,149.8960051,257.305299147,356.462288157,405.704347334,412.014963267,394.286929789,359.263878999,311.167590445,252.803982219]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(144, 147, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4756071949,1.168446243,1.886779094,1.887676179,2.174507297,2.133436145,2.714042683,3.839100266,4.78298827,5.314423182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.147359579,219.305908146,170.909804696,103.650721475,84.618004789,74.836565241,68.684967899,63.227119552,56.828031117,48.375419115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.347804312,4.326754368,6.651249975,8.560773844,10.053917113,12.404376973,15.506839992,16.16934764,18.34963618,20.549922394]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[362.589304764,848.234383705,747.743896948,492.774889034,392.069696656,336.171242702,298.983440308,265.33267268,223.971725936,178.271418866]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(145, 148, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.210322346,2.344732947,3.050002112,2.804316587,2.836314852,2.41950623,2.715708744,2.675972041,3.35943526,4.219163031]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[114.516639406,183.12106197,200.515225209,213.669232293,213.862453546,193.097370686,153.38992029,106.134622033,66.956287624,38.154538452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.266156412,16.769101081,21.996094871,23.271637748,23.227746332,23.633774284,23.19246556,3.325164139,3.853962526,4.833616707]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.831935569,268.357380483,336.671240289,415.809710137,473.187793844,477.160049741,393.192598289,268.945489449,171.701697403,99.821439076]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(146, 149, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2428320367,0.5267099416,0.6866354728,0.6089234176,0.6089629954,0.4933712619,0.5389857087,0.5390145363,0.6430755789,0.7944543955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.891833531,25.276237198,76.293889388,134.721976254,158.615089446,150.443418873,119.213503565,78.496241986,45.951754831,23.42573367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.724329368,3.856111818,5.112035694,5.176949389,5.168270493,4.973911995,4.832122798,0.6883691198,0.7637933638,0.9388629738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.20568249,43.629093329,155.382679335,296.592780203,384.56613806,402.719906541,332.03243422,220.684136886,135.493725661,75.817794244]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(147, 150, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007211427805,0.01232315308,0.01667360839,0.01501558798,0.01454456915,0.01145924576,0.01251560441,0.009555627384,0.01277690675,0.01436732941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.866439566,9.381306215,13.71848739,14.983277154,14.112410933,12.120951304,9.714113202,7.397032087,4.922708863,2.947191324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02963343427,0.05453068423,0.07345263618,0.07616212991,0.07356371492,0.06850203585,0.06611129795,0.007303399001,0.008940325101,0.01031732227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.350554953,14.031294273,21.135018452,22.810484778,23.093191526,22.500101526,19.495273107,14.810147369,10.129203,5.539398583]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(148, 151, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005175867254,0.007913624322,0.009926695151,0.008683132965,0.008703470953,0.007060221888,0.007599430572,0.008889866864,0.01092240207,0.01265026119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.095801889,65.986703141,45.932058114,22.69437891,12.265386938,8.224916279,6.654841912,5.878429082,5.169615,4.121020221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02037920897,0.03246233469,0.04147599952,0.0423903496,0.04120432062,0.03964855973,0.03708928708,0.006432071809,0.007299753823,0.00845421842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.919103931,89.798752742,63.272679563,32.503303097,18.371452153,12.477393363,9.451876647,7.999155834,7.027019899,5.815938381]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(149, 153, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9551030143,1.797786227,2.336766339,2.171694456,2.204103823,1.907615498,2.156607999,2.11851201,2.692660372,3.397691044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.383105632,75.861790049,60.074008906,37.966798085,26.57449904,20.483696352,16.461109422,13.379806136,10.161543856,7.121600651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.491814399,12.825996235,16.769130572,17.976135909,17.944707786,18.551711656,18.257142156,2.623059552,3.07392908,3.875982192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.333151122,105.463980072,85.772048247,56.220147211,42.12674488,35.570296163,29.420195611,23.209021864,17.399258988,11.514875071]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(150, 155, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1275.074826629,1535.088412641,1602.77044713,1657.869777695,1714.753174819,1743.091353856,1731.348467491,1714.98418759,1690.567655784,1664.426075856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[677.419383245,813.627621741,833.107514783,847.686007045,858.927423225,864.834912443,856.959568195,849.817636063,839.767423281,829.01998978]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(151, 156, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.056115073,146.753079386,195.192595735,227.699764122,252.543622818,271.268108764,277.23917589,276.691397381,271.000437361,265.792975413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.259186993,95.309385476,125.510919751,145.260822759,159.649598359,169.124042227,172.7188915,172.005474282,169.040744918,166.076266262]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(152, 159, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[109.469773523,238.768563197,301.350793846,291.91709614,264.667699497,233.948389246,210.443406247,193.855583832,180.945302574,169.342844839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.835342131,194.753705912,244.09162642,235.192478067,209.958285356,182.708543321,163.598176363,151.929548266,141.930762081,132.676507605]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(153, 160, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[635.441569231,682.163266662,670.505266672,631.897863889,580.540612591,527.848114393,497.793823578,484.496701389,474.244498652,464.86026651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[472.160535288,465.16642818,435.045634812,400.306334195,362.283852648,329.924322576,314.336214607,309.768723685,308.734014891,307.071269971]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(154, 161, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01683384973,0.08884435522,0.1735830253,0.1515448142,0.09334481608,0.05488456351,0.04219204448,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.497995067,119.586269579,97.814347247,66.559555709,40.649340813,17.113718336,6.037901958,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003085278186,0.00745554953,0.01453948488,0.0197129291,0.01653377977,0.01450199444,0.01222946095,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.83137596,29.157837395,22.366344856,14.579238064,7.52421964,1.755873526,0.36451497,null,null,null]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(155, 162, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.88491235,46.799997976,45.162183427,43.257579595,41.817647426,40.202721599,38.782600298,37.609634141,35.916088305,34.484565365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.478372682,120.868193864,116.464023835,111.855928923,106.974537712,104.004620744,99.632150224,96.365403396,92.392346829,88.736432604]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(156, 163, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.6643462,20.212409245,19.434978265,18.618353399,17.979613588,17.515522432,16.921295925,16.428137646,15.796587798,15.211241402]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.049246643,75.507531438,73.183219149,70.300852179,67.802994207,65.474367847,63.109657055,61.274676395,58.864942386,56.66652592]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(157, 164, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.268145907,5.088217168,1.193549094,0.238202771,0.04513162726,0.007165164534,0.001018172443,0.0001310803868,1.547428244e-5,1.692773267e-6]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.03997546,13.496633124,3.325098652,0.7575129492,0.1596352859,0.03071499813,0.005524720068,0.0009375330925,0.0001514886123,2.350306684e-5]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(158, 165, 146, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[237.548938824,23.610506871,null,null,null,null,null,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[584.232274511,117.175709644,null,null,null,null,null,null,null,null]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(159, 166, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[244.866649266,227.869651257,211.324919809,195.06451261,181.536019845,170.652447085,161.624754158,153.158084459,144.391445433,134.49419474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[330.456024053,307.17901314,284.492807244,261.534968356,241.197150277,224.017069687,208.662276384,194.604755659,180.871459163,166.038182092]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(160, 167, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0518849,0.073596,0.122499,0.155523,0.224268,0.395385,0.544934,0.818473,1.0863,1.4854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,226.959218994,40.849615203,176.071496657,158.906658273,114.632557828,131.66720787,177.93136796,128.020381348,110.670665132]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0951742,0.187072,0.37364,0.577551,0.864944,1.35314,1.89791,2.99294,3.05624,4.14684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,377.770296193,293.582983891,178.758953597,243.972616971,234.911920186,263.590050985,259.052751967,236.466297398,181.858595637]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(161, 168, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.816367032,17.395878496,32.550861245,36.025021654,36.444422654,35.758865011,51.437584806,88.280351876,160.663217295,264.579957279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[328.830920285,581.248114456,775.082135513,958.332210641,1159.566531506,1432.64916837,1544.969980659,1323.05903271,1311.488067918,1327.070054892]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.21722192,6.649227168,16.904348644,30.668016037,43.2247802,61.093120356,91.153907345,139.294014905,222.951859739,345.465127635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[157.339869358,184.400788075,247.892358263,328.761085239,443.713245572,593.530857087,767.142857377,960.947997824,1187.24181776,1488.421398509]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(162, 169, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.63089194,1.88726679,3.421618534,4.849156152,7.867542293,12.558080931,23.913893795,54.321097517,111.969004372,195.342320763]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.74312846,90.199272685,118.356788722,155.899454022,234.131063371,367.84339674,560.228061811,700.14185968,718.741873648,709.787106195]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4651469145,0.7542032433,1.845928573,4.018178393,8.477779092,18.381806382,39.995978125,71.365587768,131.67123285,221.362252229]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.131781339,44.115195475,63.930205887,94.15574099,154.046229936,248.647245073,373.065611085,460.73651475,459.255799746,423.230727949]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(163, 170, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02891827275,0.04844080766,0.05929561623,0.06048220127,0.07631723906,0.0527927325,0.02445007058,0.03870056164,0.08220547313,0.08275481859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01244704266,0.01069229156,0.00910607766,0.007528528127,0.005956705253,0.005055202654,0.005103337279,0.005173687568,0.005250346006,0.005936014053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02244294198,0.02323561044,0.05610194279,0.05082582061,0.05909453412,0.0664440868,0.07463178128,0.06718048324,0.1815436524,0.3243993567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01924361841,0.01738800239,0.01575070974,0.014120588,0.01249345827,0.01194921619,0.0129402094,0.01396427807,0.01499811157,0.01764520504]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(164, 171, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6891029049,2.036770968,4.223905948,5.032013789,5.759923776,5.844377153,7.832252113,11.989122473,20.437859695,30.974435247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.391981632,112.760075031,161.771162299,219.237553355,283.675355138,321.987039931,337.65562062,366.883933986,424.415428861,467.292090839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9963025744,1.638841123,3.219203226,5.810968946,8.799995014,12.871797207,18.774454724,26.706534285,40.289588796,63.086381737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.094321135,91.820038548,132.9401164,177.570255752,225.741843061,266.203637025,296.101034328,339.684815936,394.960749118,442.937669122]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(165, 172, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01661857192,0.02448646014,0.03400680086,0.01537950795,0.01128341682,0.009427057211,0.01060622778,0.01878684907,0.02643812811,0.02107192008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.686238054,8.281989847,13.584805948,20.952520665,29.617537249,38.072306116,55.187961498,69.835396894,80.528459753,89.873252919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01636611901,0.02451477331,0.02287239911,0.02594196407,0.01825167887,0.01176031421,0.01494582851,0.01572994827,0.03509732805,0.05903460119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.023705793,4.523723817,7.679041501,12.69825241,18.509179918,27.029278036,38.822567416,48.494607234,53.213905683,58.845599005]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(166, 173, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1704022459,0.55164976,1.428394706,1.819252379,2.966894808,3.231716259,4.713366955,7.245415257,13.003494995,19.709777478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.650365166,35.098320754,54.161526563,79.28453292,115.120133093,136.741828691,126.878227688,121.773225131,126.77495826,133.863156517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2490975557,0.4843159906,1.202445191,2.440304185,4.793133624,7.398649024,12.137912312,16.901554283,25.038778884,40.592288865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.652418497,31.349664312,49.244189105,69.244509219,91.010043687,105.659656963,107.563237229,119.086215704,143.506545653,165.973566604]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(167, 174, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2121276945,0.6097833298,1.331962348,1.470032199,1.745652129,1.662714359,2.156408306,3.305926947,5.716478354,8.63948739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.523622428,26.705875722,38.535543838,49.455732034,57.836244511,63.024315736,59.404103218,60.724143026,73.626513096,85.941681979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2905595935,0.4882976244,0.902443706,1.688262996,2.231680993,3.155237596,4.655421824,6.96639213,10.738757949,16.383752959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.211283019,23.921570235,28.491112932,32.432459006,37.28463772,42.153546766,49.535981327,55.750156881,58.59559756,65.642816507]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(168, 175, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.224342132,0.8801338666,1.481845703,1.72604848,1.559001735,1.307498134,1.594896929,2.437153002,3.707674382,6.283049978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.17902373,2.972827328,3.989191375,4.897729448,5.791709497,6.89849955,8.255826644,9.471849057,10.567434117,12.326601835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2701104375,0.4135515761,1.058656113,1.855457434,2.480946133,3.32221291,4.894867293,6.509013959,10.002937093,16.442199628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.720922552,12.10842663,16.014101363,20.140820085,24.847072576,33.800098,48.383850246,104.298984808,274.985046446,544.912712765]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(169, 176, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1773890374,0.5991979585,1.041642913,1.210070372,1.016575964,0.8838113814,1.102258445,1.620753298,2.155778959,3.47197036]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9336726921,1.067624194,1.106888275,1.091131839,1.017777381,1.029889075,1.093804055,1.183978495,1.353443575,1.646457616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1052840453,0.1786435345,0.4671833627,0.7187093434,0.932759331,1.305975567,1.715450252,2.298966256,3.031909376,5.09299034]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3169977605,0.3823343191,0.4576479947,0.4940368353,0.4525132357,0.4445925682,0.4618836592,0.4944244347,0.5526141422,0.6254482819]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(170, 177, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005490795611,0.01453513174,0.02401967673,0.0240492319,0.03237741106,0.02725136233,0.054204178,0.04787629126,0.1145298952,0.1031774226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4906074794,0.8778495511,1.4976646,2.106420208,2.771562201,3.484503309,4.298639593,5.008071151,5.561594838,6.417564316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01120451333,0.01507637068,0.02452805479,0.01948336737,0.05226074808,0.07963637862,0.09752383098,0.1901242937,0.3434673929,0.3004539921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7761298344,1.50977444,2.618830146,3.807675229,5.159165361,6.757663709,8.945038033,11.078526173,12.7165124,15.056494748]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(171, 178, 146, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,5.942333688,24.946837583,75.452147105,241.939081144,505.84446609]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(172, 179, 146, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,7.382225584,8.347574866,9.424799821,10.864582008,9.90970933,null,null,null,null]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(173, 180, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04146229922,0.2664007758,0.416183113,0.4919288762,0.5100483607,0.3964353908,0.4384343067,0.7685234129,1.437365524,2.707902205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7547435584,1.027353583,1.3846385,1.7001774,2.002369915,2.384107167,2.863382996,3.279799411,3.652395705,4.262579904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1536218787,0.2198316709,0.566944696,1.117264723,1.49592605,1.936600958,3.081893201,4.019923411,6.627560329,11.048755291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.627794957,2.834092287,4.590048356,6.414308199,8.370811972,10.745798705,14.030090971,17.273887095,19.77683876,23.386303645]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(174, 181, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0355856544,0.1007390644,0.1883655074,0.1914615141,0.1785885218,0.1346730758,0.1179027533,0.1551918065,0.2870443592,0.3122009122]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[124.764144269,326.328367426,443.014465332,529.503635563,586.910316015,686.578900286,592.325281086,203.888936134,113.943341823,58.088426803]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(175, 182, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002188651459,0.005568772956,0.02082059339,0.02291724224,0.03448491048,0.02557108019,0.04811276836,0.06058130656,0.06122130826,0.06591052455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.151357716,36.209813167,69.144314961,111.246352254,153.616394472,199.811654123,206.009111836,112.213893859,42.181420142,3.600756937]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(176, 183, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004356529552,0.009732514851,0.0157590195,0.01295247184,0.009081889076,0.004192490764,0.003112076278,0.003746993656,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.1411019,46.999500328,63.635359808,77.286152003,91.429141542,103.129902598,93.711332336,1.928497684e-21,null,null]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(177, 184, 146, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1941470385,1.769672207,4.023670883,8.842433888,12.920847455,16.684219721,1.368542866,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(178, 185, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007931695954,0.01841141191,0.03188203477,0.03151131628,0.02595694277,0.02069371083,0.01213076279,0.01504559684,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.77792703,36.34949357,58.651346803,71.003898532,82.565094492,98.854785054,96.792270295,0.000599457985,null,null]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(179, 186, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007217116772,0.01657214655,0.02662375344,0.02397556302,0.02071834471,0.01605751671,0.009742777379,0.01820425263,0.05495567027,0.06327641068]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.396735358,22.103691356,34.371413845,39.853003494,43.827191077,49.659161437,62.729127331,76.194767087,71.761921682,54.487669866]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(180, 187, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.033536307,152.154650638,183.222611961,189.880642818,169.755554842,188.082659683,110.070523468,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(181, 188, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01389166071,0.0504542182,0.09328010677,0.1001049205,0.08834643497,0.06815827726,0.04480436859,0.05761365652,0.1708673807,0.1830139771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.06933892,30.741546159,29.965747073,31.391152575,32.796092135,30.35651767,21.644372953,15.47967573,null,null]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(182, 189, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7914899563,2.396759083,3.814501051,3.975990755,3.681397621,3.258812509,4.430130432,2.250129047,3.290064022,5.067097189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.051806392,29.336131756,28.629710767,28.556790476,29.558991557,31.372357128,27.713110431,21.015914024,19.642391622,39.290125027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5574718899,0.6948264436,1.268696397,1.887883216,2.408548627,2.869230396,3.946674602,2.553719987,3.747190476,5.892417814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.923139795,22.053362773,20.141373289,21.056766916,21.536392416,24.5063271,25.963240083,28.646895146,28.840358471,36.342850405]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(183, 190, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1028791728,0.2292645823,0.2176531802,0.1122580036,0.02385640804,0.003640335718,0.001439189731,0.0006010116161,0.0005679446013,0.000495927255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07689076042,0.06669905727,0.03192060716,0.02417620079,0.00517569532,0.002934866039,0.0003214414195,0.0003589542371,0.0001016965297,0.0001130612566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05014609767,0.04280876826,0.04617972335,0.02882310719,0.00953853419,0.002285552088,0.000940589728,0.0006141853784,0.0006610849945,0.0005998992612]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05992495635,0.04800315032,0.01563045291,0.01222066657,0.00232954225,0.001414483325,0.0001864389965,0.0002064772454,8.811538935e-5,9.131993189e-5]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(184, 191, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3196734531,1.11214589,1.877202571,1.977077033,1.861758899,1.514227192,1.743832203,0.7780039122,0.7021850019,0.5932028206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4698560559,0.4265169119,0.3742707502,0.2951389855,0.2232080318,0.1639351632,0.106979105,0.05918791345,0.03524954608,0.02190372075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.224352318,0.2627154149,0.5267591792,0.8085656306,1.020146965,1.028430277,1.061483263,0.8379871761,0.7971035365,0.6427328285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3756313627,0.3358523907,0.2907100631,0.2173573193,0.1564116837,0.1073970141,0.06445550224,0.03405116614,0.0167363189,0.00887871542]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(185, 192, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05537863355,0.191087307,0.3434632613,0.3527140646,0.3097533003,0.2305532627,0.2551039111,0.126190418,0.1424754607,0.1477243139]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1882852819,0.181964005,0.1863935577,0.1937771495,0.1989008718,0.2159921218,0.2136486133,0.1944956746,0.1572570726,0.1683081156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06505640553,0.07587916847,0.1508406951,0.2079257261,0.2265093317,0.2094815798,0.2196654358,0.1983764128,0.2531635415,0.2709317189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3740469963,0.2638718656,0.2367608313,0.2505796881,0.2530303864,0.2911524197,0.3100576567,0.3489456037,0.3451194632,0.3796004711]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(186, 193, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3135586969,0.8642613075,1.376182031,1.533941657,1.48602902,1.51039172,2.429755132,1.345333708,2.444835606,4.325674127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.062008876,7.479813714,7.090830627,6.845760681,6.053021079,4.763798007,3.932471996,3.077043444,2.699713411,22.102997303]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2179170676,0.3134230926,0.5449168002,0.8425687551,1.152353795,1.629032985,2.66458531,1.516742212,2.696262308,4.97815337]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.846343069,18.912362382,17.212157548,18.07531884,18.423463858,20.887525146,21.461097281,22.807787224,22.231347183,28.272407891]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(187, 194, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.416036172,10.045767916,19.361328885,20.189868762,17.321651469,12.602630476,13.524058713,17.088957469,20.889364993,26.518098371]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.688388759,19.640747939,19.311710939,20.229519249,19.493139223,17.963919531,18.78697673,21.651366142,24.172347501,40.279768179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9057471613,3.124569172,9.455762393,17.044702227,20.9984168,23.581629375,23.467300819,32.091978422,37.059366871,38.357476871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.450460919,14.286376646,14.850810614,15.823380908,17.529214125,20.361600672,23.616181426,27.566822906,29.184865867,40.979793064]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(188, 195, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3255509148,0.7596369576,1.435146755,1.343543561,1.409733635,1.264763694,1.65724964,2.635545058,3.933953672,5.90716101]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[479.117328391,812.322298478,1298.155855236,1843.825547109,2449.648843609,3006.815424017,3523.867069956,4147.99625528,4830.12045269,5433.234955856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2381390484,0.2701418607,0.6030809075,1.013526,1.256070112,1.548018954,2.418960793,3.310745453,5.297153827,7.590142196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[599.066096532,917.600446258,1254.525541822,1630.062066981,2065.420534881,2490.803003315,2918.101708167,3355.775751481,3782.536298793,4157.801206104]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(189, 196, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03833214245,0.1164382926,0.2715256994,0.3104628395,0.2828290075,0.2594856175,0.452399036,0.8264879435,1.355925443,1.917985471]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.62484895,87.576737021,92.969528702,102.173030027,120.198542184,146.676439796,179.574161581,220.085899632,274.580981985,341.212145732]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04248055636,0.05366796127,0.1290118817,0.1829730448,0.3070580073,0.3144359282,0.5801678067,1.044984443,1.777033834,2.533688326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.754662979,46.728369544,51.814113018,62.475403287,80.253409537,106.236911737,139.440306359,179.553765733,224.128393379,273.021801313]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(190, 197, 146, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,37.506272761,139.997008406,267.004373523,429.096897612,623.898186936,830.13192551,1046.940958492]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,23.488394187,86.930097212,165.531699933,266.043512146,387.865237318,518.613596904,655.784955231]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(191, 199, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[251.632879794,351.916095019,441.981732887,545.519458443,664.506501107,821.501623339,1018.277675208,1201.248606807,1370.211970534,1550.265339304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[356.036667018,503.616057474,633.919937456,778.142895399,943.649897606,1149.726395598,1399.69876051,1620.54984125,1807.755556093,1976.083952261]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(192, 200, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[143.81072855,353.713107425,677.887543262,931.371363043,1120.218202987,1234.358377112,1270.041297745,1312.551757209,1345.76637193,1321.320646595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[198.332730702,351.606087634,527.877831509,694.19492099,848.902059522,935.659954881,955.836707422,976.699430846,995.680181206,978.768695716]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(193, 201, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009999256602,0.06649317488,0.1763103559,0.3214866357,0.4751798876,0.6493588392,0.9085444018,1.245020741,1.631934943,1.880400297]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02271119805,0.1531663594,0.4079805742,0.7719690916,1.287782858,1.809705783,2.468434773,3.357680898,4.262797474,5.118234504]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(194, 202, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2872187726,0.643198666,1.163621057,1.033080722,1.126904628,1.005278078,1.204850607,1.809057117,2.578028231,3.989175535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.03887184,19.049865839,85.140740028,226.9339362,404.253409038,536.625251409,625.968493409,788.966783955,1007.797267787,1171.615465437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1956584925,0.2164738997,0.4740690253,0.8305529555,0.9490121063,1.233583023,1.838792987,2.265761007,3.520119999,5.056453869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.919324635,15.496765247,40.505679265,70.988484027,104.397288147,131.838335383,154.613986956,187.749795437,232.095773737,269.023567079]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(195, 203, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.065008873,2.376860027,3.602724408,3.511135825,3.250980118,2.910115673,4.009301313,5.035078988,8.360636314,12.711438969]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1140.452251246,1086.814069799,1052.469788059,1078.664488921,1160.194108481,1319.385391829,1579.738934339,1917.248440254,2297.754706239,2801.939822084]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.162431629,1.177646679,1.875680412,3.168412907,3.960119381,5.320359381,7.711636517,8.72739989,12.640922916,20.419842748]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1207.107152152,1124.62728448,1111.612648708,1163.849896666,1262.04425923,1435.51979066,1705.378278569,2033.119646604,2383.788334146,2842.105724449]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(196, 204, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6707753076,1.164137422,1.3763528,1.236214675,1.168110067,1.073318041,1.544423321,1.470442091,2.652840348,3.870904198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.424498048,96.191701315,84.271942928,70.887418626,59.773648613,52.022373219,50.588811737,61.691358113,60.176552279,49.518967087]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8327370482,0.690541643,0.7917166719,1.095994274,1.367878221,1.932620739,2.835943113,2.595940804,3.298714906,6.119722744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.171919109,98.451471948,85.959345337,73.610921489,62.654820062,55.177033196,53.871349933,64.313625518,62.670808792,51.658770649]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(197, 205, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05062116975,0.06349140898,0.05733598095,0.08869835142,0.05663613447,0.06066326525,0.04984794342,0.0954540551,0.08292926806,0.1167361024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.372375388,8.213797089,5.908249459,3.579198677,1.911663151,0.9603645505,0.4681447312,0.2186525316,0.08774968956,0.02887299818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06944886048,0.07075891248,0.04332141187,0.0680474625,0.06217514746,0.09049301483,0.1323618122,0.149735453,0.1812441639,0.2391534591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.048167819,7.197286329,5.033000122,3.078759512,1.64590233,0.8301104649,0.410258956,0.1960166367,0.07912702626,0.02563501532]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(198, 206, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2595576349,0.4769534236,0.4998764011,0.4190507451,0.4165721739,0.40387541,0.5650940829,0.4783760268,0.8524554838,1.5551357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.514455811,12.87624316,11.262669559,9.200817079,7.260288877,5.679942609,4.365012643,3.342086636,2.380320418,1.608038378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3060272007,0.2857807675,0.3202304823,0.3964576483,0.5333867732,0.7973547676,1.004674239,0.8102652357,0.8882164059,2.180809979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.598760004,12.87519049,11.207254918,9.228646443,7.282678941,5.688589542,4.395461042,3.322888131,2.329799601,1.540025564]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(199, 208, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05491395974,0.09894802155,0.09744829874,0.07759757919,0.09042942475,0.06868909512,0.1367965138,0.1843134706,0.3872278848,0.3654274908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.77624586,8.414199737,7.670234028,6.532019245,5.661690394,4.695611939,5.546307518,10.388175639,10.810201013,8.053804508]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1036489407,0.09421346658,0.1270563355,0.2086864931,0.2544407024,0.4003905145,0.7070540547,0.4955502431,0.6439012276,0.8522267227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.77967879,8.428057184,7.727144169,6.836045044,5.637629143,4.732473693,5.412364089,10.284926876,10.69174553,7.837488946]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(200, 209, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04177645714,0.09026502567,0.103999356,0.09919063259,0.102853387,0.08826584554,0.1629018888,0.01214454561,0.04529915769,0.0498955017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.734678339,15.038195633,13.739675866,11.900237711,10.080960125,8.537944736,10.042525411,18.862831782,19.63088795,13.841417859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02173439467,0.01708247299,0.01629726971,0.01274012022,0.01337865574,0.02403339147,0.02830201929,0.03222521349,0.04765193696,0.05371536005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.86167852,15.36013145,13.919508626,12.070793209,10.210676023,8.451069895,9.94487128,18.428601022,19.197988335,13.509504171]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(201, 210, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.263906086,0.4344795434,0.6176927633,0.5516773686,0.5016189454,0.4518244268,0.6297828928,0.700153995,1.284928547,1.783709404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.085553998,50.804563498,45.04889357,39.25835545,34.60376967,31.991836996,30.06554017,28.83149421,27.238395368,25.970022583]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3318776508,0.2227060233,0.2848111737,0.4100625501,0.5044969404,0.6203490519,0.9635509867,1.108164662,1.53770117,2.793817229]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.901896352,53.654074858,47.375226776,41.95542753,37.609443899,35.307871523,33.598829457,32.042886481,30.349052901,28.730090578]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(202, 211, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3942335654,1.212722605,2.226371608,2.27492115,2.082870051,1.836797632,2.464877992,3.564636898,5.707795966,8.84053477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[718.910269171,618.195714207,536.344438927,489.018397504,471.067466552,458.147682811,456.572862785,469.974762237,489.52130044,519.728978592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.329694581,0.4871050358,1.08396374,2.072418633,2.59224116,3.387738643,4.875693404,6.131459086,9.342208011,14.300120004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[781.807656928,645.236154988,577.616983796,546.280027987,537.58812352,521.794935428,511.417090723,517.573603633,528.717342047,552.969543975]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(203, 212, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[158.633742905,161.339177033,163.55868888,167.867426613,172.746122419,169.722435043,156.026975196,142.465901026,130.104974984,124.630205233]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[128.797515181,134.268932852,140.694666406,148.852381695,157.139047847,153.33408776,138.189620403,123.162831972,109.486297623,102.774597964]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(204, 213, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.444183057,65.925337927,75.265925656,80.906255243,84.535696283,87.409856524,90.311195899,94.464026997,99.005227506,103.021823236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.11924971,68.905457059,78.997158561,85.3038253,88.930458914,91.480010671,93.705709163,97.780812263,101.331262453,105.682305604]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(205, 214, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08162523412,0.3260465863,0.5467215196,0.4923505443,0.5080758327,0.4119075572,0.6536504953,0.9854006091,1.707111911,2.53874869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9445709961,1.036376803,1.035784042,1.039166145,1.070993149,1.177759544,1.263324178,1.439668047,1.630944363,1.884503276]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05478261824,0.0931532885,0.1606553044,0.365255686,0.4905329573,0.6880580122,1.012173719,1.48247052,2.842538082,4.33163067]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.236899074,1.271115262,1.624575769,1.843991502,1.811907399,1.930048399,2.170994314,2.451023521,2.730686764,3.054364931]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(206, 215, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1253842922,0.5100778666,1.04148618,1.224214034,1.002242747,0.7690979516,1.039794764,1.634096695,2.305760687,3.348484385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5303416206,0.4494706833,0.4173067369,0.3946852369,0.3767504024,0.3804935867,0.403720782,0.4316253148,0.470704158,0.5142213269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1441770499,0.2293755648,0.5805759292,1.179677273,1.379058947,1.877294592,2.639577552,3.041568059,4.057881359,5.373012204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6176830415,0.5076251585,0.4770423769,0.4587909508,0.4423448156,0.4455015513,0.4787459092,0.5181802576,0.5629035844,0.6185794809]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(207, 216, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.183648465,22.6571503,21.944081958,21.348894491,20.876793197,20.043884745,18.919305922,17.864582911,16.888783069,13.49268474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.805537843,24.425646429,23.763312422,23.213359398,22.600677603,21.832806791,20.603273126,19.536173015,18.576902329,15.806410137]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(208, 217, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.983805215,59.017102937,56.155234195,55.67147777,57.781311065,59.920648674,62.028984095,64.44010907,66.732057398,68.853821411]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.93177177,92.114210894,86.96541541,83.757091873,82.636565265,81.428230056,80.315805651,79.410604585,78.636438881,77.676252619]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(209, 218, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.127513434,55.680849242,45.026804033,34.584951628,24.703377116,19.071488767,20.447010654,22.199734549,24.044270007,25.84724488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.68724124,65.244128682,52.408756115,39.05768898,26.377141694,19.203750179,20.919298097,22.980922892,25.094797033,27.156650262]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(210, 219, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[275.657636284,190.358120098,111.134133216,64.02232803,43.649549756,23.504861913,11.873985282,8.569245275,5.259030879,3.457969526]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[330.182377163,197.016315268,116.219621721,70.885460733,47.723498947,24.756728071,11.990251004,9.167386766,6.407031559,4.759531796]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(211, 220, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.001567363,2.16443721,2.741055701,3.225773514,3.690115761,4.088407761,4.127593575,4.25807792,4.330454972,4.658391331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.596165043,2.68817372,3.321403574,3.948187208,4.700001003,5.25642472,5.299216393,5.288849515,5.323809947,5.719497948]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(212, 221, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0009999542597,0.001071307031,0.001387227923,0.001703147668,0.002019066348,0.002371047903,0.002759083286,0.003147123697,0.00353515974,0.004310912907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002541144703,0.002796870358,0.003515730123,0.004234587927,0.004953445477,0.005868415871,0.006979503818,0.008090589673,0.009201679915,0.01093023909]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(213, 222, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.86521384,37.717584674,33.474448002,29.198238153,24.91709116,26.311905701,33.684798381,40.834107208,48.175909479,54.986480642]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.315469215,30.119922304,40.032570907,49.630873596,59.176467525,65.56099308,70.054750513,74.45776518,78.269458448,82.555198138]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(214, 223, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1308799041,0.2717990058,0.4500100242,0.4242313595,0.4241296007,0.4856105303,0.6339002345,0.7867943766,1.484183086,2.568905454]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5671704416,0.8979317486,1.279413974,1.592757149,1.861580685,2.199544994,2.520362499,2.982103736,3.49134947,5.685360377]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1090178503,0.1442161678,0.2753334702,0.4271244375,0.5776414762,0.6527592511,1.040522757,1.345003643,2.168616323,4.226350308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.696810147,1.135875142,1.453403329,1.752468788,2.048183996,2.338367733,2.429124566,2.783365056,3.073841628,5.421499114]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(215, 224, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05634413516,0.1047991462,0.1881538827,0.1341252095,0.1484218701,0.1701815944,0.1375324986,0.1583452135,0.2107402833,0.384396246]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.969875594,20.951104246,24.310175304,29.164740385,34.856066491,44.31402451,54.962847237,70.02243306,89.384058997,112.691961702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02171706279,0.02036001415,0.06739903899,0.1003612337,0.1450077796,0.1696267911,0.1834193747,0.2624168661,0.2731722466,0.3691268416]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.818396357,27.535955347,31.655541474,37.571673375,43.996875065,54.222118002,65.253322079,80.02759802,99.214710118,121.733725741]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(216, 226, 146, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,9.923312028,12.848149201,17.884247369,24.387761494,27.715952504,29.462275748,36.268225259,46.688462641,63.492852665]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,6.16187414,8.000863156,10.800915375,14.742327182,17.378811543,19.415874596,25.146471532,35.183903736,50.100966946]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(217, 227, 146, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,12.61303438,32.838509595,56.495613227,84.679323164,149.154664846]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,7.715440972,20.83103655,37.671463138,58.317012652,105.031624369]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(218, 228, 146, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,null,15.0366409,20.076868634,28.087864619,39.286251194]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,null,9.797109858,13.738860113,20.36858972,28.861956573]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(219, 229, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[87.920974636,96.464626474,105.625115007,118.081049494,133.213819179,182.048737557,263.635858859,335.689464218,395.886751227,487.954902781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.183384133,107.6949115,119.240339197,133.453347866,148.418080286,202.527069905,294.744455459,366.790097229,417.656960373,498.348739604]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(220, 230, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.423018246,79.526843948,105.221540658,143.855697487,193.19594545,266.05692207,357.999376182,482.030341668,622.829796815,771.331682555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.202166947,111.249679536,143.670338355,191.706494525,252.115689665,343.860991888,457.482135123,593.6084701,740.101142105,892.361577908]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(221, 231, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.588295739,11.019124581,14.004860423,18.492987537,25.233890159,27.033877019,26.516504144,30.923593776,38.271613206,49.09814641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.986846209,10.604342809,13.784621369,18.676533387,25.546790709,29.115014693,31.106177997,37.902759624,48.989418311,66.10777966]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(222, 234, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.585,117.758,129.747,122.896,110.406,89.304,84.0822,84.9456,84.3926,81.7757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.7274,113.515,126.46,119.832,107.362,86.8078,81.1475,81.7953,80.7617,78.0312]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(223, 235, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.919731125,55.75759858,52.621121509,52.106195558,51.730626911,50.70166961,48.920689117,46.940078201,44.447573662,41.21722419]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.02010944,46.728546899,43.307550215,43.299693404,42.860254586,41.745202349,40.261178681,38.632505726,36.908464342,34.656978769]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(224, 236, 146, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,2.207429128,11.087664106,28.666656453,54.782969224,89.469642369,132.81515202,190.998713974,279.492271947,410.567339343]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,1.909682867,9.606922058,25.333192957,49.130068819,79.5597015,115.598497687,162.752544182,237.036964292,351.933199964]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(225, 238, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.825146441,17.976940507,22.954150752,21.103256539,19.647602057,15.858274828,16.541698876,15.659856949,19.924668747,23.836887569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.659861102,46.619874042,68.189195039,86.343092941,106.406651326,127.092928213,146.429714862,165.244481646,185.897112442,212.929562656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.959245198,33.398616824,47.380163155,52.178147219,54.914333594,56.553267801,61.296616791,47.550227299,52.643687385,56.444865799]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.130639371,117.171532358,174.774849801,232.443053915,290.8059702,350.00825666,400.177804965,442.847279061,483.540984733,527.967414666]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(226, 239, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.623560959,17.559921268,22.351051527,20.519898314,19.146973651,15.457055264,16.097520036,13.997403896,17.826948995,21.293765574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.670394791,40.88032986,59.83917269,74.90847664,91.917975366,109.76447089,125.835508531,140.583033086,155.994668248,176.631627723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.500714851,32.540978834,46.204260703,50.863311351,53.53576709,55.073084436,59.456107672,45.313797362,50.127073718,53.741831241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.490029299,103.000471075,154.101001676,204.042893197,255.29057593,307.839968421,352.039965209,390.177537257,426.492266602,466.392464691]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(227, 240, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9301960075,1.940404436,2.434407149,2.126517827,2.185800673,1.742798533,1.906005903,4.177065036,5.329509233,6.41362388]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.39447713,9.807801276,12.802793558,15.438595613,18.252393618,21.369852632,25.260139084,29.831837759,35.087249851,41.832737147]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.619970947,2.819750362,4.243009756,4.6562188,5.017465368,5.409086009,5.839912317,11.220548587,12.768372487,13.592298708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.796041589,20.804951408,27.087938328,33.455039405,39.492916208,46.045980331,54.260320822,63.817599714,74.188778068,84.960184585]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(228, 241, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4079846989,0.8744430971,1.090517778,0.9707834093,0.9213243122,0.7898400188,0.8875060344,2.187071841,2.785510435,3.46204342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.857182466,2.743466495,4.222475082,5.401148922,6.640253702,8.011718954,9.659453534,11.804220297,15.024155965,19.985013453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.474817286,2.63555504,3.926297251,4.264708838,4.574935125,4.589906243,5.121155613,9.644970601,10.96379094,11.574301192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.711177947,9.533942416,13.831260226,18.459971812,23.038909607,28.374489089,34.658691715,42.199056085,51.952770728,62.802460474]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(229, 242, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6301520346,1.507181522,1.767599352,1.706152775,1.459485983,1.137833786,1.215980852,0.2876947025,0.3657224068,0.4296258482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.184322217,2.574243697,5.1770979,7.328949456,9.481076953,11.374340916,12.413097765,12.72785471,12.774263312,12.92155854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.692708909,8.982833092,12.345035936,13.674174514,14.322826923,14.537529506,15.420268193,5.361054311,5.756169363,6.139994312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.433989005,14.917477843,28.81488647,41.0210232,54.678424033,67.859146397,75.680764411,79.22931745,81.272104001,84.121952273]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(230, 243, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.638300616,13.213580544,17.027981656,15.686394951,14.554164635,11.757307736,12.066017371,7.327817375,9.277746645,10.957836578]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.950258803,25.373764523,37.09410582,46.062444217,56.731217564,68.074837098,77.490221525,85.148791514,91.951826618,100.608915515]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.382686812,17.489030912,24.876265243,27.397993461,28.729126963,29.576724716,32.052676653,16.577757958,17.756546846,19.369212648]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.713609513,56.395624517,82.410735585,108.605647576,135.044634879,161.94130307,183.118847991,199.813475711,213.161244597,227.609974028]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(231, 244, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01692759158,0.02431168948,0.03054560884,0.03004934604,0.02619800481,0.02927517461,0.02200988055,0.01775496366,0.0684602751,0.03063586559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2841541743,0.3810538686,0.5427003295,0.677338432,0.8130335285,0.9337212893,1.012596623,1.070328806,1.157172502,1.283403069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3305309227,0.6138094315,0.8136525355,0.8702157399,0.8914127238,0.9598379924,1.022094947,2.50946589,2.882194099,3.066024407]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8352112455,1.34847489,1.956181068,2.501211204,3.035691203,3.619049534,4.32134027,5.118088297,5.917369208,6.89789333]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(232, 245, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2015854793,0.4170192319,0.6030992471,0.5833582257,0.5006284473,0.4012195727,0.4441788469,1.662453079,2.097719758,2.543121996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.989466311,5.739544183,8.350022349,11.434616301,14.48867596,17.328457323,20.59420633,24.66144856,29.902444194,36.297934932]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4585303235,0.8576379601,1.175902417,1.314835815,1.378566432,1.480183352,1.840509095,2.236429865,2.516613629,2.703034558]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.640610072,14.171061283,20.673848126,28.400160718,35.51539427,42.168288239,48.137839756,52.669741804,57.048718131,61.574949975]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(233, 246, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.281946823,14.928940428,19.846502877,18.520031041,17.50928786,14.053524038,15.854918139,26.65746426,35.585408565,49.727187918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.873993241,137.285331251,182.348149465,229.304395668,276.163092228,319.942277805,369.684896841,432.628880949,513.071325331,618.87408759]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.273227839,34.376968744,45.653031099,50.760715807,52.144120003,54.941584808,63.798780817,88.30942477,100.464589246,125.351604949]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[198.568540656,260.159208125,343.480805084,430.319098755,506.177466273,575.748827671,658.20840015,754.18289326,866.275159376,1000.283926704]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(234, 247, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5873088995,1.246302712,1.565834827,1.40511522,1.452376941,1.097096196,1.227553534,2.016266292,2.64087725,3.681188631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.544297447,66.78085504,93.3531786,123.64724995,156.860663825,187.550534301,222.447386456,268.917641026,330.32334579,415.086030418]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.112384391,6.197060084,7.819426184,8.913555158,9.52350001,9.856648127,10.509474956,17.072655424,18.26194965,20.411143415]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.068033794,96.614062038,130.946038926,169.362081355,209.689944204,251.488100416,300.704894385,361.023996226,436.827562467,532.6415035]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(235, 248, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5482879525,0.9598062355,1.064085108,1.055080352,0.9357381204,0.7186673294,0.7511612058,1.839448056,2.340882144,2.760200905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.63342208,1.892009241,2.237761924,2.622375997,2.908481753,3.135282995,3.401523652,3.771028992,4.375851263,5.120235122]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.926990417,4.492999848,5.470404263,5.776125575,5.95977517,5.530785537,5.954539758,6.573127681,6.8776088,7.437498127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.108836272,3.691549677,4.348694078,5.019835894,5.611799149,6.175146145,6.710278679,7.410281195,8.120944708,8.999727141]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(236, 249, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.309835199,3.784067916,4.727803406,4.455411286,4.026192493,3.147215592,3.29147195,4.512958308,5.588908078,7.954281033]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.288953425,12.277665898,16.750951482,21.217079338,24.913438819,28.316531616,32.309387017,35.634004672,38.120161995,40.394792431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.317936373,2.900838787,4.308822455,5.134977202,5.426805576,5.804789207,6.008123084,7.955219855,9.082117765,12.414393221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.244632618,16.036432269,22.148120584,29.123572666,34.930718937,40.520431223,45.911820452,50.839565864,54.321568311,57.312128808]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(237, 250, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6897026949,1.739923487,2.18908869,1.861656288,1.792180559,1.425972851,1.558333554,2.482342195,3.247391154,3.79281301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3247455421,0.3746142043,0.4351509703,0.4893113078,0.5301560058,0.5409233331,0.5638940794,0.5792371151,0.598004029,0.621349727]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.647220357,1.247229743,1.780159403,2.122974212,2.220084458,2.434959466,2.562596814,4.201448029,4.68944311,6.26245791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4135515179,0.4713959173,0.5480897845,0.6241268197,0.6685051126,0.6949440101,0.7246136434,0.750945787,0.77890067,0.810699961]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(238, 251, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.066297393,2.322566973,3.051833087,2.756138127,2.459540069,1.882689496,1.955762445,3.287201189,4.231666183,5.271681876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.105354382,33.560199902,40.491052145,46.352271678,50.168271326,52.995943477,54.751793648,56.863673784,60.861275112,65.66845572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.336478459,13.0196123,17.167623375,17.123466139,16.04083567,15.329069562,17.027101731,17.019952688,17.731201632,19.255150587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.365338314,107.884295146,139.466232562,169.680281738,189.044584054,199.890164551,213.243024493,227.3540356,241.086760199,254.81162998]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(239, 252, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6749934859,1.653178257,2.348364241,2.133217391,1.827323768,1.402388471,1.408768195,2.369662145,3.165481955,3.696088842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8177088096,1.465157269,2.496654693,3.499672437,4.120911445,4.490168314,4.67542834,4.790069002,4.979078032,5.195712401]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.063778106,8.914947116,11.769805067,11.599706128,10.309433427,9.531176938,10.416468254,7.82243037,8.227303318,8.921703789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.982797201,4.867165678,7.831966292,10.676041599,12.336537474,12.939385026,13.195318276,13.359983371,13.559205069,13.881729804]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(240, 253, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1768159405,0.3644163106,0.4289819438,0.4027330054,0.4291785744,0.3079055811,0.3630232111,0.7941542639,0.9584562665,1.385159335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.649422562,31.246370889,36.911629756,41.568234587,44.556019009,46.830082977,48.301957216,50.236142873,53.979285557,58.473687289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.981832706,3.629241786,4.844482216,5.010923485,5.273490032,5.362416593,6.1387901,8.662167874,8.918169403,9.702198015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.618237126,101.978279316,130.12999348,157.044900005,174.439820754,184.421207382,197.353071534,211.147757553,224.449429263,237.571981729]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(241, 254, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9613984303,2.55560338,3.922333638,4.00175246,3.881539799,3.417593467,4.280591989,7.903761346,11.328854575,18.493658992]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.956211544,1.866005302,2.471624872,2.697507146,2.597661608,2.919748847,3.663728536,4.674943438,5.953256647,6.762925912]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.013444794,1.680612445,2.712313129,4.147097734,5.168427011,6.774329654,10.284547553,15.728900233,21.119504169,32.091456192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.054928617,1.550196694,2.126869408,2.596111624,2.955090538,3.945257369,5.56642692,6.744143038,7.478547594,7.328118469]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(242, 255, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1528081799,0.3936854549,0.7964199984,0.6104648706,0.5409375743,0.4212303248,0.6887375401,1.135348535,1.590071853,1.927256632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.482365795,3.109153389,4.029198778,4.829533437,5.475572195,5.817719205,6.244676206,6.729845059,7.303198501,8.080621042]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4450835977,0.5281516553,0.8785284821,0.9641096773,0.9707523626,1.072974933,1.854368245,1.401290945,2.388077089,2.591985993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.532859656,5.623008846,7.254415522,8.750624282,9.86326494,10.410138717,10.735747176,11.112428897,11.698541931,12.678973744]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(243, 256, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1264726554,0.3333646874,0.7449956833,0.531506358,0.4661535997,0.3581262477,0.6066421865,0.8985084489,1.247373621,1.546751642]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.211935547,1.498235442,1.886637674,2.280964217,2.658475873,2.843612103,2.962074509,3.054833625,3.166499512,3.291185963]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2759980632,0.2922700716,0.533611752,0.5916270901,0.4831606185,0.6659156938,1.174649148,0.9588086616,1.823692371,1.907322184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.226082873,2.789693541,3.518985142,4.27291483,4.91226747,5.251031617,5.306370239,5.320527726,5.396931435,5.503163097]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(244, 257, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02633552453,0.06032076745,0.05142431489,0.07895851296,0.07478397558,0.06310407683,0.08209535328,0.2368400842,0.3426982296,0.380504993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.270430249,1.610917947,2.142561105,2.54856922,2.817096322,2.974107102,3.282601697,3.675011434,4.136698989,4.789435079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1690855338,0.2358815842,0.3449167294,0.3724825851,0.4875917444,0.4070592403,0.6797190961,0.4424822833,0.5643847187,0.6846638083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.306776782,2.833315305,3.73543038,4.477709451,4.95099747,5.159107101,5.429376937,5.791901171,6.301610496,7.175810647]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(245, 258, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6296138584,1.317745971,1.762635088,1.655143196,1.594528474,1.241018397,1.286386268,2.217060078,2.866611777,3.448814287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.19494849,15.517293529,20.12665603,24.574761808,29.459168318,35.245803505,42.635717121,51.495771157,61.193302293,72.168793209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.259219157,1.950570409,2.64054624,3.080531263,3.262727716,3.350343066,4.026801926,12.518465654,13.334303245,16.115907366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.307736745,24.182139067,30.383569411,36.907684898,43.637195763,51.955194644,62.504765507,74.978615117,89.636142604,106.59106462]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(246, 259, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.621529744,31.090454311,46.840402327,37.390282663,28.009403046,17.339615854,15.369642606,13.614467696,15.471781668,17.214040923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.16338043,14.646306994,22.164322547,29.791942348,34.286559475,36.679987067,38.009244953,38.358627675,38.340917336,38.106004334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.061183169,96.320644663,139.492156059,148.564781444,140.208837693,113.656212856,106.532614993,106.366359049,103.365016102,99.32785426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.774711087,42.344834652,69.601726122,100.396963637,123.811750971,141.128000689,151.148225116,156.489440587,159.395881789,160.113845922]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(247, 260, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.591345625,12.803413641,16.658590054,14.185100694,13.000632767,9.922090845,10.37690933,10.155235452,12.284208462,14.350264766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5871279809,1.401162912,2.225972791,2.947744101,3.7028975,4.150260058,4.348400842,4.463509753,4.579940568,4.722002137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.819466132,60.280288688,75.963004024,75.47143634,75.882522933,67.062030268,71.312389633,82.839257246,84.374712142,84.834696089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.475340913,3.496339502,5.613153995,7.707477983,9.684062127,11.032037161,12.164428799,13.521747034,14.592886285,15.464554499]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(248, 261, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.030184119,18.287040669,30.181812272,23.205181969,15.008770279,7.41752501,4.992733276,3.459232244,3.187573206,2.863776157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.576252449,13.245144082,19.938349756,26.844198246,30.583661975,32.529727009,33.66084411,33.895117922,33.760976768,33.384002197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.241717037,36.040355974,63.529152035,73.093345104,64.326314759,46.594182588,35.220225361,23.527101803,18.99030396,14.493158172]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.299370174,38.84849515,63.988572127,92.689485655,114.127688844,130.095963528,138.983796317,142.967693554,144.802995503,144.649291423]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(249, 262, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.235716319,5.814116985,10.226354797,6.992464397,4.77177074,2.090602274,1.342015814,1.397736603,1.438639013,1.180559891]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.518102144,2.12859025,3.17196568,4.48278301,5.223006299,5.676112403,6.010754791,6.210772354,6.415611137,6.566155979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.996508134,7.684404787,14.76324635,18.104446982,16.845033558,12.457014617,9.467001259,6.190395504,5.135512808,3.776032132]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.572482217,5.539199753,9.100177779,14.088340864,17.783245473,20.913194572,22.905962081,23.971080996,24.971101089,25.623478843]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(250, 263, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27097394,6.578105822,10.507276606,8.819357852,5.612807848,2.835296523,1.857565798,0.8372258311,0.6578148143,0.6731312134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.389675311,2.465429962,3.671980793,5.004385417,5.873833323,6.394668624,6.668096756,6.724585179,6.687612645,6.626308729]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.205650784,18.829216764,30.384038943,32.202992715,26.195336973,17.685546612,12.816746866,8.647532221,6.383564594,4.686990372]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.922979655,10.721765136,16.189227524,22.976291001,28.369069922,32.576949524,34.961648691,36.112198537,36.815890022,36.915052838]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(251, 264, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.523493857,5.894817875,9.448180898,7.393359708,4.624191683,2.491626206,1.79315167,1.224269806,1.09111938,1.010085054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.668474994,8.65112387,13.094403282,17.357029819,19.486822352,20.458945982,20.981992564,20.95976039,20.657752985,20.191537489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.039558101,9.526734455,18.381866753,22.785905452,21.285944336,16.451621392,12.93647726,8.689174063,7.47122655,6.030135682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.803908303,22.587530261,38.699166824,55.624853789,67.975373449,76.605819432,81.116185545,82.884414021,83.016004393,82.110759742]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(252, 44, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[247.850751865,223.32359506,196.789974386,169.318286253,144.695835927,126.706378414,110.875137829,97.118279133,85.050829115,73.480281222]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[254.177955071,232.219682557,206.752077265,176.542456619,145.759500977,120.081011141,96.75138509,77.262587627,62.576715785,50.448776159]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(253, 152, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.279458787,6.615025367,4.496781411,3.30280189,2.29506719,1.824387878,1.346352189,0.983112742,0.7506650741,0.5389925865]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.023443073,15.434260068,11.108814691,7.682994848,5.030267225,3.892352148,2.792818704,2.243027496,1.652489855,1.133432797]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(254, 154, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1356.130941702,1681.841492026,1797.963042865,1885.569541817,1967.296797637,2014.35946262,2008.587643381,1991.675584971,1961.568093145,1930.219051268]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[729.678570238,908.937007217,958.618434534,992.946829804,1018.577021584,1033.95895467,1029.678459695,1021.823110345,1008.808168198,995.096256042]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(255, 157, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.0732,55.2975,53.6388,51.6791,50.9859,49.1759,47.3642,45.3888,43.7689,41.3246]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.634,187.614,183.299,177.332,172.859,166.772,160.786,155.084,147.81,140.451]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(256, 158, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[188.883,18.9079,2.9217,1.40868,0.602116,0.218341,0.0636413,0.0156573,0.0034046,0.000480137]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[462.819,51.6534,10.9923,5.63369,2.55413,1.00426,0.331593,0.0958782,0.022403,0.00442963]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(257, 198, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[395.443608344,705.629202444,1119.869276149,1476.890821486,1784.724704094,2055.860000451,2288.318972953,2513.800364016,2715.978342465,2871.585985899]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[554.369397719,855.222145108,1161.797768965,1472.337816389,1792.551957128,2085.38635048,2355.535467932,2597.249272096,2803.435737299,2954.852647977]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(258, 207, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7875550521,0.6960154113,0.5072565474,0.3017085703,0.1599671273,0.07921731249,0.03873795748,0.018330621,0.006897820364,0.001930266017]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9647467184,0.8732106807,0.6344717002,0.3797758832,0.2085321627,0.1086160392,0.05289306725,0.02373554202,0.009094065375,0.002762309017]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(259, 225, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[207.672526188,237.043277379,283.380548984,346.849820875,424.825788048,566.295545841,781.029746294,1027.413964916,1297.675100743,1654.125077568]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[229.38881338,265.441888499,318.468368236,390.218291791,476.871035638,638.09038699,873.821992563,1122.622466366,1379.344663276,1708.865931103]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(260, 232, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.740237567,40.109370348,45.680883694,48.535838988,48.794371766,50.827022311,55.540580867,65.929858134,81.231289072,93.806577118]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.016416091,29.731080514,33.772206159,35.581000639,36.048147796,37.493057988,40.44520298,47.764344628,58.727636378,68.053286042]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(261, 233, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[111.444957839,135.383376898,148.472857221,171.908851915,204.527205269,242.919789958,291.547513522,358.168354987,450.381752775,578.566798836]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.738762735,115.497769045,129.567951339,153.740655398,184.930280011,220.457435047,266.267845351,328.609951088,413.055520032,528.611478722]}', 2010, '', 1, '', 450, '2014-04-30 02:24:33', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(262, 301, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.175190912,27.055958853,49.902195849,49.773206022,42.030512467,31.752611009,32.076121211,38.220387257,56.380983547,78.917306014]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.916871182,10.934708335,22.923467774,34.647631797,46.932978663,52.735282293,51.164482872,48.544981181,46.212575146,49.307686545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.836205049,9.102049058,20.599042389,34.416553712,43.805154094,48.072654352,55.318392352,63.304809728,85.157551886,114.421324613]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.273422322,48.71416703,45.350132274,41.655401376,38.34445713,37.082830429,38.184904731,40.152264954,41.407909588,46.604993219]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(263, 302, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.464121873,24.391768497,44.963561372,44.89557655,37.874090982,28.602849808,28.95024534,34.412633136,50.839851548,71.18399358]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.230868852,9.854358161,20.667540901,31.228581571,42.303756886,47.552004855,46.130770564,43.772353361,41.668854618,44.467055536]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.258260126,8.207076322,18.549463462,30.994787016,39.437140279,43.264978497,49.84493133,56.989039091,76.660364866,103.146846031]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.11337909,43.90949001,40.888329442,37.554516806,34.582514209,33.44337888,34.428471993,36.191324077,37.319897744,41.999118031]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(264, 303, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.983623683,15.036477752,27.740601681,27.664533295,23.355378398,17.665950904,17.790209377,21.277683486,31.379108994,43.776722735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.842972949,6.075724147,12.738549202,19.252897237,26.075099534,29.294161834,28.426219715,26.967834351,25.672295797,27.381752969]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.242663582,5.058874742,11.437845444,19.11317306,24.320281734,26.673998669,30.750695532,35.15276787,47.33207089,63.497610563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.018773217,27.04660693,25.185525211,23.140662849,21.298079465,20.599156782,21.213359623,22.300392964,22.999840044,25.886777092]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(265, 310, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.117302216,4.63284113,8.396137057,8.15108613,6.930987744,5.574417098,6.74915889,5.008247548,7.229954997,11.2672021]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[609.230043419,623.987518654,583.666680227,580.574628189,591.763717638,605.535024156,585.453760129,439.002434754,369.444081588,301.521722392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5646977767,0.9261712034,2.017161476,3.488931772,4.264787863,5.041665966,6.463472692,6.565454732,10.211670057,16.244233668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[291.093712751,176.968018169,163.43181204,171.926823388,176.407246689,198.177464787,207.590742051,221.210866465,229.1409289,242.563156111]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(266, 284, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.117302218,4.632841131,8.396137055,8.151086127,6.930987746,5.574417091,6.749158893,5.008247548,7.229954997,11.2672021]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[606.685274157,621.630153412,581.351944816,578.284180115,589.479899378,603.54197974,583.799748592,437.379041824,367.780258171,299.959192669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5646977767,0.9261712034,2.017161476,3.488931772,4.264787863,5.041665966,6.463472692,6.565454732,10.211670057,16.244233668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[289.637912238,175.65899187,162.170507652,170.6901232,175.161576837,197.071801881,206.62692063,220.217487658,228.087576282,241.53552761]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(267, 274, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.991110016,42.810485917,76.150599215,75.792469762,74.201638068,61.749835604,72.746376058,90.758009189,136.778497925,179.56489922]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[233.059304076,485.830488817,559.429436754,563.651601611,557.883097529,507.153186343,466.502851504,429.32561565,395.196418925,350.179495708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.888199052,87.142262772,146.543309113,194.301115902,232.276043821,255.173727794,296.026475517,312.003076664,405.230370809,429.547112783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[610.474337213,1299.381057879,1466.918359045,1447.796743534,1526.982655834,1519.323329253,1409.633680153,1262.762317566,1137.48058121,904.103235676]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(268, 275, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.392245241,39.340244362,70.129698232,67.886089294,65.593482133,53.436290035,64.934060976,83.930274323,130.843600438,173.087996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[117.483101704,298.168838208,346.439949187,330.445136909,322.322413415,294.361967647,296.798800714,310.737767191,318.445363034,303.876559062]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.626898318,68.448126994,119.569456078,160.884635359,195.482578896,215.398399049,256.006918155,293.956960745,390.526645019,414.946066508]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[446.584214572,1025.917018839,1113.32473796,999.51812509,1010.582181969,997.589409111,975.944676266,963.416285937,943.190790774,785.448691654]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(269, 276, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.635216267,3.57901745,6.234989292,8.178325209,8.930450044,8.616609095,8.131818798,7.154304933,6.302572962,6.85805176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[115.644306894,187.798446882,213.223409938,233.52832619,235.920656478,213.097637401,169.968013248,118.825821917,77.005984669,46.551835981]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.433464468,19.079967743,27.568498408,34.29960212,38.281252165,41.753158474,42.519094339,20.659188891,17.398438772,16.635317092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[163.943828816,273.554156052,353.780588634,448.601311663,516.928847765,522.238094999,434.08704623,299.671712085,194.614302595,118.824806467]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(270, 277, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2536596679,2.234556375,3.84962609,4.198841255,4.487010619,4.031005217,4.342963628,6.305778419,7.828385457,10.90396513]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.72675243,193.786906167,276.138199812,348.132565084,425.250005717,508.725700305,542.068478849,602.968436585,456.635692546,458.759070821]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.044956943,5.06758735,7.317883523,9.284505044,11.807097094,15.026505522,21.912066254,36.578375366,54.007473791,73.084313098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.152974833,291.980251913,423.4881831,555.49513743,673.185439746,835.795134706,993.098506572,1162.603377129,1088.622177119,1052.869381002]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(271, 278, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001410274193,0.005547548994,0.01232701603,0.01757611246,0.03966081029,0.05876822887,0.1352444299,0.2612625104,0.7414694537,1.104771771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001151848209,0.004636791852,0.009886068671,0.01479392542,0.03232884416,0.04808740731,0.08325861067,0.1335409174,0.3152772771,0.4403331391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001334542073,0.00250376318,0.006645066128,0.009376027228,0.04661752547,0.09055977701,0.3502149664,0.8076574474,2.283927491,2.822873891]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001352340748,0.002202685063,0.006047746427,0.008006874294,0.03690773787,0.0685866593,0.1881513496,0.3820709921,0.9830049338,1.209558377]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(272, 279, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02782065058,0.6246033504,1.412834828,1.666437476,1.82769553,1.550471778,1.749204634,2.452776914,3.084838963,4.154560902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.245732202,20.09671968,19.134052766,17.946746193,18.272477984,17.373367113,15.227837927,14.40438271,10.264015759,9.388515795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05716980535,0.326359612,0.9931827442,1.891738879,3.2336589,4.26753707,7.108431451,11.406860371,17.208404187,21.613347322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.175521494,6.702311159,10.239956819,13.453107348,16.014532778,17.783393123,19.349813867,20.659064424,19.021811138,17.07119056]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(273, 280, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2135032464,1.301732393,1.609240796,1.588527601,1.617207195,1.484962814,1.249790418,1.123281864,0.7377014985,0.6310095726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.456062735,9.465749356,12.409217573,16.093201151,21.375463634,28.534214206,26.708414394,23.744386551,13.996925443,11.447937246]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9693357069,4.596355578,5.669016115,5.926795555,5.975795137,5.885252846,5.709493705,5.576343635,4.58570351,3.708744925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.496242496,29.901358015,37.858248474,45.71672846,52.893321885,58.678396764,60.178877209,62.265460411,52.736247321,42.518632455]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(274, 313, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.524606324,27.45195474,60.75774885,93.040489394,105.805147037,103.909878087,85.924785136,63.752038153,35.776555434,29.293563655]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[254.096698146,533.446196302,684.515717988,842.086537758,906.811017735,866.214883863,766.091486175,660.906434033,571.288620226,511.668714102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.700607931,5.481139278,6.804388922,6.762029214,6.636313481,5.934132875,6.395020998,7.089080476,7.199507478,7.091872018]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.454812297,150.61916397,140.68225634,112.047020338,97.458107253,88.894788488,82.840931287,77.115909487,70.283125262,63.665767549]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(275, 314, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5776049307,1.163909023,1.216923971,0.8530941635,0.743480245,0.55339423,0.6036866281,0.6506655468,0.7558937873,0.8267259144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[107.316224043,148.605522941,117.869448786,94.64507081,87.052712337,82.712564598,80.114170527,76.773705115,73.661628842,67.762183105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.700607931,5.481139278,6.804388922,6.762029214,6.636313481,5.934132875,6.395020998,7.089080476,7.199507478,7.091872018]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.454812297,150.61916397,140.68225634,112.047020338,97.458107253,88.894788488,82.840931287,77.115909487,70.283125262,63.665767549]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(276, 304, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.303733664,1.410875923,4.032375076,4.377863986,4.497928444,4.421463222,6.022853968,9.680856856,17.73655133,29.44307943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.160971484,0.1551711008,1.453334275,2.06506147,2.762775512,3.612789003,4.748805825,6.169833792,7.902374475,9.672892942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2075142352,0.4371654744,2.307862396,4.274276431,6.537805069,9.866323053,15.681771834,24.021340749,37.940198513,59.457232385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08341953851,0.0701516849,1.236512022,1.905940786,2.667899997,3.695801516,5.1939306,7.313659781,10.160303314,12.688817811]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(277, 306, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.60852464,7.443379109,22.567579384,24.305223905,24.551171947,23.406938302,31.510862667,52.149778133,94.542410875,156.304564625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8550387323,0.8230578805,91.721263685,133.123973322,180.507088863,237.907028334,303.236123174,373.788388804,449.900405155,545.838060916]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.099952088,2.316692345,11.807244577,21.933872685,32.811447804,48.602955803,76.38848462,121.629492414,194.270590941,311.908233052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4388184165,0.3715221038,48.389898346,75.481479298,106.885987917,143.782839391,185.716757982,230.409770746,279.695308836,327.054138442]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(278, 307, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.3303255402,0.3760409976,0.4067464773,0.4034789834,0.6185183035,1.362176373,2.613132192,4.659146599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,18.349244807,26.685550967,36.258920501,46.664753767,57.80052269,69.468207786,81.660040734,94.681781489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1831788055,0.4007966279,0.6962718728,1.320668335,2.474916202,5.446119254,10.060234159,17.823493028]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,14.959885922,23.413791254,33.203244677,44.624365441,57.242219771,70.213439283,83.839486175,97.283092608]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(279, 309, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.922887848e-10,8.441153265e-10,0.5207925958,0.8278978769,1.222843787,1.708919403,3.521501002,6.645178376,14.270858277,26.185153769]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.206447463e-10,4.355660688e-10,1.121332068,1.904730621,3.121257786,5.017817023,8.219197408,11.65981688,18.304152892,25.54953658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.335946906e-10,4.880371736e-10,0.3229132458,0.7498744882,1.545220967,3.097715336,7.246633111,13.267430574,24.537538422,44.320488485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.625564372e-10,2.241336573e-10,1.076919307,1.662183562,2.885228125,4.894504242,8.401566275,14.007199913,23.0060358,33.979849572]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(280, 305, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.009303471329,0.01290083344,0.01907179416,0.03159204316,0.08132303734,0.1828161523,0.3845229947,0.5258275619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.004649116628,0.004980226075,0.007664228145,0.01210533615,0.03023954801,0.06399701045,0.1305839677,0.1772813107]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.005939003325,0.01335348005,0.0292473877,0.067894041,0.1957508617,0.5021546632,0.8591006647,1.099745111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.002531469751,0.00527791584,0.01189376271,0.02590638537,0.07047339642,0.1795475935,0.2781539747,0.355727948]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(281, 308, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5114891244,0.8149970435,1.203771993,1.677327361,3.440177965,6.462362223,13.88633528,25.659326207]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.116682952,1.899750395,3.113593557,5.005711687,8.18895786,11.595819869,18.173568924,25.372255269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.3169742424,0.7365210084,1.51597358,3.029821296,7.050882249,12.76527591,23.678437754,43.220743367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.074387838,1.656905646,2.873334362,4.868597857,8.331092879,13.827652318,22.727881825,33.624121622]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(282, 271, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,17.662125038,20.94130936,24.990302309,39.241331791,59.476453494,95.264631817,225.282122957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,53.871533754,66.91252503,56.683557927,83.645824369,98.515954928,163.786032668,213.073746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,52.905964205,80.438133535,110.531881763,164.441952221,245.349815607,446.536429876,639.276705523]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,255.326174773,341.251894113,226.119378131,278.772418799,430.764079386,638.212155705,560.746697786]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(283, 272, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,2.279096747,2.468025198,2.264061445,2.756689949,3.981155096,5.716684452,5.951839435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.4007505228,0.5942775826,0.885219766,1.436210887,2.324358233,3.052563099,2.735578757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.2707171594,0.6406191836,1.226558433,2.43846816,4.217893362,5.806903292,8.63814975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.05534005862,0.1294170042,0.3062009556,0.7932845885,1.896518228,3.164563125,4.301063551]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(284, 265, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.647510512,1.91175325,35.035970015,39.4668481,39.501516811,39.933450731,57.196332359,104.333580014,196.440790937,320.177448142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.429366514,98.481262532,257.167224985,358.872070772,444.980036572,588.159093607,795.689938322,968.385202313,1017.745284623,1037.743253904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4815130335,0.7787180166,21.56284881,42.671909301,63.181734336,92.713354308,143.882061148,224.201511206,359.397771974,526.003373277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.155487132,48.638919292,198.420027638,310.003802919,413.662724947,563.884529328,715.716104314,854.589866586,879.992484391,871.721999556]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(285, 266, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.797974403,2.831501107,4.185231559,5.947927228,9.473882705,21.377550705,38.861207599,60.089075568]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.029950984,2.17100365,3.732101362,7.496720511,15.406600521,29.115540734,45.722250455,60.385099804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.172683827,5.655366009,12.724939622,24.127606618,44.288923607,69.263520663,97.725759337,123.931212375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.482192295,3.271374164,5.676779761,12.316380246,27.321120333,55.919361001,93.456830123,108.202431006]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(286, 267, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4321604808,1.56865638,17.390555703,26.198955372,35.570392232,46.620706378,78.164034541,148.141136118,299.190878315,526.486037182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.836580964,35.379950015,93.17400753,140.290271594,198.87309565,264.829445058,315.628446944,400.275834523,545.260132228,689.946857333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4849764397,0.8916565706,14.064507321,29.565337913,51.386582229,92.13305828,168.441714499,285.229539389,489.864033674,825.904701541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.881685437,31.717787804,101.928173691,141.719801444,188.321514516,253.434636792,318.080448414,445.60934158,634.693932056,826.346338506]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(287, 268, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,20.291914845,28.645512094,41.826139438,56.273494816,89.897564688,163.165445846,306.606524242,493.156445968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,134.311369843,212.594966136,493.568479329,811.812169963,1126.548689233,1407.065990195,1650.179643902,1894.729846563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.266393481,14.693259364,28.001398953,50.185584495,89.627015537,142.623416104,226.468537009,346.520515557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,64.327878001,96.732883091,222.771409932,350.015792465,474.051685989,604.537806285,687.732980802,787.673327676]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(288, 286, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,15.176334964,21.299993108,30.589754106,41.556446858,69.672134297,127.274777288,248.2513805,421.575361865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,91.744368029,116.740618355,168.751007026,247.946799831,354.187513029,429.816010917,460.808521192,489.550190561]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,11.610751982,23.480536439,44.703303286,83.819729545,159.64798369,266.672140621,455.423013098,747.371235437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,58.421368278,81.48072285,124.375738765,192.64155673,289.700090796,394.960657079,502.602976539,596.358010697]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(289, 287, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.43434052,9.299151945,13.259274166,17.728359061,29.084159329,47.094636164,90.193301095,153.942639765]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.457093393,4.066932625,5.942083502,9.070909302,14.956155357,25.445141209,40.905664817,57.772093237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.351091493,10.596960975,19.003261528,34.172846595,61.788338519,97.382891545,158.352301597,254.591555132]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.050912318,4.94414197,7.227522184,12.270477897,23.412728249,45.400558884,82.493288838,116.437544995]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(290, 288, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.171243148,7.151049227,9.863526569,12.683656482,20.409696544,33.047418961,63.101180521,105.291451937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.127215178,3.415376128,4.863067734,7.200305691,11.799007688,19.165011387,30.047754734,41.231020042]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.183545435,8.008257023,13.970660184,24.205884756,42.367403523,66.031133437,105.331741707,167.242907543]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.52142804,3.988528179,5.654627802,9.162206231,16.74932941,31.230494151,55.515298307,76.644856538]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(291, 289, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.381161842,4.535731195,6.261042643,8.220220122,12.880093307,23.167631921,42.271550377,67.601709306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,32.583040216,40.486365249,55.837979716,80.473385023,110.162980164,125.815226191,122.095681056,114.528323222]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.579417935,4.960998347,9.014008801,16.132458935,28.752962358,45.647627484,72.877489727,111.28844511]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,18.122814908,25.176261819,37.502914725,56.288832156,79.0046437,96.296457385,105.236867738,105.913445694]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(292, 290, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.072726448,2.729863803,3.787774188,5.186953699,8.324153798,16.453206813,32.996995192,54.571990285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,20.448461116,25.168526889,35.268074749,52.773023712,78.446024206,96.355359515,100.689883231,101.737088526]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.949242031,3.988042045,8.275837104,15.531179203,29.445873322,47.212174101,81.916842953,128.982340855]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,11.223586838,15.640844477,23.974852382,37.821361199,58.747699336,80.896549974,104.276747904,120.351586431]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(293, 291, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.03792614513,0.04900005915,0.04935496196,0.1007648311,0.1988047115,0.3988671198,0.6798040608,0.7953308863]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.04099473839,0.05798737986,0.06524857398,0.1275397944,0.2339185195,0.4533200356,0.7041627297,0.8016332323]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.02943710281,0.05998484389,0.08054773199,0.1690905741,0.3548786629,0.5418116176,0.8391528998,1.251062993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.03424241571,0.07404766348,0.1092677482,0.2388868759,0.4499590861,0.6646393237,0.924307573,1.274058384]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(294, 292, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.3883371275,0.499945238,0.7343999101,1.124558594,1.922283808,4.005824961,7.508357222,11.577753461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,12.860549627,15.552668444,21.37029003,31.976194296,43.421772694,49.956428599,46.478403815,41.033869839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2132198271,0.4210116639,0.7988932061,1.650769693,3.211137468,5.260589326,8.774988381,13.269430385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.985673998,9.359511276,13.887321962,21.499874167,28.849863731,32.828016663,29.800536982,24.877675172]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(295, 293, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.6243413771,0.7984873074,1.312058387,1.907946549,2.989514658,5.523036612,9.255368578,12.949170133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,10.979727917,13.009896139,20.882043832,32.264504398,44.506224243,48.303318391,40.723792287,33.913204939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.513764557,0.9949676827,1.994176646,3.540681804,6.058513748,9.380552077,16.468700248,24.566666649]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.084178937,8.027869019,11.960102912,17.322947063,22.713370944,28.278355166,32.097025016,32.015268727]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(296, 294, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.603892128,1.937341932,2.575383178,3.238903369,5.348137271,9.785395692,16.11172348,23.016017334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,37.041091907,41.711065358,56.069749147,74.925318583,102.426605557,107.860652593,90.690428141,75.251313348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.9115937219,1.724123947,2.998751774,5.567309012,11.393071446,17.51724182,24.925909227,31.030484193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,22.045056152,28.878441313,41.699959743,60.773269674,87.621044402,95.050575034,75.610454026,53.954818342]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(297, 295, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.736384284,0.9351788237,1.176699336,1.56126091,2.459535259,4.845955682,9.760890109,17.541006148]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1160463925,0.2139425926,0.4018787054,1.156000519,2.994947077,6.774490573,12.482661307,20.01347261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.8111924983,1.58126466,3.183484863,6.01646788,11.485888567,19.514556586,37.013576792,61.176208499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2133791292,0.382152635,0.7423944661,2.260738948,6.271666272,16.62507712,39.081535799,59.02539382]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(298, 296, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.05547124552,0.069967189,0.07125046375,0.1438069354,0.2852091545,0.5643979682,0.9403574963,1.122249612]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.06001923146,0.08289123387,0.09438341094,0.1821885693,0.336505767,0.6433697326,0.9748579305,1.134982954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.04489747093,0.09100841503,0.1212838519,0.2486954476,0.5330374475,0.8571159106,1.387276373,2.25007545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.05308590542,0.1139577439,0.1713915701,0.3661837786,0.8194467725,1.513409765,2.387146715,4.007011273]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(299, 297, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.131954913,1.435461109,1.886322235,2.457336581,3.600094019,6.650794773,13.312378736,22.724108412]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.251485848,2.467370026,5.074865885,9.314864872,16.892555327,26.43714259,44.513773812,69.8137718]}', '', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-22 06:33:48', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(300, 298, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.6928983218,0.916267039,1.262229471,1.731968518,2.639428425,4.941269982,10.10628339,17.166727664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0846332432,0.1768539228,0.3992210252,1.264610257,3.278928762,7.059379594,13.140356632,19.761194946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.7963232142,1.619604201,3.333308144,6.357115271,12.244694688,19.628762676,33.763728525,54.065783635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1914266475,0.3517343142,0.7061328306,2.263622453,6.425212798,16.240511616,34.424017474,50.899467994]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(301, 299, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.496635684,0.6128803429,0.7702050281,0.9774815352,1.394268799,2.485419423,4.79572776,7.934312827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.06191764422,0.1183824263,0.2468186377,0.7269036892,1.781071396,3.615386826,6.327587736,9.190169972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5772046449,1.022700538,1.889373139,3.346587593,6.161556053,9.994456223,17.340600215,27.515486985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1365753753,0.2232508063,0.4054275627,1.193053979,3.249879469,8.173741178,17.387153202,25.697415408]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(302, 300, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.567376792,5.311445417,7.921377207,10.683595062,17.839544212,31.802431145,60.955863464,103.629147312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.530849492,14.332349663,21.407607277,30.421451826,40.735069889,54.656912535,76.115228288,99.869276989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.642089788,5.562002649,10.549259192,19.973324533,38.442925152,66.257485781,113.482137145,192.832897826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,10.709342516,14.453305825,21.255793259,32.303663601,48.168907975,75.757057066,114.15476959,156.22929967]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(303, 270, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.893713148,2.663709426,3.912797572,5.645571383,9.516561719,22.409359085,47.076150668,89.373499168]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,18.662159756,25.30365952,38.654881504,62.264681903,96.619740325,123.606704863,144.790981487,172.582128257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.030558223,4.118132023,8.414536139,16.342982401,32.125571453,60.769860087,109.372117381,189.740602296]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,13.062954758,19.459840376,31.660244924,53.104726523,85.77714892,123.542718127,163.12842545,198.234530444]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(304, 283, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01092549666,0.3026730823,0.8152234497,0.9263000647,1.002447083,0.9368023962,1.208724146,2.46845713,3.264375542,5.013622883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.469098939,26.026383097,45.349286688,65.409007083,90.041890933,108.245149948,112.402860053,125.852561817,101.713123627,101.76425708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01711688884,0.1423683966,0.6490395974,1.456594583,2.551025532,4.783155829,8.743926133,18.787513914,29.929438603,44.93934696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.19234492,27.929494638,53.071332163,85.008449856,121.516731405,161.340947654,201.806036407,243.947178528,248.335007568,245.779101012]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(305, 273, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,15.383028289,18.473284174,22.726240887,36.484641838,55.49529841,89.547947433,219.330283666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,53.470783231,66.31824745,55.798338172,82.209613472,96.191596703,160.733469623,210.338167326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,52.635247006,79.797514364,109.305323376,162.003484125,241.13192226,440.729526601,630.638555984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,255.270834712,341.122477105,225.813177174,277.979134228,428.867561216,635.047592639,556.445634469]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(306, 269, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.8902516927,1.411540306,3.404519561,5.215382431,6.828434092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,45.374128196,82.068738223,130.175223752,199.634744428,296.842010143]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,2.328298107,4.390613874,5.925808888,8.376686585,12.084302195]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,70.856837073,135.255959359,210.469996897,314.73763256,450.60871872]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(307, 315, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.120652908,26.798954144,60.083890017,92.566887751,105.37242054,103.569230185,85.5429367,63.297995918,35.237703168,28.70732027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[157.331822386,410.19531781,589.920088646,768.339887666,838.821626639,801.080006432,702.072619982,598.888062524,510.961679134,455.772599367]}', '', '', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(308, 281, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.097490817,39.094836946,53.278601735,71.54477204,77.608208508,99.712819515,107.60702826,133.126174769,79.238441548,86.361205094]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.23144409,61.152186978,79.984724666,107.860323027,113.629389291,151.599484636,177.782678456,226.655000619,169.480785319,180.956939645]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(309, 282, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.457215888,99.098580296,145.957154978,177.12404469,217.919635808,254.812062117,280.039079605,305.707389821,251.107908892,249.35682245]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.056069492,166.292698437,242.327873231,303.448521865,369.094556649,446.324325864,533.792949282,608.694602156,598.065320825,565.333958954]}', 2010, '', 1, '', 450, '2014-04-30 02:25:17', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(310, 1, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.745219074,210.371567129,662.79422984,1203.470937167,1249.783646105,1366.697259551,1351.795904982,1188.372338692,906.757974296,782.066805972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[233.418,986.575,3194.59,4729.32,4812.92,3351.77,2290.26,1298.14,981.387,712.65]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.511900609,85.120967068,397.045062745,1004.064882759,1298.493164206,1526.119714214,1579.895661561,1388.344438059,1054.727468263,960.814173023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[302.754,528.222,1859.63,3367.92,4894.6,4706.16,4077.7,2364.54,2234.4,1370.54]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(311, 2, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.64625083,80.186550894,92.793151523,58.348685328,46.434042698,26.948526604,22.756694263,20.146059098,27.72183031,44.513719896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.076,55.255,136.432,167.863,199.034,237.156,259.995,217.629,256.892,184.713]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.271209819,24.388604303,55.176482661,72.069351026,88.209019755,95.366688099,118.483815372,126.588169087,172.603780838,205.555993564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[108.83,137.456,387.885,567.632,673.942,789.052,937.962,634.343,764.673,459.142]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(312, 3, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.098968244,130.185016407,570.001078281,1145.122251838,1203.349603408,1339.748733009,1329.039210786,1168.226279605,879.036144032,737.553086224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.342,931.32,3058.15,4561.45,4613.88,3114.62,2030.27,1080.51,724.495,527.937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.240690791,60.732362768,341.868580084,931.995531734,1210.284144451,1430.753026115,1461.41184619,1261.756268972,882.123687426,755.258179459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[193.924,390.766,1471.74,2800.29,4220.65,3917.1,3139.74,1730.19,1469.72,911.393]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(313, 4, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.036226918,7.494138317,33.226794559,66.565923724,69.817981974,77.467563387,77.168283717,68.076747809,51.580982439,43.635298027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.1568,81.976,201.196,248.196,292.019,351.462,384.551,323.201,380.831,271.067]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.858286935,4.357652155,25.44570478,70.475616934,92.514688972,110.412188662,114.236417918,99.202956743,69.954841242,60.382913403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.206,203.392,574.989,844.9,996.565,1168.52,1388.72,943.706,1134.31,676.312]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(314, 5, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.06274135,122.690877978,536.774284229,1078.556329568,1133.531620102,1262.281171154,1251.870927027,1100.149532251,827.455160418,693.917787509]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[126.185,849.344,2856.96,4313.26,4321.86,2763.15,1645.72,757.309,343.664,256.87]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.382403851,56.374710605,316.42287515,861.519914105,1117.769455833,1320.340836363,1347.175429778,1162.55331286,812.168846248,694.875266201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.7178,187.374,896.754,1955.39,3224.09,2748.59,1751.02,786.489,335.41,235.081]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(315, 6, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.141388379,56.828043479,56.377604044,39.853070494,41.095896964,31.300159155,34.667541672,46.220680716,77.368309709,183.198430266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[238.325,218.5,237.606,256.165,271.302,288.494,296.702,299.798,298.855,309.652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.348608579,31.145285983,44.97429388,46.757167447,54.04719713,60.277340218,79.35805221,98.989641177,152.378702178,316.632478571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[244.106,229.277,250.947,270.374,281.55,292.721,300.503,305.072,303.355,315.153]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(316, 7, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.118087962,18.67890453,15.897086059,10.565245995,10.78555058,8.245222453,9.262702271,12.664430047,21.568694732,44.657061004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.2326,60.5125,66.4829,72.9057,79.8163,86.8588,93.9493,100.473,107.382,113.054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.73404975,8.352701152,10.694467788,9.918280053,11.182311006,12.579498984,16.905526263,20.23611442,31.487991755,53.829269191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.3767,55.0432,59.8134,65.1324,70.0304,75.1995,80.4558,85.5531,89.8585,94.4727]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(317, 8, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.588061323,3.161201604,2.232411384,1.348461604,1.084809849,0.7714364846,0.7407080711,0.8199928085,1.044869455,1.223991056]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.00982,4.68411,4.19722,3.74976,3.43326,3.06472,2.81899,2.52705,2.26436,2.04319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.38575075,2.346638327,2.156582242,1.698110773,1.545377677,1.279926245,1.159899213,1.090345095,1.137602388,1.130591733]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.37603,6.12041,5.46558,4.89224,4.41245,3.90854,3.54293,3.17253,2.87211,2.57877]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(318, 9, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.618835215,28.46360631,32.631610514,24.430823709,26.102121175,20.112420262,22.470406249,30.408424696,51.17344936,132.004848572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.38894,5.82386,6.52667,7.2438,7.7274,8.59179,10.8807,15.6429,19.9452,24.7386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.054476929,15.936542703,27.161758288,30.744375808,36.742756033,41.890113803,55.972035833,72.378979362,112.360734252,251.649649403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.42792,6.11869,6.78484,7.62868,8.2014,9.02433,11.4865,16.7042,21.2204,26.3392]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(319, 10, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008062442803,0.06383384767,0.1243377993,0.09607233233,0.08098887473,0.03842807954,0.03373112849,0.02471406354,0.03028082997,0.03935884634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.8485,50.5619,57.9859,65.7498,71.7062,80.3843,77.5255,61.3184,45.4416,29.1275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008952039258,0.02031075755,0.05305364172,0.0782099936,0.1026106155,0.08492957062,0.09049316272,0.07685110918,0.09310069824,0.09452329379]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.9471,54.1644,60.1947,67.4008,71.8673,79.1043,76.1657,61.1703,46.2865,31.4257]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(320, 11, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0208944617,0.0405974388,0.05437128271,0.02916061865,0.01734116285,0.02646318993,0.01496638952,0.02904782282,0.07494674569,0.0791845013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.0321,50.5718,53.1348,54.5671,54.3974,52.7762,51.4374,53.8842,52.7455,56.9293]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0320979176,0.02655222635,0.04587739089,0.01701954071,0.03666689769,0.02936196443,0.03689053864,0.06962855867,0.137535492,0.2042755421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.3778,55.9625,61.3915,63.1867,61.6508,57.3446,56.3278,58.3922,57.2537,60.9288]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(321, 12, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.191639318,5.525730601,4.698886034,2.892689095,2.613697512,1.809257395,1.856746285,1.932203963,2.9298876,4.492927787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.1243,43.2709,45.7193,47.8408,49.2511,51.3419,53.6618,58.632,62.389,74.0239]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.584085264,3.967350688,4.251247073,3.769622673,3.84581263,3.824209642,4.489089444,4.408453938,6.077787328,8.414580355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.8672,48.7539,53.5589,57.5557,60.064,61.9806,65.3062,71.4742,76.2352,88.3761]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(322, 13, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5597517432,1.030903566,0.8976448398,0.544916216,0.4692841113,0.3246495993,0.3466590938,0.3744057175,0.5801266921,0.8737611838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.4444,14.9162,15.744,16.1739,16.7045,17.1924,17.5777,18.8198,19.3159,21.8993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.659153386,0.7657538708,0.8269010269,0.7237911729,0.7233875378,0.720282725,0.8512812607,0.8590326428,1.255106063,1.784194913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1188,17.4547,19.4595,20.8533,21.7924,22.3391,23.4852,24.8996,25.5889,28.4259]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(323, 14, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5404536137,0.7638909505,0.5782155579,0.3253690958,0.2808649796,0.187560693,0.1899489107,0.2041020604,0.3349507179,0.5176206898]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.3573,9.3716,8.63775,8.20984,7.60926,7.4078,7.21451,7.15931,7.03441,7.67302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6282387185,0.5679542056,0.5471847555,0.4564928674,0.4655778571,0.4528676056,0.5037647028,0.4824447374,0.6692323585,0.9037895257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.38422,7.3695,6.74614,6.62149,6.10434,6.02908,5.85638,5.94004,6.30921,6.98338]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(324, 15, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.205640857,1.95378483,1.570143912,0.9300787921,0.8326048943,0.5702087979,0.5831376592,0.5949585938,0.8770082826,1.339806379]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.08047,8.38649,9.3438,10.1072,10.6217,11.1718,11.9166,13.062,14.1889,17.0121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.453392666,1.528127311,1.46685224,1.194970229,1.144603819,1.125143443,1.394117259,1.388078685,1.8461543,2.611505069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9577,11.3443,12.8625,13.8006,14.4544,14.7389,15.27,16.8714,17.8662,20.5259]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(325, 16, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.885793102,1.777151252,1.652881721,1.09232499,1.030943527,0.7268383075,0.7370006248,0.7587375909,1.137801908,1.761739531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.96071,10.3954,11.7849,13.0967,14.0774,15.2979,16.6392,19.2233,21.5522,27.1308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8433004969,1.105515298,1.410309052,1.3943684,1.512243415,1.525915868,1.739926224,1.678897873,2.307294608,3.115090836]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9808,12.2748,14.1617,15.882,17.2652,18.3913,20.1701,23.2914,26.0474,31.9696]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(326, 17, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2228740634,0.4751669625,0.4367939331,0.2963200371,0.2604611311,0.1804416322,0.1864297472,0.2152243948,0.3728487921,0.47152784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.58698,2.0672,2.59069,3.02543,3.79138,4.21847,4.94363,5.22237,6.00997,6.48785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276224028,0.2851461646,0.4414367767,0.3506150384,0.4097305055,0.4255294197,0.4804309587,0.5192251319,0.7606528461,1.012396531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62501,2.09731,2.76001,3.45362,4.10389,4.84027,5.5985,6.41289,6.75384,7.62979]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(327, 18, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01290238324,0.05720464974,0.08008400902,0.06635115224,0.04153604533,0.03020242371,0.02663860604,0.01699118242,0.01347105233,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000343318,0.000555419,0.000428321,0.000714718,0.00092536,0.000339136,0.00155392,0.000401317,0.00117073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01214821854,0.01174491644,0.0353855287,0.04766117449,0.0534214561,0.04756699853,0.08431855173,0.04684084945,0.03484287297,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0.00075723,0.000469624,0.000911544,0.000462568,0,0.00129051,0.00146214,0.000360682]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(328, 19, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05062283514,0.06842674468,0.03856971966,0.02087647734,0.01644952463,0.01224462265,0.01220614302,0.0159378224,0.02338240193,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0178324,0.0229589,0.0505052,0.0515092,0.0426505,0.0369484,0.0333472,0.0284372,0.0876635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04102500674,0.03366529349,0.02352823501,0.01836592692,0.01462845162,0.02030061125,0.02007442916,0.01810460677,0.03715938753,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0128535,0.0250436,0.0298169,0.0456084,0.0458075,0.053343,0.0524779,0.0398344,0.142804]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(329, 20, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02449983669,0.02236512941,0.02501046726,0.02305949759,0.02738663155,0.03693695837,0.02996495164,0.06020980925,0.09177997737,0.178823087]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00229254,0.00171857,0.00244363,0.0058917,0.00464199,0,0.00212341,0.00387047,0.00147126,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02840973501,0.04070008581,0.02689385742,0.04858266568,0.05320547197,0.05442013184,0.07461811935,0.09727047622,0.1806111295,0.2428626986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000919705,0.00113051,0.00303325,0.00378253,0.00217855,0.00171126,0.00296842,0.00194679,0.00408676,0.000961143]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(330, 21, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2720008527,0.2414168543,0.1167629892,0.05513091986,0.03443408251,0.01860226291,0.01243312847,0.0117265594,0.01307136381,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0735087,0.0426026,0.027529,0.0199437,0.00802113,0.00645384,0.00513772,0.00541606,0.00622369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1801169093,0.1047888453,0.0541767876,0.03268936438,0.02365104073,0.01932599915,0.01845719516,0.01841251084,0.02805764926,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0493846,0.0337881,0.0172241,0.0127283,0.0061509,0.000985288,0.00525967,0.00787083,0.00362807]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(331, 22, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01290768589,0.02958880657,0.04167985242,0.02887905541,0.03112039576,0.01850339208,0.02060870236,0.02177754636,0.03162739897,0.05070757265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00782,0.939878,0.887883,1.00415,1.12323,1.21369,1.44289,2.05996,2.58095,3.2473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01127203122,0.01914482356,0.02988627072,0.03363443513,0.03702534419,0.02215684854,0.02621850098,0.02941511986,0.04262637908,0.05432982221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04505,0.955487,0.927349,1.06061,1.16501,1.26257,1.55793,2.14118,2.7238,3.40061]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(332, 23, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5791641669,3.012711439,4.540830006,3.580283938,2.915325943,1.582951993,1.17998195,1.056423335,1.22819167,1.497958152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[352.367,355.862,350.539,344.568,343.28,335.22,325.639,320.195,308.952,313.852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5226441871,1.116054277,2.66644961,3.680639465,4.41069964,4.074319177,4.733255988,3.983714835,4.420805637,4.369542927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[325.128,310.902,296.583,292.443,297.935,294.305,294.203,294.551,299.706,294.431]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(333, 24, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2412784627,1.484309518,2.122756507,1.695678756,1.165821732,0.5753331933,0.3547983366,0.2726720014,0.3312938921,0.3848329515]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.52405,5.71353,6.06355,6.08736,6.07319,6.13516,5.23788,5.05122,4.10841,4.15985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2706863697,0.5258934915,1.364196426,1.905761127,2.178259738,2.036657996,2.482555123,1.838544821,1.987755921,1.823507873]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.53766,1.52219,1.25587,1.2478,1.38688,1.43426,1.76624,1.87587,2.54983,3.41709]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(334, 26, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08375896644,0.6698799796,1.341638579,1.120695974,1.097778547,0.5895628533,0.4599129049,0.3702650083,0.4690636931,0.5939161996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.6909,100.84,96.2127,90.9981,86.7949,82.3135,76.0348,71.049,65.4937,60.7667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08600375742,0.2062968535,0.6370716451,1.069606449,1.417914153,1.314080256,1.469207588,1.37324724,1.575676746,1.583318632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.2063,72.3528,65.8437,62.2685,59.8183,56.2539,53.2125,49.4698,46.2029,42.701]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(335, 27, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008361496044,0.08507702374,0.2061360713,0.1820241259,0.1266200694,0.05707849562,0.03349724991,0.02279257122,0.02274015001,0.02247967377]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.53897,9.65112,9.47767,9.1782,8.93899,9.04396,8.71172,9.05285,9.10827,9.01286]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005547580534,0.01737408979,0.06315213013,0.103496104,0.1048067581,0.08205497598,0.06709171226,0.05047213175,0.04879892948,0.03806504896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3868,15.3192,14.8278,14.4743,14.5509,14.7494,14.9454,15.4818,15.8481,15.9858]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(336, 28, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01829109385,0.1196239819,0.2127314834,0.1434121866,0.09993858083,0.04597007486,0.02790819814,0.02000304553,0.02296383048,0.02626611487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.59981,2.10594,2.65161,3.44242,3.93636,4.73035,5.33105,6.2113,7.15533,8.03357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01174293821,0.02364866089,0.0630830321,0.07891259369,0.08002826206,0.06391080225,0.05405350851,0.04290622421,0.04770039674,0.04303043875]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04129,1.36326,1.72247,2.10106,2.45925,2.90431,3.34487,3.80239,4.30591,4.73733]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(337, 30, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0152098609,0.01800922241,0.01496084424,0.00858655263,0.009431147152,0.007232405165,0.00713801859,0.009561838336,0.01371108264,0.01806108619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0128517744,0.0139705731,0.01141090979,0.0100561034,0.009427961339,0.008192827666,0.009180558414,0.008623563678,0.01119818406,0.01317039951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(338, 31, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02476897711,0.0211096732,0.01572525526,0.01382624739,0.01219029292,0.02411239143,0.01079144154,0.03231860305,0.01964729181,0.06135929411]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00429747,0,0.00094341,0.00104608,0,0.000554618,0.00200287,0,0.000658439]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03456834702,0.02520232326,0.02326533758,0.01612676125,0.01261115359,0.0154131792,0.02611272344,0.01384467639,0.01946660321,0.06342441706]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000967484,0.000932667,0,0,0,0.00294512,0,0.00185959,0.000754605,0]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(339, 32, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007070887769,0.03136062027,0.05657136042,0.04110364211,0.02673812603,0.01313808492,0.008409751126,0.005187410963,0.006790179531,0.009132126963]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[214.3,212.611,211.224,209.758,210.94,209.605,207.771,205.958,200.196,198.878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00482892511,0.008959342488,0.02262172607,0.02918676313,0.02944857264,0.02547744952,0.01884880552,0.01679783046,0.01601560199,0.01226150489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[201.597,192.192,185.807,185.723,187.257,190.661,193.09,192.919,195.33,198.404]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(340, 33, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007070887769,0.03136062027,0.05657136042,0.04110364211,0.02673812603,0.01313808492,0.008409751126,0.005187410963,0.006790179531,0.009132126963]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.50414,7.40231,7.36714,7.31432,7.24541,7.22436,7.34714,7.3351,7.18575,7.19012]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00482892511,0.008959342488,0.02262172607,0.02918676313,0.02944857264,0.02547744952,0.01884880552,0.01679783046,0.01601560199,0.01226150489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.53931,7.52713,7.49025,7.35068,7.23069,7.38084,7.25188,7.20234,7.17799,7.1511]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(341, 34, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.9936,81.2006,80.5018,79.7687,79.7738,79.153,79.7865,79.2996,78.7223,78.485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.1259,82.246,81.6073,80.7951,79.3443,80.1281,79.5769,78.8558,78.2034,78.0788]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(342, 35, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[124.802,124.008,123.355,122.675,123.921,123.228,120.637,119.324,114.288,113.203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[111.932,102.419,96.7092,97.5776,100.681,103.152,106.261,106.861,109.948,113.174]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(343, 36, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.148130631,0.522256805,0.5101937517,0.3273915953,0.3292570674,0.2314326286,0.2368535384,0.2767425337,0.2807542472,0.3146372072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.7137,24.9361,24.9087,25.1031,26.5949,23.3924,22.5519,22.8702,22.8905,33.0002]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07497070011,0.2617036815,0.438273615,0.4228353017,0.5296613813,0.4795397294,0.5514185625,0.5771943962,0.6373811015,0.7187633171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.3574,28.1517,27.1261,26.6277,32.463,28.2993,27.8438,31.0001,35.4688,29.1857]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(344, 37, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.773302274,39.325897126,59.552875836,36.540858629,17.843370254,3.910626659,1.356303499,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6502,72.0184,136.227,179.235,212.426,281.181,357.505,211.995,105.917,13.4838]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(345, 38, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4422942872,3.01504055,4.258377018,3.134506315,2.0791162,0.4246394758,0.08412403748,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.07169,2.30105,3.41002,2.92382,1.47754,0.395898,0.0312198]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(346, 39, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5275705989,3.529945552,4.633846996,2.715734032,1.402406144,0.4190868994,0.2191108059,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.309334,0.807389,0.93824,0.577184,0.257614,0.153263,0.0550968]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(347, 40, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.243269521,6.472444896,8.06373148,4.66067828,2.483656708,0.4928205636,0.1181894531,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.19074,7.54967,9.15937,5.0101,2.26161,1.36028,0.513897]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(348, 41, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3128633473,2.312763003,3.704906165,2.150535009,0.8485502758,0.1540311548,0.04542410893,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.557,41.4591,84.4239,118.994,147.708,200.224,257.648,211.995,105.917,13.4838]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(349, 42, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4639021136,3.40145047,5.776102554,3.582901695,1.57749249,0.4948779008,0.2909067898,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.795999,1.52909,1.97318,1.79764,1.54022,0.839483,0.191407]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(350, 43, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7303280552,4.755175616,6.442847006,3.826647072,1.948591336,0.4085772665,0.1227047033,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[5.72549,18.3721,36.3227,49.9315,59.1813,78.208,99.0653]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(351, 45, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.411,36.3921,34.9448,34.0372,33.2078,33.0463,32.3519,31.3416,30.104,29.2404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.2533,44.0725,42.6958,41.9196,41.1383,39.9213,39.0141,37.8654,36.7657,34.7306]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(352, 46, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.1789,72.0087,67.0053,62.0716,59.2201,55.7075,52.2467,48.6588,43.7818,38.2995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[109.454,103.48,97.0687,91.4874,84.8035,80.2238,75.6498,69.5422,62.237,54.9187]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(353, 49, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.040452331,3.100001173,3.396219563,2.569732809,2.571322027,2.044180178,2.368096423,2.611867836,4.411354321,11.195886954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[845.084,927.159,875.264,836.123,836.959,832.676,765.366,769.067,695.17,692.576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6497036132,1.131695428,1.909000659,2.50161096,2.674682045,3.029193657,3.86935676,4.676323846,6.801341635,14.370485024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[503.262,402.871,351.756,352.579,377.616,382.565,418.247,453.918,512.807,579.55]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(354, 50, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2925410596,1.09402035,1.479116852,1.019417942,0.9708174836,0.733978705,0.739383196,1.036567984,1.712193162,3.832040232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0625806,0.0867136,0.0604311,0.0728078,0.104433,0.105396,0.173415,0.0982109,0.223515,0.460074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2282745638,0.4586768991,0.8699704784,1.306681633,1.385857988,1.634916535,2.06374944,2.628083667,3.493788373,6.760637004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0472117,0.102981,0.124953,0.131551,0.129647,0.153372,0.219271,0.150544,0.219766,0.463279]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(355, 51, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01163833162,0.0540117938,0.08519890304,0.0745025994,0.04059323631,0.0211380434,0.01046262495,0.01174310099,0.02139902766,0.02889934565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[263.083,302.385,288.738,275.426,263.25,252.554,243.356,235.59,227.857,220.109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006701087031,0.01108431133,0.02638162611,0.0350612598,0.03105222726,0.02284721848,0.02408068297,0.02023929835,0.02670181003,0.03798211042]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[155.322,179.455,171.181,163.255,155.166,148.175,142.049,137.683,132.63,127.957]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(356, 52, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.67449,3.99812,3.66757,4.10105,4.3504,4.23896,2.80564,1.66374,1.1182,0.87766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.88151,4.28578,3.96095,4.63339,4.84686,5.04252,3.51041,2.02454,1.57314,1.16354]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(357, 53, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6908126979,1.79106872,1.668016489,1.346497505,1.435365929,1.18282816,1.507521456,1.423339426,2.425903183,6.790250902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[573.034,620.365,582.587,556.253,568.931,575.358,518.565,531.477,465.454,470.644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3900851425,0.6254874402,0.9188012521,1.042557198,1.111670493,1.191659789,1.562675822,1.765101239,2.84217638,6.909424459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[338.854,218.782,176.15,184.185,217.022,228.672,271.793,313.136,377.487,448.823]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(358, 54, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04546024037,0.1609003136,0.1638873234,0.1293147642,0.1245453773,0.1062352711,0.1107291463,0.1402173272,0.251858952,0.5446964823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.230856,0.324363,0.210804,0.269546,0.323271,0.420044,0.466321,0.23742,0.517045,0.485756]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02464282102,0.03644677685,0.09384730073,0.117310869,0.1461013348,0.1797701128,0.2188508197,0.2628996371,0.4386750678,0.6624414304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.157299,0.245528,0.339697,0.373421,0.452027,0.521589,0.674819,0.924093,0.895994,1.14318]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(359, 55, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.516063921,6.839889023,7.018900153,5.268703168,4.69722315,3.285752752,3.360474753,3.80440454,4.666578853,6.911893815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.9677,67.2217,66.4314,59.72,51.064,48.044,24.9698,20.2221,18.7353,29.6165]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.814643991,1.601932228,3.401573489,4.395367239,5.662097526,5.359662927,6.420855089,6.711987832,9.904222721,10.240004905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.9053,101.09,89.8352,74.8671,61.081,50.2357,42.1285,37.409,43.8534,32.1311]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(360, 56, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2599106547,0.8315262675,1.052275621,0.7344492908,0.7797844975,0.4866793081,0.46185308,0.3547293937,0.4215099894,0.4100078374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.747,53.7414,52.4123,46.5892,38.7222,35.6726,12.8894,7.10073,5.59099,5.33374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01691921801,0.05619389409,0.1189575243,0.1785988429,0.2611291189,0.3007855884,0.3275775368,0.4112368127,0.393737026,0.5755292163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.7445,79.0985,69.1202,53.7466,38.1425,26.2194,14.7853,5.76626,5.43146,5.95486]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(361, 57, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08965252504,0.3254357653,0.4173221258,0.308250348,0.3169769523,0.2062087318,0.1975722143,0.1693227672,0.2273282127,0.2305689154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.479831,1.22386,1.80401,2.12482,2.4832,2.78523,2.94506,3.27254,3.50807,3.91076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0076258692,0.02616168601,0.05915723999,0.09506864523,0.1487970223,0.1805885543,0.2068747641,0.2839353582,0.2827328767,0.428797598]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.766575,1.93844,2.82456,3.43707,3.85548,4.27252,4.5092,4.87883,5.40581,5.93663]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(362, 58, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05988438205,0.1743195899,0.2107675369,0.1402862624,0.1507001947,0.093075958,0.08584192407,0.05981583284,0.0600723154,0.05294225957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.82773,10.2121,9.78072,8.4457,6.84555,7.08808,1.42361,0.60035,0.2594,0.125938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.0241,53.193,43.0504,28.3251,15.0536,9.1987,4.46053,0.544419,0.0198772,0.0130868]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(363, 59, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05454279482,0.1686058672,0.2175366884,0.1475769008,0.163927768,0.09885208264,0.09553997702,0.06814588662,0.07543173381,0.07238418636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.67858,8.09194,8.56554,8.87247,8.34201,7.28529,2.09454,0.455514,0.208636,0.080959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004939668977,0.01621521839,0.03325834998,0.04619239477,0.06220612379,0.06667891035,0.06752092593,0.07570404921,0.06892051933,0.09617080063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9538,23.9671,23.2453,21.9845,19.2334,12.7482,5.81555,0.34301,0.00577261,0.00513618]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(364, 60, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5503,29.1999,24.8945,18.3333,11.9578,8.11549,4.5076,1.44514,0.961978,0.911566]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(365, 61, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05583095292,0.1631650474,0.2066492686,0.1383357804,0.1481795823,0.08854253542,0.08289896417,0.05744490669,0.0586777276,0.05411247591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.21058,5.01356,7.3676,8.8129,9.09363,10.3985,1.91861,1.32719,0.652898,0.304516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004353679795,0.01381698964,0.0265419345,0.03733780317,0.05012597228,0.05351812378,0.0531818467,0.05159740534,0.04208363003,0.05056081816]}', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(366, 62, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.801746958,4.668717893,4.643829461,3.521635989,3.030050422,2.117640947,2.110812971,2.48780234,2.92897251,4.71419765]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.75853,5.3456,6.00604,5.68068,4.83251,4.78502,5.13809,5.59339,6.15114,6.33842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5468235229,0.842792366,1.995128913,2.777082991,3.670631398,3.466713575,3.998454823,3.767462305,6.085263369,5.724628548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.62295,5.61761,6.91658,7.22278,6.75956,7.04176,7.53905,7.97228,8.60828,8.80418]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(367, 63, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3472840416,0.5371402173,0.464789634,0.3500611323,0.3016185935,0.2085028071,0.1863914617,0.1728989816,0.1621580807,0.1847130684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.595478,1.1075,1.92589,1.71501,0.882919,0.414467,0.106539,0.00649916,0.00523938,0.00452625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09988538251,0.1113393442,0.2168690038,0.2592666803,0.2978253706,0.2458134266,0.250896905,0.1865897932,0.2326397693,0.1489404057]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.611511,1.18635,2.06044,1.919,0.950399,0.4534,0.121767,0.00466704,0.00390813,0.00421906]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(368, 64, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3966554685,0.931764252,1.189530168,1.148668918,1.232196004,1.096986072,1.286597005,1.68993134,2.172074397,3.829662831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.59824,2.95699,2.96126,2.99815,3.03891,3.35506,4.05717,4.803,5.49304,5.69553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1948534186,0.3301372723,0.9300609064,1.413951665,2.028501464,2.147937521,2.754539335,2.826564728,4.908232327,4.970095267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.66482,3.20541,3.72844,4.22173,4.67568,5.31647,6.18176,6.98184,7.77636,7.99827]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(369, 65, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01783951674,0.03313376056,0.03765088239,0.03670156424,0.04198358501,0.03831846468,0.04334584006,0.04999701272,0.05751552228,0.08003238314]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.24964,0.308427,0.377234,0.422097,0.570237,0.862159,0.939448,0.754326,0.629907,0.617827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006957661764,0.009930149264,0.02568114159,0.03924593108,0.0561457741,0.05749160303,0.07142795303,0.06388065196,0.09260312983,0.07200957259]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.338374,0.389025,0.465511,0.60733,0.809435,1.12241,1.20297,0.964081,0.805034,0.780326]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(370, 66, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.039967933,3.166679651,2.951858778,1.986204377,1.454252237,0.773833601,0.5944786655,0.5749750053,0.5372245081,0.6197893665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31517,0.972679,0.741664,0.54543,0.340445,0.153338,0.0349379,0.029561,0.0229525,0.0205362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.24512706,0.3913855989,0.8225178643,1.064618719,1.288158794,1.015471026,0.9215906327,0.6904271332,0.8517881425,0.5335833172]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00824,0.836828,0.662196,0.474726,0.324045,0.14948,0.0325501,0.021699,0.022981,0.021359]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(371, 67, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00227523,0.00246496,0.00317481,0.00400861,0.00328302,0.00246417,0.002799,0.00278565,0.005047,0.00387083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00264123,0.00249202,0.00289262,0.00362599,0.00459404,0.00283121,0.00422335,0.00463971,0.00350419,0.00341155]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(372, 68, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4544063079,1.339644863,1.322795071,1.012617888,0.8873882312,0.6814324966,0.7878087016,0.9618728067,1.316096353,1.787688327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.45987,8.13229,8.00989,7.44607,7.50606,7.58392,6.93949,7.52516,6.98816,17.9405]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.25090125,0.7029459676,1.287487051,1.439685405,1.73033701,1.592163763,2.09482273,2.533288715,3.425222327,3.939847141]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.5352,16.3711,13.7954,13.8941,16.1744,16.9717,19.8,23.6658,29.8102,17.3687]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(373, 69, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.364366028,8.944740626,14.066756182,16.608486456,28.297407064,33.025294651,48.630326842,87.158896053,168.277490672,345.130933473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.15909,9.07114,12.5126,21.4123,34.0005,48.959,70.5197,65.1295,107.773,124.236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.028563721,6.069827195,8.156592457,10.425282218,18.279590404,31.6782966,64.867175708,128.37294392,263.724289633,517.213466339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.23737,4.66971,7.26521,10.5217,14.6776,22.2877,45.778,94.7526,153.651,231.059]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(374, 70, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04038992311,0.1863250839,0.3302372031,0.4007410594,0.7818153612,1.443543969,2.871382311,7.10196555,14.927934468,34.379265985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0158798,0.135448,0.149005,0.404026,0.564713,1.13249,1.99761,1.91499,3.76433,4.56391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03247397605,0.1027672638,0.2829462489,0.6101596332,1.779625417,4.743678965,11.172900894,24.982347124,52.022629026,86.32574412]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00383899,0.0448442,0.120382,0.205754,0.406428,1.23364,3.1747,6.71865,9.12015,10.8254]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(375, 71, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03383945764,0.2615960932,0.4156113825,0.4159958132,0.7536351411,0.8245209975,1.306433046,2.458297668,4.611739909,11.551405641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0234451,0.137909,0.130179,0.292251,0.469915,0.600586,0.927237,0.767656,1.7534,2.40294]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08011060097,0.1464611706,0.3054307115,0.4550738134,1.104784421,1.55305329,3.506076303,6.04234572,11.480760201,21.031897859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0100318,0.0842866,0.22711,0.318799,0.56489,0.954576,1.9545,3.39137,4.16012,5.39242]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(376, 72, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1460014801,0.4984852819,0.7946260837,0.8731051569,1.019636738,1.178655496,1.673731587,2.747784745,5.573605763,10.640504523]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0299729,0.103598,0.18182,0.223561,0.334635,0.37386,0.640382,0.794441,1.46083,1.73016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2717095553,0.5962041046,1.305524615,1.649158036,2.705664827,3.201377747,5.016267408,8.344787002,15.843803284,28.774500285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0352135,0.120806,0.278349,0.484814,0.693843,0.966877,1.73545,2.80638,3.69978,4.75611]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(377, 73, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0670633668,0.2384850713,0.3560251542,0.3641456108,0.3916563308,0.4146712083,0.5323978074,0.7988580824,1.512971297,2.697423516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00981545,0.0408588,0.066464,0.0744789,0.13391,0.147652,0.248598,0.313353,0.585976,0.703514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1529883953,0.33630297,0.6867100566,0.8105712337,1.23479661,1.355291297,1.959634933,3.036192268,5.405749697,9.219317939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0123267,0.0613806,0.137685,0.230979,0.308207,0.474478,0.858719,1.42969,1.81993,2.49683]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(378, 74, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01510950867,0.06999182088,0.1520383336,0.2099310126,0.2962307566,0.4020983992,0.6573566275,1.169175732,2.454379807,4.83067521]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.85816e-5,0.00435749,0.00682016,0.00555891,0.0239436,0.0271652,0.098098,0.164084,0.347397,0.480892]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04233349704,0.1048106423,0.2900375939,0.4340743231,0.8203960154,1.091817094,1.893455757,3.302070077,6.328305753,11.540326651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000266152,0.00467345,0.0167971,0.00958896,0.0360356,0.0755505,0.188676,0.382323,0.627131,0.910636]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(379, 75, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001254353634,0.009338925989,0.02046531446,0.02881534944,0.04133394877,0.05671715008,0.09392595307,0.1862931325,0.4649008496,1.050465562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000351586,0.0172202,0.0605525,0.0844612,0.0899557,0.121358,0.182876,0.22058,0.399212,0.447767]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01229642513,0.05076052974,0.127491228,0.1821245335,0.3330167941,0.4328142585,0.7410956766,1.384584482,2.984057326,6.07249427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00497787,0.0187916,0.0753696,0.156038,0.234862,0.27875,0.49526,0.75454,0.981086,1.11989]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(380, 76, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06257425099,0.1806694639,0.2660972826,0.2702131837,0.2904157003,0.3051687386,0.3900511985,0.5934577999,1.141353802,2.061940233]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0197372,0.0411614,0.047983,0.0590619,0.0868262,0.077685,0.11081,0.0964241,0.128249,0.097987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06409123771,0.1043299624,0.2012857345,0.2223879463,0.3174554098,0.3214550942,0.4220810475,0.621940185,1.125690513,1.942361438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0176429,0.0359606,0.0484974,0.0882076,0.114738,0.138099,0.192797,0.239825,0.271635,0.22875]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(381, 77, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01570956205,0.04578922353,0.03469010947,0.06525309268,0.08074836185,0.1030480271,0.2233931351,0.468285959,0.982789732,1.938093027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00782755,0.0361417,0.028584,0.0493025,0.109483,0.125536,0.302364,0.484859,0.660682,0.788247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02410186388,0.04163444319,0.06664290441,0.0833932309,0.1546023823,0.5737339527,1.55837762,3.408124186,7.324801323,12.837037119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00526798,0.0274254,0.0987779,0.0935429,0.190643,0.578512,2.07021,3.91854,7.16138,8.31051]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(382, 78, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09865192839,0.2021015429,0.3236197597,0.4482838967,0.8644525859,1.456549708,2.773939651,6.719069143,15.618920739,36.601462983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0485606,0.0999338,0.104051,0.200624,0.430989,0.778725,1.62584,2.1117,4.63421,6.06284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08284197248,0.1407865574,0.3581222965,0.6769547391,1.976245669,5.035787768,12.779155665,27.882927533,55.072805233,111.933292171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0400071,0.0612434,0.17483,0.330007,0.733573,1.76229,4.38629,10.1721,14.8035,20.1261]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(383, 79, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1284752668,0.5042623091,1.867657497,3.194458485,6.82894827,7.665461349,10.587859207,17.799669723,31.280126456,53.335169048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.173012,0.689183,2.29626,5.2623,10.9693,19.457,30.0128,27.2648,41.5127,48.3484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01414639235,0.01827747818,0.05573734046,0.0539369324,0.1240768458,0.1469615573,0.3019129448,0.6100813292,1.032707245,1.705431305]}', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(384, 80, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1644608837,0.9482259298,2.97576441,4.398142679,8.859588939,10.417113666,13.850070417,20.550356279,33.628338208,59.363106374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0759814,0.920408,2.79008,5.68106,9.11092,10.9601,12.2626,8.61756,11.7252,11.1048]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(385, 81, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01683359886,0.06738355287,0.06184431862,0.127328601,0.2244514638,0.3486057287,0.4719358262,1.077715354,2.492532333,7.297577852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00550917,0.0580472,0.0370132,0.184112,0.293617,0.676048,1.74038,1.92723,3.37851,4.4036]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(386, 82, 192, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02031915256,0.04759832846,0.04189281227,0.06819122793,0.1187644605,0.3082161553,1.266642014,4.92290771,16.625411437,49.295074826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0377682,0.0823428,0.118971,0.175766,0.48066,0.885721,4.47853,20.0618,49.2892,100.238]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(387, 83, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1622620831,0.3864013229,0.6516472875,0.7177124534,1.10018457,1.347651735,2.260318616,5.393595134,13.331204452,30.113871328]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.231818,0.522596,0.61684,0.923913,1.71948,2.41152,3.31304,4.06827,9.05263,10.7023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2013133621,0.460899925,0.6342942723,0.8248329234,1.355979871,2.180914181,4.397043164,8.367259433,18.869033689,42.001173687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.197998,0.599571,0.817698,1.3669,1.96376,2.9852,5.46237,10.2726,15.7745,20.9399]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(388, 84, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02749578249,0.1234576223,0.1741131543,0.1653790397,0.2080402509,0.327073217,0.5801796256,1.327964211,2.693813714,6.112361269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0641257,0.242197,0.298739,0.426725,0.32774,0.661787,0.996999,1.25074,2.86782,3.31889]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09141546474,0.1094220935,0.1911175396,0.2561778584,0.566985353,1.398624673,3.17644848,5.560597663,10.172002897,16.460624491]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0499343,0.140299,0.239193,0.349708,0.719496,1.67705,4.21242,8.70625,12.0877,13.3931]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(389, 85, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03844757803,0.07641618762,0.05866298687,0.07097195027,0.1037091084,0.1070311487,0.1639384461,0.2152205476,0.3825333151,0.8340284804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0358603,0.0540236,0.0530444,0.0477458,0.0452787,0.0602566,0.10736,0.0658571,0.0930337,0.131587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06969116006,0.07895132274,0.08710611046,0.0832578847,0.1479487555,0.2581500515,0.5225697134,0.8351843161,1.478228296,2.333531423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0552559,0.048732,0.0623817,0.059088,0.0592523,0.112304,0.261149,0.264693,0.355278,0.308779]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(390, 86, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01411266812,0.03011477894,0.03758055759,0.04294602103,0.04705422014,0.05646587906,0.08845596366,0.322658133,0.6198219507,1.071688469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00933358,0.0179063,0.0411339,0.0348657,0.0796994,0.126053,0.22956,0.21843,0.389886,0.417212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02649600055,0.04526655578,0.0496579419,0.09217838226,0.1527552195,0.3731853832,0.8973279611,2.895714024,6.646878817,16.36962897]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0102927,0.0343389,0.0281282,0.0832926,0.163666,0.299864,0.792796,1.36556,2.01708,2.38605]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(391, 87, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03573223151,0.0558210502,0.08124286793,0.09297117881,0.1172449005,0.1797401291,0.377480412,0.6926781234,1.603614622,4.134163524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00850407,0.0314125,0.0405421,0.0805245,0.0810486,0.0888134,0.161861,0.152362,0.2851,0.442918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01491388887,0.02290371916,0.02695870802,0.05051657714,0.1212884172,0.1432259219,0.3027515343,0.6778065222,1.684547598,3.590099845]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00232785,0.0658265,0.0983499,0.081575,0.0435494,0.0794361,0.15349,0.224893,0.460013,0.618733]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(392, 88, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05265376275,0.07919529433,0.1245955284,0.1839808633,0.4171522419,0.5759680807,1.194581846,2.961829426,6.673439409,16.405595648]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0301019,0.031713,0.0206158,0.0545133,0.0887839,0.155043,0.334791,0.446122,0.92539,1.15699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0751473332,0.08189609691,0.1603487479,0.2823731631,0.6360921249,1.341797443,2.944525389,6.233073488,12.562020137,27.459658728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0240603,0.021545,0.0712697,0.0507452,0.0953733,0.18046,0.554913,1.04186,1.39606,2.09992]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(393, 89, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03010742853,0.09378896498,0.1776569365,0.1829415467,0.2948301949,0.2726210781,0.3749632975,0.7512794761,1.33868918,2.935183788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0508347,0.188584,0.383515,0.545413,0.476929,0.669934,0.771174,0.698841,1.23125,1.43122]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04406713692,0.1096598959,0.1770583894,0.2822810523,0.3670470572,0.6079877924,0.9892459586,1.552823636,2.86385986,6.17024145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0343458,0.116737,0.194166,0.315329,0.442441,0.642306,0.758949,1.36278,1.84955,2.81935]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(394, 90, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03613427829,0.1542815492,0.1628590149,0.1560958763,0.1447454506,0.2220501063,0.3042719712,0.3757771488,0.6606750807,1.322940806]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0300059,0.0645174,0.0932382,0.124933,0.167506,0.310087,0.665285,1.03194,1.50893,2.21893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0332732514,0.07319347695,0.165109508,0.2173740788,0.2698013214,0.4597635133,0.6206867657,1.052027901,2.215048701,3.304674091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0297628,0.0956622,0.149873,0.176375,0.255529,0.427748,0.966481,1.49148,2.13944,3.26511]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(395, 91, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1940735479,0.5582677905,0.5677579694,0.7076817345,1.068177887,1.229821917,1.975163444,3.686513518,7.049052786,18.382104968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.27754,0.756704,0.60379,0.812661,1.07876,1.18324,1.87774,1.67573,2.72869,3.33433]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(396, 92, 192, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09555029568,0.1625873091,0.1694681837,0.1650892816,0.1671612052,0.1787855393,0.2837477659,0.3471194461,0.5703556283,1.154243504]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114385,0.261095,0.49768,0.576104,0.394984,0.406661,0.443936,0.444928,0.500472,0.47095]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(397, 93, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06246419392,0.09878083209,0.1409779993,0.1803028669,0.1617778444,0.2109970524,0.2961366393,0.757547413,1.359314089,2.992342173]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.034001,0.0499167,0.0908337,0.152042,0.179764,0.247694,0.43247,0.425624,1.02609,0.887903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06474063928,0.08963462051,0.1249791648,0.1330820612,0.2531798751,0.4669634057,1.059021941,1.856511358,4.255789163,8.099324022]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0437388,0.0464754,0.104152,0.181114,0.284088,0.460896,0.884772,1.18096,1.58363,2.21223]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(398, 94, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01542221361,0.08627453692,0.122439847,0.1658902156,0.2422232133,0.2656506804,0.3892211398,0.6886697792,1.081650395,2.24313054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0365365,0.0550654,0.143829,0.206919,0.345582,0.495302,0.768109,1.03525,1.56518,2.11569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01533702702,0.03907990324,0.07932015241,0.139153281,0.1706952152,0.3656827193,0.853984145,1.536398304,3.523209334,8.374344535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0505565,0.124736,0.221628,0.27275,0.448701,0.714407,1.65683,2.75282,3.81874,5.86469]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(399, 95, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2190559546,0.2653322434,0.353171907,0.2591190418,0.4087383664,0.4169240803,0.6276489012,1.046628881,2.239501102,3.306318488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.620135,0.727131,0.587295,0.650872,0.865532,0.933805,1.02555,0.897368,1.47459,1.56654]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2608758264,0.2465715426,0.3207646722,0.3717363738,0.5426791136,0.8001454004,1.415797918,2.248114125,3.995595444,6.632799438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.412634,0.49805,0.59895,0.72195,0.765552,0.897057,1.17556,1.67348,1.93378,2.10064]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(400, 96, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01931130454,0.05535131863,0.04353839368,0.04657822048,0.06768406279,0.1080922038,0.1422259146,0.40971109,0.8216272038,1.361043796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103346,0.642096,0.351333,0.622838,0.478584,0.939591,0.972979,0.930117,1.22017,1.00217]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01696793092,0.03239690144,0.02834628971,0.05044507571,0.05926800553,0.09591396127,0.1876053422,0.3334997365,0.7334060644,1.161721294]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0102373,0.0377419,0.0684378,0.0933943,0.120136,0.112682,0.203041,0.260433,0.449058,0.328349]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(401, 97, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09681975794,0.1794950146,0.2274572865,0.1846701293,0.1549264967,0.1249921638,0.1815824079,0.169094866,0.2590661057,0.4067860715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.231694,0.260114,0.193339,0.211873,0.0960791,0.0860139,0.096694,0.0606297,0.0744564,0.103698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1376114933,0.1544886482,0.2173938827,0.2009617263,0.303216897,0.3189465172,0.4623597229,0.3121974993,0.6093007477,1.14478007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.236424,0.213945,0.283069,0.197294,0.284063,0.215432,0.294188,0.171041,0.2691,0.342476]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(402, 98, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3303279658,0.6185763972,0.7056571133,0.5548988425,0.7198848079,0.714269669,1.023014517,1.940153702,3.978583965,8.70588165]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.356787,0.913864,1.11923,1.55988,1.80813,1.84359,1.89233,1.66441,2.71022,3.12766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6430194321,0.802243829,0.9086292791,1.0050671,1.362158244,1.860250133,2.996765308,5.099174365,9.975165653,18.371076896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.367386,0.482939,0.94793,1.85517,2.31898,2.10257,2.65859,3.52681,3.92619,4.16949]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(403, 99, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02146974579,0.05473723302,0.07617393733,0.06515948691,0.1475048113,0.2554662766,0.5013727175,1.257813839,2.845598738,6.206811767]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0215204,0.0313467,0.0330918,0.0701976,0.148011,0.226892,0.642487,0.716625,1.79443,1.99675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03700453596,0.03377049688,0.04016045797,0.1065154213,0.1932406331,0.4687311933,0.9235386402,1.857911262,3.73048695,6.914266583]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132735,0.0146315,0.0292597,0.116393,0.230694,0.477562,0.89661,2.11339,2.75016,3.22962]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(404, 100, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9219586934,1.030216684,0.9070345329,0.6063807345,0.8786371405,0.6373884126,0.9235776167,1.371107976,2.863156557,5.809192497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.484447,0.650778,0.408964,0.401477,0.589959,0.589996,0.922113,0.765607,1.55287,1.71798]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.231666459,1.042714917,0.8506461952,0.7756647533,1.089500609,1.16533561,1.764815595,2.364374028,4.388809639,8.045689853]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.590934,0.466967,0.566561,0.500617,0.696159,0.784223,1.14467,2.086,2.73222,3.14282]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(405, 101, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.427978202,2.259954479,2.609567651,2.24377164,2.562156379,2.451559251,3.343621195,4.610363585,8.793048106,16.574661858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15231,1.65051,1.71629,2.18763,3.14,3.82495,5.80001,5.14233,8.38214,9.15819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.429672324,1.368285387,1.468361618,1.755652017,2.423711003,3.334824737,4.837841313,7.711488189,13.426578276,21.911671578]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.861695,0.979465,1.26806,1.91523,2.32117,3.33022,5.45752,8.7438,11.3741,13.7185]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(406, 102, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.049668939,19.116811117,23.088230152,20.731019926,28.017719962,29.957452731,45.803187118,87.517318536,192.070912848,529.728048604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.956,136.568,127.441,175.131,247.852,343.079,466.1,585.597,768.89,993.48]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.373352433,10.639465833,14.602696188,18.441061359,30.352362844,49.99630154,93.839473289,167.925351324,339.339976594,815.268958516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.4299,72.2671,90.6301,124.386,192.043,256.023,385.817,546.525,770.138,1009.29]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(407, 103, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9688053702,2.386149924,1.983267074,1.487578558,1.559579235,1.220520277,1.468676823,1.455225841,2.210273066,3.946401766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.7461,30.9111,28.983,27.591,26.5235,25.4185,23.7951,21.448,22.5184,24.9971]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8282010634,0.8755486692,0.9185107289,0.8057892533,0.8739435248,1.020418356,1.560446479,1.319895603,2.430624446,5.753256]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.9308,20.6358,19.6669,19.088,18.348,17.7834,16.7298,15.4396,15.7571,17.1622]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(408, 104, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7668858918,2.258591693,3.575504515,3.830002168,5.715721634,7.154412181,11.347441069,21.208701691,49.719175779,124.275230926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.16847,10.6827,20.6576,35.2278,55.1881,82.5195,127.505,191.889,272.711,355.823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.229445128,2.397873365,3.722073612,5.140587361,10.178521994,18.188899828,37.541523421,66.071405661,139.031041155,327.637807329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.40796,13.8848,27.1434,46.3293,72.1544,107.1,165.788,250.461,352.305,453.863]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(409, 105, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.431989486,3.815486747,4.670352849,4.7387867,7.47861416,8.77572247,14.333118005,32.453694849,72.551115947,243.423518528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.22819,3.34482,4.83876,7.22583,10.7981,15.0453,24.797,38.6004,59.1917,78.0998]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.921545659,3.382122972,4.311072944,5.746537295,9.285297498,15.693939926,28.715373087,55.880805884,107.159825689,283.092744013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.5706,3.50064,5.41937,7.98497,11.6837,16.1848,28.3996,46.2195,70.8652,93.215]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(410, 106, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2137795239,0.8056734754,0.8818591928,0.9834361669,1.296586478,1.447787266,2.219871301,10.896564456,25.89459834,93.184684555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.940431,0.841685,1.69678,2.99781,5.49606,8.65474,15.0632,24.2597,38.1172,54.6048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2525805708,0.398311716,0.7626226664,1.076355128,1.686889592,2.909290703,5.539541538,19.757814211,40.833060769,117.80573592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08799,0.952962,1.9726,3.40213,5.93747,9.42549,17.9507,30.4583,47.3871,67.1832]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(411, 107, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.218209964,3.009813267,3.788493655,3.755350526,6.182027674,7.327935207,12.113246743,21.557130302,46.656517548,150.23883395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28776,2.50313,3.14199,4.22802,5.30206,6.39056,9.7338,14.3407,21.0746,23.495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.668965091,2.983811254,3.548450279,4.670182173,7.598407922,12.784649248,23.175831589,36.12299179,66.326764924,165.287007789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48261,2.54767,3.44677,4.58285,5.7462,6.75934,10.4489,15.7611,23.4781,26.0318]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(412, 108, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3326895162,1.087879402,1.765015314,1.96492617,3.589935172,4.77523864,7.612156633,14.795749269,32.220555851,76.237992359]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.3267,4.31091,5.85366,10.5539,18.4777,33.9766,54.4239,74.6097,108.129,150.302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2352219399,0.4218756675,0.7220045293,1.117588194,2.370015698,4.623525092,9.337959198,16.444920243,34.403730665,76.731306435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.72006,2.73146,3.78271,6.7686,11.6393,21.5742,34.0215,45.3833,64.8471,88.4732]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(413, 109, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.020011681,5.878111453,7.053703474,5.749497339,6.008370098,4.85024648,6.899396716,7.174791929,14.556051522,33.353204005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.1296,13.2436,12.9133,15.6659,19.672,26.2878,33.8865,40.7136,52.0332,62.7601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9920048548,1.750139985,2.844927213,3.584099983,4.954548054,6.246809496,9.917573917,16.051612724,30.741292882,61.340629847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.0138,13.74,13.4079,16.3806,20.4642,27.5742,34.7836,40.7978,50.6494,59.4237]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(414, 110, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.08648874256,0.1438399875,0.1300287276,0.2298287554,0.3433970672,1.04986156,2.843493274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.33395,3.5885,4.37791,5.91746,8.61716,15.3582,27.2797,44.3621,73.8029,117.484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.04436683359,0.05781718753,0.146120547,0.2435331865,0.521671995,1.344922323,3.544149065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.51048,5.95211,7.2633,9.71941,13.7154,24.2108,42.5097,69.6266,114.313,180.638]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(415, 111, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07176324584,0.2766020243,0.308519549,0.2844858974,0.4136659068,0.341841513,0.6046794826,0.9773466854,2.004544272,4.809528731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0667862279,0.2565293435,0.283155932,0.2902152376,0.4666985833,0.6448134802,0.9991023086,2.373645765,5.142480723,14.516465282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(416, 112, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.188328969,0.3015942853,0.5488418733,1.227324473,2.981009949]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00555583,0.0229825,0.0775086,0.28435,0.77595,1.45149,3.76302,9.96517,19.5621,32.3621]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.5421513855,1.001302408,2.040847772,4.392254639,9.239709921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00603893,0.0312665,0.104566,0.356234,0.987233,1.77585,4.43462,11.5814,22.5271,37.1466]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(417, 113, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1898429523,0.3222061492,0.3233351282,0.1782629697,0.2322631277,0.1932229546,0.2559040139,0.2704723962,0.4372561057,1.145479142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.58351,2.40983,1.66767,1.25021,0.90098,1.13825,1.27818,1.12363,1.69457,2.71586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2582782111,0.3109228563,0.3352447176,0.2698150632,0.3521182849,0.4154284084,0.7189236655,0.8264246392,1.7225201,4.48693365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21246,1.83612,1.28694,0.961647,0.710301,0.843394,1.01286,1.15513,1.61803,2.53705]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(418, 114, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.267680791,3.091783704,3.408532243,2.410991405,2.875730661,2.327890523,2.750391393,8.289097014,16.09475449,36.712189663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.4338,68.0534,48.0715,71.4151,106.899,141.884,169.372,162.885,159.247,168.935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8418693466,1.244452986,1.465706506,1.442062137,1.813402024,2.474194966,3.803735632,6.394120833,12.971283645,28.925956975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.0577,9.95483,12.555,16.7975,42.3407,38.9769,58.1373,65.861,77.2554,76.8313]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(419, 115, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.349029516,11.983750797,16.349398574,13.642338149,15.280852633,13.073444882,16.475398634,27.845995569,55.615122481,127.882856606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[904.276,911.001,998.211,1151.06,1318.35,1486.29,1695.46,1893.97,2217.6,2572.23]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.546780641,3.963764638,8.275309555,11.57560267,17.611459046,24.855269612,45.065205597,82.428272366,158.634694074,318.464973865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1011.71,1084.01,1231.74,1385.1,1530.38,1688.26,1907.44,2189.91,2520.85,2914.06]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(420, 116, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8000049982,3.478778833,5.39765275,4.426228024,5.44337317,4.950868462,6.380122512,13.820633848,30.203758837,73.303628215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[305.123,411.979,519.024,640.523,778.28,939.654,1143.19,1402.7,1705.78,2047.06]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4990468403,1.208935838,3.314075576,5.330167055,7.86725818,12.649534191,24.841687292,49.218978141,98.818626633,207.2478749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[411.817,555.1,698.248,845.509,999.974,1174.71,1393.45,1683.64,2011.78,2385.1]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(421, 117, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01236677102,0.06132828947,0.08376642518,0.06035179263,0.07258068859,0.03633229803,0.07709682113,0.1152233862,0.2294388056,0.5612669768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118636,0.20137,0.223514,0.3148,0.464171,1.21027,2.87394,7.43069,11.929,18.9821]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1496347361,0.238207824,0.3337102819,0.3795205556,0.6320527609,0.9770521347,1.94550023,3.16811283,6.372135466,17.377955865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.326794,0.28086,0.323158,0.479636,0.758837,3.75891,19.8146,35.4347,44.566,58.5879]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(422, 118, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.959820566,7.277312383,9.716308469,8.237874908,8.782595295,7.202622715,8.816645702,12.257923253,21.789563661,45.971134979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[419.368,267.311,195.84,171.118,170.139,183.156,205.315,227.726,250.874,276.285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46417428,2.041300923,3.911344054,5.185553475,8.248971022,10.12256495,16.629232596,26.028701251,45.744765176,79.169939846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[371.723,240.017,178.398,157.201,155.858,168.119,189.104,211.61,231.409,252.096]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(423, 119, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2635901451,0.6191471469,0.6162601731,0.4946697849,0.6002640903,0.5832094958,0.8129285094,1.329431729,2.836305886,6.550963797]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.29234,1.43888,1.83305,2.52836,3.6495,5.68971,9.41121,6.40889,9.99074,14.9744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1124418299,0.2958953184,0.4140327221,0.4762543903,0.5973209155,0.8129549353,1.287177995,3.239340603,6.324628794,12.143664977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.90797,1.98685,2.58526,3.54548,4.93809,7.35553,11.1027,8.74235,12.6484,17.7577]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(424, 120, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3132470324,0.5471841447,0.5354107631,0.4232136305,0.3820394028,0.3004119302,0.3886051175,0.3227833316,0.5560553173,1.495862749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[177.374,230.071,281.29,336.572,365.813,356.58,334.671,249.706,239.033,214.924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3214829528,0.1794247337,0.3021469228,0.2041071907,0.2658561433,0.2931634187,0.3616074754,0.7731393965,1.374537584,2.525538571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[224.93,286.625,352.188,378.366,368.847,334.317,293.967,250.478,220.448,200.519]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(425, 121, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.955657775,2.246011366,3.013130832,2.989626531,4.200097222,4.174250741,6.039909045,8.468608331,13.099579466,24.400624424]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.630872,1.03588,1.46811,2.19649,4.25173,7.0632,9.79917,11.9678,14.2425,16.4165]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7998890094,1.604749828,2.957178542,5.255799798,8.403008991,11.843026122,18.15756701,25.236603661,40.333955134,63.749404187]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1319,1.95398,3.02259,4.76689,10.4977,16.8272,21.726,25.1269,27.7863,32.4436]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(426, 122, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1818278602,0.4469113054,0.5776682486,0.5574096787,0.7642007114,0.7440218493,1.057644418,1.452069342,2.192369191,4.003003647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.207524,0.312405,0.494961,0.74213,1.5573,2.73384,4.13274,5.31965,6.74561,8.0017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1232287421,0.2360864506,0.4447859113,0.8039649291,1.309248343,1.871857233,2.916352503,4.113304019,6.630864019,10.555282425]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.340797,0.562764,0.845425,1.32302,3.00222,5.34535,7.67449,9.50261,11.3917,13.9132]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(427, 123, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2470706519,0.6430080444,0.9802202729,1.07241939,1.613401753,1.703024817,2.593567605,3.689938659,5.63493335,10.3290931]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0923019,0.178674,0.232315,0.388101,0.760177,1.41203,2.24369,3.08986,3.90204,4.89354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05444101186,0.1153788504,0.2552043082,0.5193378569,0.908172315,1.390553161,2.280205751,3.41612136,5.992067938,10.240007849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.147548,0.226281,0.342473,0.491574,1.24004,2.32604,3.32611,4.34981,5.21357,6.81563]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(428, 124, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0716601538,0.3483717279,0.5538886633,0.620745718,0.971540934,1.043022363,1.614249481,2.432641631,4.043800344,8.029386135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.015577,0.113831,0.222606,0.36625,0.823807,1.25869,1.56407,1.70156,1.89234,2.00413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2241207011,0.7062793928,1.403044979,2.66160865,4.500589678,6.647751048,10.628000177,15.016814753,23.821978714,37.405722838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105597,0.482529,1.02426,1.87477,4.31815,6.42929,7.86723,8.46937,8.70204,9.3591]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(429, 125, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4550991074,0.8077202915,0.9013536507,0.7390517476,0.8509538197,0.6841817072,0.7744475374,0.893958695,1.228476583,2.039141518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.315469,0.430972,0.518227,0.700004,1.11044,1.65864,1.85867,1.85677,1.70249,1.51717]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3980985552,0.5470051355,0.8541433415,1.270888353,1.684998644,1.932864667,2.333008589,2.690363521,3.88904454,5.548391154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.537959,0.682402,0.810434,1.07753,1.93731,2.72654,2.8582,2.80513,2.47903,2.35563]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(430, 126, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.587297976,4.398794321,5.255444389,4.415356101,4.862696945,4.141818036,5.141177587,7.930361406,13.957450706,29.779870855]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.782,95.1629,97.7043,103.773,112.123,120.998,130.551,91.5695,96.6495,98.6645]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.647043244,3.064100198,5.136907036,6.174658853,8.111122914,9.742098366,13.329072288,18.343882528,28.105639445,47.436849084]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[118.499,99.8778,93.4881,97.3147,107.504,121.22,140.843,114.754,118.739,119.188]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(431, 127, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2024400144,0.6142947275,0.6959306577,0.5856132025,0.6942102417,0.6157196082,0.8316021169,1.331726368,2.580777898,5.308193908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.38144,3.28736,4.55669,5.78278,7.09932,8.13845,8.90325,2.67561,3.13811,3.61055]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1346396576,0.3615166124,0.5598970189,0.6992954527,1.022974492,1.365811028,2.150836095,3.220710351,5.285471625,8.642246422]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.04733,2.49808,3.66655,5.31138,7.76032,9.97999,13.1456,6.84419,7.64943,8.24586]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(432, 128, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1161860256,0.3006225921,0.3349296802,0.2455714714,0.2879761592,0.2554676249,0.3213273801,0.4410323014,0.8483358035,1.743489273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.8367,18.3185,22.0426,25.3797,28.8071,31.4641,32.2714,2.46633,2.83524,3.10232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1225451715,0.17034904,0.3052576606,0.3759951353,0.5131010993,0.6324679747,0.8572090457,1.146133372,1.748708205,2.630919304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9373,8.02997,7.51829,9.58066,14.0865,17.2172,23.922,3.45675,3.72373,3.94832]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(433, 129, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2479173254,0.4223309942,0.4052564197,0.3136300983,0.2681525145,0.1578130536,0.1556827801,0.232740587,0.2976641553,0.7624271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.4186,4.09437,3.36663,2.75435,2.34279,1.67903,1.31037,1.1986,1.21114,0.998327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2996197719,0.2699293734,0.2815081812,0.3922263965,0.3556099915,0.4354050121,0.4848662571,0.6483204225,0.6133565249,1.652247946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.13156,4.53779,3.96617,3.22805,2.52861,1.93262,1.65094,1.53427,1.36295,1.19795]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(434, 130, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3369923613,0.8330825584,0.9121519514,0.8282937693,1.005105355,0.8694641117,1.074196736,1.737012601,3.168788258,7.670648257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0559931,0.0301953,0.0452385,0.0534361,0.0409852,0.059277,0.0664637,0.103897,0.153842,0.170153]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.548314395,0.8237066556,1.290222855,1.412653187,1.847911038,2.311599762,3.218622924,4.619755184,6.740641942,12.320060647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103345,0.0745542,0.130157,0.183729,0.201367,0.234837,0.304017,0.37453,0.490286,0.581891]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(435, 131, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03256583231,0.04990769123,0.05685769725,0.06901728688,0.08482443081,0.1287694119,0.1606521772,0.2874140999,0.5286588078,1.036115289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.89999,1.11651,1.47048,1.83384,2.21379,2.58201,3.17266,4.33521,5.55612,6.70458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03617935988,0.09252960871,0.1165402799,0.1252565626,0.1805669432,0.1905197484,0.2859307533,0.4000730312,0.6275564978,0.9630962085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.63324,3.14937,4.18701,5.23934,6.27085,7.34104,8.91569,12.0821,15.2825,18.5145]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(436, 132, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2238890791,0.6906584704,0.6652435621,0.4894005708,0.5559770063,0.4538202325,0.596798071,0.8504240766,1.343170643,2.285224071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.931,48.0617,43.4407,40.734,39.9073,40.4371,41.9444,40.0883,36.0697,31.2842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1172481853,0.3943345498,0.6503205783,0.6614487093,0.8650030617,1.033632769,1.447782707,1.965167292,2.961121717,4.123149976]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.4001,59.9994,53.17,50.0391,48.3367,49.4168,50.9037,48.8397,42.6494,36.9697]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(437, 133, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008425601524,0.034762131,0.1029130428,0.1065029562,0.1167988028,0.1148984427,0.172735409,0.2691569093,0.5904988668,1.38927658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0352194,0.0778676,0.0750084,0.087715,0.100345,0.138552,0.22074,0.291315,0.414949,0.521597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03201743146,0.08951655074,0.1733912656,0.1500591389,0.2215915072,0.3211848348,0.4248971274,0.6191479546,1.051720091,1.697907436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0337484,0.0267129,0.0642249,0.0473775,0.0462505,0.0666798,0.10264,0.167829,0.239399,0.291]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(438, 134, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08624696611,0.3068593213,0.5225075601,0.5050175519,0.6621572442,0.5502944982,0.6837687909,1.296724303,2.20754149,4.17386807]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.18868,3.67633,5.96385,8.09907,10.3869,12.6484,15.4471,18.9233,22.3789,25.8506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04806678987,0.1040173822,0.2271784064,0.3801632573,0.5658137596,0.5856276068,0.9140964095,1.325567942,2.519247197,5.410893914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3343,2.24926,3.64245,5.11641,6.4144,7.68884,9.39893,11.95,14.3098,16.6093]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(439, 135, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05738095339,0.2058775565,0.3596622796,0.2742660007,0.328167249,0.2971529711,0.3630050502,0.480182356,0.7917846486,1.325695171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.60061,0.896985,1.30913,1.69759,1.90706,2.11181,2.65251,2.88713,3.01712,3.22855]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07836921664,0.322026879,0.7304877654,0.9101258591,1.182723899,1.349472937,1.683260287,1.955571673,2.658088335,3.581570874]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.400234,0.825332,1.63058,2.63034,3.53837,4.16599,4.46313,4.53004,4.2246,3.80077]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(440, 136, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2752538193,0.9403982767,1.199991538,0.9980431894,0.8593279317,0.6984180819,0.7814090779,1.003947802,1.600230141,4.084933163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.4336,15.6031,15.434,17.3504,19.3174,21.7393,24.5618,18.5998,21.8743,23.1936]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2300432647,0.4361735489,0.8021030239,1.067435146,1.355827126,1.516376688,1.861570679,2.443435285,3.899727355,6.414756305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.4781,18.4873,15.5127,15.9383,18.3209,23.1765,28.0361,24.9742,28.8067,29.0282]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(441, 137, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.201930631,8.613325517,9.364483327,6.740435085,7.799705811,5.144354793,5.208730172,6.221350848,10.650146388,19.505523571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[660.742,775.349,779.291,783.546,798.883,796.669,809.098,831.216,832.669,849.877]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.210173586,6.891461872,8.604389577,10.578907051,13.474106251,14.389224905,17.384936413,20.145915796,26.622273745,44.371363546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[521.327,616.086,629.811,635.964,647.935,651.347,667.534,692.157,703.959,726.716]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(442, 138, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.003003673229,0.0404456468,0.2566852458,1.36787127,4.315908025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.4681,25.6547,65.7632,108.398,163.768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.001488015269,0.02179187241,0.4272224983,3.195855026,9.833192828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.0481,21.1426,51.9264,80.9258,121.409]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(443, 139, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.0257069816,0.02476664977,0.01752762481,0.02271120961,0.03258298037,0.05071429089,0.1474857026,0.5529409097,1.361740288]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.142149,1.15434,3.19444,5.71287,8.99519,12.9806,19.0643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.02895050301,0.04881939846,0.04973173897,0.04460334276,0.0728888927,0.1152237073,0.2649059856,0.7632900226,2.267136036]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.172967,1.44154,4.04074,7.24245,11.1601,16.2659,23.1193]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(444, 140, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.974279005,7.989745926,8.711506512,6.153823442,6.906410439,4.481516991,4.267577444,4.629277629,6.418981855,9.807156627]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[209.387,210.327,204.544,200.548,195.813,190.957,191.09,191.585,191.851,192.877]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.531572106,6.328802447,8.117429643,9.909998887,12.674462882,13.349822418,15.888440832,17.476881454,19.187103793,26.688362005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[234.142,238.112,234.727,233.326,231.797,232.566,236.351,242.376,243.925,248.007]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(445, 141, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.04456354302,0.05310627277,0.04759360974,0.1062738603,0.1006273443,0.1787947434,0.270871946,0.4703755392,0.6958239533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.70514,3.62206,8.54303,15.1272,19.443,20.8375,20.6075,19.0484,16.6882,13.913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01535958731,0.01386503844,0.03814031987,0.03816300667,0.1060307144,0.1380340927,0.1577177517,0.3104188557,0.4418421597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.810704,1.83201,4.35487,7.27894,9.49705,10.2528,9.88531,9.06832,8.18388,6.56007]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(446, 142, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[423.699,523.691,521.475,516.91,527.746,520.843,489.766,442.253,384.303,326.088]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[265.531,344.716,353.305,354.525,362.276,356.471,330.612,297.201,257.261,218.54]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(447, 143, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.3598,34.5376,37.7964,38.0576,37.6046,37.1128,36.4377,35.6957,34.9246,34.0382]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.0418,29.7526,33.647,34.3353,33.7089,32.8098,31.9537,31.2459,30.4134,29.6237]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(448, 144, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.227651626,0.553309067,0.5751038923,0.5214904077,0.764310302,0.5266238042,0.6711980468,0.9170303238,1.839976814,3.324894677]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.59054,3.17147,6.93326,12.7612,17.1225,21.2568,39.8303,67.8758,83.5237,100.129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.67860148,0.5183493347,0.4242754977,0.5810361052,0.7168770193,0.8589948641,1.221445909,1.819188107,3.165606048,5.140830518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.80183,1.67394,3.77734,6.3247,9.21453,13.1583,30.3469,49.1793,66.984,79.4572]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(449, 145, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.511961831,16.405669186,15.806296516,9.650458106,9.842259119,7.206655418,6.961884159,5.637518487,7.781326037,12.222654585]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2882.56,3389.14,3665.58,3708.57,3670.36,3616.46,3518.67,3349.92,3114.88,2764.63]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.796177011,28.163380514,36.436826584,31.565219197,22.241857523,25.151558319,30.785904944,22.817709203,25.326282219,31.220417743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2716.84,3197.33,3487.94,3415.47,3269.18,3154.47,3039.14,2841.2,2546.87,2191.76]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(450, 146, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2389024335,0.2022829214,0.2565917166,0.2206797526,0.2605926412,0.3034413509,0.485569174,0.8322369789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.7709,66.0973,140.613,226.471,295.705,333.013,345.394,328.498,287.133,226.771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2768697062,0.3674552568,0.487595077,0.6078471826,0.8147159717,0.9873790533,1.363531922,1.713158402]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.3101,78.203,167.37,276.284,362.689,406.148,420.388,403.852,340.88,269.678]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(451, 147, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9301336792,3.101575474,3.471033246,2.054902477,2.5223794,1.979663881,1.966195211,2.522085249,3.416442954,5.515634814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[118.026,144.493,137.543,127.841,131.902,145.502,157.167,142.812,112.744,80.7407]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.350156228,21.790978133,29.186464703,25.005674165,16.169034426,18.409344479,23.085062969,19.046360923,20.407350897,25.149117739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[387.067,487.74,471.336,438.715,444.715,477.577,509.316,464.065,370.295,268.267]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(452, 148, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.537207166,12.872036703,11.412026309,6.927851576,6.798789489,4.900349936,4.682084158,2.811991887,3.879313909,5.874782793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[169.464,384.392,433.102,329.398,238.464,171.765,119.042,73.0015,41.0301,20.0215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.440886738,6.357057892,6.936662771,6.144669297,5.547270379,6.107941536,6.866793703,2.783969226,3.5553994,4.358141602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[277.62,755.304,876.376,670.574,446.465,289.115,189.028,120.922,72.9956,40.4095]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(453, 149, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.311510061,2.881885106,2.575176636,1.503994896,1.458679375,1.000630631,0.9289449193,0.5664988399,0.7425802801,1.106325573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.1063,136.527,223.974,175.721,131.352,104.493,73.0265,39.3846,16.9333,7.2027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7155427911,1.467383689,1.610173556,1.354159729,1.230823453,1.283533094,1.432952944,0.5760717192,0.7049745955,0.8482710703]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.6129,325.062,476.176,366.279,241.476,163.892,106.469,61.85,32.6434,17.6498]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(454, 150, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03890088789,0.06776525416,0.06234857352,0.03725202849,0.03479924846,0.02323742401,0.02158480187,0.01002360392,0.01478450194,0.02001528151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.85467,13.9996,17.2997,10.6357,6.65504,4.74024,3.14463,1.75071,0.93512,0.447231]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01243019045,0.02046926397,0.02307131271,0.01998359396,0.01750395138,0.01772970268,0.01947287227,0.006142592744,0.008225995928,0.00927810592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.61082,29.0361,38.4883,26.2728,16.3579,10.8827,6.91288,3.77234,1.98329,1.12907]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(455, 151, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02796733367,0.04354521203,0.03715003872,0.02152343467,0.02084945257,0.01427548029,0.01311106391,0.00935011041,0.01264746542,0.01769781762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.4958,69.5629,63.6741,49.8042,35.3148,22.9802,17.8358,14.5663,11.0436,5.99145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008578970619,0.01228603639,0.01310713135,0.01118474121,0.009987805315,0.01020131798,0.0110380965,0.005389172549,0.006725088651,0.007633838135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.3889,117.984,120.689,97.1564,65.6704,40.9867,30.6064,24.786,18.1044,10.3324]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(456, 153, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.158828877,9.878841115,8.737351062,5.365081208,5.284461402,3.8622064,3.718443367,2.226119332,3.109301662,4.730744116]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.2063,79.7123,76.7585,57.1229,39.5847,26.0497,19.6025,15.1348,11.0373,5.88767]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.704334783,4.856918915,5.290310756,4.759341238,4.288955176,4.796477424,5.403329788,2.196365743,2.83547372,3.492958584]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.0848,141.306,152.107,117.511,77.8496,49.0574,35.2681,26.6496,18.5883,10.5106]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(457, 155, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1208.58,1349.36,1419.92,1480.71,1517.07,1560.86,1592.13,1603.76,1572.01,1422.34]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[722.443,807.962,859.333,897.417,909.066,927.233,938.361,944.577,923.118,836.668]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(458, 156, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[182.451,207.961,221.444,232.522,244.272,258.12,272.991,278.791,277.767,272.767]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.226,152.013,164.838,172.684,179.504,187.326,194.861,198.101,194.765,187.667]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(459, 159, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.142,281.208,402.792,447.382,433.139,375.866,289.754,222.842,175.456,139.629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.9294,226.318,333.845,377.703,367.709,323.215,255.32,199.911,158.333,126.135]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(460, 160, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[736.911,737.239,681.071,650.963,640.921,640.063,635.077,608.79,564.958,521.35]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[401.126,416.059,390.907,372.962,362.77,357.176,352.596,336.36,313.937,289.615]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(461, 161, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04462098649,0.4320570087,0.6843345277,0.4654211318,0.264498513,0.1059618486,0.05301214963,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.2106,106.038,139.499,131.606,93.387,61.1318,40.4929,26.9818,17.976,11.6912]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005134044828,0.01534448852,0.03682940484,0.04742047779,0.03795764133,0.02642512049,0.01933230084,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(462, 162, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.8398,31.9947,31.1969,30.3481,29.6861,28.5131,27.8548,27.0665,26.0805,24.9275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.9208,92.1993,89.3768,86.6711,83.7176,81.4162,78.8646,76.1905,73.533,70.2633]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(463, 163, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.155,23.458,22.6799,21.8074,21.1986,20.5296,19.7676,18.9804,18.1449,16.8252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.0948,96.8551,93.8909,91.4941,88.4193,85.6387,82.9751,79.4458,75.9384,71.3431]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(464, 164, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.80751,5.30396,2.83975,1.37608,0.57741,0.21048,0.0650341,0.01586,0.00258077,0.000434744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.208,19.0814,11.122,5.69068,2.56623,1.0189,0.329077,0.0947167,0.0228791,0.00436101]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(465, 165, 192, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[180.146,12.7685]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[431.686,30.8437]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(466, 166, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6503,20.9764,17.7625,14.2835,10.7286,7.56974,4.59631,2.00376,0.774599,0.376741]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.8031,23.2094,19.3764,15.5132,11.5907,7.93797,4.87051,2.17646,0.83582,0.481388]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(467, 167, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0372178,0.1106,0.171011,0.257361,0.328818,0.450442,0.554032,0.548107,0.897435,1.20719]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4027,17.8488,15.1231,13.857,13.3115,13.3214,14.3448,16.3841,20.8054,27.1884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0637272,0.140629,0.383955,0.646766,0.952803,1.0743,1.53214,2.21746,2.37621,2.99324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.4067,11.5438,10.1637,9.75889,9.96611,10.6696,12.2287,15.5018,22.2131,31.2287]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(468, 168, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.807618945,23.19639246,26.515679613,23.423295985,29.411064786,30.56540527,44.550110247,77.98430062,160.477651035,346.658501967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[290.662,588.797,823.171,964.151,1045.95,1038.63,991.525,1150.17,1198.5,1239.7]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.323944078,8.477752233,14.009093409,19.576769246,25.353817373,36.85882035,60.877299108,99.361937649,189.075497576,344.605006693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.38,123.978,158.278,237.699,354.799,504.76,740.938,1090.62,1459.61,1828.33]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(469, 169, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.887459753,5.712641863,6.35710583,6.530346271,11.073959962,15.038221691,25.620583893,50.128578435,113.688845515,249.333131539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.1716,46.6107,75.3472,131.724,216.301,319.16,421.477,525.319,620.923,713.469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9200648846,1.851066438,3.425220333,4.820572089,9.865443923,18.410778818,37.170895453,67.366957869,132.961050123,242.980906544]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.2141,44.9319,75.0939,132.419,215.545,317.282,420.206,522.109,611.419,697.16]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(470, 170, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04343982683,0.07386985614,0.06950835259,0.04922825321,0.06603483676,0.04209221005,0.01779389749,0.02562180611,0.05908024092,0.06752633157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00932395,0.00375126,0.00351844,0.00513256,0.00368483,0.0022597,0.00214331,0.00366289,0.00466662,0.00430956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02262066144,0.02692213608,0.05810772261,0.04223649453,0.0462704656,0.04814698223,0.05162596414,0.0447001942,0.1325601388,0.2424317065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0115827,0.00456575,0.00348892,0.00306388,0.00158587,0.00355018,0.00326195,0.00434731,0.00740382,0.00884213]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(471, 171, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.545803853,4.242043967,5.322930334,4.613519743,5.500903428,5.196459479,6.45441409,9.669448637,18.750620381,44.114912809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.22724,8.45173,12.3022,19.4538,29.2284,39.3739,48.7587,64.6721,90.9628,129.364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.555828124,2.78655818,4.090825564,5.236492619,7.364469529,9.632185938,13.54840495,19.010318763,34.267803982,70.596670984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.6859,7.52244,10.257,15.6817,25.0591,33.9204,42.786,57.8384,88.1881,127.339]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(472, 172, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02545142402,0.02595364217,0.02305353682,0.01153856832,0.01094177219,0.009648662237,0.009807147496,0.01325187726,0.01864655066,0.02121357601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.108951,0.537993,1.35651,2.8914,5.54832,9.37911,13.6415,21.0018,33.7399,49.4766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02275105674,0.02942363223,0.02000411984,0.0161216426,0.01430413604,0.01099031067,0.01259981418,0.01248781889,0.01714461345,0.01949305332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0731034,0.445323,1.05046,2.07096,4.45105,6.90865,10.5303,16.6953,28.6517,42.2272]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(473, 173, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4635057612,0.9384801957,1.448807248,1.641605086,2.805605943,2.988375442,4.287402136,7.138637839,14.74720305,35.94683569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.893917,1.49616,2.33314,4.20723,6.82048,9.50619,11.3589,14.2728,19.1763,27.1846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3779910256,0.9393710409,1.494461354,2.066544871,3.489026011,5.263761877,8.513003918,12.867227839,24.438104865,54.062347975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.907045,1.49435,2.19899,3.77813,6.39618,9.06618,11.0392,13.9434,20.4001,29.7327]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(474, 174, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4581362652,1.791859169,2.443380974,1.851812498,1.917388474,1.538536888,1.61272372,1.810398002,3.083637382,6.12907181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.22437,6.41757,8.61254,12.3552,16.8596,20.4886,23.7583,29.3975,38.0466,52.7027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4647363597,0.8176231527,1.416809414,1.899940122,2.532567371,2.972338109,3.791667029,4.505372386,7.22214259,11.792237378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.70575,5.58276,7.00752,9.83264,14.2118,17.9456,21.2165,27.1998,39.1364,55.3791]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(475, 175, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4065816629,1.545112658,1.768759092,1.61691438,1.547164558,1.104894596,1.303884528,1.798638773,3.203665148,7.095617178]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.73316,11.1424,12.2775,13.9676,16.0464,18.9945,22.0174,24.5089,26.6593,29.1486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3212062044,0.5432278807,1.214890415,1.814089004,2.196582841,2.599301851,3.095584178,4.332299638,7.236275226,13.488572962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.01269,13.83,22.329,32.4134,43.3223,72.8096,178.291,389.745,610.075,801.051]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(476, 176, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2563846282,0.7273546405,0.8814762817,0.7420267985,0.7019078101,0.4836397397,0.7002607882,1.009126933,1.785856586,3.892965682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.88196,4.83391,4.21254,3.55017,3.06401,2.75872,2.68163,2.62613,2.54184,2.65167]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1157962554,0.2207931896,0.5407458207,0.6879216307,0.7635260881,0.9694862338,1.056595129,1.665624805,2.525065733,4.247943758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41446,1.53764,1.77973,1.93543,2.10397,2.33294,2.5991,2.84493,3.10954,3.63535]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(477, 177, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01729334344,0.03224790149,0.04151591903,0.02964323651,0.04015952076,0.02791517312,0.04530015653,0.03111468587,0.1098824597,0.1160709562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.861194,1.91044,3.24554,4.88006,6.69752,8.74945,10.9293,12.7616,14.3081,15.6964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01474203578,0.01815696935,0.02322898178,0.01538130408,0.03968359629,0.04831711334,0.05597740255,0.1099494206,0.2303918993,0.2407242675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49154,3.40774,5.87308,8.74372,12.0461,15.6573,19.4325,22.9357,25.6604,28.1553]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(478, 178, 192, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.6116,139.387,344.405,560.06,746.259]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(479, 179, 192, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[5.27354,8.85797,13.4097,18.0504,26.3627]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(480, 180, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1329036913,0.7855101141,0.8457668904,0.8452443467,0.8050972294,0.5933396811,0.558323583,0.7583971515,1.307926105,3.08658054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.99001,4.39802,4.81945,5.53742,6.28487,7.48632,8.40647,9.12115,9.80943,10.8005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1906679132,0.3042777222,0.650915613,1.110786069,1.393373159,1.581498506,1.983011643,2.556725411,4.480817595,8.99990494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10669,3.61113,5.81818,8.32457,11.1218,13.845,16.8726,19.5592,21.2455,23.0008]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(481, 181, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0585211737,0.1749774767,0.2582556859,0.2008958962,0.1768956516,0.1171673231,0.08230277712,0.09643058376,0.1462709117,0.2265087724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[149.136,425.145,618.924,689.758,668.126,539.292,377.977,396.982,314.594,126]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(482, 182, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003603745686,0.009673611876,0.02851804671,0.02406080604,0.03419387956,0.0222718043,0.03364694278,0.03765566443,0.03124821686,0.0478166923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.6583,89.0685,90.8131,102.32,145.194,211.328,249.004,255.348,183.819,46.3808]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(483, 183, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007172694565,0.01687841402,0.02160181153,0.01357308127,0.009002265513,0.003657444182,0.002169423204,0.002328394588,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[14.4679,133.244,235.844,269.157,279.069,176.419,1.03292,0.00519508]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(484, 184, 192, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[3.41862,5.7241,8.57486,11.545,16.8836]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(485, 185, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01305319069,0.03204476334,0.04382923356,0.03304964618,0.02563936281,0.01804588691,0.008473862156,0.009344034007,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.50251,15.7527,39.2779,69.299,76.6878,10.5119,0.238565,0.00184476]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(486, 186, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01187023398,0.02878363575,0.03647499836,0.02519246157,0.02051909213,0.01400850037,0.006797922517,0.01131923269,0.02798803016,0.04594777876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.91395,38.5374,68.7624,83.6314,88.1303,93.5558,102.6,115.962,108.237,79.6189]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(487, 187, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[18.9261,115.1,150.246,130.059,39.9595,2.80502,0.0598058,0.000280439]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(488, 188, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02282130867,0.08759705154,0.1278315958,0.1050199009,0.08754105191,0.05918368723,0.03121462628,0.03578325789,0.08703466453,0.1327443011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[27.6673,30.0229,28.2568,26.716,27.5402,27.7892,25.0414,25.6649,22.5374]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(489, 189, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7192695074,1.546066336,1.328097977,0.9576045073,1.195280829,1.131635562,1.591918149,0.9294472791,1.553791629,3.631983737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.6936,66.9706,69.8695,70.2236,71.4012,70.505,63.1539,62.3515,53.3156,107.163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.447980369,0.6065044419,0.7338871243,0.7710923055,0.9300770386,1.073919992,1.575470374,1.073765956,1.862556622,3.305549516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.9801,34.2184,25.0598,26.5738,33.6456,36.761,46.3087,52.8321,66.8593,93.9118]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(490, 190, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1342136775,0.2433016596,0.1175586283,0.02930060402,0.00784019652,0.001474215181,0.0006429443499,0.000285345465,0.000257795139,0.0003059698736]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.5686,55.3398,58.653,59.4603,60.2713,59.4098,53.2562,52.0222,44.1395,45.9353]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07247501181,0.06015151261,0.04610754708,0.02444086605,0.007931033269,0.001380623295,0.0004451786756,0.0003635228945,0.0003856997693,0.0003436112954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.1313,11.4814,6.85637,7.68606,11.5983,13.3701,18.6176,20.6046,27.8568,36.1688]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(491, 191, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0328336152,0.07845606518,0.07331722603,0.05049249293,0.05951124671,0.04514796999,0.04669030675,0.02285501743,0.02075085044,0.02527080798]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.46089,2.4858,2.73148,2.74232,2.88584,2.85094,2.4166,2.2765,1.825,1.84872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02224098973,0.02392581159,0.02910121609,0.02679964308,0.02701672675,0.02279804021,0.02292874635,0.02182308683,0.02252524733,0.0179362287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09727,0.69319,0.579417,0.606389,0.732968,0.809132,0.926948,0.964512,1.18722,1.48579]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(492, 192, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08766038569,0.2281353002,0.2220103839,0.1585120847,0.1929027869,0.1453012999,0.1504732173,0.0781825967,0.08011194257,0.1122441606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.808463,0.817047,0.870857,0.87729,0.947873,0.919779,0.746171,0.771254,0.627919,0.732835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07711244466,0.09429943319,0.1305289146,0.1320759183,0.1428764438,0.1210380081,0.1234401572,0.1241312876,0.1496522296,0.1588398745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.31945,0.123998,0.0766583,0.087862,0.13471,0.158432,0.223225,0.270502,0.416062,0.584812]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(493, 193, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4645618295,0.9961733101,0.9152117413,0.7192993267,0.9350265983,0.9397120745,1.394111678,0.8281243191,1.452671039,3.494162797]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.85559,8.32799,7.6141,7.14367,7.29621,7.32445,6.73496,7.28157,6.72324,58.6462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2761519234,0.4281276863,0.5281494464,0.5877758775,0.7522528359,0.9287033191,1.428656292,0.9274480582,1.689993446,3.128429801]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.4321,21.9198,17.5473,18.1935,21.1796,22.4233,26.541,30.9925,37.3993,55.6724]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(494, 194, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.146543168,9.901680303,11.411022342,9.454786934,9.85082552,7.934934408,9.479212913,15.336135105,23.075377209,42.188821601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6905,30.4734,34.4466,39.0194,44.8418,51.301,58.1388,76.3316,92.0364,134.549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.056243835,2.663473156,4.486162251,6.892286733,4.950973577,5.09448677,5.435318188,7.533895228,12.615251483,13.990874981]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.4752,23.4703,25.5345,30.6078,37.2256,43.9834,53.3425,68.0889,83.0606,108.855]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(495, 195, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8000236196,1.783518571,2.2753734,1.523802948,1.536808187,1.357534735,1.396471036,1.991231973,3.175011586,5.540073292]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1315.38,1549.28,1938.25,2296.43,2731.46,3287.91,3942.62,4533.67,5016.86,5462.07]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2466931013,0.3210048139,0.6297480092,0.840281093,0.9404345061,1.101877884,1.582942358,1.971955293,3.514970415,5.75897671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1172.65,1301.48,1772.93,2125.33,2473.92,2872.52,3358.24,3849.34,4264.65,4681.28]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(496, 196, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05042475062,0.1317193402,0.2440803405,0.2410872904,0.2493043419,0.2418696467,0.3129098553,0.5656307062,1.094776047,1.927397059]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.0365,42.4536,61.7239,76.035,87.2305,93.7709,104.403,119.797,139.273,161.054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03812006362,0.03655990418,0.07894705275,0.0900740694,0.1699115698,0.1248846816,0.28290353,0.5452192786,0.7804525795,1.494326488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.60313,11.1894,16.4081,20.0471,23.1591,25.5796,28.7159,33.7584,39.1538,45.5735]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(497, 197, 192, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.8507,142.156,426.901,820.777,1115.03,1246.49,1315.01]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.81096,83.5898,251.953,490.3,674.819,756.743,803.434]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(498, 199, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[574.613,610.473,685.881,847.907,1020.75,1175.49,1348.87,1539.64,1717.8,1887.05]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[678.826,754.711,884.478,1110.58,1328.87,1515.59,1733.61,1991.6,2218.27,2429.66]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(499, 200, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[524.952,477.217,494.515,615.04,735.474,854.555,920.242,902.829,885.533,862.228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[422.829,384.266,398.83,493.629,584.177,673.436,722.88,711.476,695.021,677.61]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(500, 201, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00262947,0.0201206,0.0559693,0.106157,0.175614,0.2676,0.386843,0.498918,0.633455,0.74755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0130962,0.0897013,0.246837,0.476533,0.82115,1.26471,1.78436,2.32985,2.91205,3.48134]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(501, 202, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7495988693,1.65179923,2.03129306,1.282715657,1.287503843,1.115665087,1.083561183,1.425601267,2.080235535,3.61267623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[193.778,419.121,696.078,744.49,745.674,736.924,747.937,855.875,1027.13,1235.98]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2085730373,0.2844449097,0.5508009574,0.7502070232,0.7705229358,0.9769932038,1.300038829,1.426736012,2.734517839,4.264650228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.3804,151.223,472.964,492.785,453.308,404.701,380.949,435.355,552.549,721.523]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(502, 203, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37406971,2.950978935,3.670713217,2.721241246,2.455831232,1.900650268,2.390335343,3.025054289,5.413279701,10.597947557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1022.43,823.012,841.954,934.57,1051.81,1181.04,1379.54,1715.34,2112.99,2722.12]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.216914316,1.455100271,1.92064645,2.504160618,2.991433289,3.678226013,4.234511043,5.225089957,7.75432756,12.968714707]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[953.168,776.33,824.75,936.589,1065.73,1202.75,1418.32,1782.3,2191.95,2812.81]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(503, 204, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9288760679,1.389560082,1.159226881,0.7397864616,0.7406499955,0.5962793917,0.7863601711,0.816811419,1.640402942,3.152694197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.9063,41.0781,34.7417,30.42,27.2809,25.4995,25.8718,28.604,29.5447,28.4038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9195083108,0.8935306244,0.7308268014,0.7766398911,0.8822439366,1.092781285,1.396606322,1.544604427,2.176612883,4.828004442]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.5471,38.6716,32.9884,29.2185,26.5384,23.8359,23.0959,25.656,26.2586,24.9307]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(504, 205, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05911555949,0.07349826109,0.0470901767,0.05873388652,0.03913987093,0.03519628528,0.02398562026,0.04402806245,0.03789199992,0.06560302983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.558,8.02967,6.76878,5.65954,4.69332,4.03382,3.65834,3.35928,3.09496,2.91488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04671286008,0.05736760523,0.02840778749,0.03793072315,0.03162158405,0.03856563862,0.05372953856,0.06137257049,0.07693733767,0.1084968003]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.35927,6.08092,5.09729,4.25134,3.48313,2.82492,2.55489,2.3526,2.24083,1.90835]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(505, 206, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4567002954,0.7209352142,0.5222265463,0.3217970417,0.30066815,0.2478102906,0.3052618474,0.2737979295,0.5602934853,1.336557743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.3365,11.4849,9.83796,8.79159,7.91778,8.20577,8.36827,7.58619,8.2799,9.83574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4306827111,0.4445076414,0.377822913,0.3434826074,0.3625818247,0.4620445423,0.5703196079,0.5272270533,0.6322751865,1.772083152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.7939,9.73281,8.73275,8.01631,7.47709,7.54819,7.64735,7.56463,7.95561,9.22638]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(506, 208, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06426735907,0.1055139537,0.07966607256,0.04620674611,0.05764040829,0.0381601708,0.06644900781,0.08923777034,0.2266275383,0.2801381279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.53397,9.09946,8.35649,7.30856,6.32308,5.48117,5.48269,8.08876,8.63556,7.6455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07803368767,0.08176502105,0.08606404876,0.1196979594,0.12173469,0.1575600749,0.2740403508,0.2282228706,0.3205144292,0.4916481745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.42429,9.157,8.56111,7.47294,6.27942,5.12794,4.87136,6.80867,6.82336,5.51748]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(507, 209, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03624076791,0.07213718883,0.05969179479,0.046292102,0.050820307,0.04054722035,0.06753871566,0.00836442284,0.02331588524,0.03125738508]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.47556,3.34469,2.95711,2.61742,2.31897,2.02206,1.98104,2.90631,3.03937,2.5519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186047733,0.01660856689,0.01240362762,0.008103506951,0.007807067095,0.01214942432,0.01503362309,0.01815584969,0.03041698366,0.03721470142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.44547,3.65028,3.39927,3.09857,2.68029,2.3594,2.19437,2.8734,2.84617,2.19572]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(508, 210, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3125520854,0.4174754646,0.4505522899,0.2667566863,0.2923812596,0.2345654246,0.3231249798,0.4013832335,0.7922740354,1.439137915]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.3031,7.94088,5.96465,5.33627,5.37966,5.13172,5.79229,6.11652,5.98264,4.97546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3454742794,0.2932817907,0.2261284248,0.2674250938,0.358498772,0.422461605,0.4834832013,0.7096260858,1.11646895,2.418561604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.388,8.5997,6.09677,5.4328,5.74206,5.12124,4.97977,5.23944,5.61491,5.32471]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(509, 211, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4451936417,1.561418853,2.511486335,1.981454784,1.715181236,1.304370876,1.603975171,2.20824287,3.772876759,7.44525336]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[754.167,542.547,473.421,458.929,454.846,467.349,486.068,519.959,558.899,600.046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2974060055,0.5615696461,1.189819649,1.727520726,2.109189352,2.585444728,2.83790472,3.68048553,5.577714677,8.140710265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[666.14,464.72,408.884,398.87,395.595,408.98,433.676,482.119,540.942,607.727]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(510, 212, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[158.164,141.44,135.739,131.356,129.121,128.21,127.776,127.53,126.931,126.238]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.795,114.453,110.388,107.457,104.737,103.439,103.071,102.924,102.374,101.525]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(511, 213, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.41823,8.60265,10.0248,11.2951,12.8545,14.1682,16.2336,19.3238,22.045,24.4914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.9007,10.4533,12.6044,14.3771,16.199,17.8804,20.1621,23.8791,27.4031,30.1557]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(512, 214, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07180146096,0.3247393514,0.5693320748,0.3415043745,0.3328305449,0.2596520153,0.3443193439,0.4666063256,0.902701325,1.841842564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.63226,4.62063,4.96556,5.38162,5.60531,5.93581,6.3834,7.03253,7.64954,8.36398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04483734155,0.09352496182,0.1688316695,0.3310910762,0.4295441723,0.5393456449,0.5862119759,0.8000661374,1.612490896,2.364910193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.39301,5.08273,6.3221,7.61218,8.89906,10.1523,11.2729,12.3392,13.2343,14.0844]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(513, 215, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1493221289,0.7669669608,1.202032611,1.059092122,0.7750292779,0.4704442671,0.5982320231,0.854469917,1.221962705,2.081802064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.8661,8.13318,8.15085,8.41224,8.64273,8.83527,9.28036,10.7492,12.159,13.3701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1146569619,0.239891513,0.5438502756,0.8360865282,0.9570460258,1.218749052,1.340646743,1.51914768,2.142867763,2.893652734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.7802,8.25468,8.28079,8.57728,8.77905,8.98849,9.43637,10.9578,12.3881,13.6341]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(514, 216, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.407,17.8799,18.0976,18.2538,18.1377,18.0163,17.8968,17.7474,17.56,17.3486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.1714,18.6594,19.0143,19.1515,18.8852,18.7359,18.5312,18.4119,18.0993,17.8846]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(515, 217, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.1276,18.8939,22.1311,25.2854,28.5203,31.9021,36.517,43.1618,49.5666,55.8696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.1432,21.1355,24.7684,28.3054,31.758,35.3182,40.2542,47.517,54.3926,61.1435]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(516, 218, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.7499,32.3591,29.6549,27.2293,25.1554,23.1037,21.7458,21.6658,21.6409,21.4243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.2557,34.9451,31.9833,29.3789,26.8095,24.2389,22.7503,22.7905,22.6373,22.6137]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(517, 219, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[289.788,160.131,86.5535,56.1307,32.1084,18.586,7.94228,5.07063,3.46791,1.90279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[255.944,139.24,76.6947,50.1008,28.6303,16.5876,7.08507,4.51109,3.06744,1.67257]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(518, 220, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.4748,26.9637,28.1227,28.6417,28.2512,27.9815,27.6776,27.419,27.004,26.6206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.123,16.9358,17.7332,18.0669,17.8317,17.4838,17.1671,17.0022,16.8135,16.3874]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(519, 221, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.6289,26.7859,34.2972,42.911,51.5037,60.4547,66.3745,68.0805,69.5813,70.9816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7964,20.1947,26.0391,32.4761,38.8501,45.3645,49.703,50.8657,51.705,52.6116]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(520, 222, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.7746,42.78,43.5967,45.5486,47.8785,50.1832,50.9921,50.1572,49.2178,47.9332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.5905,28.0396,28.4823,29.8551,31.0563,32.3016,33.0547,32.5136,31.7083,30.7858]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(521, 223, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1353412424,0.2628656948,0.439636789,0.3675056961,0.3427291428,0.3527750407,0.4249629247,0.6002966301,1.217428798,2.765878175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.667184,1.43721,2.36887,3.42895,4.98465,6.99908,10.3982,14.9547,21.0917,29.17]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.101353812,0.1849136845,0.336281342,0.3864133206,0.4738324255,0.5567948586,0.6537937931,0.9759641761,1.493210777,2.435669675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.570972,1.27987,2.47301,3.96758,5.95028,8.5447,12.5164,17.8705,25.0458,34.6095]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(522, 224, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08872880891,0.2068468434,0.3004848597,0.2133525893,0.2645922719,0.2214995545,0.2364608828,0.2868699927,0.4307839341,0.7557305618]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.4683,52.5196,49.7185,55.0542,62.0831,72.9726,86.8507,107.067,130.984,156.332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03655789042,0.04323948635,0.1408563621,0.1739298025,0.2487667284,0.2705551691,0.2572522081,0.3853075312,0.3291452363,0.4464776542]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.6759,46.0464,44.1006,49.5438,57.209,69.9439,88.6713,120.536,162.073,210.619]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(523, 226, 192, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15439,0.958192,2.76776,6.37936,11.6206,17.7666,25.7669,37.5379,54.5782]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125545,0.772908,2.51562,5.67409,10.4367,17.4186,28.4938,45.217,67.4494]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(524, 227, 192, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.43902,2.50545,8.13725,17.14,27.9263,43.1017,67.3685,102.564,156.81]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.226502,1.28345,4.26299,9.50417,15.9817,26.9776,47.5343,78.0063,120.933]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(525, 228, 192, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.55425,11.09,24.0021,45.2228]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.42252,6.74496,15.6263,29.8253]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(526, 229, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.8806,14.4295,18.4509,26.4064,36.2301,49.1129,67.6609,104.728,163.549,254.395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17,12.301,15.8414,22.4041,30.9243,41.8062,57.3654,88.9003,138.7,214.302]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(527, 230, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.513,59.6667,85.7537,113.634,143.491,175.954,223.096,295.222,367.001,548.656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.964,88.9576,127.4,166.588,206.251,247.451,309.286,400.892,486.737,698.575]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(528, 231, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.7845,71.7518,96.9441,119.816,139.932,159.015,206.969,303.529,401.75,498.125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.8437,81.5006,111.455,140.709,166.886,192.42,248.108,354.431,455.724,559.037]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(529, 234, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.9759,88.8005,97.7632,92.3443,82.8326,67.1432,63.3462,64.0801,63.7225,61.8132]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.3486,85.6668,95.266,90.23,80.7909,65.3013,61.219,61.7776,61.0943,59.0346]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(530, 235, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00802928,2.19464,22.1407,60.6113,106.486,138.162,153.52,157.857,157.157,151.674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00718482,2.25946,23.0355,63.8842,112.866,147.559,165.508,171.918,172.032,166.107]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(531, 236, 192, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.808042,8.13844,20.3203,35.8926,57.759,87.8683,135.055,204.678,319.108]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.641947,6.594,16.6143,29.3069,47.3716,72.4122,111.608,168.828,261.405]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(532, 238, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.300261719,29.444140928,24.767803203,15.680818645,15.108933375,10.747297022,10.246819624,8.85224001,11.998799501,19.166851352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[101.55,144.879,175.713,200.123,207.658,213.192,211.226,208.436,193.504,174.507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.863365608,60.578959158,67.916142509,56.03585086,51.681495884,46.25587794,47.07623699,34.734436195,37.851007181,46.367515273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.181,291.174,371.403,435.296,457.391,475.757,489.295,491.617,470.308,435.587]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(533, 239, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.005606377,28.766370477,24.012659597,15.136907641,14.594700186,10.423336713,9.945518267,8.174355157,11.056606814,17.817126135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.6903,108.63,137.093,153.475,163.13,171.43,175.581,169.463,163.915,148.721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.109224911,58.736546841,65.956046998,54.186440792,49.848839114,44.73267633,45.257509712,32.963088448,35.960941337,44.292333654]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[163.34,245.141,304.772,350.191,384.281,399.734,407.619,408.239,394.562,371.254]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(534, 240, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.921935552,3.925567617,3.422273039,1.933149841,1.984197534,1.507475002,1.454831033,2.436779279,3.39675614,5.534377225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.6499,48.6917,69.7321,71.6331,97.1657,96.5947,99.9088,82.1413,58.3324,72.4897]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.16898315,6.928106243,8.239004844,6.546982043,6.518930397,6.145437208,6.225068494,10.219570421,11.062800015,13.4059567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.1671,128.067,166.107,181.128,189.358,201.602,197.164,215.397,199.977,212.529]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(535, 241, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.049857281,2.309447099,2.078882175,1.208176274,1.204536816,0.8500101117,0.7868412726,1.132119122,1.446360709,2.348324963]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.54268,2.62738,5.73495,5.60777,6.86023,5.20584,2.83102,4.55588,4.55852,5.65052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.909692976,4.337531516,4.978828771,4.215739147,4.017086136,3.349021467,3.608552122,6.642453952,7.976489167,9.146511251]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.539,7.70173,17.1261,13.7437,22.8622,18.6998,14.1129,23.1818,33.4793,38.2891]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(536, 242, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7075764552,1.716767829,1.389039905,0.9797811666,0.8145865484,0.605939704,0.5550009959,0.1027169499,0.1224895599,0.1766938102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.86302,7.85675,11.936,9.37484,10.3424,5.66257,6.2855,6.5682,3.44525,1.93995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.056583287,14.921743025,16.244118928,13.675892486,12.872008051,11.411640412,10.839579512,3.312221889,3.424838848,4.112245944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.8406,27.5266,29.8882,24.2655,36.0547,27.7157,35.0479,42.0711,35.0779,12.6757]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(537, 243, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.305243301,20.783188719,17.093716931,10.992902279,10.572342423,7.438355121,7.13618724,4.492121849,6.042750512,9.734939906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.7379,53.7329,57.1277,75.604,65.6704,74.8835,75.9902,86.4847,105.151,75.1879]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.724004006,31.9843318,35.98506039,29.288839434,26.027486597,23.390192853,24.16386525,11.840951387,12.38318409,16.054862853]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.9643,90.3531,105.944,145.947,154.393,161.786,174.34,144.278,137.016,117.773]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(538, 244, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02099377714,0.03139924364,0.02874752025,0.02289806837,0.01903687668,0.02155674433,0.01265772017,0.0106179563,0.04824989279,0.02279022899]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27222,1.67141,3.50774,3.16072,1.39978,5.23135,3.64542,0.718994,2.92853,1.40541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2499615087,0.5648342256,0.5090340981,0.4589877674,0.4133279399,0.4363843744,0.4204443629,0.9478907933,1.113629159,1.572756826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.68885,3.00198,3.36454,3.3675,2.23419,10.0635,10.0281,2.21905,10.8268,6.48498]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(539, 245, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2946553666,0.6777704338,0.7551436043,0.5439110078,0.5142331583,0.323960334,0.3013013681,0.6778848406,0.9421926892,1.349725213]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.8596,36.2491,38.6202,46.6474,44.5275,41.7621,35.6453,38.9736,29.5882,25.7862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7541406665,1.842412421,1.960095455,1.849410087,1.832656653,1.523201608,1.818727268,1.771347725,1.890065893,2.075181668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.8411,46.0332,66.6308,85.1042,73.1095,76.0237,81.6759,83.3779,75.746,64.3337]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(540, 246, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.686325723,23.086632791,20.503321157,13.934505699,13.633879512,9.785644084,9.270939504,15.543805012,22.908435017,41.190777361]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.5215,80.938,110.765,146.544,201.901,267.869,333.263,397.73,480.167,571.505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.513346174,59.902430813,71.634272845,50.69441026,46.37872628,45.653259057,43.51569244,52.778780649,69.084644318,86.276418394]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.75,163.712,218.573,292.667,409.447,538.902,676.168,823.49,985.202,1156.85]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(541, 247, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4896866688,0.9912024304,0.8560905534,0.6082435526,0.6444655828,0.4238121544,0.5044539949,1.175888765,1.743526859,3.171356059]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.5927,47.2683,65.5226,90.7076,134.616,187.062,242.17,300.429,376.038,459.342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.702922617,2.713857467,3.142521704,2.549625331,2.426289391,2.441279766,2.716552889,4.037219152,4.969420818,7.035548983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.6484,77.7287,107.207,152.679,236.517,335.759,445.671,573.02,717.784,873.515]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(542, 248, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8638280356,1.628821995,1.215961707,0.9506998755,0.8349332731,0.5715086016,0.4862572699,1.13862611,1.647917772,2.400848145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.745313,0.795313,1.09712,1.6011,2.35829,3.2313,3.91944,4.55422,5.25014,5.63326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.406754728,5.775369456,5.610934446,4.587677961,4.241517251,3.552233329,3.911256471,4.072120614,4.875711649,5.403454851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.50885,1.85788,2.43806,3.69612,5.20353,6.97659,8.99724,10.7119,12.7642,13.9797]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(543, 249, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.703733485,4.362667824,4.118002708,2.989898128,2.943652741,1.977756816,1.829681456,2.294795642,3.142363435,6.188216522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.751,12.1534,15.1434,18.0134,21.3719,24.4154,26.3552,26.872,26.7424,26.732]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.635296637,4.675642256,5.774978912,4.570570033,4.594282896,3.945277426,4.100642937,5.258033011,6.36856642,9.504564272]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7548,16.8214,20.4492,25.4423,31.5497,36.4969,40.4648,42.8067,43.2426,44.413]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(544, 250, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9421595222,2.354816809,2.014859698,1.28210117,1.244313247,0.9192861826,0.8129154761,0.8859009532,1.22650554,1.914624141]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29462,2.79576,3.59601,3.95864,5.08611,5.89828,6.9177,7.70387,8.11143,8.0496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3689804381,0.7976822662,0.9490407678,0.784480085,0.8409156697,0.7739309475,0.8771279157,1.289026084,1.718424561,2.617917663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.85383,4.5032,5.85282,7.75819,10.3721,12.6293,15.2733,16.8421,18.7372,20.2704]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(545, 251, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.262428607,8.102829614,6.714354202,4.230626721,3.880672068,2.710003731,2.027415073,2.983850228,3.616610497,5.860020312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.20118,4.72716,6.24572,7.26343,7.84012,7.80407,7.6369,7.05896,6.10495,5.07289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.732623178,35.582254558,41.651687556,27.77816159,23.969747978,21.912808805,18.175306078,17.477696816,24.220060316,21.54526551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2758,24.0162,29.8633,35.1169,42.1391,46.248,47.6389,43.6983,39.3264,33.5717]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(546, 252, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.600258293,4.978606463,4.645467936,2.682436886,2.550817121,1.541582682,1.283852643,1.866329094,2.456885499,3.428099902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.02225,4.87507,6.85571,7.78315,8.15858,7.87133,7.89787,7.29317,5.68423,3.82255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.03713657,24.382064838,27.585743917,18.763211564,15.651348275,13.046888198,10.990697114,9.566868961,12.296746142,12.449782527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7505,25.9094,32.8448,38.0572,51.1274,54.8559,49.5608,47.4069,43.2992,35.6095]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(547, 253, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2790958004,0.6674454226,0.5405367687,0.3921243132,0.4112820494,0.2666050117,0.2529139435,0.5610573061,0.7070438431,1.385330244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.716974,0.632017,0.54804,0.833495,1.24805,1.37448,1.42934,1.38697,1.83168,2.30946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.526929289,3.208993596,3.313595712,2.507308826,2.368891118,2.042570596,2.033172459,2.772966184,2.899810733,3.57480759]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.64731,2.65168,2.1437,2.61668,4.11879,3.87951,8.43824,5.2094,5.48411,3.50726]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(548, 254, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9618031204,2.459009727,2.712821453,2.129088136,2.014924256,1.815733296,2.144878604,4.751941343,8.047760503,15.798651812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.60168,2.44841,4.3845,6.37254,8.73631,13.4049,17.2943,18.6364,24.727,30.8022]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.008306914,1.388231854,1.988142658,2.497571984,2.806845314,3.784958939,5.558288582,11.444692115,15.997577645,25.616707324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.41037,3.59751,4.66483,6.8022,9.33006,11.7172,17.8208,24.2824,35.8711,47.0163]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(549, 255, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.143221933,0.405629636,0.6468381825,0.261549608,0.2835308868,0.1722901666,0.2920610933,0.477236061,0.8562898297,1.106811342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.79073,0.937813,1.39726,2.00832,2.4684,3.62478,4.17371,5.19143,4.55937,5.04919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2664590575,0.391594769,0.5714364075,0.4662823354,0.4630534578,0.4896698961,0.6329037822,0.4852848596,0.9275762048,1.040682838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30679,1.9291,2.3241,3.13641,4.10851,4.48375,6.36466,8.33637,8.99135,10.3423]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(550, 256, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106188076,0.3092440235,0.5738086444,0.2030173538,0.2186621257,0.1182766973,0.2288599769,0.2998252889,0.5810741055,0.7669537835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.537139,0.639038,0.943449,1.34284,1.70337,2.69248,2.9755,3.65462,3.25221,3.66957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1547261438,0.1907435705,0.3274372655,0.2755658218,0.1983161564,0.2870154357,0.3445292178,0.309405595,0.6886396469,0.7370571721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.856377,1.25136,1.51574,2.03533,2.69459,2.86231,4.13123,5.51774,6.25247,6.79595]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(551, 257, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03703385683,0.09638561224,0.07302953817,0.05853225414,0.06486876143,0.05401346912,0.0632011161,0.177410772,0.2752157249,0.339857556]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.25359,0.298775,0.453808,0.665476,0.765026,0.932305,1.19821,1.53682,1.30716,1.37961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1117329139,0.2008511988,0.2439991416,0.190716514,0.2647373016,0.2026544603,0.2883745639,0.1758792659,0.2389365572,0.3036256659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.450411,0.677745,0.808359,1.10108,1.41392,1.62144,2.23343,2.81863,2.73888,3.54631]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(552, 258, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5319761793,1.078836108,0.9446731946,0.6405815268,0.6432792404,0.4422241112,0.3883929912,0.5912106609,0.8122618238,1.296658607]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.54418,9.81189,13.3781,16.6192,19.4236,22.4283,24.796,27.2834,28.6338,30.8237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8866185361,1.66101157,1.825283658,1.518175396,1.256554927,1.140276127,1.293073148,3.201875742,3.210086766,4.120899554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.9912,33.2577,45.7731,58.0361,70.2272,84.5905,93.9369,103.792,108.485,113.746]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(553, 259, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.843862942,50.143684803,49.533867601,30.073045077,23.702553278,12.345114061,9.855924052,8.608991259,9.583508653,14.597352762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.45223,14.7139,18.7609,21.0491,21.7882,19.9445,18.6606,15.9632,12.5092,9.60258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.970237917,135.478988222,154.586815202,124.684506101,100.95281298,73.695010373,63.582182605,53.785932169,54.019493886,57.898123483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.7545,45.6465,60.6706,72.1079,76.3519,70.7045,64.657,55.7155,45.4471,36.8066]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(554, 260, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.536940135,15.934346715,13.448314513,8.325093513,7.867392939,4.661128579,4.498926278,4.563639638,5.454725805,9.364467778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.75597,5.23325,5.90487,6.03857,6.44692,5.73741,5.66122,5.09094,4.42001,3.99617]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.082307821,51.397912515,47.323933151,36.111611702,28.009211617,23.613606452,25.200065956,27.084441975,31.299219411,38.020914158]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.48798,8.27623,9.0205,9.49807,10.8894,10.5182,11.1714,10.624,10.4422,10.9537]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(555, 261, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.306922807,34.209338088,36.085553088,21.747951564,15.835160338,7.683985482,5.356997773,4.04535162,4.128782848,5.232884984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.69626,9.4806,12.856,15.0106,15.3412,14.2071,12.9994,10.8722,8.08923,5.60641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.887930095,84.081075707,107.262882051,88.572894399,72.943601363,50.08140392,38.382116649,26.701490193,22.720274475,19.877209325]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.2666,37.3703,51.6501,62.6098,65.4625,60.1863,53.4856,45.0915,35.0049,25.8529]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(556, 262, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.912446077,8.342735335,8.545146901,5.291409851,3.631747621,1.803525688,1.119223491,1.302251968,1.551701638,1.718197638]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.321293,0.666884,0.942302,0.839852,1.40736,0.801819,1.02144,0.751295,0.716859,0.629447]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.073580747,10.950831405,16.415819695,14.489173225,12.988547022,9.359335447,6.905330457,4.855434594,4.687182647,3.922056869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.615568,1.22341,1.88683,2.14234,2.49757,2.98074,2.98104,2.38975,2.4126,1.88651]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(557, 263, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.736864944,15.108483325,16.745590171,10.155976811,6.852758736,3.527347498,2.466308911,1.427300955,1.212414635,1.693954068]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.8686,7.09827,10.6424,13.0355,11.9052,12.0479,9.69947,7.68137,6.27165,4.10626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.493294684,52.778670904,60.866040044,47.385657111,36.542534582,23.838321867,18.005790802,13.831083432,10.883863087,9.452826983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.6432,31.7336,43.7943,54.8181,57.8549,53.0006,47.8965,37.0211,30.251,16.7658]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(558, 264, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.657611777,10.758119421,10.794815954,6.300564921,5.350653989,2.353112296,1.771465375,1.315798706,1.364666574,1.820733274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.90756,2.46643,2.64503,2.64405,3.57231,2.9334,3.81731,3.95446,2.69699,1.91851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.32105467,20.351573432,29.98102242,26.698064163,23.412519668,16.883746617,13.47099544,8.014972176,7.149228724,6.50232544]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.46231,6.76277,9.48164,11.4203,10.1843,10.4686,9.67726,11.8521,8.6499,12.4496]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(559, 44, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[113.59,108.401,101.95,96.1089,92.4279,88.7538,84.5986,80.0004,73.8858,67.5399]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[153.707,147.552,139.764,133.407,125.942,120.145,114.664,107.408,99.0028,89.6493]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(560, 152, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.801,84.5904,51.3958,36.114,25.5571,13.5019,5.43242,2.16517,1.08071,0.492462]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.9222,141.916,88.9153,63.3545,45.1108,24.2962,9.77126,3.86449,1.6762,0.787635]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(561, 154, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1391.03,1557.32,1641.36,1713.23,1761.34,1818.98,1865.12,1882.55,1849.78,1695.11]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[852.669,959.976,1024.17,1070.1,1088.57,1114.56,1133.22,1142.68,1117.88,1024.33]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(562, 157, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.9947,55.4527,53.8768,52.1555,50.8847,49.0427,47.6224,46.0468,44.2254,41.7527]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.016,189.054,183.268,178.165,172.137,167.055,161.84,155.636,149.471,141.606]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(563, 158, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[188.954,18.0724,2.83975,1.37608,0.57741,0.21048,0.0650341,0.01586,0.00258077,0.000434744]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[460.894,49.9251,11.122,5.69068,2.56623,1.0189,0.329077,0.0947167,0.0228791,0.00436101]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(564, 198, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1099.57,1087.69,1180.4,1462.95,1756.22,2030.05,2269.11,2442.46,2603.34,2749.28]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1101.65,1138.98,1283.31,1604.21,1913.05,2189.03,2456.49,2703.08,2913.29,3107.27]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(565, 207, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.69911,1.17853,0.856721,0.706659,0.648079,0.625012,0.589198,0.546931,0.51228,0.480301]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1361,1.45086,1.10124,0.94656,0.876399,0.854218,0.848123,0.817215,0.777696,0.758038]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(566, 225, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.376,147.584,205.749,271.945,344.475,425.122,562.867,809.779,1098.99,1561.08]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[153.125,184.37,257.982,337.772,420.637,509.702,662.413,929.222,1222.8,1693.61]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(567, 232, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19781,1.14238,1.13644,1.18296,1.30244,1.49417,1.71931,2.07493,2.58736,3.29225]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31771,1.25854,1.22879,1.29281,1.39654,1.60671,1.83415,2.226,2.78586,3.48923]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(568, 233, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.9839,91.8032,128.042,173.276,225.211,263.065,304.734,356.993,425.558,532.595]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.3558,88.5682,124.896,170.728,222.964,260.232,299.139,345.303,401.955,486.547]}', 2010, '', 1, '', 450, '2014-05-05 15:51:18', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(569, 301, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.037073883,20.465378298,16.978492713,11.158041344,11.122381329,8.44775171,9.378919802,12.641644581,21.206941673,43.024442923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.53974,5.06406,5.51795,6.01033,6.49426,6.98969,7.54851,8.09575,8.52872,8.92788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.727428631,10.013172165,12.016435929,10.871845269,11.919754033,12.982425428,16.925357276,19.992788721,30.582866786,51.530894495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.33836,4.78295,5.13885,5.44849,5.80828,6.15201,6.52894,6.9175,7.24245,7.55702]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(570, 302, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.133504157,18.612219067,15.441634308,10.149343757,10.12086806,7.685250117,8.538271876,11.507452243,19.307135697,39.148328476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.67376,1.86722,2.03444,2.2175,2.39462,2.57646,2.78068,2.98028,3.14319,3.2954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.207679104,9.097204953,10.920217159,9.891273868,10.844817684,11.808213085,15.39311931,18.196767131,27.825472837,46.901771643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.599,1.76748,1.89643,2.01356,2.14266,2.27003,2.41178,2.55093,2.67142,2.79134]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(571, 303, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.327718706,8.821869042,7.320390649,4.81563218,4.795393216,3.643344563,4.043638863,5.452756911,9.135260077,18.545485493]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.9741,3.3176,3.61488,3.93642,4.25447,4.57966,4.94788,5.30852,5.58845,5.84521]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.4697437,4.323215351,5.185627142,4.687689994,5.141687056,5.603366119,7.308474257,8.618892243,13.179203433,22.162234017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.84266,3.12973,3.36516,3.56483,3.80405,4.0287,4.27276,4.53148,4.7431,4.94589]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(572, 310, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8850697495,3.125231735,3.420632186,2.476043175,2.103681643,1.343682616,1.564466679,1.423339426,2.425903183,6.790250902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[573.869,621.556,584.903,556.575,570.123,574.353,518.616,530.408,464.686,470.279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3900851425,0.6254874402,0.9188012521,1.042557198,1.111670493,1.191659789,1.562675822,1.765101239,2.84217638,6.909424459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[338.479,218.939,176.387,184.527,217.558,229.137,271.731,313.415,378.578,449.213]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(573, 284, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8850697497,3.12523172,3.420632162,2.476043179,2.103681639,1.343682615,1.564466679,1.423339426,2.425903183,6.790250902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[573.869,621.556,584.903,556.575,570.123,574.353,518.616,530.408,464.686,470.279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3900851425,0.6254874402,0.9188012521,1.042557198,1.111670493,1.191659789,1.562675822,1.765101239,2.84217638,6.909424459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[338.479,218.939,176.387,184.527,217.558,229.137,271.731,313.415,378.578,449.213]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(574, 274, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.135017948,54.689161941,59.238353693,46.504035794,47.418772275,40.484943418,43.784653811,49.912454865,74.46944625,134.672376943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[350.879,606.54,673.4,577.074,485.962,439.469,409.007,345.558,297.688,247.804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.296734411,114.873272268,151.242086386,147.502976478,144.519258196,151.604705184,174.360201283,174.865751982,231.93054803,302.605616313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[892.183,1543.21,1771.3,1637.58,1486.39,1437.97,1456.08,1300.3,1237.05,1053.34]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(575, 275, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.041203836,40.169107086,41.778791346,27.450887499,27.319547198,20.28242548,23.181692584,32.470378751,58.874908897,118.068861782]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[180.283,220.11,232.971,236.111,237.272,261.64,284.586,269.76,255.123,226.214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.932544896,106.438830978,137.215605548,123.500673765,115.123662815,116.252494051,135.810111109,142.76927452,205.102567369,275.713652709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[612.87,784.931,892.343,959.823,1030.53,1140.4,1259.8,1176.2,1159.62,1010.45]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(576, 276, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.136020855,14.650276001,17.674264908,19.301559605,20.498475112,20.557116294,21.028305964,17.880693126,16.080101705,17.185564625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[170.604,386.462,440.469,340.986,248.717,177.869,124.48,75.8769,42.6611,21.7069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.487695167,8.735592674,14.380332364,24.392393548,29.979774707,36.051028686,39.42040437,33.016748587,27.961540055,27.929070966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[279.36,758.359,879.049,677.899,455.996,297.659,196.378,124.222,77.5606,43.0587]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(577, 277, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1352062974,1.470226106,2.581016703,2.445167064,2.68984466,2.492454264,2.618370188,3.627973547,5.760876282,8.031226182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1605,114.266,211.163,266.379,314.81,372.305,398.676,434.101,380.085,202.647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4606372201,3.632733489,6.303907472,7.634079202,9.058498381,10.866814279,15.96231099,24.579253269,41.468494787,72.249873092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.7697,176.425,389.542,508.55,587.143,689.53,787.713,872.093,807.508,644.06]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(578, 278, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005306859881,0.01104526968,0.02185343536,0.01908900017,0.04831004885,0.0614484068,0.146784468,0.398583335,1.383478364,4.056499413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0378832,0.0652005,0.0674561,0.086803,0.115907,0.155471,0.247472,0.252142,0.504606,0.630447]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004422609268,0.007263782882,0.01761533721,0.02089952548,0.1258969821,0.3592828175,1.500950284,4.21860705,12.244466537,35.900838327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0879814,0.0977986,0.13467,0.211983,0.282406,0.446571,0.966127,1.8225,2.83419,3.72705]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(579, 279, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0190281001,0.4729582376,0.9114931736,0.8065918159,0.8766063358,0.7180662683,0.796877775,1.016757058,1.42664885,1.314665993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.89488,20.6885,21.7866,19.8129,20.1629,21.7097,22.0422,22.401,19.5415,9.42547]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03349050959,0.3097778999,0.8334928623,1.187700966,1.896290458,2.335571159,3.759361767,5.4741633,8.093158969,9.370296509]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.53109,28.7356,30.515,28.9494,28.9533,31.3264,34.4424,35.6207,32.7137,23.4528]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 5, '', 2, ''),
(580, 280, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1020686492,0.7270724364,1.080333366,1.133323422,1.157343586,1.159651493,1.039740602,0.9399045954,0.730438184,0.3055535215]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4111363144,3.13429483,4.745437873,5.208279521,5.236019636,5.26876951,5.115841722,4.657832309,3.776615004,2.35447887]}', '', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(581, 313, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.120126511,37.858544883,74.332599104,132.325989762,154.933200744,175.958873724,169.750709972,138.242225593,97.22974279,78.275720242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[356.69,473.269,502.695,526.992,547.556,566.177,577.533,570.825,541.437,478.56]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.318742395,7.770980829,7.726253224,5.827214396,3.893498878,3.607557554,3.987599791,3.60031911,3.80677774,4.40564613]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.8254,62.6082,60.9431,58.5289,57.9805,59.2252,60.0627,56.6475,49.8392,40.1]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(582, 314, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4461799548,0.9335726757,0.6348430783,0.3116001095,0.3062338107,0.1944467062,0.1905808617,0.2151117245,0.2691190627,0.4260624329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.3789,87.4289,85.6116,84.0109,84.9683,86.6439,87.7548,85.5148,80.4303,69.2393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.318742395,7.770980829,7.726253224,5.827214396,3.893498878,3.607557554,3.987599791,3.60031911,3.80677774,4.40564613]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.8254,62.6082,60.9431,58.5289,57.9805,59.2252,60.0627,56.6475,49.8392,40.1]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(583, 304, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.961048442,2.579753679,4.859189021,4.082711958,5.084109706,4.948488892,6.811977238,12.190907203,24.659336811,65.580051547]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.6377,11.5477,15.0159,19.1385,24.9625,32.1103,40.2413,47.3702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.728695789,1.442539709,4.285500024,5.171916024,7.453963554,10.793530186,18.401565964,30.305153372,54.981727219,121.915228887]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3438,15.0435,19.1727,24.0272,31.173,40.1755,49.724,57.7732]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(584, 306, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.032094626,2.761002281,6.645852487,5.500968607,6.768215246,6.387720311,8.557297548,15.881156281,32.239758592,83.323959755]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.2788,81.2682,101.801,125.709,155.329,196.211,244.418,297.621]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7816102142,1.546080056,4.998425511,6.176092452,8.6419842,12.292414515,20.684980246,34.459119345,62.559036836,136.463286897]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.6427,64.3854,78.1056,93.5774,112.736,141.136,171.708,201.684]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(585, 307, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2262410831,0.1857842412,0.2277081886,0.2075109355,0.2671432151,0.5763561603,1.263057528,3.064137252]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1379899153,0.2219495887,0.3271964503,0.5280734643,1.038219726,2.052816172,4.127889131,8.663902526]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(586, 309, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.865192779e-10,2.021015417e-9,0.4967054564,0.5012412912,0.7225053403,0.892411171,1.708932328,3.61064633,8.438610237,24.01284714]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.50691,6.45858,10.3364,14.9149,23.4238,32.4029,45.131,59.1706]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.284197198e-10,1.407865565e-9,0.3574711578,0.526109843,0.9907874595,1.918767646,4.531290546,8.962802858,18.683484562,44.338624871]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.26062,4.25074,8.23382,11.4647,19.6166,30.1488,43.9741,58.1202]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(587, 305, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.03707874171,0.05079511103,0.09446345601,0.1627423324,0.300111206,0.7418001437,1.741648282,4.03169387]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0084746,0.0140438,0.0222571,0.0519516,0.0988631,0.12872,0.283132,0.401241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.04074619954,0.07686966683,0.2190379263,0.5601212092,1.403563398,3.060809822,6.091419063,12.333480811]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00873939,0.0239275,0.0451571,0.114621,0.289038,0.641475,0.91098,1.252]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(588, 308, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.4596267149,0.4504461787,0.6280418841,0.7296688387,1.408821118,2.868846181,6.696961965,19.981153302]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.49844,6.44453,10.3141,14.8629,23.325,32.2741,44.8479,58.7694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.3167249587,0.4492401741,0.7717495328,1.358646439,3.127727132,5.901993023,12.592065514,32.005144147]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.25188,4.22681,8.18867,11.35,19.3275,29.5073,43.0632,56.8682]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(589, 271, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,9.624656327,12.911093072,13.900653051,17.630261351,37.17853143,87.354497321,211.500590671]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.7968,96.6861,298.953,527.832,566.524,544.506,1100.8,1132.15]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,32.218151657,45.198123286,72.257557536,125.481031391,191.287772931,356.138896191,697.237291449]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.94164,299.312,644.174,1250.88,1586.01,1813.62,2034.32,2217.3]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(590, 272, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,1.125945576,1.47553224,1.382291546,1.931867004,2.864849523,3.998950223,8.813657646]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.7968,7.49589,10.0324,12.6777,17.7244,23.3979,31.4031,36.6405]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.07751210986,0.1666023039,0.3260581239,0.7364758853,1.550185853,2.919417865,7.09747479]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.94164,2.8855,2.35125,2.77939,4.0748,6.01574,7.67656,11.2704]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(591, 265, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.912911177,5.738595505,24.354392821,20.494175728,22.985928271,23.941592463,35.68653402,65.561562121,143.977918927,325.288431046]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.6861,153.951,255.782,371.116,514.838,630.434,791.636,900.778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9428159414,1.88049007,14.728943492,21.514821957,32.152155921,46.259005449,78.514969736,126.184696532,234.738753498,422.657411138]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[112.323,186.495,305.571,429.345,634.532,714.262,913.277,974.052]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(592, 266, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.091717142,2.54906925,3.785210563,4.509428758,6.962466518,13.688507149,27.531680026,57.848856585]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.27912,8.54866,19.4211,27.4757,56.641,80.0832,122.903,148.901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.254029624,3.698201876,7.176419653,12.032324443,22.575907419,35.68598671,58.087783997,102.814027214]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.83216,12.7697,25.9504,36.5857,53.8778,76.5502,94.5014,111.716]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(593, 267, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7961952774,2.026359598,11.8369102,12.954283158,19.008069008,22.386383303,35.54477743,72.293607474,157.722977783,445.183312939]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.9238,53.6876,118.738,166.028,300.403,375.872,572.608,722.516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6132129656,1.361246708,10.926301677,15.242291576,24.723896722,40.808321093,75.575461819,138.517074232,268.965655399,641.860925093]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.9387,57.9217,106.922,144.081,251.619,352.319,557.722,710.088]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(594, 268, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,23.545190051,22.507559957,36.672968167,41.656703775,65.072356574,123.533666092,254.322750716,597.359048879]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[209.669,316.798,638.147,1012.89,1617.85,2014.62,2364.04,2643.72]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.690815527,13.086939109,25.882769575,44.680388313,79.926297425,140.048824687,261.246081835,502.95540977]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[174.783,261.043,490.396,749.905,1126.91,1442.72,1699.55,1902.02]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(595, 286, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,14.238257471,14.14075611,21.869904539,26.498203463,41.706909541,79.942254975,170.317082302,427.226626818]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.2779,122.618,187.491,266.409,357.327,453.465,562.768,660.507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,11.381977135,15.226955632,27.490473668,47.59646362,92.312444358,163.116604871,313.458764967,671.417961917]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.544,127.857,198.446,279.963,387.927,516.557,652.852,771.034]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(596, 287, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.275291705,4.266113785,6.488196417,7.622355587,11.937930636,23.566004724,50.514234571,143.122685769]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5522,23.0943,33.8818,47.9721,71.3817,102.109,140.153,162.539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.335544503,5.708018239,9.782083843,16.995629311,31.902821649,57.012108393,108.190713892,238.218917988]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5934,29.7512,43.9594,62.6892,96.4425,143.743,195.161,227.555]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(597, 288, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.513176273,3.430069313,4.969438259,5.540864882,8.534259775,16.354953537,33.862349735,97.747050138]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.0769,12.3396,17.5856,24.1289,34.8115,48.7781,64.9261,76.7579]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.346797746,4.293437723,6.91589093,10.978039034,19.99562278,33.448650952,60.647928594,140.458371977]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2101,15.7688,22.5751,30.9907,46.2157,66.5635,88.131,102.948]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(598, 289, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.895405266,3.741554959,5.627097348,6.623506868,10.17816458,18.361638727,37.624812614,85.895033338]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.063,19.9795,28.3969,36.5669,40.5782,36.2497,26.8295,16.1559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.950205914,3.771055312,6.616115522,10.843205047,19.867664914,32.49678858,58.609098763,114.987364014]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9572,23.2305,32.883,42.364,48.4786,46.1891,37.5738,25.4129]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(599, 290, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.510075113,2.509315485,3.721160327,4.56624034,6.916140398,12.379563331,26.085554943,57.335216097]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.6452,22.6339,34.2662,49.4162,73.5147,105.795,143.178,176.734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.063981467,2.713368594,5.11461326,8.756304183,16.629308578,27.670765452,52.598544884,108.481473172]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.9092,29.8188,44.7418,64.2924,95.3012,137.981,185.228,225.465]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(600, 291, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.09896231205,0.1087979385,0.1665803786,0.2050124286,0.341991267,0.8126415255,1.997381269,4.457244606]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0781747,0.134424,0.228328,0.303588,0.450875,0.553683,1.15696,1.34292]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.09607325443,0.1250916701,0.2059269913,0.3312852154,0.6648050651,1.261001014,2.830680326,6.23912979]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106249,0.191068,0.283808,0.436999,0.78093,1.34358,2.09949,2.76429]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(601, 292, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5521903942,0.5196889301,0.8145876914,1.011370772,1.592348561,2.907706686,6.229835603,12.02745566]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.31604,13.8883,21.7388,30.4296,37.5115,42.194,45.0744,46.0866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.3095756842,0.3970957767,0.7399599804,1.257269228,2.343119733,3.936132516,7.326879091,12.202330064]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.46762,16.1014,25.0832,35.1002,43.4504,49.0803,51.973,52.9918]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(602, 293, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.134467112,1.16189311,1.901084885,2.36647371,3.448663296,5.604519414,10.820589462,20.495887059]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.945,34.0238,51.3075,70.9338,88.7631,105.092,118.385,129.715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.7668754653,0.9897170824,1.788799629,2.872895498,5.090455694,8.201476827,16.79734905,29.946140522]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1617,33.072,49.6348,68.7653,86.9964,104.03,116.842,127.4]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(603, 294, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.053114685,2.598364069,3.958351154,4.557236147,6.577810658,11.156678819,20.281064457,38.505476257]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.5627,30.967,45.7383,59.1221,69.5737,80.2853,86.01,88.1516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.962739577,2.43470726,4.194144279,6.754645855,12.982769715,20.814734424,32.285467629,45.456097581]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.6395,31.6797,46.1973,58.4758,68.4339,79.633,85.4267,88.0444]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(604, 295, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.8589072571,0.8364194235,1.146908539,1.340990793,1.976533932,3.574479643,7.50665188,17.354566521]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.44873,5.30715,7.38629,9.72328,12.9847,16.1001,18.6903,19.1464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.793844505,1.054006082,1.920392809,3.287631334,6.583934319,11.189003406,20.517209981,43.397093647]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.1655,8.06106,11.2876,15.0807,20.4963,26.5374,31.573,33.5911]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(605, 296, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1293470861,0.1399269607,0.2191050636,0.2671881816,0.4483077107,1.060195062,2.604110526,5.881102937]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125613,0.209467,0.359594,0.466764,0.68955,0.840514,1.82251,2.16051]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1261231941,0.1663830945,0.2838849025,0.4627019696,0.9627323572,1.917426384,4.501779388,10.421427986]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.170045,0.301362,0.44755,0.673159,1.20668,2.1136,3.3709,4.53471]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(606, 297, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.23636545,1.257163286,1.748405742,2.051047036,3.047661193,5.279633639,11.445724852,25.872889073]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.288541974,1.686250085,3.126198136,5.218142372,10.066121509,16.338055111,31.834702503,67.851612097]}', '', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(607, 298, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5250044956,0.5608053611,0.8254031333,0.9577624072,1.512500889,2.612446389,5.546890914,12.402280844]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.06086,6.53473,9.55302,13.3164,19.2044,26.9146,35.4226,42.5025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5837111237,0.7939299784,1.464858384,2.434856182,5.129172117,8.386390498,16.745189703,34.817623772]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.42373,8.75493,12.7218,17.6759,25.3882,35.7906,46.7512,55.3289]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(608, 299, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.521273671,0.4694262697,0.5770008123,0.6143712236,0.9287819305,1.576148234,3.382113588,7.454031945]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.79805,4.48653,6.51899,9.02911,12.8223,17.501,22.4043,26.0933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5516862358,0.6444088895,1.052169158,1.602742555,3.111204959,4.956928401,9.474687225,19.801013847]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.5005,5.61952,8.12687,11.2161,15.8338,21.5784,27.2482,31.104]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(609, 300, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.344359887,2.401702606,3.768803267,4.416060053,6.782954554,12.948697952,26.729599235,72.792978953]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.115,18.9793,28.055,43.6101,64.4453,85.4119,115.978,150.709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.932486943,2.658334159,4.651929023,7.911725868,15.100461362,26.905778006,51.817565522,122.131034472]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.32223,14.3585,25.7754,38.3204,61.5783,90.601,129.545,170.133]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(610, 270, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.936510098,3.133611028,4.979891721,6.248594944,9.76351186,19.504636329,43.790015338,110.708372192]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.6433,86.2749,134.409,190.449,250.484,307.184,373.747,427.764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.250582289,3.004676688,5.606976837,9.774526238,19.188854739,35.850208187,72.605514081,162.912684422]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.3472,84.5531,129.611,182.352,241.427,305.021,369.929,424.249]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(611, 283, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008802688244,0.2591501628,0.5673367273,0.486162826,0.607584689,0.5532880953,0.6349673426,1.272728558,2.220310884,2.354507255]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.3456,55.568,68.9904,83.4526,91.931,102.829,98.9331,51.684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01158778683,0.1813969758,0.7073613993,1.217199189,1.800291304,2.903190793,5.586157216,10.228650609,17.354254277,24.624259387]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[122.572,159.987,189.706,223.864,260.071,291.605,293.134,230.288]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(612, 273, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,8.498710759,11.435560837,12.518361515,15.698394365,34.313681895,83.355547099,202.686933036]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.1902,288.92,515.154,548.8,521.108,1069.39,1095.51]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,32.140639555,45.031521016,71.931499425,124.744555519,189.737587074,353.219478279,690.139816835]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[296.426,641.823,1248.1,1581.94,1807.61,2026.64,2206.03]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(613, 269, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.5621160134,0.8350901928,1.918498215,3.184971051,5.598868765]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.0891,60.9893,66.8529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,1.605719337,2.889568958,3.442453208,4.867200151,7.773688101]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.0309,96.064,129.085]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(614, 315, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.750180933,37.176930441,73.875223759,132.107370392,154.705857461,175.80756819,169.602468275,138.066789862,97.004820799,77.922296877]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[289.883,405.032,436.481,462.581,482.681,499.996,510.303,505.274,479.616,425.135]}', '', '', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-23 16:04:11', '', '0000-00-00 00:00:00', 4, '', 2, ''),
(615, 281, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.80258,17.8005,30.5157,41.7154,41.6377,51.2949,55.2892,69.4595,46.2016,33.5584]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.87222,38.7048,62.9283,86.2488,85.259,102.484,116.224,145.926,107.365,113.419]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(616, 282, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4251,75.7116,115.448,149.196,183.903,215.693,229.166,239.159,214.905,107.349]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.2784,108.887,173.392,233.153,282.942,331.408,376.009,397.118,371.462,273.173]}', 2010, '', 1, '', 450, '2014-05-05 15:51:56', '2016-05-20 13:07:08', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(617, 1, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.7378,51.6815,140.611,194.321,227.557,198.058,170.334,114.18,84.2826,72.8573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.7639,93.2849,285.002,408.16,520.316,454.941,369.108,251.461,226.124,127.348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.1971,24.2538,76.9023,139.105,210.581,211.287,209.939,158.376,128.525,120.795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.2557,66.8712,214.234,365.043,541.999,566.732,564.112,378.729,374.249,192.873]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(618, 2, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.81704,6.43508,10.4973,12.5947,14.7975,13.2139,16.3238,23.8032,25.2171,40.3336]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.379,20.4819,54.1283,65.3495,78.1462,88.3216,106.643,99.7662,127.294,67.1667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3722,8.09335,13.0428,18.7059,27.926,32.6163,38.771,46.4072,58.5489,83.844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.0341,36.7681,102.609,142.548,168.334,183.991,227.12,179.824,232.139,115.937]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(619, 3, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9207,45.2464,130.114,181.727,212.759,184.844,154.01,90.3769,59.0655,32.5237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.3848,72.8031,230.873,342.811,442.17,366.619,262.465,151.695,98.8293,60.1816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.82485,16.1604,63.8595,120.399,182.655,178.671,171.168,111.969,69.9756,36.9505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.2216,30.1031,111.625,222.495,373.665,382.741,336.993,198.905,142.11,76.9363]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(620, 4, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62311,5.68389,16.345,22.8287,26.727,23.2203,19.3469,11.3532,7.41986,4.08566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.82136,7.72329,20.1055,24.5583,29.3672,33.3329,40.2341,37.2756,47.4947,24.8007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23421,2.03009,8.02209,15.1247,22.9453,22.4448,21.5022,14.0656,8.79039,4.64175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.3506,13.8699,38.6023,54.1431,64.2756,69.6711,85.3892,67.4843,87.6787,43.3628]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(621, 5, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.2976,39.5625,113.769,158.898,186.032,161.624,134.664,79.0237,51.6457,28.438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.5635,65.0798,210.768,318.252,412.802,333.286,222.23,114.419,51.3347,35.3808]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.59065,14.1304,55.8375,105.275,159.71,156.226,149.665,97.9033,61.1852,32.3087]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.87098,16.2332,73.0228,168.352,309.389,313.07,251.604,131.421,54.4313,33.5735]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(622, 6, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.3735,29.5789,33.4326,32.3551,37.7308,36.5406,46.6788,72.2873,112.837,148.108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[315.151,318.483,345.586,367.205,381.592,391.481,409.974,437.339,454.398,488.232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.6298,53.3977,70.1177,70.5821,79.9302,83.011,118.882,142.402,202.896,296.841]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[359.025,364.092,390.484,411.026,422.265,436.685,455.014,483.142,499.16,536.03]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(623, 7, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.64763,3.52821,5.50036,6.27766,6.8539,4.9316,7.73675,7.43304,10.3494,19.0616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.6928,67.8835,74.3457,81.2656,87.8343,94.3361,100.907,107.005,112.971,119.159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.02352,11.8016,18.0177,18.7043,18.695,13.9796,22.9883,22.3188,30.2645,39.6327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.3893,58.8133,64.6881,70.6579,76.3342,82.172,87.4447,92.2522,98.0147,102.506]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(624, 8, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.84826,4.02326,3.31143,2.81612,2.29312,2.16564,2.2402,2.10372,2.1472,1.97908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.18169,2.99065,2.74161,2.52493,2.25817,2.00417,1.81337,1.6819,1.46906,1.31692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.78799,4.9056,4.80333,4.10282,3.32004,2.80128,2.75284,2.76304,2.55549,2.39027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.27548,3.95197,3.72082,3.27743,2.97467,2.66991,2.41154,2.14843,1.91205,1.74288]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(625, 9, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.60128,10.8415,13.4312,12.863,16.1809,20.6137,19.6872,46.6304,67.291,99.52]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.08611,6.39683,7.18827,8.10883,8.87815,9.75929,12.5522,17.687,23.0418,28.2453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.0292,17.759,25.9738,33.5159,39.8092,47.664,69.8757,82.1398,144.046,213.514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.19835,6.51298,7.39552,8.2655,9.06289,9.8697,12.5826,18.2768,23.5946,29.0277]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(626, 10, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0093302,0.0200837,0.0209217,0.0200234,0.0281918,0.0433006,0.0450235,0.104349,0.15701,0.243242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.7514,26.3389,28.8848,31.9054,33.6452,36.4963,35.1015,28.7506,22.5666,16.2404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0264199,0.0328982,0.040459,0.0521732,0.0693593,0.100122,0.159802,0.183811,0.336101,0.521859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.0191,26.5358,29.5158,33.0677,35.4101,38.812,37.4301,30.4431,23.581,16.687]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(627, 11, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0174617,0.0136476,0.0132493,0.01558,0.0164313,0.0204327,0.0374708,0.0625065,0.0571677,0.0758713]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.3891,75.9107,83.0586,85.0437,82.947,76.8759,77.2977,85.7908,85.6107,94.0607]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0167475,0.012881,0.0148899,0.017573,0.0183989,0.0204193,0.0356371,0.0632697,0.0525736,0.0701944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[100.581,98.3543,103.968,103.967,98.2119,93.1501,93.0473,101.766,101.091,111.343]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(628, 12, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.398,10.5117,10.7175,10.0634,12.0063,8.5067,16.646,15.715,32.4049,26.8271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.091,135.716,145.89,154.291,161.586,167.068,176.849,189.919,200.986,220.572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9371,18.0553,20.6047,13.8331,17.551,18.0007,22.7075,34.5307,25.2227,40.1553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[157.475,166.542,177.34,187.48,195.524,204.852,216.349,231.244,242.785,265.594]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(629, 13, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.81399,3.94165,4.05005,3.74879,4.42275,3.07847,5.91641,5.47087,11.0528,8.89551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.0666,58.1752,63.0359,67.1114,70.5506,72.9329,76.7233,81.3284,84.3345,89.9665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.00936,6.7681,7.7747,5.15016,6.44673,6.50563,8.05706,12.0118,8.58524,13.3203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.1149,70.3319,75.2829,79.6841,83.2411,87.1198,90.9632,95.944,98.8629,104.736]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(630, 14, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.831123,0.428369,0.207624,0.215424,0.284638,0.227635,0.498659,0.525924,1.20458,1.09396]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.0227,14.9487,14.1144,13.5806,13.1497,12.5815,12.2165,12.3245,12.636,13.6184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.870141,0.732791,0.398445,0.296375,0.415324,0.480633,0.678209,1.15185,0.934128,1.62679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.8766,17.9696,16.8225,16.3598,15.8448,15.4209,15.0321,15.21,15.5616,16.6698]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(631, 15, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.55861,3.54504,3.55988,3.28524,3.83088,2.66292,5.08986,4.68283,9.33289,7.45456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.3943,35.5191,38.722,41.2319,42.8939,44.7029,47.5478,51.2445,54.8113,60.642]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.7585,6.13095,6.89975,4.54627,5.64122,5.67093,6.98474,10.3469,7.30201,11.2226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.132,43.8069,47.4672,50.5349,52.574,55.15,59.0812,63.1434,66.7921,74.0824]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(632, 16, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19428,2.59659,2.89995,2.81397,3.468,2.53768,5.14108,5.03534,10.8146,9.38305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6791,26.426,29.3422,31.6425,34.1525,36.0277,39.463,44.1488,48.3328,55.5559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.29914,4.42351,5.53183,3.84028,5.04773,5.34348,6.98751,11.0202,8.40129,13.9856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.1396,33.55,36.8651,39.8938,42.7476,45.9469,49.9591,55.6856,60.3819,68.9363]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(633, 17, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.468695,0.36593,0.268005,0.168014,0.246907,0.162378,0.177618,0.111398,0.248174,0.294945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65486,2.03144,2.34116,2.79633,3.02308,3.38245,3.59075,3.86108,4.27864,4.52844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.492997,0.62854,0.515248,0.23095,0.360933,0.343602,0.242296,0.244777,0.193168,0.44148]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.76375,2.18258,2.67485,3.01881,3.26888,3.56084,3.82009,4.3701,4.67725,4.9596]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(634, 18, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00398783,0.00303533,0.00287756,0.00269697,0.00314709,0.00300869,0.00508203,0.00604278,0.00670348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000446659,0,0,0.0015412,0.000248896,0.000400174,0.000366422,0,0.000366609]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00466844,0.00390111,0.00426517,0.00386982,0.00416057,0.003906,0.0067356,0.00866133,0.00889327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0,0.000445771,0,0.00052977,0.000999449,0,0.000935439,0.00042821]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(635, 19, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00610926,0.00580219,0.00652415,0.00698727,0.00780411,0.00962191,0.0115443,0.0104086,0.0415796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.01497,0.00934766,0.0115575,0.0156044,0.0180382,0.0161025,0.0231095,0.0204984,0.0970483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00709766,0.00750598,0.0097225,0.0101686,0.00973514,0.0118213,0.0145572,0.0142586,0.0529679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0162165,0.0177844,0.0176457,0.0176513,0.0189268,0.0287899,0.0357287,0.0325797,0.114977]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(636, 20, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0105669,0.0135593,0.0155502,0.0188282,0.0239633,0.026351,0.0351012,0.0463949,0.0661179,0.0490077]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00200249,0.00181833,0.00105149,0.00111575,0.00076947,0,0,0,0.00185232,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0123106,0.017468,0.0229936,0.0270706,0.0315634,0.0342347,0.0464375,0.0664234,0.0881571,0.0620538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00242938,0.0034243,0.00162203,0.000987311,0.000949538,0.00116316,0.00175507,0,0.00105808,0.00175865]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(637, 21, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.349732,0.236974,0.125633,0.0754612,0.0471095,0.038477,0.0317596,0.0282853,0.0280553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0218385,0.0170443,0.00845237,0.00390948,0.00499929,0.00608683,0.00204019,0.00286538,0.00170982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.279649,0.158491,0.0889417,0.0532847,0.034938,0.0319838,0.0281327,0.0323166,0.0394181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0234764,0.0104886,0.00401815,0.00316367,0.00267578,0.00353651,0.00136279,0.00334275,0.00229898]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(638, 22, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0124637,0.0152517,0.0193484,0.0273573,0.0231247,0.0193943,0.0251006,0.0357471,0.0399337,0.0573506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26484,1.18721,1.11462,1.24679,1.39651,1.53638,1.8365,2.61962,3.37314,4.10982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0119948,0.014451,0.021682,0.0308807,0.0259016,0.0193935,0.0237666,0.0361592,0.0362877,0.0529688]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28137,1.16789,1.15733,1.27022,1.45581,1.5638,1.88978,2.60497,3.3849,4.16749]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(639, 23, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.5573,29.1866,26.5136,28.2305,30.3758,39.42,49.5012,71.6803,104.015,152.126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1167.43,1308.29,1325.64,1343.64,1415.46,1482.37,1569.68,1625.25,1648.06,1739.64]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.9825,51.6085,53.9271,46.4383,50.5495,64.1624,80.186,132.549,127.19,202.228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[915.308,911.464,897.713,921.453,972.679,999.593,1153.68,1191.16,1243.37,1340.52]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(640, 24, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1217,28.6768,25.9748,27.6605,29.7037,38.6763,48.5079,70.566,102.318,149.791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[401.371,395.79,395.005,391.956,403.12,414.803,387.549,389.622,358.614,383.544]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.1951,50.7045,52.8761,45.4266,49.5549,63.0781,78.884,130.941,125.282,199.919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[235.046,144.45,112.236,112.648,143.849,166.226,200.882,233.709,277.407,372.428]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(641, 25, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.194095,0.209642,0.180421,0.169522,0.16526,0.185715,0.223341,0.238584,0.279035,0.296946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.763256,0.87967,0.981361,1.11646,1.23265,1.30321,1.38942,1.44932,1.48954,1.49795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.49678,0.507739,0.49637,0.458189,0.451063,0.45744,0.523069,0.596876,0.633032,0.681669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.724222,0.845452,0.954183,1.07028,1.18509,1.26186,1.37419,1.3887,1.42156,1.44615]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(642, 26, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00163065,0.00275394,0.00391176,0.0048145,0.00739171,0.00985747,0.0143866,0.0188814,0.0252976,0.0355099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[635.567,763.337,768.6,777.045,826.576,876.592,922.227,968.346,1013.83,1061.81]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000895077,0.00166264,0.00272262,0.00326289,0.00456767,0.00599113,0.00894149,0.0126591,0.0159008,0.0211099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[393.48,438.118,424.586,415.636,408.334,400.331,392.243,381.925,373.719,371.098]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(643, 27, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0268137,0.0536684,0.0759663,0.0871976,0.0821569,0.0990753,0.132279,0.158961,0.20905,0.252436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1466,25.5354,25.3934,24.5359,23.7911,23.2388,22.7208,23.2828,23.0721,23.4832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0257435,0.0508234,0.0851804,0.098237,0.0919033,0.0992096,0.125328,0.160751,0.191242,0.233396]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.711,38.6089,37.5489,36.0764,35.4267,34.2511,33.7601,33.5403,33.5836,33.7377]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(644, 28, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00232415,0.00363093,0.00444044,0.00563786,0.00642849,0.00885178,0.0143499,0.0157654,0.0261541,0.0343761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27069,1.6124,2.11072,2.60476,3.17769,3.56837,4.32428,4.754,5.62748,6.41747]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00222977,0.0034433,0.00498951,0.00634686,0.0072002,0.00884871,0.0135977,0.0159477,0.0239657,0.0318192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.66224,2.26447,2.88454,3.59112,4.24291,4.94405,5.67462,6.31156,6.9177,7.52648]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(645, 30, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0479516,0.0588445,0.0772584,0.0888392,0.138979,0.121551,0.201523,0.161577,0.257752,0.437757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0979618,0.101691,0.129858,0.152987,0.139839,0.121195,0.165374,0.226806,0.254476,0.341602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(646, 31, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133688,0.139105,0.143587,0.144333,0.171662,0.17478,0.193934,0.215246,0.381788,0.545197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00189261,0.00161131,0.00298093,0.000690484,0,0,0.00067862,0,0.00197365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.126252,0.165137,0.226445,0.183632,0.176481,0.23255,0.217725,0.276956,0.348405,0.330746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00322471,0,0,0.00187165,0,0,0.00180888,0,0.000846251,0.00414437]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(647, 32, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00219084,0.00189951,0.00141247,0.00181316,0.00135377,0.0017053,0.00178067,0.00246791,0.00362238,0.00587324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.3925,15.1816,15.3134,15.2841,15.7391,15.7968,15.3504,15.2555,14.9962,14.8524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00244433,0.00209326,0.00183952,0.00238114,0.00176717,0.00198947,0.00197189,0.00290858,0.00386568,0.00632903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.3658,12.3169,12.0994,12.0246,12.449,12.6533,12.9477,13.0431,13.3717,13.8915]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(648, 33, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00219084,0.00189951,0.00141247,0.00181316,0.00135377,0.0017053,0.00178067,0.00246791,0.00362238,0.00587324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.209768,0.221527,0.227438,0.217753,0.224297,0.216204,0.220911,0.207076,0.216724,0.218032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00244433,0.00209326,0.00183952,0.00238114,0.00176717,0.00198947,0.00197189,0.00290858,0.00386568,0.00632903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.222232,0.225904,0.217608,0.223782,0.219673,0.226962,0.216116,0.219704,0.207231,0.205648]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(649, 34, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0177741,0.0156014,0.01871,0.0163632,0.0170727,0.0195744,0.0190739,0.0175696,0.0150799,0.0152532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0200143,0.0164742,0.0176393,0.0160694,0.0170072,0.0164191,0.0187199,0.0200408,0.0160598,0.0141902]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(650, 35, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.1649,14.9445,15.0673,15.05,15.4977,15.5611,15.1104,15.0309,14.7643,14.6191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.1235,12.0745,11.8642,11.7848,12.2123,12.4099,12.7129,12.8034,13.1484,13.6717]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(651, 36, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0269421,0.0402109,0.0518278,0.0678791,0.0988765,0.142184,0.211668,0.302766,0.514718,0.727134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.1112,12.0005,12.403,13.1409,14.7974,15.805,16.9119,17.3517,18.947,31.1423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0350743,0.0714316,0.103635,0.106689,0.121743,0.157102,0.245983,0.315687,0.436218,0.661703]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.9665,15.2673,14.2705,15.1578,16.4595,16.6673,18.6037,19.9039,22.609,15.0766]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(652, 37, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2433,43.0068,51.3493,45.9178,42.4384,27.1005,19.5142,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.4999,104.214,214.854,311.322,383.835,468.814,568.645,430.859,306.304,145.472]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(653, 38, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.51735,9.01659,12.6106,12.9144,12.5742,8.43553,6.36698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.31528,5.06923,6.98688,5.79477,2.91439,0.842456,0.0756423]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(654, 39, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.74829,3.91141,3.96529,2.92331,2.51132,1.48423,0.983739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.770508,2.2633,2.59089,1.50297,0.647912,0.419653,0.138436]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(655, 40, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.69992,6.63574,7.0363,5.50456,4.92285,3.04158,2.11837]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"55-59\"],\"number\":[2.94272,10.3161,12.4986,6.85222,3.00505,1.84034,0.706038,0.00023002]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(656, 41, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.392523,1.483,1.5861,1.25844,1.31217,0.934343,0.743529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.2167,59.7224,138.473,218.893,282.183,351.569,431.64,430.859,306.304,145.472]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(657, 42, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.14751,7.7698,8.87035,7.57863,6.65787,4.03211,2.74553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.955082,1.89392,2.34102,2.10543,1.73324,1.01076,0.232858]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(658, 43, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[5.73771,14.1903,17.2806,15.7385,14.4599,9.17268,6.55602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[7.29953,24.9488,51.964,76.1745,93.351,113.132,135.853]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(659, 45, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.9798,35.1737,34.4874,33.8471,33.2874,32.4926,31.5791,30.8792,29.7228,28.1227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.6119,43.0369,42.466,41.8334,41.0933,40.017,38.735,37.6144,36.0774,34.0576]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(660, 46, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[142.715,134.019,126.112,119.212,111.119,105.038,98.554,90.6266,80.4264,70.1037]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[204.11,195.235,185.326,173.77,163.676,153.1,144.315,131.561,117.156,101.556]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(661, 49, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.00893,12.2475,19.5427,19.1636,15.8314,18.4552,22.6472,25.5032,40.1164,59.3708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1132,1194.91,1159.19,1146.97,1164.88,1161.45,1088.68,1097.42,1035.86,1038.5]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.64365,6.90693,10.3758,14.5849,19.8139,15.8918,21.6891,26.4363,36.6955,67.1805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[440.197,403.082,366.801,372.891,395.808,398.786,407.905,443.899,465.366,489.972]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(662, 50, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.10578,6.20801,10.2473,10.802,9.59477,11.9317,15.4613,17.856,28.0138,42.1268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.961085,1.82748,2.88073,3.13978,2.61134,3.55698,4.72325,5.72305,8.6702,13.9555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.40012,3.50098,5.44055,8.2211,12.0084,10.2744,14.8072,18.5093,25.625,47.6681]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.844645,1.45531,2.19139,3.05434,3.93749,3.51502,4.83772,5.76435,8.25799,15.6456]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(663, 51, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0617553,0.23059,0.366565,0.232558,0.102837,0.0975373,0.0822369,0.0629751,0.0789699,0.0803574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[167.886,188.017,182.481,176.771,171.258,165.619,159.952,154.264,148.725,143.362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.047724,0.13004,0.194619,0.176994,0.128706,0.0839895,0.0787577,0.0652792,0.0722359,0.0909277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[101.088,113.345,110.235,106.724,103.149,99.6245,95.9785,92.6069,89.0245,85.4946]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(664, 52, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.1827,5.28477,4.37851,4.80929,4.67327,4.37426,2.72725,1.60924,1.04814,0.768386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9943,5.5572,4.65262,5.3903,5.80401,6.03927,4.09944,2.45639,1.92068,1.53079]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(665, 53, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.8349,5.79425,8.90076,8.09871,6.1066,6.38958,7.0593,7.5334,11.9402,17.0541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[950.954,999.741,969.386,962.19,986.289,987.839,921.214,935.753,877.321,880.315]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19079,3.26764,4.72565,6.1637,7.64275,5.50208,6.76064,7.80902,10.922,19.2974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[325.256,282.704,249.688,257.674,282.853,289.554,302.926,343.002,366.077,387.183]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(666, 54, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0064913,0.0146572,0.0281461,0.0303062,0.0272006,0.0363541,0.0444118,0.0508666,0.0834052,0.109632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0173638,0.0362298,0.063803,0.0626664,0.0510679,0.0612972,0.0663113,0.0663575,0.0936133,0.103654]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00501643,0.00826585,0.0149435,0.0230652,0.034043,0.0313046,0.0425329,0.0527277,0.0762929,0.124053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0134726,0.0205797,0.0341591,0.0480961,0.0643132,0.0530884,0.063876,0.0692018,0.0860503,0.117749]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(667, 55, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.82809,5.46898,5.53242,7.00261,9.40218,10.4814,8.78285,10.6424,16.2488,17.5462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.0096,68.1636,69.5846,66.4393,61.8528,62.8427,28.3938,22.2086,21.2432,37.1834]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.05523,8.07204,8.00722,12.0202,11.7034,15.8556,17.4114,25.6272,20.4917,23.0096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.2877,98.1659,88.4222,77.6655,64.2219,52.7843,42.8069,38.0722,39.4105,26.3897]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(668, 56, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.140165,0.254125,0.332265,0.383563,0.357204,0.349735,0.42481,0.383444,0.358753,0.598898]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.7563,49.8705,49.7883,47.4736,43.0994,44.3753,10.6783,5.22002,4.07452,3.76484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0813913,0.13213,0.179944,0.223202,0.249841,0.264896,0.301598,0.378002,0.427667,0.783216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.9284,73.3056,63.7929,49.3061,34.6576,23.3071,12.6607,4.06376,3.56916,4.01672]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(669, 57, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00780979,0.0123174,0.0172468,0.0189613,0.0198874,0.0221797,0.0232409,0.0340443,0.077665,0.129781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.295439,0.741837,1.13265,1.37377,1.60524,1.68357,1.89638,1.9838,2.1868,2.47347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0813913,0.13213,0.179944,0.223202,0.249841,0.264896,0.301598,0.378002,0.427667,0.783216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.540912,1.23637,1.83621,2.30218,2.57444,2.79447,3.08137,3.21326,3.54283,3.99695]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(670, 58, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0308352,0.0565798,0.0732857,0.0847461,0.0782963,0.0762293,0.0940807,0.0819216,0.0662499,0.115864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.31157,9.66327,9.72571,9.36854,8.83308,10.3105,1.20533,0.484748,0.23102,0.108994]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.6142,49.8611,40.4683,26.7747,14.2536,8.71468,4.23684,0.527358,0.0203688,0.014685]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(671, 59, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0231755,0.0424046,0.0552609,0.0633479,0.0585135,0.0563756,0.069288,0.0609989,0.0499738,0.0807331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.2231,7.47023,8.27645,9.10716,9.28528,9.15299,1.83341,0.378123,0.168916,0.0732336]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7733,22.2081,21.4884,20.2292,17.8296,11.7979,5.34245,0.323137,0.00595425,0.00508263]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(672, 60, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.1545,27.3359,23.3353,17.2061,11.1491,7.52024,4.19413,1.36316,0.911324,0.853234]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(673, 61, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0783447,0.142823,0.186471,0.216508,0.200507,0.194951,0.2382,0.20648,0.164865,0.27252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.77167,4.65928,7.31821,10.4181,12.2267,15.708,1.54907,1.01019,0.576463,0.255916]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(674, 62, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.97212,4.02315,3.24391,4.90872,6.72959,7.49012,5.89915,8.06062,10.8806,11.8907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.5124,6.28642,7.09816,7.25444,6.76114,6.53716,6.28434,6.02343,6.17675,6.06443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19391,6.24096,5.50891,4.83379,4.62416,7.12976,9.40026,12.7686,10.7595,16.0136]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.0612,8.18847,8.94046,9.01702,8.21488,8.33649,8.9193,9.46413,10.189,10.3339]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(675, 63, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0706941,0.15,0.153779,0.362818,0.738813,1.20698,1.15383,1.52414,2.41011,2.39705]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.49133,0.979989,1.75629,1.7464,1.11483,0.553786,0.147526,0.00930981,0.0073314,0.00550818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.166208,0.581276,0.63108,0.663443,0.663906,1.08516,1.39079,2.07436,1.86748,3.39724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.525422,1.11952,1.95062,2.05323,1.18875,0.620467,0.167569,0.00973798,0.0060124,0.00480015]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(676, 64, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.156272,0.371643,0.339416,0.897571,2.16271,4.00515,3.89465,5.44442,7.12902,8.16738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.49162,4.01787,4.18954,4.42959,4.59858,4.81173,5.0115,5.10679,5.3793,5.30364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.363747,1.718,2.12156,2.32921,2.7042,4.78821,6.8947,9.23681,7.95694,11.1064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.34641,6.04744,6.01255,5.94871,5.84844,6.24388,7.30613,8.28871,9.2258,9.38488]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(677, 65, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0141127,0.0428074,0.0372448,0.138857,0.404785,0.549259,0.544166,0.853529,1.08444,1.15393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.234277,0.29205,0.367374,0.459865,0.647629,0.97106,1.06691,0.856282,0.744629,0.723795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0256608,0.112869,0.215895,0.260599,0.344,0.645233,0.892257,1.20687,0.77942,1.35529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.289924,0.317615,0.404567,0.552111,0.818589,1.29072,1.40063,1.12155,0.924741,0.916514]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(678, 66, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73105,3.45869,2.71347,3.50948,3.42328,1.72873,0.306509,0.238532,0.257027,0.172369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29518,0.996507,0.784955,0.618587,0.400099,0.200582,0.0584044,0.0510471,0.0454886,0.031488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.63829,3.82882,2.54037,1.58053,0.91206,0.61116,0.222502,0.250592,0.155696,0.154744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.899425,0.703895,0.572717,0.462974,0.359094,0.181422,0.0449648,0.0441383,0.0324203,0.0277061]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(679, 67, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0467838,0.0554431,0.0522289,0.0559185,0.0648658,0.0642696,0.06528,0.0696816,0.0725054,0.0721302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0482345,0.052181,0.0576391,0.0567737,0.066588,0.0612375,0.0691472,0.0785158,0.0731463,0.0721926]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(680, 68, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.715797,1.19171,1.95625,1.71032,2.31539,2.64151,2.45889,2.19835,5.00948,5.05659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.6941,11.9512,12.646,11.6553,11.9274,11.866,11.3658,10.8954,10.9194,27.282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.77993,1.69895,2.31837,6.96325,6.82944,8.46089,7.70953,12.4805,9.3045,6.21272]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.2499,16.6197,15.6312,19.2856,21.2828,21.0795,21.1578,24.4658,25.5792,11.9669]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(681, 69, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.86568,13.0935,12.9256,22.1866,34.0954,55.3647,87.4149,126.973,182.07,241.76]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.32506,6.43591,7.5943,12.9697,21.1585,33.5083,48.3566,58.3441,77.2,90.2103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.06139,16.0837,20.8772,22.9031,26.4683,30.9422,56.6761,88.1392,147.506,204.692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.41588,4.36522,6.25893,7.8752,9.89492,11.2073,20.1492,32.9337,58.7221,90.104]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(682, 70, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0169514,0.0257439,0.0322187,0.0704881,0.183415,0.383447,1.03268,1.45353,2.19284,3.7606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00259503,0.00801189,0.00460431,0.0233438,0.0260538,0.0569798,0.20836,0.286501,0.393566,0.615877]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00925278,0.0292754,0.104924,0.25391,0.424037,0.969365,1.39184,3.41371,4.47435,6.33531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00061824,0.0143984,0.0331631,0.0789057,0.0811233,0.207993,0.260935,0.669895,0.862992,1.11591]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(683, 71, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0217452,0.0873364,0.295789,0.656947,1.09784,2.53523,5.11663,7.72347,11.9233,21.4034]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0101055,0.0225352,0.0695996,0.1896,0.294236,0.523868,1.25627,1.74246,2.80283,4.76159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0320766,0.0826195,0.355331,0.968415,1.04836,1.92439,2.87591,4.96756,7.77815,13.8214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0157177,0.0283304,0.0938591,0.274086,0.303408,0.549941,0.741385,1.25715,1.82813,3.03524]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(684, 72, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.752979,1.26044,1.10729,1.50756,2.13557,3.05103,3.96794,10.5696,12.3271,19.8685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0571397,0.131393,0.100649,0.193826,0.290415,0.485894,0.586354,1.83458,2.26643,3.83403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.969637,5.67702,9.45393,7.70972,7.90427,7.11062,16.5624,23.9021,43.4705,40.6183]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0903623,0.567307,1.2466,1.24463,1.34184,1.21187,3.1666,4.38723,8.07728,7.58674]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(685, 73, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.303562,0.532116,0.480201,0.669481,0.950605,1.34127,1.72649,4.55805,5.26668,8.40809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0302349,0.0516422,0.0408479,0.0771497,0.119777,0.203227,0.266443,0.784414,0.922185,1.61693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.586822,3.50751,5.90354,4.8566,4.98657,4.47793,10.4046,14.9458,27.0136,25.0506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0591818,0.3477,0.83117,0.771466,0.836393,0.793563,1.99732,2.90191,5.22815,4.82818]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(686, 74, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0551259,0.0966394,0.0864699,0.119764,0.238321,0.562324,0.976558,3.17375,4.2841,7.74783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00475543,0.0112547,0.00634569,0.0136772,0.0467801,0.10074,0.128507,0.57985,0.82879,1.5154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0385131,0.230052,0.388633,0.31864,0.462581,0.701068,2.23579,4.03452,8.71695,9.36786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00146454,0.0273622,0.0368865,0.0483819,0.0583403,0.120761,0.411034,0.606094,1.40781,1.658]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(687, 75, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0312278,0.148549,0.188673,0.31262,0.462598,0.59069,0.695625,1.6781,1.78588,2.62906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00364029,0.0141138,0.0142787,0.0483032,0.0636187,0.0925624,0.117943,0.252986,0.312205,0.514462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0301497,0.494348,1.17303,1.15426,1.24564,1.03642,2.23824,3.01471,5.13762,4.50982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00200065,0.0417349,0.13368,0.180216,0.229007,0.160042,0.431502,0.505823,0.900929,0.78368]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(688, 76, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.363063,0.483132,0.35195,0.405699,0.484041,0.556747,0.569265,1.15965,0.990405,1.08352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0185091,0.0543819,0.0391766,0.0546955,0.060239,0.0893644,0.0734611,0.217331,0.203247,0.187238]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.314153,1.44511,1.98873,1.38021,1.20949,0.895201,1.68375,1.90703,2.60233,1.68998]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0277153,0.15051,0.24486,0.244565,0.218101,0.137501,0.326749,0.373406,0.54039,0.316883]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(689, 77, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00379402,0.0046148,0.00446438,0.0106863,0.0126236,0.0480958,0.164695,0.19205,0.238517,0.363956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00267182,0.0064552,0.00516478,0.00798686,0.0153292,0.0168733,0.060405,0.0863098,0.0999961,0.121246]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00293804,0.0106996,0.0144049,0.0298405,0.090861,0.234854,0.6887,1.30991,1.95606,3.59282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00639109,0.00904851,0.0114622,0.0128681,0.0596285,0.121577,0.362374,0.706474,1.14425,1.71836]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(690, 78, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0707463,0.106824,0.260497,0.377929,0.279714,0.587748,1.36456,2.01409,3.35604,5.25253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.037109,0.0394971,0.0703383,0.0657876,0.0591305,0.108755,0.260636,0.389252,0.607203,0.878557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0519973,0.167712,0.345332,0.880251,0.732744,1.78269,3.44225,9.08617,13.3697,23.4528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0105876,0.0579306,0.0932092,0.261007,0.207229,0.455155,0.794727,2.22817,2.96823,5.0888]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(691, 79, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.651433,1.28155,1.16709,2.67792,8.32424,12.5422,18.8597,23.8478,41.7946,38.6597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.935605,1.35818,1.48036,2.97069,8.50593,14.3036,21.3576,23.1909,35.2766,35.0719]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(692, 80, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0826775,0.509766,1.39417,3.38832,7.05228,12.6695,21.2094,29.2703,33.5211,48.6586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0368149,0.356291,1.29136,2.85749,4.71106,7.02698,8.93342,9.77753,9.8367,12.1534]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(693, 81, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0129723,0.0166529,0.0215638,0.0295997,0.0554141,0.126478,0.264361,0.513495,0.70777,1.70456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00462926,0.0114165,0.0169767,0.0264806,0.0618312,0.128346,0.377948,0.747943,0.735636,1.21927]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(694, 82, 81, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0250639,0.0280339,0.0351244,0.0639526,0.0823879,0.453502,1.41532,3.7268,11.5829,24.831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.026698,0.0209356,0.0367468,0.0495467,0.0958473,0.551381,2.65745,7.74653,22.1869,40.9708]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(695, 83, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0427839,0.347776,0.776654,1.12417,1.96095,2.38564,5.77193,8.01998,8.37126,15.0036]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0376663,0.207299,0.418545,0.579548,1.21275,1.41371,3.292,4.47075,4.30503,7.24545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.292564,0.931568,1.40013,1.597,2.5979,1.5866,2.82554,5.83989,6.83764,15.6146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.150093,0.539844,0.876785,1.11624,1.94157,1.29211,2.01988,3.93345,4.32916,9.19934]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(696, 84, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0866124,0.199205,0.240065,0.225108,0.33064,0.445084,0.968849,1.35568,1.74712,3.01982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0825844,0.171645,0.194689,0.155204,0.208573,0.284235,0.61982,0.939976,1.16089,1.92503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.129394,0.253011,0.444159,0.523362,0.606183,0.879887,1.39769,1.64861,3.13902,4.33049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105935,0.237166,0.410817,0.451863,0.567657,0.790109,1.30727,1.56272,2.81948,3.62982]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(697, 85, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0267335,0.0353375,0.0289469,0.0490214,0.0620527,0.0950185,0.149212,0.208453,0.339365,0.482632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00762973,0.0145132,0.0141785,0.0249748,0.0197825,0.0437529,0.047351,0.0569047,0.077124,0.108519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0187956,0.0350735,0.0612547,0.0666661,0.102504,0.137912,0.195083,0.288211,0.496368,0.684463]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0117628,0.0233764,0.0396711,0.0416144,0.053563,0.0657856,0.088808,0.0985996,0.148751,0.181158]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(698, 86, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00883502,0.00526872,0.011945,0.0153819,0.0287084,0.0331135,0.0686166,0.11755,0.182531,0.228007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00044998,0.00503374,0.00595871,0.00462296,0.0119151,0.0232087,0.035342,0.0517584,0.0503044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00561949,0.0107234,0.033416,0.0123152,0.0517586,0.0626285,0.0841227,0.182931,0.456468,0.448142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000738043,0.00358947,0.00476918,0.000833044,0.0247003,0.0188885,0.0464485,0.0750805,0.179886,0.187274]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(699, 87, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0314464,0.0378438,0.0540192,0.128704,0.137774,0.308993,0.660946,1.23511,2.23939,3.89491]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00796776,0.00850226,0.00971693,0.0334208,0.0443439,0.0474632,0.112454,0.227128,0.379745,0.685361]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0425512,0.0906307,0.15382,0.244383,0.323991,0.360655,0.58695,1.01733,1.55394,2.42714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0113884,0.0453618,0.0542314,0.0704554,0.0709053,0.084139,0.154453,0.199828,0.376608,0.608999]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(700, 88, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00513339,0.0113126,0.0183301,0.0439369,0.101927,0.23427,0.428771,0.880999,1.64708,2.56722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000139871,0.00285394,0.00448317,0.0107369,0.0197632,0.0269737,0.0491207,0.128508,0.18322,0.25536]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00788805,0.0166042,0.0397783,0.144625,0.199223,0.377931,1.15183,1.86511,3.71042,5.53106]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00705768,0.0133118,0.00362529,0.0146846,0.0240389,0.0505335,0.152073,0.276026,0.432504,0.658709]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(701, 89, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00125322,0.00240503,0.00405095,0.00618812,0.0105346,0.0166405,0.0871314,0.125385,0.241207,0.534485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00696027,0.00635689,0.012245,0.0119139,0.018412,0.0217832,0.121689,0.139288,0.256098,0.506663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00451922,0.0109282,0.0171165,0.0378641,0.0378011,0.0509257,0.128198,0.249608,0.438847,0.526644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00772903,0.0130671,0.0212649,0.0408953,0.0362195,0.0635375,0.119811,0.222114,0.357013,0.409637]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(702, 90, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0249783,0.0466746,0.0769215,0.114085,0.124007,0.158242,0.2323,0.336335,0.555166,0.890388]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0255153,0.0377975,0.0589529,0.0985764,0.138591,0.214126,0.44636,0.78074,1.12945,1.62338]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0303255,0.0499758,0.0949894,0.138231,0.190668,0.264323,0.446753,0.737047,1.37553,1.78427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0220665,0.0380665,0.0866115,0.120058,0.17347,0.300725,0.650256,1.06003,1.45986,2.13352]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(703, 91, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.232424,0.316181,0.346424,0.462523,1.00983,1.87821,3.39982,4.48471,4.00898,5.0373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.159264,0.235674,0.254425,0.303086,0.592164,0.896497,1.26098,1.4031,1.04567,1.15557]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(704, 92, 81, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0419572,0.0852107,0.0663153,0.078139,0.0844831,0.087242,0.128962,0.154856,0.262322,0.369199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0376155,0.081256,0.0866219,0.119069,0.118938,0.113023,0.102653,0.0816626,0.144835,0.154344]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(705, 93, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.020986,0.02768,0.0270559,0.0618642,0.163329,0.3485,0.507089,0.892351,2.67331,3.12378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00651598,0.00477006,0.00836554,0.023758,0.0532413,0.123403,0.16499,0.264281,0.611407,0.659227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0528294,0.0536539,0.0392074,0.0635622,0.229964,0.439938,0.667495,1.49435,2.06861,3.34128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00653848,0.0179262,0.0181863,0.0251938,0.0765175,0.174935,0.265848,0.495795,0.636153,0.997573]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(706, 94, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0124958,0.0210932,0.0330614,0.0720963,0.0516601,0.0771354,0.167079,0.223302,0.435869,0.691974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0130854,0.013451,0.0202305,0.0178933,0.0248102,0.0381988,0.0557767,0.0744763,0.149397,0.262896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.025719,0.0474413,0.0455034,0.0625439,0.119886,0.154587,0.241487,0.359031,0.631692,1.06684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0155364,0.0218182,0.032499,0.0235043,0.0767392,0.110825,0.161357,0.253098,0.390791,0.621658]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(707, 95, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0124216,0.0167513,0.020629,0.0299918,0.0490208,0.0706052,0.114647,0.148726,0.291955,0.471182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0129379,0.020968,0.0220563,0.0178534,0.0372685,0.0490979,0.0598628,0.0884445,0.142289,0.164018]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0150475,0.0214522,0.0294398,0.0346194,0.0609311,0.0764648,0.116488,0.174405,0.220893,0.317452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00496386,0.02831,0.0333416,0.010265,0.0380319,0.0389041,0.0540149,0.0783648,0.069232,0.109701]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(708, 96, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0060425,0.00961926,0.0167218,0.0315626,0.0449846,0.0931837,0.141298,0.35317,0.576123,0.766896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186855,0.0452131,0.113662,0.1403,0.126481,0.228465,0.229878,0.373164,0.386068,0.308093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00813186,0.0132133,0.0148322,0.0176842,0.0383807,0.0614924,0.0953491,0.169146,0.305122,0.486518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00807953,0.0116658,0.0348124,0.0284376,0.0470554,0.0447679,0.0776844,0.0912425,0.108294,0.13203]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(709, 97, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0562483,0.0829874,0.138333,0.119673,0.100563,0.142622,0.187483,0.27626,0.319795,0.511222]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112237,0.125387,0.155032,0.110719,0.082637,0.119487,0.117305,0.120967,0.126101,0.209591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0893943,0.135022,0.164056,0.175681,0.206885,0.174905,0.176783,0.276726,0.478631,0.693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139266,0.20185,0.18431,0.186681,0.195828,0.150284,0.113776,0.150157,0.251051,0.325973]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(710, 98, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.734647,1.20364,0.761703,0.88438,0.874479,1.16286,2.28845,2.77588,4.32905,5.98499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.250117,0.461509,0.328003,0.395886,0.403827,0.5654,1.04255,1.07268,1.42856,1.79469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.98617,1.09488,1.37517,1.75489,1.73868,2.56164,3.21149,4.97759,6.73638,8.61967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.253651,0.37502,0.490678,0.789025,0.779414,1.11067,1.11419,1.66201,1.87475,2.07752]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(711, 99, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00313655,0.00570695,0.00766547,0.0126648,0.0594392,0.120207,0.292134,0.684764,0.947031,1.69485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00419198,0.00955566,0.00152714,0.0116772,0.0294096,0.0725288,0.173231,0.399107,0.509631,0.715277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00105109,0.00376339,0.00719015,0.0141812,0.0336671,0.0645089,0.0876201,0.179851,0.346553,0.641888]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.000676108,0.000759033,0.0153552,0.0193012,0.0472397,0.0668163,0.112788,0.192564,0.318187]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(712, 100, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.320164,0.504063,0.431499,0.474807,0.752693,0.846283,1.61859,2.16076,3.55057,5.12669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.099121,0.154135,0.123734,0.13167,0.169298,0.245166,0.489374,0.654749,0.96816,1.33193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.425858,0.522684,0.578888,0.522852,0.816242,0.671209,1.03207,1.32606,1.23992,1.99002]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.140804,0.123506,0.183558,0.186826,0.299087,0.247964,0.443568,0.594454,0.461651,0.635706]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(713, 101, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.62604,6.92706,5.6485,9.61101,9.09174,15.0044,18.3506,27.1093,43.5534,52.0581]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.39377,2.98205,2.81037,4.56134,4.00853,6.45486,7.00965,9.05904,12.2705,12.5531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.79261,6.71253,6.00284,7.50846,8.74649,10.454,17.7257,20.7922,34.576,43.1678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34228,1.89145,2.18135,2.71315,3.2628,3.4049,5.22679,4.99077,7.42182,8.20702]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(714, 102, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.27908,9.16691,11.9658,20.516,34.8701,67.5913,109.121,187.057,306.432,573.438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.398,121.819,116.992,163.173,232.718,316.964,433.883,561.281,738.683,947.848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.04206,19.0585,22.5998,31.5281,41.7891,92.5125,130.217,242.027,419.693,705.22]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.5157,72.327,95.124,135.334,215.435,281.91,424.02,603.582,843.83,1089.53]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(715, 103, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.704324,1.03103,1.62203,1.92444,1.81288,2.73051,2.59202,3.71808,7.24736,10.4295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.5877,35.9445,32.3883,29.7601,27.8086,26.2146,24.4274,22.3486,24.1946,27.7461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.650184,1.07824,1.54308,2.18899,2.33916,3.54673,2.60142,4.18322,5.09802,9.8223]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.4585,25.9722,24.4195,23.349,22.1751,20.7729,19.1386,17.2848,18.2357,20.6381]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(716, 104, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29039,1.96546,2.00732,4.1582,8.56909,16.6945,25.8941,45.7455,89.0356,176.305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.75247,15.8426,31.393,54.1096,83.3776,121.894,186.834,278.987,389.633,498.471]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.31775,8.40393,8.07928,9.4431,13.3351,38.5608,47.6542,88.6917,161.829,255.871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.41385,20.1138,39.7637,69.129,108.031,159.371,244.092,364.533,508.27,646.876]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(717, 105, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41069,3.01496,4.28631,8.34534,15.0938,34.2656,58.8026,103.273,152.396,285.098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.45712,2.07677,3.25582,4.57844,6.70782,9.22329,14.5556,22.3322,34.3446,46.9464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51588,5.18455,7.14446,11.8702,15.8514,34.6432,58.3006,112.941,195.073,350.768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.59746,2.28724,3.61081,5.22627,7.86411,10.8389,18.1689,29.4793,44.7358,59.241]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(718, 106, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.214929,0.586435,0.854853,1.83063,2.98671,7.09054,13.3631,25.2335,40.7414,99.5951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.778676,0.560586,1.18869,2.0837,3.61304,5.82371,9.8756,15.7168,24.508,36.3694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.165994,0.583575,0.848524,1.57911,2.12393,6.46678,12.3257,25.1809,52.006,128.015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.686754,0.466952,1.05348,1.97085,3.89485,6.51726,11.922,20.2077,31.0041,44.6421]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(719, 107, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19576,2.42853,3.43146,6.51472,12.1071,27.175,45.4395,78.0391,111.655,185.503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.67844,1.51619,2.06713,2.49473,3.09479,3.39958,4.68005,6.61543,9.83655,10.577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34988,4.60097,6.29594,10.2911,13.7275,28.1764,45.975,87.7606,143.067,222.753]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.910704,1.82029,2.55733,3.25542,3.96926,4.32159,6.24698,9.27165,13.7317,14.5989]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(720, 108, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276931,0.572648,0.865514,1.59958,2.96674,5.35115,9.23207,16.2569,27.4338,51.3984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.89941,1.75763,2.25033,4.32769,7.60584,14.0566,22.5736,31.6626,47.6095,67.8359]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.447927,1.01462,1.22598,1.62163,2.01334,3.10271,4.31093,7.54079,11.9947,18.5512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62998,1.37716,1.90243,3.57891,6.60504,12.226,19.8035,27.1848,39.7996,56.5659]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(721, 109, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.641379,0.958556,1.22273,1.75753,2.47602,3.49856,5.34196,7.58261,11.9734,18.4722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.30261,3.53817,3.39141,4.18034,5.41083,7.30706,9.48925,11.9001,15.1965,18.8424]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.127,1.84042,2.52543,3.53117,4.64956,7.39388,9.9846,15.5915,22.4455,30.3086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.23365,4.87791,4.53027,5.79758,7.69783,10.4229,13.5801,16.0948,20.9064,25.7586]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(722, 110, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.030937,0.0586453,0.0939012,0.224589,0.296264,0.695766,1.66138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.09852,3.31457,3.98503,5.25296,7.55255,13.0331,23.0045,37.6176,62.0286,98.9134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0374623,0.056563,0.0913946,0.14593,0.342004,0.709068,1.44705]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.08698,5.39355,6.45929,8.27943,11.7868,20.0371,34.7912,57.0641,93.3194,147.131]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(723, 111, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0507718,0.0824881,0.112549,0.206186,0.371166,0.522507,0.766987,1.37687,2.29757,4.53759]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0767073,0.133809,0.194348,0.303585,0.426039,0.699978,1.12024,2.14076,3.99896,7.03691]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(724, 112, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0645295,0.10259,0.212733,0.430283,0.771349]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0049794,0.0195955,0.0648148,0.239824,0.639519,1.13386,2.84471,7.35555,14.4627,24.1911]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0831746,0.142821,0.298445,0.563002,1.03805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00558946,0.0250686,0.0787977,0.283315,0.751178,1.37734,3.36399,8.72896,17.3171,28.9698]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(725, 113, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.109258,0.190297,0.229401,0.263059,0.345423,0.37541,0.486221,0.56712,0.764092,1.25332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.769769,1.17391,0.770122,0.577264,0.447526,0.542323,0.634042,0.618377,0.80765,1.44216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.124749,0.217028,0.309428,0.323706,0.378089,0.456364,0.56464,0.816254,1.18354,1.61226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7909,1.17903,0.795578,0.632308,0.472047,0.596203,0.670161,0.759477,1.10954,1.92757]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(726, 114, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.795338,1.35148,1.61993,2.23073,3.1764,3.99463,5.67824,8.02819,14.1579,23.5108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.5253,58.1516,39.4934,60.1473,93.1679,123.559,149.52,148.459,150.406,163.459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.781863,1.18588,1.57777,2.20818,2.73985,3.93427,5.39185,9.4808,16.7973,28.7636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.2989,11.1011,13.5636,19.0586,50.0519,46.2678,70.4117,82.453,100.136,102.418]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(727, 115, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20515,3.03336,3.08049,4.68474,5.77345,8.12836,11.4702,13.7509,27.7025,49.1465]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[566.53,621.897,717.289,841.967,999.906,1203.06,1352.07,1575.99,1834.96,2134.75]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.7488,3.9872,5.55195,5.75092,6.44829,7.34873,10.7885,23.2269,33.5075,51.0846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[599.567,682.121,808.791,928.807,1079.25,1201.86,1384.07,1616.14,1899.74,2222.91]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(728, 116, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.166081,0.449655,0.578004,0.836357,0.98151,1.33201,2.99636,4.71287,10.7694,22.7766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[226.493,311.044,399.511,502.655,619.755,757.071,931.769,1147.93,1405.09,1691.53]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.340449,0.939491,1.34215,1.69643,2.02656,2.80806,4.76696,11.7485,18.7421,31.1207]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[301.708,412.109,523.229,642.403,772.224,915.521,1104.49,1349.97,1639.98,1956.66]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(729, 117, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0103051,0.0444136,0.0254737,0.0528308,0.0749135,0.119412,0.208951,0.368796,0.770197,1.35983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0182497,0.0231382,0.034557,0.035053,0.0787475,0.217286,0.470676,1.10973,1.99286,3.54549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0527072,0.115981,0.191643,0.257469,0.350832,0.447661,0.647871,1.72498,2.48788,3.98962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0584492,0.0558217,0.0578594,0.0856189,0.132075,0.437653,1.20991,3.14577,5.96499,11.4202]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(730, 118, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.450017,1.31241,1.31452,2.43615,3.27238,4.73277,5.68033,5.63599,10.7212,16.2132]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[183.121,113.049,83.7794,73.6603,72.3131,74.8799,79.5521,85.3515,91.8357,99.8397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.896739,1.8327,2.47868,2.29523,2.40693,2.4482,3.30775,5.81264,7.40182,9.62517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[169.287,106.533,78.3872,68.4916,67.1041,69.3616,73.7948,79.0806,84.4214,90.4176]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(731, 119, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0232536,0.0397812,0.0507961,0.0926929,0.125559,0.160945,0.35233,0.431328,0.958493,1.40872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.399963,0.325174,0.420911,0.561839,0.871491,1.18674,1.78988,1.59315,2.35057,3.26946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0686183,0.170165,0.234724,0.25114,0.333384,0.435262,0.6243,1.45207,2.0576,2.72112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.517954,0.360877,0.40726,0.603063,0.898054,1.32591,2.08616,1.64567,2.3811,3.46849]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(732, 120, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.555497,1.18711,1.1117,1.26671,1.31909,1.78322,2.23228,2.60191,4.48319,7.38818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[156.498,197.456,233.543,265.055,306.888,369.708,338.486,340.008,333.69,336.565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.390284,0.928864,1.30476,1.25065,1.33059,1.20954,1.4416,2.48879,2.8181,3.62792]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.996,163.062,206.71,217.223,238.891,215.216,202.483,182.298,166.999,160.939]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(733, 121, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08233,7.43245,9.28324,9.52507,12.9153,14.1514,17.3436,31.5965,37.224,59.4043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.72203,2.5755,3.88445,6.14093,11.5089,18.2562,25.2208,31.4791,37.1015,40.6667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0829,7.22768,15.5734,23.9561,36.5057,37.7707,48.3747,62.955,76.7162,115.233]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.51764,4.34237,6.41249,10.4042,22.581,35.5416,44.2947,48.9378,52.2969,56.9615]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(734, 122, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37848,2.754,3.66657,3.94179,5.63412,6.57297,8.43239,15.8034,18.8683,30.2354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.562348,0.844701,1.43326,2.35026,4.72305,8.23592,11.8338,15.4374,18.5885,20.3176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.07493,3.78113,8.20774,12.6538,19.6251,21.1299,27.6818,36.4504,44.6774,67.2706]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.43021,2.45553,3.58775,5.87817,12.7977,20.7286,26.5748,29.1992,31.4832,34.1192]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(735, 123, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.53816,1.07777,1.43898,1.54205,2.30674,2.95536,4.09981,8.35115,10.9353,19.2586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.225607,0.397294,0.618805,1.03816,2.10518,3.93461,6.25571,8.60285,11.0642,13.6475]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.175238,0.615222,1.33612,2.07377,3.44752,4.22797,6.28957,9.39554,12.9756,21.8639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18267,0.344825,0.478034,0.803617,1.90905,3.52716,5.13336,6.75937,8.16061,9.978]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(736, 124, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0606658,0.333677,0.621667,0.800524,1.14758,1.13527,1.26515,2.12857,2.34018,3.51362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0193537,0.114362,0.257922,0.523159,1.05757,1.51016,1.9163,2.17932,2.36988,2.42127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0801731,0.775731,2.36131,4.38668,7.0361,6.76075,8.18351,10.1879,11.972,17.3933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.098584,0.447446,0.984234,1.86469,4.24664,6.47424,7.33015,8.06181,8.2384,8.86653]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(737, 125, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10503,3.267,3.55602,3.24071,3.82683,3.4878,3.54624,5.31333,5.08017,6.39663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.914717,1.21914,1.57446,2.22936,3.62309,4.57547,5.21498,5.25952,5.07888,4.28025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.752554,2.0556,3.66819,4.84185,6.39694,5.65204,6.21983,6.92119,7.09131,8.70525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.806177,1.09457,1.36247,1.8577,3.62759,4.81154,5.25641,4.91741,4.4147,3.99769]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(738, 126, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.8553,6.5169,6.31772,6.83676,8.62533,12.0608,18.5551,25.1241,33.6589,93.4687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.561,71.7961,78.4998,86.8821,98.2839,110.763,122.066,72.6816,75.8668,77.5902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.05096,14.1751,17.2751,19.7884,20.1789,24.7594,35.7863,61.3255,86.0718,133.751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.497,68.2562,70.1027,79.5558,93.9941,107.794,127.612,85.9189,90.1952,93.262]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(739, 127, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.46824,1.10674,1.05884,1.20616,1.80465,2.61043,3.92933,5.6644,7.18452,20.9358]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.70431,4.87257,6.83934,9.13774,11.4133,13.7986,15.706,3.02333,3.63804,4.16209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.898219,2.52562,3.31327,3.95739,4.39205,5.3248,7.70184,14.3073,19.614,30.0528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.97958,7.62942,9.46532,12.8486,18.0707,21.9252,28.1149,8.07516,9.37099,10.5074]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(740, 128, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00770524,0.0160879,0.013445,0.0161169,0.0245602,0.0309895,0.0551933,0.0697601,0.0839604,0.217495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.3969,18.3402,21.8005,24.7782,28.4637,32.0691,34.4263,3.49994,4.03733,4.26793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00622729,0.0145474,0.015848,0.0170982,0.0177714,0.0224863,0.0351334,0.0502631,0.0795617,0.109269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7714,9.54182,9.21607,11.1716,14.4348,16.7457,20.094,2.26377,2.56163,2.79581]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(741, 129, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.412268,0.781151,0.826454,0.879612,0.961373,1.35656,2.01318,2.74363,4.03453,12.5723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.37001,4.97821,4.15753,3.55711,2.75671,2.19642,1.65068,1.62303,1.39011,1.31073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.739478,1.80267,2.0117,2.22655,2.00131,2.50667,3.35108,5.76445,8.73214,14.7605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.11305,5.58051,4.80447,4.12683,3.10456,2.364,1.91261,1.6688,1.61379,1.56128]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(742, 130, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.522414,1.18288,1.12692,1.29776,1.4883,2.05212,3.43117,4.65128,6.58988,16.8099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149643,0.124053,0.200458,0.220887,0.271344,0.311371,0.417235,0.528923,0.637595,0.763884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20826,3.29826,3.81689,4.329,4.5049,5.2456,7.81339,13.3829,19.4839,28.7667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.186835,0.145275,0.158664,0.248672,0.320164,0.321366,0.404682,0.557694,0.666955,0.742865]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(743, 131, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00448032,0.00991327,0.00973537,0.0108429,0.0144705,0.0189168,0.0311508,0.0376119,0.0552047,0.156943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.815361,1.02204,1.30818,1.63316,1.96307,2.29357,2.7314,3.76606,4.80647,5.90144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00555764,0.0138805,0.0173625,0.0213592,0.0234573,0.0283809,0.0465681,0.0761931,0.121735,0.204913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.85394,3.42205,4.70897,6.09742,7.45117,8.83577,10.7243,14.4932,18.2625,21.9173]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(744, 132, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.225313,0.445812,0.4056,0.392579,0.378773,0.443562,0.591839,0.671749,0.820625,1.76762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.525,23.8629,21.5504,21.3178,21.4908,22.4554,23.7566,23.1269,20.3443,17.222]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.137413,0.527727,0.520947,0.593973,0.539382,0.559594,0.843271,1.17185,1.82945,2.48416]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.0145,24.8562,22.8245,22.4336,23.2077,25.0964,27.2809,26.1395,22.1826,17.7077]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(745, 133, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0023179,0.00549275,0.00479607,0.00698733,0.00817269,0.0108515,0.0231743,0.0275654,0.0383198,0.0998257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0297832,0.0227036,0.0509976,0.0552723,0.0480343,0.0784795,0.0965691,0.131848,0.19305,0.235931]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0033139,0.00960742,0.0149212,0.0131913,0.0114124,0.0146944,0.0258352,0.0411758,0.0631997,0.103284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186527,0.0205571,0.0253688,0.0463592,0.0340804,0.0519673,0.0591072,0.110588,0.131845,0.210213]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(746, 134, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.262848,0.617505,0.646854,0.639741,0.769581,1.00088,1.42288,1.7437,2.25512,5.91255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.49543,4.2644,6.85547,9.32193,12.0011,14.3757,17.3626,20.7672,23.5978,26.4671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.188043,0.426537,0.538668,0.673312,0.717789,0.9002,1.18809,2.1364,3.00649,5.16182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48525,2.49859,3.93786,5.43279,6.80833,8.1861,9.97392,12.3273,14.5915,16.8261]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(747, 135, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.235212,0.686335,0.635714,0.748244,1.00262,1.34904,2.05966,2.69634,3.26911,9.37442]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.304485,0.497051,0.728686,0.87295,1.09894,1.34734,1.47787,1.64932,1.827,1.71539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.568751,1.69928,2.55852,2.99879,2.87881,3.5944,4.97041,7.98798,10.432,16.1675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.362206,0.733945,1.35075,2.04836,2.74134,3.40758,3.57273,3.49153,3.29074,2.95296]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(748, 136, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.714502,1.66498,1.58936,1.63872,2.17283,3.18747,4.99752,6.818,9.32763,25.6219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.77,13.812,15.0082,15.9871,18.7768,21.8366,24.4405,14.565,15.3951,15.5438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29569,3.85693,4.46698,4.9577,5.09198,6.56252,9.81071,16.4069,22.7092,35.9397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7115,13.8279,13.6108,15.1016,17.8213,20.8597,25.4747,16.7915,17.5226,18.0403]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(749, 137, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.88145,12.8521,12.7286,12.3704,12.7709,12.4184,14.0132,14.52,18.3136,25.975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1001.65,1133.79,1088.01,1059.33,1070.09,1066.38,1060.33,1058.07,1040.27,1028.22]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.01705,12.9103,15.0198,14.9691,16.0161,15.791,18.4854,21.4924,25.435,33.4554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[713.145,826.494,807.073,781.771,783.01,776.118,775.815,781.139,780.872,788.216]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(750, 138, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114332,0.195054,0.160671,0.178074,0.213002,0.250397,0.351967,0.454224,1.0835,2.70124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.109,21.7382,58.068,99.3515,148.946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0915871,0.125756,0.163598,0.23312,0.284181,0.318285,0.48911,0.636282,1.16583,2.43914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,1.73566,17.5211,45.5429,75.8952,112.23]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(751, 139, 81, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.117337,0.139377,0.13676,0.152138,0.218304,0.338415,0.681358,1.50508,3.35019]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.111153,1.05847,2.90726,5.15456,8.20305,12.6072,18.8978]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.108257,0.142147,0.135245,0.158589,0.233701,0.439544,0.910318,1.74744,4.29003]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.150512,1.37272,3.77235,6.73072,10.7818,16.1746,24.3289]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(752, 140, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.07074,11.6897,11.5723,10.9694,11.1141,10.2846,10.6719,9.72964,10.3765,12.325]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[282.699,288.882,281.919,272.246,261.962,254.733,249.434,248.658,247.635,249.203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.0041,10.9473,13.1179,12.8396,13.5512,12.7767,13.9395,14.571,14.6543,15.7768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[302.835,312.469,306.375,294.567,283.644,274.344,269.462,265.068,263.089,263.405]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(753, 141, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0487852,0.0931689,0.131471,0.212536,0.264743,0.406604,0.450713,0.538598,0.57386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.974044,2.27214,5.67058,9.90232,12.6449,13.694,13.7753,12.5244,11.0398,8.73789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0297137,0.0706853,0.106587,0.170276,0.205983,0.267455,0.273885,0.370376,0.380876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.528676,1.19433,2.89067,5.16283,6.75265,7.32672,7.15684,6.38426,5.65645,4.52895]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(754, 142, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[692.849,806.497,758.924,732.553,748.61,744.791,709.789,648.792,568.911,488.482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[389.245,482.159,462.014,443.784,451.817,447.203,421.794,380.56,330.338,281.353]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(755, 143, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.3136,34.623,38.0429,38.326,37.7236,36.9341,36.1279,35.2732,34.4277,33.5588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.0119,29.6522,33.5909,34.2817,33.7684,32.8339,31.9203,31.1155,30.354,29.546]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(756, 144, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.696372,0.801217,0.763122,0.954667,1.07905,1.40038,2.24438,3.2041,4.80995,7.02465]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.813448,1.51328,3.45259,6.19129,8.09465,11.2092,24.3131,46.5515,66.3026,80.3948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.92137,1.69927,1.52548,1.6546,1.85183,2.25631,3.3498,5.10094,7.49702,10.5685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.524101,1.01965,2.2034,3.82501,5.65564,8.90244,21.2306,41.6872,59.3643,72.8242]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(757, 145, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.286942,0.480779,0.55981,0.554888,0.577904,0.581233,0.688753,0.865471,1.08484,1.43308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2712.23,3114.51,3367.73,3440.01,3442.71,3401.13,3326.99,3172.41,2974.73,2654.16]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.336051,0.851521,1.48691,1.45527,1.66926,1.45252,1.77557,1.96198,2.30885,2.61672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2368.26,2653.2,2897.5,2925.64,2869.29,2772.77,2657.1,2492.93,2265.63,1969.1]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(758, 146, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.0594789,0.0754846,0.103868,0.0926144,0.128265,0.164718,0.260688,0.378421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.7722,62.2474,134.494,220.21,288.507,322.013,332.171,319.422,278.879,218.846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.243513,0.329526,0.494374,0.45089,0.561316,0.54933,0.665662,0.63085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.9339,74.6551,164.892,273.035,363.09,412.01,426.699,408.55,349.347,271.987]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(759, 147, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00490404,0.00806182,0.0113839,0.0170112,0.0289553,0.045775,0.0674338,0.10063,0.145097,0.213071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.5588,69.9651,67.6374,62.2141,62.1437,66.2788,70.7985,64.1635,50.2182,35.9565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00753943,0.0154334,0.025357,0.0316493,0.0423991,0.0521506,0.0777835,0.114107,0.160994,0.233284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[123.807,172.356,168.111,153.863,153.243,163.18,173.106,156.695,121.995,87.0969]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(760, 148, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.199382,0.359791,0.367898,0.335952,0.298097,0.298632,0.291093,0.344359,0.358138,0.369854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.581,301.773,330.35,239.363,166.697,115.52,81.2952,53.4494,32.5786,17.1671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.248915,0.689977,0.977094,0.827804,0.78631,0.609039,0.599393,0.633882,0.576983,0.608966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[203.435,560.309,631.584,503.402,356.89,237.681,156.109,100.397,62.5757,33.7637]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(761, 149, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103686,0.187163,0.191219,0.174549,0.155038,0.155125,0.151098,0.178739,0.185659,0.191455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9027,110.907,148.59,98.3298,65.7296,49.5312,35.7831,20.3632,10.007,4.91663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128588,0.35753,0.506576,0.428156,0.40523,0.313967,0.309789,0.326661,0.297588,0.313923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.8742,235.213,297.743,232.343,162.407,112.359,72.8941,42.2709,23.8944,13.34]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(762, 150, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000463692,0.000784374,0.000949699,0.000927175,0.000679065,0.000854966,0.00093579,0.00111355,0.00137108,0.00167033]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.75152,13.3616,17.0408,10.8941,6.9045,4.80168,3.16121,1.70435,0.883064,0.483245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0013658,0.00278325,0.00369509,0.00406622,0.0052062,0.00394555,0.00315355,0.00420934,0.00360354,0.00395085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.31884,27.7391,38.5015,27.8,17.2941,11.5798,6.9192,3.81782,2.05146,1.15374]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(763, 151, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000368724,0.0006129,0.000774645,0.000767437,0.00053705,0.000713032,0.000797637,0.000950127,0.00120153,0.00149572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.0394,65.0006,64.3069,53.3755,39.5413,26.2734,19.1591,14.9838,10.6383,5.80714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00124875,0.00245687,0.00323242,0.00367604,0.00483817,0.00366032,0.00287143,0.00391268,0.00333307,0.00366567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.0327,106.598,112.628,97.1452,72.6371,47.602,33.8873,25.4389,17.6828,9.33449]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(764, 153, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0948631,0.171231,0.174955,0.159708,0.141844,0.141939,0.138262,0.163556,0.169906,0.175233]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.9155,74.7516,77.113,60.7424,43.8063,29.2022,20.8544,15.4791,10.6159,5.75207]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.117713,0.327207,0.463591,0.391906,0.371036,0.287467,0.283579,0.299099,0.272459,0.287427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.7838,129.116,144.416,118.954,85.3498,55.9733,38.358,27.3013,18.2613,9.6181]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(765, 155, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1173.2,1299.65,1378.93,1445.33,1488.32,1529.46,1561.75,1551.8,1516.06,1365.39]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[712.686,793.766,834.324,869.251,886.285,899.17,912.611,918.915,898.885,806.942]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(766, 156, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[177.381,202.134,216.872,228.264,239.45,249.596,262.16,266.453,267.154,261.862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[124.627,145.539,158.057,167.456,174.757,181.944,189.86,190.504,187.24,180.696]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(767, 159, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.424,275.888,403.649,449.982,432.775,372.082,287.201,217.988,170.893,135.466]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.2897,221.434,332.049,377.827,370.133,324.521,256.577,198.385,156.017,124.376]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(768, 160, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[775.508,777.353,725.763,694.922,678.667,670.304,661.373,632.627,592.18,549.639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[424.575,422.337,393.098,379.633,373.125,370.371,365.061,346.378,318.893,293.228]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(769, 161, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0653897,0.095255,0.0967754,0.0978862,0.105734,0.0871754,0.0998701,0.111942,0.118476,0.150254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.706,23.434,30.2703,26.6244,17.8613,10.7188,6.75932,4.30679,2.69653,1.74441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0407379,0.0780251,0.112289,0.109925,0.110602,0.081623,0.100845,0.111919,0.131471,0.172338]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(770, 162, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.7549,32.0865,31.2154,30.5739,29.6531,29.1635,28.511,26.9136,25.6582,24.7831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.4292,92.5331,91.4085,87.9174,86.0354,83.7445,80.7042,78.2106,74.5114,71.0754]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(771, 163, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.1949,23.3941,22.8042,22.0303,21.5427,20.6975,19.8711,18.6834,17.9562,16.8223]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.8549,96.3631,94.243,92.3121,90.0219,87.1895,83.8107,80.3315,76.2037,71.8211]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(772, 164, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.77798,5.28198,2.83582,1.37371,0.60168,0.227875,0.0681601,0.0167313,0.00324395,0.000151189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.6655,19.2582,11.1888,5.74367,2.63833,1.04142,0.341518,0.0944202,0.0215013,0.00463245]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(773, 165, 81, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[176.156,13.1248]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[425.058,31.6224]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(774, 166, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9435,11.5525,8.79387,6.1814,3.99455,2.46263,1.48548,0.935175,0.567357,0.345819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1637,13.3974,10.0811,6.9834,4.59137,2.81442,1.83529,1.12767,0.745412,0.46314]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(775, 167, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0172664,0.0176704,0.0242736,0.0285547,0.0412497,0.0570362,0.102092,0.143822,0.202438,0.321479]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.2712,16.6246,14.1217,12.9491,12.4935,12.6112,13.5444,15.6505,19.8787,26.1391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0388583,0.0680851,0.128661,0.156368,0.23557,0.258819,0.436234,0.552741,0.773736,0.971283]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.7391,9.62844,8.46572,8.21824,8.48281,9.10025,10.3806,13.3379,19.1949,27.6486]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(776, 168, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.649,20.2411,19.6207,17.0108,21.3052,25.7924,37.4123,60.041,81.2237,141.545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[587.634,862.227,1114.41,1261.46,1351.35,1364.99,1271.42,1408.18,1454.53,1497.69]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.20617,6.59067,8.48046,10.784,11.3342,19.4176,32.1988,55.3755,101.326,150.275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[299.65,283.399,333.516,421.588,551.52,741.965,945.232,1296.41,1691.42,2096.56]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(777, 169, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27303,2.02809,2.1697,2.80265,5.11184,9.86448,14.627,31.8926,37.5045,71.3926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.0712,46.7548,76.0194,131.439,209.663,302.105,393.936,495.926,611.333,741.029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02093,1.83065,2.43729,4.09615,3.01769,9.78741,17.3888,34.2986,69.9757,100.883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.0248,49.7289,84.1964,149.131,242.266,352.348,463.344,579.438,702.541,836.446]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(778, 170, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.144165,0.205436,0.160092,0.19665,0.227976,0.25814,0.355406,0.394783,0.513137,0.753439]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0204619,0.00862325,0.00885363,0.00758113,0.00625723,0.00580202,0.00817997,0.00955661,0.0134786,0.0169012]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.275341,0.345973,0.500009,0.505492,0.603393,0.675002,0.827197,1.26373,1.53797,2.27135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0297456,0.0181092,0.0158576,0.01452,0.0107574,0.0112213,0.011436,0.0165896,0.0238987,0.0297471]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(779, 171, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19919,3.94015,4.81401,5.26975,7.42519,9.23564,14.0461,16.8667,27.0985,42.5928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.15007,8.05932,11.9277,18.4299,28.3486,38.2021,48.1971,62.4176,90.3791,128.66]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.475344,0.960845,1.38192,1.65434,2.35653,2.86561,4.76298,7.31164,10.6338,16.1141]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.63768,7.26966,10.3758,15.9781,24.9085,33.7052,43.6045,57.1072,87.3063,128.487]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(780, 172, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00337561,0.190784,0.467552,0.727796,1.30518,2.02069,3.6901,5.09872,9.35338,16.6366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106296,0.544337,1.35293,2.73732,5.33447,8.73479,13.1624,19.8882,32.4706,47.7852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000661547,0.0418941,0.118515,0.201311,0.372598,0.560081,1.10573,1.97765,3.33851,5.66805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.071725,0.418525,0.964766,2.1698,4.39562,7.07367,10.9078,16.2368,28.1199,42.2273]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(781, 173, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.350686,0.687102,0.910341,1.10152,1.70674,2.2987,3.34869,3.84107,5.87538,8.75174]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.787954,1.4492,2.38324,3.9942,6.66046,9.41108,11.335,13.7321,19.2726,26.8914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0838746,0.183865,0.288524,0.381145,0.598508,0.789625,1.25999,1.85171,2.55791,3.68718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.830093,1.50085,2.36516,3.76563,6.4616,9.07774,11.1464,14.0788,20.3637,30.3507]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(782, 174, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.84513,3.06226,3.43612,3.44043,4.41328,4.91625,7.00732,7.92686,11.8697,17.2044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.25582,6.06578,8.19158,11.6984,16.3537,20.0562,23.6997,28.7973,38.6359,53.9832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.390808,0.735086,0.974877,1.07189,1.38542,1.51591,2.39726,3.48228,4.73742,6.75892]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.73586,5.35029,7.04586,10.0427,14.0513,17.5538,21.5503,26.7915,38.8227,55.9093]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(783, 175, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.336544,0.586363,0.707727,0.956609,1.32623,1.60023,2.65224,4.26143,6.3799,11.5319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.1469,10.4704,12.1553,14.1591,16.6798,19.4039,22.9551,25.0994,27.3349,29.1451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.398782,0.728132,1.17581,1.42838,1.92301,2.30137,3.58355,5.4445,9.32608,16.9581]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.54338,18.6995,32.396,50.469,69.4163,109.502,185.828,397.537,620.877,811.763]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(784, 176, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.126705,0.213838,0.253523,0.325546,0.429696,0.545526,0.876817,1.4984,2.25019,4.14574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.4121,4.26972,3.73705,3.21041,2.73236,2.38524,2.38478,2.29033,2.24869,2.31089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0516094,0.0969241,0.140427,0.164668,0.188209,0.240966,0.379011,0.622598,1.23068,2.15493]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41937,1.59985,1.8027,2.03676,2.15881,2.3247,2.59902,2.91348,3.17181,3.70036]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(785, 177, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00921433,0.0142746,0.0252324,0.0379071,0.0449599,0.056452,0.080387,0.126365,0.209421,0.326911]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2914,2.63886,4.32172,6.08368,8.2121,10.3894,12.5267,14.1395,15.6618,16.8629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0212936,0.0467556,0.0701819,0.0916078,0.135308,0.165798,0.217048,0.338517,0.568517,0.692676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.31223,4.68672,7.79447,11.249,15.0608,18.9996,23.1436,26.0765,28.8217,30.8351]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(786, 178, 81, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9368,140.865,347.033,565.797,751.577]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(787, 179, 81, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[7.83231,15.6155,27.2485,39.136,57.2748]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(788, 180, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.200625,0.358251,0.428971,0.593156,0.851578,0.998251,1.69504,2.63666,3.92029,7.0592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.4434,3.56179,4.09656,4.86506,5.73538,6.62924,8.04361,8.66957,9.42438,9.97129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.325879,0.584452,0.965202,1.1721,1.59949,1.89461,2.98749,4.48338,7.52688,14.1105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.81178,4.58063,7.18332,9.93479,13.0606,15.9663,19.2203,21.514,23.0862,25.6507]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(789, 181, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0623296,0.142773,0.194544,0.268787,0.364911,0.424498,0.510861,0.32309,0.308071,0.406789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[218.532,485.638,691.489,783.008,783.546,666.537,487.441,507.49,424.105,151.662]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(790, 182, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00367754,0.0174704,0.0430472,0.0755036,0.0996081,0.127204,0.0808634,0.0723246,0.0833591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[133.498,142.342,145.43,159.763,204.759,270.052,307.047,313.009,242.186,46.0576]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(791, 183, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[13.7282,130.892,234.638,269.903,281.219,182.515,1.03294,0.00518667]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(792, 184, 81, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[4.1503,8.25996,14.3236,20.3893,29.5606]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(793, 185, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.000294942,0.000603551,0.000732425,0.000902482,0.000913368,0.000814739,0.000271013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.50022,15.9225,40.5947,71.9332,80.2787,13.0965,0.255842,0.00157629]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(794, 186, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,1.77242e-5,0.000968429,0.00329711,0.00667184,0.0122582,0.0110588,0.0142845,0.0246146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.39238,46.627,83.9988,103.413,111.69,120.953,134.385,149.314,139.465,105.604]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(795, 187, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[16.347,97.7157,131.81,117.233,37.4747,2.73041,0.059994,0.000397562]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(796, 188, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0623296,0.1388,0.176452,0.224039,0.285208,0.317304,0.370584,0.230897,0.221462,0.298815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[46.0658,47.9887,46.757,46.4392,47.7353,47.6289,44.6598,45.1592,42.454]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(797, 189, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.93019,12.2239,10.2995,6.18359,5.53579,2.88415,3.10846,3.63513,5.48845,8.85563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[285.341,274.672,281.891,268.205,260.747,280.302,254.861,238.206,208.822,294.953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1476,1.42285,1.41266,1.33849,1.35069,1.40057,2.07769,2.03715,2.97241,4.33818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[226.003,181.857,177.82,172.074,174.514,199.742,197.766,193.411,198.438,216.288]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(798, 190, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0443569,0.0715838,0.0835133,0.0718254,0.0609653,0.0361438,0.0342879,0.0341927,0.0385982,0.0364832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.14,20.8419,20.9342,20.6643,21.0694,21.3156,19.9075,19.688,17.9159,17.98]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0103427,0.021821,0.0218312,0.0203932,0.019753,0.018625,0.0247544,0.0217316,0.0263641,0.0290671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.151,9.56101,6.32379,7.08082,9.66657,10.487,12.229,12.7175,14.8852,17.1063]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(799, 191, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.43281,4.44071,5.02695,4.42108,4.00024,2.5867,2.72409,3.03863,4.00845,4.7119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[251.324,240.42,247.942,234.856,226.785,245.908,222.685,205.82,178.966,168.674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10891,1.34813,1.35378,1.28934,1.30421,1.34475,1.98701,1.93117,2.72568,3.70139]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[178.031,144.322,146.812,139.616,136.88,160.731,155.217,146.425,146.658,150.382]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(800, 192, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0638158,0.0653066,0.0704027,0.0605566,0.0547745,0.0363139,0.0432602,0.0606009,0.0996262,0.143264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.966279,0.941906,0.952365,0.940092,0.976882,1.02706,0.935283,0.910512,0.813445,0.817166]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0251268,0.0330863,0.0291176,0.0256499,0.0253292,0.0260977,0.0429521,0.0544596,0.095963,0.161289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.748552,0.281769,0.160165,0.196628,0.327653,0.391357,0.543146,0.601222,0.828886,1.105]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(801, 193, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.38921,7.64633,5.1186,1.63013,1.41981,0.224989,0.306819,0.501706,1.34177,3.96398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.9103,12.4677,12.0624,11.7446,11.9162,12.0509,11.3338,11.7869,11.1261,107.482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00321962,0.0198123,0.00793239,0.00310448,0.00140417,0.0110891,0.0229713,0.0297906,0.124412,0.446429]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.0724,27.6928,24.5235,25.1797,27.6403,28.1329,29.7763,33.6675,36.0663,47.695]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(802, 194, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.703523,1.11436,1.27513,1.33279,1.31322,1.52522,2.1122,2.66735,3.93117,6.01157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.373,36.6239,40.9221,46.208,52.3598,58.4308,64.0244,79.0315,92.5392,152.227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.888172,1.30221,1.57277,1.7611,2.08285,2.3876,3.55859,5.01996,6.8804,9.71024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.4111,25.825,28.7124,33.9219,40.4039,46.6565,54.6776,68.9052,82.2296,103.548]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(803, 195, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.92474,1.43593,1.33474,1.40019,1.58887,2.01614,2.97907,4.26058,6.52141,8.94249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1155.65,1402,1809.97,2161.87,2570.83,3092.14,3707.58,4246.43,4699.53,5121.33]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.513847,0.764515,0.957618,0.945019,1.12542,1.24712,1.77393,2.75098,3.86304,6.04757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1020.79,1161.71,1637.09,1941.86,2248.15,2606.8,3031.8,3429.27,3782.58,4132.36]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(804, 196, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.211366,0.352092,0.317481,0.394922,0.542677,0.893975,1.38733,2.40133,4.31572,6.13218]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.0782,41.0465,60.1328,74.8977,85.0918,93.3705,103.239,118.193,138.955,161.453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102567,0.149007,0.162976,0.200372,0.242937,0.304899,0.484928,0.820255,1.28504,2.24743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.73348,11.2004,16.6815,20.9422,24.0917,26.9109,29.8565,34.8025,40.6783,47.357]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(805, 197, 81, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9401,144.515,430.894,830.356,1133.36,1282.93,1367.87]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.94618,87.719,263.754,512.406,705.222,800.064,855.048]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(806, 199, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[414.646,458.356,538.179,686.619,832.744,958,1093.18,1227.06,1355.46,1477.78]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[530.136,621.133,759.417,933.062,1101.81,1239.21,1388.73,1554.86,1712.6,1853.72]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(807, 200, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[523.387,475.977,495.663,619.024,739.353,854.134,916.718,896.761,875.7,854.739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[421.089,381.119,393.661,492.585,586.027,678.569,728.394,711.779,692.823,675.868]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(808, 201, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0031907,0.0153933,0.0420532,0.0854513,0.141447,0.215543,0.308642,0.434148,0.568023,0.680607]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00741021,0.0537389,0.14823,0.288749,0.484782,0.790151,1.13475,1.49831,1.85634,2.24749]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(809, 202, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.713374,1.08384,1.01726,1.00527,1.04619,1.12217,1.59174,1.85925,2.20569,2.81031]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[196.534,426.6,715.952,768.303,768.985,755.525,763.787,870.621,1045.92,1258.8]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.411281,0.615509,0.794643,0.744646,0.882484,0.94222,1.289,1.93073,2.578,3.80014]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.826,148.206,467.179,487.032,448.011,397.567,371.277,421.108,534.567,698.12]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(810, 203, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04059,2.19952,1.52723,1.18046,1.37026,1.5148,2.06148,2.45587,3.92344,5.94101]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[970.794,808.131,870.062,994.938,1140.04,1289.96,1522.56,1922.79,2422.07,3180.81]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.766516,1.82251,1.34704,1.46654,1.56795,1.92849,2.42153,3.58856,5.11369,8.16475]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[934.862,787.951,866.976,1006.93,1167.26,1338.6,1593.14,2019.66,2527.22,3284.02]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(811, 204, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.668528,1.62263,0.850269,0.456205,0.469843,0.373078,0.643191,0.470923,0.61465,0.879184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.5638,32.8445,28.0512,25.566,23.6977,21.6236,21.9268,24.3743,24.2233,22.2584]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.447248,1.31563,0.613679,0.528598,0.474407,0.561061,0.526901,0.834527,1.15909,1.88378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.3791,31.5004,26.797,24.2773,22.0621,20.5735,19.8195,22.3305,22.0942,20.1363]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(812, 205, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0474356,0.0939606,0.0602582,0.0323906,0.0307874,0.0225907,0.0240673,0.0141591,0.0179157,0.0197095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.18787,7.98707,7.7006,7.33672,7.19641,6.95982,6.86107,6.4593,6.156,5.82032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0287681,0.0855333,0.0399621,0.0341524,0.0280589,0.0344642,0.024091,0.0364557,0.0473802,0.0542476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.72402,6.62299,6.23973,6.03026,5.85277,5.72464,5.37765,4.98842,4.89152,4.48517]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(813, 206, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.289251,0.667811,0.36089,0.158124,0.151722,0.122149,0.209754,0.134162,0.185293,0.304919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.7259,3.71287,2.91096,2.43769,2.13863,2.21202,2.31033,2.01691,2.46418,3.30419]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.220309,0.682638,0.312248,0.227258,0.183357,0.199546,0.18794,0.261662,0.38506,0.663973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3444,3.31,2.64371,2.24433,1.98827,2.0906,2.19544,2.21157,2.65075,3.73939]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(814, 208, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0660908,0.184671,0.115558,0.076219,0.0697883,0.0642385,0.0982549,0.0826018,0.0848913,0.0924006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.43805,7.98263,7.61676,6.83308,6.19702,5.36962,5.25312,7.46888,7.32525,5.87537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0282886,0.0987657,0.055557,0.0570586,0.0493505,0.0609098,0.066024,0.107056,0.138907,0.145185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.61375,8.21101,7.74972,7.11198,6.30486,5.45293,5.2969,7.06871,6.75663,4.97236]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(815, 209, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0193435,0.0612581,0.0346721,0.0151232,0.0109833,0.00952267,0.0139147,0.00909552,0.0159547,0.0114324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.87854,2.81213,2.57155,2.42916,2.1278,1.77758,1.83042,2.53476,2.48401,1.75258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00915957,0.033026,0.0174927,0.013404,0.00958157,0.0110337,0.00914177,0.0198375,0.0190271,0.0392487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.94416,3.08236,2.865,2.58793,2.32355,2.05195,1.99507,2.71543,2.49152,1.71432]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(816, 210, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.246407,0.614927,0.27889,0.174349,0.206562,0.154577,0.2972,0.230904,0.310595,0.450722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5412,9.41855,6.75357,6.29943,5.90072,5.21797,5.60347,5.8327,5.73692,5.45236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.160723,0.415671,0.18842,0.196725,0.204059,0.255108,0.239705,0.409516,0.568717,0.981124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.4735,9.15397,6.76259,6.02018,5.45431,5.14515,4.86374,5.25912,5.22076,5.14571]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(817, 211, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.372058,0.576895,0.676964,0.724253,0.900419,1.14172,1.41829,1.98495,3.30879,5.06183]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[680.651,504.425,460.743,458.701,463.037,479.062,502.119,538.563,582.086,627.798]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.319268,0.506875,0.733359,0.937943,1.09354,1.36743,1.89463,2.75404,3.95459,6.28097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[605.481,434.892,397.513,398.54,405.877,425.918,457.075,511.334,577.901,652.748]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(818, 212, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[155.722,140.538,136.463,133.062,131.026,129.262,128.405,127.308,126.781,125.65]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[128.131,115.844,111.804,109.448,107.928,106.705,106.339,106.217,105.56,104.376]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(819, 213, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.21748,8.30355,10.061,11.5906,13.2858,14.8319,16.7427,19.607,22.3492,24.7269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.07783,10.6558,12.7521,14.8523,16.7691,18.7199,20.9928,24.7574,27.8524,30.4184]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(820, 214, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.116979,0.200166,0.233712,0.266716,0.328234,0.378821,0.480378,0.669768,1.11826,1.58395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.29497,5.62946,5.73312,5.86692,6.12147,6.39465,6.7111,7.43563,8.2732,9.14006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103585,0.144923,0.212429,0.295094,0.376446,0.474665,0.68773,0.936428,1.36595,1.97446]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.28753,5.68415,6.2332,7.08738,7.90055,8.61633,9.39598,10.5648,11.6991,12.7774]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(821, 215, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.159625,0.254382,0.275878,0.304349,0.38707,0.490811,0.567333,0.78735,1.30801,1.87046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.6442,14.0969,13.6246,13.9006,14.0835,14.203,14.7735,17.0855,19.5298,21.6631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.146613,0.219542,0.312999,0.406998,0.442034,0.558542,0.765196,1.15859,1.58697,2.3941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.9084,12.625,12.339,12.7237,12.9767,13.2047,13.667,15.6682,17.6929,19.5585]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(822, 216, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.8543,18.9008,19.9255,20.4457,20.1935,19.9919,19.7244,19.4441,19.1954,18.9747]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.434,20.1851,21.0789,21.4242,21.1998,20.8689,20.7137,20.4077,20.1035,19.7498]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(823, 217, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.2327,22.4588,26.3403,30.2342,34.0384,37.8087,43.079,50.7514,58.372,65.7795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.0883,24.658,29.0848,33.5314,37.8774,42.1296,48.015,56.6371,64.9557,72.994]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(824, 218, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.8711,29.247,27.0675,24.9108,22.769,20.8999,19.6553,19.6052,19.45,19.276]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.9788,31.7267,29.3847,27.1413,24.904,22.7798,21.4811,21.4121,21.1362,20.863]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(825, 219, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[216.978,120.801,65.7695,42.9036,24.6781,14.2289,6.08643,3.85378,2.62942,1.41252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[192.917,105.911,57.6842,37.6269,21.4997,12.425,5.38975,3.39744,2.30256,1.24756]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(826, 220, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.1686,26.3887,27.6888,28.3804,27.9052,27.4397,27.1313,26.8169,26.3966,25.8345]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.6601,16.6785,17.6563,18.0626,17.8763,17.5091,17.2802,16.9146,16.7319,16.313]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(827, 221, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.3414,26.56,34.2432,42.9973,51.5614,60.1375,65.7345,66.7697,67.9081,68.8145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2444,19.6172,25.4951,32.3383,39.1188,45.842,50.1731,50.9314,51.5376,51.9344]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(828, 222, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.7967,41.9231,42.8434,44.9347,47.2067,49.2816,50.3379,49.2353,48.1732,46.8052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.4829,27.4677,28.18,29.7931,31.1581,32.6086,33.056,32.3292,31.4611,30.7163]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(829, 223, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0909579,0.119482,0.16278,0.150393,0.181542,0.268204,0.363728,0.521372,0.871219,1.5812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.891268,1.65712,2.40969,3.43521,4.70868,6.565,9.65639,13.6302,19.1369,26.8682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0663528,0.138991,0.203308,0.233145,0.269582,0.327181,0.432025,0.647595,0.98504,1.88724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.896765,1.58771,2.66338,3.92626,5.77503,8.28098,12.2683,17.67,24.7282,34.0854]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(830, 224, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00449636,0.00286423,0.00459467,0.00279475,0.00357221,0.00388655,0.00684656,0.00645567,0.0113067,0.0262097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.6383,47.9205,48.5729,56.0386,65.459,78.0177,94.0814,117.021,143.892,172.853]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00271608,0.00341948,0.00462208,0.00270478,0.00547498,0.00703966,0.0096813,0.0114213,0.016638,0.025177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.3742,42.2513,43.1574,50.5846,60.8937,76.2282,98.3031,134.427,182.139,237.715]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(831, 226, 81, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.173362,0.996613,3.34301,7.13678,12.3806,18.7043,29.7894,46.4604,69.437]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.16221,0.823851,2.68545,6.17562,11.2742,19.0263,32.7002,55.9034,90.138]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(832, 227, 81, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.964653,4.76063,15.1217,31.4248,50.3507,76.2095,127.522,206.479,319.401]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.45799,2.22756,7.54444,16.8597,28.928,49.9795,93.6371,162.013,262.575]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(833, 228, 81, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.83884,18.053,41.8167,79.2479]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0727,11.1488,27.1853,54.6778]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(834, 229, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.4242,29.1326,37.0515,51.9579,70.6683,94.097,129.187,206.172,331.791,522.458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.7185,24.279,30.3917,42.4895,58.1784,78.255,108.612,172.883,277.84,432.543]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(835, 230, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.8911,110.013,158.137,206.395,256.93,310.728,399.322,532.632,656.566,894.109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.264,166.313,224.891,284.162,345.157,414.369,523.91,686.324,836.208,1116.25]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(836, 231, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.0984,46.8816,62.5146,74.8774,81.9033,86.7705,105.371,143.696,184.938,229.49]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.8841,50.5613,70.0114,89.4792,105.749,119.229,141.328,183.306,220.883,249.862]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(837, 234, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.9627,79.9735,89.9627,85.0261,75.2558,59.4283,55.2488,55.8479,55.9499,54.5025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.8179,75.9311,85.9476,81.4004,72.0901,57.2957,53.0345,53.56,53.4164,51.8376]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(838, 235, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00815938,2.11077,21.726,59.9291,105.297,135.725,150.277,153.83,152.838,147.236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00822431,2.22499,22.9744,64.1663,113.625,148.087,165.127,170.692,170.178,163.77]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(839, 236, 81, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.481935,4.97785,12.812,23.3765,38.3329,58.6469,90.253,136.351,211.622]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.391487,4.18047,10.9098,20.083,33.0838,51.3139,79.5266,120.849,185.995]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(840, 238, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.90973,14.521,11.5306,7.45736,9.38487,8.62797,14.6713,14.912,22.7798,24.1097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.677,140.651,167.724,190.566,196.692,201.098,197.541,196.25,182.146,165.259]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.3365,48.0589,54.9497,53.3432,41.6377,33.2246,36.5806,39.1534,46.3618,50.2064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[167.245,239.431,298.463,347.06,363.931,377.313,385.014,383.693,366.987,342.061]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(841, 239, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.32622,13.6291,10.5515,6.63926,8.65034,7.95852,13.9465,14.1304,21.6543,23.2149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.0475,105.439,130.585,145.787,154.295,161.379,163.918,159.108,153.864,140.422]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5236,46.0239,52.3545,50.5712,39.7324,31.553,34.865,37.2644,44.5314,48.2685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[144.399,202.845,246.764,281.154,308.397,319.199,323.232,321.136,309.475,293.039]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(842, 240, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.35972,4.78682,3.73137,2.3323,2.93827,2.93346,4.91344,5.75574,9.18824,10.0968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.2545,39.8536,49.9699,55.318,56.0797,63.4539,61.0727,68.9717,70.1271,64.9985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.94867,15.3525,18.2802,17.888,12.8632,11.0841,13.3464,13.8759,17.3067,20.8042]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.4367,77.5486,94.4516,106.603,107.595,122.723,133.079,129.124,129.702,133.903]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(843, 241, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.561972,0.665643,0.667732,0.365491,0.41244,0.358042,0.512904,0.603559,0.922097,0.949803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.93816,5.55997,8.92958,8.68838,7.88107,7.69688,6.38394,7.27894,7.00666,6.14657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21674,2.3829,2.6333,2.36634,1.90397,1.52994,1.55503,1.69877,2.056,2.37628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.52271,12.247,13.6986,14.1722,16.0242,17.0328,15.5037,15.7401,15.4045,15.2575]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(844, 242, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.892509,1.11346,1.20704,0.617048,0.550336,0.547968,0.548217,0.632813,1.02779,1.02528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.30615,9.26355,16.2164,14.7122,10.5239,11.9184,6.77722,7.6288,7.85358,6.60867]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.91379,3.92675,4.40787,3.48345,2.90976,2.13079,2.37551,2.46169,2.78583,3.00533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.0793,20.4752,23.0363,21.0509,24.7075,23.8663,24.0191,22.8453,20.8533,19.4457]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(845, 243, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.00153,6.44568,4.3986,3.00523,4.40529,3.7602,7.54829,6.60741,9.69144,10.2336]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.5248,53.8742,59.6733,71.5582,83.7301,81.3657,93.7065,79.4966,73.5063,65.942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.54862,22.5274,24.471,24.544,20.5438,15.5546,16.276,17.8188,20.6025,20.2448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.0344,113.237,127.79,148.273,175.423,173.467,162.807,165.847,154.32,130.622]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(846, 244, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.510485,0.61751,0.546713,0.319194,0.344011,0.358849,0.42364,0.53092,0.824743,0.909494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.37917,5.20699,7.35315,7.54094,6.59589,7.80366,5.2562,6.48995,6.23183,5.79961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.895791,1.83436,2.56222,2.28941,1.51167,1.25355,1.31207,1.40916,1.78032,1.83798]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.21711,9.70685,13.7246,14.0589,12.7464,14.1233,13.2993,13.2271,13.2265,11.8582]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(847, 245, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.583509,0.891905,0.979104,0.818095,0.734526,0.66945,0.724765,0.781563,1.12544,0.894755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6296,35.2118,37.1389,44.7789,42.3967,39.719,33.6225,37.1421,28.2816,24.8367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.81284,2.03493,2.59519,2.77193,1.90535,1.6716,1.71561,1.88905,1.83046,1.93787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.8456,36.5865,51.6987,65.9056,55.534,58.1134,61.7828,62.5575,57.5118,49.0221]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(848, 246, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.57569,10.5537,13.1705,13.3841,11.9783,12.5869,17.0773,15.6595,25.0422,34.6546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.8534,84.9782,114.56,150.284,205.625,270.072,334.271,400.539,486.621,578.689]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.93582,12.1865,14.6398,14.5297,16.8442,20.1001,22.1945,28.9387,36.9815,45.9473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[109.766,146.167,190.029,251.682,348.856,454.633,571.536,694.218,837.429,986.947]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(849, 247, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.60047,2.05302,3.63848,2.58915,3.02692,2.33958,4.27723,4.75584,6.96393,11.1573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.0354,48.3476,66.0141,90.5846,133.924,184.837,239.399,298.603,377.139,463.663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.95421,2.37883,2.90642,2.30737,4.68711,7.6797,8.92968,12.1927,17.2346,20.8607]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.1927,65.0845,87.8326,125.04,193.377,275.038,365.943,470.766,595.429,727.853]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(850, 248, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6835,3.06059,2.00186,2.1307,1.41975,1.72352,2.45369,1.78072,2.12359,2.81317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.900074,0.884774,1.2909,1.87779,2.65444,3.44406,4.23712,4.86802,5.59886,5.88204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.25337,3.18619,2.59968,2.53772,3.05507,3.40819,2.67143,2.9634,3.18262,3.71758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.64209,1.98592,2.71727,3.89923,5.46583,7.04172,9.27843,10.6617,12.7538,13.5943]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(851, 249, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16252,1.21131,2.68864,1.54268,2.84453,2.24112,3.03727,2.02386,4.03023,5.56934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.6876,14.1889,17.9431,21.1773,24.6913,27.7903,29.5964,30.1975,30.0663,29.3594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.825348,2.20611,2.72257,1.02515,1.16765,1.12483,1.48092,2.07803,3.19416,4.84437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5502,18.8671,22.9184,27.6902,33.9261,39.0275,42.7326,44.5667,45.1604,45.74]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(852, 250, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.778192,1.08613,1.3397,1.93137,1.30813,1.02513,1.09852,1.06404,1.09279,1.17225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.43211,3.00391,3.77385,4.23492,5.44812,6.23752,7.17438,7.92838,8.45964,8.18151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.569819,1.1775,1.85966,2.80528,1.94777,1.77761,1.65595,1.68077,1.502,1.53848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.87158,4.58248,6.03945,7.70647,10.4027,12.1507,14.7221,16.4497,17.7556,18.8139]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(853, 251, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.509494,0.607234,0.717592,1.25975,0.783007,0.601765,0.614118,0.919438,1.3145,1.53123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.37431,5.08247,6.25922,7.08577,7.52527,7.45648,7.2037,6.5309,5.5207,4.53987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.762755,1.00133,1.61683,2.44341,2.22733,1.6688,1.96535,1.99166,3.33868,3.67884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.4912,20.8878,24.749,28.1582,32.1774,33.7526,33.4247,30.0445,25.7123,20.834]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(854, 252, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.40264,0.487001,0.522131,0.877687,0.543658,0.411108,0.392099,0.575297,0.750198,0.844135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.81417,7.00423,7.86438,8.57703,10.7837,9.48318,8.77797,8.83658,5.69243,4.40412]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.498533,0.596757,0.824755,1.08387,1.0189,0.692646,0.760418,0.753914,1.23944,1.27197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.9425,16.2882,16.082,16.2818,20.1639,21.0631,18.2445,16.6321,14.8686,11.5841]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(855, 253, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106854,0.120233,0.195462,0.382065,0.239349,0.190657,0.222019,0.344142,0.564298,0.687099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4454,1.65164,2.70939,3.57009,4.24878,4.03717,4.50468,4.64226,3.93553,3.35526]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.264222,0.404576,0.792078,1.35954,1.20843,0.976158,1.20494,1.23775,2.09924,2.40688]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.45601,10.9805,15.6568,20.6382,24.7003,30.9531,28.2345,27.6559,24.9521,21.0504]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(856, 254, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.212364,0.406885,0.485589,0.583273,0.496992,0.716218,0.881984,1.07299,2.00412,2.57492]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.861,2.67832,4.69381,6.8733,9.80604,14.7168,18.7045,20.6755,27.5903,32.2096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.264518,0.447421,0.674087,0.61314,0.685649,0.854403,1.25497,1.72846,2.25702,3.39157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.88991,4.43631,5.93048,8.66818,12.4978,16.4264,25.2489,32.8429,48.4951,63.3491]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(857, 255, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.810474,1.19421,1.31623,1.35477,1.01749,1.62048,1.97832,2.28782,4.06608,4.76549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.868081,1.00224,1.44423,2.05034,2.59946,3.83645,4.29267,5.52144,4.7994,5.18587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.64307,0.960738,1.22571,1.10378,1.55593,1.89084,2.64272,3.70415,4.01039,5.81653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41512,2.10252,2.52121,3.59498,4.64763,5.29089,7.48217,9.67392,10.5246,11.829]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(858, 256, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.45807,0.636327,0.726403,0.716408,0.590678,1.07845,1.20947,1.39586,2.55448,2.76854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.617495,0.705262,1.01842,1.41986,1.87754,2.90397,3.1743,4.08849,3.61945,3.88032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.531717,0.794651,1.01376,0.920704,1.29604,1.56742,2.20712,2.93469,3.18878,4.59163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01553,1.54985,1.85093,2.67554,3.52101,4.04795,5.71561,7.50917,8.43159,9.13633]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(859, 257, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.352405,0.557879,0.589826,0.638366,0.426809,0.542029,0.768848,0.891957,1.5116,1.99695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.250585,0.296983,0.425805,0.630479,0.721921,0.932485,1.11837,1.43294,1.17995,1.30555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111353,0.166087,0.211948,0.183073,0.259891,0.32342,0.435607,0.769465,0.821611,1.2249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.399587,0.552667,0.670282,0.919437,1.12662,1.24294,1.76656,2.16475,2.09303,2.69267]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(860, 258, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.818674,0.934339,0.982449,1.99244,1.08148,2.31908,2.73617,1.75483,3.44701,5.07095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.69474,9.78994,13.1405,16.3998,18.9757,21.7539,23.6638,26.215,27.4468,29.6677]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.662732,0.828369,1.03489,1.69387,1.5177,1.69571,1.59344,2.59951,2.26204,2.09922]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.7129,28.2201,37.3209,46.9243,56.3612,65.9054,72.7039,79.2124,81.5979,84.934]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(861, 259, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3956,3.77105,4.7093,2.91571,3.86227,4.21643,4.98626,4.32139,4.71668,5.95392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.37989,15.992,19.9335,22.0365,22.1061,20.4532,18.6561,15.5655,12.0678,9.52223]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.92134,7.09579,7.98364,10.4666,9.52443,5.24737,8.63662,6.97766,9.01219,12.8831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.2313,44.1596,57.4891,67.0612,70.2209,65.1425,58.9979,51.2347,41.1788,32.6261]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(862, 260, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.906663,1.04011,1.22203,1.03769,1.23781,1.66694,1.97458,2.14169,2.48244,3.14709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.12336,5.83954,6.42321,6.43129,6.72708,5.87049,5.75099,5.04195,4.30875,3.93128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.11273,1.57698,2.52158,2.49942,3.08576,1.90943,3.08783,3.07953,5.74055,6.26979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.74459,8.8545,9.60076,9.81731,10.9291,10.4726,10.8722,10.3828,9.99354,9.97799]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(863, 261, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48894,2.73093,3.48727,1.87803,2.62446,2.5495,3.01168,2.1797,2.23424,2.80683]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.25654,10.1525,13.5103,15.6052,15.379,14.5827,12.9051,10.5235,7.75903,5.59095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.80861,5.51881,5.46205,7.96714,6.43866,3.33794,5.54879,3.89812,3.27164,6.61328]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.4867,35.3051,47.8883,57.2439,59.2917,54.6699,48.1257,40.852,31.1853,22.6481]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(864, 262, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.641536,1.47172,1.36562,0.968647,1.23188,1.26346,1.26478,0.999005,0.898656,1.00322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.25427,6.53475,6.16762,9.71142,8.78228,8.77633,6.3421,6.44089,4.12884,2.88203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.578013,1.78133,1.62075,2.60185,2.32684,1.08532,1.9133,1.29601,1.05802,2.83793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.69632,13.4115,16.3204,22.0905,24.8075,21.1005,20.046,15.8729,13.1776,14.728]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(865, 263, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.348439,0.552807,0.743225,0.507528,0.527919,0.528461,0.666516,0.415195,0.449603,0.555699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.75379,2.41427,3.41659,4.98482,3.78987,3.59282,3.31187,2.59186,2.02075,1.56462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.742484,2.17629,2.13815,3.04214,2.22081,1.22663,2.04952,1.41615,1.20136,1.81578]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.78924,16.4804,21.5328,26.0971,23.8985,23.9163,21.3007,17.4235,14.8201,9.81441]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(866, 264, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.498966,0.706407,1.37842,0.40185,0.864655,0.757572,1.08039,0.765502,0.885983,1.24791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.45226,3.1058,6.24405,3.99187,6.18819,5.23873,5.62716,4.79704,4.12433,3.63412]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.488117,1.56119,1.70315,2.32315,1.89101,1.02599,1.58597,1.18596,1.01225,1.95957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.30356,11.5185,17.156,19.7227,20.2851,19.6491,16.588,14.7338,12.6785,9.83571]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(867, 44, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[178.695,169.193,160.599,153.059,144.407,137.531,130.133,121.506,110.149,98.2264]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[248.722,238.272,227.791,215.604,204.77,193.117,183.05,169.175,153.233,135.614]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(868, 152, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.9723,37.7519,23.2992,16.0213,10.7157,5.71155,2.33734,0.918956,0.434308,0.208022]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.4254,61.6431,38.2954,27.1602,19.2026,10.1673,4.0507,1.56829,0.685816,0.317423]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(869, 154, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1350.58,1501.79,1595.8,1673.59,1727.77,1779.05,1823.91,1818.25,1783.22,1627.25]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[837.313,939.305,992.381,1036.71,1061.04,1081.11,1102.47,1109.42,1086.12,987.638]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(870, 157, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.9498,55.4806,54.0196,52.6042,51.1959,49.861,48.3821,45.597,43.6144,41.6054]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[192.284,188.896,185.652,180.229,176.057,170.934,164.515,158.542,150.715,142.897]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(871, 158, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[184.934,18.4068,2.83582,1.37371,0.60168,0.227875,0.0681601,0.0167313,0.00324395,0.000151189]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[454.724,50.8806,11.1888,5.74367,2.63833,1.04142,0.341518,0.0944202,0.0215013,0.00463245]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(872, 198, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[938.033,934.333,1033.84,1305.64,1572.1,1812.13,2009.89,2123.82,2231.16,2332.52]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[951.225,1002.25,1153.08,1425.65,1687.84,1917.78,2117.12,2266.64,2405.42,2529.58]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(873, 207, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79225,0.931213,0.497766,0.229931,0.137137,0.0865656,0.0683764,0.0617665,0.0569078,0.0535619]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.27934,1.1201,0.536248,0.282568,0.138317,0.108228,0.0907503,0.0872373,0.0830478,0.0793824]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(874, 225, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[174.608,188.295,264.601,352.904,449.38,555.788,734.339,1059.92,1470.62,2117.39]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[217.176,243.011,329.563,427.64,533.527,653.643,846.77,1182.22,1582.78,2209.53]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(875, 232, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19436,1.12957,1.14077,1.20933,1.31689,1.46117,1.70634,2.06051,2.56705,3.2481]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30922,1.23799,1.21725,1.2795,1.40673,1.58788,1.841,2.21705,2.75048,3.48274]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(876, 233, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.9708,82.5662,116.667,157.767,203.929,233.487,264.173,299.931,345.139,413.36]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.8261,78.5476,113.103,156.476,205.798,238.466,269.476,303.779,344.443,401.602]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(877, 301, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.17558,1.37461,1.59358,1.65626,1.64988,1.28164,1.81279,1.73651,2.26583,3.82797]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.5025,12.7981,13.9109,15.1568,16.2286,17.2934,18.5663,19.6863,20.6467,21.7795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.32038,3.00908,4.1159,4.14089,3.99473,3.00854,4.6684,4.5473,5.92159,7.59868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2556,11.3502,12.292,13.3484,14.3349,15.1709,16.2272,17.0911,18.0284,18.743]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(878, 302, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.457343,0.534824,0.620051,0.642348,0.642406,0.497988,0.703629,0.675327,0.882629,1.48988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.47667,4.98461,5.423,5.90866,6.31986,6.73099,7.23631,7.67183,8.04603,8.49776]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.906332,1.17424,1.59951,1.60877,1.5552,1.17113,1.81747,1.76989,2.29975,2.95658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.00043,4.42121,4.78966,5.20052,5.57999,5.90629,6.31382,6.65121,7.01702,7.29943]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(879, 303, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.787221,0.920207,1.0668,1.11127,1.10339,0.858192,1.21522,1.16322,1.51583,2.56271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.69887,8.56089,9.30189,10.1342,10.8579,11.5726,12.4168,13.1654,13.8083,14.5577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5503,2.01037,2.75504,2.77565,2.6737,2.01318,3.12556,3.04369,3.96673,5.08433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.85575,7.59356,8.22185,8.92848,9.59176,10.151,10.8636,11.4379,12.0658,12.5383]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(880, 310, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.14477,14.2104,19.5045,18.2292,15.8053,12.7795,11.7127,7.5334,11.9402,17.0541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[952.303,1002.78,974.242,965.77,987.549,986.874,921.772,935.647,876.464,880.463]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19079,3.26764,4.72565,6.1637,7.64275,5.50208,6.76064,7.80902,10.922,19.2974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[325.828,281.766,249.274,257.356,283.312,289.32,302.693,343.355,366.531,387.96]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(881, 284, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.14477,14.2104,19.5045,18.2292,15.8053,12.7795,11.7127,7.5334,11.9402,17.0541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[952.303,1002.78,974.242,965.77,987.549,986.874,921.772,935.647,876.464,880.463]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19079,3.26764,4.72565,6.1637,7.64275,5.50208,6.76064,7.80902,10.922,19.2974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[325.828,281.766,249.274,257.356,283.312,289.32,302.693,343.355,366.531,387.96]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(882, 274, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.98448,7.30181,9.27182,9.92193,18.7988,21.5156,27.6447,42.828,56.276,84.2935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[200.388,395.635,424.042,327.576,275.342,224.998,190.806,146.039,103.342,56.0801]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.19173,10.9412,16.5058,20.5327,40.8827,42.7732,55.1282,71.0905,95.1012,136.198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[374.877,787.535,863.922,726.639,647.047,543.862,484.824,405.793,343.141,264.164]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(883, 275, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.62522,6.437,7.60566,7.77553,16.3921,19.3632,25.7901,41.4912,55.1785,83.3351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.2432,93.962,91.8947,84.7557,105.419,106.957,107.56,91.4263,69.5987,38.637]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.80243,10.0258,14.7258,18.3775,38.1833,40.3612,52.7173,69.1838,93.5473,134.823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[170.707,224.963,230.217,221.339,284.246,302.12,323.491,301.485,278.548,228.725]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(884, 276, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.364546,0.87539,1.67887,2.16067,2.43468,2.18714,1.90039,1.42678,1.21332,1.15954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.147,301.68,332.155,242.831,169.95,118.081,83.305,54.6882,33.8416,17.5602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.393107,0.922895,1.79884,2.17695,2.75084,2.45629,2.47984,1.99947,1.68467,1.57838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[204.173,562.581,633.724,505.317,362.836,241.769,161.371,104.347,64.6368,35.4907]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(885, 277, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30821,1.64763,3.24138,3.73559,3.62568,4.2478,4.65031,4.92768,6.86419,9.64893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.3012,108.468,277.312,354.919,410.828,491.222,590.407,712.285,757.292,894.138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.508,14.7092,29.1759,29.7986,30.1582,30.3821,32.0301,35.5593,37.6517,40.9804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[147.546,191.514,483.331,604.278,688.324,805.131,946.918,1134.24,1215.81,1426.2]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(886, 278, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0174675,0.0326128,0.0354155,0.0508647,0.0510686,0.0843516,0.156523,0.229033,0.47088,0.690278]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00612087,0.0115187,0.0127431,0.0172554,0.0169841,0.0261937,0.0400109,0.0517078,0.101043,0.138053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0303784,0.0576533,0.0640237,0.0901286,0.11333,0.180415,0.399163,0.845816,1.65291,2.77128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.010129,0.0155909,0.0242874,0.0294618,0.0398508,0.0544647,0.111681,0.210022,0.404237,0.609636]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(887, 279, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0215954,0.0770409,0.140913,0.263616,0.355814,0.517196,0.631129,0.618705,1.163,1.70326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.80544,6.61992,8.9963,7.982,7.88323,8.1499,8.84807,9.40393,9.98546,10.5086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0730917,0.186175,0.462319,0.435424,0.458603,0.466883,0.638155,1.11738,1.40893,1.78352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7989,10.7991,14.5342,12.9553,12.6981,13.1869,14.2344,15.2366,16.0976,16.8418]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(888, 280, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26915,1.53797,2.96129,3.27013,3.03883,3.40322,3.30865,3.21239,3.27239,3.20086]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4045,14.4654,28.3276,28.8604,29.0917,29.0468,29.8152,30.704,30.0088,29.0114]}', '', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(889, 313, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.91399,4.65481,5.60081,4.34116,4.42218,3.66194,3.51742,2.18921,2.34287,2.83788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[417.643,535.171,577.877,608.543,624.654,636.3,641.208,625.502,592.6,521.221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.230574,0.168435,0.260635,0.249894,0.302182,0.1862,0.292299,0.28917,0.516676,0.543097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.3986,100.841,101.084,99.0496,98.579,98.8416,98.9715,94.9737,87.1214,72.5317]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(890, 314, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.134962,0.151833,0.170469,0.141639,0.167903,0.222785,0.261234,0.281724,0.32668,0.397313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[165.443,179.924,183.216,184.679,186.759,189.022,189.956,184.473,174.633,150.849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.230574,0.168435,0.260635,0.249894,0.302182,0.1862,0.292299,0.28917,0.516676,0.543097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.3986,100.841,101.084,99.0496,98.579,98.8416,98.9715,94.9737,87.1214,72.5317]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(891, 304, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.39932,4.50764,8.06694,16.1282,24.7909,40.378,60.2427,104.777]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.9697,34.4994,45.9561,58.8001,75.3165,98.7623,124.172,145.56]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.9544,7.87624,10.1587,24.0177,31.4406,56.0744,90.793,139.701]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.1143,44.1267,57.9161,73.6999,94.1432,123.629,155.083,180.378]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(892, 306, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.91437,9.28037,16.4372,33.6585,53.3316,89.0778,136.001,242.5]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[184.571,243.331,314.979,397.545,501.344,653.091,836.11,1039.71]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9029,14.9071,19.4987,45.8272,62.2223,115.207,190.033,301.895]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[163.846,210.422,262.795,322.737,397.471,507.738,631.073,746.913]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(893, 307, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0330172,0.0478911,0.0561442,0.0764617,0.170299,0.268639,0.615178,1.30161]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0763723,0.0963582,0.115828,0.159714,0.27051,0.669555,1.0721,1.77163]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(894, 309, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65418,2.86515,1.63101,2.89347,4.97487,8.57416,13.6948,24.6553]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.27219,13.1759,6.99545,9.13876,13.5364,18.555,25.1257,32.049]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.790013,1.26107,1.77738,3.54476,5.42696,10.4434,17.6718,28.8917]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0285,3.67047,6.74436,8.53754,13.7478,20.3253,28.7158,36.5777]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(895, 305, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0165549,0.0229018,0.0182378,0.0368525,0.0866478,0.124969,0.210559,0.327931]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00591225,0.00453132,0.00389228,0.00664529,0.0166904,0.0223605,0.041677,0.058436]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0218325,0.0574252,0.0472515,0.115739,0.223343,0.589511,0.866168,1.5092]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00816508,0.0164872,0.0141888,0.0319647,0.0541729,0.136857,0.199426,0.312007]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(896, 308, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.63762,2.84225,1.61277,2.85662,4.88822,8.44919,13.4843,24.3274]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.26628,13.1714,6.99156,9.13211,13.5197,18.5327,25.0841,31.9905]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.76818,1.20364,1.73013,3.42902,5.20362,9.85386,16.8057,27.3825]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02034,3.65398,6.73017,8.50558,13.6936,20.1885,28.5164,36.2657]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(897, 271, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.200259,1.04294,2.76607,4.78334,5.39074,8.06664,14.1044,28.8922]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20171,37.586,52.9264,22.4709,21.1098,24.646,43.3571,53.4422]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.239919,5.07471,8.34201,21.3292,36.4763,64.7214,107.247,165.465]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.731374,180.838,223.184,261.88,256.59,431.009,484.069,630.347]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(898, 272, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.200259,0.368595,0.642541,1.27666,1.93468,3.07705,4.55919,7.69859]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20171,1.87998,2.71888,3.65789,5.11261,6.91645,8.76987,9.95884]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.239919,0.30074,0.371732,0.846216,1.10256,1.82096,2.99362,4.73066]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.731374,1.13336,1.59851,2.10679,2.94274,3.82489,4.99136,5.9325]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(899, 265, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.2117,5.71575,11.8029,20.7642,38.5542,68.4298,104.694,184.926]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.7709,144.243,236.686,337.738,463.048,583.049,758.924,906.179]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.56301,8.37467,10.5108,24.253,44.4573,78.7768,153.82,229.225]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.6534,170.835,278.987,399.992,555.417,689.376,880.79,1027.35]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(900, 266, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.314996,0.616299,1.65398,3.13801,7.02653,11.4713,21.7175,40.419]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.74438,6.06013,13.208,18.1416,38.6927,53.9817,78.4249,92.1184]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.541897,0.607584,1.58905,4.35334,5.32062,9.23866,14.5135,22.6278]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.51937,4.15864,11.9316,16.652,23.7702,33.0098,40.4042,46.9796]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(901, 267, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.17826,6.79186,21.228,39.3122,87.0424,141.509,259.083,461.187]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4034,32.5048,96.6219,130.795,269.381,342.521,545.362,674.698]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.6878,15.7842,25.0022,52.4718,90.9333,161.486,313.583,501.043]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.9819,49.7998,103.052,135.353,256.044,353.094,577.506,713.136]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(902, 268, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.48778,6.78256,16.5036,24.1473,42.4244,68.193,99.5233,176.447]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.291,181.705,379.292,593.952,929.951,1154.73,1287.22,1424.93]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.62757,7.41772,9.51051,22.2985,30.3159,53.7234,85.056,126.127]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.3088,147.646,276.828,412.857,576.059,720.022,771.053,847.659]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(903, 286, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.05018,14.6551,25.3816,51.3547,84.3608,142.844,223.814,404.003]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.371,136.816,202.829,283.828,383.449,503.391,637.472,761.802]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.044,23.5213,31.4629,73.3604,104.496,194.503,332.32,536.483]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.0063,155.321,240.423,337.913,466.312,620.711,797.371,950.299]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(904, 287, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08633,7.66491,13.7897,28.8063,46.3932,76.8318,112.789,183.796]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.1964,24.1987,35.4839,48.3256,69.6823,97.5079,127.877,140.958]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.4036,13.3412,17.4831,39.6281,57.3949,105.113,172.155,259.222]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.4928,33.2987,48.8832,67.483,98.4444,139.221,184.286,205.206]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(905, 288, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.66527,4.87584,8.54557,17.5567,27.5058,44.573,63.3585,106.724]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.16184,14.2931,20.5384,27.5164,38.9568,53.4871,68.7754,79.908]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.8838,8.15761,10.4624,23.0109,32.7541,58.2591,93.8394,145.86]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.9479,18.9691,27.2666,36.8978,52.8878,73.4399,95.7463,111.417]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(906, 289, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10032,3.96204,7.08508,14.3037,22.1176,35.8123,53.198,92.1798]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.7852,58.1165,86.8676,118.017,151.141,187.1,222.877,250.852]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.12951,6.79205,8.78454,20.7573,27.911,48.9549,79.3695,122.055]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.4726,69.1253,103.93,142.751,185.403,229.983,272.677,304.144]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(907, 290, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16933,2.32399,4.58528,8.48348,12.5252,21.1808,39.0799,73.1651]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.3349,29.9008,44.6617,62.1283,90.5705,129.363,171.692,207.041]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.75699,5.33425,7.1875,19.7569,23.2873,41.2742,71.6373,106.975]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.4738,39.1256,58.2634,82.0956,119.56,170.577,226.714,272.213]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(908, 291, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136264,0.198377,0.346535,0.422512,1.02036,1.41536,1.4692,2.63339]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0744888,0.11686,0.208954,0.253908,0.572914,0.78135,0.768369,1.22746]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.248154,0.283127,0.459642,0.282084,0.502278,1.03793,1.2082,2.75039]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.152301,0.19347,0.349157,0.225985,0.357063,0.675058,0.768846,1.61428]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(909, 292, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0129981,0.0192125,0.0351287,0.0450901,0.107665,0.144689,0.143948,0.248601]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.45948,4.11969,6.34148,8.78611,10.6783,11.9843,13.0227,13.7945]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0293116,0.0343907,0.0576923,0.036447,0.0655625,0.132088,0.147975,0.324289]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.3391,5.7664,8.96255,12.4668,15.3113,17.1267,18.3739,19.2573]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(910, 293, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.466995,0.865984,1.63142,2.86848,4.14015,6.75428,11.6982,21.5034]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.8051,39.6614,57.8469,77.1268,96.1983,118.318,139.56,159.688]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.66913,1.81724,2.41359,6.27348,7.19514,12.1695,19.7848,28.5992]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.85,44.6144,66.5216,91.3281,115.449,139.313,160.088,178.346]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(911, 294, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.352343,0.442564,0.710844,1.01044,1.2636,2.20563,2.69648,4.42699]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.86912,13.182,19.4169,24.9127,29.3665,34.328,37.5797,39.5895]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.869593,1.0425,0.63231,1.27073,1.66838,2.82915,5.78362,7.99528]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4967,17.4824,22.8105,28.381,33.6399,39.6298,50.2884,53.7513]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(912, 295, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.375983,0.66687,1.21339,2.0093,2.82669,4.08215,6.16551,9.94278]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.99579,7.63369,10.6434,13.7556,18.2446,22.6491,25.8818,26.7809]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57838,1.68095,2.18113,5.2342,5.70332,9.14605,13.8011,18.2974]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.30357,11.4772,16.1795,21.3066,28.4976,36.2725,42.5555,44.9227]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(913, 296, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.176452,0.255086,0.442207,0.537398,1.2979,1.79166,1.85899,3.30663]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0979927,0.147492,0.26807,0.321857,0.72284,0.984693,0.971806,1.54728]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.326951,0.371598,0.604527,0.368947,0.654506,1.34571,1.56882,3.56746]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.197721,0.255343,0.460081,0.295721,0.47267,0.871847,1.00412,2.1047]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(914, 297, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.788572,1.55903,3.03872,5.60307,8.18324,13.4776,24.3556,44.3322]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.18035,3.5377,4.72634,12.949,15.0555,26.1208,44.1871,64.2109]}', '', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(915, 298, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.490896,0.960562,1.87082,3.42079,4.93969,8.13284,14.6453,26.6449]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.71355,12.4382,18.2859,25.0456,35.8215,49.9301,64.4925,75.579]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.00233,2.20137,2.92822,7.9404,9.20048,15.8743,26.911,38.937]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.85742,16.23,23.8731,33.1163,47.3298,65.8044,85.0631,99.0789]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(916, 299, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.143286,0.278556,0.526895,0.947668,1.35003,2.13355,3.66626,6.36797]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.2497,3.56953,5.19546,7.02418,9.78867,13.0584,16.0986,17.9965]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.541511,0.597605,0.770575,2.06297,2.3166,3.86059,6.2645,8.75265]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.7116,4.37721,6.31532,8.60569,11.994,16.05,20.0019,22.4095]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(917, 300, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.85207,5.04531,5.67871,11.6207,19.3628,33.0368,52.6542,95.8877]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.452,23.6815,24.6018,37.0067,53.1995,72.1939,97.7476,125.752]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.1885,4.95401,6.89917,15.7274,23.4812,44.0165,75.309,124.346]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.40879,14.9677,26.8091,39.0124,61.768,90.4464,128.143,164.92]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(918, 270, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.29876,3.89651,7.6969,13.7401,21.4772,35.9806,59.1821,108.811]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.545,67.1754,100.786,138.945,181.902,230.654,298.93,364.42]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.59807,4.43695,5.24689,13.8849,18.2845,33.1979,63.6545,109.074]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.0754,59.9361,89.7741,124.371,163.316,208.399,274.055,341.373]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(919, 283, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103761,0.150989,0.179958,0.243036,0.554011,0.867552,1.95792,4.05453]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.7399,91.9772,114.159,139.763,174.292,213.069,257.646,301.404]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.321966,0.412689,0.494586,0.68803,1.17757,2.89208,4.58105,7.41414]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[126.4,157.741,190.045,226.049,275.61,336.362,405.683,472.63]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(920, 273, 81, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.674345,2.12353,3.50669,3.45606,4.98959,9.54521,21.1936]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.7061,50.2076,18.813,15.9972,17.7296,34.5873,43.4834]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.77397,7.97028,20.483,35.3737,62.9005,104.253,160.735]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[179.705,221.586,259.773,253.647,427.184,479.077,624.414]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(921, 269, 81, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.7157,4.05733,7.08139]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.4624,81.9947,95.8623]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.34026,7.68429,12.9236]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.0241,112.551,151.205]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(922, 315, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.84639,4.5887,5.52808,4.28139,4.34956,3.56417,3.40032,2.05877,2.18671,2.64175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[284.42,398.728,440.833,471.659,486.266,495.747,499.164,486.824,460.465,406.268]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(923, 281, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.6792,41.9962,78.4434,103.272,102.274,124.814,151.353,207.167,182.617,255.882]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.2514,72.1992,125.412,160.439,158.241,191.678,229.793,310.319,280.932,391.574]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(924, 282, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.8105,59.8409,117.12,151.671,186.496,218.47,255.874,282.593,306.943,326.205]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.4858,108.5,216.96,273.114,327.3,374.163,427.168,472.115,512.693,544.548]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(925, 1, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.8278,159.433,413.49,543.423,578.695,514.516,480.365,294.528,247.24,189.174]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[114.482,269.819,758.664,1251.66,1891.8,1656.19,1212.22,693.271,472.246,287.209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.9075,88.4856,283.639,482.776,642.101,630.377,615.925,477.104,371.509,285.156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[107.852,139.667,451.599,867.943,1533.12,1725.58,1620.09,1011.71,765.504,428.689]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(926, 2, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.05527,18.0023,27.7788,22.6345,22.7524,19.6649,28.6935,38.0069,69.9292,97.9408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.9981,21.7839,54.7098,65.5968,85.4059,102.19,122.513,122.979,144.515,86.1004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.5193,16.1322,30.4962,38.1661,36.4428,38.6279,55.6411,92.1212,125.342,167.416]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.1733,34.4865,95.0592,128.612,162.505,192.373,244.421,219.331,269.16,153.301]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(927, 3, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.7725,141.431,385.711,520.788,555.943,494.851,451.672,256.522,177.311,91.2333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.4842,248.035,703.954,1186.06,1806.4,1554,1089.71,570.292,327.731,201.108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.3882,72.3534,253.143,444.61,605.658,591.749,560.284,384.983,246.166,117.74]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.6784,105.18,356.54,739.331,1370.61,1533.21,1375.67,792.377,496.344,275.388]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(928, 4, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.84525,22.8398,62.2887,84.1025,90.6995,80.0545,72.9408,41.4259,28.634,14.7333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.0538,17.1856,44.3369,52.0574,68.0597,81.0349,97.6952,97.8107,115.113,68.3512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.68381,11.6844,40.8803,71.8004,97.8082,95.5619,90.4807,62.1712,39.7536,19.0138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.3729,26.8813,75.2148,102.95,129.913,153.578,194.127,173.599,213.193,121.264]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(929, 5, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.9272,118.591,323.422,436.686,465.244,414.797,378.731,215.096,148.677,76.5]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.4305,230.849,659.617,1134,1738.34,1472.97,992.012,472.481,212.618,132.757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.7044,60.669,212.263,372.809,507.85,496.187,469.804,322.812,206.413,98.7257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.3055,78.2987,281.325,636.381,1240.7,1379.63,1181.54,618.778,283.152,154.124]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(930, 6, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.0836,44.6902,69.7872,63.885,46.2346,39.8259,45.7658,48.4825,88.2875,170.705]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[273.89,282.674,297.109,307.601,312.935,320.166,342.73,378.95,404.503,431.734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5729,33.2197,54.2198,63.0236,51.1855,44.8147,50.7802,70.1258,91.7625,179.647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[279.135,306.769,326.531,337.236,350.328,356.354,365.521,387.866,405.42,431.879]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(931, 7, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.17045,20.6402,36.0302,33.6877,21.2708,18.298,17.6514,17.0851,27.9207,66.3792]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.447,75.5217,83.127,90.7173,98.2764,105.58,113.006,120.088,127.15,134.148]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.23439,10.0508,18.9473,24.5353,19.4404,17.6342,18.6539,25.3613,31.3749,67.4351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.9246,57.229,63.2095,69.3749,75.0253,80.7738,86.3554,91.5649,96.9198,101.608]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(932, 8, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.1731,3.9358,3.47219,2.50392,1.82476,1.5851,1.708,1.70627,2.04005,1.71131]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.3543,3.12541,2.79329,2.54473,2.27271,2.02908,1.8145,1.66756,1.48427,1.32435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.27951,6.65859,6.34059,4.85076,3.19552,2.47889,2.34307,2.5264,2.51885,2.09413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.38604,4.0555,3.71042,3.30894,3.02998,2.75211,2.44787,2.17452,1.96206,1.71143]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(933, 9, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.52078,15.7669,24.7763,21.5162,17.2101,14.9566,21.0337,22.0583,46.1128,88.171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4549,11.2879,12.3236,13.5174,14.4604,15.5525,19.4916,26.9716,34.4103,41.7896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.95571,11.4944,22.8715,27.7889,23.3286,19.9692,23.6258,33.4117,48.8461,96.4878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.5868,9.77929,11.0527,12.4585,13.7995,15.2544,19.1281,27.1767,35.1487,42.6943]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(934, 10, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00652722,0.0157825,0.0248008,0.0215375,0.0172271,0.0149714,0.0210544,0.0220801,0.0461584,0.0882581]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.2119,27.2591,28.7077,30.5692,31.18,33.1442,31.7462,26.5434,21.5109,16.454]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00496061,0.0115058,0.0228941,0.0278163,0.0233517,0.019989,0.0236491,0.0334447,0.0488944,0.0965832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.2536,24.8436,27.2438,30.0167,31.4441,34.1115,32.9245,27.5382,22.1504,16.8584]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(935, 11, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0223442,0.0157436,0.0163738,0.016351,0.0154178,0.0175961,0.0336466,0.0598722,0.0643751,0.0779793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.6482,86.4218,85.5651,81.6905,75.2143,68.2607,70.2118,79.4817,81.0569,80.9008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0215632,0.0204502,0.0230658,0.0243528,0.020755,0.0211278,0.0354965,0.0678696,0.0606859,0.0727604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.6876,115.579,117.577,112.638,108.832,98.4516,91.2358,92.7348,89.7633,90.7549]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(936, 12, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.63119,3.54304,4.44657,4.99569,4.78881,4.09456,4.50529,6.53237,10.6059,12.7713]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.7301,74.405,79.2927,82.5308,84.604,87.5971,97.4044,113.415,126.364,142.965]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.55283,4.09679,4.87798,4.6774,4.17372,3.85432,5.15563,7.5233,7.72016,12.027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.5213,90.9876,98.4988,103.261,111.11,116.806,123.929,135.4,146.282,163.431]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(937, 13, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04351,1.44241,1.81788,1.99469,1.86751,1.55521,1.65926,2.32503,3.63973,4.22203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.1343,32.2114,34.1813,35.3413,35.9135,36.7738,39.7098,44.4252,47.6806,52.1137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00886,1.66137,1.99261,1.86579,1.62157,1.45977,1.89172,2.67415,2.64339,3.94365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.1219,38.6228,41.6781,43.5618,46.2929,48.3021,50.2388,53.1967,56.2563,60.1058]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(938, 14, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.361212,0.248886,0.147288,0.18341,0.195848,0.187847,0.227092,0.358236,0.637322,0.830827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2109,8.51949,7.52088,7.30651,7.23348,7.25448,7.5236,8.43792,9.37395,11.0119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.347308,0.285207,0.160244,0.17022,0.168102,0.172259,0.2545,0.408826,0.459603,0.77629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.8563,10.2219,8.74496,8.41108,8.40646,8.38313,8.52384,9.34375,10.2022,12.2648]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(939, 15, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.349817,0.470873,0.585074,0.639594,0.596192,0.491468,0.523653,0.72712,1.12635,1.28116]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.68413,8.20926,8.98134,9.4851,9.73102,10.0742,11.5898,13.8102,15.6294,18.0277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.341539,0.544185,0.642928,0.599115,0.518774,0.462924,0.596686,0.837831,0.82089,1.21405]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.30954,10.6965,11.8673,12.6088,13.4718,14.0758,15.1852,17.1443,18.4649,21.0787]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(940, 16, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.876654,1.38088,1.89633,2.178,2.12926,1.86004,2.09528,3.12199,5.20248,6.43728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.3828,25.2499,28.385,30.1139,31.423,33.1515,38.2117,46.3694,53.3293,61.4596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.855126,1.60603,2.0822,2.04227,1.86527,1.75937,2.41272,3.60249,3.79627,6.09302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.8056,31.0953,35.8523,38.2754,42.4733,45.5937,49.5198,55.2169,60.8988,69.5484]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(941, 17, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.390197,0.642689,0.903664,1.04371,1.02638,0.788368,0.724841,0.906035,1.29799,1.39228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.45759,3.25896,3.94406,4.49302,5.19362,6.11147,6.79333,7.64173,8.36188,9.2368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.378577,0.743136,0.991339,0.97721,0.894547,0.742111,0.829472,1.04348,0.94482,1.31114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.23718,2.88973,3.86418,4.65971,5.34395,6.26254,7.20484,8.1367,9.06076,10.0422]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(942, 18, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00728306,0.00594029,0.00659692,0.00520609,0.00482058,0.00392194,0.00638597,0.00763854,0.00956988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0,0.00040754,0.000366272,0.000897725,0,0.00105801,0.000435343,0.000483699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00712137,0.00798296,0.00950525,0.00825317,0.00703546,0.00577739,0.00913311,0.0120435,0.0128524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000626528,0,0.00109953,0.000485553,0.000912028,0.000352803,0.00120389,0.00157822,0.00176765]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(943, 19, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0103598,0.0107586,0.0140931,0.0128353,0.0109906,0.0115182,0.0132718,0.0120975,0.0549185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0218853,0.0138619,0.0147544,0.0179693,0.0198242,0.0238662,0.0232179,0.029721,0.0944944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0102047,0.0145352,0.0204865,0.0203186,0.0154029,0.0164795,0.0186586,0.0186473,0.072329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0221761,0.0222978,0.0237961,0.0218416,0.0254576,0.0277344,0.0368028,0.0417442,0.150252]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(944, 20, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0160471,0.0221822,0.0297018,0.0301961,0.0305601,0.0286388,0.0366118,0.0488224,0.0785321,0.0511443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00116831,0.00226915,0,0,0,0,0,0,0.00195452,0.00154114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0157624,0.0298912,0.0428173,0.0480166,0.0444568,0.0423299,0.0526284,0.0769391,0.105551,0.0644181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.57186e-5,0.000769357,0,0,0.0014971,0.000995027,0.00139451,0.00122082,0.0015725,0.00151283]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(945, 21, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.118314,0.0722931,0.041095,0.0208871,0.0116519,0.00875503,0.007528,0.00716824,0.00834604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0214025,0.00884331,0.00713575,0.00144009,0.00288866,0.000912986,0.00045539,0.0013829,0.000711312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0957695,0.0668328,0.0364348,0.0195274,0.0104217,0.00875034,0.00741461,0.0091701,0.0120893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0139019,0.0102397,0.00426616,0.00131842,0.00453868,0.0026277,0.00154365,0.00211237,0.000333693]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(946, 22, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0170451,0.0188799,0.0256794,0.0307389,0.0231862,0.0178516,0.0240976,0.0367032,0.0481496,0.0629304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.54186,1.36905,1.33333,1.51789,1.71029,1.86656,2.23746,3.10914,4.06704,4.91333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0164694,0.0247074,0.0359552,0.0457853,0.0312327,0.0214404,0.0253843,0.0415155,0.045252,0.0584641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.50056,1.37202,1.34601,1.49509,1.71179,1.91028,2.25374,3.09321,3.97951,4.77697]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(947, 23, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.2384,44.9785,43.6558,38.6732,34.1113,40.0602,48.8264,63.244,92.9186,120.656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[831.373,879.466,890.095,901.419,929.578,962.35,991.682,1007.35,991.263,1053.38]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.541,49.5945,55.6366,53.4223,40.5978,48.1258,59.5821,96.1887,115.216,123.126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[794.41,813.557,809.084,826.859,858.706,887.558,1075.5,1107.78,1147.1,1168.95]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(948, 24, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.1906,43.8652,42.4724,37.667,33.043,39.059,47.5854,61.6778,90.141,117.186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[240.333,232.889,241.882,247.573,264.124,282.959,269.113,271.79,243.433,262.587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.0002,47.4461,53.2403,51.3499,38.9408,46.4568,57.7247,93.7275,112.073,119.734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.751,107.377,99.1345,104.36,114.442,127.145,143.446,160.859,176.667,200.635]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(949, 25, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.538703,0.504845,0.44641,0.346818,0.306514,0.319255,0.400508,0.45691,0.6275,0.608884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21194,1.4125,1.60122,1.78812,1.97581,2.1504,2.29385,2.38036,2.46915,2.52063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09842,1.38682,1.33078,1.11205,0.903809,0.8486,0.936855,1.1558,1.32691,1.27789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.24804,1.44127,1.65206,1.85604,2.06058,2.23774,2.33002,2.44503,2.4804,2.52644]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(950, 26, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00217958,0.00396659,0.00658147,0.0067903,0.00826999,0.00942483,0.0131845,0.0174569,0.0264476,0.0325227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[360.058,396.823,391.092,385.317,382.656,380.571,374.706,371.673,366.589,375.263]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00100751,0.00252136,0.00446359,0.00508539,0.00565328,0.00652299,0.00889383,0.0129071,0.0166773,0.0192668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[270.607,284.934,270.311,258.409,247.254,235.536,223.861,211.986,200.165,188.123]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(951, 27, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.027789,0.0504736,0.0762751,0.074485,0.0627623,0.0695435,0.0967382,0.124239,0.191844,0.210833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.3583,44.0558,42.5299,40.946,38.1947,37.7276,36.6145,35.8612,35.3333,35.1204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0271754,0.0658554,0.107689,0.111124,0.0845447,0.0835584,0.101844,0.140577,0.180478,0.196767]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.3448,60.9571,59.4088,57.3723,55.9082,53.6118,52.0589,51.7866,51.1537,50.747]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(952, 28, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00242442,0.00343018,0.00447991,0.00482212,0.00491993,0.00622622,0.0105542,0.012344,0.0240148,0.0288106]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29123,1.78624,2.22937,2.85371,3.26037,3.72615,4.20967,4.90911,5.57745,6.28644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0023668,0.00446293,0.0063101,0.00719955,0.00663941,0.00748881,0.0110918,0.0139913,0.0227107,0.0269045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57452,2.06543,2.71371,3.40184,4.09946,4.70922,5.32145,6.11035,6.82311,7.75529]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(953, 29, 207, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.285206,2.02668,6.89502,11.9403,15.7798,20.3402,26.674,34.2447,44.8422]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139238,0.803719,3.10338,5.93025,8.36672,11.3395,16.866,23.3698,32.5269]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(954, 30, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0434183,0.0683689,0.0851843,0.0807862,0.145847,0.0849361,0.1031,0.113571,0.209283,0.335595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0877685,0.11075,0.132605,0.200775,0.110866,0.0938238,0.123879,0.166341,0.191209,0.234025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(955, 31, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.346129,0.364526,0.432179,0.356628,0.392748,0.331944,0.334763,0.383701,0.783314,0.999707]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00180076,0.00301143,0.00171986,0.000832877,0.00170986,0.00332097,0.00475869,0.00271193,0.004767,0.0061893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.233899,0.39155,0.564266,0.398706,0.332674,0.38554,0.333744,0.443875,0.609872,0.525114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00325915,0.00424386,0.00105138,0.0026825,0.000841342,0.00519086,0.00337908,0.00373209,0.00359667,0.00506661]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(956, 32, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00258529,0.00202033,0.00160846,0.00174731,0.00116373,0.00134858,0.00146719,0.0021717,0.0037387,0.00553852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.903,130.364,129.956,129.295,130.348,130.892,129.569,128.791,125.003,123.596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00291708,0.00306627,0.00262636,0.00303549,0.00183002,0.00189104,0.00180395,0.00287174,0.0041191,0.00602913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[136.301,132.684,131.629,131.861,132.232,132.902,134.043,132.32,133.346,133.218]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(957, 33, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00258529,0.00202033,0.00160846,0.00174731,0.00116373,0.00134858,0.00146719,0.0021717,0.0037387,0.00553852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.527466,0.528048,0.518524,0.522887,0.522222,0.513216,0.520643,0.526561,0.497458,0.489495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00291708,0.00306627,0.00262636,0.00303549,0.00183002,0.00189104,0.00180395,0.00287174,0.0041191,0.00602913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.541632,0.531396,0.536999,0.52017,0.51919,0.513467,0.533536,0.489741,0.515489,0.486652]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(958, 34, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.72454,4.76993,4.68434,4.65804,4.62917,4.5815,4.5485,4.55449,4.52255,4.40695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.66996,4.72569,4.74687,4.69721,4.68279,4.63754,4.61812,4.5187,4.51815,4.49834]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(959, 35, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.651,125.066,124.753,124.114,125.197,125.797,124.499,123.71,119.983,118.699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[131.089,127.427,126.345,126.643,127.03,127.751,128.891,127.312,128.313,128.233]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(960, 36, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0414804,0.0657568,0.0791494,0.0914508,0.110725,0.144396,0.24329,0.421614,0.877398,1.22562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.7355,11.7615,11.8574,12.2649,13.1872,14.4737,14.9746,17.5189,21.8211,34.6668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0462957,0.118202,0.17305,0.168822,0.164111,0.201932,0.300067,0.485129,0.75816,1.08462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.2411,47.6235,44.5072,45.3859,48.8657,50.3068,55.8939,58.0253,65.097,44.442]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(961, 37, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.9394,143.519,115.797,112.407,59.4438,56.9539,24.3398,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.6027,142.693,297.164,447.293,567.013,655.545,705.048,463.343,327.106,162.073]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(962, 38, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[4.21189,28.1353,26.5929,29.5589,16.415,16.4724,7.35814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.01,1.98102,2.79136,2.44106,1.31777,0.381243,0.0368502]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(963, 39, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.6499,15.6164,10.5948,8.39421,4.1002,3.61457,1.41399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.774224,2.21673,2.53567,1.43428,0.609963,0.401862,0.137073]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(964, 40, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.28467,15.4512,11.0073,9.31049,4.74667,4.38864,1.81127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"55-59\"],\"number\":[2.40604,8.11709,9.95991,5.59685,2.50169,1.54085,0.58983,0.000191063]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(965, 41, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.616157,6.05327,4.3783,3.7833,2.24211,2.38153,1.11915]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.3317,87.8084,193.779,305.321,396.145,463.243,502.918,463.343,327.106,162.073]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(966, 42, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.67882,17.208,13.2381,12.2696,6.13722,5.55506,2.23889]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.687697,1.37913,1.8091,1.8177,1.73393,1.03509,0.225885]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(967, 43, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[9.49796,61.055,49.9859,49.0908,25.8026,24.5417,10.3984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[12.393,41.1909,86.2891,130.683,164.705,188.943,201.14]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(968, 45, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.5463,42.3302,41.6473,40.4604,40.0201,38.8213,38.1811,36.6362,35.7788,34.1611]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.453,49.4986,48.1787,47.2226,46.0054,44.5283,44.0571,42.1171,40.6279,38.9037]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(969, 46, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[132.476,125.742,118.368,110.863,103.877,97.5892,91.6064,84.7798,75.9288,66.1044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.614,182.314,172.203,162.135,152.331,142.253,132.917,122.284,109.737,95.4318]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(970, 49, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.29595,9.40276,12.4489,11.6774,9.16383,8.54296,12.537,11.618,21.1508,34.7436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1101.18,1188.16,1123.28,1090.98,1081.02,1060.24,969.174,980.918,910.089,915.438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.00629,7.91381,11.5372,13.0985,10.485,8.26122,10.2105,11.9284,16.3042,32.4506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1217.79,1041.79,961.628,975.631,1028.53,1045.5,1096.77,1132.46,1210.31,1301.36]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(971, 50, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.76537,7.84659,10.2441,9.93807,8.27394,7.89547,11.8043,11.0615,20.1954,33.2372]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16318,2.27643,2.84781,2.8919,2.55332,2.55327,3.78036,3.49413,6.94262,13.2269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.63499,6.60406,9.49383,11.1476,9.46685,7.63509,9.61374,11.3571,15.5677,31.0436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03815,3.03586,3.86821,4.23895,2.96168,2.42035,3.14145,2.91799,4.73288,10.8515]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(972, 51, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0936225,0.404091,0.533345,0.307856,0.111059,0.0752044,0.0668206,0.0372124,0.0490353,0.0541728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[145.859,166.03,158.519,150.827,143.563,136.461,130.315,125.402,120.767,116.105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0655168,0.340102,0.494285,0.345323,0.127071,0.0727242,0.0544204,0.0382066,0.037799,0.0505975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.6491,98.5985,94.2666,89.6554,85.0292,80.3643,76.4115,73.4093,70.3204,67.2514]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(973, 52, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.9442,10.2682,9.05926,10.1988,8.79864,7.05169,4.38591,2.49715,1.70724,1.21054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.4655,10.4796,9.05349,10.6709,10.2111,8.17389,5.07153,3.15745,2.3155,1.79192]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(974, 53, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.429768,1.13439,1.64309,1.40298,0.75764,0.551383,0.638047,0.495019,0.862722,1.38709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[930.198,1009.55,952.81,927.017,926.072,914.149,830.663,849.501,780.637,784.85]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.30075,0.95476,1.52275,1.57372,0.866874,0.533198,0.519642,0.508244,0.665033,1.29555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1107.63,929.645,854.396,871.018,930.297,954.516,1012.12,1052.95,1132.91,1221.43]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(975, 54, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00719103,0.0176916,0.0284297,0.0284476,0.02119,0.020896,0.0278495,0.0242219,0.0436472,0.0650901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.013942,0.0317003,0.0467171,0.0426569,0.0288449,0.0255406,0.0301358,0.0229058,0.0355017,0.0446113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00503227,0.0148901,0.0263476,0.0319098,0.0242451,0.0202069,0.0226813,0.024869,0.0336456,0.0607943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00979722,0.0268737,0.0436592,0.0482346,0.033203,0.0248357,0.0246864,0.0236601,0.0275008,0.0418307]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(976, 55, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.06951,10.2185,13.561,11.5793,9.95478,7.61129,11.9379,16.8771,35.7661,37.5076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.712,69.7225,70.4697,68.2615,63.0976,64.682,27.283,22.189,19.9326,37.4215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08244,9.3642,15.7339,17.8753,16.0617,12.6387,16.9891,24.9004,31.6113,37.0766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[145.988,157.603,143.017,131.622,120.385,109.615,101.416,96.5354,104.085,63.0448]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(977, 56, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.258046,0.608954,1.104,0.993293,0.661211,0.547926,0.539585,0.424264,0.447209,0.645809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.4731,50.7006,51.122,49.1125,44.7299,47.1388,10.9088,5.78295,4.81838,4.83287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.148363,0.321994,0.544349,0.679963,0.584375,0.520679,0.526068,0.590506,0.644618,0.915624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.9444,73.8376,64.9774,50.9655,36.685,25.3076,14.412,5.8121,5.46309,6.06421]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(978, 57, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0143779,0.029516,0.0573053,0.0491031,0.0368131,0.0347486,0.0295201,0.0376685,0.0968145,0.139947]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.46103,1.14215,1.63805,2.00227,2.2999,2.54965,2.81962,3.06093,3.30071,3.64922]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.148363,0.321994,0.544349,0.679963,0.584375,0.520679,0.526068,0.590506,0.644618,0.915624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.801156,2.01978,2.98095,3.58962,3.99099,4.35304,4.68405,4.96843,5.43968,6.04519]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(979, 58, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0567681,0.135581,0.243503,0.219462,0.144932,0.119427,0.119499,0.0906426,0.0825848,0.124939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.81523,9.25404,9.54591,9.48475,9.05982,10.8111,1.00363,0.352398,0.126435,0.0729519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.1837,47.6571,38.7018,25.6543,13.7234,8.40635,4.07256,0.491796,0.0181533,0.0134618]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(980, 59, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0426664,0.101613,0.183613,0.164049,0.108313,0.0883228,0.0880081,0.0674925,0.0622956,0.0870567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.40101,8.00923,8.89388,9.68505,9.87597,9.82776,1.82048,0.297739,0.114968,0.0536836]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9596,24.1607,23.2946,21.7215,18.9706,12.5482,5.65535,0.351877,0.00525747,0.00555708]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(981, 60, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.6041,28.1081,23.9069,17.5131,11.1871,7.53149,4.22475,1.40874,0.934334,0.882379]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(982, 61, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.144234,0.342244,0.619581,0.560678,0.371153,0.305427,0.302557,0.228461,0.205514,0.293866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19171,4.18701,7.13726,10.4273,12.3072,16.4188,1.04028,0.663147,0.341926,0.174638]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(983, 62, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02302,4.38997,5.02473,4.29608,3.69286,3.3022,5.93843,9.48902,22.7602,19.5731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.30184,4.51577,5.34951,5.30395,4.65042,4.59038,4.64151,4.64987,4.80016,4.81494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.621085,1.67708,2.78534,2.72138,2.78057,2.76703,4.65892,6.7288,8.00484,8.36255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.75996,5.52001,6.58882,6.75331,6.30754,6.37648,6.86563,7.13383,7.45416,7.54368]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(984, 63, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.131897,0.348569,0.484213,0.600585,0.714767,0.818605,1.93312,3.00515,8.23453,6.3024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.494299,1.1142,1.8873,1.73006,0.879387,0.410556,0.10523,0.00665338,0.00462363,0.00549476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110369,0.365924,0.645486,0.725409,0.716661,0.699719,1.2138,1.93096,2.45299,2.97572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.51978,1.15959,1.95868,1.84708,0.977355,0.445658,0.11508,0.00458655,0.00381165,0.00194165]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(985, 64, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.16928,0.491732,0.719191,1.00763,1.34547,1.70766,3.33788,5.47452,12.3703,11.6204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.46118,2.31602,2.49949,2.6922,2.90297,3.14168,3.5117,3.8196,4.11989,4.17257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.117703,0.506485,1.17683,1.32588,1.53903,1.71184,3.01257,4.23487,5.04266,4.80324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.19245,3.45897,3.79158,4.06755,4.38549,4.74589,5.50895,6.13993,6.6281,6.7652]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(986, 65, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0147445,0.0588331,0.0809993,0.16462,0.263864,0.241727,0.46719,0.826793,1.80351,1.46477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.238864,0.251451,0.277934,0.349929,0.503007,0.843506,0.972161,0.777968,0.638335,0.607069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00686669,0.0305718,0.114029,0.142515,0.190584,0.2158,0.368023,0.490063,0.444522,0.535269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.311556,0.320022,0.354041,0.456139,0.667497,1.04191,1.1937,0.950959,0.785891,0.747109]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(987, 66, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.7071,3.49083,3.74033,2.52324,1.36875,0.534213,0.20024,0.182552,0.351768,0.18549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1075,0.83411,0.684786,0.53176,0.365056,0.19464,0.0524153,0.0456476,0.0373084,0.0298114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.386146,0.774101,0.848993,0.527577,0.334291,0.139666,0.0645342,0.0729076,0.0646766,0.0483188]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.736177,0.581427,0.484518,0.382537,0.277192,0.143017,0.0478895,0.0383601,0.0363621,0.029431]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(988, 67, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0791349,0.0786406,0.0877643,0.0922903,0.0972697,0.0986457,0.105238,0.108786,0.116181,0.114788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0763563,0.0809056,0.0806666,0.0878572,0.0982029,0.10573,0.101553,0.104264,0.108495,0.115437]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(989, 68, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.78844,5.21953,7.43227,6.28996,5.60072,3.76117,5.45986,6.96386,12.5587,17.2887]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.858,14.4275,13.9104,13.7528,13.62,12.8542,11.6274,11.6474,10.1979,27.6589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.31299,7.36512,12.4043,14.4739,12.6967,9.35101,11.8041,17.5811,22.9618,27.7984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.207,78.1642,71.3697,73.8149,77.2945,77.8249,80.037,83.4852,91.0593,49.3215]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(990, 69, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.77662,6.75921,10.9809,19.208,28.1537,42.3337,79.1232,127.671,227.288,303.879]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.63178,3.71357,7.23723,13.8197,18.1264,25.0743,40.0751,56.6398,88.3381,101.937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.01166,10.0142,13.3316,15.6175,17.8969,25.4918,45.0954,97.2831,156.605,246.65]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.92975,3.19361,4.99499,5.6934,6.63552,8.99554,15.7923,30.9183,49.9818,80.5305]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(991, 70, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0418301,0.108778,0.167623,0.412879,0.812746,1.81775,3.52667,7.67183,15.4768,23.9564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00961298,0.0388242,0.0414766,0.146972,0.190494,0.321441,0.721194,1.32759,2.79086,3.5914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0107266,0.146048,0.327023,0.812527,1.54389,2.66905,5.72415,14.1159,22.5596,33.0716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00100701,0.0340348,0.0894782,0.158266,0.329135,0.542869,1.14795,2.77844,4.1444,5.71498]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(992, 71, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0273844,0.168279,0.365816,0.63033,0.571582,1.49121,3.60986,6.84742,12.1003,24.287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00816669,0.0579069,0.0930241,0.138456,0.148726,0.357975,0.861391,1.64717,2.71111,5.21302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0407192,0.227845,0.431809,0.808667,0.98101,2.02015,3.61163,7.22616,13.6895,23.4051]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00643556,0.0561578,0.100377,0.2042,0.251661,0.522993,0.881476,1.58338,3.03462,4.9725]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(993, 72, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.502043,0.942317,1.24647,1.34979,1.75163,2.22018,4.36276,8.05425,17.0863,26.8501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0263287,0.0955252,0.188011,0.213959,0.273769,0.346297,0.76408,1.43999,3.2501,4.89191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.455586,1.31849,1.59377,2.16284,2.38831,3.54921,6.19028,14.9563,26.0937,37.0457]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0231575,0.105222,0.174719,0.274336,0.326191,0.540339,0.99336,2.40622,4.40838,6.22339]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(994, 73, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.167731,0.317653,0.417588,0.449726,0.591951,0.764065,1.53137,2.87565,6.19771,9.89927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00665967,0.0285265,0.0498702,0.0673972,0.0930741,0.115315,0.290045,0.542876,1.19447,1.87698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.209601,0.587708,0.697164,0.937778,1.03445,1.56972,2.78609,6.84365,12.1168,17.4188]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0140456,0.0507361,0.0920936,0.130405,0.148185,0.228183,0.388365,1.1439,2.09708,2.87784]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(995, 74, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0285282,0.0531102,0.0703708,0.0760229,0.138229,0.302736,0.82226,1.9032,4.78284,8.59996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00183511,0.00521857,0.0108488,0.00486654,0.00902736,0.0566887,0.111532,0.322884,0.868461,1.51668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.021436,0.059627,0.0707203,0.0950992,0.146092,0.371956,0.893593,2.70862,5.60847,9.13409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00220169,0.00244943,0.00290964,0.000760102,0.0170536,0.0668228,0.185725,0.432743,0.9424,1.48226]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(996, 75, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0371517,0.191239,0.352624,0.456934,0.620322,0.730867,1.33733,2.29812,4.55223,6.65692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00337144,0.0282545,0.059701,0.0721659,0.101588,0.115999,0.237614,0.395938,0.907878,1.17886]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0326029,0.254668,0.42414,0.677942,0.783019,1.0844,1.76894,3.99496,6.52353,8.68353]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000811803,0.0173294,0.0335214,0.0927097,0.106465,0.175596,0.297745,0.62669,1.06949,1.5761]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(997, 76, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.268632,0.380315,0.405888,0.367102,0.401129,0.422516,0.671797,0.977285,1.55354,1.69392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0144625,0.0335257,0.0675908,0.0695289,0.0700787,0.0582938,0.124889,0.178288,0.279282,0.319384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.191946,0.416485,0.401745,0.452021,0.424742,0.523131,0.741656,1.40912,1.84488,1.80919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00609847,0.0347072,0.0461947,0.0504608,0.0544869,0.0697372,0.121526,0.202887,0.299412,0.287194]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(998, 77, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00250114,0.00852334,0.00688831,0.0127248,0.013439,0.0294581,0.056849,0.0947825,0.240629,0.277313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00366716,0.00388543,0.00538454,0.0141173,0.00651604,0.0174704,0.0275086,0.0379205,0.0784576,0.101934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00227909,0.00615299,0.0130915,0.0383397,0.0508229,0.140118,0.533781,1.30512,2.12613,3.28657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00364208,0.00298658,0.0103501,0.015117,0.0229326,0.0601629,0.25398,0.665511,1.11019,1.50316]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(999, 78, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0537791,0.170927,0.246247,0.407546,0.461303,1.44841,2.49025,3.29017,10.9785,12.159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0131772,0.046977,0.0707095,0.0650435,0.12096,0.304787,0.455969,0.629404,1.97167,2.09593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00823689,0.120562,0.273157,0.42347,0.743058,1.65058,2.15593,5.0319,6.91547,15.6902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000675541,0.0357987,0.0559945,0.106103,0.154757,0.39263,0.529154,1.14198,1.52929,3.07913]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1000, 79, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0665154,0.592291,0.954884,3.01732,4.65563,6.96637,9.91119,20.5568,36.6651,34.43]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0818511,0.634428,1.24043,3.29727,4.8828,8.71445,12.8347,21.252,33.6111,34.2116]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1001, 80, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.19204,1.05469,2.78005,7.64048,12.9073,17.8989,35.3672,47.28,78.7894,96.9455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0763464,0.796677,2.65793,6.84196,8.83297,9.92056,15.0305,15.3459,22.8377,23.8574]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1002, 81, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0078587,0.0100738,0.0152598,0.0146122,0.0268191,0.0554493,0.147669,0.344417,0.701174,1.28919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00369132,0.0053697,0.0145601,0.00696386,0.0377805,0.0662822,0.206458,0.479636,0.727145,0.876378]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1003, 82, 207, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0103485,0.0177166,0.028859,0.0219376,0.0646049,0.153745,0.625183,1.96784,4.84885,13.7372]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0091688,0.015596,0.0382068,0.0288891,0.082758,0.212222,1.14502,4.05967,9.24836,22.2724]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1004, 83, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0491133,0.275611,0.423736,0.689994,1.05229,1.64868,3.80266,7.7667,8.72546,12.268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0236271,0.162247,0.248915,0.398941,0.65426,0.987219,2.24411,4.16873,4.56823,5.95685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0608586,0.358747,0.46645,0.577693,1.04403,1.60052,3.322,5.98938,10.4902,16.8055]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0389932,0.194339,0.273566,0.364997,0.725852,1.1626,2.26919,3.74348,6.15384,9.31184]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1005, 84, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.19683,0.314694,0.424613,0.375334,0.473754,0.578139,1.01549,1.68051,2.63174,3.82998]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.238312,0.287508,0.379185,0.233368,0.316822,0.340147,0.62961,1.02793,1.75504,2.42855]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.307631,0.775777,1.08473,1.2165,1.16654,1.35168,1.78249,2.99463,4.97848,7.48615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.208536,0.714788,0.970649,0.962484,0.959649,1.17573,1.55102,2.5584,4.24348,6.17593]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1006, 85, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0237067,0.0368099,0.0414654,0.0455104,0.0577004,0.062136,0.110327,0.15558,0.288083,0.412944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.013418,0.017546,0.0341562,0.0170827,0.0174245,0.025914,0.0452835,0.0387764,0.07672,0.0932451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0365226,0.0825858,0.115554,0.11196,0.132546,0.160824,0.261825,0.417801,0.636538,0.878571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0235989,0.0368831,0.050052,0.0681777,0.0900096,0.0748924,0.10977,0.154639,0.162438,0.243918]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1007, 86, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0151133,0.0118935,0.0266515,0.0227122,0.0169187,0.0216679,0.0735872,0.102337,0.115768,0.144565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0025583,0.00405325,0.00793429,0.00536546,0.00457289,0.0043175,0.0411285,0.0295945,0.0323054,0.0324462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00940949,0.0140068,0.0266303,0.0178609,0.051376,0.117472,0.23875,0.675846,1.15164,1.54146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000851884,0.00396626,0.00675538,0.00463003,0.0223187,0.0470956,0.128372,0.302272,0.448158,0.58276]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1008, 87, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00165709,0.00412252,0.0106976,0.0269796,0.0216297,0.0562185,0.181258,0.215867,0.645918,0.961185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00274105,0.00200368,0.00542798,0.00828068,0.00561793,0.0062198,0.0246103,0.0365914,0.101293,0.159343]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000701001,0.00517556,0.0115635,0.0142434,0.0122492,0.013714,0.0389395,0.0580992,0.189063,0.180155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.000482458,0.00211193,0.00549786,0.00393752,0.00377216,0.00965321,0.0101841,0.0549439,0.0523987]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1009, 88, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0061118,0.0143251,0.0361709,0.0583836,0.0976201,0.297326,0.626769,1.13227,2.95557,4.7074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00844128,0.00217134,0.015342,0.010931,0.0409179,0.0764542,0.133492,0.360256,0.485665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00638384,0.017137,0.074591,0.136356,0.0982542,0.196215,0.406868,1.87372,1.89431,5.47406]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00166053,0.000143039,0.0192095,0.0185725,0.0178218,0.050445,0.0347894,0.221694,0.217904,0.622312]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1010, 89, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00561408,0.00930473,0.0186291,0.0120743,0.0403381,0.0588417,0.162875,0.377987,0.472527,1.05115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0165995,0.0307847,0.0534584,0.0211322,0.0920164,0.0909903,0.196797,0.466147,0.473664,0.978215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00289418,0.0106134,0.0155755,0.012726,0.0218898,0.0700176,0.0754104,0.117313,0.163138,0.333744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00267257,0.00906316,0.0173797,0.0217922,0.0183219,0.0722863,0.0662869,0.0986304,0.129489,0.235915]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1011, 90, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0299937,0.0718036,0.159266,0.184307,0.15444,0.162525,0.206094,0.254024,0.477561,0.711219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0147017,0.0362968,0.0710382,0.11553,0.133226,0.208186,0.506068,0.72695,1.04607,1.58492]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0326883,0.0775274,0.168869,0.234233,0.252103,0.315675,0.454261,0.755703,1.45019,1.84802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0259749,0.0504533,0.100347,0.137971,0.177103,0.282254,0.666171,1.10867,1.49959,2.26238]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1012, 91, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.201241,0.224255,0.29782,0.4871,0.663508,1.48793,3.51279,6.44697,7.42843,8.77128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149433,0.183611,0.224242,0.331679,0.360769,0.691626,1.27494,1.88818,1.9724,1.92736]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1013, 92, 207, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0280488,0.101839,0.0970275,0.109379,0.104874,0.0897585,0.138712,0.282897,0.308977,0.664478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0171329,0.0931623,0.127546,0.139844,0.112216,0.0990411,0.115197,0.177812,0.142529,0.247214]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1014, 93, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0280794,0.0507535,0.0789325,0.118406,0.118478,0.278346,0.574048,0.736432,2.42829,2.38296]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00581166,0.0116837,0.0216693,0.0382515,0.0400445,0.0971988,0.200352,0.196143,0.564143,0.503678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0205586,0.0231576,0.0371643,0.0409516,0.0546541,0.105513,0.205292,0.685738,0.99866,2.08409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0055438,0.00615545,0.0100803,0.0134754,0.0182521,0.0419839,0.0797945,0.209952,0.294887,0.579199]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1015, 94, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00909783,0.018738,0.0354063,0.0699851,0.123053,0.180888,0.306775,0.248582,0.41355,0.763517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132174,0.015946,0.0135051,0.0232967,0.0584677,0.118169,0.204446,0.23665,0.315241,0.492146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0411849,0.113923,0.075228,0.144725,0.109708,0.181805,0.249901,0.526239,0.761622,1.12129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0160461,0.0340194,0.0330761,0.0491116,0.0498026,0.0836314,0.129,0.236649,0.361286,0.555685]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1016, 95, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0242994,0.0365847,0.0463796,0.0538099,0.0718536,0.0908696,0.168646,0.263236,0.522875,0.759879]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.024755,0.0502975,0.0390604,0.0533534,0.0467436,0.0498908,0.0819648,0.112013,0.240156,0.288718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0257805,0.0496056,0.0679474,0.078656,0.0897749,0.106364,0.173391,0.289482,0.483183,0.593783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.021558,0.0505891,0.0605721,0.0443443,0.0485616,0.0532097,0.0816663,0.118033,0.178366,0.235221]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1017, 96, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00819697,0.0174293,0.0359447,0.0447127,0.0500942,0.0770964,0.247143,0.636059,1.29146,1.64749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186595,0.0938016,0.205011,0.207142,0.150749,0.191799,0.388365,0.668595,0.826649,0.680651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0108752,0.0117492,0.0125286,0.0159724,0.0171365,0.0318507,0.0741916,0.123849,0.200471,0.33235]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00538492,0.0117263,0.0272899,0.026191,0.018049,0.0221869,0.0507165,0.048457,0.0671163,0.0947055]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1018, 97, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0378372,0.0618095,0.101439,0.0661637,0.0811171,0.10519,0.0994084,0.192543,0.150685,0.275589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0766169,0.115944,0.129679,0.0502975,0.0545764,0.0772154,0.0806497,0.101383,0.0828475,0.0906749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0513348,0.0576698,0.133356,0.150473,0.0865146,0.0615504,0.111778,0.148107,0.176844,0.17586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0812355,0.0845823,0.120216,0.156627,0.0756395,0.0450754,0.0654289,0.0832497,0.0844475,0.0902404]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1019, 98, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.804537,0.867012,1.12175,1.2684,1.03854,1.49406,1.86659,2.48994,4.84809,10.1525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.309564,0.318503,0.472511,0.552411,0.479065,0.662971,0.771353,1.0205,1.7125,2.95065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.902521,1.36898,1.77739,2.03186,1.87079,1.96887,3.04034,5.36547,5.50964,9.26166]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.219901,0.397013,0.56588,0.767541,0.684476,0.789716,1.02195,1.67359,1.42916,2.15341]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1020, 99, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00518266,0.00449701,0.00744918,0.0122637,0.0365688,0.0697518,0.140627,0.525419,0.753622,1.53503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000272096,0.00518012,0.00203256,0.00967483,0.0248273,0.0426751,0.077845,0.299933,0.409903,0.664849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00202878,0.00489268,0.0127083,0.0435519,0.0836271,0.168085,0.185431,0.462532,0.900112,1.91931]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000387673,0.00275649,0.00817959,0.0529047,0.0583087,0.123039,0.145022,0.270906,0.533847,0.912984]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1021, 100, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.335199,0.330669,0.39575,0.340542,0.669606,0.664154,1.05237,1.00678,2.50068,3.3285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0931977,0.0889773,0.11558,0.0923657,0.204576,0.166234,0.305121,0.325566,0.63657,0.740644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.836111,0.426877,0.612324,0.486483,0.299375,0.368684,0.615787,1.46476,1.98249,2.22715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.24584,0.113873,0.163545,0.151069,0.0800726,0.130343,0.223089,0.514168,0.695717,0.705618]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1022, 101, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10086,1.35302,1.93554,1.84562,2.18575,3.07217,5.50337,9.29962,18.5991,29.9814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.405456,0.601152,0.900124,0.921441,0.977716,1.22331,2.02417,3.00306,5.18601,7.03879]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.10823,4.67714,5.87427,5.92611,6.62972,8.40034,14.8791,30.4483,48.0959,67.4865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.970348,1.13982,1.9694,1.92126,2.30769,2.46702,4.09419,6.75232,9.80934,11.7032]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1023, 102, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.06928,5.46139,8.27431,10.0011,13.8732,21.3939,38.9766,59.0839,122.559,280.721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.8712,113.88,107.568,147.608,209.222,284.263,386.023,486.781,630,804.285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.89708,7.2276,11.8319,17.9157,23.4127,31.259,57.7899,103.101,182.159,371.379]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.385,68.2318,86.1362,119.344,194.509,246.904,374.156,523.354,735.048,949.711]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1024, 103, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.566804,1.36932,2.77519,3.01807,2.73974,2.74608,3.18206,2.75982,5.04684,9.60447]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.7482,37.3302,34.8829,32.9766,30.8378,28.8005,26.0502,23.0106,24.0732,26.6368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.299861,0.702367,1.6213,2.69491,2.87623,2.76326,3.73452,4.03558,5.72821,9.82953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.3962,25.4392,23.9938,23.1514,22.1469,21.2988,19.6148,18.0247,19.7668,23.3183]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1025, 104, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.974953,1.38593,1.65674,1.9218,2.82928,5.41456,9.49266,17.0508,34.8737,85.6512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.28493,11.737,22.9772,39.1182,60.9445,89.4664,137.546,205.449,287.111,369.239]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.55568,3.90927,5.50267,7.61187,9.54877,13.0883,21.3202,37.9528,62.7509,121.155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.25311,13.9501,27.6171,47.7522,74.2599,110.039,170.331,256.642,363.147,468.023]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1026, 105, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.433782,0.754883,1.03972,1.45185,2.81262,5.63778,12.5518,20.8647,46.6026,105.011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65671,2.27378,3.56207,5.02602,7.39013,10.1665,16.8102,26.7172,40.8735,55.274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.36141,0.961904,1.70755,3.1618,4.97305,8.32354,19.8088,40.6255,77.9243,165.725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.60492,2.14572,3.35308,4.87374,7.03072,9.89885,17.8948,28.6591,44.6404,60.8973]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1027, 106, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0607935,0.13441,0.190833,0.272503,0.459917,0.897386,2.17633,4.22266,11.4655,35.647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.73048,0.60913,1.37128,2.22561,3.91125,6.27522,11.2544,18.7703,29.4474,43.458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0422335,0.119674,0.230397,0.435155,0.65254,1.31753,3.66512,8.43144,19.7094,57.2056]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.726342,0.489151,1.01351,1.97544,3.55757,5.96109,11.7674,19.9572,31.4476,46.1975]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1028, 107, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.372988,0.620474,0.848887,1.17935,2.3527,4.74039,10.3755,16.642,35.1372,69.3635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.926232,1.66465,2.19079,2.80042,3.47888,3.89124,5.55582,7.94693,11.4261,11.816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.319176,0.84223,1.47715,2.72665,4.32051,7.00601,16.1437,32.1941,58.215,108.519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.878576,1.65657,2.33957,2.89829,3.47315,3.93777,6.1274,8.70193,13.1928,14.6997]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1029, 108, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.235771,0.492937,0.819663,1.27709,2.16314,3.53758,6.87277,10.4406,20.4702,47.2156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.42214,1.27678,1.66688,3.15552,5.93522,11.0986,18.7496,26.2195,38.8731,55.0055]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.117125,0.333772,0.523086,0.718033,0.955787,1.07607,1.93871,3.16533,5.24871,10.2584]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.45244,1.42175,1.90563,3.67619,6.76202,12.6149,20.6138,28.6278,42.8044,60.6048]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1030, 109, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2589,0.471319,0.664343,0.840878,1.2497,1.73636,3.12788,3.24725,5.71998,12.8435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.53774,2.99349,2.92172,3.72784,4.85953,6.58789,8.79444,11.0526,14.179,17.3109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.219688,0.585037,1.07261,1.60492,2.25619,3.00354,5.76024,9.01219,15.6731,33.7199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.22901,5.35815,5.26643,6.82361,8.98548,12.5731,16.4586,19.7934,25.8252,31.4269]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1031, 110, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0121513,0.0198081,0.0311287,0.0819545,0.0999591,0.295346,0.75869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.82427,3.15215,3.68701,4.83303,6.82702,11.8602,20.9464,34.7814,57.5287,91.2956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.017037,0.0265458,0.0318828,0.0622478,0.132652,0.259556,0.680374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.87742,5.36348,6.05219,7.94731,11.0076,18.8102,33.0965,54.015,88.3342,139.747]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1032, 111, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0258208,0.0398727,0.0634011,0.0936716,0.153747,0.208774,0.346829,0.530335,1.01662,2.55237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0199943,0.047887,0.0959575,0.175337,0.264578,0.319635,0.592532,0.997596,1.889,4.18674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1033, 112, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0103256,0.0179959,0.0339722,0.0791856,0.177653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00289053,0.0170018,0.059652,0.223263,0.622116,1.07839,2.76431,7.28372,14.2087,23.5557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0332852,0.0696537,0.126814,0.254656,0.580605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00518869,0.0255189,0.0839716,0.281155,0.764962,1.33652,3.29947,8.66572,17.1878,28.7148]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1034, 113, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0726481,0.12982,0.171899,0.166689,0.203771,0.198177,0.284163,0.293619,0.461301,0.879334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.594081,0.810763,0.556838,0.425051,0.324849,0.450135,0.530407,0.476537,0.707345,1.1268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0409972,0.0954673,0.207726,0.233203,0.290348,0.258969,0.383178,0.497259,0.724363,1.20137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7377,1.0847,0.801927,0.64526,0.474225,0.596258,0.728961,0.834701,1.24195,2.11445]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1035, 114, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.500599,0.817316,1.08336,1.21889,1.70138,1.87318,3.01842,3.76278,7.99355,16.0275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.8002,54.2893,37.254,58.1222,91.4805,124.755,153.831,151.791,152.445,164.841]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.28232,0.591897,1.10097,1.69859,2.22115,2.36048,4.11983,6.55523,11.7063,24.0418]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.829,13.4432,17.0621,24.1934,63.0769,59.7367,92.1175,108.092,132.1,134.865]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1036, 115, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1009,2.71403,3.87055,4.09373,4.1026,4.09496,7.45425,8.04099,18.6744,34.5376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[802.214,757.49,809.467,914.22,1033.84,1175.89,1346.48,1589.19,1841.97,2174.1]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.908102,2.12513,4.17452,5.19443,4.7115,4.39438,6.53848,10.7722,19.4988,41.3201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[708.143,655.548,690.468,769.555,889.114,1020.97,1198.48,1421.49,1681.53,1970.53]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1037, 116, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.228373,0.715869,1.22343,1.46683,1.72057,1.95631,3.97994,4.30192,10.7497,20.2417]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[225.027,312.233,402.433,504.208,617.462,751.429,925.243,1139.13,1395.92,1682.67]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.401129,1.13106,2.43388,3.26862,2.92364,2.76976,4.17589,6.87457,12.5358,27.0638]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[250.414,344.115,438.645,541.652,653.806,777.348,935.93,1135.98,1369.81,1626.09]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1038, 117, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186204,0.0549682,0.0455023,0.0714784,0.0970263,0.113179,0.182649,0.282417,0.613912,1.09727]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0230605,0.0238008,0.0320818,0.0473086,0.0750529,0.20008,0.457535,1.27181,2.36566,4.05318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0468579,0.08909,0.187912,0.285069,0.309002,0.304219,0.430847,0.832567,1.41492,3.11098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0541669,0.0650788,0.0622815,0.0966734,0.157118,0.434725,1.05748,2.44821,4.56301,8.50242]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1039, 118, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.204095,0.42106,0.517248,0.533406,0.619657,0.693218,1.46897,1.68632,4.13127,7.77733]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[435.197,269.833,197.52,174.354,169.851,176.769,190.421,204.142,220.014,237.931]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.279783,0.51821,0.843537,0.885048,0.765587,0.710653,1.13792,1.80571,3.44972,7.00089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[409.282,254.571,185.794,160.086,156.636,162.498,175.244,189.097,202.06,215.877]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1040, 119, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0400155,0.059089,0.0967409,0.126153,0.167988,0.155565,0.28713,0.323948,0.686584,1.07423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.517876,0.452526,0.584126,0.829177,1.14267,1.64038,2.35371,2.1448,3.10567,4.21114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0542942,0.107827,0.181269,0.211003,0.22475,0.234916,0.309576,0.507084,0.841929,1.52658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.692592,0.509719,0.704827,1.02177,1.42192,1.98685,2.93097,2.64255,3.78262,5.24512]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1041, 120, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.609794,1.46304,1.98763,1.89587,1.49736,1.17669,1.53556,1.44638,2.49298,4.34702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[141.449,174.948,208.897,234.782,245.305,245.848,228,242.494,220.562,245.236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.126038,0.278945,0.527924,0.54469,0.488522,0.374825,0.48425,0.752291,1.25643,2.61785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.7012,56.288,65.2623,66.6983,77.0934,78.7022,83.3229,91.3193,101.317,114.823]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1042, 121, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.586941,1.83077,4.53894,7.88176,9.13262,10.6524,11.6982,12.0272,19.4263,52.1267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08861,1.89664,2.74326,4.17345,7.76372,12.7919,17.4473,21.7155,24.9214,29.0586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.844177,1.9667,6.28553,11.0495,14.2395,16.4135,19.5853,26.7583,30.8063,67.7564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09804,1.8913,2.9287,4.69566,10.0737,16.0935,21.097,23.802,26.8508,30.6913]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1043, 122, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.141098,0.480248,1.25654,2.27432,2.80459,3.6164,4.30117,4.72937,8.08347,22.761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.266795,0.49249,0.779832,1.19455,2.45471,4.36858,6.72184,8.61095,10.6012,13.0403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.220935,0.498632,1.56331,2.70636,3.65797,4.79078,6.32291,9.433,11.6696,27.335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.306329,0.469712,0.765296,1.17174,2.6731,4.79076,6.80397,8.37126,10.3911,12.5114]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1044, 123, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0903806,0.3059,0.803506,1.45024,1.85015,2.54612,3.17087,3.60594,6.32555,18.1883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.183424,0.340174,0.457697,0.77661,1.53964,3.00834,4.53894,6.48684,7.94228,10.036]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112428,0.253173,0.795924,1.37684,1.91591,2.6284,3.6041,5.50918,6.96328,16.5869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.151064,0.249575,0.379083,0.617191,1.33464,2.59366,3.88033,4.96458,5.94893,7.48958]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1045, 124, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0168775,0.158593,0.582982,1.25709,1.54672,1.63719,1.63391,1.53249,2.26056,5.54721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0393078,0.176502,0.359592,0.689462,1.32756,1.98014,2.46787,2.81181,2.9203,3.02457]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0717694,0.44679,1.95776,4.0631,5.45639,5.83257,6.48044,8.21992,8.82292,18.0729]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0864862,0.412463,0.880163,1.73976,3.83852,5.72071,7.0173,7.33203,7.67491,8.13926]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1046, 125, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.338585,0.886026,1.89592,2.9001,2.93116,2.85272,2.59223,2.15944,2.75668,5.63027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.599088,0.887471,1.14614,1.51284,2.44182,3.43484,3.71868,3.80587,3.45758,2.95774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.439044,0.768109,1.96854,2.90325,3.20925,3.16176,3.17786,3.5962,3.35047,5.76165]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.554164,0.75955,0.904163,1.16697,2.22747,2.98833,3.39544,3.13412,2.83592,2.55108]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1047, 126, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48385,2.92617,4.14178,4.66401,6.08604,7.05546,9.85452,15.6271,29.1978,51.7024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.4373,79.0202,88.2821,98.5471,114.038,130.151,145.325,77.2101,81.2345,83.8125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.8846,5.11148,8.05394,10.1505,11.372,12.5471,14.7822,22.7055,33.024,60.2231]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.748,62.9515,65.3661,73.1068,83.9976,95.3232,112.456,85.8028,90.8864,93.6159]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1048, 127, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.22228,0.411349,0.582078,0.655127,0.962655,1.19567,1.80961,2.94141,5.63264,10.2899]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.84585,2.32486,3.79776,5.03961,6.64081,8.25752,9.85948,3.38645,4.00668,4.67016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.328461,0.921427,1.44644,1.84664,2.08792,2.26932,2.73901,4.36456,6.457,12.0253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.53383,3.18773,4.47841,6.1088,8.0808,9.73496,12.7667,6.57894,8.01838,9.09606]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1049, 128, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00232263,0.00449273,0.00567975,0.00685986,0.011558,0.0135783,0.0222427,0.0366306,0.0660427,0.123995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.6283,24.9502,30.1836,35.0466,41.4753,47.7578,52.8361,3.75518,4.30153,4.77857]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00279488,0.00729774,0.0107029,0.0128375,0.0156371,0.0173686,0.0228897,0.0355512,0.0565169,0.0932191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2347,9.78033,10.3988,12.3725,14.8427,17.0458,20.7652,2.75845,3.14352,3.48331]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1050, 129, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102403,0.193032,0.251921,0.297417,0.343896,0.432603,0.656895,1.00946,2.01797,4.05098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.59461,4.0263,3.42962,2.91031,2.42496,1.78091,1.42007,1.29392,1.17818,1.16115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139428,0.351436,0.502066,0.635458,0.634224,0.681243,0.790678,1.18415,1.87331,3.51568]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.49325,5.01656,4.26621,3.74755,2.91029,2.27561,1.72166,1.53738,1.48287,1.42866]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1051, 130, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.316764,0.580284,0.817841,0.96902,1.30359,1.41294,2.03181,3.20123,6.12841,10.329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.122966,0.124374,0.147815,0.18568,0.221192,0.223557,0.340263,0.407718,0.579285,0.639384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.417398,1.05939,1.72053,2.15796,2.58719,2.64036,3.13584,4.98916,7.05072,12.5397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.142134,0.146261,0.210907,0.247968,0.330278,0.373971,0.451742,0.604098,0.736477,0.833423]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1052, 131, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00299459,0.00577038,0.00936996,0.0110925,0.0149095,0.0155224,0.0210975,0.0282633,0.0549037,0.0995364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.909034,1.10498,1.45707,1.79045,2.15177,2.51821,3.01517,4.07594,5.18089,6.2362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00316361,0.00753731,0.0134074,0.0186034,0.0222871,0.0231978,0.027755,0.0404075,0.0636948,0.119238]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.81643,3.34872,4.39922,5.48141,6.53958,7.63817,9.27039,12.5756,15.8637,19.231]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1053, 132, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128739,0.223662,0.342382,0.342871,0.332189,0.309593,0.340175,0.434135,0.704319,1.014]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.2947,22.5823,20.563,19.9908,19.9147,21.1685,22.6914,22.1962,19.4447,16.2232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0668754,0.23635,0.322866,0.39099,0.377863,0.356984,0.398057,0.502502,0.779527,1.17725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.6063,22.4115,20.2196,19.9877,20.9314,22.6212,25.2345,24.472,20.8043,16.4918]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1054, 133, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00176076,0.00293213,0.00375721,0.00511669,0.00819548,0.00934727,0.0173128,0.0247313,0.0486724,0.0876317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0441462,0.0461042,0.0478458,0.0539978,0.0718677,0.0562383,0.106083,0.174153,0.297404,0.331008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00209244,0.00553514,0.00985619,0.00879625,0.00934753,0.012928,0.016516,0.026864,0.0404729,0.075628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0254208,0.0361901,0.0301468,0.0468722,0.0514408,0.0503089,0.0908814,0.135649,0.179276,0.220727]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1055, 134, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136959,0.289222,0.450714,0.516033,0.557151,0.599526,0.730371,1.07085,1.77483,2.98239]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.59809,4.35892,6.99414,9.74475,12.4157,14.9943,17.7353,20.9317,24.22,27.1128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0871101,0.180961,0.318358,0.429538,0.454,0.537392,0.571551,0.930226,1.34708,2.5575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.45401,2.40199,3.96392,5.23736,6.76144,8.15989,9.8809,12.1908,14.3592,16.3998]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1056, 135, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0919069,0.199592,0.273763,0.320913,0.456845,0.520294,0.696324,1.07623,1.9123,3.7204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.272798,0.377104,0.6551,0.742076,0.953835,1.03301,1.26967,1.3907,1.45757,1.66554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.167791,0.474184,0.859271,1.05051,1.09106,1.26866,1.39349,2.0966,2.89366,5.45669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.332104,0.583027,1.14391,1.72215,2.38959,2.90178,3.00054,3.06981,2.92286,2.74353]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1057, 136, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.477718,1.01583,1.40427,1.53956,2.09505,2.54638,3.52868,5.80419,10.8577,19.0046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1268,19.125,21.0062,23.0428,27.7679,32.3612,36.0519,19.5982,20.5683,20.9944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.669489,1.86736,2.85043,3.59918,4.09248,4.73961,5.68638,8.53549,12.4621,22.6629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.1099,16.0393,16.2549,18.1545,21.1599,24.5215,29.2736,21.8801,23.3758,23.6876]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1058, 137, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.43055,7.47585,8.531,7.31946,6.20095,6.43941,9.39667,12.3747,25.0794,23.0779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[565.693,643.283,638.373,623.8,616.041,610.935,621.318,651.974,674.546,705.103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6792,16.006,19.4156,17.9185,15.1349,14.4012,17.055,22.6647,27.9246,34.6878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[449.471,502.744,500.626,488.757,480.542,477.114,490.83,529.682,559.371,597.394]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1059, 138, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.141767,0.266834,0.268565,0.250438,0.217917,0.223506,0.283207,0.303972,0.872356,1.86774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.12834,22.0389,58.8249,98.7608,148.628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.10097,0.207623,0.340584,0.419323,0.391623,0.346313,0.469153,0.534947,1.00737,1.89861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,1.86872,19.1808,49.2171,80.3133,119.556]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1060, 139, 207, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114242,0.138443,0.10639,0.0965918,0.120541,0.18179,0.405904,1.03128,2.07197]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.117574,1.06427,2.84948,5.25146,8.40545,12.6263,18.6743]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.122972,0.142746,0.115474,0.115218,0.145997,0.266303,0.623635,1.29903,3.06873]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.131348,1.40217,3.92001,6.88194,10.8541,15.8971,23.1082]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1061, 140, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.71047,6.38765,7.32479,6.13309,4.99434,5.06082,7.25313,9.27257,19.0123,13.9113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[283.834,286.322,280.345,267.538,251.658,243.832,236.425,232.899,228.961,226.193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.51356,13.2473,16.8251,15.2647,12.726,11.7418,13.3971,16.6054,18.0517,20.6024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[290.435,294.567,288.872,278.729,267.165,260.945,252.948,250.859,246.075,243.849]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1062, 141, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0676451,0.143912,0.163891,0.215648,0.236077,0.354848,0.384588,0.551972,0.541605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22624,2.58755,6.15481,10.7436,14.0776,15.1069,14.6852,13.6053,11.8638,9.45664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0500818,0.126808,0.176655,0.231373,0.252289,0.29891,0.297517,0.428946,0.363591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.486423,1.16043,2.81766,5.2211,6.58834,7.12121,7.07049,6.3889,5.64244,4.48746]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1063, 142, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[255.963,319.092,311.585,302.34,304.576,300.16,284.301,257.21,223.776,189.954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.187,177.945,175.104,168.706,168.469,163.903,153.229,137.95,119.061,100.307]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1064, 143, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.7114,33.7874,37.1091,37.3688,36.7806,36.0484,35.2928,34.4708,33.6272,32.7722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.8785,28.0954,31.794,32.3531,31.7263,30.7358,29.7903,29.0072,28.2517,27.5392]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1065, 144, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.578316,0.639478,0.655287,0.665655,0.676459,0.798464,1.3237,2.00768,3.61153,4.68533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.958009,1.49342,3.17904,5.69267,7.88447,10.8104,23.3239,46.5577,64.9307,79.4244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.06464,2.37799,1.98038,1.94238,1.67065,1.91485,2.62354,4.60322,7.13757,8.75449]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.483318,0.976467,2.03705,3.61671,5.19123,8.62039,21.7296,45.4064,64.1311,78.5469]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1066, 145, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.672024,1.14244,1.58081,1.32225,1.1062,1.02656,1.12943,1.31099,1.82568,2.01476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3468.61,3988.87,4256.27,4332.08,4309.62,4260,4186.2,4030.2,3808.22,3427.33]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.989599,3.39324,5.26305,5.02972,3.73829,2.96385,2.84613,3.19504,3.48097,3.51576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2775.43,3155.72,3400.47,3425.43,3338.18,3222.79,3092.57,2928.03,2701.44,2374.11]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1067, 146, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.205759,0.223041,0.221781,0.26247,0.305962,0.271542,0.473882,0.552431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.3489,60.0823,129.867,211.627,274.967,306.45,315.31,297.927,259.596,203.774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.415002,0.572734,0.608462,0.478081,0.482434,0.487665,0.587934,0.530592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.25,70.0618,155.595,255.43,333.824,372.241,380.905,358.677,304.934,236.927]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1068, 147, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00598407,0.0106782,0.0148591,0.0160545,0.0224573,0.0325806,0.0528248,0.0948877,0.182191,0.25506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.8162,72.3315,69.1109,62.9385,63.0808,67.9954,73.6834,65.8386,51.416,36.5657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00808982,0.0236284,0.0349653,0.0356632,0.0386522,0.0463855,0.0699527,0.120823,0.190832,0.257781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[119.993,169.731,163.956,147.202,145.062,155.678,165.876,150.241,117.264,84.3968]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1069, 148, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.580495,1.00728,1.18611,0.937404,0.718787,0.604845,0.632078,0.758684,0.901014,0.855073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[146.503,324.691,334.281,244.038,171.367,117.356,82.0748,52.8628,31.962,16.6262]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.903926,3.17756,4.47275,4.06205,2.72032,2.10549,1.89522,2.06693,1.98824,1.86411]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[240.432,626.968,667.81,526.287,372.657,243.913,158.53,102.244,62.9264,34.2651]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1070, 149, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.302322,0.524762,0.617844,0.488227,0.374157,0.314732,0.329042,0.394911,0.468703,0.444603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2348,112.068,150.605,102.491,70.0195,53.8395,39.4196,22.1223,10.4404,4.83916]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.469224,1.65149,2.32359,2.11066,1.41518,1.09452,0.983466,1.0646,1.03298,0.968576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.198,265.374,338.049,260.48,180.85,123.869,80.1547,46.401,25.5252,14.0163]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1071, 150, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000945892,0.00148668,0.00182289,0.00150282,0.00134235,0.00123397,0.0011619,0.00143078,0.00196829,0.00205254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.695613,5.41694,6.76363,4.17175,2.56135,1.83258,1.20694,0.649124,0.353802,0.170603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00288622,0.00828358,0.0126261,0.0110706,0.00586661,0.00528878,0.00635889,0.0142472,0.00553334,0.00510357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.38963,11.4165,15.1376,10.4288,6.45019,4.18201,2.58936,1.49947,0.789734,0.418472]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1072, 151, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000668508,0.00100506,0.00125591,0.00105485,0.000999209,0.000945431,0.000860117,0.00106863,0.00153871,0.00164522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.5802,66.6734,64.7496,52.6881,38.1985,24.7875,18.4451,14.3422,10.3895,5.77264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00245701,0.00677119,0.0104991,0.00913815,0.00456949,0.00428627,0.00545957,0.0132805,0.00458769,0.00421679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.7282,107.992,113.198,96.4735,70.8991,46.3274,33.3346,25.6453,17.8476,9.77759]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1073, 153, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276559,0.48003,0.565184,0.44662,0.342288,0.287933,0.301014,0.361274,0.428804,0.406772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.3806,68.7687,67.7905,53.7393,38.4435,25.0157,18.3614,13.9052,9.89898,5.43464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.429359,1.51102,2.12604,1.93118,1.2947,1.0014,0.899939,0.974808,0.945146,0.886214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.5586,114.767,122.635,101.776,73.4089,47.771,33.7684,25.3305,17.2462,9.35016]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1074, 155, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1701.75,1904.71,2018.11,2105.81,2142.3,2183.06,2217.04,2221.92,2177.4,1975.11]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[992.212,1108.54,1186.64,1250.29,1267.33,1286.56,1300.43,1312.68,1288.95,1158.71]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1075, 156, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[180.226,205.785,220.762,232.814,242.98,255.192,268.515,274.486,273.828,268.09]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[128.116,150.375,162.029,171.433,178.426,186.32,193.865,195.792,192.583,184.837]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1076, 159, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.229,281.881,410.735,456.663,439.206,378.331,293.795,222.586,174.326,139.363]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.4002,221.667,330.109,374.853,366.277,321.852,253.829,197.106,155.157,123.306]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1077, 160, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[955.388,994.091,944.061,901.409,877.139,866.837,858.854,821.981,766.831,710.329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[511.788,537.718,513.155,493.011,479.605,471.261,461.279,439.059,409.068,378.504]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1078, 161, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0676748,0.104998,0.139174,0.112836,0.102992,0.0765655,0.0685216,0.081352,0.0991604,0.112179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9385,30.6075,38.8493,34.3685,22.1373,12.9924,7.99994,5.09668,3.14399,1.90847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0397074,0.102557,0.158605,0.148309,0.11849,0.0800515,0.0748277,0.0874967,0.103695,0.130092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1079, 162, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.182,32.2156,31.3949,30.0875,29.5024,28.6145,28.0719,26.8056,25.7244,24.7003]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.2212,91.0122,88.4242,86.1391,83.7122,80.9679,78.5919,75.7056,72.0058,68.7223]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1080, 163, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.9015,23.5377,22.7124,22.0157,21.1558,20.4794,19.5596,18.8318,17.6664,16.8456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.7543,94.4623,92.6885,90.2353,87.4711,84.6869,81.8703,78.4632,74.7017,70.6012]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1081, 164, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.81413,5.26473,2.80811,1.381,0.600266,0.217488,0.0682481,0.0176373,0.00275782,0.000369537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.8104,18.9021,10.9986,5.69087,2.61525,1.01911,0.335645,0.09972,0.0229843,0.00459034]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1082, 165, 207, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[181.837,13.6295]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[425.134,31.86]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1083, 166, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.2528,18.8755,15.6701,12.4943,9.28644,6.5111,4.05032,1.94176,0.795335,0.371792]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.7601,22.9594,18.9535,15.0672,11.1912,7.60841,4.73365,2.16727,0.927355,0.490069]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1084, 167, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0178698,0.0194777,0.0349082,0.0329158,0.04018,0.0500945,0.0700458,0.10452,0.169434,0.240015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.4261,21.1675,17.9036,16.43,15.898,15.9647,17.1776,19.8994,25.5232,33.6409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0378754,0.0894919,0.181729,0.210969,0.25237,0.253836,0.323689,0.432125,0.610268,0.733188]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5601,11.4578,10.1115,9.78826,10.018,10.6829,12.3152,15.7993,22.8998,33.3481]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1085, 168, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.41573,10.5426,15.4213,16.7214,17.2275,19.2222,30.9284,51.0858,98.7974,189.602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[413.386,712.483,951.563,1088.56,1148.37,1111.06,978.007,1077.78,1061.09,1026.34]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.56165,17.454,23.9851,26.8629,27.5498,30.0585,45.5877,79.8153,134.36,225.4]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[272.248,257.302,279.917,336.348,416.672,525.232,676.688,955.919,1269.05,1624.46]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1086, 169, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.585392,1.49589,2.6979,3.35639,4.35668,5.62873,10.5672,19.7755,41.1239,100.861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.4041,22.2806,37.781,68.8844,112.131,162.731,212.345,263.112,312.587,364.197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.897762,2.88243,5.11587,6.44477,7.64385,8.5502,13.0271,25.0877,41.7718,96.3988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.4134,21.4602,36.1977,65.317,107.038,154.897,201.436,246.966,292.311,339.478]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1087, 170, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.32297,0.501456,0.475891,0.526443,0.538955,0.547727,0.890827,1.33368,2.16752,3.33599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0188119,0.00869631,0.00896389,0.00984605,0.00866701,0.00978695,0.00994849,0.0148877,0.0142308,0.0172159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.597377,1.11365,1.59351,1.65505,1.60983,2.08404,2.45032,4.60015,6.53758,8.77831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0300323,0.0157979,0.0142481,0.0171283,0.0155217,0.0152006,0.0161053,0.0247721,0.0322778,0.0379332]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1088, 171, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1302,2.08464,2.86397,2.80589,3.50187,3.98787,6.34007,10.7726,21.9807,32.501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.68819,7.52212,11.117,17.0588,25.9867,36.0365,45.1935,58.8316,85.3736,121.52]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.783584,2.70501,3.03908,3.271,4.07778,3.67505,5.45498,8.95575,14.7335,21.1084]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.39355,7.41393,10.2737,15.9244,25.184,34.3629,43.7291,57.8847,86.3767,124.45]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1089, 172, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0016897,0.102693,0.277266,0.385508,0.630234,0.884751,1.65897,3.30121,7.66936,12.783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113197,0.452582,1.21559,2.45109,4.90689,8.39016,12.5684,19.0831,30.8285,45.0533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00104011,0.116778,0.258337,0.400519,0.641131,0.707817,1.27093,2.43076,4.56377,7.35393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0621047,0.401987,0.93951,2.13711,4.27436,7.14948,10.9933,15.9604,27.8125,41.2286]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1090, 173, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18101,0.363904,0.542736,0.589099,0.804665,0.997599,1.51933,2.47013,4.78047,6.76161]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.753839,1.43547,2.1476,3.62177,6.14784,8.83483,10.5562,13.0368,18.3535,26.1656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139295,0.520413,0.631263,0.760257,1.03751,1.00037,1.44598,2.2719,3.57201,4.88103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.81663,1.45995,2.23024,3.68647,6.56897,9.4561,11.0025,14.4889,19.9509,29.0051]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1091, 174, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.947498,1.61804,2.04397,1.83128,2.06697,2.10552,3.16177,5.00129,9.53088,12.9563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.82115,5.63406,7.75386,10.9859,14.9319,18.8115,22.0689,26.7117,36.1916,50.3013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.643249,2.06782,2.14948,2.11022,2.39914,1.96686,2.73806,4.25309,6.59775,8.87345]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.51482,5.55199,7.1039,10.1008,14.3407,17.7573,21.7333,27.4354,38.6134,54.2161]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1092, 175, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.923901,1.96939,2.53826,2.70671,3.43358,4.24591,7.59461,13.4896,24.3798,37.7642]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.80035,11.3468,13.0417,15.2672,17.8586,21.1053,24.9364,27.7806,30.0161,31.9901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.32225,3.63183,5.26556,6.048,6.65697,8.56063,14.4965,25.9081,45.9923,70.1745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.74984,18.3408,31.2277,47.0985,62.1155,97.9956,178.249,381.506,594.916,780.091]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1093, 176, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.182726,0.316894,0.436518,0.440728,0.501203,0.566449,0.897169,1.60948,2.79471,4.60904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.32431,4.17271,3.60591,3.11712,2.64564,2.36134,2.32507,2.26572,2.22016,2.25556]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.077843,0.180608,0.272113,0.293538,0.278803,0.339094,0.546838,0.967848,1.93086,1.00092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.43398,1.61111,1.7942,1.99476,2.15139,2.33885,2.60274,2.90607,3.19258,3.7253]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1094, 177, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0224793,0.0403445,0.0731095,0.087013,0.092642,0.100889,0.171741,0.277175,0.528381,0.731749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16951,2.25668,3.86916,5.61961,7.48292,9.5298,11.6624,13.3528,14.5939,15.7897]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0296968,0.0941817,0.14259,0.186935,0.208754,0.231362,0.297005,0.469149,0.825622,0.926626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.15305,4.32254,7.19905,10.4692,13.9515,17.8131,21.3819,24.3256,26.9532,28.9386]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1095, 178, 207, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.8887,133.267,330.451,538.797,718.429]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1096, 179, 207, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[7.1843,14.3755,23.8179,31.9871,46.3153]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1097, 180, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.718696,1.61215,2.02863,2.17897,2.83973,3.57858,6.5257,11.6029,21.0567,32.4234]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.30654,4.91741,5.56662,6.5305,7.73003,9.21416,10.9489,12.1621,13.202,13.9448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21471,3.35704,4.85085,5.56752,6.16941,7.99018,13.6527,24.4711,43.2358,68.247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.16281,5.22288,7.85892,10.8166,14.0256,17.6397,20.9966,23.8233,25.9735,28.9987]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1098, 181, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0716271,0.175915,0.271086,0.340964,0.336649,0.347102,0.400963,0.175607,0.179092,0.202011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[218.941,511.997,721.139,815.769,813.056,696.804,507.372,529.848,438.518,175.435]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1099, 182, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00542992,0.0254766,0.0546068,0.0696558,0.0814666,0.0998101,0.0438113,0.043403,0.0405116]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.628,143.481,142.1,154.451,195.783,259.505,293.294,300.129,226.41,45.0403]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1100, 183, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[13.7183,132.112,237.45,273.188,283.448,186.279,1.04966,0.00388502]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1101, 184, 207, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[5.16347,10.3277,16.9601,22.8066,32.6716]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1102, 185, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.000309892,0.000768774,0.000929105,0.000832584,0.000749144,0.00063991,0.000145386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.48482,16.2306,40.9038,72.0807,80.6116,13.6687,0.241008,0.00220394]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1103, 186, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,9.18675e-5,0.00122848,0.00304175,0.00544633,0.00962478,0.00602583,0.0082675,0.0121687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.22786,59.6222,110.115,137.194,146.81,157.785,172.743,188.722,174.601,130.395]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1104, 187, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[18.6351,106.818,134.198,116.961,38.9811,2.81658,0.0594128,0.000256699]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1105, 188, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0716271,0.170176,0.244749,0.2842,0.263119,0.25944,0.290889,0.125624,0.127422,0.149331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[45.2473,48.5695,46.0447,44.935,44.6161,44.0779,39.9848,40.991,37.5071]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1106, 189, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48058,2.65961,3.43293,2.44886,1.31758,1.03472,1.10252,1.10103,1.95126,2.77624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[132.995,123.014,128.031,126.015,128.556,137.805,125.624,120.026,102.374,185.699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.85624,1.37005,2.00169,1.67402,1.15019,0.952449,0.95145,1.07145,1.5252,1.97179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[182.236,152.487,144.041,143.722,149.73,158.287,163.371,165.396,174.815,215.091]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1107, 190, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0670857,0.0858337,0.0997003,0.0765694,0.0571204,0.0485566,0.0448598,0.0416186,0.0429547,0.0324744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.496,29.2281,30.3035,30.7627,32.2835,33.6732,32.267,31.8733,28.2415,28.8024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0479677,0.0727132,0.0883236,0.0816628,0.0615768,0.0507287,0.0480892,0.0503796,0.0494526,0.0350299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.5929,12.5703,10.9236,11.3555,12.585,13.2461,14.5181,15.1088,16.8888,18.9468]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1108, 191, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.49333,0.455356,0.588087,0.47903,0.384342,0.360043,0.370251,0.378927,0.456172,0.42265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.9207,80.5095,85.2808,83.0523,84.1602,91.9352,82.3023,76.6503,63.5916,60.5499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.395046,0.429672,0.558888,0.542638,0.43458,0.389599,0.406411,0.464674,0.528368,0.458236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.0117,49.3515,50.0632,47.6593,46.7482,52.2152,50.3104,47.7179,47.248,47.0641]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1109, 192, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.056002,0.0513763,0.0609076,0.0482371,0.0382229,0.0363923,0.0427102,0.0550751,0.0818516,0.0926483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.84024,0.733281,0.782583,0.827425,0.899029,0.992977,0.891884,0.913332,0.748256,0.785539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0756579,0.0832688,0.0980492,0.0896739,0.0695115,0.062565,0.0735872,0.109136,0.156736,0.167902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.523971,0.367877,0.290582,0.329717,0.383097,0.420868,0.466625,0.498116,0.562006,0.65399]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1110, 193, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.864158,2.06705,2.68424,1.84502,0.837891,0.589727,0.644696,0.625407,1.37028,2.22847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.7377,12.5433,11.6644,11.3722,11.2129,11.2034,10.1631,10.5896,9.7922,95.5612]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.337569,0.784393,1.25643,0.960041,0.584521,0.449557,0.423363,0.447257,0.790639,1.31063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[107.108,90.1972,82.7638,84.3775,90.0135,92.4051,98.076,102.071,110.116,148.426]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1111, 194, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.901069,1.65568,3.14125,4.53612,3.7422,3.43012,4.03226,4.43773,7.01516,12.1609]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.5386,36.3133,40.4443,45.5529,50.7704,56.5704,62.5262,78.1626,92.2117,147.479]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.10444,5.75105,6.96942,7.77005,6.4112,6.2361,9.20729,14.1921,23.7998,26.9678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.4255,57.5846,58.1625,64.2687,72.5889,79.6735,89.8869,104.142,120.602,165.314]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1112, 195, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.94098,3.35397,4.62022,4.18906,4.29577,5.21669,7.27901,12.8048,21.9348,21.4818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1398.97,1624.32,2015.31,2400.13,2842.17,3405.34,4091.4,4737.27,5282.01,5782.69]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.905929,1.98683,2.75177,2.7855,2.73036,3.14812,4.5681,8.00717,11.8644,14.7747]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1331.79,1469.63,1957.96,2359.59,2764.67,3209.4,3716.11,4183.84,4587.32,4985.91]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1113, 196, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.436422,0.800368,1.05749,1.07779,1.42774,2.25526,3.40029,7.3475,14.4118,14.7827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4408,41.5375,61.316,75.3025,86.3574,92.8361,103.162,119.47,138.302,160.275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.205818,0.481888,0.604484,0.765163,0.778827,1.02596,1.66099,3.12634,4.93076,6.9001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.91217,11.4531,17.0476,21.1298,24.3391,26.8727,29.9356,34.2846,40.2995,47.3538]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1114, 197, 207, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9045,143.972,434.567,840.489,1147.51,1294.53,1376.71]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.75435,86.9932,262.523,509.127,701.014,793.609,845.768]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1115, 199, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[668.783,698.501,773.385,963.041,1153.68,1319.13,1517.25,1754.3,1977.6,2184.18]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[832.206,918.948,1070.1,1341.46,1609.45,1835.13,2068.1,2302.47,2508.76,2699.7]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1116, 200, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[522.523,476.997,495.317,615.98,728.831,842.995,907.219,889.446,874.297,855.156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[429.64,389.53,401.433,500.375,594.502,684.911,734.584,720.073,703.5,687.75]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1117, 201, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00747339,0.0350854,0.0894818,0.173661,0.307547,0.479969,0.71321,0.984217,1.1942,1.46606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0117437,0.0892664,0.252703,0.510189,0.860548,1.3211,1.874,2.50283,3.08942,3.65244]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1118, 202, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.50456,2.55361,3.56273,3.11127,2.86803,2.96142,3.87872,5.45731,7.52299,6.69911]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[186.22,407.25,685.202,732.726,729.02,715.331,722.569,825.559,996.09,1204.9]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.700111,1.50494,2.14729,2.02033,1.95153,2.12216,2.90711,4.88083,6.93366,7.87461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.0196,149.606,469.125,488.358,448.527,398.65,372.495,423.494,538.06,701.689]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1119, 203, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37113,2.97414,5.22584,1.85062,1.44884,1.50891,2.04799,4.23244,6.38673,9.94298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1045.2,899.047,1003.24,1197.06,1401.3,1594.09,1903.76,2427.51,3013.37,3751.79]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48745,2.76491,3.99239,4.58369,3.46436,3.81779,6.54656,9.4502,15.6048,22.1214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1009.36,915.448,1069.07,1306.48,1564.11,1791.95,2096.54,2581.24,3132.87,3863.14]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1120, 204, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.995904,1.84005,3.5773,0.951712,0.527857,0.405394,0.394806,0.372512,0.58074,0.742492]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.0425,38.3043,32.2862,29.9713,26.5548,24.4486,23.5816,25.3132,25.0612,22.73]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.912164,1.2944,1.68985,1.00613,0.655955,0.516444,0.470617,0.5496,0.655494,0.750869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.1205,34.7875,29.7164,26.6841,23.6808,21.2058,19.9633,21.7582,21.08,19.7223]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1121, 205, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0609265,0.113386,0.297477,0.0779546,0.0359128,0.0230732,0.0121238,0.00800772,0.0106363,0.0108854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.34578,9.24236,8.61999,8.56641,7.889,7.69727,7.21924,6.79973,6.67154,6.14096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0435245,0.0653956,0.105824,0.0632481,0.0340983,0.0265486,0.0164957,0.0164742,0.0171598,0.012486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.64646,6.64722,6.46286,6.13887,5.84169,5.40319,5.09907,4.78892,4.5698,4.35082]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1122, 206, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3005,0.50058,0.986141,0.202836,0.107209,0.0828545,0.0813494,0.0664778,0.106396,0.161339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.72468,3.33613,2.75964,2.38938,2.09837,2.16675,2.25648,2.04533,2.29618,3.02569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.348162,0.504459,0.648208,0.304393,0.182942,0.129398,0.118162,0.122605,0.149052,0.177537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3763,3.35321,2.79393,2.44003,2.11674,2.2128,2.35568,2.416,2.91753,3.95765]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1123, 208, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0519772,0.125657,0.296514,0.100353,0.0465799,0.0385533,0.0314659,0.0286832,0.0330446,0.031876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.21663,8.66309,7.89016,7.1576,6.14591,5.17572,4.94001,6.70181,6.58508,5.14775]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0344271,0.058639,0.0932604,0.0689595,0.042111,0.0333908,0.0352397,0.0387159,0.0415691,0.0302902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.02135,8.68297,8.05273,7.13295,6.19211,5.09409,4.57921,5.94634,5.36576,3.78155]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1124, 209, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0171821,0.0443025,0.0881434,0.019735,0.00775455,0.00612478,0.00468011,0.00340863,0.00653799,0.00461266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.24687,3.09616,2.79886,2.46083,2.10153,1.73381,1.70392,2.33296,2.25506,1.63968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0117571,0.0203414,0.0327881,0.0185577,0.00893728,0.00719351,0.00534114,0.00727448,0.00625547,0.00932749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.18672,3.27446,2.94298,2.64526,2.29947,1.96996,1.81835,2.29226,2.04128,1.423]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1125, 210, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.565318,1.05613,1.90903,0.550833,0.330401,0.254788,0.265187,0.265934,0.424125,0.533778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2845,12.8313,9.68093,9.1125,8.13489,7.53972,7.34903,7.32298,7.15129,6.68525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.474293,0.645564,0.809768,0.550971,0.387867,0.319913,0.295378,0.364531,0.441457,0.521229]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2804,11.5511,8.83635,8.02756,7.01797,6.35188,5.94686,6.16162,6.03789,6.06845]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1126, 211, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.375229,1.13409,1.64854,0.898912,0.920985,1.10352,1.65319,3.85993,5.80599,9.20049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[709.917,510.232,465.853,465.442,468.366,486.771,514.607,559.783,612.559,668.474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.575285,1.47051,2.30255,3.57756,2.80841,3.30135,6.07594,8.9006,14.9493,21.3705]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[636.401,449.843,414.195,417.447,426.363,450.652,487.548,554.829,639.289,734.259]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1127, 212, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[121.548,109.967,106.033,103.242,100.655,99.7331,99.3978,98.9751,98.4396,97.5511]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.0276,89.7561,86.6075,84.0555,82.4196,81.7544,81.4886,80.9356,80.1454,79.2584]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1128, 213, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.01852,8.10077,9.50524,10.9619,12.3571,13.5624,15.5196,18.545,21.1089,23.4]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.67452,9.98638,12.0343,13.7433,15.5894,17.3476,19.5311,23.1742,26.3464,28.8782]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1129, 214, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118049,0.393255,0.568706,0.331007,0.33578,0.366246,0.560216,1.30109,1.96016,2.88152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.11755,8.87209,8.59965,8.66759,8.52197,8.4503,8.68479,10.2836,12.0782,13.7294]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.186633,0.420284,0.666932,1.12462,0.966711,1.14613,2.20704,3.02719,5.16641,6.72096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.1799,10.9647,12.519,14.6429,16.5008,18.5322,20.5851,23.5237,26.616,29.447]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1130, 215, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.16119,0.499602,0.67111,0.377702,0.395989,0.47461,0.661763,1.52882,2.29177,3.40452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.5394,13.6065,13.1016,13.2699,13.3472,13.4191,13.9161,16.2877,18.7477,20.924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.264136,0.63613,0.982561,1.54971,1.13511,1.34872,2.45602,3.74591,6.00352,8.15185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.3325,12.7037,12.4429,12.5413,12.4714,12.481,12.9077,15.3272,17.8424,20.0412]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1131, 216, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.0069,36.8833,38.6191,39.4697,38.7907,38.4112,38.1598,37.5481,37.0687,36.543]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.006,38.1832,40.2644,41.2412,40.5145,40.2017,39.5683,39.0105,38.4947,37.6357]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1132, 217, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.6588,28.6935,33.698,38.5878,43.3984,48.3438,55.2382,65.0143,74.6913,84.1181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.2617,31.8098,37.2867,42.6207,47.8895,53.1555,60.4757,71.4609,82.1487,92.4042]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1133, 218, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.3475,31.3338,28.8542,26.5481,24.2362,21.9516,20.881,20.7097,20.6931,20.6288]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.4115,33.4711,30.7863,28.1953,25.7701,23.4878,21.8478,21.8614,21.8375,21.6855]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1134, 219, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[238.987,125.477,68.2529,44.6737,25.4833,14.6996,6.2733,3.97901,2.71006,1.46633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[209.135,111.122,60.2214,39.5115,22.7196,13.1104,5.5864,3.52299,2.39898,1.30169]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1135, 220, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.4297,25.7432,27.0181,27.588,27.211,26.7457,26.6308,26.2746,25.799,25.346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2881,16.0305,16.8795,17.2387,16.9062,16.8235,16.5425,16.1551,15.9495,15.6568]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1136, 221, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.2202,26.2715,33.8602,42.3064,50.6626,59.0264,64.6913,65.8749,67.0297,68.1822]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5239,19.9817,25.7944,32.281,38.7034,45.0768,49.1783,50.004,50.7011,51.246]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1137, 222, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.9251,42.1895,43.0333,45.0213,46.8281,49.095,49.6928,48.7021,47.7684,46.4416]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.8937,27.1152,27.7278,29.1525,30.4569,31.8976,32.3378,31.6311,30.8062,30.0113]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1138, 223, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0917268,0.234991,0.396444,0.186672,0.185668,0.259212,0.42399,1.01367,1.52843,2.87649]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.668121,1.46917,2.14771,3.29095,4.49283,6.43537,9.70944,14.4777,21.1237,30.0306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.11957,0.403125,0.638306,0.8893,0.69234,0.789887,1.38517,2.09279,3.72367,6.42352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.866467,1.85769,3.16599,4.91071,7.27995,10.3287,15.2321,22.4294,32.3688,45.0036]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1139, 224, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00426308,0.00624121,0.0122817,0.00353128,0.0035484,0.00345312,0.00721928,0.0163562,0.0256376,0.0379534]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.4507,51.624,53.1302,61.8146,72.3822,86.8973,105.811,133.111,165.301,200.113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00494617,0.0109668,0.0147467,0.0139371,0.0142499,0.0166078,0.0277107,0.0347113,0.0557433,0.0741687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.8002,46.861,48.4645,57.3128,69.142,86.4544,112.267,155.793,213.633,281.689]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1140, 226, 207, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.274273,1.98955,7.00952,13.425,19.3651,25.3335,35.0636,50.5364,72.2475]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.203095,1.43731,5.16591,11.2353,16.732,22.9975,35.4424,55.3448,83.7792]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1141, 227, 207, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.842729,5.2249,21.1822,42.125,58.4873,78.232,114.611,170.149,250.624]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.369292,2.28348,9.84214,21.5499,30.6783,43.6857,71.8402,114.337,175.347]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1142, 228, 207, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.32068,18.4169,39.5384,72.1466]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.9658,9.68556,22.6243,43.2261]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1143, 229, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.432,21.3889,29.1943,44.4065,62.2445,85.901,117.895,173.791,259.538,386.197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.9967,17.6997,23.5842,35.3782,50.0857,68.3115,94.5326,142.047,214.061,319.089]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1144, 230, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.951,160.705,199.248,238.114,277.288,321.16,426.933,607.806,772.74,978.383]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[173.293,242.895,311.907,379.107,456.201,532.487,637.067,781.833,921.866,1143.44]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1145, 231, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.5751,82.8284,115.142,133.861,149.375,173.014,239.19,368.769,497.127,622.224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.1526,90.6265,135.455,172.964,199.949,228.862,299.812,431.51,561.126,687.661]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1146, 234, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.082,76.9491,88.0322,84.6624,76.864,62.3699,58.6979,59.4397,59.4254,57.7086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.078,71.2889,82.1394,79.3319,72.5933,59.4678,55.9447,56.6451,56.1896,54.4188]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1147, 235, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00810944,5.64665,57.6969,152.063,249.689,306.117,329.137,332.895,327.998,313.242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00835722,5.89635,61.0277,163.321,272.261,335.144,359.703,362.975,355.767,337.792]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1148, 236, 207, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.728763,7.43415,19.1544,34.0654,54.9867,84.1623,129.594,196.143,304.607]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.598425,6.11532,15.9816,28.8055,46.8429,71.5143,110.472,168.442,260.933]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1149, 238, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.2882,30.1061,29.0597,20.414,14.2367,13.4907,18.4046,17.6869,33.6836,42.5215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.1271,125.661,151.515,172.766,178.507,183.317,181.381,179.824,166.828,151.63]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6503,52.2812,46.6804,29.6132,18.8985,15.5199,24.891,38.9819,40.9869,47.0789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[156.114,225.15,281.33,326.195,341.724,355.698,362.905,363.127,347.667,324.305]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1150, 239, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.6237,28.7738,27.6963,19.6181,13.7757,13.1674,18.0953,17.3618,33.3083,42.0961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.522,94.6153,118.367,132.846,140.454,147.663,150.796,146.041,140.806,128.863]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.0688,47.57,42.7696,26.6543,17.0607,14.1587,23.1069,36.5701,39.0982,45.3967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[134.879,190.78,232.796,264.453,289.435,300.999,304.359,303.466,293.369,278.144]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1151, 240, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.20081,13.5025,12.1404,9.21403,7.99283,7.5251,11.5472,11.622,22.3752,31.4948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.4691,49.7324,59.5842,71.2866,92.532,95.2709,106.699,114.96,112.185,120.529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.5231,19.6671,21.2988,12.2456,8.63336,7.49088,11.801,18.0996,18.5234,24.9739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.1688,86.6087,127.125,134.415,164.042,176.779,175.681,174.867,166.095,181.352]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1152, 241, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.279542,0.44399,0.338389,0.238641,0.161423,0.164198,0.221481,0.210623,0.295539,0.367062]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33166,1.62738,1.67368,1.8257,1.86326,2.06316,2.06037,2.08261,1.50368,1.44811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.5266,4.35883,3.91875,2.62539,2.15265,1.66687,3.3942,5.01176,6.99707,7.39046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.3119,19.0097,23.1993,28.8978,40.8631,39.2757,49.7966,48.6188,61.6653,54.0011]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1153, 242, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.71004,3.36619,2.13069,1.56563,0.703382,0.574567,0.715996,0.586788,0.707762,0.82887]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.23088,12.4472,10.4559,12.1996,8.11308,7.22202,6.84371,5.90001,3.62223,3.27856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.677866,2.04714,2.87151,1.71568,1.32568,0.992438,1.17313,1.2748,1.18815,2.0052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.36726,9.05531,17.0481,18.8321,25.1856,23.2273,17.298,12.1916,10.6859,14.5596]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1154, 243, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.33788,7.0951,9.60359,5.99609,3.5562,3.1954,3.85384,3.37922,7.19999,6.50093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.6278,26.0616,46.9969,46.058,40.5444,40.5048,36.2503,33.9481,36.6012,25.4162]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.91138,20.6477,13.7981,9.45691,4.60528,3.76782,6.32051,11.7175,11.8458,10.3859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.3627,90.9143,81.0594,102.285,85.1309,86.9814,92.6651,110.235,101.154,70.9133]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1155, 244, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09543,4.36607,3.48319,2.60366,1.36183,1.70812,1.75682,1.56313,2.72975,2.90446]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.0978,16.6162,17.1377,20.4934,15.7711,21.3419,16.1731,15.2938,14.003,11.0341]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.429892,0.849282,0.882402,0.61074,0.343718,0.240735,0.417973,0.466371,0.543811,0.641117]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.82056,3.7558,5.05224,6.24375,6.37462,5.53387,6.41696,4.72447,4.99826,4.57197]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1156, 245, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.664505,1.33228,1.36346,0.79595,0.461007,0.323348,0.309299,0.325093,0.37534,0.425404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.6051,31.0457,33.1476,39.9203,38.0532,35.6533,30.5847,33.7831,26.0225,22.7674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.58151,4.7112,3.91077,2.95893,1.83785,1.36121,1.78411,2.41184,1.88878,1.68228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.2343,34.3701,48.5344,61.7421,52.2898,54.6982,58.5461,59.6611,54.2982,46.1609]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1157, 246, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6166,17.9888,21.867,17.6889,12.7914,12.0803,14.3795,16.4453,22.7153,32.5645]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.843,76.915,103.816,136.775,186.94,244.659,305.656,364.678,443.749,529.19]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.9076,46.0668,54.6377,50.5514,37.652,32.9374,32.0205,38.3045,53.0529,55.8913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.653,141.256,182.636,239.992,330.624,428.449,536.469,650.65,785.501,927.579]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1158, 247, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.186944,0.394679,0.598273,0.602106,0.53817,0.642276,0.944879,1.18629,2.21234,4.33826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.9064,41.5935,57.1479,79.2121,118.243,163.335,213.667,267.293,337.389,416.167]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.593568,1.91682,2.7078,2.88115,2.72165,2.67809,3.49971,5.10471,6.8033,8.45652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.7216,60.1119,81.3178,115.117,179.235,255.066,340.661,440.765,558.649,687.698]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1159, 248, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.48343,4.89853,4.96477,4.25454,3.45855,2.28004,2.55902,3.19225,4.2389,6.57952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.890171,0.863136,1.27198,1.90554,2.58907,3.45918,4.32574,4.69201,5.6595,5.91204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.5103,16.1041,16.9449,15.8432,11.5378,10.0512,5.78491,7.87916,10.8851,10.4319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.59551,1.99027,2.5431,3.81201,5.24183,6.94319,9.12619,10.4351,12.3313,13.2907]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1160, 249, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.57022,5.28363,7.23666,5.94079,3.35829,3.42939,4.94917,4.84008,7.44425,10.7805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4294,13.8648,17.6269,20.9327,24.5886,27.6229,29.8331,30.2136,30.021,29.2956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.36394,6.83576,6.99084,7.87131,5.93274,4.22355,5.51345,8.78824,10.4461,12.86]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.6668,21.8696,25.8995,31.0282,37.237,42.2786,45.9686,48.0962,48.5005,48.7511]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1161, 250, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.7034,2.58135,2.34551,1.85413,1.25382,1.5248,1.85042,2.91937,2.92537,2.56]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5511,3.12195,3.72307,3.95835,5.09445,5.84783,6.87916,7.36169,7.93135,7.37115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.8654,10.8346,14.5871,12.9557,8.97863,8.35284,7.69617,5.90234,7.51468,8.06849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.04873,4.68873,6.08773,7.43304,9.93669,11.7826,13.7605,15.1945,16.5834,17.4631]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1162, 251, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.486357,1.18393,2.06169,2.00742,1.19872,1.42065,1.30243,0.804079,1.00275,1.01678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.17684,4.78485,5.99296,6.75522,7.14735,7.13876,6.86301,6.17382,5.1579,4.21745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99467,5.34394,7.16267,5.73315,3.97924,3.55027,4.60529,4.12391,4.6611,4.04799]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.0634,20.3074,23.8862,27.4285,31.2267,32.3734,31.9824,28.1276,24.2546,19.7749]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1163, 252, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.309362,0.75154,1.05408,1.03597,0.667537,0.721902,0.721501,0.42193,0.455085,0.486708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.29013,4.98913,5.19533,5.63348,6.65388,5.52644,6.2047,5.14336,4.01133,3.33151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16645,2.6346,2.69782,2.2513,1.64948,1.45368,1.86271,1.73416,1.95894,1.60109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.84947,12.7563,11.9239,13.8143,17.1168,19.5671,19.0101,17.2633,17.0903,13.26]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1164, 253, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.176995,0.432385,1.00761,0.971452,0.531178,0.698752,0.580928,0.382148,0.54766,0.530075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99569,2.83425,4.69026,5.28422,5.35892,5.36654,4.91625,4.4917,4.71183,3.56621]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.828221,2.70934,4.46484,3.48184,2.32977,2.09659,2.74259,2.38975,2.70215,2.4469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.52812,13.7406,19.2891,22.1694,25.3069,27.4999,28.5538,25.9723,23.8028,21.2194]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1165, 254, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.693792,1.47596,1.68706,1.15581,1.01001,0.945788,1.14577,1.174,2.01146,2.85194]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.94317,2.79389,4.74979,6.92666,9.32937,13.6506,17.8639,19.3596,27.3051,33.1587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.827755,1.48816,2.38665,2.16555,2.21376,1.91319,2.0024,2.76912,5.58356,5.69143]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.67276,3.73498,5.14365,7.61416,10.4789,13.1608,20.078,26.0285,40.0243,50.7563]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1166, 255, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12852,1.78908,2.46983,1.61055,1.79561,1.66984,1.48071,2.13703,2.47968,3.32069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.919933,1.03039,1.41479,2.10759,2.54705,3.62489,4.29958,5.44024,4.90602,5.3678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.54413,1.81452,1.81596,1.48729,1.43106,1.5161,2.24765,2.89372,6.10894,5.31698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34584,1.87086,2.34979,3.22266,4.22128,4.55421,6.3871,8.16094,8.95689,10.0328]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1167, 256, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.498921,0.669119,0.97513,0.568572,0.731838,0.825049,0.695266,0.885752,1.26122,1.5371]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.665623,0.719855,1.01306,1.48341,1.82416,2.75736,3.14811,3.97885,3.70609,4.09604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.743343,0.920771,0.926876,0.774799,0.723304,0.833647,1.38915,1.51845,3.1349,3.01041]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.931611,1.31333,1.65722,2.37128,3.12922,3.32949,4.68221,6.07379,6.94266,7.41524]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1168, 257, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6296,1.11996,1.49469,1.04198,1.06377,0.844796,0.785444,1.25127,1.21847,1.78359]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.25431,0.310532,0.401729,0.624174,0.722893,0.867522,1.15147,1.46139,1.19993,1.27176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.800792,0.893748,0.88908,0.712493,0.707755,0.682451,0.858504,1.37527,2.97404,2.30657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.414224,0.55753,0.692572,0.851383,1.09207,1.22472,1.7049,2.08715,2.01423,2.61758]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1169, 258, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.363982,0.381639,0.503246,0.263563,0.178255,0.167498,0.147086,0.192211,0.400563,1.11676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.02605,8.8625,11.8888,14.9773,17.4018,19.9805,21.9243,24.1434,25.3793,27.7005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20785,1.7289,2.04171,1.61397,0.857137,0.652152,0.670902,0.84333,1.05022,1.01796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5382,26.6818,35.4082,44.3359,53.0463,62.2907,68.5059,73.8428,76.201,79.8123]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1170, 259, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.30099,15.2194,20.6571,15.6776,11.2069,9.24827,11.3234,11.6394,20.585,30.2891]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.07003,15.4669,18.9688,20.8232,21.3432,19.6521,18.0025,14.9434,11.8504,9.1253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2822,40.6131,58.8485,54.529,38.3462,29.5219,28.6327,34.8993,41.0336,47.5639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.3441,42.2402,54.2989,63.833,66.6655,61.3155,55.0498,47.3804,38.2773,30.8572]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1171, 260, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.7879,5.26826,6.29488,4.86291,5.02962,5.81388,9.06754,10.2989,19.2477,28.8212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.19468,5.90149,6.37194,6.26065,6.59789,5.89468,5.64487,4.84278,4.18773,3.71404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.7958,14.1757,21.3527,19.897,16.1268,14.4683,17.6426,25.489,33.2663,41.0858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.78773,9.03103,9.41277,9.65559,10.7623,10.2164,10.3946,9.68541,9.41702,9.47079]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1172, 261, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.51309,9.95109,14.3622,10.8147,6.17731,3.4344,2.25588,1.34058,1.33729,1.46788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.87535,9.56542,12.5968,14.5625,14.7454,13.7574,12.3577,10.1006,7.66267,5.41126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.48636,26.4374,37.4958,34.632,22.2194,15.0537,10.9901,9.41032,7.76731,6.47812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.5564,33.2092,44.8861,54.1774,55.9031,51.0991,44.6552,37.695,28.8603,21.3864]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1173, 262, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.335464,0.89498,1.61741,1.10857,0.544866,0.327049,0.158121,0.106367,0.072678,0.047965]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.661012,0.996838,1.64319,1.77488,1.57142,1.55397,1.08713,1.02813,0.543771,0.234617]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.74569,6.11782,9.19476,8.18511,5.82009,3.43975,1.79847,2.52919,1.11222,0.714613]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.74624,9.00868,13.2625,14.8335,16.6731,13.812,8.91899,12.7225,5.64299,3.59824]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1174, 263, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57168,4.7083,7.34323,5.99446,3.396,2.04439,1.28852,0.719036,0.712913,0.718626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.09395,5.31819,7.47399,9.59945,10.0402,10.1493,8.90628,7.19038,5.69645,3.8332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.23778,7.17539,9.43867,8.6564,5.0245,4.14212,4.4163,2.56749,3.25934,3.25955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.06197,10.7121,14.1665,16.8887,15.0257,16.575,22.3583,13.0101,19.0661,20.1718]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1175, 264, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.60595,4.34782,5.40154,3.71167,2.23645,1.06296,0.809232,0.51518,0.551695,0.701291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.17964,5.13655,5.81561,6.11333,6.48637,5.15894,5.67745,5.21928,4.30627,3.61107]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.5029,13.1442,18.8624,17.7905,11.3748,7.47179,4.77535,4.31364,3.39575,2.50396]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.8646,18.6293,25.6789,32.0659,32.8301,29.9029,24.0938,21.7917,18.3854,13.2846]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1176, 44, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[176.022,168.073,160.015,151.323,143.897,136.41,129.787,121.416,111.708,100.266]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[241.067,231.813,220.382,209.357,198.336,186.782,176.974,164.401,150.365,134.335]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1177, 152, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.6115,71.7635,44.3728,30.9477,22.1442,11.8805,4.64168,1.84395,0.879279,0.409162]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.5572,127.418,78.7907,57.1281,41.0482,21.7643,8.68282,3.36751,1.5176,0.702651]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1178, 154, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1881.98,2110.49,2238.87,2338.63,2385.28,2438.26,2485.55,2496.41,2451.23,2243.2]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1120.33,1258.92,1348.67,1421.73,1445.75,1472.88,1494.3,1508.47,1481.53,1343.55]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1179, 157, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.0836,55.7533,54.1073,52.1032,50.6582,49.0939,47.6316,45.6374,43.3907,41.5459]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[187.975,185.475,181.113,176.374,171.183,165.655,160.462,154.169,146.707,139.323]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1180, 158, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.651,18.8942,2.80811,1.381,0.600266,0.217488,0.0682481,0.0176373,0.00275782,0.000369537]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[453.944,50.7622,10.9986,5.69087,2.61525,1.01911,0.335645,0.09972,0.0229843,0.00459034]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1181, 198, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1191.31,1175.5,1268.7,1579.02,1882.51,2162.13,2424.46,2643.74,2851.89,3039.33]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1261.85,1308.48,1471.54,1841.83,2203.95,2520.04,2802.68,3022.54,3212.26,3387.45]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1182, 207, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.22412,1.13525,0.536621,0.284645,0.185123,0.135321,0.112912,0.110361,0.102097,0.090673]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.60924,1.27852,0.627535,0.299467,0.212782,0.173906,0.164192,0.153031,0.147696,0.140859]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1183, 225, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[219.146,267.186,351.941,445.764,545.761,659.393,893.579,1320.49,1792.19,2385.03]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[261.753,353.033,475.881,603.719,740.41,878.638,1101.87,1474.56,1892.11,2456.01]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1184, 232, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18814,1.14645,1.14165,1.19137,1.30363,1.46588,1.67518,2.03166,2.55797,3.20675]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31089,1.23944,1.21368,1.26208,1.38942,1.56687,1.80852,2.19986,2.74675,3.47029]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1185, 233, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.0901,83.3245,153.163,255.88,360.619,423.474,471.997,521.928,583.566,675.557]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.0864,77.7837,149.282,258.634,373.66,441.455,487.162,530.092,580.399,653.144]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1186, 301, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.26737,7.11024,11.3546,10.405,6.70576,5.72763,5.59973,5.44322,8.64542,19.6583]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.4778,22.9693,24.9119,26.9078,28.8705,31.0708,33.16,35.1598,37.1574,38.9058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.03894,4.8218,7.27649,8.49113,6.50117,5.77656,6.05617,8.04414,9.70899,20.07]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.026,17.8251,19.3458,20.9949,22.4213,23.9546,25.5397,27.1834,28.6035,29.8835]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1187, 302, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.45094,3.15616,5.02799,4.62064,2.98102,2.54424,2.48852,2.4187,3.84445,8.72754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.09532,10.2062,11.0709,11.9524,12.823,13.8052,14.7313,15.6244,16.4995,17.2825]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34839,2.141,3.23539,3.77524,2.88217,2.56901,2.68693,3.56933,4.31964,8.91]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.1199,7.92379,8.59751,9.33248,9.96548,10.6496,11.3508,12.0853,12.7129,13.2789]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1188, 303, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.15067,4.68143,7.48222,6.84948,4.41572,3.7705,3.68793,3.58621,5.6959,12.9571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.4895,15.1307,16.4104,17.7203,19.0163,20.4673,21.8393,23.1428,24.4746,25.6189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.00216,3.17529,4.78518,5.59177,4.28577,3.79862,3.99262,5.29934,6.37934,13.2174]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.5566,11.7334,12.7382,13.8217,14.76,15.7674,16.8129,17.8931,18.8281,19.6735]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1189, 310, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.74099,30.682,25.6603,25.3009,13.4135,12.6234,5.69949,0.495019,0.862722,1.38709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[932.19,1011.83,956.476,929.03,927.278,914.195,832.026,849.765,780.975,786.185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.30075,0.95476,1.52275,1.57372,0.866874,0.533198,0.519642,0.508244,0.665033,1.29555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1107.09,930.015,853.232,870.154,929.939,955.914,1012.82,1054.98,1135.82,1225.59]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1190, 284, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.74099,30.682,25.6603,25.3009,13.4135,12.6234,5.69949,0.495019,0.862722,1.38709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[932.19,1011.83,956.476,929.03,927.278,914.195,832.026,849.765,780.975,786.185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.30075,0.95476,1.52275,1.57372,0.866874,0.533198,0.519642,0.508244,0.665033,1.29555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1107.09,930.015,853.232,870.154,929.939,955.914,1012.82,1054.98,1135.82,1225.59]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1191, 274, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.08196,16.2489,21.6089,20.4593,32.3959,32.9773,44.0103,51.1612,92.2425,153.363]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[253.385,454.441,471.508,379.412,424.935,386.097,363.294,336.912,307.966,274.321]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.2553,49.8504,65.062,63.0048,103.33,92.6933,109.578,154.605,192.229,268.327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[465.704,922.129,987.412,852.766,1018.17,946.791,928.468,889.547,869.944,808.846]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1192, 275, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.26168,14.7002,19.0232,17.8491,29.9711,30.8595,41.9557,49.5579,90.5618,151.925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.63,131.091,135.18,132.796,249.217,264.894,278.283,281.988,274.493,257.201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.1233,46.1779,59.4456,57.0417,98.7581,88.8166,105.991,151.291,189.377,265.842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[225.495,296.569,317.248,322.048,640.041,698.104,765.557,785.459,804.564,773.023]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1193, 276, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.830684,1.56754,2.62997,2.64851,2.49254,2.18555,2.13578,1.6704,1.81522,1.69869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[146.761,323.361,336.347,246.636,175.761,121.25,85.0703,54.9938,33.5608,17.2277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18199,3.80207,5.81401,6.26059,5.01179,4.16004,3.85714,3.64464,3.07869,2.88605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[240.232,625.596,670.203,530.782,378.269,248.787,162.999,104.17,65.4429,35.9007]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1194, 277, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.7735,1.96498,2.58612,2.65655,2.78698,2.91132,3.66805,3.91279,6.84221,10.2666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[586.553,557.571,716.008,869.381,996.703,1158.23,1368.62,1643.59,1819.24,2082.06]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.8532,17.7111,21.3491,21.5185,21.2796,21.3077,22.2386,23.5749,26.606,31.6029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[686.137,715.125,957.155,1177.54,1359.64,1577.1,1803.26,2052.91,2192.49,2460.67]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1195, 278, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00206983,0.00617217,0.0148586,0.017421,0.0305976,0.0757502,0.161432,0.212029,0.883218,0.984858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000629958,0.00185866,0.00436831,0.00428976,0.00634851,0.0168442,0.0317146,0.0417613,0.175364,0.16972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00781431,0.0106019,0.0240967,0.0250169,0.0464863,0.0917152,0.1756,0.409139,0.743337,1.58115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00235713,0.00312938,0.00698284,0.00767038,0.014009,0.0223569,0.0465403,0.10294,0.169466,0.326274]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1196, 279, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0509957,0.109465,0.147295,0.153851,0.175897,0.196498,0.418947,0.47925,1.16042,2.1527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[109.099,71.387,57.5784,50.7254,49.1568,51.0881,54.8148,58.651,62.5684,66.6731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0689497,0.135831,0.245993,0.257585,0.220694,0.205049,0.325849,0.516295,0.992711,1.99974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.4802,65.9498,53.3972,46.2513,44.8203,46.6407,50.3796,53.9807,57.8209,61.3144]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1197, 280, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.72044,1.84935,2.10975,2.10452,2.13351,2.13775,2.06359,2.1206,2.08115,2.09006]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.7765,17.5647,20.4291,20.3651,20.2366,20.2742,20.6272,20.8261,21.5333,20.8996]}', '', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1198, 313, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.31773,13.4418,14.6479,11.9518,7.81143,6.87266,7.03409,6.4638,11.5349,16.7751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[466.162,627.675,680.941,717.321,725.708,731.946,732.68,719.754,685.497,605.24]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.227021,0.642983,0.93478,0.841749,0.664774,0.577369,0.693254,0.968751,1.2406,1.45561]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.3558,53.5157,53.9281,53.285,52.7323,52.7732,52.7312,51.0172,47.2134,39.6363]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1199, 314, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.183986,0.335499,0.389961,0.293598,0.299193,0.340043,0.519182,0.573396,1.06074,1.5228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.2721,107.808,110.198,111.178,111.063,111.507,111.583,109.302,104.118,90.1058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.227021,0.642983,0.93478,0.841749,0.664774,0.577369,0.693254,0.968751,1.2406,1.45561]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.3558,53.5157,53.9281,53.285,52.7323,52.7732,52.7312,51.0172,47.2134,39.6363]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1200, 304, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.21623,0.246708,0.359578,0.643933,1.14504,1.73057,3.31658,6.8079]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.09549,4.34614,5.74916,7.46035,10.0796,12.932,16.0038,18.5401]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.618966,0.832083,1.00579,1.33454,2.22111,3.65203,5.65154,10.0241]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.44723,4.87886,6.45074,8.29939,11.4464,14.5986,18.2129,20.9934]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1201, 306, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.79363,3.43289,5.09212,9.02433,17.0087,26.2357,56.0441,115.029]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.88,254.489,327.584,407.707,511.108,654.271,828.365,1020.83]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.12777,8.7788,10.8759,14.9272,26.1498,48.1203,81.3325,156.881]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[142.379,182.622,227.867,279.209,344.789,437.285,541.278,641.954]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1202, 307, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0258042,0.0310919,0.0360858,0.0413375,0.083659,0.0907709,0.225509,0.425325]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0512244,0.0680363,0.0618535,0.0579844,0.0878651,0.144975,0.263596,0.569332]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1203, 309, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.452011,0.669409,1.12733,1.81907,3.65209,5.92801,12.6163,26.7831]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.35457,6.35531,11.2053,15.7575,24.1571,33.1304,44.9077,57.6396]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.636825,1.10724,1.70833,2.27524,4.57805,8.75961,15.5753,30.9127]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.80476,5.30584,10.8245,14.2071,24.0141,35.9371,51.8582,67.0691]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1204, 305, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0155277,0.0252416,0.0295521,0.0922742,0.154456,0.209948,0.688637,0.761057]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00412133,0.00577255,0.00442983,0.0189265,0.0311929,0.0395589,0.136501,0.13065]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0176818,0.0273016,0.047481,0.107908,0.137361,0.324274,0.446421,1.00747]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00420763,0.00582415,0.0125328,0.0232197,0.0338542,0.0694505,0.0869279,0.191203]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1205, 308, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.436483,0.644167,1.09778,1.72679,3.49763,5.71807,11.9276,26.022]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.35044,6.34953,11.2009,15.7386,24.1259,33.0908,44.7712,57.5089]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.619144,1.07994,1.66085,2.16733,4.44069,8.43534,15.1289,29.9053]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.80055,5.30001,10.812,14.1839,23.9802,35.8676,51.7713,66.8778]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1206, 271, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136092,0.871872,1.12246,2.59081,3.62049,6.22969,27.2593,39.0167]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34099,45.0115,51.85,118.904,61.5531,64.11,437.348,236.74]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.185236,8.83036,12.0329,15.403,24.364,44.1989,71.7613,140.274]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.799624,214.351,276.649,291.842,243.959,330.879,392.503,526.359]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1207, 272, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136092,0.159308,0.238415,0.433735,0.771243,1.20951,2.37001,4.90056]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34099,2.09873,2.97938,3.94244,5.49887,7.55556,9.46369,11.1982]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.185236,0.230008,0.269685,0.35629,0.610646,1.08938,1.81182,3.51505]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.799624,1.13619,1.53719,2.02747,2.9,4.12263,5.50284,6.79594]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1208, 265, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.8361,5.35071,7.05298,8.82408,17.8393,30.8101,68.2625,148.668]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.6385,79.9177,130.589,186.803,255.617,318.385,402.778,465.77]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.8657,9.88308,12.3283,13.8722,25.626,45.8392,82.4565,161.743]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.0691,79.6681,130.613,185.886,261.259,317.481,408.714,462.611]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1209, 266, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.31473,0.348011,0.658673,1.19805,2.72699,4.60546,10.1554,23.2767]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.11254,6.73963,13.2522,18.4207,36.0311,50.4256,74.3044,87.7034]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.395094,0.53651,1.78291,2.35709,4.53413,7.72323,13.5128,25.1459]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.01379,3.23796,13.6235,18.9855,33.8189,47.6934,68.8957,81.3366]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1210, 267, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.38296,5.18227,9.27594,14.1603,31.3044,47.4385,108.297,229.629]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.7699,53.3273,102.718,141.297,246.465,308.039,462.123,571.455]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.74926,10.9693,15.7329,20.1595,41.5711,72.2893,138.31,264.247]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.7086,54.6372,105.292,135.11,233.92,321.125,500.579,621.417]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1211, 268, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.324,4.12909,7.17802,8.81472,16.9942,26.2879,49.6628,102.624]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.5591,112.193,228.232,366.163,571.026,706.86,761.407,828.607]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.39888,5.52627,8.53799,10.5758,17.235,30.9811,47.9182,93.4996]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.1308,83.8713,181.867,273.847,420.972,529.622,602.678,659.242]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1212, 286, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.22051,5.38549,8.31511,14.8847,28.7609,48.4522,97.2556,202.606]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.6434,86.8987,133.921,191.87,270.076,356.854,464.927,554.315]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.45386,13.7241,18.1151,25.7524,47.668,89.6479,153.995,290.047]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.186,92.0989,146.152,209.105,298.452,410.595,542.688,661.126]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1213, 287, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.94466,2.45862,4.07226,7.80253,15.253,25.3098,52.0969,99.5733]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9448,22.3513,32.7313,45.2667,66.5551,94.4805,126.381,142.865]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.90498,7.2787,9.78913,14.3874,27.5255,52.9155,89.7275,160.52]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.0451,27.4668,40.3097,56.3424,84.5924,122.763,165.949,192.892]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1214, 288, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.668401,0.763468,1.19457,2.08056,3.87635,5.91565,11.442,22.2826]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.58974,6.83808,9.35689,12.0539,16.7326,22.5701,28.6456,32.5792]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.72502,2.4253,3.04976,4.15124,7.65089,13.4928,21.9142,38.8036]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.8306,8.76396,12.0746,15.826,22.4287,30.7836,39.3981,45.0978]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1215, 289, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.77829,0.915365,1.43313,2.6075,4.76416,7.37107,14.1057,29.2017]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.9258,29.6889,44.2655,59.9827,77.1331,94.0717,108.764,118.236]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.12299,2.98081,3.76703,5.16001,9.0835,15.6216,24.9405,44.9747]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.0914,31.5026,46.8065,63.9528,83.4286,103.637,122.14,134.314]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1216, 290, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04809,1.17439,1.65882,3.05567,5.12935,8.79835,17.1814,39.7933]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.4626,24.023,35.8873,50.5972,74.3188,106.256,141.485,171.371]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.49709,4.66516,5.63526,7.40101,11.5601,19.7013,31.0446,56.7951]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.5471,29.147,43.8107,62.1648,92.1313,133.557,180.053,219.64]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1217, 291, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0709025,0.115173,0.176854,0.277383,0.641244,1.30067,1.44502,2.02252]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0365759,0.0716714,0.111193,0.164578,0.38366,0.696944,0.758843,0.982204]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0789234,0.0981643,0.179818,0.27343,0.566226,1.01677,1.77018,2.81004]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0480276,0.0653513,0.127523,0.206118,0.382922,0.655937,1.05958,1.58171]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1218, 292, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00836598,0.0139597,0.0220999,0.0347421,0.0799394,0.158535,0.171628,0.233596]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.39223,2.44495,3.83523,5.35668,6.51724,7.21142,7.53021,7.68177]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0113294,0.0144136,0.0260689,0.0410054,0.0846561,0.148359,0.253161,0.391356]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62639,2.80476,4.37157,6.07703,7.33929,8.11519,8.56662,8.85085]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1219, 293, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.366997,0.411162,0.569563,1.02159,1.70304,2.85518,4.95502,10.6958]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9194,23.2004,34.5955,47.0569,59.6828,72.5761,83.3992,92.8502]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04225,1.37002,1.61915,2.08475,3.17597,5.18592,7.82537,13.8758]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2082,21.9318,32.6291,44.7466,57.3274,70.7277,82.7052,93.3441]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1220, 294, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.360569,0.410616,0.43403,0.486019,0.845483,1.31453,3.19961,6.34049]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.10363,7.78112,10.8745,15.8318,24.2819,29.3184,45.2401,47.3234]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.11655,1.38653,1.09714,1.18266,1.4826,2.51462,4.17495,7.82159]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.92388,12.028,16.3356,24.706,29.882,37.5791,45.7289,49.5326]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1221, 295, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.222143,0.242824,0.314902,0.504839,0.78443,1.15491,1.67494,2.93436]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.76833,4.19291,5.66177,7.20424,9.24318,10.9617,11.8781,11.6364]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.844281,1.04569,1.18301,1.43872,2.06238,3.00891,4.05424,6.15653]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.13718,6.31898,8.74689,11.3627,15.0286,18.6773,21.3477,21.9736]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1222, 296, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0938567,0.151531,0.230855,0.360887,0.828953,1.68403,1.87821,2.61954]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0496735,0.090688,0.145603,0.209976,0.492962,0.918874,0.974966,1.27809]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106381,0.131865,0.237856,0.363525,0.753254,1.34818,2.35274,3.74583]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0651629,0.0867895,0.174122,0.279694,0.509044,0.865893,1.4151,2.11215]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1223, 297, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.650839,0.720583,1.00472,1.82005,2.99346,5.02678,9.52595,21.5177]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.16219,2.85051,3.39915,4.39651,6.73325,11.1838,17.1468,30.4713]}', '', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1224, 298, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.416164,0.455293,0.626908,1.12838,1.8487,3.09693,5.84547,13.2095]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.75128,9.35888,13.6835,18.8615,27.0375,37.5875,48.5734,56.9734]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.38884,1.80583,2.14486,2.75625,4.19563,6.95674,10.6768,18.8243]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.95842,11.3312,16.7037,23.1484,33.5008,47.1693,61.7608,72.9714]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1225, 299, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0761514,0.0824398,0.109883,0.19484,0.308621,0.492785,0.886521,1.90962]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0692,1.70566,2.45526,3.32231,4.63305,6.11799,7.48579,8.36891]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.225385,0.287084,0.335521,0.42576,0.62785,0.977925,1.42982,2.38679]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12783,1.78457,2.5531,3.473,4.87647,6.53919,8.06731,9.05062]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1226, 300, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26213,1.71808,2.62589,4.4863,8.73647,13.9451,28.6652,62.3829]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.54439,16.6319,26.7206,40.6251,59.2474,78.8539,105.441,135.514]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.04371,3.27668,4.63226,6.60268,12.7948,23.6688,41.9752,82.5113]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.03255,15.5873,29.3816,41.6173,66.9336,97.3431,138.828,179.593]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1227, 270, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.03857,2.80352,3.84297,5.72059,9.78385,17.9627,34.9961,70.9216]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.3155,41.1982,62.3727,85.9921,113.065,144.607,184.833,221.159]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.34322,4.2045,4.87985,6.00162,9.41942,16.61,28.7917,61.5883]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.6195,32.4486,48.3491,67.0842,89.3874,116.115,152.84,189.365]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1228, 283, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.314215,0.380758,0.446982,0.501318,1.02409,1.10091,2.71742,5.03901]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.205,130.276,158.147,191.958,235.587,289.273,351.687,416.377]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.649908,0.870812,0.775778,0.736752,1.10994,1.82343,3.33672,7.12247]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.776,144.479,173.335,205.929,248.07,300.254,362.639,426.836]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1229, 273, 207, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.712565,0.88404,2.15708,2.84925,5.02018,24.8893,34.1161]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.9128,48.8707,114.962,56.0542,56.5545,427.884,225.541]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.60035,11.7632,15.0467,23.7534,43.1096,69.9494,136.759]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[213.215,275.112,289.815,241.059,326.757,387,519.563]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1230, 269, 207, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.648062,1.24145,2.56972]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.8091,64.6599,73.2195]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.11453,2.89856,4.97925]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.9617,94.208,126.715]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1231, 315, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.22537,13.2931,14.4776,11.8251,7.6824,6.72461,6.80479,6.20333,11.0496,16.0635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[386.924,545.829,598.224,634.461,642.777,648.298,648.436,636.774,605.926,535.868]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1232, 281, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.9919,96.0389,115.067,137.999,129.006,150.248,186.633,273.685,257.933,336.381]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[100.453,145.67,183.207,223.523,220.352,259.12,292.88,369.851,329.917,426.168]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1233, 282, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[403.461,390.143,440.153,550.377,660.388,764.924,891.553,1021.94,1146.87,1262.46]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[486.202,503.502,603.767,763.279,921.118,1065.39,1211.88,1328.72,1441.95,1546.02]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1234, 1, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.475084,0.23513,0.75402,1.00453,2.10121,2.59583,1.11347,0.612284,0.959464,0.837545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26876,4.87202,14.6457,25.5225,29.4455,29.9849,30.7956,24.9256,21.2155,14.7134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.236681,0.364142,0.815717,1.54583,2.80654,5.18319,4.40669,3.64406,2.45648,1.91849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.05376,21.1278,49.317,80.6425,90.0178,86.7551,83.6825,60.9635,48.328,29.8715]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1235, 2, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00796926,0.0102948,0.0108811,0.0182658,0.0205977,0.0363462,0.0525656,0.0664074,0.140798,0.19921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9833,1.4457,4.46826,9.37801,8.39754,9.30218,9.16377,7.21306,8.13507,6.10997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00975829,0.0289273,0.0329644,0.0476375,0.0586953,0.0940738,0.143492,0.162612,0.274346,0.45518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.82014,2.56307,9.12499,21.365,19.1251,21.1015,20.4936,15.2775,17.4942,11.8945]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1236, 3, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.467115,0.224836,0.743139,0.986264,2.08062,2.55948,1.0609,0.545877,0.818666,0.638335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.285463,3.42632,10.1774,16.1445,21.048,20.6828,21.6319,17.7126,13.0804,8.60343]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.226923,0.335214,0.782753,1.49819,2.74785,5.08912,4.2632,3.48145,2.18213,1.46331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.23362,18.5647,40.192,59.2775,70.8927,65.6535,63.1889,45.686,30.8338,17.977]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1237, 4, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00755518,0.00363652,0.0120196,0.015952,0.0336522,0.0413974,0.0171592,0.00882909,0.0132412,0.0103245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0416804,0.0502928,0.186238,0.344373,0.334044,0.365325,0.367374,0.277182,0.374904,0.247532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00367028,0.0054218,0.0126603,0.0242319,0.0444441,0.0823121,0.0689536,0.0563095,0.0352941,0.0236678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0589278,0.119514,0.366609,0.710665,0.685801,0.883398,0.724383,0.564582,0.702642,0.462615]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1238, 5, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.45956,0.221199,0.73112,0.970312,2.04696,2.51809,1.04374,0.537048,0.805425,0.628011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.243783,3.37603,9.9912,15.8001,20.7139,20.3174,21.2645,17.4354,12.7055,8.3559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.223252,0.329793,0.770092,1.47396,2.7034,5.0068,4.19425,3.42514,2.14684,1.43965]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.17469,18.4452,39.8254,58.5669,70.2069,64.7701,62.4645,45.1214,30.1312,17.5144]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1239, 6, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.560777,0.436235,0.491116,0.671886,0.982828,1.31881,1.92776,2.9372,5.20993,7.72539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.7569,94.0082,100.197,105.365,111.708,117.979,122.9,124.447,125.557,134.224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.716974,0.647662,0.828346,0.958943,1.54539,2.23455,2.89739,4.61121,8.386,13.8772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[100.484,100.008,106.248,112.216,117.454,122.306,125.906,127.557,128.805,138.923]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1240, 7, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0267182,0.0299501,0.0540918,0.076316,0.114132,0.208457,0.321383,0.603595,0.813668,1.58537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.1165,35.8681,40.457,45.4087,50.0784,54.772,59.54,63.5566,67.9264,72.1566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0462926,0.0666792,0.0817209,0.104943,0.158932,0.299507,0.410032,0.840266,1.2198,2.45758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.734,37.0811,41.4084,45.554,49.9102,53.9292,57.7406,61.6877,65.4518,68.9777]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1241, 8, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00517242,0.00511197,0.00474059,0.00410476,0.00349435,0.00309942,0.00277202,0.00252819,0.00228522,0.00202039]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00735261,0.00370478,0.00340293,0.00632382,0.00364019,0.00316585,0.00319139,0.00443087,0.00161624,0.00327346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00586063,0.0055923,0.00516032,0.00472968,0.00436095,0.00379815,0.00333989,0.00303496,0.00279235,0.00249656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00644422,0.00422078,0.00794476,0.00339167,0.00654674,0.00663911,0.0045283,0.00636662,0.00335046,0.00378124]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1242, 9, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.175021,0.177076,0.183718,0.309801,0.571968,0.762344,1.17421,1.64324,3.43301,4.79481]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.11449,1.89659,2.2227,2.44415,2.77693,2.99293,3.72063,5.07193,6.2322,7.53926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237635,0.228358,0.345306,0.388535,0.861474,1.37046,1.77813,2.78457,5.90056,9.68205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.6195,2.60402,2.9465,3.24938,3.50202,3.74717,4.85015,7.23666,9.73252,11.5767]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1243, 10, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000673217,0.000556277,0.000487808,0.000573456,0.000571542,0.000362141,0.000266227,0.00018837,0.000223054,0.000198634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.4827,11.4222,12.977,14.3577,15.7207,17.4574,16.6793,12.3413,7.80283,3.56134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00091406,0.00071738,0.00091686,0.000719195,0.000860833,0.000651018,0.000403152,0.000319204,0.000383378,0.000401097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.6667,12.1056,13.9274,15.4512,16.9608,18.7428,17.8849,13.4248,8.68291,4.38181]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1244, 11, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00151385,0.00108588,0.00120228,0.00147698,0.00167384,0.00199926,0.00325078,0.00535882,0.00442431,0.00569467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.194,36.7785,35.9045,33.8859,32.9116,32.014,31.0532,30.0731,28.457,31.1173]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00139774,0.000968893,0.00106576,0.0013789,0.00168059,0.00195774,0.00311022,0.00511605,0.0043084,0.00566224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.4455,38.0471,37.0149,36.1093,34.5206,32.6318,31.2084,29.4118,27.2235,30.6485]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1245, 12, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.235234,0.137356,0.133766,0.141238,0.157287,0.215476,0.296061,0.523282,0.73848,1.16608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.86268,5.1484,5.7027,5.93034,6.3964,6.61262,6.93538,6.99071,7.0161,10.196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.317605,0.218377,0.199411,0.185094,0.269815,0.337583,0.470791,0.731784,0.935027,1.51311]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.73711,7.0091,7.72089,8.29166,8.56166,8.85723,9.05917,9.02507,9.07984,13.2723]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1246, 13, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0353396,0.0212353,0.020809,0.0214774,0.0230416,0.0307202,0.0408956,0.0696325,0.095198,0.143343]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.792161,0.820378,0.885859,0.953387,1.00671,0.998948,1.05496,1.04797,1.01609,1.35362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0475272,0.0337538,0.0310317,0.0280485,0.0397339,0.0480847,0.0647844,0.0973891,0.119859,0.185551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00206,1.06093,1.18604,1.28721,1.32255,1.33868,1.31785,1.28551,1.30448,1.72633]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1247, 14, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02458,0.00763236,0.00367931,0.00418313,0.00495524,0.00739091,0.0110343,0.0212873,0.0329096,0.0570986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.559511,0.459524,0.39743,0.357896,0.360604,0.364449,0.411075,0.396661,0.410826,0.555263]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0333757,0.0120914,0.00550519,0.00552866,0.00858629,0.0116265,0.0175867,0.0295713,0.0412028,0.0723417]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.723995,0.574834,0.51661,0.536373,0.448049,0.488414,0.510976,0.489713,0.520524,0.706219]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1248, 15, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0871423,0.049141,0.0467273,0.0478308,0.0518758,0.06854,0.0909451,0.154189,0.208324,0.312094]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48079,1.54871,1.74396,1.813,1.93691,1.96547,1.9725,2.02584,2.01777,2.77382]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118579,0.0786817,0.07013,0.0634467,0.0900023,0.108442,0.145998,0.217968,0.266332,0.408638]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1884,2.25696,2.46423,2.53867,2.69213,2.72642,2.67955,2.676,2.61139,3.68021]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1249, 16, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0881718,0.0593477,0.0625508,0.0677463,0.0774142,0.108825,0.153186,0.278173,0.402049,0.653542]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.96894,2.28283,2.62925,2.75566,3.05034,3.24052,3.431,3.44873,3.50899,5.44103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118123,0.09385,0.092744,0.0880704,0.131493,0.16943,0.242422,0.386855,0.507634,0.846577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.71512,3.05018,3.48602,3.85546,4.04334,4.23588,4.48726,4.50035,4.56781,7.09037]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1250, 17, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0348391,0.0238084,0.025169,0.0268629,0.0285476,0.034377,0.0426439,0.0700833,0.0929921,0.138937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.549497,0.676066,0.787318,0.93274,1.0702,1.11329,1.29274,1.4186,1.57445,1.78472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0470387,0.0378519,0.0375204,0.0352042,0.0489715,0.053858,0.0678117,0.098008,0.117742,0.180285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.656128,0.756985,0.929555,0.977451,1.17044,1.22209,1.36565,1.50988,1.69013,1.94731]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1251, 18, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000518115,0.000264163,0.000261862,0.000261018,0.000317299,0.000443164,0.000918997,0.00122757,0.00147405]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0,0,0,0,0,0.00049858,0.000450481,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000915656,0.000644705,0.00054924,0.0004619,0.000598365,0.000715292,0.00135199,0.00192641,0.00245487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1252, 19, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00379481,0.00253428,0.00294465,0.00335184,0.00348646,0.00633065,0.00946027,0.00963633,0.0417812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0162202,0.0143499,0.0136896,0.014731,0.0197133,0.0337274,0.0501126,0.0507816,0.224823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00698077,0.00618851,0.00615874,0.00587119,0.006615,0.0104421,0.0140809,0.0151704,0.0699273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0438881,0.0315844,0.0359536,0.0311752,0.0307111,0.0613597,0.0702177,0.0852836,0.356416]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1253, 20, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00058862,0.000512323,0.000609425,0.000795576,0.00104269,0.00168005,0.00275161,0.0040904,0.0062609,0.00434079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.000975929,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00107713,0.00128509,0.00131716,0.00141985,0.00196774,0.00274748,0.00408078,0.00644087,0.0104678,0.0078381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1254, 21, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.069665,0.0500047,0.0726084,0.0901447,0.0849973,0.0718463,0.0598062,0.0540308,0.0553542]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0141624,0.00653694,0.00387182,0.00306853,0.0024477,0.00225886,0.000516367,0.00241254,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.044842,0.0738479,0.138916,0.214795,0.17462,0.140677,0.130604,0.105441,0.103013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00844704,0.00305715,0.00361401,0.00127695,0.00101418,0.00259405,0.000540082,0.00187674,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1255, 22, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00703833,0.00797448,0.0115162,0.01696,0.0153104,0.0123988,0.0142294,0.019942,0.0199749,0.0279335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.39929,2.19377,2.12499,2.38091,2.72851,2.97803,3.62458,4.93642,6.32143,7.8655]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00641515,0.00715079,0.0103039,0.0157912,0.015491,0.0121504,0.0136533,0.0191266,0.0195318,0.0277261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.56601,2.36534,2.25308,2.54699,2.78983,3.10532,3.72167,5.16805,6.58439,8.11489]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1256, 23, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0971896,0.0900272,0.101586,0.111849,0.16654,0.139408,0.194012,0.169781,0.201343,0.29741]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21746,1.38484,1.6625,3.33555,2.42841,2.42256,2.63378,2.85821,3.05078,3.41662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0696608,0.0703944,0.0860192,0.0963886,0.0918046,0.10242,0.116132,0.159079,0.178566,0.220592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.5243,4.23379,4.64807,4.71962,5.1826,5.58134,5.8376,7.29607,6.96685,6.01128]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1257, 24, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0540537,0.0507642,0.0246584,0.0255268,0.0164943,0.0106235,0.011699,0.00555926,0.00630451,0.00598986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0745638,0.0779282,0.0659192,0.0445657,0.0319876,0.0346021,0.022481,0.0206382,0.00596827,0.0102456]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1258, 25, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000629926,0.000744824,0.000867602,0.000870586,0.000768378,0.000728966,0.000708955,0.000680712,0.000653512,0.00061998]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.306754,0.339791,0.386818,0.431025,0.448827,0.470719,0.491474,0.493985,0.492989,0.498149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00158271,0.00207802,0.00260739,0.0028605,0.00267732,0.00245957,0.00236944,0.00230466,0.00229093,0.00224192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.299614,0.326313,0.371285,0.410576,0.442964,0.461945,0.481881,0.487958,0.479142,0.47418]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1259, 28, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000466371,0.000664421,0.000929974,0.0012241,0.00149879,0.00199173,0.00285975,0.00308435,0.00458788,0.00588518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.562447,0.675983,0.893835,1.04699,1.20661,1.36671,1.52866,1.61344,1.90884,2.16902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000425774,0.000593489,0.000822111,0.00114899,0.00150055,0.0019501,0.00273468,0.00294471,0.00447787,0.00583318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.761962,0.923721,1.19479,1.42123,1.6953,1.92978,2.18608,2.50114,2.83401,3.27391]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1260, 30, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0661765,0.063146,0.0740661,0.0796645,0.115047,0.103257,0.153066,0.108132,0.136508,0.222588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0465101,0.0431627,0.0414954,0.0571038,0.048959,0.0483149,0.0561434,0.0683848,0.0968449,0.110015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1261, 31, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00551419,0.00470521,0.00554274,0.00523764,0.00490024,0.0053834,0.00613246,0.00666071,0.0185231,0.0132433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.00118763,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00479745,0.00576406,0.00538906,0.00509452,0.00567343,0.0067609,0.00633474,0.00676792,0.00871094,0.00886142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1262, 36, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0244025,0.0207668,0.0201798,0.024852,0.0443261,0.0280473,0.0312445,0.0512233,0.0410705,0.0550738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.266833,0.300754,0.336458,1.8108,0.742833,0.557229,0.581968,0.728363,0.628826,0.728867]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0163447,0.0187961,0.0357053,0.0301808,0.0329943,0.0429345,0.04855,0.0786768,0.0662408,0.0936403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.36841,2.88828,3.00309,2.8257,2.99494,3.14251,3.12726,4.27497,3.63437,2.24263]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1263, 37, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0516379,0.147919,0.308453,0.398316,0.245132,0.186834,0.182919,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.17136,11.9917,18.5342,9.16547,7.80066,3.28271,1.84863,0.665418,0.324078,0.0211582]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1264, 38, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.00684131,0.0219828,0.0527954,0.0771884,0.0508988,0.0414377,0.0432318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.45768,5.48087,9.13617,3.6298,3.48498,0.803922,0.0653046]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1265, 39, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.00310404,0.00870635,0.0148513,0.0150053,0.00878484,0.00635885,0.00590022]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.155797,0.426377,0.491819,0.266189,0.149221,0.0796741,0.0230503]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1266, 40, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.0126211,0.0280705,0.0523047,0.0596102,0.0355835,0.0262908,0.024933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.233249,0.759579,0.940326,0.524949,0.25244,0.158769,0.06439]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1267, 41, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.000199318,0.00094072,0.00173511,0.00195783,0.00140086,0.00122115,0.00135099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.244357,0.723872,1.05789,0.863982,0.704624,0.826546,1.05123,0.665418,0.324078,0.0211582]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1268, 42, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.00629714,0.0192493,0.0363332,0.0421529,0.0255674,0.0192201,0.0185737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.552582,0.909341,1.04837,0.906894,0.705012,0.372958,0.0672263]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1269, 43, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.022575,0.0689695,0.150433,0.202401,0.122897,0.0923052,0.0889289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.52769,3.6917,5.85962,2.97365,2.50438,1.04084,0.577429]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1270, 45, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.546,26.8406,26.1916,25.7314,25.4362,25.2399,24.9701,24.2879,23.7456,22.4258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.0649,32.1268,31.8245,31.1917,30.813,30.0394,29.7235,28.4898,28.2262,27.068]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1271, 46, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.0014,21.6435,20.5808,19.9683,19.3289,19.0508,17.5463,16.6956,15.681,13.5071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.6115,31.0585,30.0947,28.7669,27.9571,26.8744,26.1427,24.5357,21.9634,19.721]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1272, 49, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0910661,0.0579271,0.0615593,0.0598966,0.0665737,0.106182,0.131068,0.210888,0.271568,0.454796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9682,17.1038,16.4017,127.883,21.5454,14.4862,13.8693,13.5866,13.1481,12.8328]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0952012,0.0754576,0.0740561,0.0759827,0.0791978,0.106325,0.156501,0.214686,0.344292,0.451114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.7513,47.1555,41.9061,40.5312,40.9309,38.7407,36.5215,46.1667,41.8894,29.2386]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1273, 50, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0354861,0.022762,0.0258577,0.0271589,0.0328362,0.0548609,0.0706423,0.116933,0.151901,0.262306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0113671,0.00822823,0.00955737,0.00442375,0.0114062,0.0194185,0.0259291,0.0286465,0.0516642,0.0858573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0370974,0.0296505,0.0311069,0.0344529,0.0390627,0.0549349,0.0843498,0.119039,0.192579,0.260183]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0124442,0.0126357,0.0164285,0.0229176,0.0119122,0.0244411,0.0299456,0.0322735,0.0677061,0.0952967]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1274, 51, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00276885,0.00143352,0.0016185,0.00123663,0.000984454,0.00160657,0.00193028,0.00349486,0.00557766,0.0106362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9291,17.0719,16.3686,15.6493,14.9781,14.4251,13.7979,13.387,12.909,12.4715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00289458,0.00186735,0.00194706,0.00156875,0.00117113,0.00160874,0.00230483,0.00355781,0.00707131,0.0105501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.84214,10.1265,9.7268,9.36628,8.94605,8.56896,8.2814,7.94363,7.68425,7.40011]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1275, 53, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0499659,0.0318902,0.0318847,0.0292002,0.0298057,0.0442,0.0515355,0.0789539,0.0990179,0.158306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00110793,0.00778731,0.00614316,112.213,6.53663,0.00928488,0.0092904,0.118742,0.128488,0.197881]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0522347,0.0415412,0.0383575,0.0370424,0.0354576,0.0442597,0.0615355,0.0803761,0.125534,0.157024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.8688,36.9955,32.1417,31.1207,31.9499,30.1147,28.1667,38.1372,34.0624,21.666]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1276, 54, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00284529,0.00184132,0.00219839,0.00230083,0.00294745,0.00551475,0.00696002,0.0115059,0.0150713,0.023548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0265688,0.0158959,0.0173938,0.0166178,0.019276,0.0323413,0.0361929,0.0522769,0.0589703,0.0775986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00297449,0.00239856,0.00264467,0.00291876,0.00350636,0.00552219,0.00831055,0.0117132,0.0191072,0.0233573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0278709,0.0208564,0.0211217,0.021251,0.0230928,0.0326223,0.0434676,0.0535262,0.0750368,0.0771904]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1277, 55, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.123925,0.197909,0.448006,0.515697,0.53143,0.661029,0.826938,1.174,1.51537,2.54392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.9001,40.862,42.1069,39.53,29.8092,24.8613,10.8346,5.81788,4.07248,3.34775]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.183607,0.33068,0.685143,0.632502,0.855247,1.52201,1.86429,1.88341,2.59935,3.63262]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.6809,45.8228,42.6065,34.5892,24.6278,17.7628,11.074,7.00221,6.23448,4.60192]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1278, 56, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0147903,0.0152193,0.0214287,0.0272512,0.0245988,0.0361094,0.0522955,0.0582345,0.102943,0.175979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.1614,37.9468,36.6134,32.0698,25.8158,22.114,9.06735,4.65547,2.98196,2.32135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0119577,0.0128447,0.0122421,0.015161,0.0181792,0.0289493,0.063328,0.0697688,0.144356,0.226356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.7747,39.8134,34.2469,25.9283,17.6463,11.8647,6.55755,2.25711,1.89522,2.17183]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1279, 57, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000824095,0.000737679,0.0011123,0.00134715,0.00136954,0.00229,0.00286103,0.00517038,0.0222856,0.0381346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.162324,0.347381,0.516193,0.586728,0.624561,0.731271,0.742391,0.856776,0.961649,1.08004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0119577,0.0128447,0.0122421,0.015161,0.0181792,0.0289493,0.063328,0.0697688,0.144356,0.226356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.253668,0.565006,0.812038,1.1145,1.27731,1.42309,1.65911,1.81099,1.8809,2.16135]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1280, 58, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00325376,0.0033885,0.0047264,0.006021,0.00539186,0.0078705,0.0115816,0.0124416,0.0190101,0.0340452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.29425,10.7703,9.73241,7.85224,5.75794,5.06576,1.66155,0.781567,0.355709,0.17085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.1877,29.1301,23.6528,15.6655,8.34134,5.15173,2.5017,0.30189,0.0123166,0.00857268]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1281, 59, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00244549,0.00253957,0.00356394,0.00450071,0.00402952,0.00582065,0.00852958,0.00926402,0.0143398,0.0237224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.07333,6.99023,7.23203,7.20539,6.59159,5.28724,2.00658,0.561008,0.261891,0.114602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.33332,10.1183,9.78202,9.14836,8.02769,5.28988,2.39674,0.144229,0.00199886,0.00190892]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1282, 60, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.20565,15.0285,12.7562,9.24752,5.95148,4.00295,2.25397,0.774303,0.537204,0.512119]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1283, 61, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00826699,0.00855352,0.0120261,0.0153823,0.0138079,0.0201282,0.0293232,0.0313585,0.0473072,0.0800768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.42587,4.81044,6.37659,7.17793,6.89019,7.02676,2.40286,1.68182,0.865506,0.443746]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1284, 62, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03524,0.0681133,0.051471,0.0784718,0.114157,0.171304,0.193106,0.247246,0.262998,0.356997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.71812,2.89197,5.47237,5.58971,3.86105,2.72422,1.74194,1.13894,1.06807,1.0024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05554,0.103924,0.0879479,0.132818,0.212673,0.299718,0.405843,0.478719,0.296843,0.485948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02904,3.06848,5.612,6.03395,4.38249,3.31234,2.26119,1.65541,1.51714,1.46415]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1285, 63, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00801041,0.0143959,0.008774,0.0117593,0.0115415,0.020032,0.022326,0.0232689,0.0254687,0.029283]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1529,2.40797,4.88249,4.878,2.98557,1.63199,0.565071,0.065387,0.0389232,0.0183068]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0120511,0.0159541,0.0102906,0.0153777,0.018514,0.0284868,0.0297649,0.0397728,0.022814,0.0460809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08323,2.33623,4.70948,4.88777,2.9721,1.65869,0.572607,0.0597006,0.0308863,0.0163019]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1286, 64, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0203319,0.0353409,0.0273549,0.0366435,0.0522938,0.0836926,0.0950859,0.127022,0.150523,0.181105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.381196,0.245137,0.308569,0.391984,0.476719,0.508204,0.540772,0.551078,0.568181,0.554156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0293406,0.0704163,0.0469905,0.0725783,0.119425,0.155612,0.233083,0.278019,0.185753,0.308641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.708486,0.494169,0.618549,0.741077,0.848726,0.920516,0.929184,0.952566,0.933967,0.906935]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1287, 65, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0068977,0.0183766,0.0153421,0.030069,0.0503221,0.0675796,0.0756943,0.0969544,0.0870062,0.146609]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18403,0.238867,0.281307,0.31972,0.39876,0.584027,0.636092,0.522477,0.460965,0.429939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0141483,0.0175534,0.0306668,0.0448618,0.0747338,0.115619,0.142995,0.160927,0.0882768,0.131227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237317,0.238073,0.283966,0.405106,0.561661,0.73314,0.759396,0.643141,0.552292,0.540911]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1288, 67, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00115105,0.000931944,0.000801932,0.000833201,0.000659477,0.00103323,0.00100928,0.00097559,0.0011555,0.000872085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000874667,0.000697577,0.00153589,0.00168466,0.000780875,0.000998406,0.0014024,0.001425,0.000997422,0.00121656]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1289, 68, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0738947,0.114577,0.375107,0.409974,0.392674,0.453615,0.581537,0.868523,1.14943,2.01094]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0193582,0.022247,0.0203235,1.86968,0.131741,0.0220904,0.0243164,0.022496,0.0212981,0.0231204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.11611,0.213911,0.584953,0.484523,0.624395,1.19335,1.39512,1.33492,2.15815,2.92032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.87634,2.94027,2.74613,2.6252,2.59821,2.58473,2.25381,3.08826,2.82112,0.964728]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1290, 69, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.01592,3.27942,4.64952,9.81809,17.4121,35.2624,72.2014,119.095,199.037,290.322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.10862,5.68908,9.61508,19.5394,34.4128,68.5639,124.839,181.971,249.955,339.106]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.89416,5.91756,6.95261,8.46565,15.3797,32.5393,67.9754,138.39,255.318,433.743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.80644,10.2336,13.7338,15.0431,21.5636,32.976,57.4465,107.892,214.467,363.819]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1291, 70, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00411959,0.0039583,0.00462837,0.0151773,0.0486938,0.125903,0.548805,1.30966,2.64463,4.14828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00168524,0.00285375,0.00186996,0.00802703,0.0220365,0.0432563,0.191671,0.468902,0.90203,0.943044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00837045,0.0181441,0.0304798,0.0697273,0.306739,1.10407,3.54981,8.02384,14.7105,21.6906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000686386,0.0117572,0.0173079,0.0188592,0.0672095,0.250484,1.02247,2.10114,3.54573,5.77767]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1292, 71, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00743202,0.0434416,0.0958881,0.344471,0.611648,1.15508,2.08954,2.77016,4.8681,6.63476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00689255,0.0295151,0.067394,0.161507,0.292299,0.733437,1.31384,1.29751,2.11886,3.7574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0298779,0.0889836,0.163766,0.362617,0.939661,1.87002,3.24391,6.12158,9.82886,15.7547]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00963855,0.0405977,0.0922895,0.14359,0.431352,0.867953,1.82566,2.85916,4.48129,7.049]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1293, 72, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.201829,0.103404,0.122687,0.206712,0.210704,0.499333,1.41572,2.28492,3.46606,6.18634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00969034,0.0120008,0.0126977,0.0271309,0.0397935,0.0947905,0.296471,0.567461,0.679451,1.58901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.27047,0.24447,0.222253,0.288161,0.625169,1.11324,3.1331,7.73506,14.2834,23.7687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0284308,0.0531237,0.0425209,0.0597715,0.119257,0.305171,0.965779,1.97498,3.38604,5.80506]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1294, 73, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0422593,0.0224526,0.0273658,0.0467145,0.0488298,0.119613,0.348978,0.579374,0.900868,1.64918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000104576,0.000282662,0.00210652,0.00939825,0.00644942,0.0311374,0.0747791,0.169301,0.224685,0.379925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0705873,0.0649733,0.0597938,0.0779982,0.172292,0.316394,0.916425,2.3194,4.38574,7.46551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004526,0.0168875,0.0100687,0.0130053,0.0324749,0.0925327,0.320399,0.562918,0.974565,1.8756]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1295, 74, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0114568,0.00613147,0.00744013,0.012852,0.0187258,0.0754168,0.295989,0.6039,1.09525,2.25998]}', '{\"age\":[\"15-19\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000441599,0.000167071,0.00189348,0.00320028,0.0109723,0.059763,0.146293,0.193321,0.624883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0148818,0.0136181,0.0124663,0.0163899,0.050361,0.150818,0.585699,1.82915,4.04642,7.7711]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00321486,0.00630558,0.0043514,0.000885583,0.00534736,0.039184,0.178032,0.47856,0.982956,1.99992]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1296, 75, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0143636,0.0204362,0.0346892,0.0709661,0.0765105,0.172339,0.463285,0.70786,1.02142,1.72522]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00345013,0.00193223,0.010146,0.0140118,0.0289242,0.0891127,0.153418,0.162766,0.46016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0202954,0.0499439,0.0640041,0.0999945,0.229034,0.386606,1.03226,2.41516,4.23034,6.67682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00173206,0.0146343,0.0156131,0.0257055,0.0316595,0.112981,0.293099,0.59924,1.02437,1.52076]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1297, 76, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133749,0.054384,0.0531919,0.0761797,0.0666379,0.131964,0.307463,0.393787,0.448516,0.551955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00914416,0.008268,0.00849189,0.00569319,0.016132,0.0237567,0.0728162,0.0984498,0.0986793,0.12404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.164706,0.115935,0.0859892,0.0937782,0.173482,0.259426,0.598715,1.17135,1.62087,1.85525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0189578,0.0152963,0.0124877,0.0201751,0.0497756,0.0604739,0.174249,0.334265,0.404147,0.408778]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1298, 77, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00672208,0.00520036,0.00620869,0.018573,0.0178441,0.0467023,0.108106,0.315609,0.5567,0.630271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00370348,0.0079712,0.0143177,0.0319366,0.0123297,0.0675936,0.112401,0.312751,0.597419,0.800294]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00884047,0.00384602,0.00939219,0.0120006,0.0612673,0.313677,0.967575,1.95532,3.20945,5.28661]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0111032,0.00765056,0.0248116,0.020601,0.107353,0.426194,1.33945,2.99877,5.68918,7.62078]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1299, 78, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.013024,0.0560536,0.150008,0.284223,1.10489,4.02916,11.8864,21.7742,35.9358,50.6955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0017922,0.0286475,0.0734691,0.0862951,0.400031,1.48296,4.58759,7.81646,11.6705,17.0758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.036456,0.124766,0.244424,0.390111,1.41553,5.36546,16.6622,38.6235,72.2554,124.842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0114932,0.0554362,0.0935321,0.153093,0.513926,1.87067,5.45239,12.7909,23.8774,35.6404]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1300, 79, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.039754,0.0958288,0.467485,2.63224,6.03874,12.3367,22.5445,33.3223,48.6709,68.5306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.097449,0.252631,1.45201,7.26377,18.4931,41.5313,76.5785,108.189,142.111,192.219]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1301, 80, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0462473,0.0856147,0.276551,0.523007,1.16461,1.79215,2.97342,3.88037,5.8426,7.25672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0428923,0.168643,0.747558,1.46338,2.3879,3.44815,3.83179,4.6034,5.6795,6.09222]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1302, 81, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00735968,0.00711345,0.0196456,0.0450722,0.107187,0.213457,0.477721,1.41299,2.90645,5.35957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00688148,0.00972016,0.0451748,0.121587,0.265985,0.622744,1.73391,4.63898,8.52524,10.7504]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1303, 82, 203, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0323281,0.0309317,0.0325917,0.0391555,0.060133,0.188644,0.480532,2.23227,7.71499,21.9834]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.055604,0.0539626,0.0756878,0.111821,0.213054,0.683357,3.34444,17.0309,57.1322,128.572]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1304, 83, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0316995,0.104582,0.221464,0.688264,1.02751,2.94327,5.91048,10.2121,18.1567,23.9123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0485024,0.132958,0.264324,0.837179,1.83703,4.98925,9.02409,15.3991,23.8167,36.9028]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0664432,0.202342,0.373781,0.584995,1.648,2.70226,5.70141,11.5705,24.2684,45.7795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0966742,0.295966,0.43763,0.832972,2.40871,4.88848,8.46224,16.2155,34.9624,58.0609]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1305, 84, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00549329,0.0268429,0.0281928,0.0817261,0.177868,0.515441,1.11195,1.69079,2.53314,2.63339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0103379,0.0340528,0.0471241,0.0966729,0.253243,0.677093,1.42793,2.34492,3.22901,2.87828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0559951,0.0608692,0.11754,0.223466,0.583533,1.64497,3.61473,6.35987,9.10895,10.3694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0768312,0.0945144,0.09152,0.21594,0.603723,1.74779,3.50984,6.52667,9.11088,10.019]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1306, 85, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00698592,0.0126699,0.00790463,0.0366139,0.0566466,0.166188,0.312746,0.368675,0.504756,0.524938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00405406,0.00913508,0.00883306,0.0329466,0.0458885,0.134694,0.337753,0.171967,0.2241,0.185764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0121514,0.0114229,0.0279484,0.0399262,0.147483,0.449923,1.09621,1.61501,2.55343,2.6597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0218596,0.00711855,0.0212498,0.0413913,0.122078,0.407875,0.709118,0.494958,0.75485,0.741586]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1307, 86, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00386031,0.0127007,0.015293,0.0434481,0.0820808,0.170882,0.435855,1.14018,1.40828,1.33793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00240089,0.00750803,0.00417304,0.0296203,0.0628508,0.132136,0.52503,1.01487,1.0691,0.856382]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0411714,0.0411392,0.0663422,0.101455,0.225433,0.689772,2.01558,4.97159,7.36261,8.35687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0204486,0.0232254,0.0315579,0.078146,0.294948,0.951818,2.09302,3.70286,5.269,5.67911]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1308, 87, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00361594,0.00587446,0.00638148,0.0246127,0.0185241,0.0646942,0.208272,0.998555,2.01877,3.8676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000126143,0.00795053,0.00403358,0.00334546,0.00758564,0.0229407,0.0332129,0.29113,0.522722,1.17639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00225464,0.00212236,0.0161589,0.0138302,0.0271609,0.0912337,0.206394,0.942101,1.6801,3.12152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000153043,0.000194568,0.00940574,0.00348129,0.0144872,0.034506,0.118379,0.348116,0.774827,1.4865]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1309, 88, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.124875,0.0472559,0.0605446,0.0807349,0.268991,0.643301,2.17397,4.55639,11.534,18.5878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0432655,0.00827034,0.00865432,0.00556231,0.0482174,0.0957201,0.307392,0.765911,1.81232,2.67943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0393937,0.0641804,0.12765,0.254532,0.581778,2.02038,4.06499,8.62503,15.6379,29.7534]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00788501,0.0236362,0.0302081,0.0471116,0.100077,0.299726,0.664983,1.22042,2.29054,3.83935]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1310, 89, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0719475,0.289815,0.323599,0.573671,0.912931,1.29934,2.1873,2.72788,3.45016,4.54356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.386341,1.01338,1.78794,3.08219,3.77411,4.48164,5.99366,7.05004,6.98178,7.52473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.117777,0.308972,0.559147,0.653252,1.15459,1.83904,2.52091,4.04282,5.91931,11.5433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.478992,0.765231,1.4483,1.4504,2.65563,3.16307,4.67727,5.88635,7.95829,12.506]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1311, 90, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00652756,0.00790212,0.0132263,0.0236383,0.0338061,0.0551995,0.0918548,0.162453,0.24513,0.354016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0320751,0.114103,0.182514,0.243751,0.302386,0.52524,1.23976,1.93387,2.62607,4.06185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0124837,0.0219587,0.0317079,0.054341,0.0826028,0.137559,0.183484,0.345305,0.608524,0.90501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0835322,0.140102,0.262839,0.327744,0.374751,0.792231,1.77041,2.91361,4.04034,6.60033]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1312, 91, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0825508,0.190425,0.198334,0.434409,0.877974,2.13225,4.66458,8.73296,16.9717,24.2366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.13487,0.258772,0.282713,0.456656,0.821052,1.68962,3.83176,5.5159,7.78375,8.66702]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1313, 92, 203, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.220894,0.522723,0.602579,0.534798,0.470193,0.455215,0.471924,0.369133,0.657505,0.170577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62181,4.55325,6.56466,6.40967,5.7646,4.37909,2.78494,1.13194,0.814835,0.352709]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1314, 93, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.035898,0.0126922,0.00527026,0.0654097,0.0761942,0.24306,0.761084,1.88677,3.94145,8.65679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0286312,0.00794982,0.00333556,0.0733616,0.0624403,0.204665,0.725886,1.52278,2.50768,4.89746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0143045,0.0132991,0.0331935,0.0500822,0.395644,1.59368,2.66851,5.82264,11.5694,17.071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00990546,0.00990278,0.0411496,0.0606447,0.47,1.31468,2.93955,4.44176,8.63931,12.9391]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1315, 94, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0285952,0.0347886,0.0185059,0.0542766,0.102833,0.184812,0.533373,0.977261,2.19007,3.77652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0592071,0.0459327,0.0473478,0.0632297,0.143106,0.270155,0.697915,1.40667,2.65282,4.61491]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0574315,0.0490434,0.0341408,0.0754727,0.110803,0.303029,1.06767,2.30467,6.24228,11.4558]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.122032,0.133902,0.143104,0.216091,0.38554,0.921613,2.28028,4.82027,9.95126,18.169]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1316, 95, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.580066,0.510526,0.59763,1.35091,1.43843,2.45221,3.44192,6.41183,9.03795,10.993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.53615,0.581067,0.790291,1.45873,0.790101,0.996338,1.73199,2.72428,3.04708,4.54606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.537122,0.710694,1.10504,1.63753,2.335,3.78932,5.51469,7.92098,13.1198,16.7847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.620856,0.903717,1.06657,1.13707,1.40659,1.81778,2.53251,3.68277,5.00743,5.57056]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1317, 96, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0159323,0.0166908,0.0250664,0.0474614,0.0727858,0.124521,0.20358,0.301924,0.629957,0.923728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.303004,0.59588,0.967658,1.19185,1.2563,1.99758,1.95251,1.99336,2.31388,2.4722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00648294,0.0228862,0.02141,0.042432,0.0808849,0.110492,0.153981,0.23047,0.561045,0.844196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0379965,0.15255,0.251173,0.311647,0.501166,0.479869,0.553184,0.546661,0.859644,0.813889]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1318, 97, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.244105,0.368553,0.370227,0.416214,0.211312,0.18267,0.129092,0.123686,0.164286,0.356873]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15014,1.31151,1.08819,1.00222,0.39751,0.311923,0.192492,0.127988,0.152233,0.354641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.180215,0.423543,0.500239,0.521757,0.49995,0.686985,0.573728,0.562012,0.663394,0.459605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.615492,1.16173,1.05207,0.905136,0.759583,0.764921,0.475091,0.385696,0.53868,0.559426]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1319, 98, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.199905,0.190842,0.292966,0.297706,0.517788,0.806478,1.65972,2.08301,4.83448,8.04666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.263635,0.22958,0.447984,0.487444,0.925343,1.48572,2.84606,3.82073,6.28482,8.4121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.272541,0.445069,0.502357,0.487369,0.865744,1.50166,2.40795,4.03499,6.70607,12.3242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.262567,0.456898,0.535111,0.777491,1.76743,2.68418,3.53591,5.0774,7.65138,10.3353]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1320, 99, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00632754,0.00613493,0.00948926,0.0198624,0.070868,0.156096,0.430932,1.13398,2.22683,5.28824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0104364,0.00246468,0.00449795,0.0196472,0.0462905,0.166405,0.455148,1.08885,1.98257,3.14781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00513118,0.00411411,0.0183507,0.0243713,0.152177,0.328047,0.898923,1.80056,4.08456,7.55763]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00967326,0.00241808,0.0239051,0.0280806,0.113907,0.267697,0.881471,1.79189,3.74772,5.0937]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1321, 100, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.582122,0.460272,0.663675,0.806854,1.00653,1.19306,2.03715,2.36244,3.90409,6.65087]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.481873,0.28101,0.277725,0.446572,0.549246,0.731654,1.4076,2.32159,3.37811,3.5971]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01501,1.30012,1.04837,1.05418,1.05921,1.76887,2.21771,3.37004,6.38641,12.7293]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.858709,0.512392,0.711003,0.849142,0.902161,1.43747,2.41304,3.80049,6.21692,8.07143]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1322, 101, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.658923,0.580237,0.648644,0.702809,1.15466,1.73042,3.86335,6.15406,10.3942,16.189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.442579,0.535569,0.983253,0.844786,1.17661,1.62687,3.46276,4.58173,7.28673,8.90312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.851018,1.20192,1.06375,0.950093,1.55103,2.47179,4.55945,8.81044,16.1852,28.5312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.744061,0.774298,0.666163,0.843219,1.46611,2.21942,3.09512,5.14867,7.76659,12.5156]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1323, 102, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.563215,0.726483,1.46211,2.32348,3.52949,7.27882,13.6318,24.1787,40.8418,76.722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.5676,39.7485,56.506,84.2611,121.879,176.381,265.002,384.117,559.752,763.584]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01812,1.73808,2.81659,4.22472,9.73108,19.9543,39.734,74.5483,134.33,225.402]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.8453,44.8671,71.0664,104.514,158.79,215.399,331.028,496.372,749.02,1033.58]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1324, 103, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0163591,0.0187361,0.0327985,0.0638429,0.0876031,0.143423,0.236784,0.418129,0.7436,1.29397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2636,10.3738,10.5464,10.5782,10.485,10.7178,10.947,10.2147,10.3884,10.6531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0269427,0.0430121,0.0621525,0.094461,0.227657,0.302856,0.574376,0.90841,1.49631,2.4185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.92829,8.28202,8.46307,8.46241,8.18281,8.12165,7.69965,7.20567,7.51665,8.12018]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1325, 104, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133775,0.210896,0.537464,0.744032,1.31561,2.93104,5.99528,11.4354,20.2326,40.377]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.30303,11.9626,24.0055,40.7335,62.7762,91.5404,140.278,210.491,296.907,383.631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.337318,0.619843,1.3075,2.26349,5.95805,12.9685,26.8868,51.8856,93.3919,150.925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.06965,16.6487,33.3442,56.2479,85.709,124.102,187.885,279.562,396.026,514.563]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1326, 105, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0853183,0.0857639,0.211438,0.593499,0.87919,2.07817,3.77402,6.63174,9.71639,16.9319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.18797,6.11501,9.26158,13.5974,20.8427,29.4649,47.7043,77.825,134.174,203.934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.140061,0.265347,0.373402,0.505194,1.14839,2.57223,5.02257,8.91072,16.6113,31.4189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.7773,8.54934,12.9768,19.4697,29.7358,42.243,67.6121,109.951,187.59,281.702]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1327, 106, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0101957,0.0135066,0.0357328,0.0941805,0.111674,0.262562,0.496088,1.00589,1.9404,4.6714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.05084,2.46424,4.85598,7.25719,10.7825,16.2735,27.9191,48.4777,87.6619,146.141]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0209297,0.0383913,0.0613244,0.0849711,0.15936,0.435716,0.969996,2.05041,4.71634,11.7398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.01174,3.29904,5.8647,9.7461,15.9242,25.3932,44.1648,75.7432,133.894,213.129]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1328, 107, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0751227,0.0722573,0.175705,0.499318,0.767515,1.81561,3.27793,5.62584,7.77598,12.2605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.13713,3.65078,4.4056,6.34019,10.0602,13.1913,19.7852,29.3472,46.5121,57.7925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.119132,0.226955,0.312077,0.420223,0.989029,2.13651,4.05257,6.8603,11.895,19.6791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.76556,5.2503,7.11213,9.72362,13.8116,16.8498,23.4474,34.2079,53.6961,68.5728]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1329, 108, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0144827,0.0191231,0.0350948,0.0609358,0.101278,0.254265,0.525393,0.967463,1.75663,3.33735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0328146,0.0555683,0.111735,0.210274,0.374753,0.843668,1.48434,2.05841,3.22324,4.63314]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.023266,0.0462041,0.070562,0.096974,0.211002,0.471359,0.950363,1.77294,3.22399,5.7246]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0699185,0.146929,0.257456,0.398604,0.595313,0.972701,1.49182,2.11858,3.34383,4.89705]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1330, 109, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0746696,0.0828311,0.12441,0.184212,0.253524,0.394561,0.655736,1.0415,1.64885,2.56884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15019,0.250961,0.382875,0.465254,0.535926,0.81534,1.16233,1.41157,2.0219,2.59347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.197806,0.29062,0.326607,0.401227,0.756808,1.17231,2.04096,3.3363,5.02805,7.38206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.622352,1.02888,1.22597,1.32832,1.32151,1.64839,1.99915,2.48923,3.42122,4.24911]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1331, 110, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.010624,0.0178649,0.0362761,0.075964,0.138917,0.337811,0.87289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.53128,2.61515,3.06004,4.03893,5.71018,10.1649,17.4167,28.4876,49.0937,80.2414]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0157895,0.0335884,0.0613055,0.12214,0.292374,0.732494,1.71052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.91808,4.25878,5.00649,6.81193,9.53714,17.2127,30.2256,49.3239,86.3174,143.503]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1332, 111, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0136124,0.0165226,0.0416842,0.0623747,0.119923,0.213598,0.418784,0.673677,1.15916,2.28289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0463927,0.0768896,0.142669,0.174,0.357391,0.633088,1.12394,2.22264,4.4775,9.06932]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1333, 112, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0197008,0.0443604,0.0976307,0.220405,0.378589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00255553,0.0129498,0.0468185,0.181727,0.519047,1.0443,2.95163,7.7756,14.5132,22.8971]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.156022,0.304705,0.574675,1.21709,2.37172]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00447302,0.0206771,0.061457,0.241776,0.687013,1.27947,3.49387,8.83147,16.1647,24.8639]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1334, 113, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0114767,0.0176485,0.0222203,0.027681,0.0385297,0.0574066,0.100881,0.134619,0.222435,0.338341]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0117628,0.105473,0.111112,0.0899214,0.0603265,0.0757299,0.111196,0.214183,0.311088,0.516506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0161104,0.0339495,0.0503508,0.0525137,0.0869695,0.107757,0.176395,0.265157,0.441607,0.657565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01305,0.46048,0.412818,0.314966,0.166165,0.20949,0.239692,0.432634,0.653907,1.07994]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1335, 114, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.213521,0.274961,0.456996,0.576273,0.715971,1.15038,1.80456,2.63956,4.8039,8.34019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.08437,8.25696,8.97994,14.366,20.5748,31.7143,42.9464,45.6381,49.1192,54.485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.230219,0.362216,0.483348,0.621073,0.951231,1.50884,2.53181,4.37944,7.70944,13.7244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.4422,5.4713,9.31806,11.2383,22.8554,19.6101,30.3813,36.4576,47.9859,50.6021]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1336, 115, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.202226,0.198025,0.199726,0.254072,0.42729,0.85846,1.89083,4.11248,8.69728,16.8274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[775.479,720.896,719.511,780.223,831.785,897.49,1023.48,1198.79,1431.02,1716.2]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.310916,0.399069,0.39953,0.499628,0.857828,1.39507,3.00619,6.90971,14.7668,33.187]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[705.6,674.873,715.46,785.806,861.771,959.192,1100.37,1268.37,1483.69,1744.41]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1337, 116, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0244337,0.0257633,0.0355151,0.0451494,0.0957786,0.279446,0.820987,2.23223,5.46113,11.6024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[161.438,218.803,279.109,345.544,418.395,502.353,628.38,806.822,1036.85,1305.47]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0614469,0.0928411,0.0798666,0.111224,0.258068,0.515167,1.37382,3.97725,9.60717,23.5454]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.769,260.321,331.627,411.256,501.716,604.382,740.443,921.149,1142.91,1395.9]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1338, 117, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00101957,0.00235189,0.00165448,0.00290438,0.005939,0.0130945,0.0241608,0.053637,0.109996,0.197373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00124724,0.00295432,0.00542096,0.00693522,0.0101506,0.101895,0.262737,0.50127,0.728042,1.10958]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00480808,0.00665275,0.00861549,0.014894,0.0261312,0.0443624,0.0993486,0.248048,0.502616,1.18154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0097742,0.0321852,0.0514782,0.0788869,0.0863637,0.293113,0.803891,1.24091,2.00231,3.0988]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1339, 118, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.101033,0.0871984,0.070432,0.0856709,0.144572,0.242932,0.455368,0.748712,1.12037,1.62571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[515.091,374.334,293.572,255.235,239.989,237.47,242.815,250.064,259.002,269.384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125794,0.143713,0.141578,0.173507,0.238519,0.291581,0.519882,0.782306,1.19194,1.96813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[426.089,296.976,237.754,210.91,200.499,199.508,204.929,212.534,221.699,232.933]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1340, 119, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00979589,0.0113736,0.017828,0.0242327,0.0523349,0.115975,0.225263,0.457688,0.959214,1.64866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0933219,0.121399,0.174713,0.2605,0.35619,0.53698,0.840664,0.946509,1.47614,2.25274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0256416,0.0277659,0.0471158,0.0578935,0.124392,0.243993,0.469346,0.95974,1.99714,3.84583]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.16801,0.210385,0.316836,0.412306,0.566439,0.764447,1.17321,1.12325,1.89379,2.79373]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1341, 120, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0659441,0.0713378,0.0742966,0.0961142,0.128666,0.207013,0.365046,0.620204,1.04657,1.7532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.8561,127.635,146.65,179.177,173.034,157.027,151.177,140.453,132.964,137.986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0932255,0.128096,0.122354,0.14211,0.210718,0.299962,0.543799,0.942367,1.46796,2.64612]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[87.5642,117.333,145.711,163.15,158.903,154.244,153.016,132.319,115.185,109.685]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1342, 121, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.029959,0.0277037,0.100758,0.470319,0.958386,2.96258,4.80817,8.76912,11.012,15.3358]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.272341,0.388501,0.476183,0.638269,1.78448,3.337,4.34056,4.75975,5.47711,6.44371]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0438728,0.083549,0.240278,0.640203,2.11611,5.4265,10.1128,15.841,23.5743,31.346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.305647,0.521201,0.762416,1.32868,4.35252,7.35237,8.73291,9.17585,9.86939,10.9564]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1343, 122, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00386452,0.00368845,0.0138034,0.0653853,0.141787,0.494744,0.883803,1.7472,2.34959,3.47554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0385716,0.055611,0.0741219,0.0978939,0.281898,0.59103,0.840933,0.967454,1.24334,1.505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00451804,0.00727714,0.0190917,0.0480059,0.164991,0.487617,1.02578,1.78178,2.91092,4.19647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0284869,0.0424595,0.046301,0.115756,0.306176,0.670686,0.879218,1.04787,1.15997,1.4256]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1344, 123, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00704036,0.00674232,0.025109,0.118927,0.265776,0.971145,1.79546,3.64388,4.99684,7.48525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0598109,0.0925632,0.122742,0.154567,0.504267,1.11366,1.63777,1.94378,2.49154,3.17005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00927007,0.0149696,0.0393328,0.0988638,0.351025,1.09879,2.4098,4.32852,7.23652,10.6453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0610875,0.0965435,0.120293,0.230511,0.779098,1.60765,2.19186,2.60494,3.18661,3.89891]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1345, 124, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00182348,0.00466776,0.0242256,0.136976,0.29134,0.822402,1.22182,2.03888,2.34187,2.98519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0163209,0.0685227,0.0953928,0.168875,0.528419,0.856719,1.0322,1.07917,1.12774,1.17469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00776152,0.033503,0.122513,0.367942,1.24938,3.05163,5.41164,8.05977,11.3859,14.3635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0527738,0.212126,0.414313,0.714397,2.51288,3.96851,4.53337,4.55045,4.63842,4.86369]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1346, 125, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0172307,0.0126052,0.03762,0.149031,0.259483,0.67429,0.907083,1.33915,1.32367,1.38981]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.157638,0.171804,0.183927,0.216932,0.4699,0.775584,0.829663,0.769344,0.614484,0.593959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0223232,0.0277993,0.0593406,0.125391,0.350715,0.788463,1.2656,1.67092,2.04099,2.14084]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.163299,0.170072,0.181508,0.268012,0.754371,1.10552,1.12847,0.972592,0.884379,0.768202]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1347, 126, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.060644,0.0692921,0.151687,0.204548,0.29986,0.444225,0.896109,1.70158,3.42062,5.50962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.8674,73.4279,76.1349,79.591,84.4149,92.977,101.296,93.6389,94.8105,92.8738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0962447,0.0954897,0.271899,0.368713,0.578705,1.01096,1.91682,3.24448,5.26356,8.28918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.0838,74.5408,81.6727,89.4752,98.4484,110.593,123.916,119.15,125.852,125.972]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1348, 127, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00245276,0.00367211,0.00854473,0.0147029,0.0297943,0.0524749,0.160309,0.338566,0.619336,1.0452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.647766,0.793149,1.22289,1.83139,2.14323,2.68416,3.71684,2.30617,2.93975,3.66073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00758051,0.00754263,0.0187165,0.0251372,0.0602271,0.137468,0.34308,0.618573,0.899275,1.52845]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0948,1.34915,1.98039,2.79175,3.84206,4.86746,6.60907,4.56546,5.71042,6.70883]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1349, 128, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00182059,0.00196929,0.00385872,0.00383931,0.00406209,0.00813164,0.0201233,0.0255778,0.0374264,0.0573473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.6009,5.73211,6.37103,8.77938,8.60023,10.1788,12.3271,1.06661,1.28498,1.41991]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00227799,0.00187611,0.00496231,0.00561535,0.0131765,0.0152071,0.0478394,0.0666797,0.079437,0.115436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.06368,3.35114,3.95317,5.1369,7.06089,8.94343,12.0319,1.25227,1.49155,1.66987]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1350, 129, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00818595,0.00723195,0.0172696,0.0232784,0.0305523,0.0440901,0.073905,0.128,0.247166,0.416823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.44647,3.09462,2.62291,2.18934,1.68413,1.2033,0.901289,0.915228,0.799305,0.751449]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0154672,0.0138773,0.0365672,0.0453218,0.0549191,0.0947196,0.134019,0.243956,0.379078,0.630599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.99495,3.67083,3.31038,2.53476,2.17647,1.49615,1.11855,1.07562,1.0358,0.917626]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1351, 130, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00845139,0.00826187,0.0238591,0.0379585,0.0645713,0.0808199,0.159402,0.34714,0.699706,1.06421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0378792,0.0516697,0.0362722,0.0720624,0.0602534,0.100717,0.115987,0.156299,0.235005,0.273938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0138555,0.0138405,0.039099,0.0587706,0.0821516,0.149196,0.289186,0.548381,0.953711,1.47714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0362796,0.0185803,0.0418317,0.0434457,0.0476787,0.0627518,0.0783153,0.0951908,0.162601,0.219707]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1352, 131, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000632389,0.000645347,0.00131711,0.00205503,0.00316646,0.00542903,0.0123779,0.0228876,0.0551975,0.0892594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.31396,0.372679,0.510106,0.643646,0.809745,0.952452,1.1075,1.43855,1.75478,2.0445]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0015133,0.00154122,0.00328167,0.00404173,0.00718982,0.0123204,0.0264196,0.0466559,0.0956295,0.154172]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.9507,3.02786,3.88579,4.75499,5.62951,6.50929,8.34503,12.9566,17.5666,21.9829]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1353, 132, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00858355,0.00918606,0.0206464,0.0257324,0.0326126,0.0405027,0.0811315,0.117338,0.238168,0.284771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.0952,49.8442,48.1262,47.8289,48.652,50.9867,53.4864,52.9216,49.3332,43.5579]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0114816,0.0169949,0.0341899,0.038587,0.0542224,0.0833567,0.139609,0.194101,0.321409,0.432919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.77,57.5861,56.4217,56.2299,57.8226,60.9384,63.5889,62.2523,57.4556,49.2997]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1354, 133, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00272292,0.00314811,0.00730521,0.0128882,0.0214357,0.0327842,0.0965736,0.177232,0.403896,0.830092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0397249,0.0698577,0.0603263,0.0679112,0.0898784,0.0772603,0.132908,0.22407,0.373865,0.394177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00529877,0.00685719,0.0209437,0.0215962,0.0291633,0.0748267,0.165689,0.340387,0.638286,1.17021]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0617153,0.0367449,0.0570413,0.0664569,0.0660429,0.0936384,0.127167,0.233256,0.327422,0.419177]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1355, 134, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0183381,0.0198959,0.0367824,0.0413542,0.0448991,0.0614338,0.103592,0.183637,0.37186,0.576664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.59265,4.35986,7.08277,9.74403,12.3023,15.1247,17.3713,19.4338,20.8547,22.6404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0228007,0.0168872,0.0374272,0.0410996,0.0574849,0.0875604,0.133115,0.265143,0.441566,0.684573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.585087,1.13264,2.3205,3.26778,4.4074,5.50521,7.29389,9.80431,12.4652,15.1281]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1356, 135, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0037658,0.00782598,0.0172287,0.0322021,0.0505579,0.090018,0.142463,0.232681,0.438466,0.68015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65771,2.35425,3.66955,4.52301,5.32575,6.22036,7.33501,8.94482,9.76708,11.3426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00926368,0.0139524,0.0599411,0.098373,0.189366,0.294132,0.532606,0.685646,0.896753,1.17032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51438,2.72015,5.13461,8.2097,12.5209,15.9383,18.4948,19.2495,18.258,17.8326]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1357, 136, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00569053,0.00745554,0.0148753,0.0105372,0.0182084,0.0285408,0.0462313,0.128522,0.309401,0.46511]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.43508,6.75558,6.43284,3.91134,4.74739,5.44853,4.80179,6.23178,7.46793,6.7882]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00670553,0.00212021,0.0167705,0.0301706,0.030804,0.0621747,0.105254,0.23496,0.558411,0.925368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.01228,1.64756,4.56738,6.43954,4.87488,6.23848,6.22812,7.66567,11.3791,11.7932]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1358, 137, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00657,1.20968,1.16009,1.59728,1.95019,3.24836,4.6827,7.51048,11.6553,18.8642]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[739.712,877.693,872.074,882.836,917.545,914.635,915.045,931.67,963.547,987.947]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79712,2.16399,1.8494,2.26283,2.77302,3.79676,5.19018,9.12515,14.7273,25.3391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[449.739,550.254,538.357,530.606,548.995,553.844,573.123,604.694,642.682,691.658]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1359, 138, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237577,0.244268,0.173076,0.187141,0.221011,0.647033,0.633568,1.40758,2.88591,6.30885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,3.27199,34.8493,99.3606,189.405,279.201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0931142,0.107797,0.0661956,0.0807072,0.0893659,0.200887,0.338743,1.82857,3.80091,7.2557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.73926,27.7807,76.5827,138.218,207.169]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1360, 139, 203, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0105802,0.0115214,0.0111888,0.0201317,0.0301779,0.0557532,0.158637,0.416393,1.19335]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.139572,1.4045,4.20045,8.25819,12.8258,18.2251,24.9942]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0219311,0.0230295,0.0205112,0.0524063,0.0604461,0.131575,0.318313,0.781722,2.43346]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.197428,1.75873,4.94147,9.88589,15.4632,21.7582,31.0585]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1361, 140, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.409373,0.491873,0.428332,0.51497,0.491245,0.553969,0.710232,0.794387,0.999336,1.15385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.3236,44.0787,44.6278,43.3172,42.4628,41.4283,40.5742,39.7506,40.1773,40.175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.469103,0.788593,0.848597,0.952107,1.12339,1.2758,1.19795,1.32234,1.4774,1.94017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.3756,48.1206,47.9229,46.0411,45.7718,44.3863,43.368,43.307,42.8184,43.1388]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1362, 141, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0817136,0.156767,0.350208,0.593219,1.11048,1.74141,2.54894,3.48552,4.42381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.88193,8.34484,20.4483,38.1685,49.6496,53.8985,52.2741,47.3987,41.385,34.2798]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0623675,0.119986,0.227149,0.41585,0.61311,0.966561,1.41308,1.94324,3.06679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.85522,3.87426,9.80338,18.0935,24.6406,26.6664,25.8105,23.5076,20.0448,16.863]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1363, 142, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[660.351,779.506,752.133,739.042,759.495,749.152,702.891,635.86,554.111,473.758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[376.507,460.999,435.066,414.795,422.417,417.352,392.886,354.233,306.649,261.079]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1364, 143, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.7952,41.2739,44.5724,44.5259,43.6566,42.5407,41.4347,40.3539,39.248,38.1201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.3026,34.0737,38.3143,38.9358,38.2022,36.9712,35.7998,34.6657,33.5943,32.4678]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1365, 144, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.359621,0.381242,0.390388,0.533769,0.624588,0.906708,1.54173,2.60094,3.86813,5.78436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3604,4.48945,10.2927,17.6425,20.8764,20.143,34.7638,56.1208,80.995,97.4187]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2349,1.1833,0.79159,0.98236,1.09201,1.64652,2.55535,4.24285,6.72405,10.643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6992,3.18713,7.24987,12.5425,16.2052,20.7873,37.5921,56.9343,79.5985,99.8824]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1366, 145, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.382168,0.78515,1.06683,1.11365,1.22931,1.53608,1.82856,2.11283,2.35237,2.3897]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3452.18,4429.16,4710.15,4694.33,4611.71,4518,4416.9,4223.49,3947.72,3482.02]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23662,4.36463,5.84035,5.54184,5.91336,6.28478,6.5622,7.48548,8.00608,8.61686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3032.5,3892.36,4163.66,4060.39,3940.7,3819.65,3701.34,3453.79,3102.87,2636.88]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1367, 146, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.0229654,0.0279067,0.038388,0.0488035,0.0797067,0.101442,0.139484,0.184912]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.236,78.3024,170.505,264.675,326.036,351.346,358.586,346.167,309.348,254.41]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.0357349,0.0353148,0.0617213,0.0694848,0.0927033,0.122895,0.167348,0.212222]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.406,102.158,223.841,351.508,440.19,473.226,481.927,461.992,405.386,328.907]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1368, 147, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0208359,0.0426887,0.11216,0.22341,0.473821,0.817345,1.16245,1.49485,1.69777,1.64567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.084,156.386,146.212,132.395,139.86,153.987,168.002,149.83,116.529,83.1435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0734318,0.201131,0.445197,0.932117,2.11947,3.36687,4.47223,5.9679,6.59857,7.1576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[452.037,545.288,511.612,471.231,497.21,554.337,612.118,554.262,439.719,317.801]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1369, 148, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.328082,0.706625,0.879277,0.795182,0.648368,0.575848,0.463894,0.363363,0.307802,0.27377]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[210.691,538.101,529.148,380.981,275.276,195.687,133.211,80.0429,44.0253,21.6845]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.14662,4.13099,5.31403,4.529,3.67193,2.76961,1.88654,1.2402,0.975309,0.843454]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[378.577,1192.94,1238.61,928.97,654.802,436.615,278.259,167.739,97.7091,54.008]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1370, 149, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.193975,0.417407,0.519753,0.469708,0.383264,0.340085,0.274195,0.214421,0.180961,0.160978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.9004,198.693,246.034,174.365,129.047,102.658,75.7174,43.9344,21.2955,9.99565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.676561,2.44542,3.14166,2.6804,2.17682,1.63576,1.11778,0.731024,0.573507,0.498905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.9042,562.112,689.798,534.579,378.301,259.155,168.669,100.068,56.442,32.3229]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1371, 150, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00177693,0.00409802,0.00484075,0.00461839,0.00356679,0.00339002,0.00256811,0.00226409,0.00240047,0.00211759]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.49779,35.2537,37.5816,20.5234,12.3468,9.89029,6.97885,3.67944,1.87308,0.970434]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00719001,0.0202101,0.0289254,0.0226059,0.0157089,0.016248,0.0085128,0.00831562,0.00752832,0.00440883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.6926,79.55,87.1572,48.9716,29.2252,22.7329,15.9859,9.09587,4.69831,2.52171]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1372, 151, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00219849,0.00500456,0.00597015,0.00563851,0.00439961,0.00412852,0.00316389,0.00272943,0.00279212,0.00246603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.9774,59.7012,61.3021,52.0949,37.7815,24.4117,17.2688,12.8777,8.93563,4.67726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00865819,0.0255295,0.0357528,0.0284354,0.020449,0.0198002,0.0109458,0.00990079,0.00876973,0.00549345]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.0372,103.478,106.02,90.4154,67.8285,44.0253,30.1852,21.9532,14.9534,7.87711]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1373, 153, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.130132,0.280116,0.348713,0.315217,0.257138,0.228244,0.183967,0.143948,0.121648,0.108209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.6127,90.5798,93.7361,68.633,47.2795,32.2346,22.6552,15.3575,9.95926,5.16437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.454214,1.63983,2.10769,1.79755,1.45895,1.0978,0.749307,0.490959,0.385504,0.334646]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.8246,175.915,184.596,132.704,92.1095,63.1389,43.4008,28.9739,18.185,9.53611]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1374, 155, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1593.77,1789.7,1939.77,2070.06,2148.9,2221.21,2276.52,2291.69,2243.24,2000.87]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[963.839,1094.55,1192.17,1274.87,1313.84,1348.68,1371.51,1377.5,1339.04,1179.47]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1375, 156, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[177.154,201.275,215.528,226.797,237.757,248.509,260.321,264.413,263.663,259.2]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[123.632,144.618,156.806,166.467,173.252,181.268,187.772,189.678,185.988,179.675]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1376, 159, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.9652,210.887,316.498,366.468,372.881,343.668,290.191,237.992,192.451,153.02]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.3448,183.561,276.781,323.752,329.671,302.849,255.193,208.785,169.1,134.249]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1377, 160, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[713.296,736.884,699.195,673.525,663.455,664.152,664.808,643.713,607.754,564.694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[365.359,362.813,340.576,331.491,327.664,326.389,324.669,310.809,288.074,266.432]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1378, 161, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0263048,0.0302286,0.0419118,0.0519843,0.0494442,0.0568741,0.060581,0.0670414,0.0765363,0.0908866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[256.267,612.888,607.874,497.939,368.725,263.577,189.621,135.539,95.461,67.3621]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00847799,0.0173624,0.0211517,0.0187467,0.0192458,0.0188959,0.0207911,0.0260128,0.0384671,0.0608179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1379, 162, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.1285,27.7001,27.1124,27.1533,27.0691,26.2571,26.0606,24.8939,24.2925,23.1105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.0608,81.1741,80.0974,78.733,77.4708,74.7919,72.0938,69.8072,67.2824,63.5707]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1380, 163, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.9634,24.1206,23.7435,23.2178,22.5449,21.5595,21.1013,20.0714,19.171,18.3582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.406,101.578,99.4755,97.0053,94.7364,92.074,89.1264,85.3509,81.071,76.6801]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1381, 164, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.44551,5.06758,2.78305,1.34757,0.594802,0.224377,0.065656,0.0169493,0.00221917,0.000732254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.8062,19.9413,11.4568,5.81987,2.63947,1.04593,0.351831,0.0933363,0.0227554,0.00415902]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1382, 165, 203, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[174.458,12.4346]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[400.074,28.8687]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1383, 166, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2038,14.1508,13.8295,13.4999,13.0357,12.2276,11.4042,9.57882,6.93977,4.09452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.908,22.1477,21.205,19.9643,18.289,16.4837,14.3623,10.1285,4.64699,1.47244]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1384, 167, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00694588,0.0056076,0.0105125,0.0151645,0.0192896,0.037211,0.0619286,0.086134,0.130776,0.194459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5096,21.2667,17.9447,16.2768,15.5747,15.5944,17.005,19.548,24.845,32.0679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00808683,0.0151505,0.0242356,0.0266671,0.0409915,0.059917,0.0899379,0.128471,0.226387,0.342765]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.0446,12.7251,11.0353,10.5803,10.9359,11.8933,13.9657,17.6445,24.8317,34.6144]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1385, 168, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.286601,0.358007,0.526104,0.623722,0.907101,1.25447,2.58929,4.04168,7.92186,14.3384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[308.063,646.253,923.062,970.706,1117.01,1094.51,1074.69,1245.28,1336.07,1445.15]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.345328,0.467278,0.617726,0.717015,1.36617,2.44005,4.13977,7.36431,14.7711,25.6524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[110.547,132.846,184.611,275.231,405.515,586.333,874.776,1278.89,1736.94,2194.63]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1386, 169, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0248726,0.0535677,0.198063,0.246609,0.468149,0.515195,1.36647,2.17035,4.70116,9.07962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.9292,50.5813,82.07,139.944,227.33,326.259,420.478,520.98,640.999,785.961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0379039,0.0935196,0.226353,0.304272,0.808362,1.58432,2.84919,5.43155,10.7643,18.1918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.8579,55.7424,90.5475,157.559,258.658,384.802,515.158,657.928,809.978,967.096]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1387, 170, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00813097,0.00780446,0.00782117,0.0076219,0.00820229,0.00955444,0.0161637,0.0148272,0.0159966,0.0171311]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00144274,0.00119569,0.000402286,0.000161856,0.000399946,0.000222366,0.000704525,0.00108129,0.000869783,0.00144072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00850522,0.00833515,0.0148601,0.00962992,0.0118021,0.0135098,0.0138674,0.023134,0.0240634,0.0328241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00159024,0.000343262,0.00159243,0.000777151,0.000640748,0.000403582,0.000978669,0.00150787,0.00133531,0.00247142]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1388, 171, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0413977,0.0307661,0.0544087,0.0663368,0.110083,0.199161,0.342144,0.711948,1.29886,2.42614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.0243,55.8373,85.6971,70.8821,129.453,145.951,159.885,201.259,234.828,294.076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0597063,0.068717,0.0929724,0.0986036,0.182275,0.270917,0.412204,0.701248,1.65079,3.4264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.5181,30.3305,41.8747,53.4605,66.9693,88.5739,116.751,156.296,222.223,313.166]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1389, 172, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.48918e-5,0.00121816,0.00423023,0.00726774,0.0155743,0.0345076,0.074541,0.17901,0.377228,0.796649]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.262034,2.59246,6.98591,8.24526,18.5991,26.0723,35.182,51.7934,70.1097,92.3893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.13326e-5,0.00243533,0.00626118,0.00941739,0.0225239,0.0406744,0.0764616,0.155081,0.416996,0.97428]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.224256,1.42773,3.3312,5.6355,9.06775,14.5127,23.2577,36.722,60.1828,88.2448]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1390, 173, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00529124,0.00427832,0.00822192,0.0110523,0.0199583,0.0391425,0.0633459,0.128916,0.224973,0.401562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.86867,7.9164,12.9475,11.776,23.4293,28.2321,29.3436,35.3697,39.8934,49.0782]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0083305,0.0103812,0.0152565,0.0177794,0.0359684,0.0577835,0.0841131,0.137517,0.309258,0.610374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.33508,4.79391,7.10307,10.251,13.6798,18.8618,23.2234,30.0585,41.0556,56.7719]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1391, 174, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0360516,0.0252696,0.0419565,0.0480168,0.0745502,0.125511,0.204257,0.404023,0.69666,1.22793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.8936,45.3284,65.7637,50.8609,87.4247,91.6467,95.3594,114.096,124.825,152.608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0513144,0.0559005,0.0714547,0.0714069,0.123783,0.172459,0.251629,0.40865,0.924532,1.84175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9588,24.1089,31.4404,37.574,44.2218,55.1994,70.2695,89.5158,120.985,168.149]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1392, 175, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0193559,0.0324615,0.0413023,0.0607312,0.0812369,0.18331,0.349639,0.588598,1.03716,1.56978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08155,6.92072,8.3269,10.2256,11.8232,15.3684,19.2171,22.0231,24.6273,26.6662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0252358,0.0429082,0.0476969,0.0599098,0.0742398,0.16406,0.225057,0.392662,0.870351,1.58319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.75147,7.76938,12.7734,18.7658,24.8758,49.6959,167.148,372.44,590.868,775.569]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1393, 176, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0120498,0.0173826,0.021514,0.030331,0.0526066,0.105301,0.195308,0.355168,0.633847,1.00691]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.73336,3.62209,3.13349,2.70886,2.16966,1.89254,1.81346,1.71374,1.59848,1.63045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0160899,0.0262265,0.0289265,0.0384123,0.0503785,0.105136,0.15117,0.265838,0.578701,1.0808]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.375904,0.443701,0.541883,0.616179,0.671759,0.746538,0.825817,0.906232,1.01847,1.15645]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1394, 177, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00400298,0.00619014,0.00747791,0.0113584,0.00775223,0.0168266,0.0269132,0.0389211,0.0650332,0.090651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.722252,1.81475,3.28005,5.04702,7.20228,9.62152,12.3115,14.8154,17.0248,18.8966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00399273,0.00625989,0.00670133,0.00574443,0.00725517,0.0124947,0.0179996,0.0283405,0.0626016,0.0892351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08307,2.95189,5.6405,8.91222,12.8395,17.313,22.0896,26.5825,30.6352,34.3251]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1395, 178, 203, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5812,138.376,338.087,550.9,730.866]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1396, 179, 203, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[3.57497,5.04571,6.70924,8.19854,10.942]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1397, 180, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00330313,0.00888879,0.0123104,0.0190418,0.0208781,0.0611818,0.127418,0.194509,0.338279,0.472222]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.625937,1.48388,1.91336,2.46967,2.45121,3.85437,5.09216,5.49396,6.00401,6.13915]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00515325,0.0104218,0.0120691,0.015753,0.0166061,0.0464301,0.0558873,0.0984833,0.229048,0.413152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.292492,0.798815,1.5453,2.52817,3.16598,5.11321,5.85741,6.86405,8.31432,9.22126]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1398, 181, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0531712,0.0905684,0.0707668,0.0761147,0.089178,0.110145,0.121316,0.0266645,0.0274963,0.0338111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.8701,321.918,521.664,610.85,555.129,429.821,310.304,322.704,243.455,135.358]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1399, 182, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.000825258,0.00450268,0.00932173,0.0139074,0.0221389,0.0223275,0.00464404,0.00422001,0.00384809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.197462,2.45756,10.1921,43.0982,76.3882,149.104,197.546,200.183,129.857,50.2777]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1400, 183, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[13.4331,124.479,221.435,252.255,261.214,157.938,0.944973,0.0040201]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1401, 184, 203, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[2.73271,3.86011,5.05954,6.20004,8.22995]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1402, 185, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.51982,15.869,38.3746,65.7235,69.4319,8.66119,0.24528,0.00139712]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1403, 186, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,2.05774e-5,0.000205212,0.000670372,0.00123669,0.00324868,0.00125016,0.00183953,0.00313592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.34551,42.0173,76.5739,92.8807,97.78,102.988,111.506,122.514,113.598,85.0803]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1404, 187, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[21.3742,134.362,171.228,146.374,43.7962,2.89986,0.062255,0.000254029]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1405, 188, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0531712,0.0897432,0.0662435,0.0665877,0.0746002,0.0867691,0.0957398,0.0207703,0.0214368,0.0268271]}', '{\"age\":[\"30-34\",\"35-39\",\"50-54\",\"55-59\"],\"number\":[5.45969,0.318642,0.00200524,0.000272726]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1406, 189, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0765447,0.0732355,0.070966,0.0694569,0.0485532,0.069082,0.101525,0.124258,0.196183,0.32467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[180.844,194.523,203.795,109.862,161.575,140.73,121.623,120.187,118.733,115.275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0851078,0.0987078,0.0839845,0.0738784,0.0607422,0.0801935,0.0917247,0.118692,0.203741,0.366128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.9803,25.6067,21.5793,22.6159,26.4566,28.8947,33.5554,36.9214,46.3066,60.1594]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1407, 190, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0236924,0.0283963,0.0266613,0.0249841,0.0166065,0.0221554,0.0317302,0.0385035,0.0524955,0.0564142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.0227,58.5739,57.7025,51.5861,54.7888,52.8528,52.2557,54.6841,78.2121,78.2283]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0237576,0.0326917,0.0281227,0.0240821,0.0191855,0.0237279,0.0272401,0.0359743,0.0505754,0.0561844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.8193,16.0773,13.5303,14.7792,17.8114,19.7225,23.3576,25.4557,32.3686,41.4941]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1408, 191, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0443873,0.0375621,0.0376503,0.0381271,0.0275599,0.0401297,0.0570981,0.0649623,0.091782,0.110919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[113.943,127.174,136.66,53.3426,99.7829,82.1458,64.8432,61.2014,37.771,34.4823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0483192,0.0477664,0.0431065,0.0398355,0.0341209,0.0457151,0.0508747,0.0601895,0.0848333,0.104194]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2013,5.7471,4.73286,4.66664,5.31482,5.90213,7.03411,7.3809,10.0665,15.2563]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1409, 192, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00733893,0.00634275,0.00600407,0.00596821,0.00430246,0.00630046,0.0100804,0.0144727,0.0244828,0.0350656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.87504,8.75613,9.41605,3.5802,6.91552,5.71887,4.50717,4.2401,2.65729,2.39498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0113514,0.0114622,0.0096796,0.00868095,0.00734696,0.00978146,0.0122681,0.0189273,0.0323543,0.0483878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.366983,0.206609,0.145834,0.167735,0.216908,0.231352,0.333445,0.346596,0.465649,0.695428]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1410, 193, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00112614,0.000934346,0.000650348,0.000377523,8.42852e-5,0.000496421,0.00261658,0.00631959,0.0274223,0.122271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00332669,0.0184504,0.0165695,1.35291,0.0873821,0.0121233,0.0165126,0.0616475,0.0924951,0.169181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00167959,0.00678751,0.00307571,0.00127988,8.87463e-5,0.000969122,0.00134183,0.00360095,0.0359776,0.157362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.59281,3.57575,3.17024,3.00232,3.11349,3.0387,2.83022,3.73819,3.40581,2.71362]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1411, 194, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0631283,0.0696035,0.0827757,0.0968518,0.101699,0.16802,0.292027,0.405035,0.645004,0.887268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3126,16.4723,21.5089,28.9418,31.7003,36.3773,43.1782,58.1268,73.4317,87.8093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128869,0.15509,0.151859,0.170721,0.228746,0.327051,0.547729,0.697029,1.25787,2.05209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4377,13.3968,17.8342,22.8285,28.5552,34.3658,42.1626,55.3022,67.5619,78.6385]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1412, 195, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.11791,0.140297,0.172944,0.235505,0.333686,0.415202,0.690209,1.16493,2.09201,3.0779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1776.35,2049.62,2529.11,2953.49,3377.53,3821.28,4293.45,4728.95,5171.02,5629.08]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106469,0.142746,0.145656,0.147904,0.225661,0.28442,0.450257,0.764895,1.31258,2.10163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1449.56,1621.77,2156.33,2502.36,2817.37,3118.63,3441.65,3736.71,4047.06,4380.18]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1413, 196, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0358106,0.0472467,0.0532911,0.0829349,0.113316,0.171239,0.249633,0.578524,1.08639,1.82352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.9498,77.4062,114.055,144.69,169.108,192.122,221.909,269.126,330.125,404.013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0191846,0.0285316,0.0236429,0.0330402,0.0426754,0.0562046,0.0926729,0.175479,0.34022,0.552829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4289,22.3094,33.0582,42.4912,50.1001,56.4714,66.2047,80.232,98.7968,120.738]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1414, 197, 203, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.45534,78.8447,233.213,447.923,619.037,711.519,773.517]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.56028,48.6518,144.324,279.172,387.064,446.268,484.584]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1415, 199, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[822.122,871.902,969.914,1143.85,1317.29,1450.16,1586.36,1690.51,1787.24,1875.04]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[866.102,970.457,1118.7,1313.71,1506.03,1652.8,1801.7,1928.14,2040.13,2138.02]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1416, 200, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[685.574,607.607,624.386,776.936,924.392,1063.25,1136.15,1118.18,1099.37,1080.48]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[499.223,461.753,483.009,598.308,711.112,815.675,869.405,853.692,838.545,819.226]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1417, 201, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0227422,0.179064,0.520319,1.03036,1.73068,2.63126,3.67757,4.83595,5.90258,6.95369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.071597,0.683773,2.08006,4.16036,6.95241,10.4946,14.3186,18.3392,22.3891,26.1556]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1418, 202, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0820991,0.0930502,0.119653,0.15257,0.22037,0.243963,0.440576,0.586402,1.00562,1.25439]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[229.679,492.524,820.236,879.536,886.164,879.901,897.436,1027.26,1236.86,1489.07]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0872848,0.114215,0.122013,0.114864,0.182985,0.228216,0.357584,0.589416,0.972362,1.5488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.736,166.57,519.485,539.138,494.521,438.857,410.851,469.25,600.925,791.452]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1419, 203, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.47304,1.08868,0.903693,0.108149,0.140622,0.199248,0.327557,0.50877,0.806268,1.15616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1021.86,767.886,733.101,791.192,875.033,954.759,1050.77,1212.63,1407.84,1751.88]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37694,1.28184,0.904259,0.150601,0.232015,0.288941,0.474385,0.752973,1.24789,2.03376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[938.904,703.016,677.028,746.171,839.706,931.341,1040.17,1216.13,1419.65,1791.96]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1420, 204, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46513,1.07661,0.889185,0.089661,0.116393,0.157524,0.267051,0.403995,0.63542,0.965915]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.8821,30.2395,28.6166,26.6577,26.2678,24.9032,26.2445,34.1028,38.6456,37.5276]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37125,1.272,0.894024,0.134331,0.210162,0.258342,0.431178,0.676992,1.11512,1.78216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.2821,33.2545,30.6064,28.0686,26.2911,25.4807,26.2042,34.264,37.561,35.8516]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1421, 205, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0488458,0.0471406,0.02738,0.00277721,0.00302438,0.00441258,0.0047484,0.00472421,0.00690651,0.0114636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.76147,2.74682,2.58681,2.52112,2.62867,2.45727,2.28947,2.21541,2.1195,1.95971]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0131663,0.017911,0.00797936,0.00161133,0.00203159,0.00240458,0.0029403,0.0029184,0.00637061,0.00999013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.06059,2.02663,2.1098,1.9639,1.72888,1.84644,1.48866,1.33172,1.11088,0.846286]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1422, 206, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.465437,0.380847,0.306994,0.0282276,0.0325509,0.0450793,0.0595472,0.0782875,0.0924345,0.190367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.40365,6.24705,6.20188,6.02212,5.79859,5.80801,5.78892,5.34939,5.26079,5.25232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.455424,0.440443,0.330246,0.0479283,0.067286,0.0748501,0.104883,0.130107,0.183116,0.329497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.66992,6.99259,6.863,6.41805,5.94871,5.88776,5.80353,5.31768,5.27495,5.30483]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1423, 208, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15747,0.17168,0.147385,0.0236369,0.0321672,0.0554715,0.13212,0.218711,0.383855,0.500032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.01834,7.8868,7.87261,7.81488,7.79142,7.66009,8.7115,14.5368,17.4656,16.8512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113524,0.142427,0.114332,0.0273666,0.0473284,0.0778598,0.183679,0.341123,0.613374,0.802378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.02334,8.12539,7.95646,7.90656,7.90325,7.73172,8.70777,14.47,17.0113,16.0637]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1424, 209, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105386,0.0699563,0.0524012,0.00624629,0.0066131,0.00810929,0.0107135,0.0178016,0.0289645,0.02995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.01592,3.09234,3.06511,3.00397,3.02987,2.91452,3.35996,5.37791,6.41272,6.18675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0678963,0.0634336,0.0455253,0.00547541,0.0079558,0.0125082,0.0131153,0.0228414,0.0334079,0.0879334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.92162,3.15187,3.09903,3.03973,3.10084,3.02993,3.3972,5.50722,6.24269,5.97628]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1425, 210, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.687989,0.406989,0.355025,0.028773,0.042037,0.044451,0.0599211,0.0844714,0.123259,0.234102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4288,9.03385,7.65979,6.08931,5.83412,4.89819,4.94213,5.4857,6.26124,6.16819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.721242,0.607782,0.395941,0.051949,0.08556,0.0907193,0.12656,0.180002,0.278847,0.552362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9916,11.4021,9.01968,7.17753,6.07754,5.48969,5.34943,6.188,6.51329,6.2649]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1426, 211, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00791532,0.0120671,0.0145076,0.0184884,0.0242293,0.0417239,0.0605059,0.104775,0.170848,0.190244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[893.645,625.165,528.841,497.742,476.561,475.568,480.496,501.3,525.846,550.88]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00568379,0.00983963,0.0102346,0.0162704,0.0218531,0.0305988,0.0432075,0.0759808,0.132776,0.2516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[792.011,537.008,445.991,418.465,401.09,402.689,412.994,443.978,483.505,526.16]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1427, 212, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.458,172.048,165.33,160.879,158.082,156.717,156.094,155.497,154.57,153.771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[153.575,137.738,132.801,129.109,126.97,125.482,125.237,125.158,124.025,123.129]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1428, 213, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.15763,12.1386,14.8059,17.3148,19.9236,22.1227,25.1112,29.6393,33.5607,36.3696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.8504,14.272,17.2448,20.4881,23.5412,26.6709,29.9038,35.2314,40.1282,44.0694]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1429, 214, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00248996,0.00418482,0.00500902,0.00680786,0.00883659,0.013845,0.0204947,0.0353597,0.0577272,0.0596257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.626587,0.674297,0.824099,0.961507,1.09364,1.22206,1.36152,1.63276,1.89138,2.13453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00184276,0.00281165,0.00296138,0.00510921,0.00751247,0.0106138,0.0156817,0.025794,0.0457991,0.0790637]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.47126,1.75149,1.98052,2.2171,2.48479,2.70167,2.88116,3.1051,3.31992,3.59748]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1430, 215, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00339955,0.00531682,0.00591298,0.0077682,0.0104222,0.017939,0.0242052,0.0415705,0.0675161,0.0704784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.48874,2.95083,3.22986,3.51331,3.76019,3.95568,4.27455,4.90331,5.43157,5.86102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00260636,0.00425344,0.00435375,0.00703239,0.00881656,0.0124858,0.0174476,0.0318865,0.0531828,0.0958438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.3867,2.99117,3.28305,3.64284,3.87998,4.09079,4.40536,5.01966,5.54452,5.95034]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1431, 216, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.01146,5.29537,5.47943,5.5949,5.57302,5.5053,5.42876,5.3892,5.33777,5.26173]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.15904,5.3867,5.6806,5.69501,5.71041,5.63479,5.55106,5.50771,5.41868,5.2991]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1432, 217, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.3816,10.9246,13.0909,15.2161,17.3348,19.4124,22.3118,26.3329,30.3803,34.3644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.9211,11.9878,14.3773,16.6875,19.005,21.2861,24.3883,28.8937,33.3217,37.5315]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1433, 218, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.4203,38.5146,35.4003,32.3701,29.534,26.4588,24.8279,25.0765,25.1177,25.3142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.274,39.9508,36.8456,34.0122,31.2926,28.5885,26.9614,26.7296,26.5313,26.2598]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1434, 219, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[400.594,224.608,127.744,83.8716,48.0444,27.855,11.9983,7.68488,5.27456,2.83055]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[363.251,203.856,112.944,73.892,42.5432,24.8003,10.8087,6.98021,4.71934,2.52629]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1435, 220, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.1626,26.2851,27.5932,28.3438,28.0539,27.6467,27.5233,26.9861,26.6725,26.1281]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5452,16.3881,17.1984,17.6876,17.556,17.2804,16.9846,16.7182,16.5413,16.1258]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1436, 221, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.5168,30.981,39.9831,49.7754,59.659,69.1761,75.3536,76.581,77.582,78.474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.2659,23.8858,30.8753,38.311,45.5767,52.8784,57.4988,58.167,58.8946,59.4816]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1437, 222, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.0434,41.1411,42.2543,44.5009,46.7166,49.0015,49.8079,48.9742,47.98,47.0905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.6497,26.7647,27.4338,29.0101,30.342,31.7898,32.4892,31.6689,30.8577,30.1437]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1438, 223, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00193497,0.00250019,0.00348838,0.00383942,0.00488333,0.00980125,0.0155172,0.0275213,0.0449829,0.0595214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.183978,0.319509,0.506776,0.746611,1.14245,1.76872,2.85445,4.74095,7.29875,10.6522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00118201,0.00269703,0.0028351,0.00404457,0.00538769,0.00732215,0.00985283,0.0178732,0.0330735,0.0755756]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.210062,0.401932,0.684734,1.0669,1.66384,2.53398,4.31756,6.75653,10.1088,14.293]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1439, 224, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.08483e-5,6.52907e-5,9.71992e-5,7.28826e-5,8.71278e-5,0.000138665,0.00028883,0.000322979,0.000621623,0.000618784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.5994,59.2844,52.5985,54.6545,57.6432,64.7261,73.5481,87.862,104.749,122.627]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.26641e-5,7.75169e-5,8.43467e-5,8.42286e-5,0.000136424,0.000177122,0.000225371,0.000427142,0.000720737,0.00111669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.4512,51.6337,44.6418,46.6457,50.5248,58.9522,71.567,94.0416,124.094,157.754]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1440, 226, 203, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00819861,0.0339728,0.154665,0.438091,1.02617,2.19792,4.68035,8.35562,13.6806]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0046636,0.0312313,0.116536,0.338006,0.833901,2.01953,4.93458,9.77827,17.0148]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1441, 227, 203, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0263222,0.180703,0.703182,1.86815,3.96143,8.92434,21.9311,42.609,72.5947]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0161984,0.0929878,0.3247,0.915627,1.96172,4.7518,13.9161,31.195,58.2924]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1442, 228, 203, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.884874,5.33826,14.4709,29.1053]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.430663,3.14698,9.36728,20.5567]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1443, 229, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.1886,2.45388,3.64439,5.20332,6.8503,9.10608,12.1518,19.2408,29.7006,44.7535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.67707,2.04302,2.85751,4.20942,5.60646,7.29519,9.98338,15.6106,24.2543,36.4266]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1444, 230, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.2628,37.4957,48.8185,59.5568,71.4449,83.419,94.5386,104.356,113.711,218.82]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.5981,57.027,72.2683,88.7141,104.753,120.907,136.067,147.183,158.233,292.987]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1445, 231, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.8859,39.7128,56.209,73.4577,90.6242,105.192,135.123,188.65,242.099,295.473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.4948,42.2348,60.0737,79.1916,98.3608,117.252,154.773,220.93,282.221,339.401]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1446, 234, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.7886,28.2778,32.151,36.4602,42.3234,39.2357,35.4132,33.1085,31.1918,29.3001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5315,26.919,30.6057,34.8172,40.5625,38.0148,34.1881,31.8919,29.8159,27.8382]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1447, 235, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00798401,2.68427,26.7781,72.9541,126.855,161.66,178.083,182.062,180.707,175.373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00824723,2.70277,27.5349,76.2789,133.903,172.173,190.728,196.145,195.169,188.749]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1448, 236, 203, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.681306,6.68871,17.0847,30.4727,49.1957,74.9971,115.779,177.897,281.072]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.575913,5.74537,14.6981,26.4813,43.1364,66.1654,101.871,155.727,245.115]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1449, 238, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.90258,4.26082,3.05694,2.30918,2.0282,2.10377,2.75368,3.28947,3.00733,4.20125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[157.684,212.731,247.769,274.27,284.467,287.415,280.419,273.957,259.31,236.913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.4407,18.4915,11.9321,8.73769,8.198,8.07694,8.95656,9.76862,11.6846,13.0085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[241.337,346.286,435.315,504.968,531.109,545.255,555.216,559.364,548.735,517.232]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1450, 239, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.76409,4.10311,2.8933,2.16133,1.88176,1.93817,2.56869,3.06919,2.85185,4.0197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[126.726,168.405,199.072,217.141,227.824,235.317,235.158,224.598,219.623,202.88]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.8484,17.5733,11.1327,8.04622,7.53567,7.27672,8.22408,8.95601,10.7098,12.0854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[210.4,297.291,364.379,414.375,449.946,460.904,466.479,467.678,462.324,442.871]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1451, 240, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.45932,0.335888,0.265477,0.234763,0.230149,0.299988,0.415721,0.57478,0.557863,0.874977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2005,14.7122,19.5739,25.4307,30.4371,38.9071,41.7347,46.7429,48.5945,49.4435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.32618,2.71238,1.91616,1.46006,1.25935,1.43222,1.65368,2.16886,2.59849,3.22989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.3484,47.0611,66.1383,78.8028,78.7578,95.9613,98.6481,122.324,119.667,128.164]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1452, 241, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.33426,0.217193,0.176833,0.161409,0.150313,0.190564,0.237496,0.352807,0.323087,0.49883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.52608,9.49671,13.0029,17.4566,19.5237,24.8062,23.7477,28.1978,28.2564,28.0355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18566,1.20033,0.712103,0.654996,0.667342,0.832067,0.979311,1.27994,1.70473,2.1277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5302,20.984,24.4986,35.2442,41.685,55.896,59.167,71.2868,78.5666,83.9298]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1453, 242, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.971084,0.759355,0.382041,0.280351,0.193257,0.19149,0.197774,0.195134,0.139107,0.178216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.8135,33.0135,28.0063,30.5575,25.5478,24.9481,19.7971,15.6096,12.1038,9.93228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.34453,4.2149,2.63017,1.74436,1.50786,1.14263,1.05849,1.09389,1.15143,1.09623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.1251,73.3089,89.7232,94.2277,94.1749,76.0868,63.5213,61.2594,52.7129,43.1558]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1454, 243, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.92382,2.71036,2.00275,1.4294,1.25505,1.19217,1.64582,1.84937,1.74166,2.33754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.8395,117.811,147.005,155.285,165.96,155.367,164.531,148.664,153.197,130.778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.88537,9.28356,5.71123,4.06031,3.969,3.73838,4.35963,4.2646,5.02396,5.39437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[107.531,161.677,194.82,218.969,248.362,249.105,260.404,236.604,229.309,212.852]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1455, 244, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0756113,0.0803172,0.0661982,0.0554055,0.0529908,0.0639569,0.0718778,0.0970978,0.0901354,0.130137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1402,3.48732,4.89417,5.97785,7.00574,8.22574,7.14712,7.70972,7.8512,7.28023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106694,0.162124,0.163033,0.126496,0.132124,0.131428,0.172968,0.148717,0.231222,0.23718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6594,2.78295,5.47602,6.60784,8.14658,8.6617,10.053,7.89432,10.3632,9.10066]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1456, 245, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.138486,0.157707,0.163635,0.147844,0.146438,0.1656,0.184991,0.220283,0.155486,0.181552]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.9583,44.3261,48.6979,57.1292,56.6426,52.098,45.2613,49.3593,39.687,34.0329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.592248,0.918215,0.799396,0.691468,0.662329,0.800215,0.732479,0.81261,0.974756,0.923118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.9368,48.9952,70.9356,90.5935,81.1631,84.351,88.7374,91.6855,86.4117,74.3607]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1457, 246, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79213,1.75719,2.13504,1.9231,2.17158,2.7661,4.00112,4.5444,6.63544,9.52202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.958,139.28,186.738,247.493,333.172,431.662,543.864,684.598,873.811,1105.71]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.92593,7.99052,7.56383,7.2971,8.38373,9.3098,11.5241,14.7408,18.0373,25.6754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[200.744,274.531,360.379,470.868,637.278,818.819,1002.42,1209.8,1457.21,1752.95]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1458, 247, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.399763,0.363894,0.578334,0.496721,0.631654,0.899933,1.50789,1.78322,3.34628,5.67626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.5364,103.679,141.069,192.07,268.043,355.766,459.841,593.2,772.386,992.593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53541,2.20658,2.42968,2.49166,2.86523,3.50123,5.12264,6.96602,8.98672,15.7434]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[131.903,172.241,224.554,302.535,442.371,599.046,760.593,947.21,1177.65,1452.74]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1459, 248, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.208414,0.215086,0.238019,0.199266,0.201629,0.233198,0.300842,0.348349,0.399691,0.36833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.361278,0.349645,0.552607,0.763734,1.00387,1.30852,1.60965,2.05651,2.57376,2.77057]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.812697,0.810127,0.524991,0.568538,0.491088,0.615279,0.775798,0.816746,1.10712,1.10601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.927363,1.39165,1.91005,2.46316,2.88065,3.45681,4.19997,5.05365,6.11205,6.98881]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1460, 249, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0791602,0.129654,0.154296,0.148563,0.147961,0.169771,0.192047,0.224663,0.27272,0.381095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.28359,5.94309,7.43463,8.91142,10.2805,11.7373,12.697,13.3452,13.7256,14.1458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12373,0.277844,0.243848,0.240149,0.264261,0.33038,0.280452,0.299075,0.391089,0.528264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.97172,11.1615,14.2303,17.8011,21.5797,24.8397,27.4904,29.2459,30.0129,31.2729]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1461, 250, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.251244,0.360236,0.3238,0.296437,0.190766,0.201936,0.162068,0.163256,0.156281,0.113502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.369766,0.627406,0.846399,1.04316,1.14236,1.2529,1.28567,1.30704,1.23194,1.3117]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.391797,0.940935,0.85584,0.688719,0.592761,0.471101,0.404444,0.286433,0.29203,0.226565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.560071,1.1531,1.78803,2.47758,2.44054,2.32513,2.606,2.86881,3.02869,3.52496]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1462, 251, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.405359,0.351371,0.387109,0.361522,0.44488,0.548278,0.762269,0.803439,0.997895,1.15073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.88869,5.26868,6.38178,7.23227,7.64945,8.09976,8.06895,7.20323,6.64978,5.61587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.66411,2.04453,1.86713,1.75457,2.22841,2.26545,2.54117,3.22616,3.585,3.83381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5037,23.5827,30.7893,36.1404,39.4262,40.6204,40.75,39.519,38.6658,35.3175]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1463, 252, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.195057,0.127205,0.0519237,0.0447522,0.073326,0.049486,0.0506036,0.0664257,0.0759082,0.0816545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.52813,2.58513,1.07056,1.10325,1.93991,0.959891,0.763153,0.805651,0.698922,0.579065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.284937,0.303415,0.178937,0.120458,0.11898,0.128732,0.141106,0.139346,0.081848,0.112454]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.13267,4.42242,3.55552,3.13549,2.62145,2.90548,2.76536,2.12092,1.05573,1.33544]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1464, 253, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.210301,0.224165,0.335185,0.31677,0.371554,0.498792,0.711666,0.737013,0.921987,1.06908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.63271,4.59834,7.34403,8.47248,9.71246,10.1548,11.2435,9.69582,9.10111,8.17781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37918,1.74111,1.68819,1.63412,2.10943,2.13672,2.40007,3.08681,3.50315,3.72136]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7914,25.4063,34.2537,41.9359,48.4459,47.7174,46.652,46.9091,46.623,45.4704]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1465, 254, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0809865,0.0570749,0.103901,0.102228,0.160152,0.222225,0.351078,0.444991,0.526531,0.718921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.15151,3.7964,5.31741,7.51156,9.82641,12.7579,16.0541,18.8595,23.6504,29.106]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.153614,0.203047,0.193574,0.196674,0.319021,0.351832,0.512182,0.791787,1.13254,1.5534]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.24167,5.42942,7.19054,9.83589,14.188,18.5077,27.0769,35.3885,46.1427,57.3187]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1466, 255, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0122062,0.00713009,0.00932359,0.00920336,0.014452,0.0205696,0.0317622,0.0334083,0.041226,0.044776]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.569139,0.564623,0.739932,1.00359,1.2887,1.76263,2.01314,2.42552,2.18594,2.21737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0407175,0.0409775,0.0396626,0.0496376,0.0645777,0.0763568,0.0869235,0.117111,0.137057,0.166254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.881961,1.29041,1.52579,2.07151,2.85028,3.62379,4.71808,5.8812,6.14522,6.83005]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1467, 256, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00429663,0.00206766,0.00299175,0.00329453,0.00656586,0.00927639,0.0138379,0.0145715,0.0209024,0.0177101]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.318914,0.294626,0.378335,0.501995,0.690942,1.03994,1.08013,1.32165,1.21654,1.22284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0114449,0.00992646,0.0114334,0.017856,0.0248382,0.0309571,0.0380034,0.0433504,0.0570335,0.0573301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.421539,0.688736,0.727309,1.07123,1.51049,2.00823,2.66794,3.39218,3.74238,3.89763]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1468, 257, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00790955,0.00506243,0.00633184,0.00590882,0.00788618,0.0112932,0.0179243,0.0188369,0.0203236,0.0270659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.250226,0.269997,0.361597,0.50159,0.597762,0.722689,0.933013,1.10387,0.969396,0.994534]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0292726,0.0310511,0.0282292,0.0317817,0.0397395,0.0453997,0.0489201,0.0737602,0.0800236,0.108924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.460421,0.601674,0.798478,1.00028,1.33979,1.61556,2.05015,2.48903,2.40284,2.93242]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1469, 258, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.354993,0.272741,0.340252,0.309156,0.380085,0.470186,0.69316,0.743074,0.894814,1.0684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7978,19.0512,24.3957,28.9574,33.9377,38.9773,42.2952,46.2006,51.4071,57.9514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20385,1.46648,1.4091,1.30715,1.55839,1.69816,1.80053,2.23748,2.40579,2.51773]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.7545,58.2814,78.3916,97.5432,111.541,126.399,134.982,144.632,149.462,158.957]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1470, 259, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.40011,8.1191,8.40657,8.6179,8.68753,11.9038,13.9531,15.47,17.838,17.0819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.97673,13.4053,16.9615,19.0473,19.0221,17.7086,15.8634,13.3306,10.4368,7.59644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.0411,20.6392,21.6889,19.7123,22.8776,26.5766,30.8404,33.5888,38.5275,35.832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.9139,45.1777,62.754,74.94,75.5145,68.96,61.7638,53.8046,42.6941,32.5045]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1471, 260, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.93471,6.88995,6.99329,7.55451,7.51906,10.8817,13.1385,14.7353,17.3486,16.5801]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3744,2.61953,2.71334,2.59793,2.6255,2.40067,2.40987,2.06856,1.69453,1.4082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.63475,19.8826,20.5892,18.6731,21.864,25.6796,30.0466,32.7623,37.847,35.1772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.86425,3.69676,5.31279,6.12887,6.34694,5.75317,6.224,6.25081,6.66056,7.22437]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1472, 261, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.465398,1.22915,1.41328,1.06338,1.16848,1.02214,0.814535,0.734763,0.489381,0.501774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.60233,10.7858,14.2481,16.4494,16.3966,15.308,13.4535,11.262,8.74228,6.18824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.406402,0.756591,1.09977,1.03919,1.01359,0.896997,0.793748,0.826461,0.680421,0.654796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.0496,41.481,57.4412,68.8111,69.1676,63.2068,55.5398,47.5538,36.0336,25.2801]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1473, 262, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103769,0.278185,0.354448,0.273468,0.296417,0.268557,0.204519,0.178788,0.100478,0.0911216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.69717,2.81113,4.07027,4.70393,4.59177,4.55305,3.75627,3.09194,2.18649,1.28921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111125,0.242888,0.381102,0.372062,0.337065,0.261801,0.207565,0.213965,0.148745,0.137988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.30071,14.7504,22.2464,27.6964,25.5685,20.3171,16.0689,14.1386,8.81982,6.10361]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1474, 263, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.164304,0.48717,0.507005,0.411797,0.463959,0.382556,0.293291,0.262616,0.150602,0.162121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.68576,4.91335,5.77462,7.08763,7.2662,6.4184,5.41168,4.52073,3.32755,2.3275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.171513,0.322912,0.44213,0.420351,0.38836,0.350343,0.296129,0.32385,0.242242,0.2411]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9767,19.7674,25.6936,31.5399,29.956,27.3281,23.5055,21.1521,14.771,10.5587]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1475, 264, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.197325,0.463794,0.55183,0.378118,0.408104,0.371022,0.316725,0.293359,0.238301,0.248531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.26074,4.61267,6.26249,6.57826,6.32628,6.18262,5.88785,4.98857,5.15733,3.53396]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.123764,0.190791,0.276538,0.246778,0.288161,0.284853,0.290055,0.288646,0.289434,0.275708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.2294,12.0122,16.3215,18.6003,22.0722,22.4329,23.485,19.089,17.3425,12.2635]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1476, 44, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.5474,48.4842,46.7724,45.6997,44.7651,44.2907,42.5163,40.9835,39.4266,35.9329]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.6764,63.1852,61.9192,59.9586,58.7701,56.9137,55.8662,53.0255,50.1895,46.789]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1477, 152, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.7022,153.872,90.4945,65.3646,48.8209,26.4924,10.5908,4.19373,1.96184,0.87683]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[148.119,271.888,171.034,122.3,87.3369,47.5635,20.0176,7.64811,3.43038,1.75015]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1478, 154, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1770.93,1990.97,2155.3,2296.85,2386.66,2469.72,2536.84,2556.1,2506.9,2260.07]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1087.47,1239.17,1348.97,1441.34,1487.09,1529.95,1559.28,1567.18,1525.03,1359.14]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1479, 157, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.0919,51.8207,50.8559,50.3712,49.614,47.8166,47.1619,44.9652,43.4635,41.4688]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[185.467,182.752,179.573,175.738,172.207,166.866,161.22,155.158,148.353,140.251]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1480, 158, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[182.904,17.5022,2.78305,1.34757,0.594802,0.224377,0.065656,0.0169493,0.00221917,0.000732254]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[430.881,48.81,11.4568,5.81987,2.63947,1.04593,0.351831,0.0933363,0.0227554,0.00415902]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1481, 198, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1507.7,1479.51,1594.3,1920.78,2241.68,2513.41,2722.51,2808.69,2886.62,2955.52]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1365.32,1432.21,1601.7,1912.01,2217.14,2468.48,2671.1,2781.83,2878.68,2957.25]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1482, 207, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.25388,1.23262,1.23046,1.2063,1.18512,1.16516,1.15255,1.13757,1.12575,1.10945]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.61505,1.55585,1.55839,1.56283,1.53188,1.49519,1.45756,1.44932,1.40794,1.39555]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1483, 225, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.5327,80.8381,110.026,140.293,172.553,204.197,255.539,346.275,453.549,677.732]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.0716,102.556,136.544,173.843,211.379,249.847,309.886,407.982,517.871,768.247]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1484, 232, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19536,1.14125,1.13959,1.21708,1.3276,1.49198,1.71831,2.07804,2.60284,3.30456]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30162,1.23017,1.22038,1.28682,1.40444,1.59707,1.86021,2.26099,2.82234,3.56909]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1485, 233, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.7966,31.6434,65.6178,126.499,199.651,250.092,288.493,330.95,389.796,485.745]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5397,30.1976,63.8859,125.794,200.946,253.324,291.082,329.908,380.712,461.702]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1486, 301, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000165053,0.000179139,0.000312252,0.000415284,0.000606588,0.00109719,0.00168761,0.00313526,0.00420653,0.00811433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.159197,0.185863,0.20806,0.232179,0.258008,0.281384,0.305509,0.327172,0.349578,0.371865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000267047,0.000373038,0.000447802,0.0005715,0.000849774,0.00156462,0.00215185,0.00435224,0.0063586,0.0129521]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.168061,0.192666,0.214066,0.235286,0.257454,0.278465,0.300517,0.318468,0.339174,0.355429]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1487, 302, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.47415e-5,5.94406e-5,0.000103215,0.00013767,0.000200832,0.000362303,0.000557821,0.00104072,0.00138722,0.00268814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0526693,0.0614458,0.0688443,0.0768404,0.0853636,0.0931112,0.101014,0.108225,0.11574,0.122906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.83909e-5,0.000123386,0.000148323,0.000188706,0.000281773,0.000517589,0.000714381,0.00143932,0.002094,0.00428921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0554703,0.0635806,0.0706901,0.077757,0.0849275,0.0919906,0.0992696,0.105169,0.112121,0.117396]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1488, 303, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000110557,0.000119961,0.000209512,0.000278236,0.000406646,0.000736518,0.00113229,0.00209921,0.00282554,0.00543805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106763,0.124691,0.139523,0.15568,0.173025,0.188688,0.204947,0.219428,0.234354,0.249506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000179047,0.000250205,0.000300141,0.000383648,0.00056927,0.00104933,0.0014407,0.00291936,0.00427402,0.00868221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112842,0.129371,0.143695,0.157877,0.172909,0.186889,0.201693,0.213771,0.227556,0.23856]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1489, 310, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0499659,0.0318902,0.0318847,0.0328143,0.0298677,0.0442,0.0515355,0.0789539,0.0990179,0.158306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00099926,0.0082903,0.00852084,112.129,6.59355,0.00808235,0.00836755,0.118493,0.14234,0.227937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0522347,0.0415412,0.0383575,0.0370424,0.0354576,0.0442597,0.0615355,0.0803761,0.125534,0.157024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.7242,37.1578,32.4771,31.318,31.6555,30.2684,28.497,37.9169,34.0636,21.4987]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1490, 284, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0499659,0.0318902,0.0318847,0.0328143,0.0298677,0.0442,0.0515355,0.0789539,0.0990179,0.158306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00099926,0.0082903,0.00852084,112.129,6.59355,0.00808235,0.00836755,0.118493,0.14234,0.227937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0522347,0.0415412,0.0383575,0.0370424,0.0354576,0.0442597,0.0615355,0.0803761,0.125534,0.157024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.7242,37.1578,32.4771,31.318,31.6555,30.2684,28.497,37.9169,34.0636,21.4987]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1491, 274, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34149,2.06485,2.60175,2.84761,4.83058,8.87945,13.3459,20.0314,26.2388,33.7075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[342.969,696.188,666.367,491.894,382.301,289.238,212.396,99.1843,-20.3602,-127.658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.62078,13.5862,14.7748,14.2314,20.0115,25.8882,34.6283,46.7607,61.779,74.7658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[876.885,1801.56,1827.85,1491.45,1298.69,1152.24,1064.03,905.706,737.513,594.66]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1492, 275, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.896237,1.05178,1.11647,1.76775,3.95626,7.88519,12.6116,19.3362,25.5184,32.7992]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[132.483,159.5,139.597,110.28,106.217,94.1883,79.0288,19.2021,-64.7573,-150.601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.17621,8.7418,8.68814,8.71461,15.8961,22.3897,32.2453,44.8821,59.888,72.5401]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[499.487,607.279,587.761,560.292,641.946,714.036,784.88,736.561,639.799,540.517]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1493, 276, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.452907,1.03317,1.52573,1.10777,0.92495,1.14017,0.948193,1.10461,1.27702,1.74652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[210.492,536.698,526.786,381.629,276.131,195.152,133.517,80.1789,44.6196,23.2356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53492,5.06261,6.32246,5.81913,4.34418,3.91017,2.77431,2.46987,2.81722,3.56354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[377.408,1194.3,1240.12,931.209,656.813,438.333,279.319,169.335,97.9551,54.4637]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1494, 277, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[-0.0639311,-0.09462,-0.100494,-0.0772927,-0.0495233,0.0980436,0.466297,1.02738,2.06531,3.03611]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[196.45,228.597,257.058,291.647,327.63,363.122,419.515,446.084,431.935,321.001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.57802,3.77903,4.38822,4.66824,4.88567,5.27061,6.23231,8.34626,12.062,17.2102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[200.808,254.258,333.202,409.097,464.01,518.165,573.064,618.92,646.959,595.15]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1495, 278, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0354375,0.049107,0.0630239,0.0809806,0.100028,0.221057,0.528081,0.937087,1.70503,2.46582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0271525,0.0400664,0.0516254,0.0638776,0.0757691,0.136246,0.317017,0.474951,0.747625,0.969953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106181,0.17041,0.156201,0.15295,0.259464,0.606612,1.49484,3.25846,6.28667,10.92]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0982254,0.102806,0.099741,0.112591,0.202686,0.389812,0.721193,1.4234,2.65206,3.89576]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1496, 279, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00723109,0.00878149,0.00785773,0.00932614,0.0155227,0.0258477,0.0508026,0.0819046,0.110519,0.104924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.7891,37.5791,32.8315,27.7576,25.7808,25.2613,27.0206,27.3097,25.4634,17.3923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00879845,0.0141898,0.0156671,0.020178,0.0278439,0.0338576,0.0600282,0.0881513,0.130046,0.170841]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.5948,29.2441,26.1971,24.4314,23.3109,23.0609,23.5071,23.8068,24.0668,20.1307]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1497, 280, 203, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.46304,3.59443,4.20377,4.47679,4.55597,4.54518,4.45313,4.36472,4.1554,3.16796]}', '', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1498, 313, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.14099,3.7939,3.98522,4.07141,4.15886,5.63607,6.45068,6.96811,7.86048,7.30506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[338.979,431.356,465.674,495.384,517.518,531.688,529.365,514.637,484.362,416.886]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.723675,1.45215,1.48002,1.35055,1.64371,1.96538,2.29336,2.54146,2.84022,2.5989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.262,120.797,119.64,117.189,119.43,123.711,127.511,119.904,105.879,83.9523]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1499, 314, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.551862,0.73984,0.726654,0.769221,0.781437,1.11902,1.33452,1.48349,1.69465,1.5502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[169.407,184.165,187.289,189.047,191.522,194.511,195.855,189.989,177.374,149.786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.723675,1.45215,1.48002,1.35055,1.64371,1.96538,2.29336,2.54146,2.84022,2.5989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.262,120.797,119.64,117.189,119.43,123.711,127.511,119.904,105.879,83.9523]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1500, 304, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.255962,0.4174,0.690282,1.57908,3.11992,5.46702,8.59092,14.2773]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.1968,21.1113,28.1779,36.1854,48.4462,65.7746,87.6296,108.457]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.574299,0.900494,2.21044,4.66224,9.02794,16.5709,27.987,43.1551]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.5934,27.5219,36.6687,47.2986,62.5198,84.482,112.144,137.27]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1501, 307, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00137481,0.00178021,0.00373499,0.010859,0.0319394,0.0873527,0.213245,0.454617]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0031098,0.00434303,0.0101061,0.0201949,0.0535939,0.154883,0.375522,0.918906]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1502, 309, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102807,0.177404,0.35806,0.914466,1.66162,3.07618,5.00187,7.63151]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.58991,6.00471,10.511,14.1877,10.462,16.2546,21.9231,30.2251]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0475745,0.10299,0.362485,1.01617,2.78591,6.14098,11.5143,19.7188]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.635049,1.79094,4.06357,5.92131,10.7189,17.9831,28.9549,41.0112]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1503, 305, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0153812,0.0291906,0.112973,0.411924,1.21276,2.22678,3.67387,5.16395]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00601568,0.0131049,0.0443163,0.148472,0.460391,0.787777,1.18574,1.69942]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0251632,0.0401409,0.14397,0.551086,1.7106,3.9525,7.40682,12.7725]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118564,0.0126554,0.0466076,0.199924,0.541283,1.29739,2.46192,3.60371]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1504, 308, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0874263,0.148213,0.245087,0.502542,0.448862,0.849404,1.328,2.46757]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.58389,5.99161,10.4667,14.0392,10.0016,15.4668,20.7374,28.5257]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0224112,0.0628488,0.218515,0.465081,1.07531,2.18848,4.10747,6.94626]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.623192,1.77829,4.01697,5.72139,10.1776,16.6857,26.493,37.4075]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1505, 271, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0417184,1.29423,2.19667,7.49978,18.8001,33.104,55.4542,81.7944]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.68918,128.416,206.588,502.023,686.167,856.192,1088.07,1279.07]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0815163,2.63241,6.08194,18.6377,43.2888,85.6326,153.093,250.168]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.07442,256.633,329.824,671.724,879.415,1069.93,1331.89,1592.53]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1506, 272, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0417184,0.0674676,0.116283,0.187428,0.286952,0.531666,0.912881,1.69846]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.68918,2.57554,3.62239,3.66519,4.21606,6.41769,9.66317,13.3767]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0815163,0.127353,0.267281,0.422096,0.710868,1.45708,2.57408,4.26868]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.07442,3.23241,4.04505,4.23883,5.23353,8.36804,12.1351,16.3274]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1507, 265, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.227125,0.292772,0.623269,0.842537,2.44077,4.01606,8.62282,15.9077]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.7874,144.74,245.143,347.665,465.993,581.225,746.458,917.5]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.415174,0.589002,1.87837,3.7412,9.18292,16.5305,33.5523,52.8652]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[100.701,172.26,289.635,425.015,601.404,776.186,1009.8,1226.82]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1508, 266, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.228586,0.31375,0.656565,1.39626,3.46648,6.26019,11.6935,21.9427]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3549,18.0714,33.6752,46.8151,88.4204,126.961,194.312,240.875]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.665659,1.09174,3.45709,7.21339,15.2672,27.9534,47.1685,71.8365]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.6737,30.2562,55.8409,78.4072,122.229,174.386,236.255,289.865]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1509, 267, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.140299,0.224014,0.797628,1.59752,5.94576,9.90388,21.6953,37.7166]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.49588,9.21552,35.5061,46.0472,135.753,183.745,353.322,449.727]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48869,2.13991,5.24,10.3547,23.8296,42.3211,86.4384,136.97]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.1252,62.3698,99.2479,131.228,232.826,330.428,571.464,755.032]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1510, 268, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.389749,0.583715,1.61673,2.86357,7.61949,12.8161,26.2776,44.8694]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.4687,109.752,302.915,392.921,733.174,864.628,1191.39,1375.33]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23669,1.77796,5.12152,10.3977,22.1673,41.1209,75.8413,119.486]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[166.547,242.114,443.35,657.176,925.483,1196.54,1453.46,1681.57]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1511, 286, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.974922,1.85314,3.06744,7.23646,14.6596,26.1056,42.5966,69.7809]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.2509,117.609,186.26,260.055,349.194,459.199,594.663,733.68]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09863,3.4406,8.88984,19.7399,41.8895,80.4895,142.272,224.91]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.3773,152.469,235.085,334.689,462.788,623.412,831.634,1035.28]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1512, 287, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.376344,0.74632,1.26352,3.02067,6.24166,10.9349,16.6823,23.9266]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.934,21.4955,31.5638,42.9308,63.1218,90.4663,127.034,147.764]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.918632,1.4274,3.59862,8.25963,17.7974,33.5443,56.6636,80.1745]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.6819,33.6427,48.5587,66.1196,96.4329,138.882,196.858,231.939]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1513, 288, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.324327,0.641924,0.990828,2.22243,4.1039,7.0408,10.3524,16.533]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9972,19.9489,29.0941,39.6174,58.0124,83.4904,117.942,149.366]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.739013,1.14064,2.7656,6.0259,12.0469,21.615,35.3771,51.916]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5501,28.6424,41.0984,56.0244,81.4519,117.367,166.771,210.738]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1514, 289, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.160465,0.264344,0.399376,0.835304,1.45745,2.30228,3.21721,5.0946]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5618,36.7872,54.2523,71.4493,86.7521,99.0943,111.02,118.144]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.363536,0.561189,1.34066,2.71096,4.99736,8.1881,12.5355,17.2583]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.8934,44.5846,66.1639,90.0857,113.366,132.679,149.588,157.43]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1515, 290, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.325592,0.431594,0.728907,1.54525,3.01362,5.5199,9.33074,17.6596]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5119,23.6496,34.8899,48.7417,70.9435,101.904,137.483,168.868]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.797901,1.32515,3.33183,6.89713,13.6517,25.2734,43.4942,66.6917]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.2237,33.062,47.7132,66.3639,95.3731,136.339,184.821,227.396]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1516, 291, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0247935,0.078323,0.118394,0.34568,0.694251,1.17019,2.01878,2.59939]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0326705,0.0924826,0.223066,0.588143,1.07899,1.7489,2.67744,3.89163]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0433619,0.0701902,0.204297,0.342865,0.726566,1.43675,2.94124,5.3997]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0529373,0.104468,0.300866,0.635405,1.08228,2.02475,4.25482,6.83372]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1517, 292, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00854413,0.0273683,0.0416417,0.122312,0.248221,0.424305,0.743695,0.965425]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.81829,9.61671,15.1005,20.8561,25.3147,28.7844,32.3692,35.9902]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0172748,0.027346,0.0784922,0.132283,0.282731,0.564061,1.15565,2.14156]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.57681,12.7388,20.0783,28.5143,35.8739,41.9888,47.3009,51.3264]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1518, 293, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106942,0.168458,0.284533,0.673999,1.30619,2.15215,3.3546,5.38326]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4876,36.1255,57.021,81.0784,100.649,113.917,125.56,136.461]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.307806,0.513912,1.31292,2.71942,5.25089,9.06761,14.5993,21.4214]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.1001,50.5459,78.4464,112.352,143.643,169.486,190.85,207.151]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1519, 294, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104306,0.151756,0.0828148,0.111732,0.142959,0.223571,0.362111,0.59703]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.90289,14.8534,17.6785,20.9933,21.091,24.9251,27.4177,30.8233]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0623555,0.0740185,0.142899,0.21732,0.323413,0.551118,0.914272,1.32586]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1963,14.9069,20.3252,23.7228,25.9712,30.9194,34.9452,37.7959]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1520, 295, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.14097,0.218907,0.341938,0.766273,1.41651,2.32265,3.65379,5.47432]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.23834,8.2031,11.6203,15.6541,21.4721,28.1225,34.4297,38.2467]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.355048,0.566001,1.37848,2.66156,5.01726,8.69103,14.1222,20.5875]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.8897,12.421,17.2899,23.1672,31.5473,41.9125,53.2504,60.9707]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1521, 296, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0195374,0.0591003,0.0868619,0.248583,0.486958,0.809854,1.38259,1.74563]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0248274,0.0702113,0.162765,0.426732,0.761618,1.21677,1.8161,2.62545]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0424617,0.0646598,0.178062,0.298946,0.627228,1.34174,3.02202,6.24494]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0567721,0.101324,0.267697,0.57671,1.14991,3.04471,8.23359,16.6171]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1522, 297, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.210518,0.278511,0.467009,0.984076,1.89221,3.37013,5.53126,10.1492]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.512815,0.847503,2.11714,4.35707,8.48023,15.2939,25.5081,37.8794]}', '', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1523, 298, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113538,0.148206,0.245885,0.511968,0.975809,1.73726,2.84556,5.21602]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.08218,8.1215,11.7725,16.1029,22.9419,32.0759,41.9681,49.8862]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.278802,0.454238,1.12238,2.28727,4.42147,7.95172,13.2653,19.6658]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.05885,11.3408,16.0843,21.9317,30.8214,42.8238,56.2631,66.9072]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1524, 299, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111199,0.147634,0.248323,0.525294,1.00058,1.73242,2.76114,4.92847]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.97216,8.09639,11.9199,16.5744,23.5712,32.0184,40.6931,46.9178]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.264845,0.437495,1.09329,2.24954,4.33903,7.6227,12.3914,17.9054]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.74046,10.9732,15.7258,21.6952,30.4339,41.3007,52.9481,61.3663]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1525, 300, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.131526,0.254657,0.63922,1.36937,2.72374,4.93065,8.12393,14.9228]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.199,8.18889,23.7132,33.8357,53.3944,81.7807,116.582,162.635]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.292107,0.570999,1.56448,3.61383,7.65958,14.9708,27.4453,46.3881]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.26941,14.174,25.5349,40.2854,67.0554,105.929,166.103,236.07]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1526, 270, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.628614,1.5789,3.09767,6.47766,12.9659,20.7092,33.4391,52.2694]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.4576,95.0217,147.839,208.479,277.445,352.4,443.862,544.446]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.928987,1.48579,3.7712,7.58075,14.8983,27.5666,49.3355,79.7911]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.6011,103.769,159.067,224.883,298.527,384.075,486.249,583.248]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1527, 283, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00294807,0.00370964,0.00775899,0.0224055,0.069367,0.184856,0.405596,0.561827]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.56,28.4224,34.0797,40.5672,53.1767,66.8072,77.2697,63.3237]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0125792,0.0183224,0.0423964,0.0849559,0.224307,0.634926,1.48984,2.95139]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.509,68.1338,83.3814,99.732,121.289,147.642,177.445,175.233]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1528, 273, 203, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22676,2.08038,7.31235,18.5131,32.5723,54.5413,80.0959]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.84,202.966,498.358,681.951,849.774,1078.41,1265.7]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.50506,5.81466,18.2156,42.578,84.1755,150.519,245.899]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[253.401,325.779,667.485,874.181,1061.56,1319.76,1576.21]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1529, 269, 203, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.856758,1.71109,2.8306]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.5094,144.483,162.609]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.40141,3.33572,8.06752]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[101.4,172.885,238.659]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1530, 315, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.76287,3.33109,3.53339,3.59309,3.66389,4.92186,5.58132,5.98066,6.72529,6.25114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[185.178,268.773,301.407,330.577,351.117,362.504,357.95,347.814,328.275,284.697]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1531, 281, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.21255,11.701,14.784,17.7366,15.6274,18.1713,19.4433,21.2292,13.3259,17.1129]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.1503,22.1498,27.5795,35.0341,31.3437,36.0145,36.4516,38.8796,26.6919,40.5105]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1532, 282, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[152.421,179.277,185.831,217.667,252.066,278.986,319.557,330.263,315.128,222.202]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[156.965,202.761,226.816,281.385,325.771,358.968,391.095,407.168,416.104,355.38]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1533, 1, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.344,310.847,757.859,1036.2,996.616,872.323,873.093,531.687,403.494,327.367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.959,435.127,1433.5,3270.97,6006.06,5601.46,3442.96,1521.55,940.864,706.401]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.4347,156.801,500.049,905.429,1241.74,1228.12,1345.53,1152.39,872.312,792.777]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[218.009,288.916,1002.28,2306.33,4706.65,6094.54,5820.31,3321.38,2746.23,1605.55]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1534, 2, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.1296,47.0903,59.6567,47.2354,47.259,41.7492,43.2978,54.4204,92.1503,112.035]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.2564,36.8041,98.2626,150.14,268.258,404.316,399.464,282.707,282.436,212.641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4743,50.5498,103.404,122.196,103.774,109.827,133.485,211.985,306.319,426.539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.7351,94.817,304.63,543.067,849.295,1215.81,1498.56,988.602,1015.23,586.813]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1535, 3, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.2144,263.757,698.203,988.969,949.357,830.574,829.795,477.267,311.344,215.331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[165.703,398.323,1335.24,3120.83,5737.81,5197.14,3043.5,1238.85,658.428,493.76]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.9604,106.251,396.645,783.232,1137.96,1118.29,1212.04,940.405,565.993,366.238]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[151.274,194.099,697.652,1763.26,3857.35,4878.73,4321.75,2332.78,1731.01,1018.73]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1536, 4, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1945,68.1003,180.272,255.368,333.276,286.44,216.382,123.227,80.3871,55.5972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.6212,48.9844,132.666,203.196,361.356,541.049,537.228,380.582,380.315,286.027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5797,27.4334,102.411,202.226,293.815,294.499,312.965,242.807,146.136,94.5604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.2864,127.342,413.269,732.636,1143.91,1639.04,2018.94,1328,1364.52,785.709]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1537, 5, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.02,195.656,517.931,733.601,616.081,544.134,613.412,354.04,230.957,159.734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[131.082,349.338,1202.57,2917.64,5376.45,4656.09,2506.27,858.264,278.113,207.733]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.3807,78.8177,294.233,581.007,844.149,823.795,899.078,697.598,419.857,271.678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.9872,66.7568,284.383,1030.63,2713.44,3239.69,2302.8,1004.78,366.491,233.025]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1538, 6, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.7177,97.107,118.174,89.7739,91.72,87.124,82.3285,93.7847,177.866,244.146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[351.477,339.36,369.93,391.795,405.93,418.397,443.271,476.866,496.361,588.441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.427,77.03,133.377,142.305,122.799,132.884,143.22,228.959,345.654,478.199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[380.579,370.735,407.323,434.664,442.219,452.695,462.61,500.21,530.111,659.489]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1539, 7, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.60842,25.1047,36.1817,28.5083,28.9625,30.5106,25.5225,30.081,45.4207,72.215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.0993,62.2252,68.8904,75.4937,81.3435,88.7621,96.477,102.721,110.238,115.728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.33305,14.7882,30.5157,35.6889,31.7006,37.9584,39.5521,70.2561,104.472,146.735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.935,56.7766,62.2785,67.2797,72.2081,76.9605,81.7572,87.6137,92.7555,96.7509]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1540, 8, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.63492,7.37118,5.32228,3.19392,2.82522,2.38127,2.12366,2.30299,2.98983,2.75456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.89852,4.58783,4.18353,3.6542,3.37767,3.0229,2.76246,2.44379,2.26457,1.92548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.00935,9.26007,8.26897,5.71502,3.62588,3.07484,2.71806,3.38596,3.71733,3.59066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.30205,5.99854,5.49958,4.89223,4.44106,3.90442,3.45071,3.12902,2.85999,2.41447]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1541, 9, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2684,49.3394,59.4891,45.7741,48.0522,43.8374,46.2273,53.0594,119.389,155.635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.7252,11.7775,12.9094,14.5648,15.5826,16.8553,21.5949,30.9319,39.9055,48.5772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2798,41.0234,73.7386,80.3692,69.918,74.9063,84.595,131.975,215.224,302.157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9607,12.0136,13.5901,15.2233,16.6643,17.8309,22.6952,33.3151,42.8169,52.2122]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1542, 10, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0142531,0.0434688,0.0739195,0.0713892,0.0416863,0.0215122,0.0220258,0.0287794,0.0662882,0.0599498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.7635,36.9905,42.2015,47.9246,51.4501,57.7647,55.6833,44.2929,32.6591,20.9632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0142638,0.0361424,0.0916255,0.125344,0.0606555,0.0367586,0.0403068,0.0715828,0.119498,0.116389]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.0105,39.649,44.126,49.2566,52.2642,57.3214,55.0839,44.1353,33.4909,22.5933]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1543, 11, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.028074,0.0274821,0.0233675,0.0192632,0.0221961,0.0244411,0.0390854,0.0746351,0.0876458,0.116247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.626,112.325,120.637,121.615,118.132,108.727,109.865,119.307,118.193,152.392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0310503,0.0268446,0.0283616,0.0269464,0.0220649,0.0242211,0.0382873,0.0861181,0.0842853,0.119333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[136.204,132.327,144.182,147.671,138.525,128.057,119.578,128.988,133.471,187.019]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1544, 12, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.97935,10.5031,11.4223,8.02183,7.7467,7.08972,6.05382,6.16447,7.58433,10.7852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.709,108.45,117.537,124.288,131.322,137.815,150.674,169.72,184.412,239.442]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.49037,8.24995,13.9765,13.4865,11.5353,11.6278,11.8103,17.5078,17.043,20.6212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.529,120.766,133.982,145.751,152.857,162.479,173.113,194.615,214.8,287.87]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1545, 13, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.68006,3.85455,4.38173,3.02207,2.85888,2.55463,2.12126,2.10186,2.50437,3.43811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.7993,39.981,44.1783,46.76,49.5005,51.6524,55.8361,61.1795,64.7969,77.8665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.85453,3.03648,5.36452,5.08864,4.2689,4.19972,4.15696,5.98646,5.63799,6.58723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.9021,44.8346,50.7037,55.5226,58.0584,61.519,64.7949,70.8787,75.8542,93.8038]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1546, 14, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.972845,1.11358,0.594108,0.457469,0.491388,0.508263,0.48414,0.543331,0.725466,1.13938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.9423,23.6165,22.0129,21.7403,21.6959,22.002,22.5533,24.2402,25.7553,31.6236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.07419,0.882611,0.736988,0.785075,0.740102,0.833107,0.936523,1.53595,1.6303,2.19205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.6063,22.4426,20.8075,21.0193,21.0716,21.5081,22.2821,24.1652,26.5903,34.6951]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1547, 15, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27108,2.78836,3.08255,2.11217,1.98736,1.77022,1.46949,1.43723,1.69898,2.3177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.4241,20.7239,23.4179,25.4069,27.1163,28.5962,32.2039,37.5563,41.9337,60.0443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.40115,2.18302,3.75888,3.54304,2.96209,2.89509,2.86121,4.09218,3.81852,4.42218]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.7104,25.4146,28.7758,31.6935,33.2492,35.2336,37.8057,44.1583,49.9961,73.5221]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1548, 16, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.05535,2.74658,3.3639,2.43012,2.40907,2.25662,1.97894,2.08205,2.65552,3.89]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.9266,23.1653,26.7765,29.2131,31.7296,34.0468,38.4339,45.1298,50.3899,68.3517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1605,2.14784,4.11612,4.06972,3.56417,3.6999,3.85558,5.8932,5.95616,7.41977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.0192,25.854,31.147,34.7787,37.3931,40.6536,44.4279,51.886,59.033,82.7382]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1549, 17, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36505,3.95292,5.21391,3.93699,3.86491,3.09925,2.20088,1.91025,2.02189,2.45996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57351,1.98929,2.59943,3.17403,3.53612,4.14989,4.69679,5.34918,5.8466,6.25828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.50515,3.10493,6.37983,6.61895,5.75506,5.08306,4.29365,5.42531,4.54346,4.70343]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.50895,2.14941,2.64572,3.45145,4.01598,4.76845,5.37136,6.2168,6.91139,7.32884]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1550, 18, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00890407,0.0145188,0.0162541,0.0107612,0.0103811,0.00743828,0.00905594,0.0106367,0.0137113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00138219,0.000390582,0.000413792,0.000253683,0.00141655,0.00152556,0.000512552,0.000535937,0.000405549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00886181,0.0109025,0.0158867,0.0144945,0.0112174,0.00959716,0.0131427,0.0188594,0.021329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00114749,0.000411848,0.000525654,0,0.00125252,0.00207669,0.000713985,0.00176447,0.000382272]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1551, 19, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0162545,0.0341123,0.0456377,0.0351958,0.0322279,0.0288321,0.0242137,0.0213214,0.0989152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0211942,0.0383634,0.060929,0.0798068,0.0737727,0.0656612,0.0608039,0.0506234,0.184557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0165079,0.0258509,0.0444159,0.0461694,0.0324117,0.0358158,0.0354091,0.0377018,0.154614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0306884,0.0350898,0.0468583,0.0746032,0.0653798,0.0885103,0.0798931,0.0795346,0.296335]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1552, 20, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0165835,0.0458766,0.0617099,0.0527346,0.0555211,0.0456523,0.0440359,0.056692,0.0944833,0.0627509]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0010675,2.06619e-5,0.00314966,0.000949869,0.00232702,0.0011189,0.000871455,0,0.00153715,0.00139196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0164701,0.0344406,0.0601859,0.0711004,0.0599602,0.0592801,0.0652757,0.102139,0.147801,0.0965236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000723917,0,0,0.00186948,0.00227397,0.000820381,0.00158345,0,0.0027205,0.00186896]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1553, 21, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.764296,0.649966,0.300828,0.126944,0.0859348,0.0625422,0.0445757,0.0461264,0.0583773]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0891288,0.0418608,0.025473,0.0169861,0.0113707,0.00887791,0.0043338,0.00667439,0.00450461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.707405,0.449303,0.229888,0.111115,0.0569955,0.052511,0.0417338,0.0598531,0.0878581]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0570709,0.044536,0.0229043,0.0137533,0.00580547,0.00787971,0.00788753,0.00674374,0.00514481]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1554, 22, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132199,0.0203371,0.0226033,0.022459,0.0205441,0.0153493,0.0173484,0.0283533,0.0405479,0.0576003]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.96863,0.933622,0.881692,0.982201,1.09728,1.22409,1.45044,2.04251,2.65153,3.15264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0146605,0.0199136,0.0273851,0.0313657,0.020626,0.0153573,0.0170399,0.0326973,0.0391234,0.0602436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03886,0.973979,0.948179,1.04721,1.16918,1.27435,1.47084,2.10929,2.70057,3.29754]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1555, 23, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.5833,58.919,55.6215,41.604,39.6632,41.8629,39.1594,44.1484,60.6832,94.3957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[625.263,693.842,705.646,719.208,725.998,741.193,778.525,816.116,865.449,958.726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.2682,47.8799,62.2073,52.8794,42.5863,52.3994,64.9914,83.7004,105.463,127.851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[628.436,667.284,680.036,701.396,718.651,726.637,831.593,864.063,911.511,944.177]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1556, 24, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.1399,57.9632,54.5827,40.7984,38.7211,41.0821,38.4414,43.2375,59.0639,92.2548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.2717,45.2674,51.478,55.4483,54.2985,58.2299,54.338,52.3245,47.7993,63.6269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.9004,47.1611,61.0744,51.8433,41.7576,51.5573,64.1721,82.5401,103.868,125.877]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.2701,25.3398,31.8862,35.293,40.1269,50.5229,61.9238,61.0014,63.6934,71.5109]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1557, 26, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0021037,0.00767284,0.012785,0.0110949,0.0141073,0.0140418,0.0148762,0.0189262,0.0297456,0.0373516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[401.444,450.947,445.365,438.216,431.211,427.766,420.482,420.964,438.324,457.619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000990547,0.00270818,0.00586108,0.00703675,0.00714137,0.00849826,0.0102807,0.0159797,0.0217637,0.0272448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[286.841,300.25,285.014,273.614,262.835,250.982,241.474,231.934,222.262,211.565]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1558, 27, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0270402,0.0679738,0.0840547,0.0677292,0.0689631,0.0745783,0.0855988,0.119134,0.20004,0.241886]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.294,21.5841,21.3837,20.6483,19.8828,19.8691,19.8435,20.0372,20.1123,19.5945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0299707,0.0663531,0.101751,0.0946797,0.0692812,0.0747104,0.0860626,0.137229,0.195972,0.251758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.7281,34.9807,35.0708,34.518,34.0383,34.0396,34.8114,35.8645,36.5255,36.4267]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1559, 28, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00213531,0.00418163,0.00446538,0.00398265,0.00491818,0.00604079,0.00843532,0.0107801,0.022946,0.0302006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.71045,2.20812,2.7098,3.30679,3.9265,4.41884,5.22096,6.02419,6.86336,7.80265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00236272,0.00407702,0.00541481,0.0055631,0.00492694,0.00604084,0.00850067,0.0124696,0.022402,0.0312103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10848,1.4465,1.77127,2.18537,2.54915,2.91493,3.28187,3.82126,4.38731,4.88282]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1560, 29, 237, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00157,7.33877,19.9536,29.4402,41.9295,68.7337,101.985,136.134,181.98]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.425511,3.16818,9.80809,15.4001,20.6161,30.1962,57.5469,96.0561,134.645]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1561, 30, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01917,0.0419664,0.0566285,0.0492035,0.0843659,0.0485873,0.0519112,0.0455862,0.0792006,0.130918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0259051,0.0438845,0.0417748,0.0561218,0.02968,0.028448,0.030349,0.0497094,0.0656671,0.082614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1562, 31, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1791,0.37928,0.450324,0.302138,0.322189,0.245344,0.188464,0.221865,0.461861,0.600399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0030169,0.00193273,0.000919612,0.00477207,0.00415055,0.00277012,0.000956069,0.000933327,0.00410814,0.00694942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.153779,0.27404,0.438894,0.309956,0.236105,0.275909,0.217186,0.305297,0.450741,0.419605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00177701,0,0.00164467,0.000784117,0,0.00239114,0.0029224,0.00435834,0.00357492]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1563, 32, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00280259,0.00304534,0.00197858,0.00178587,0.00144721,0.00163062,0.00146807,0.00235109,0.0044189,0.00716387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[120.467,119.175,119.363,118.383,118.257,118.848,117.775,117.893,115.073,113.598]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00362847,0.00347562,0.00279191,0.00290929,0.00169115,0.00190139,0.00171087,0.00317385,0.0050546,0.00869458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[117.13,111.57,109.915,109.351,110.751,110.096,111.692,113.384,115.808,116.571]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1564, 33, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00280259,0.00304534,0.00197858,0.00178587,0.00144721,0.00163062,0.00146807,0.00235109,0.0044189,0.00716387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.387927,0.383619,0.378901,0.378085,0.37739,0.376923,0.364199,0.375921,0.356641,0.359684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00362847,0.00347562,0.00279191,0.00290929,0.00169115,0.00190139,0.00171087,0.00317385,0.0050546,0.00869458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.379964,0.368214,0.375147,0.368154,0.377602,0.367983,0.36867,0.37538,0.362419,0.348303]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1565, 34, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.3766,31.0899,30.8946,30.4689,30.1601,30.0586,30.1022,30.0779,29.8226,29.5529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.5432,31.2223,31.0377,30.6678,30.4218,29.9905,29.8036,29.9171,29.7999,29.3273]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1566, 35, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.7024,87.7011,88.0891,87.5365,87.7199,88.4125,87.3084,87.4393,84.8934,83.6859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.2071,79.9791,78.5017,78.3149,79.9516,79.7378,81.5195,83.0914,85.6452,86.8957]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1567, 36, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.204376,0.439915,0.417824,0.362027,0.438594,0.383859,0.361478,0.487088,0.815882,1.08953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.4344,15.022,14.5488,15.1092,17.7207,17.2004,17.2017,19.5995,21.7124,33.5911]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.144041,0.313246,0.523652,0.549462,0.472668,0.44018,0.45959,0.630569,0.828011,1.14905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.6059,24.823,23.2254,26.07,28.6573,27.4458,30.3278,32.0249,36.5663,25.6263]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1568, 37, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.939,67.2203,65.6394,66.2633,37.1639,27.8947,30.1064,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6947,73.3822,135.521,171.019,196.483,256.16,326.96,193.59,96.9222,12.4007]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1569, 38, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.8931,10.2643,11.1869,12.4659,7.72515,6.35559,7.47214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.91173,3.84426,5.55252,4.91403,2.5319,0.7123,0.054351]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1570, 39, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.27281,7.16126,5.95239,4.99284,2.51864,1.67989,1.58527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.698978,1.85903,2.10075,1.21852,0.523561,0.303263,0.111748]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1571, 40, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.10687,3.00853,2.50953,2.11661,1.17226,0.870319,0.930678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[2.39027,8.26364,10.0056,5.70292,2.54397,1.54599,0.575557,0.00033743]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1572, 41, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.402234,2.12674,1.80049,1.55006,1.01087,0.867191,1.05626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.7027,38.8945,79.8205,110.6,135.549,182.507,236.561,193.589,96.9222,12.4007]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1573, 42, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[5.81895,18.998,18.2785,18.1682,9.64364,6.82348,6.90824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.479641,0.931432,1.13816,1.07311,0.917012,0.47163,0.110055]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1574, 43, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[7.445,25.6614,25.9116,26.9696,15.0934,11.2983,12.1538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[6.51138,19.5893,36.9034,47.5101,54.4179,70.6203,89.548]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1575, 45, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.2498,54.1384,51.9841,50.5251,48.3751,47.7747,47.0406,45.5342,44.1626,42.5324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.7851,65.3196,64.4212,62.6167,60.578,59.0968,56.9393,55.599,53.1608,51.0353]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1576, 46, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[227.301,214.159,201.163,188.274,174.454,165.201,156.583,144.138,129.953,113.2]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[326.265,310.082,292.36,276.271,256.129,238.83,223.289,207.75,186.679,161.781]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1577, 49, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.4398,11.0548,8.72626,6.10815,7.01384,7.54808,10.2682,9.12106,21.3335,33.7983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1016.11,1052.29,998.556,978.072,998.856,1016.89,942.636,966.897,878.305,883.085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.12539,7.48049,7.49289,7.01494,6.2038,8.05839,10.9069,19.9307,32.8665,54.5298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[618.553,480.198,420.811,427.755,464.914,476.28,517.535,568.61,636.977,709.841]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1578, 50, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15615,2.21188,1.97146,1.83793,2.75769,3.26838,4.91688,4.75396,11.3598,18.7257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.41533,0.853728,0.795012,0.663748,0.94008,1.17013,1.65403,1.59087,3.90041,8.13535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33468,1.49672,1.69281,2.11078,2.43919,3.48935,5.22273,10.388,17.5009,30.2118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.574312,0.912421,0.860038,0.909299,0.900616,1.11248,1.62095,2.42515,4.82784,9.23132]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1579, 51, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15313,4.45156,3.29547,1.68216,1.2663,1.19606,1.16267,0.668799,1.15842,1.26435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.4161,110.232,105.455,100.584,95.2205,90.9286,87.5102,85.3379,82.724,79.3997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3312,3.01225,2.82969,1.93189,1.12005,1.27692,1.235,1.46141,1.78467,2.03989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.2609,64.946,62.4918,59.5432,56.4081,53.651,51.2888,49.9689,48.0713,46.4054]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1580, 52, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.8625,7.54254,6.32706,5.98725,4.57775,3.92378,3.2827,2.35431,1.82952,1.49905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9739,7.0227,6.02439,6.22523,5.09133,4.16504,2.91108,2.39837,2.23109,1.86594]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1581, 53, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.05852,4.24889,3.32286,2.45804,2.77706,2.79703,3.7695,3.2984,7.86885,12.4045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[906.3,933.45,885.792,870.674,897.875,920.576,849.809,877.298,789.207,793.245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3764,2.87511,2.85321,2.82295,2.45633,2.98613,4.00398,7.20742,12.1228,20.0133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[548.609,407.171,351.272,360.889,402.299,417.036,461.308,513.121,580.849,651.033]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1582, 54, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0719989,0.142477,0.136473,0.130013,0.212798,0.286608,0.419163,0.399907,0.946427,1.40374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.116953,0.213828,0.187799,0.163254,0.242513,0.293201,0.379686,0.316631,0.644672,0.805659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.083117,0.0964103,0.117184,0.149315,0.188221,0.305985,0.445236,0.873848,1.45807,2.26477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.135556,0.145762,0.162637,0.189038,0.2158,0.314835,0.405751,0.696068,0.998358,1.30541]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1583, 55, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.95321,5.69481,7.97228,5.37695,4.87366,4.8155,4.88327,5.70082,10.515,11.5348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.4549,68.9598,68.0258,63.0095,53.5855,50.648,27.4341,21.9173,19.8911,35.3184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.83026,4.46836,6.57787,6.46012,4.6711,4.20982,4.48123,7.55791,10.1352,15.312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.5711,104.697,93.4781,81.002,67.5321,57.5397,51.3337,48.947,53.6781,33.3779]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1584, 56, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.354767,1.05397,1.287,1.05496,0.89539,0.807654,0.759048,0.641333,0.639581,0.983159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.4603,52.8037,51.6549,46.3802,37.8769,35.0793,12.1942,6.35071,4.86623,4.47764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.260875,0.538125,0.884751,1.11051,0.866633,0.904243,0.8913,1.29027,1.39484,2.22535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.0147,74.6498,65.2532,50.7198,35.8709,24.1437,13.2983,4.7307,4.30826,4.63699]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1585, 57, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0197671,0.0510862,0.0668043,0.0521516,0.0498511,0.0512202,0.0415268,0.056941,0.13846,0.21305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.401069,0.968157,1.47377,1.76921,1.92792,2.19095,2.41694,2.57026,2.74294,3.03628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.260875,0.538125,0.884751,1.11051,0.866633,0.904243,0.8913,1.29027,1.39484,2.22535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.605993,1.55798,2.32546,2.71179,3.09618,3.38169,3.70637,3.91167,4.28512,4.61574]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1586, 58, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0780459,0.234663,0.283867,0.233088,0.196262,0.176039,0.168103,0.137019,0.11811,0.190204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.57631,9.76802,9.43987,8.35881,6.77046,7.12802,1.37902,0.603382,0.253021,0.124833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.2067,50.2867,40.8452,27.1493,14.3318,8.68272,4.16262,0.502401,0.0182287,0.0149986]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1587, 59, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0586586,0.175872,0.214049,0.174234,0.146674,0.13019,0.123803,0.102024,0.0890928,0.132532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.44274,7.63246,8.2299,8.64163,8.04979,7.09301,2.0093,0.47242,0.211138,0.100595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2019,22.8051,22.0826,20.8587,18.443,12.0793,5.42932,0.316635,0.00491458,0.00625483]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1588, 60, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.7649,29.6198,25.3596,18.8041,12.174,8.12039,4.48777,1.43391,0.95911,0.913063]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1589, 61, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.198295,0.592354,0.722283,0.595488,0.502603,0.450206,0.425615,0.345349,0.293919,0.447373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.27523,4.81533,7.1517,8.80647,8.95476,10.5469,1.90118,1.27074,0.700022,0.302869]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1590, 62, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.13157,3.45598,4.90303,2.8473,2.72331,2.80281,2.78307,3.59075,6.95163,6.60146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.02691,5.06572,5.92045,5.91066,4.81095,4.52683,4.62714,4.86359,5.26244,5.31095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10321,2.77606,3.90268,3.20653,2.38904,1.82681,1.62679,2.06339,3.17622,6.81171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.10647,4.97721,6.47381,6.8475,6.254,6.1173,6.20567,6.35128,6.72718,6.6222]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1591, 63, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0833519,0.285045,0.547009,0.508201,0.488812,0.490073,0.892224,0.937666,2.38025,2.80226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.649063,1.30964,2.27615,2.3518,1.30069,0.671342,0.176551,0.0103826,0.00701647,0.00988686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.331672,0.766119,1.18323,0.826104,0.732414,0.45992,0.382854,0.4906,0.803121,1.91167]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.689042,1.38144,2.47041,2.49716,1.48964,0.745541,0.21355,0.00921772,0.00699868,0.00703323]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1592, 64, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.231755,0.736806,1.62776,1.25593,1.58702,1.94847,1.7304,2.43156,4.18222,3.55881]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.7396,2.40868,2.48197,2.53461,2.57514,2.858,3.48029,4.06898,4.60245,4.66517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237974,0.995273,1.8357,1.95471,1.43638,1.25563,1.17958,1.50051,2.28113,4.7119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.9812,2.3524,2.82957,3.23752,3.63922,4.12513,4.79152,5.36659,5.89904,5.84765]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1593, 65, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0111312,0.0512392,0.0872763,0.104148,0.134099,0.123931,0.10802,0.17177,0.313561,0.202448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.251155,0.319307,0.380007,0.432647,0.549377,0.837878,0.930053,0.750366,0.628324,0.614938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00773834,0.0262558,0.0782209,0.080694,0.0729456,0.0626821,0.0523709,0.0595169,0.0759626,0.166124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.345584,0.377131,0.477499,0.602001,0.784432,1.09649,1.17024,0.949365,0.796878,0.748081]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1594, 66, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.805333,2.38289,2.64098,0.979016,0.513388,0.240332,0.0524235,0.0497543,0.0755974,0.0379416]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.38709,1.02809,0.782323,0.591601,0.38574,0.15962,0.0402518,0.0338662,0.0246563,0.0209525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.525821,0.988409,0.805531,0.345028,0.1473,0.0485775,0.0119891,0.012756,0.0160115,0.022012]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09065,0.866246,0.696327,0.510823,0.340705,0.150141,0.0303589,0.0261056,0.0242701,0.0194367]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1595, 67, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00387806,0.00331694,0.00205269,0.00438858,0.00285848,0.00344007,0.00254912,0.00288541,0.00341136,0.00323503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0023587,0.00252402,0.0030594,0.00274293,0.00254624,0.00438333,0.00278991,0.00234404,0.00251962,0.00392116]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1596, 68, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.466875,1.18485,1.78225,1.47469,1.25496,1.20504,1.34116,1.46874,2.92382,3.9502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9638,11.087,10.4484,10.7142,10.8948,11.0384,10.6102,10.7001,9.75897,25.5266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.466176,1.15418,1.79044,2.14308,1.41543,1.47877,1.96314,4.20425,5.56417,6.27494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.4476,25.0675,21.748,23.4319,25.4046,27.2743,31.8269,37.8626,42.6402,22.1148]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1597, 69, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.73323,7.96089,12.9208,15.4511,30.3627,49.064,80.3412,142.969,293.448,443.731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57922,3.39452,6.35081,7.99589,14.5156,23.8552,39.1715,57.0888,102.979,139.251]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.90775,9.55811,14.7938,17.4787,21.3762,32.5331,61.6229,137.144,251.858,412.403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.47304,2.7768,4.47485,4.97204,5.9402,8.06178,17.0407,38.4013,71.7099,127.06]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1598, 70, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0105632,0.0197508,0.330883,0.116333,0.31387,0.818631,2.07996,5.42305,11.7504,18.8949]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000129149,0.00636256,0.0566919,0.0304096,0.0558792,0.119688,0.335328,0.962464,2.08752,3.23664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0334129,0.161621,0.434151,0.88907,1.86213,3.9158,9.06966,20.8499,41.4808,62.288]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0130266,0.0432532,0.138325,0.192954,0.372987,0.662379,1.6844,4.0969,7.72054,10.849]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1599, 71, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0191033,0.178179,0.347482,0.314897,0.656583,1.67351,2.21923,5.42191,12.6808,19.2573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00469581,0.0569503,0.0623404,0.0591512,0.119493,0.320015,0.570082,1.23677,3.11528,4.48138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.148337,0.252375,0.706088,0.52316,1.22125,2.17649,4.0867,9.72115,17.6701,27.3577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0361256,0.0516168,0.176829,0.149804,0.297832,0.449214,1.01209,2.31762,4.12102,6.33298]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1600, 72, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.138512,0.236597,0.630818,0.671614,0.818597,1.62007,1.49298,2.47859,6.78822,10.3965]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00793462,0.0167538,0.0851206,0.0711507,0.107945,0.256008,0.255632,0.430623,1.29323,2.0252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.375258,1.03881,1.57966,2.10744,2.28029,2.91539,3.52514,8.29779,12.2043,16.2098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0366203,0.10435,0.182006,0.286229,0.304748,0.424484,0.572467,1.31172,2.13006,2.89874]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1601, 73, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0556461,0.0958219,0.256535,0.274203,0.334741,0.661444,0.609546,1.01283,2.77558,4.24725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00162962,0.0108827,0.0321707,0.0373138,0.0372901,0.118715,0.116163,0.197904,0.579652,0.859505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.185737,0.512751,0.777174,1.03498,1.12445,1.44937,1.76559,4.18608,6.19106,8.27056]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186589,0.0424665,0.0841113,0.140658,0.148198,0.207035,0.278775,0.62089,1.11752,1.50139]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1602, 74, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0092546,0.0157365,0.0419414,0.0450931,0.076492,0.255816,0.32097,0.654918,2.09468,3.62944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000119758,0.000407433,0.00651695,0.00501985,0.00661114,0.033381,0.0436263,0.0995977,0.354692,0.668484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0190381,0.0527172,0.0799154,0.106685,0.158976,0.34421,0.569894,1.66462,2.88168,4.35241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00199608,0.00813846,0.0100545,0.0096777,0.0192704,0.0515181,0.0858647,0.280051,0.478953,0.754497]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1603, 75, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00856862,0.0401416,0.148656,0.189707,0.240571,0.435194,0.366193,0.558861,1.40671,1.98444]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000158337,0.000750074,0.0212008,0.0134465,0.0399269,0.0676294,0.0581826,0.085535,0.261462,0.401069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0202133,0.152929,0.325903,0.520219,0.588423,0.692721,0.773904,1.68304,2.29657,2.82633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00267861,0.0215551,0.0308957,0.0795385,0.0710725,0.107486,0.110656,0.289839,0.40159,0.50017]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1604, 76, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0650431,0.0848975,0.183686,0.16261,0.166793,0.267615,0.196268,0.251979,0.511249,0.535344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00602691,0.0047136,0.0252322,0.0153705,0.0241166,0.036282,0.0376599,0.0475864,0.0974268,0.0961459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15027,0.32041,0.396668,0.445559,0.408443,0.429086,0.41575,0.764048,0.835035,0.760536]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132867,0.0321895,0.0569441,0.0563545,0.0662074,0.0584445,0.0971722,0.120935,0.131995,0.142674]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1605, 77, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00222246,0.00591326,0.0071548,0.00706493,0.0407887,0.146033,0.0345168,0.131164,0.511072,0.9179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00654219,0.00403871,0.00715335,0.00645577,0.0141181,0.0423308,0.0243118,0.0627848,0.18714,0.338546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00460977,0.00806457,0.00835566,0.020277,0.0142198,0.135587,1.40648,2.67679,5.97381,11.5761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00404249,0.00649147,0.0104754,0.0241244,0.0326306,0.0970844,0.630902,1.32586,2.91481,5.01876]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1606, 78, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.137929,0.137897,0.0912931,0.389527,0.422991,0.832634,2.68777,4.89658,15.4509,22.7538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0492651,0.0460816,0.0233902,0.0722475,0.0766787,0.132721,0.539327,0.892523,2.93497,4.25846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0695186,0.240466,0.295357,0.357066,0.650604,2.54236,5.79795,16.8386,35.3197,65.7088]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00878158,0.0782974,0.0895373,0.0685892,0.166807,0.556289,1.21349,3.46918,7.0018,12.5342]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1607, 79, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133103,0.380362,0.935817,1.68703,3.83086,6.94365,10.487,18.993,34.2554,44.8277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.159435,0.324965,1.04058,1.69813,3.88398,8.12114,14.2241,21.477,33.1945,43.3708]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1608, 80, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0776254,0.733373,1.75703,3.92441,8.92887,18.2871,31.5066,55.8071,100.745,164.123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0382596,0.503672,1.48648,2.93803,5.05295,8.41131,12.4942,16.6226,27.9545,38.5675]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1609, 81, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00419758,0.0158517,0.0528077,0.0577444,0.0348239,0.138451,0.31263,0.460765,1.69977,4.2943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00126042,0.00569232,0.0353859,0.039992,0.0228557,0.119659,0.369201,0.506363,1.3692,2.32935]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1610, 82, 237, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00720751,0.00392173,0.00352633,0.0225519,0.0196341,0.0606672,0.387257,1.7415,5.46079,17.5636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0109394,0.0135396,0.0303893,0.0598159,0.0743088,0.172872,0.837311,4.08138,12.5332,35.6069]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1611, 83, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118224,0.262829,0.522442,0.536299,0.975931,1.73504,3.00237,4.75812,11.6961,19.4429]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0688211,0.140641,0.252259,0.285991,0.495751,0.855988,1.53034,2.27533,4.99229,7.8311]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15305,0.366867,0.502282,0.764894,0.90245,0.98216,2.76802,6.49118,12.981,23.7209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0717423,0.189627,0.277048,0.455731,0.551225,0.66286,1.70693,3.73471,6.93011,11.999]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1612, 84, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0190401,0.0421488,0.184865,0.156671,0.187829,0.271241,0.153277,0.66273,1.1196,1.03202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0117725,0.0404124,0.100495,0.0849429,0.0932572,0.12761,0.102088,0.380468,0.59165,0.553155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0490853,0.0430098,0.0862865,0.012914,0.0424061,0.177811,0.560073,0.842265,1.28216,0.966966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0386102,0.0447116,0.0881132,0.0091028,0.0287777,0.148245,0.474693,0.788736,1.17547,0.836996]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1613, 85, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0800683,0.0164066,0.041941,0.0316806,0.133797,0.0340519,0.047369,0.0862953,1.01946,0.149728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0196802,0.0198143,0.0227395,0.012791,0.041778,0.0196341,0.0132504,0.0208796,0.287158,0.0436366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0303055,0.0513876,0.0728896,0.0441487,0.0774814,0.0516517,0.228514,0.782492,1.2507,0.508829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0232107,0.0336777,0.0450833,0.0297987,0.0352188,0.0127121,0.102197,0.259343,0.350288,0.142877]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1614, 86, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00581728,0.00383168,0.0198336,0.00602811,0.0340688,0.0101223,0.0290194,0.031086,0.341196,0.144079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00061753,0.00304357,0.00304773,0.000354527,0.00401164,0.00413075,0.00946986,0.00552378,0.120298,0.0357525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00462535,0.0055173,0.0304379,0.0314795,0.0202028,0.105095,0.0497819,0.401562,0.80855,1.8909]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00134493,0.000993178,0.00792193,0.0168843,0.00880789,0.0386529,0.0205765,0.178311,0.26137,0.620058]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1615, 87, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00466946,0.0119611,0.0373441,0.0562593,0.0606744,0.158798,0.235802,0.572495,2.25584,4.12365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00277152,0.00361405,0.00414262,0.00979354,0.00920299,0.0315539,0.0420078,0.0764847,0.380516,0.652356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000987055,0.00618189,0.0483522,0.0465099,0.0750531,0.0919789,0.0683035,0.305142,1.44453,0.61725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,9.39279e-5,0.0160546,0.0145809,0.00986235,0.0176069,0.0174495,0.0642762,0.322712,0.135484]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1616, 88, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00988733,0.0472733,0.137328,0.321723,0.245877,0.311376,0.550402,3.0238,6.7537,13.0209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000116544,0.0148739,0.0184017,0.0536937,0.0317137,0.0378675,0.0587437,0.370525,0.727103,1.4295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.220406,0.0404077,0.106375,0.136666,0.140056,0.239176,1.26325,2.90578,6.60737,13.8082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0543643,0.00605295,0.0278373,0.0141069,0.00998784,0.036109,0.1551,0.324539,0.732818,1.40585]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1617, 89, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0045175,0.0202841,0.0442298,0.0449338,0.0973665,0.210694,0.238511,0.422135,1.77459,2.57919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0133942,0.0588571,0.125891,0.0926361,0.162093,0.295158,0.357247,0.536014,1.97245,2.58329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0255829,0.0383217,0.0531716,0.101799,0.084178,0.300484,0.435624,0.807903,0.846315,1.79819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0564084,0.0535016,0.069906,0.104559,0.0702561,0.258522,0.369987,0.716064,0.621014,1.43963]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1618, 90, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0533834,0.153494,0.243618,0.222588,0.217397,0.262331,0.337275,0.4196,0.812575,1.4538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0177243,0.0602819,0.101153,0.135033,0.204181,0.316991,0.701692,1.18587,1.58966,2.39941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0538744,0.104288,0.200796,0.237145,0.266225,0.412775,0.603173,1.2266,2.53945,3.52076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0444545,0.0832582,0.135315,0.190751,0.277496,0.396287,0.979199,1.61977,2.21959,3.60477]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1619, 91, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.228878,0.448429,0.470367,0.680956,0.783511,1.4337,2.87623,4.22123,8.50816,11.6486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.123138,0.262019,0.30255,0.291663,0.279981,0.449654,0.807202,1.0152,2.09608,2.88546]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1620, 92, 237, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0899275,0.0442098,0.0339897,0.0163764,0.0454326,0.0369617,0.0369267,0.0568195,0.102795,0.117697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0587709,0.0390958,0.034167,0.0216675,0.0422255,0.0233704,0.0216509,0.0257486,0.0345731,0.031803]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1621, 93, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0249498,0.0330462,0.0525751,0.0511924,0.11192,0.0830581,0.273496,0.827145,0.635107,1.99051]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00663577,0.0052022,0.00997719,0.00898291,0.0204906,0.0107139,0.0528483,0.158237,0.121003,0.345739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0518907,0.0424326,0.0299761,0.0548362,0.076777,0.0882252,0.458939,1.25314,1.95323,1.77804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.010427,0.00352539,0.00882723,0.0242358,0.0255175,0.0203262,0.108321,0.302892,0.456196,0.369474]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1622, 94, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.080153,0.0961817,0.411672,0.193522,0.879917,1.14902,1.67577,3.38794,6.40484,9.01383]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0260523,0.0309115,0.110973,0.0830476,0.220012,0.351006,0.575292,1.05692,1.90724,2.74323]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0830335,0.330811,0.348474,0.582017,0.628504,1.04056,2.01727,5.35978,11.2167,23.218]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0273109,0.0835026,0.090156,0.203558,0.217579,0.359869,0.761588,1.73374,3.49652,6.75715]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1623, 95, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.146822,0.179878,0.354897,0.199716,0.787525,0.804935,1.23652,0.854987,2.85172,3.95354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.164166,0.197312,0.326032,0.131229,0.453617,0.434365,0.687406,0.425816,1.24895,1.622]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.516738,0.234732,0.540261,0.275684,0.289783,0.446712,0.841786,2.3944,2.14386,3.51952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.505211,0.225589,0.466027,0.198684,0.168666,0.173353,0.312694,0.966094,0.79535,1.23971]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1624, 96, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00130164,0.00433374,0.0181575,0.0284598,0.0602865,0.0858599,0.206623,0.417841,2.08848,2.41028]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000728443,0.0113694,0.0630343,0.0759914,0.101844,0.11446,0.223434,0.253725,0.852659,0.615919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0054757,0.01185,0.0121591,0.010542,0.0108152,0.0189905,0.110276,0.445672,0.514202,0.834109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00199656,0.00675772,0.0141687,0.0111927,0.00854558,0.0108734,0.0458872,0.146387,0.123791,0.171034]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1625, 97, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0879839,0.0921907,0.231048,0.0818717,0.230367,0.118066,0.0582274,0.150809,0.141758,0.328421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.166567,0.132764,0.242152,0.0648091,0.126704,0.0633092,0.0267095,0.0669826,0.0531745,0.133872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.115394,0.0951843,0.0878025,0.0607249,0.107458,0.113186,0.215683,0.432706,0.720354,0.370419]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.155852,0.129524,0.0946988,0.0641719,0.085595,0.0804345,0.136886,0.2374,0.355732,0.160139]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1626, 98, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.356465,0.66776,1.19638,1.3445,1.96666,2.10469,2.73428,3.76872,8.11082,10.7298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0761628,0.178379,0.355945,0.4165,0.551467,0.608979,0.822931,0.963355,2.04698,2.5099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.510004,0.754893,1.23688,1.87026,2.13992,2.69641,3.49313,7.57472,9.35664,12.3332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.134147,0.235132,0.339289,0.512349,0.613516,0.628702,0.86408,1.90031,2.27844,3.02795]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1627, 99, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00146239,0.00196272,0.0198513,0.0136056,0.025513,0.0312273,0.580331,0.606004,2.80651,2.38894]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000171381,0.00045522,0.00525746,0.0100189,0.0221208,0.00869629,0.333197,0.295719,1.30582,0.911752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00222415,0.00221015,0.00990583,0.0493196,0.0525748,0.395806,0.356425,1.12203,1.34017,2.29019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00483151,0.00254338,0.00623022,0.0537266,0.0353082,0.23166,0.276404,0.683064,0.748457,1.05272]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1628, 100, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.442394,0.695433,0.7448,0.307273,1.01783,1.10409,1.00556,1.61879,6.0471,6.07049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118322,0.165049,0.165851,0.0766571,0.186365,0.236337,0.219768,0.375277,1.35115,1.35304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28764,1.09224,1.45341,0.751983,1.31726,0.9628,3.06098,4.19557,7.99349,15.588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.409713,0.273297,0.396413,0.18611,0.320673,0.291644,0.943377,1.3528,2.40893,3.89098]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1629, 101, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.54395,3.47552,4.03614,4.00521,7.49882,8.69561,14.2794,23.5275,46.1987,67.7844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.494859,1.10501,1.34377,1.24618,2.17714,2.36591,3.79571,5.4354,9.19892,11.994]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.06917,4.58831,6.9132,8.51179,9.0515,12.626,20.7816,40.4201,70.6467,104.818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.765112,1.06837,1.73003,2.07931,2.18163,2.30823,3.79299,6.7645,11.9771,16.9335]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1630, 102, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2451,50.1937,67.871,62.1808,87.7334,103.173,132.162,217.285,435.239,674.62]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[151.115,178.502,161.034,217.787,302.228,414.632,558.587,687.599,871.541,1102.44]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.011,25.931,38.577,48.1158,51.2545,79.3535,122.098,268.358,461.748,783.426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.8641,77.7091,97.0642,131.725,212.136,268.767,406.636,571.274,796.48,1025.65]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1631, 103, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4577,24.998,30.1583,21.473,22.5686,17.8929,13.8112,9.5801,15.9243,25.2139]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.6038,42.8767,40.5843,38.6661,36.7761,35.3473,33.5861,30.5892,32.8573,37.2709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.76018,9.10417,9.25499,9.31833,7.34642,8.1077,8.20561,8.67311,12.5376,18.6655]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.1957,26.3172,24.9622,24.3976,23.7642,23.3177,22.1923,20.789,22.4638,25.0375]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1632, 104, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46906,4.07394,5.00615,5.73426,9.77816,11.8846,14.6799,31.2472,71.7075,123.653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.70963,12.2525,23.8735,40.5841,62.012,92.4221,144.481,218.686,307.498,397.492]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.654499,2.82259,5.25408,7.31313,8.63228,14.6528,24.8764,55.6504,100.677,175.44]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.28324,13.8444,27.0438,46.2156,71.303,105.45,163.292,247.673,349.294,447.623]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1633, 105, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.91472,7.99757,14.7376,15.6203,26.3314,35.0588,51.6516,96.4547,193.718,291.769]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10473,3.15008,4.70769,6.84785,10.0828,14.1985,23.0932,36.2721,55.5451,73.1816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.65057,6.53115,9.34299,13.9889,14.3723,24.1393,37.1573,93.4021,166.557,284.657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.31749,3.30038,5.07255,7.38276,10.6727,14.7585,25.7956,42.3554,65.1813,85.3096]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1634, 106, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.416556,2.44325,2.38852,2.21746,3.06288,3.62153,6.49513,16.2989,41.7708,92.9479]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.889715,0.807493,1.67252,2.85833,5.11964,8.12378,14.0012,22.8633,35.6675,51.1867]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.487261,1.2225,1.92734,1.72505,2.19075,3.74651,7.52204,20.5358,43.8769,114.941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.963454,0.870122,1.83699,3.08667,5.28179,8.68955,16.2666,27.8109,43.4622,61.7483]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1635, 107, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49816,5.55432,12.3491,13.4028,23.2685,31.4373,45.1565,80.1558,151.947,198.821]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21502,2.34259,3.03517,3.98952,4.96313,6.0747,9.09199,13.4088,19.8776,21.9949]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.16331,5.30865,7.41564,12.2638,12.1816,20.3928,29.6353,72.8663,122.68,169.716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.35404,2.43026,3.23556,4.29608,5.39089,6.06893,9.52899,14.5446,21.7192,23.5612]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1636, 108, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.951613,4.21384,6.25688,8.56562,13.4781,21.559,31.5169,46.0584,88.94,130.223]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.87303,3.81172,5.18414,9.06024,15.6427,29.694,49.5205,69.9435,102.007,142.861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.683395,2.14593,5.10631,5.61308,8.24191,14.9303,26.1461,57.0446,87.4518,149.742]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.83796,2.73006,3.6266,6.48734,11.3633,20.6719,33.7877,46.5587,66.6239,91.8424]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1637, 109, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34142,4.37695,5.89579,5.6305,8.29562,8.59297,10.5175,16.4864,29.4325,44.7089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9637,7.77985,7.82504,9.21083,11.203,15.3911,20.3541,25.4279,32.4925,39.4471]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.834378,2.21567,4.40287,5.94933,6.62522,8.81162,13.2172,26.0082,43.295,67.559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.581,7.52837,7.43636,8.82283,11.0391,14.7724,18.9243,23.0889,29.0584,34.3897]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1638, 110, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0583969,0.09311,0.11499,0.204532,0.283425,0.915585,1.54043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.27728,3.52832,4.19186,5.72686,8.16601,14.8695,26.3623,43.2971,70.9894,112.56]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0388864,0.0474351,0.0665154,0.0970925,0.240607,0.628585,1.04682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.26618,5.81436,6.84301,9.23464,13.0262,22.7732,39.9113,65.9636,108.554,172.048]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1639, 111, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0680544,0.20307,0.156279,0.174107,0.298767,0.307693,0.470416,0.832699,1.7275,3.38025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0710002,0.21766,0.293412,0.338799,0.390535,0.51302,0.732656,1.68783,3.51935,6.39357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1640, 112, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0765924,0.11269,0.249732,0.562422,0.880445]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00499945,0.0219433,0.0722748,0.248984,0.696013,1.29601,3.46758,9.00954,17.672,28.8652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.382248,0.655082,1.56323,3.18694,5.77572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006128,0.0246551,0.0890209,0.325831,0.865032,1.57156,3.92313,10.3285,20.1242,33.2558]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1641, 113, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.244074,0.580489,0.764465,0.516318,0.608815,0.462971,0.519171,0.708089,1.04498,1.65736]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1554,1.68356,1.21215,0.869055,0.637847,0.757571,0.974969,0.829225,1.21461,2.10891]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.16522,0.266669,0.485456,0.442288,0.390844,0.370949,0.450249,0.756039,1.25756,1.88739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.897377,1.43515,1.03113,0.760381,0.554196,0.645136,0.837024,0.916445,1.27411,2.13947]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1642, 114, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79842,3.74979,4.89543,4.40836,6.28085,7.22262,8.67838,15.3841,31.2669,51.5937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.4226,103.398,73.3832,106.573,157.012,210.656,256.747,253.544,251.266,268.658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19174,2.62711,4.43685,5.11302,5.20754,7.37899,10.5598,23.3318,42.6367,72.2596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.479,16.7144,20.9596,28.0979,69.5481,64.8069,97.9723,113.6,133.907,134.004]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1643, 115, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.83031,12.7035,17.9632,16.9359,21.4105,25.0295,30.8566,39.0717,101.822,167.054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[736.34,766.134,889.02,1040.2,1170.11,1360.44,1588.76,1842.98,2129.48,2492.44]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.32033,7.93344,14.9026,14.835,14.1262,18.9618,31.6716,73.1182,138.881,276.952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[822.148,867.439,1069.01,1286.15,1454.52,1520.09,1779.16,2004.13,2239.84,2600.98]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1644, 116, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0054,3.3832,4.76305,4.12102,4.44213,5.61677,7.84415,11.402,36.2569,61.287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[302.271,409.198,517.429,634.027,761.256,917.457,1123.92,1375.06,1660.34,1976.17]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.897343,3.06676,4.72225,3.39949,3.45747,6.34559,11.0359,30.1575,61.4223,124.575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[388.078,522.774,658.534,796.583,938.541,1093.55,1295.34,1564.66,1865.82,2197.52]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1645, 117, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.100872,0.450193,0.449134,0.494052,0.718639,1.07905,1.0922,2.17838,5.12211,8.97521]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0564404,0.0830856,0.0938664,0.1321,0.213194,0.592689,1.68191,3.8753,6.167,9.77355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.135336,0.326857,0.607907,0.765873,0.856161,1.17797,1.83285,4.88434,4.44059,26.7107]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.158758,0.133855,0.19276,0.243811,0.380469,3.09349,19.3319,33.9848,40.5934,51.4043]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1646, 118, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65958,5.63165,7.61745,7.69399,12.2,13.5542,17.2676,19.8647,48.1169,77.5279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[299.32,190.722,140.297,122.315,120.618,128.978,144.991,161.717,177.473,194.566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26549,2.37265,4.55669,5.75782,5.44473,7.57864,12.6427,28.3113,60.2945,101.099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[267.393,172.376,128.087,112.699,111.744,119.174,134.035,150.565,165.039,179.177]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1647, 119, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0867438,0.178932,0.31158,0.294927,0.401763,0.694734,0.722888,1.22085,2.63349,4.34644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2227,0.925679,1.10692,1.59555,2.13554,3.18899,5.08237,4.15555,6.09456,8.73751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0940002,0.233589,0.360297,0.34019,0.41965,0.668146,1.23666,2.47097,5.92788,11.7305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.00082,1.61739,2.0845,2.89589,4.02212,5.57561,7.91966,7.49196,10.4435,14.2011]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1648, 120, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.97772,3.05951,4.82197,4.33195,3.64796,4.08468,3.92974,4.40586,9.69223,14.9176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[133.47,165.205,230.094,282.133,285.887,310.227,313.092,298.166,279.407,303.196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.92817,1.93358,4.65541,4.57161,3.94814,3.19148,4.92352,7.29414,6.79548,12.8369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[164.516,170.538,280.114,373.732,399.836,298.699,322.532,247.433,157.944,158.678]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1649, 121, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.82323,6.4883,12.2726,12.8768,15.9903,19.058,18.9277,21.5004,38.9524,66.8975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.48488,3.64513,5.29477,7.78544,14.7871,24.7559,34.5552,42.8808,49.7093,56.6946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.12334,6.73409,10.4786,17.8978,21.5289,30.6027,44.2007,85.5196,118.227,159.394]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.99403,6.54453,9.53112,14.5794,31.2277,51.6253,67.9521,79.2578,87.6108,102.815]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1650, 122, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.578314,2.25445,4.53236,4.97704,6.54766,8.39965,8.83785,10.4884,19.5276,34.0099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.792118,1.30327,2.03253,3.0818,6.1869,11.1084,16.6091,21.1425,25.1724,28.9241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0451,2.247,3.49262,5.96012,7.48598,11.7926,18.5072,38.328,56.0805,79.1059]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36535,2.12336,3.13028,4.71679,10.5709,19.3914,27.9245,34.8151,41.146,50.4194]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1651, 123, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.257134,0.998174,2.00179,2.20529,2.99959,4.16838,4.65965,5.83149,11.5573,21.6928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.351411,0.534617,0.867455,1.34913,2.8039,5.32565,8.2313,11.4921,14.5716,18.3061]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.395869,0.852779,1.32423,2.26178,2.91924,4.86967,7.97392,17.0237,25.5363,37.0587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.496318,0.805132,1.16579,1.81524,4.14866,7.93881,11.9907,15.4062,18.4673,23.2384]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1652, 124, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0336444,0.356844,1.00291,1.31598,1.73327,1.85757,1.66298,1.72184,2.86794,4.58761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0479485,0.205522,0.449038,0.844383,1.64411,2.43682,3.02865,3.48993,3.83667,3.93231]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.193605,1.13994,2.47703,5.06175,6.34596,8.25087,10.9115,19.407,24.7025,30.7815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.247104,1.21602,2.46095,4.33373,9.79839,14.8743,17.9575,19.3876,19.5751,21.4024]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1653, 125, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.954135,2.87884,4.73551,4.37854,4.70978,4.63237,3.76725,3.45873,4.99955,6.60723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29341,1.60172,1.94575,2.51013,4.15223,5.88508,6.68608,6.75626,6.12863,5.53214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48876,2.49437,3.18472,4.61414,4.77768,5.6895,6.80814,10.7608,11.9079,12.448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.88526,2.40001,2.77409,3.71364,6.70971,9.42069,10.0794,9.64897,8.42243,7.75512]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1654, 126, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.77,6.83069,7.16417,6.62141,9.15663,8.8845,8.15721,11.1551,21.8702,35.0174]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.8609,84.3808,92.0623,101.01,109.054,119.871,132.502,79.3629,84.5625,88.849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.34833,11.2184,12.4701,14.3677,14.6421,18.5135,22.974,42.7285,69.8302,94.0532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.7306,87.704,88.4733,94.5648,105.775,120.114,139.93,102.223,107.509,110.296]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1655, 127, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.745101,2.1824,2.37567,1.45862,2.69071,3.3484,2.10298,3.16456,5.45382,8.72685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.89922,7.88587,10.7008,13.4175,16.0451,19.0472,20.8438,1.85692,2.04534,2.35475]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37724,4.64886,5.27198,6.18187,6.27179,6.61335,9.66376,15.6997,27.1443,31.6904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.66182,4.49322,6.48599,9.47638,13.7484,17.7297,23.093,5.14227,5.58516,6.19841]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1656, 128, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.100468,0.261833,0.317615,0.336371,0.543971,0.385099,0.390543,0.440904,0.735731,1.35608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.2919,24.3325,28.626,32.236,36.3041,40.2018,42.5865,8.87738,9.88476,11.2394]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.20092,0.446133,0.408496,0.449702,0.4989,0.591497,0.932958,1.22723,2.79895,2.98413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.9402,12.6809,13.4655,16.4107,21.0021,24.7152,30.2895,10.8527,11.9069,12.6924]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1657, 129, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.567803,1.13284,0.99435,1.09365,0.888622,0.897442,0.911999,0.956591,2.04722,3.76364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.58441,4.10742,3.62602,3.01869,2.32111,1.73943,1.37298,1.27445,1.21668,1.09307]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.799401,1.0613,1.09366,0.80295,0.673568,0.795587,0.934746,2.68394,3.03221,4.72216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.17928,4.791,4.02133,3.22912,2.6458,2.05478,1.56912,1.45162,1.3402,1.23028]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1658, 130, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.25472,0.576291,0.54972,0.532224,0.77884,0.795593,0.872082,1.1187,2.52072,4.21752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0424778,0.0362925,0.0644604,0.0318083,0.0712349,0.0802162,0.105386,0.0979268,0.147855,0.156532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.583431,1.19802,1.3354,1.95982,2.82256,4.44394,3.64483,10.6482,12.0418,25.0907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0793896,0.0755205,0.131516,0.144596,0.208821,0.161078,0.292142,0.320485,0.371959,0.477461]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1659, 131, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00366699,0.0132661,0.0211125,0.0237033,0.0275387,0.0220749,0.0208427,0.0226146,0.0497954,0.0817975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.892195,1.12039,1.49644,1.82293,2.19273,2.56829,3.16163,4.33405,5.53737,6.69212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00614875,0.0155094,0.0251298,0.0301959,0.0294651,0.0328752,0.0428075,0.0673801,0.140053,0.173192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.58873,3.11096,4.16305,5.15603,6.11679,7.20084,8.71603,11.8155,14.9486,18.0178]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1660, 132, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.376377,1.15377,1.14232,1.49134,1.13913,0.803843,0.812213,1.01421,2.11307,2.73555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.3459,36.5513,33.5127,32.2007,30.7348,31.0492,32.3575,31.1955,27.9631,24.3384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.582693,1.84531,1.99642,2.28643,1.64301,1.89066,2.15733,3.02666,6.03931,4.91458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.7227,52.044,46.6833,44.311,43.0073,43.0481,44.6365,43.2224,37.7067,32.8084]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1661, 133, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00590983,0.0197399,0.0251586,0.0347936,0.0528593,0.0536751,0.0664504,0.0977851,0.248645,0.470884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139253,0.152247,0.214704,0.248752,0.313728,0.324622,0.471149,0.738929,1.08794,1.45849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0131303,0.0383495,0.0786654,0.0714301,0.0671534,0.114125,0.177751,0.245789,0.533695,0.74959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.095272,0.103684,0.116386,0.185615,0.141179,0.211628,0.272556,0.483099,0.739901,0.884206]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1662, 134, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.502432,0.878318,1.02083,0.865366,1.9767,1.56357,1.86499,2.76866,5.20455,7.78601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.43487,4.15411,6.64353,9.22185,11.4692,13.7928,17.0756,20.9954,24.8828,28.664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.195057,0.384261,0.271006,0.327374,0.339412,0.47155,0.680161,1.27364,2.49857,4.21786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53489,2.70985,4.31531,6.1364,7.60832,9.13273,11.1727,14.0168,16.9411,19.8809]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1663, 135, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0330195,0.151963,0.19732,0.23259,0.286288,0.23804,0.222521,0.264068,0.422337,0.659013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.363989,0.580343,0.909554,1.11255,1.21932,1.49216,1.71198,1.93819,2.05138,2.20154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.179891,0.570446,0.731739,0.902757,0.887826,1.11212,1.30049,1.77229,2.88242,2.49337]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.219196,0.433133,0.937104,1.44528,2.03473,2.32674,2.63169,2.66937,2.23926,2.26072]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1664, 136, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.180498,0.460283,0.520068,0.55275,0.771965,0.77677,0.892588,1.30702,3.07428,5.22007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.86664,5.46036,6.26807,7.69894,8.38295,9.57516,12.8154,8.05419,9.74527,10.6507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.410426,1.01022,1.2576,1.35522,1.4084,2.4478,3.43913,6.08358,12.7189,17.0173]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.70914,7.2618,8.15381,8.06971,9.26138,13.5329,17.2567,12.2489,15.729,15.8458]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1665, 137, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.79211,7.93449,7.18473,6.04877,5.67947,5.06862,7.07642,7.72496,16.1395,24.0105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[670.781,781.601,789.097,785.621,788.854,782.389,790.709,803.821,802.32,803.947]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.71863,9.02697,11.4476,10.4084,9.79152,11.596,13.0701,19.715,29.6838,46.2172]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[556.592,654.163,669.019,672.975,680.547,679.854,690.25,712.388,723.93,746.153]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1666, 138, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.21824,0.736748,0.591148,0.483113,0.552231,0.586705,0.616723,0.569721,1.88277,4.50928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.26389,24.1949,61.5119,101.857,152.397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.165082,0.228337,0.457638,0.527446,0.446654,0.429355,0.629264,1.0369,1.56839,2.64358]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,1.8839,19.6516,48.7204,76.4869,114.334]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1667, 139, 237, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.211088,0.278181,0.206565,0.245538,0.304778,0.371945,0.635054,1.49914,3.0741]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.111379,1.12606,3.09713,5.85088,8.84529,12.6556,18.695]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104684,0.171937,0.232044,0.180485,0.277687,0.359537,0.774429,1.51088,3.75493]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.153726,1.42631,3.93787,7.1605,10.9487,15.9122,22.9606]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1668, 140, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.83721,5.33051,4.69828,3.83934,2.90212,2.53671,4.11325,3.94551,8.26985,10.8299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[234.247,234.45,230.489,223.132,214.784,209.929,210.221,210.781,210.798,210.738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.1444,6.84903,8.34424,6.51254,6.09686,7.77926,8.52052,12.6925,18.3909,28.3339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[268.995,275.511,272.76,270.356,266.24,265.412,268.168,274.498,278.523,281.505]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1669, 141, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0626003,0.0840346,0.0736446,0.146566,0.141419,0.180123,0.339866,0.577168,0.642029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49866,3.12461,7.49528,13.0451,16.657,17.897,17.8388,16.5345,14.5914,11.6875]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.015589,0.036134,0.0627033,0.0721497,0.10096,0.12527,0.223162,0.446386,0.499742]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.745886,1.51788,3.62054,6.38499,8.09712,8.87692,8.64706,7.81698,6.8782,5.78216]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1670, 142, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[409.448,507.45,508.747,503.256,508.102,499.47,470.066,424.743,369.463,312.825]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[266.379,346.542,356.672,357.407,364.435,356.974,330.884,296.802,257.147,217.167]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1671, 143, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.4609,34.6995,38.0919,38.2614,37.5071,36.8408,36.2646,35.6023,34.7838,33.8061]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.7962,29.3579,33.2917,33.9667,33.2342,32.131,31.2201,30.5664,29.7753,28.9384]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1672, 144, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.736662,1.59355,1.53308,1.4461,1.83301,1.49902,1.79438,2.23481,3.91058,4.9552]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12734,1.87728,4.27438,7.8154,10.6783,12.8912,26.2727,45.8029,58.1723,63.7985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.40915,1.82932,2.43763,3.0737,2.99538,3.00878,3.43547,4.98805,7.76722,10.9851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.67665,1.23374,2.67535,4.70741,7.11404,10.638,24.5186,43.035,59.2081,75.4655]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1673, 145, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.574657,1.3509,2.7314,2.26218,3.15794,3.31658,3.34231,4.32356,6.68219,9.05549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3397.62,3916.01,4192.4,4263.79,4234.09,4224.12,4209.57,4052.28,3795.28,3354.49]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.475072,1.08946,2.64367,3.51252,3.70033,4.69897,5.415,8.6051,11.6273,14.6619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3266.75,3797.79,4068.45,4016.97,3887.66,3795.61,3712.45,3505.63,3145.2,2670.05]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1674, 146, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.673469,0.597906,0.891834,0.860232,0.912638,0.995679,1.65856,2.27964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.3681,64.5658,138.929,222.337,283.994,319.505,333.447,318.609,278.925,218.384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.577338,0.739508,0.69519,0.911614,1.09718,1.64628,2.73102,3.91546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.0884,79.2608,169.686,276.607,360.121,404.263,412.747,398.271,340.491,263.54]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1675, 147, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0666932,0.183214,0.349023,0.44085,0.854508,1.10165,1.23591,1.57118,2.25287,2.52317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[256.446,315.55,301.704,280.396,284.748,312.41,341.587,309.461,245.538,175.636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0944699,0.259659,0.603458,1.04262,1.52808,2.05261,2.44082,3.70248,5.04365,4.97438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[703.017,890.176,863.44,805.37,810.841,863.768,920.105,840.568,670.374,483.725]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1676, 148, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.218529,0.331081,0.37885,0.202224,0.26252,0.216397,0.209662,0.289772,0.411465,0.418751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[164.536,349.788,381.985,291.571,205.943,143.218,100.76,62.1766,35.6904,18.0446]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.198639,0.354313,0.490938,0.522531,0.351943,0.379562,0.361611,0.64963,0.674055,0.802582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[269.115,677.911,765.15,586.965,392.14,247.794,160.177,103.679,64.8455,35.2832]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1677, 149, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113909,0.172504,0.197457,0.105377,0.136821,0.112757,0.109234,0.151029,0.214418,0.218196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7361,101.611,172.374,136.828,99.8164,76.6272,55.1109,29.0251,12.3204,5.20919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102925,0.183485,0.254103,0.270649,0.18272,0.196881,0.187444,0.337062,0.348946,0.417058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.5485,244.343,360.604,279.248,184.374,123.309,78.6133,45.4983,24.5074,13.5489]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1678, 150, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000265016,0.00046818,0.000478232,0.000275192,0.000335467,0.000299725,0.000303572,0.000366125,0.000554397,0.000580614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.76205,13.8858,16.6757,10.615,6.35154,4.48364,2.93696,1.65662,0.821959,0.422738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000805855,0.00153229,0.00224625,0.00221363,0.00109831,0.00134758,0.0013995,0.00221856,0.00302588,0.00215789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.48743,27.9056,37.9542,26.1106,16.1769,10.6259,6.55455,3.56236,1.92484,1.06895]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1679, 151, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000160419,0.000309839,0.000296935,0.000178457,0.000209846,0.00019622,0.000203314,0.000227456,0.000357559,0.00038032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.8517,70.99,64.8246,50.7396,35.298,23.0835,17.9327,14.4184,10.8104,6.06539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000711865,0.00136482,0.00201444,0.00196657,0.000931146,0.00116761,0.00122827,0.00191037,0.00270749,0.00177602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.7345,118.814,122.1,97.9875,66.4784,40.7668,30.3751,24.4753,18.123,9.83205]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1680, 153, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104194,0.157798,0.180618,0.0963928,0.125154,0.103144,0.0999218,0.13815,0.196136,0.199593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.4589,80.9652,77.2576,57.9874,39.2826,25.9056,19.4991,14.9103,10.7182,5.93289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0941957,0.167931,0.232574,0.247702,0.167194,0.180166,0.17154,0.308438,0.319375,0.38159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.2991,141.017,152.945,118.148,78.4446,48.6065,34.7138,26.1638,18.5515,9.99662]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1681, 155, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1720.2,1924.37,2037.85,2119.13,2146.28,2192.33,2250.23,2264.45,2220.07,2005.31]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1007.11,1128.8,1201.17,1259.95,1264.5,1277.78,1291.28,1302.71,1275.14,1150.7]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1682, 156, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[182.624,208.42,222.852,233.458,241.884,255.132,269.96,276.938,276.56,270.591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.215,151.87,163.982,171.773,177.879,184.332,190.914,195.047,191.602,184.446]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1683, 159, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.085,278.882,403.592,447.535,425.997,367.111,285.307,218.767,172.948,137.474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.6621,220.865,329.086,372.964,362.501,315.014,248.834,195.507,154.21,122.207]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1684, 160, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[652.553,653.029,606.664,578.853,563.517,559.946,557.807,533.999,496.225,455.584]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[354.608,367.731,346.065,330.656,320.402,314.462,308.099,295.124,274.27,253.505]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1685, 161, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.228973,0.705694,1.06335,0.790581,0.826598,0.688094,0.486637,0.642042,0.871011,1.22116]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.44505,3.13132,4.29412,4.10435,2.95194,1.87469,1.31481,0.82132,0.590918,0.378808]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0931303,0.253916,0.452949,0.498601,0.359476,0.324914,0.284538,0.438932,0.46165,0.748868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1686, 162, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.1562,31.6848,31.0872,30.3586,29.0848,27.8714,27.3217,26.5732,25.7417,24.6516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.5383,90.8827,88.7295,85.2743,82.2654,79.6271,76.9952,74.66,71.6774,68.5358]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1687, 163, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.8741,23.173,22.562,21.8132,20.9313,19.9356,19.2731,18.6244,17.6727,16.7282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.7362,95.7724,92.9494,89.9276,87.3216,83.8258,81.0679,77.5902,74.3939,70.0539]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1688, 164, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.75668,5.28251,2.86677,1.38763,0.594252,0.210151,0.063866,0.0145382,0.00249334,0.000468804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.4082,19.2903,11.223,5.77458,2.60767,1.01618,0.335431,0.0935669,0.023052,0.00315808]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1689, 165, 237, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[179.188,13.3306]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[431.128,32.4786]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1690, 166, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.6252,24.8551,21.1767,17.3117,13.1344,9.31368,5.86507,2.67081,0.945708,0.389137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.4711,29.0517,24.9052,20.0621,15.1426,10.746,6.70088,3.04509,1.06224,0.491947]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1691, 167, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0604613,0.13091,0.266713,0.230623,0.322479,0.450199,0.497462,0.824889,1.48828,2.61277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.7605,19.9524,16.8445,15.5321,15.027,15.2602,16.6314,19.1699,24.3705,31.3198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0888334,0.221568,0.518987,0.709259,0.765644,1.03027,1.23085,2.16778,2.71691,4.22056]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.6531,13.6996,12.0704,11.6466,11.9408,12.9789,15.198,19.3426,27.1032,37.5574]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1692, 168, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.69315,29.8469,35.4695,24.8798,28.5336,36.5705,42.6867,68.7471,146.297,217.855]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[348.851,633.363,866.824,1010.45,1091.48,1080.59,1031.14,1191.14,1234.69,1252.69]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.42283,15.5191,24.4356,29.3921,29.4079,37.1777,52.0596,93.9733,151.94,227.595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[148.933,147.484,182.589,254.006,356.105,492.665,715.365,1060.52,1426.05,1785.59]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1693, 169, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.73717,4.30919,7.14626,4.52589,7.93663,13.4162,20.9268,41.0307,95.2364,147.679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.6378,42.2561,67.6782,115.105,182.959,271.93,365.597,466.815,559.428,645.317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.39749,1.95712,2.707,4.54659,5.51054,8.42982,16.2692,33.79,67.4336,101.846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.4496,41.1515,67.4542,116.235,185.933,273.737,366.238,467.446,558.431,639.092]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1694, 170, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.199878,0.433777,0.391985,0.292996,0.337596,0.283868,0.287398,0.42651,0.698678,1.0203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0105087,0.00469871,0.00461893,0.00336501,0.0027491,0.00291171,0.00272823,0.00235524,0.00418452,0.00457377]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.461121,0.716694,1.07148,0.880218,0.83285,1.06221,1.07242,1.84687,3.12092,4.58308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0113876,0.0083507,0.00474173,0.00595898,0.00313275,0.00410098,0.00255921,0.00446324,0.00631667,0.00622413]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1695, 171, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.37897,8.78979,8.33808,8.39103,8.08665,9.34897,9.03419,14.9926,24.3479,36.702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.04952,8.11844,12.0436,18.3142,27.4593,37.0892,46.9175,62.5543,90.4025,125.924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.13612,7.49922,11.3162,15.3623,15.9837,19.4528,23.8427,45.2332,58.8143,83.9653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.73629,7.47196,10.7207,16.4986,25.1136,33.7189,43.124,57.6407,86.76,124.023]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1696, 172, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00349326,0.43077,0.800772,1.1519,1.44119,2.02834,2.36492,4.58005,8.46652,14.4741]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.115424,0.558405,1.27161,2.81822,5.23561,8.59529,13.0079,20.2403,33.0721,47.2225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00415515,0.327639,0.966043,1.85675,2.5184,3.75651,5.52069,12.1464,18.0863,29.069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0753399,0.463099,1.0324,2.17214,4.24213,7.07785,10.3532,16.3084,27.8513,40.5479]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1697, 173, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.382333,1.53729,1.58081,1.7644,1.85916,2.3419,2.16274,3.44507,5.31737,7.61939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.823457,1.46508,2.38831,3.96049,6.39897,9.13609,10.8878,13.7763,19.1991,26.7391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.558355,1.46429,2.40203,3.56546,4.05013,5.36182,6.295,11.4098,14.2918,19.247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.852248,1.47369,2.32315,3.97371,6.49856,9.10401,11.224,14.3543,20.6186,28.8077]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1698, 174, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99314,6.82173,5.9565,5.47473,4.7863,4.97873,4.50653,6.96746,10.564,14.6086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.11064,6.09496,8.38365,11.5355,15.8247,19.3578,23.0218,28.5377,38.1313,51.9624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.57361,5.70728,7.94812,9.94009,9.41512,10.3345,12.027,21.677,26.4362,35.6492]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.8087,5.53517,7.36516,10.3528,14.3729,17.537,21.5468,26.978,38.2901,54.667]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1699, 175, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.204533,0.596269,0.776959,0.828555,0.722274,0.63639,0.79003,1.64387,3.26843,4.70195]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9065,22.1486,27.9199,34.2973,40.0933,46.8579,53.3664,56.6977,58.3654,62.3448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.301849,0.67905,1.31308,1.18572,0.931548,1.35699,2.60886,4.56507,8.10015,10.1154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.69405,15.7063,26.7382,37.3544,48.6991,79.3472,184.77,392.79,613.473,798.875]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1700, 176, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.109838,0.295753,0.454755,0.436651,0.309278,0.251146,0.247473,0.726791,1.26597,1.66239]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.84453,6.14432,5.29393,4.53009,3.83439,3.31951,3.31628,3.25679,3.14234,3.18456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0862115,0.184558,0.358752,0.48176,0.31478,0.483121,0.786745,2.00324,3.05589,4.64068]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.42134,1.56299,1.76621,1.95534,2.11104,2.2694,2.55026,2.79915,3.0429,3.54652]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1701, 177, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0376394,0.10228,0.0799145,0.141372,0.195295,0.215598,0.342438,0.469419,1.1876,1.72016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.90104,10.5238,15.9084,21.5385,26.7633,33.2264,38.2304,40.9862,42.9476,44.997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0872417,0.182763,0.192021,0.0849752,0.149087,0.183975,0.406853,0.526583,1.05626,0.867899]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.36859,6.44734,10.2772,14.3304,18.7017,23.6195,28.2201,31.8973,35.0642,37.7843]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1702, 178, 237, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9567,137.808,343.142,556.855,739.179]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1703, 179, 237, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[4.24293,8.06615,12.969,17.8188,26.8755]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1704, 180, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0570553,0.198236,0.24229,0.250532,0.217701,0.169646,0.200119,0.447664,0.814861,1.3194]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.16091,5.48049,6.71762,8.22872,9.4956,10.312,11.8197,12.4546,12.2755,14.1633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128396,0.311728,0.762308,0.618981,0.46768,0.689898,1.41527,2.03525,3.988,4.60682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.90411,3.45302,6.62864,8.09965,10.0675,12.6261,16.1918,14.9518,18.5113,18.3657]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1705, 181, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0803845,0.266995,0.169676,0.173876,0.274352,0.320685,0.486312,0.419028,0.624425,0.582208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[211.186,472.2,664.645,743.178,734.336,610.877,449.487,472.1,385.557,133.309]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1706, 182, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000405614,0.00687726,0.0159461,0.0278469,0.05972,0.0752531,0.121028,0.104498,0.146572,0.119306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.31,132.476,133.148,145.482,188.478,256.769,293.132,300.91,227.582,45.3599]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1707, 183, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[14.1509,131.679,234.96,267.836,275.46,175.761,0.971748,0.00376134]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1708, 184, 237, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[2.78518,5.26715,8.4144,11.5434,17.2365]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1709, 185, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.000551562,0.000481183,0.0004738,0.00078586,0.000690541,0.000776528,0.000346313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.48623,15.3137,39.0161,68.7604,78.2632,10.7949,0.226894,0.00128366]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1710, 186, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,5.75006e-5,0.000626468,0.00191624,0.00503808,0.0116768,0.0143834,0.0289267,0.0352291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.54074,42.9231,76.9675,93.5478,97.697,103.227,113.932,128.775,119.945,87.9493]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1711, 187, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[17.7905,101.917,132.458,117.059,39.2919,2.74001,0.055714,0.000235245]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1712, 188, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0799789,0.259566,0.153191,0.144929,0.21193,0.239704,0.35283,0.299801,0.448927,0.427673]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[43.9073,45.1066,42.8283,42.0785,43.6025,44.349,41.1686,42.4092,38.0296]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1713, 189, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.30095,12.3227,13.8792,7.02073,6.40463,5.79229,4.77728,4.06566,7.4578,11.3599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.5811,52.4683,54.0153,54.1612,55.6106,56.1276,51.147,50.8901,44.2365,131.456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.11484,3.41619,5.18352,5.04837,3.24921,3.73389,4.61949,4.8371,8.64238,14.9175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.4436,51.2871,43.9321,45.0146,50.553,53.4065,59.5112,65.7905,75.4888,101.655]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1714, 190, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0896454,0.155662,0.157867,0.10816,0.0963573,0.0836417,0.0567947,0.0567974,0.0544962,0.0477404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.9842,27.4686,28.8215,29.1668,29.7747,29.539,27.2019,26.8255,23.4098,23.66]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.100439,0.112454,0.120555,0.105338,0.0864641,0.0854423,0.0733299,0.0948694,0.0996508,0.0808965]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4116,6.49705,4.68558,5.08769,6.64474,7.24611,8.90185,9.80171,12.1006,14.7067]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1715, 191, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0721977,0.101303,0.113883,0.0795953,0.0741791,0.0688913,0.0509449,0.0552352,0.0613408,0.0656017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.0965,12.3638,13.3687,13.3878,13.9491,14.3472,12.4356,12.019,9.78493,9.76211]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0838851,0.0769468,0.090317,0.0808613,0.0685424,0.0722713,0.0671299,0.0919504,0.109379,0.109835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.08848,4.82947,4.75666,4.66369,4.73967,5.33204,5.45418,5.56087,6.11455,6.71231]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1716, 192, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.052983,0.0734874,0.0774235,0.0521204,0.0477931,0.045482,0.0384021,0.0542244,0.074022,0.0974985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.800499,0.733483,0.781535,0.795149,0.859765,0.854082,0.79062,0.776475,0.662488,0.70253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120996,0.108465,0.115559,0.0972749,0.0806284,0.0842553,0.0899333,0.167211,0.262514,0.327592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.307313,0.168392,0.127881,0.142197,0.184424,0.204393,0.254501,0.288538,0.392937,0.485348]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1717, 193, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.08612,11.9923,13.53,6.78085,6.1863,5.59428,4.63114,3.8994,7.26794,11.149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.6999,11.9025,11.0436,10.8115,11.0271,11.3874,10.7189,11.2691,10.3793,97.3316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.80952,3.11833,4.85709,4.7649,3.01357,3.49193,4.3891,4.48307,8.17084,14.3992]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.6362,39.7922,34.362,35.121,38.9842,40.624,44.9007,50.1394,56.8807,79.7508]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1718, 194, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.791279,3.12818,4.76734,3.64672,4.77144,6.77215,6.3847,6.16869,14.6631,15.8102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.4802,36.1666,40.5169,45.3861,51.0212,57.7062,64.6238,82.0842,96.6966,154.333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0114,1.25084,2.84437,2.36892,2.90006,3.14198,3.64693,3.7011,5.82881,12.1678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.5978,31.8592,33.739,38.898,45.8026,52.4509,61.7193,76.8444,91.8919,121.94]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1719, 195, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.36162,0.84133,1.13893,0.913249,1.05597,1.18534,1.31829,2.31413,3.82988,5.0609]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1329.27,1567.77,1961.52,2315.52,2713.95,3266.62,3945.37,4545.53,5027.44,5459.92]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149305,0.253838,0.486418,0.614047,0.569002,0.669862,0.894276,1.98235,2.80126,3.94038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1200.56,1328.93,1802.27,2158.45,2504.13,2899.13,3388.61,3899.91,4324.17,4736.7]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1720, 196, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.211073,0.502386,0.644647,0.574635,0.638828,0.794344,0.88903,1.72055,3.00206,3.93999]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.468,44.1977,64.0743,78.0818,87.2323,94.8887,106.419,122.22,141.401,163.198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0971511,0.167202,0.311909,0.404111,0.409182,0.477832,0.666795,1.43366,2.25195,3.0008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.77762,11.3121,16.5685,20.9159,23.666,26.2966,28.7038,33.9927,39.4793,46.1605]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1721, 197, 237, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.5769,133.749,415.481,813.552,1105.13,1237.69,1304.73]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.2088,82.2617,251.274,491.638,680.425,767.213,813.278]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1722, 199, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[591.227,631.286,708.073,872.919,1036.18,1191.48,1377.45,1577.41,1759.52,1924.36]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[701.592,778.798,914.377,1143.38,1362.53,1548.08,1768.59,2041.42,2273.6,2486.04]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1723, 200, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[523.828,478.052,495.078,611.853,723.302,841.287,911.459,896.106,876.108,852.765]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[428.454,388.764,401.014,495.983,585.246,671.771,721.788,710.065,694.308,675.903]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1724, 201, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00327277,0.0207094,0.0537801,0.103481,0.161383,0.25688,0.373394,0.496539,0.600203,0.715836]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118968,0.0869454,0.239253,0.464518,0.765479,1.17463,1.68263,2.22653,2.75136,3.28577]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1725, 202, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.150547,0.338944,0.494284,0.338614,0.417139,0.391,0.429258,0.593581,0.827815,1.1209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.739,414.211,694.237,740.987,733.323,723.231,736.117,844.167,1012.12,1214.14]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0521538,0.0866358,0.174509,0.209936,0.159819,0.19203,0.227481,0.54869,0.549309,0.939579]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.7198,149.972,470.072,490.498,449.659,400.534,376.203,431.776,546.817,712.027]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1726, 203, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.97743,5.7689,6.32776,3.50394,2.81164,2.89287,2.5609,3.26444,6.56565,9.70108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1239.64,1063.03,1140.84,1281.68,1440.62,1617.1,1902.93,2388.83,2976.16,4081.53]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.70864,2.5884,2.71013,2.44425,2.17695,2.8013,3.90105,5.59723,8.55037,13.2885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1192.46,1043.01,1158.79,1331.92,1508.28,1697.48,1988.61,2502.21,3099.26,4323.28]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1727, 204, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.61331,4.84652,4.62736,2.47575,1.7192,1.5595,1.01383,0.984688,1.47093,1.98603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.6722,35.3118,29.989,26.1633,21.5584,19.5033,19.7536,22.9962,23.3791,22.6369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.46781,2.11646,1.78928,1.18836,1.08217,1.40133,1.86421,2.20041,2.58844,2.57742]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.9546,32.1979,27.6101,23.7788,20.659,18.2397,17.6924,20.3761,20.899,20.0184]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1728, 205, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.107038,0.251796,0.17131,0.124009,0.0872733,0.0860621,0.038618,0.0322098,0.0325135,0.040245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.55757,7.90223,6.57404,5.61459,4.47253,3.69825,3.62697,3.46406,3.04452,2.89892]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0647566,0.0564554,0.0375596,0.0272206,0.0246388,0.0440421,0.0567529,0.0590528,0.0717096,0.041783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.13767,5.97987,5.15634,4.28202,3.34975,2.64271,2.51095,2.31678,2.1664,1.97723]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1729, 206, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.834122,2.62289,2.45891,1.22059,0.801241,0.65541,0.425678,0.398125,0.65948,1.01381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1379,6.18569,5.09053,4.38173,3.71323,3.91957,4.14429,3.76767,4.18723,5.48071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4584,1.3784,1.2687,0.77542,0.565873,0.622964,0.740751,0.792126,0.958607,0.977597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5056,5.0498,4.32808,3.82482,3.38255,3.49158,3.53464,3.61305,4.02888,5.16691]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1730, 208, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0584561,0.176571,0.129788,0.109011,0.0865574,0.0666877,0.0568937,0.057003,0.0846768,0.0679952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.42916,9.08704,8.35564,7.30532,6.16898,5.36265,5.31754,8.03937,8.41629,7.20103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0601616,0.0433344,0.0432254,0.0387684,0.0368415,0.0469948,0.0926704,0.137009,0.138607,0.0792261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.51833,9.17643,8.40297,7.37902,6.16318,5.13036,4.77154,6.57004,6.63841,5.3592]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1731, 209, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.151627,0.783999,0.77223,0.205873,0.134707,0.13306,0.0638608,0.0554812,0.0558011,0.0581989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.45188,3.28998,2.9669,2.59315,2.25583,1.95972,1.96355,2.89329,3.08108,2.57962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133313,0.249679,0.0666482,0.0712591,0.0597151,0.102251,0.114251,0.12144,0.0685995,0.0975842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.5618,3.73204,3.38586,3.1169,2.6923,2.31065,2.16346,2.79421,2.80542,2.19615]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1732, 210, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.462065,1.01127,1.09513,0.816275,0.60942,0.618279,0.428778,0.441869,0.638459,0.805788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.356,7.68894,6.13361,5.52853,4.29667,3.96168,4.12365,4.28461,4.13995,4.00742]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.751174,0.388585,0.373142,0.27569,0.395102,0.585077,0.859783,1.09079,1.35091,1.38123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0613,6.8127,5.23703,4.21843,4.19183,3.8134,3.87607,4.29212,4.491,4.58809]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1733, 211, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.36412,0.922377,1.7004,1.02818,1.09244,1.33337,1.54708,2.27975,5.09472,7.71505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[782.551,569.523,503.626,489.607,480.875,491.629,514.156,551.32,592.697,634.267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.240836,0.471943,0.920846,1.25589,1.09478,1.39997,2.03684,3.39681,5.96193,10.7111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[689.946,489.872,434.723,426.113,422.236,435.249,461.059,514.104,576.606,646.734]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1734, 212, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[173.172,154.829,149.045,144.144,139.781,138.07,138.144,137.872,137.425,136.016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.71,125.633,120.64,117.024,113.723,112.038,111.622,111.529,110.623,109.429]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1735, 213, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.39183,8.58976,10.0921,11.4297,12.6383,14.0161,15.9082,19.1006,21.9496,24.2063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.91146,10.4044,12.4357,14.3127,15.9589,17.6586,19.8389,23.6988,26.9991,29.5931]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1736, 214, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114495,0.32008,0.587315,0.378786,0.398389,0.442478,0.523976,0.769298,1.72087,2.41542]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.00924,4.93961,5.40632,5.66374,6.00866,6.37295,6.81982,7.55042,8.42202,9.07772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0781894,0.134884,0.266796,0.39473,0.37681,0.485945,0.739271,1.1552,2.05968,3.36793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.3189,5.11826,6.25533,7.40072,8.52342,9.64199,10.7958,11.7973,12.5771,13.2863]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1737, 215, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.156254,0.406804,0.69341,0.432274,0.469862,0.573349,0.61881,0.904381,2.01241,2.85319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.756,11.9446,11.7294,11.9556,12.0618,12.2104,12.8345,14.9463,16.9548,18.6871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110739,0.204149,0.393276,0.543838,0.442431,0.571808,0.822524,1.42941,2.39311,4.08441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.7309,12.2388,11.9253,12.2311,12.3716,12.4469,12.98,15.1395,17.1197,18.8482]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1738, 216, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.7668,28.3773,28.9852,29.1556,28.6062,28.2709,28.162,27.9637,27.6059,27.3009]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.7847,29.5717,30.0652,30.3994,29.7943,29.4124,29.0416,28.8424,28.4703,27.824]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1739, 217, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.6829,20.4855,23.9676,27.3014,30.5462,34.0597,39.301,46.4569,53.3065,59.8748]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.118,22.9279,26.8529,30.6847,34.3367,37.9651,43.2575,51.1717,58.5779,65.6184]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1740, 218, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.8435,31.8559,29.2287,26.9534,24.4808,22.2924,21.1035,21.1204,20.9568,20.7612]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.1405,34.1711,31.3091,28.8312,26.1855,23.6286,22.0483,22.0954,22.0578,21.8284]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1741, 219, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[283.55,157.257,85.2086,55.5328,31.7134,18,7.59772,4.89958,3.3567,1.81152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[247.967,136.473,75.0272,49.0996,28.0335,16.0262,6.80738,4.32226,2.95205,1.59388]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1742, 220, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.3438,26.7982,27.9586,28.5388,27.757,27.2316,27.1749,26.9627,26.5049,25.981]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.6368,16.6262,17.4194,17.6482,17.3127,16.9195,16.6967,16.5194,16.1805,15.9177]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1743, 221, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.5049,26.5224,34.122,42.4782,50.5994,59.2249,65.3883,67.1528,68.5112,69.6357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.6915,20.1415,25.9137,32.3545,38.4961,44.7493,48.9715,50.2718,51.1766,51.8805]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1744, 222, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.8823,42.2994,43.3564,45.0617,46.671,48.4471,49.7932,48.9955,48.042,46.8098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.3621,27.6394,28.0967,29.5428,30.6136,31.8153,32.3063,31.7379,31.0475,30.0921]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1745, 223, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0890161,0.191018,0.408842,0.213454,0.220192,0.313212,0.396755,0.598816,1.34131,2.41121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.650546,1.43759,2.38209,3.38895,4.83785,6.81655,10.0663,14.412,20.2676,28.0976]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0500236,0.129377,0.255325,0.312187,0.269892,0.334969,0.464468,0.798703,1.48504,3.219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.578613,1.27683,2.50995,4.10403,6.17137,8.79938,12.561,18.183,25.308,35.5717]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1746, 224, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00435386,0.00447599,0.0108281,0.00367063,0.00399896,0.00433235,0.00753412,0.00725938,0.020119,0.0352282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.9973,54.1859,52.1441,58.0026,65.1734,76.6159,91.8631,113.887,139.394,166.008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00188343,0.00353385,0.00544996,0.00513624,0.00565002,0.00724697,0.010577,0.013492,0.0240975,0.039758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.9946,47.6508,46.2729,52.4807,60.7156,74.1477,94.133,128.796,173.516,225.251]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1747, 226, 237, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.337205,2.21782,6.64268,11.0671,17.2935,29.8266,47.6162,73.2317,113.261]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.22788,1.60707,5.25374,9.69088,14.0442,21.6245,44.3485,84.1401,134.545]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1748, 227, 237, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.281851,3.79181,18.8534,36.8099,58.6567,99.9469,158.54,244.562,371.112]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.14161,1.76858,9.36317,19.8199,29.4352,45.036,91.2012,173.066,275.657]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1749, 228, 237, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.80157,18.6245,42.8662,83.7019]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.32438,8.68257,25.5837,51.7397]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1750, 229, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.6364,23.9144,32.9425,48.9955,67.2854,90.1893,121.252,181.863,277.762,424.394]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.8577,19.7584,27.4329,40.8122,56.1169,74.1206,98.8614,150.063,229.776,350.615]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1751, 230, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[156.009,181.652,248.554,315.354,385.324,461.008,586.16,767.846,943.177,1474.28]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[217.181,251.864,342.291,434.703,518.948,612.352,744.666,959.81,1179.69,1881.84]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1752, 231, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.9431,80.2948,107.383,127.474,153.498,174.766,184.346,240.021,306.255,375.256]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.115,81.9555,115.279,147.219,179.649,215.167,266.993,333.255,370.465,435.753]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1753, 234, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[147.612,167.893,184.047,175.295,156.593,125.853,118.912,120.552,119.934,115.667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[142.101,163.213,180.885,172.743,154.629,124.115,115.758,117.134,115.948,111.751]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1754, 235, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00521303,1.84232,18.5829,50.7801,89.0291,116.186,129.836,133.795,133.137,127.951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00583026,1.87769,19.2788,53.5766,94.9081,124.231,139.037,144.802,144.523,139.203]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1755, 236, 237, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.840466,8.57025,21.3317,37.2842,60.5548,93.2452,143.582,216.57,335.761]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.655472,6.69433,17.0807,30.2395,48.9794,74.7432,116.242,175.838,271.975]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1756, 238, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9562,29.5165,25.6345,19.591,16.5993,14.7538,15.3821,14.5332,25.3037,31.315]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.21,147.496,179.514,203.447,208.689,214.608,212.819,210.719,195.503,174.43]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.7267,79.1525,96.8025,82.0562,59.5828,52.0781,54.9689,73.3028,93.4101,87.0635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[195.159,296.846,378.662,442.915,463.379,479.596,490.677,494.34,473.332,437.315]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1757, 239, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.8911,27.7003,24.0104,18.1606,15.2969,13.9042,14.4282,13.2017,23.2451,28.3496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.9968,110.999,140.267,155.953,164.104,172.845,177.082,171.534,165.629,148.914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.8153,70.4522,88.3942,75.3024,56.6018,48.899,51.1644,68.1644,87.6423,80.771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[167.69,250.122,311.094,356.208,389.866,403.292,409.434,411.03,397.554,373.028]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1758, 240, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.703349,1.59247,1.43466,1.29829,1.02267,0.687895,0.928164,0.7788,1.3064,1.5265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.74188,7.60859,10.3808,14.4285,14.6549,12.3222,16.3263,15.2933,14.2813,11.6701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.0528,8.95567,9.95606,10.6483,6.80498,6.24752,6.09222,9.76254,11.3537,9.45706]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.3692,40.0546,46.2677,70.1845,67.6656,75.2689,70.3882,84.5868,69.4267,59.6092]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1759, 241, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2035,2.30074,2.4253,1.78091,1.77141,1.24418,1.23201,1.18136,1.78498,2.75491]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.8896,12.9106,20.6724,23.4673,31.6241,26.6758,26.8319,29.0083,23.924,24.1613]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.70962,6.15543,10.0312,7.79733,5.66527,5.64699,4.75438,7.92645,10.6123,8.72027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.8122,28.1825,47.6407,52.2208,55.7691,70.1867,55.2913,67.2074,66.1029,54.7272]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1760, 242, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.69364,6.17678,5.13289,3.57284,3.44508,2.21052,3.34798,2.80176,3.7602,5.91736]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.869,33.5747,43.3623,47.1404,57.9531,46.2151,68.5638,65.9097,49.7839,50.538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.2678,28.5337,30.8379,21.8048,21.5637,13.7478,17.4552,26.2427,30.2745,26.7324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[87.6028,133.331,151.932,145.28,217.13,168.938,211.143,239.753,200.472,175.503]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1761, 243, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79401,2.94972,2.1688,1.24362,1.14691,1.58469,2.18829,2.45991,5.83955,5.76209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.0673,16.2855,19.3646,17.1098,21.4833,35.7206,48.908,64.6287,80.9506,55.7657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49616,5.29971,4.79903,5.04957,4.0423,4.60288,5.18119,7.11855,9.10173,11.4406]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2688,23.0646,22.459,32.5148,38.9517,53.2822,57.5607,57.6103,52.8274,66.9176]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1762, 244, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.4966,14.6806,12.8487,10.2649,7.91083,8.17688,6.73174,5.97984,10.554,12.3887]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.5186,84.8097,107.293,134.107,138.873,177.892,142.654,138.415,139.174,111.708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.28889,21.5077,32.77,30.0024,18.5256,18.6538,17.6815,17.1141,26.3001,24.4206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.7258,96.4619,142.048,192.276,175.656,203.363,190.242,135.688,146.733,140.549]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1763, 245, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06515,1.81621,1.62418,1.43046,1.30236,0.849609,0.953932,1.33155,2.05861,2.96545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.2131,36.4979,39.2478,47.4948,44.5846,41.7635,35.7369,39.1852,29.8742,25.5168]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.91146,8.70036,8.40832,6.75371,2.98095,3.17905,3.80452,5.13842,5.76786,6.29254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.4692,46.724,67.5687,86.7068,73.5132,76.3047,81.2438,83.31,75.7782,64.287]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1764, 246, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.0994,33.8726,35.1487,26.3708,27.7084,24.024,20.7488,22.8186,36.6775,60.8129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.7529,82.1787,113.115,148.949,202.891,268.077,335.179,401.105,484.352,573.822]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.9505,66.3299,65.0718,59.0225,45.2672,46.1555,51.1811,79.3317,92.7463,115.679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[118.745,165.504,221.327,296.429,412.673,539.129,676.93,828.001,992.503,1162.44]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1765, 247, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.486708,1.22595,1.48343,0.784244,2.25307,2.02354,0.993898,2.09552,4.07713,6.97095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.1323,47.9244,66.6319,91.8728,135.379,186.825,243.41,303.183,379.042,461.467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.44235,2.88866,3.22926,3.78733,3.85942,5.37686,4.5287,8.48505,12.0488,21.2368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.4834,78.0159,108.392,154.094,238.351,336.026,446.13,576.434,724.226,879.389]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1766, 248, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.66543,3.43559,2.97219,2.58373,3.68382,3.67027,2.90744,2.20297,6.28614,8.99461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.776106,0.810467,1.16185,1.75099,2.40485,3.24237,4.04885,4.60763,5.30796,5.77049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.9828,22.4963,16.9874,11.6543,11.5285,9.96504,10.5564,16.6406,19.964,22.6404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.60127,2.00793,2.60101,3.78312,5.2891,7.13794,9.29806,10.9186,13.0876,14.2829]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1767, 249, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.18486,7.55481,4.92179,3.83355,2.67517,3.71575,5.12389,5.49098,9.87779,17.7992]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.0283,12.3699,15.6118,18.5135,21.4479,24.6081,26.5612,27.2011,27.0175,26.8584]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.13977,3.95236,5.55357,3.56034,2.82618,2.8166,4.37121,5.4634,7.35992,9.91888]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.1345,17.2002,21.0577,25.8764,31.6113,36.4644,40.5647,43.1283,43.7522,44.8156]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1768, 250, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5964,3.63816,3.16689,1.39262,2.22187,1.71505,2.08476,1.12432,3.26039,3.58652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41134,2.98311,3.72241,4.09576,5.14564,5.99296,7.01458,7.99572,8.31815,8.05986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.15481,3.46668,5.02536,5.02363,2.83607,2.16756,2.72493,5.10815,5.088,7.274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99719,4.56539,6.13004,8.11414,10.5544,12.6878,15.4277,17.1771,19.0631,20.3546]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1769, 251, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.90994,7.16555,8.32506,7.13761,5.77914,4.02587,3.82859,5.04979,5.65855,7.88286]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.35393,4.87772,6.38223,7.38012,7.68725,7.95974,7.73532,7.11913,6.1793,4.99274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.15382,18.5219,17.3818,16.7438,12.1291,11.1225,10.7787,15.8674,19.265,19.5411]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5643,24.5275,30.1016,35.6887,42.9298,46.1501,47.2656,43.8584,39.5132,33.5955]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1770, 252, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10676,3.88179,5.86672,4.85828,2.92281,2.36235,1.65648,2.51597,2.38941,3.09038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.0678,4.02505,7.4969,9.13778,6.45438,8.50964,5.34121,5.18509,4.70236,2.96016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.51566,17.1735,15.9132,14.9257,9.92892,9.26252,8.75263,13.0874,14.8637,14.2083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.1253,29.695,36.2787,41.5219,50.4323,60.4432,53.9199,50.8811,45.7563,34.9123]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1771, 253, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.803175,3.28376,2.45833,2.27932,2.85633,1.66352,2.17211,2.53382,3.26915,4.79248]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36934,3.30509,3.08387,3.93,5.85264,5.45615,6.79972,5.58239,6.31995,4.76375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.638154,1.34841,1.46863,1.81809,2.20015,1.85998,2.02609,2.77994,4.40128,5.33284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.04143,2.35505,3.31849,5.10812,10.7206,11.4988,11.6886,10.6369,13.5926,13.1386]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1772, 254, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53029,5.22111,6.78904,2.98449,4.14825,4.44247,2.74497,2.14148,2.66999,5.70934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65394,2.56833,4.54458,6.45188,8.86493,13.3166,17.3208,18.5016,25.0593,30.7943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28609,1.98153,2.17395,2.54426,2.34646,2.30478,2.01251,3.09093,3.42111,3.3624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.42484,3.63572,4.69065,6.92233,9.31408,11.6129,17.7297,24.1101,35.5089,46.4671]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1773, 255, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28017,2.35483,2.85307,3.60821,4.25672,2.15159,1.91912,2.53995,1.75205,3.64476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.810765,0.960266,1.41347,2.06572,2.43492,3.68212,4.20382,5.19642,4.6475,4.94674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.44667,2.43415,3.83663,5.0297,3.4045,3.27173,4.81695,3.88123,6.85715,4.77234]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.32364,1.91371,2.28557,3.11272,4.07526,4.48168,6.35439,8.27588,8.81515,10.1995]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1774, 256, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.554303,1.17565,1.73681,1.32936,1.52138,1.30129,1.45481,1.74524,1.36704,2.94059]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.54718,0.658128,0.976843,1.38917,1.68313,2.70729,2.94632,3.63277,3.35078,3.61667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.351166,0.562808,0.690427,0.899505,0.708541,0.901479,1.4582,1.28607,2.47518,1.96395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.866644,1.24712,1.45832,1.99498,2.67098,2.88806,4.09799,5.46041,6.09751,6.62846]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1775, 257, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.725871,1.17919,1.11626,2.27884,2.73535,0.8503,0.464314,0.794706,0.385016,0.704169]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.263586,0.302138,0.436624,0.676557,0.751788,0.974822,1.25751,1.56365,1.29672,1.33007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0955,1.87134,3.1462,4.13019,2.69596,2.37025,3.35874,2.59516,4.38197,2.80839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.456992,0.666592,0.827252,1.11774,1.40428,1.59361,2.2564,2.81547,2.71764,3.57106]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1776, 258, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.44556,3.27657,4.63719,4.04635,2.69034,2.2795,1.14615,2.17356,3.09541,6.22467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.58624,9.68454,13.6463,16.8178,19.5264,22.4504,24.8846,27.3002,28.7808,30.9322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.34421,10.5883,10.8838,10.6792,6.33704,9.13042,11.3916,20.795,18.7423,26.9331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.2161,33.6381,46.0677,58.837,70.5483,84.568,94.1601,104.099,108.537,113.34]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1777, 259, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.3059,70.633,61.8676,36.3439,27.9702,21.8512,18.095,14.8514,28.3512,24.6309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.85568,15.0933,19.3821,21.5196,21.9317,20.4065,19.0011,16.1759,12.6778,9.7529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.6341,124.342,140.261,111.555,73.1336,53.5097,47.832,48.8741,62.5718,62.6185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.3882,46.4257,61.9059,73.481,77.099,71.3304,65.2784,56.5114,45.8918,37.1241]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1778, 260, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.5194,48.5741,34.2103,19.4311,17.1919,16.3692,15.2685,13.4367,26.9876,23.3317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.89397,5.38554,6.14911,6.20659,6.56938,5.87882,5.78244,5.16441,4.38075,3.99576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.5179,81.6001,72.5391,53.0071,37.9303,29.2637,32.5392,35.1109,51.5481,54.7178]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.60037,8.44506,9.45278,9.7414,11.0539,10.7043,11.5027,10.7712,10.6942,11.1528]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1779, 261, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.78652,22.0589,27.6573,16.9128,10.7783,5.48204,2.82651,1.41475,1.36356,1.29917]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.96171,9.70775,13.233,15.313,15.3623,14.5277,13.2187,11.0115,8.29705,5.75714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.1162,42.7417,67.722,58.5481,35.2033,24.246,15.2928,13.7632,11.0237,7.90069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.7878,37.9807,52.4532,63.7396,66.045,60.6261,53.7757,45.7402,35.1976,25.9713]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1780, 262, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.854155,5.77496,6.94348,5.59368,3.13457,1.69835,0.755962,0.349691,0.29418,0.308212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18684,2.71865,3.51672,5.3333,4.90084,5.26597,4.61495,3.46607,2.27437,1.73175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6918,2.53767,3.99548,4.91679,3.83249,2.75961,1.90362,1.48621,2.2227,1.64907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.01067,2.53726,3.61976,6.05741,8.3327,8.37836,8.06025,5.96139,9.20265,7.28518]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1781, 263, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33218,7.18,9.8168,4.50505,3.437,1.64788,0.919946,0.269356,0.267528,0.251844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.89833,3.62171,5.25832,4.81458,5.68241,5.27478,5.57862,2.69117,2.11298,1.54554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.54935,19.7971,33.0248,26.6192,13.458,7.2591,5.14396,3.58453,3.23205,1.435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.527,19.7853,29.3628,32.6056,28.7313,21.1486,21.5056,13.8929,12.8531,6.08373]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1782, 264, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.60019,9.10394,10.897,6.81407,4.20677,2.13581,1.1506,0.795699,0.801857,0.739111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.67365,4.67653,6.15078,7.49354,7.15948,6.77894,6.89996,8.06052,6.54774,4.552]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.875,20.407,30.7017,27.0121,17.9128,14.2273,8.24518,8.69246,5.56893,4.81662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1962,20.361,27.0575,34.0026,39.1248,43.259,35.3483,35.2744,23.0956,21.3765]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1783, 44, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[281.551,268.297,253.147,238.799,222.829,212.976,203.624,189.672,174.116,155.732]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[393.05,375.402,356.781,338.888,316.707,297.927,280.229,263.349,239.84,212.816]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1784, 152, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.7275,82.3358,50.8533,35.4004,25.195,13.1181,5.28071,2.1662,1.01937,0.414382]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.0459,145.831,91.5472,65.4717,46.666,24.4851,9.92064,3.97965,1.7388,0.836676]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1785, 154, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1902.83,2132.79,2260.7,2352.59,2388.17,2447.46,2520.19,2541.39,2496.63,2275.9]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1136.33,1280.67,1365.15,1431.73,1442.38,1462.11,1482.19,1497.75,1466.75,1335.14]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1786, 157, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.0303,54.8578,53.6492,52.1719,50.016,47.807,46.5948,45.1976,43.4143,41.3798]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.274,186.655,181.679,175.202,169.587,163.453,158.063,152.25,146.071,138.59]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1787, 158, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[187.945,18.6131,2.86677,1.38763,0.594252,0.210151,0.063866,0.0145382,0.00249334,0.000468804]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[460.536,51.7689,11.223,5.77458,2.60767,1.01618,0.335431,0.0935669,0.023052,0.00315808]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1788, 198, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1115.06,1109.34,1203.15,1484.77,1759.49,2032.77,2288.91,2473.52,2635.63,2777.13]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1130.05,1167.56,1315.39,1639.36,1947.78,2219.85,2490.38,2751.49,2967.91,3161.95]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1789, 207, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73978,1.15788,0.86831,0.739994,0.65121,0.60138,0.577615,0.547214,0.509988,0.469163]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.16985,1.44704,1.0998,0.957609,0.879417,0.851002,0.835702,0.789906,0.768914,0.730769]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1790, 225, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[255.799,287.623,396.025,518.507,655.279,803.376,1027.03,1416.59,1890.44,2845.25]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[310.457,355.189,489.598,638.623,785.61,946.668,1180.32,1589.55,2065.45,3133.6]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1791, 232, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21063,1.14298,1.136,1.18754,1.29485,1.46172,1.69613,2.07849,2.58854,3.24676]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3036,1.2418,1.21965,1.27225,1.38565,1.54881,1.81153,2.19042,2.72546,3.44465]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1792, 233, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[147.617,170.576,211.2,247.406,282.906,302.594,341.993,397.93,469.642,579.379]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[142.107,165.746,206.858,243.4,279.777,297.325,329.538,378.178,436.308,522.93]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1793, 301, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.9694,5.68986,7.31823,5.60213,5.57845,5.85632,4.84975,5.7243,8.46937,13.2177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.5187,11.8289,12.9785,13.9668,14.9149,16.1271,17.4181,18.5799,19.7248,20.6678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.16312,4.24833,6.79277,7.23176,6.20375,7.16056,7.34781,12.9341,19.0768,26.5186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1294,11.1218,11.9457,12.6962,13.4691,14.2013,15.0609,16.0503,16.8025,17.4793]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1794, 302, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.840106,2.42634,3.12231,2.39752,2.37831,2.49375,2.06993,2.43941,3.62155,5.63884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.48002,5.04074,5.53276,5.95078,6.35923,6.87401,7.42349,7.91947,8.41246,8.81366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.920965,1.8078,2.89525,3.07419,2.64757,3.05878,3.13295,5.50588,8.15334,11.3129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.31344,4.73955,5.09378,5.41151,5.74574,6.04707,6.41766,6.83951,7.16314,7.45284]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1795, 303, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.24432,3.59744,4.6271,3.53563,3.5274,3.71034,3.06672,3.62444,5.34481,8.35875]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.65994,7.48495,8.21123,8.83852,9.43572,10.2058,11.0211,11.754,12.4741,13.0717]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36876,2.69112,4.29505,4.5805,3.92039,4.52182,4.64147,8.1869,12.0479,16.7626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.4134,7.03846,7.557,8.03295,8.51771,8.99197,9.53086,10.1569,10.6302,11.0563]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1796, 310, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.37,15.8378,14.1929,13.3943,9.25215,7.94906,9.55998,3.2984,7.86885,12.4045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[907.909,937.36,890.202,873.828,899.713,919.297,850.844,878.322,788.72,791.894]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3764,2.87511,2.85321,2.82295,2.45633,2.98613,4.00398,7.20742,12.1228,20.0133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[548.174,406.848,351.02,360.761,402.271,417.729,461.182,513.363,581.832,652.808]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1797, 284, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.37,15.8378,14.1929,13.3943,9.25215,7.94906,9.55998,3.2984,7.86885,12.4045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[907.909,937.36,890.202,873.828,899.713,919.297,850.844,878.322,788.72,791.894]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3764,2.87511,2.85321,2.82295,2.45633,2.98613,4.00398,7.20742,12.1228,20.0133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[548.174,406.848,351.02,360.761,402.271,417.729,461.182,513.363,581.832,652.808]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1798, 274, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.17916,21.0979,23.9196,19.7207,20.9657,22.0298,23.8649,28.7763,52.8534,76.0625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[457.274,710.353,741.939,640.899,569.059,546.487,534.539,463.866,377.499,287.58]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.7857,124.166,152.575,142.296,113.111,112.298,131.199,207.158,290.873,377.514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1143.6,1791.22,1940.52,1799.79,1698.65,1711.2,1767.54,1561.48,1377.47,1102.09]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1799, 275, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.81617,18.7119,20.2318,16.8626,18.7248,20.1073,21.9926,27.4144,51.2944,74.5414]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[292.105,359.049,356.501,344.289,352.125,394.289,429.092,398.991,339.926,268.243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.8233,120.62,149.914,139.574,109.969,109.719,128.458,204.311,288.572,375.239]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[873.236,1113.72,1171.12,1203.65,1298.34,1454.92,1598.23,1452.8,1308.73,1063.68]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1800, 276, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4096,2.46525,3.79971,2.92596,2.29812,1.99242,1.9493,1.45328,1.74754,1.85469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[165.175,351.313,385.454,296.63,216.97,152.266,105.555,65.0192,37.7602,19.5641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34385,5.30353,3.55156,3.25993,3.69218,2.8268,3.04671,3.43854,3.03525,3.26147]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[270.394,677.583,769.459,596.196,400.434,256.398,169.478,108.899,68.9903,38.7168]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1801, 277, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.58975,3.97351,5.88001,6.09933,7.44316,7.89501,9.39386,11.0329,24.0503,36.6486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[445.139,473.493,653.302,807.155,935.703,1100.76,1302.99,1545.43,1656.39,1998.61]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.7407,27.5159,31.5343,32.7942,32.6751,35.648,39.5986,49.3364,66.0088,91.4253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[528.142,596.332,876.274,1080.59,1234.54,1436.02,1672.96,1980.41,2141.12,2565.97]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1802, 278, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00891645,0.0247742,0.0335093,0.0319528,0.0769656,0.112766,0.23657,0.420284,1.19984,1.75399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00260064,0.00706148,0.00945257,0.00792311,0.01714,0.0231716,0.0492864,0.0799185,0.236621,0.329895]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0447836,0.070117,0.118548,0.12855,0.177468,0.359698,0.872506,2.22517,4.27962,7.61956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118625,0.0163067,0.0287917,0.0321672,0.0440412,0.0747847,0.178356,0.466143,0.854953,1.45345]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1803, 279, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.337174,1.33871,1.85689,1.90942,3.05793,3.40523,4.34225,4.90398,11.6424,18.2275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.2132,45.006,34.0548,30.1893,30.1391,32.3353,36.1961,39.7153,42.7197,45.241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.275175,0.612192,1.22564,1.55716,1.46108,2.02779,3.37141,7.44526,15.7304,24.7881]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.547,44.1705,34.241,30.1608,29.7934,31.8304,35.6535,39.4362,42.8075,43.8358]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1804, 280, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.24366,2.61002,2.8617,3.15985,3.22556,2.9951,2.88993,2.95603,2.67182,2.59103]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4207,26.8335,28.8942,30.1778,30.0931,31.5307,32.3378,31.5554,29.7076,27.7159]}', '', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1805, 313, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.8811,45.546,39.423,25.7915,18.5933,14.7784,12.9568,8.72086,16.4772,13.9597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[492.965,653.293,695.114,726.963,744.408,766.199,786.758,778.235,735.436,642.177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37643,3.75055,3.22735,2.30709,1.66095,1.30217,1.41408,1.54793,2.20095,2.18115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.5602,99.899,96.9113,92.2112,91.0239,92.3077,93.8261,87.773,76.1445,59.7605]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1806, 314, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02401,3.16234,2.12972,1.16758,1.06107,1.0089,0.940106,0.847441,1.61871,1.36917]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[122.041,132.251,129.299,125.762,125.44,127.731,130.511,126.599,117.533,99.0311]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37643,3.75055,3.22735,2.30709,1.66095,1.30217,1.41408,1.54793,2.20095,2.18115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.5602,99.899,96.9113,92.2112,91.0239,92.3077,93.8261,87.773,76.1445,59.7605]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1807, 304, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.735491,0.736483,1.15335,1.34686,1.68617,2.87577,5.55426,7.92868]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1973,3.00416,3.90031,5.06734,7.08523,8.98682,11.1116,12.8266]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.601349,0.786743,0.816729,1.26716,1.94422,4.09999,6.4504,10.0725]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.64176,3.57136,4.5999,5.82221,8.0481,10.208,12.5995,14.4325]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1808, 306, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.6739,16.0351,24.6973,30.9861,41.7426,74.045,151.98,222.777]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[195.58,251.302,314.014,391.387,498.378,641.164,810.171,1001.11]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9521,14.3556,14.7615,24.3119,36.7035,85.9609,148.725,246.397]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.717,202.756,244.779,292.531,354.782,445.091,544.372,640.169]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1809, 307, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.177891,0.152968,0.163936,0.208249,0.290694,0.419909,1.34095,2.27378]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.173342,0.126108,0.127865,0.23467,0.410169,1.11416,2.26691,4.6045]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1810, 309, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.5194,5.41418,8.37778,10.6317,15.6395,27.1438,54.5877,81.435]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.20884,12.8539,20.3136,29.067,44.7752,60.4373,81.1319,103.86]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.90386,4.33476,5.48078,8.63701,14.6023,34.214,57.9964,96.497]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.3173,7.74565,15.1012,20.0542,33.8125,50.8836,73.3565,95.2998]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1811, 305, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00557935,0.0242833,0.0272445,0.0523933,0.16854,0.304189,0.972711,1.45274]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00177561,0.0052505,0.00384097,0.00798315,0.0312891,0.052042,0.196091,0.266972]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0187674,0.0227126,0.0416133,0.162305,0.375259,1.09819,2.30167,4.26261]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00573221,0.00679704,0.0128109,0.0343051,0.0713962,0.226039,0.441149,0.773156]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1812, 308, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.51382,5.3899,8.35054,10.5793,15.4709,26.8396,53.615,79.9823]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.20706,12.8486,20.3098,29.059,44.7439,60.3852,80.9358,103.593]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.88509,4.31204,5.43917,8.47471,14.2271,33.1158,55.6948,92.2344]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.31157,7.73885,15.0884,20.0199,33.7411,50.6575,72.9153,94.5266]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1813, 271, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.84694,3.02537,6.43336,7.11656,13.8678,29.7771,93.3584,162.502]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.97317,42.912,60.5827,40.9632,97.0366,170.257,808,907.201]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.426925,20.6181,24.6591,36.5389,61.2109,152.558,289.016,504.009]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02812,325.148,408.944,589.223,705.371,1073.83,1475.76,1792.77]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1814, 272, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.84694,1.89416,2.95257,3.51826,4.46604,7.53401,13.1142,18.5216]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.97317,4.59558,6.51437,8.82824,12.3829,16.4591,19.264,22.4801]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.426925,0.574528,0.530747,0.701245,0.964872,1.81034,2.55254,4.19393]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02812,1.59337,2.04696,2.33664,3.12476,3.77279,4.19389,5.15585]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1815, 265, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.6729,9.56618,18.2072,24.3679,41.4369,74.2689,174.257,257.925]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.5029,128.453,218.115,320.936,461.346,562.47,713.646,814.39]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1718,13.8362,18.3648,24.1088,47.4601,92.6188,178.558,264.478]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.6448,147.343,258.152,375.173,567.53,637.752,813.128,848.96]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1816, 266, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0394,1.06662,2.25154,2.58278,4.55186,9.333,23.4612,38.6483]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.76031,6.04291,12.3649,17.3672,36.8532,51.8742,79.1026,94.0164]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.74273,0.886656,1.78619,2.79758,4.62688,9.77829,16.0331,27.3489]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.1125,5.00587,13.0881,18.3318,27.1987,38.6624,48.249,56.6178]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1817, 267, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.4191,30.481,55.6326,67.9633,105.992,172.538,371.566,550.338]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.7702,76.9766,148.791,205.846,357.608,437.257,641.265,788.698]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6767,29.4818,37.0017,55.747,98.0464,209.598,385.434,620.478]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.0268,54.8373,109.779,140.713,256.867,353.779,564.707,703.449]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1818, 268, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.982,14.7089,29.8847,37.3049,57.6763,93.925,191.717,287.268]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.697,191.716,395.04,620.746,1006.28,1238.15,1415.37,1547.7]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.10817,7.36855,11.0528,20.2207,31.0319,66.2812,101.48,158.605]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.699,92.2525,189.128,280.58,422.436,533.121,600.239,650.456]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1819, 286, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.7806,28.0506,44.2237,57.7545,79.1096,141.065,284.183,418.121]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.1644,112.865,169.276,243.992,338.762,441.535,557.81,665.624]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.0862,28.9747,32.4313,53.2212,85.9195,194.931,335.937,544.154]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.3351,110.837,176.359,250.642,359.078,491,639.39,765.139]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1820, 287, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7584,15.5259,25.8055,33.2154,46.5549,85.234,167.857,230.901]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.0195,25.1337,36.4841,51.2302,77.3603,111.584,151.233,174.3]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6388,15.563,16.5697,27.9294,44.8586,104.836,182.587,280.354]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.3601,29.1891,42.5208,59.5813,90.6767,133.751,183.135,215.537]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1821, 288, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.92462,0.827556,1.13457,1.29329,1.49011,2.34005,3.69525,4.56811]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.801578,1.04844,1.27912,1.54158,1.9891,2.43845,2.9034,3.08439]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.702617,0.906049,0.795513,1.17144,1.5024,2.89586,4.33065,5.83814]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03514,1.38847,1.71496,2.09022,2.74694,3.39538,3.99864,4.27438]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1822, 289, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.314675,0.254139,0.317707,0.3583,0.302778,0.216682,0.204712,0.146651]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.56916,1.95658,2.41099,2.98735,2.57248,1.29513,0.719747,0.44607]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.312735,0.35128,0.301889,0.40798,0.437076,0.464825,0.382513,0.325087]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.08666,2.72898,3.36428,4.00459,3.71227,2.31546,1.38169,0.821074]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1823, 290, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.29112,3.66105,6.05111,7.08447,8.39338,17.124,37.4855,60.9124]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.6753,25.7909,38.3968,55.2181,83.3107,120.258,161.081,196.333]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.45152,4.66982,5.33735,8.74395,14.253,30.5262,52.5438,86.5912]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.9193,29.6722,44.2319,63.1416,93.9414,136.778,183.584,222.701]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1824, 291, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0732838,0.0757529,0.13819,0.24934,0.431304,0.66921,1.61168,2.6229]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0331887,0.0366174,0.0633027,0.114131,0.222673,0.305096,0.677017,1.08205]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0728503,0.111432,0.132197,0.145492,0.408906,0.941508,1.85859,3.32431]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0383836,0.0636337,0.0812142,0.0996581,0.240154,0.526236,0.99567,1.71293]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1825, 292, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0190472,0.0196552,0.0363536,0.0662162,0.115483,0.178107,0.422663,0.688015]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.53969,7.37257,11.1989,15.7732,19.8408,22.6232,24.3469,25.0283]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0207694,0.0326139,0.0388276,0.0430394,0.122185,0.280648,0.545076,0.971825]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.14329,8.51069,13.0452,18.2513,22.7289,26.2576,28.2323,28.8425]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1826, 293, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01974,1.08102,1.75004,2.02536,2.37248,4.49123,9.53006,15.0447]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.5296,32.4349,47.4724,65.7731,84.6735,102.894,117.719,130.018]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.99326,1.29011,1.44296,2.24449,3.55928,7.32902,12.1277,19.5522]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.6519,31.5289,46.5005,64.3821,82.2315,100.924,115.463,126.516]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1827, 294, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.44567,1.83158,2.50472,2.90573,3.44581,5.57308,10.8567,14.9295]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.5241,23.5586,34.072,45.2341,55.3322,64.4702,68.8392,69.8664]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.73357,4.16006,4.13159,5.8079,7.98079,15.9073,26.2935,40.2439]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.6927,30.606,47.1972,65.6414,85.8031,107.854,128.077,136.104]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1828, 295, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.487215,0.473954,0.689296,0.729162,0.746783,1.21298,2.12744,2.7015]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1938,3.2266,4.22165,5.36545,6.83994,7.86407,8.33923,8.01938]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.657019,0.800553,0.822875,1.19214,1.71233,3.09082,4.38767,5.885]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.25049,4.88006,6.53696,8.36176,10.8552,13.0366,14.281,14.0461]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1829, 296, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111169,0.113978,0.207203,0.36699,0.633518,0.998327,2.43461,4.02528]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0506177,0.0542881,0.0951115,0.169542,0.325667,0.452596,1.0236,1.63912]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111199,0.169513,0.199719,0.217028,0.610772,1.41988,2.83205,5.15479]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0605462,0.096028,0.122061,0.148548,0.354779,0.79263,1.51719,2.68072]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1830, 297, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.96993,2.14471,3.47515,3.99379,4.64474,9.2129,19.5906,31.0567]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.07064,2.73788,3.07535,4.92237,7.86986,16.4519,27.5925,44.1425]}', '', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1831, 298, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08077,1.17009,1.87754,2.1383,2.45055,4.85909,10.3193,16.335]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.15588,8.24546,11.9066,16.5835,24.2848,34.1094,44.3619,52.4446]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15151,1.50764,1.66767,2.65344,4.21336,8.75967,14.7006,23.2571]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.94971,9.59172,13.877,19.2037,27.7322,39.2706,51.1809,60.2511]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1832, 299, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.208708,0.217908,0.350761,0.399324,0.44028,0.846756,1.69433,2.57757]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.988131,1.55679,2.21036,3.05017,4.32204,5.83741,7.26211,8.24333]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.203067,0.26512,0.284571,0.451322,0.677132,1.37406,2.1762,3.27301]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.05075,1.67366,2.40846,3.28202,4.62148,6.20343,7.67851,8.59057]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1833, 300, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3556,12.6726,18.7247,25.4537,34.7968,58.7524,115.864,172.486]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2347,30.5747,46.0106,70.7032,101.934,132.671,174.813,222.69]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.3871,11.7219,13.8864,22.9993,36.6803,82.7099,137.48,227.116]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.5706,21.0644,38.7258,54.7991,87.8584,127.853,181.029,233.959]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1834, 270, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.38174,5.48032,8.96111,12.2436,17.1956,33.2626,74.3005,121.66]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.3261,63.0785,94.1356,132.555,177.411,225.48,282.578,334.118]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.49119,4.5793,5.20574,8.03294,13.8826,29.6086,56.1329,100.686]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.9326,53.3763,79.4987,111.29,148.082,191.687,242.961,289.026]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1835, 283, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12791,0.998111,1.0827,1.38192,1.92511,2.75256,8.53628,14.0761]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[122.863,152.449,186.277,224.159,273.346,329.582,389.45,449.15]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29594,0.930636,0.943378,1.72974,3.01692,8.11057,16.2911,31.3017]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[179.681,217.206,255.73,297.507,353.134,419.502,496.854,550.944]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1836, 273, 237, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.13121,3.48078,3.5983,9.40181,22.2431,80.2442,143.98]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.3164,54.0684,32.1349,84.6537,153.798,788.736,884.721]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.0435,24.1284,35.8377,60.246,150.748,286.463,499.815]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[323.555,406.897,586.887,702.246,1070.06,1471.56,1787.61]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1837, 269, 237, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.11577,2.25009,3.98221]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.3546,64.4552,71.288]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.36257,4.96046,12.056]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.9956,101.778,136.07]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1838, 315, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.8533,44.1459,38.4836,25.2766,18.1049,14.3055,12.5078,8.29616,15.6796,13.2478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[390.987,547.561,592.789,628.443,646.498,666.319,684.324,679.011,643.382,564.567]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1839, 281, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.5222,107.594,137.582,176.015,178.139,214.657,257.145,345.811,312.863,524.675]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.646,159.658,205.559,261.282,260.964,310.807,361.711,480.174,452.854,760.439]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1840, 282, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[300.401,320.885,358.793,448.495,541.13,629.58,736.259,830.245,911.126,979.213]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[344.937,392.487,456.763,571.907,688.008,795.8,922.283,1040.83,1147.74,1209.3]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1841, 1, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.157885681,380.100665243,945.735318556,1536.650448372,1674.193952097,1718.234132789,1599.948842966,1264.927807156,929.199398524,751.790765979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[385.830212665,1268.238849213,3006.575685309,4801.201082214,5663.071948406,5347.099331825,4655.801726544,3381.151996552,2530.612644342,1960.02333686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.311913179,154.99288583,574.187492348,1345.347323425,1892.531655099,2252.482407212,2350.847496959,2025.588393118,1613.760570002,1411.260275528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[261.310478433,840.599758489,2375.038256434,4431.624245014,6490.881751406,7016.44260834,6608.525161301,5118.088212371,3640.452994393,2753.746473735]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1842, 2, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.329659102,225.645741761,421.153451419,357.055928374,245.311286525,127.858336874,89.697752286,75.512479757,89.889711129,112.107210115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.486182326,230.986345698,551.519446995,697.926203617,608.511656484,492.291481695,410.104078254,334.611955676,243.194664102,173.932304805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.795433855,72.538650786,224.071668605,377.817798322,429.340638485,443.864873039,476.583321294,468.567544881,567.699372537,644.117715129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.967581255,190.448329729,514.212610885,764.280812537,901.847478263,996.948641466,1015.503181496,959.679652051,744.451073147,549.244486392]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1843, 3, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.828226579,154.454923488,524.581867137,1179.594519997,1428.882665572,1590.375796178,1510.251090279,1189.415327574,839.309687389,639.683555856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[315.344030339,1037.252503516,2455.056238314,4103.274878598,5054.560291921,4854.80785013,4245.69764829,3046.540040877,2287.41798024,1786.091032055]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.516479325,82.454235044,350.115823743,967.529525103,1463.191016614,1808.617534173,1874.264175666,1557.020848237,1046.061197465,767.142560399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[209.342897178,650.15142876,1860.82564555,3667.343432477,5589.034273143,6019.493966875,5593.021979805,4158.408560319,2896.001921246,2204.501987343]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1844, 4, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.076823186,9.582065078,33.567676627,75.944651638,91.141185819,99.725222074,93.483921165,72.855542877,51.167635607,38.765781985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.246876391,86.361904553,307.200171638,453.74531281,409.822151252,322.698007235,250.878104038,178.252548953,116.477330432,74.82189369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.714104959,6.221230884,27.888429644,79.447319195,121.545335469,151.151932002,156.986353833,130.332160715,87.642739306,64.057613741]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.656655822,50.767462046,251.176462653,468.692536731,605.556639877,661.775000141,639.876269766,536.947003149,371.368741069,249.228603828]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1845, 5, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.751403452,144.872858509,491.014190871,1103.649868181,1337.741482172,1490.650574142,1416.767169565,1116.559784423,788.142052568,600.917773015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[305.097153948,950.890598962,2147.856066676,3649.529565788,4644.73814067,4532.109842895,3994.819544252,2868.287491924,2170.940649808,1711.269138365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.802374342,76.23300416,322.227393538,888.082206684,1341.645680257,1657.465605399,1717.277821058,1426.688686466,958.418458399,703.084947328]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[204.686241356,599.383966714,1609.649182896,3198.650895746,4983.477633266,5357.718966734,4953.145710039,3621.461557171,2524.633180177,1955.273383515]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1846, 6, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.436151523,198.634766145,384.956184862,333.583278645,233.812783632,128.342726189,90.086764901,79.594785909,105.890180929,170.381051944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.587887872,123.147557109,136.889350903,149.756236332,160.285512226,163.238253966,156.682230539,151.68652799,143.633352888,141.507554563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.714812874,50.08447709,147.486482528,242.652754613,272.54278381,275.456510038,297.432768118,304.457228708,389.340652098,528.57226091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[174.266870715,168.73283483,165.818083631,162.922219791,160.294544714,158.643194904,157.566553759,155.080507771,150.088501746,149.899621658]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1847, 7, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.526839148,87.781978232,166.44540426,143.59006229,101.812637709,58.008869198,41.02705952,36.355269806,48.31140588,76.240702112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.29891017,9.623139112,21.779263635,33.915243624,46.174235547,52.22022733,49.852548386,47.504672405,44.869801761,47.47738807]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.817635501,17.945447456,55.225017158,94.234601333,105.044062747,106.53768653,112.597519512,113.096205604,142.865953906,184.202045526]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.95667047,46.97641355,44.04902032,41.077103518,37.629367226,36.440964311,37.722736435,39.08221054,40.857744237,45.831100525]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1848, 8, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.183611123,2.425809925,2.188367227,1.596717185,1.238793168,0.9074369863,0.8143342545,0.8440105994,1.050415459,1.411425026]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.354836794,1.262229964,1.146836398,1.0282008,0.9063520784,0.8255844519,0.7863659895,0.744329941,0.6995539885,0.7610838401]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.870732377,2.980582611,2.622419032,2.132010591,1.832197846,1.530488701,1.382828096,1.399799587,1.476104403,1.658846697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.693745354,1.570610391,1.459468897,1.344958216,1.229164741,1.129897481,1.046921474,0.9668699592,0.8890138558,0.9324737935]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1849, 9, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.974865828,88.846000406,184.474315941,161.237932207,113.296963451,60.875842767,42.424426456,38.153017515,51.352170325,86.484371912]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.617615623,7.566589249,5.884422696,4.334783568,2.921128756,2.191373297,2.41688834,2.727990625,3.030024206,3.295512803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.283510512,20.765479776,71.411039259,120.373826387,138.330804228,143.820844641,161.11259854,170.821833508,224.668103116,319.153185714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.024619669,2.746470357,3.218058196,3.585496902,3.967081341,4.541803678,5.436401676,6.23338767,7.104849226,7.982345152]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1850, 10, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01772349273,0.1081231131,0.2287753164,0.1845332625,0.1449354681,0.08410733469,0.07339373554,0.05790417216,0.08165103749,0.1189133108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.583891192,23.649728501,22.898160331,22.110984955,21.21389403,20.536155587,19.651227873,19.046353668,18.348609817,17.638498606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02423873983,0.05430567879,0.1372599378,0.2150675151,0.2144396828,0.2307153195,0.2956181669,0.2385485757,0.3344312051,0.3985133788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.923761685,26.695530127,25.703696469,24.661023167,23.60639016,22.715171369,21.94567602,21.082726191,20.292303126,19.403141924]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1851, 11, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01611785538,0.03939023601,0.06818362498,0.04067778416,0.01869403223,0.02601901386,0.01197550076,0.02162649432,0.0572921744,0.0562299391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.80240196,30.8438584,27.51165042,24.741997512,24.241078259,25.455475742,27.918875649,30.646266423,30.274963861,27.486606613]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0238142344,0.02827102723,0.05664815559,0.02351401561,0.04788010733,0.03805527205,0.04869860635,0.08283638909,0.1717143403,0.2454132993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.786859401,33.467244022,28.862328515,25.310422211,24.305807249,24.927308316,26.9225653,28.853309791,26.262580816,22.109687113]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1852, 12, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.253705998,17.453432076,29.408404745,25.176489331,16.052407479,7.734036477,5.167106239,3.6012518,4.16361163,5.060799059]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.894979285,46.466427239,53.312350341,58.808462995,59.517134572,56.108384989,49.327611784,43.260316389,37.69571844,35.190705292]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.203004265,7.045736993,16.484100734,23.939577613,25.195602543,21.418905377,20.068634322,16.844651945,16.898021913,19.713925756]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.559439863,53.485081305,58.328195639,62.377220171,64.295748846,62.595262051,57.151662967,50.517086442,45.360823162,43.696600811]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1853, 13, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6966659935,2.951079772,4.875892568,4.204923543,2.717864115,1.321009132,0.8744236662,0.6298632661,0.756689379,0.929400769]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.104515115,10.432653446,12.029083958,13.565060719,14.496487448,14.806623114,14.664167089,13.809030279,11.370969367,8.995481512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9388909833,1.365381239,3.384762344,4.973244095,5.119881432,4.3871693,4.166649298,3.512484193,3.650481428,4.317128946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.667287243,13.720194714,14.792877485,15.550199106,16.976408339,17.816569294,18.612684155,17.623388354,15.065088855,12.896920408]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1854, 14, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7868570714,2.541807698,3.712996815,2.800529831,1.654305156,0.7534031123,0.5010361581,0.3515660212,0.4144314374,0.4972635885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.407589254,12.937192735,13.156763113,12.855411613,12.2058486,10.803493835,9.111285025,7.730982969,6.100171927,4.945408748]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9521206286,1.079115537,2.18443869,2.891172144,2.946708201,2.438835342,2.194931122,1.825876504,1.911830976,2.195712496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.435407947,15.967153142,15.865999345,15.405755207,14.354692505,12.628319657,10.676582515,8.661362536,7.429577552,6.060349957]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1855, 15, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.579774394,6.208304474,9.973589026,8.18054008,5.084127092,2.433802549,1.661759736,1.146143483,1.262343517,1.498382591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.331481266,10.194369405,11.091482766,12.110328515,13.160606235,12.802524645,11.93849229,11.658318545,11.196413734,11.613519564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.977207589,2.610849169,5.964986691,8.418292564,8.564101529,7.055323613,6.533246078,5.253525154,4.975237323,5.772370566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.629097497,10.272127644,11.105707952,11.806501637,12.66390793,13.087180864,12.676318707,12.5355366,12.302761923,13.500734235]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1856, 16, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.190408545,5.752240107,10.845926358,9.990495864,6.596111112,3.225821674,2.129886678,1.473679034,1.730147297,2.135752112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.05139365,12.902211653,17.035020503,20.277662148,19.654192289,17.695743395,13.61366738,10.061984595,9.028163413,9.636295468]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.334785065,1.990391058,4.949912992,7.656868824,8.564911423,7.537577121,7.173807818,6.252766086,6.360472183,7.428713781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.827647176,13.525605805,16.563610858,19.61476422,20.300740073,19.063192236,15.18607759,11.696798953,10.563394832,11.23859621]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1857, 17, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3197017284,0.9246597865,1.418781988,1.27970069,0.9291045841,0.4620216343,0.383079312,0.3435561726,0.5577078196,0.632249119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.97093504,2.272742941,2.506131402,2.653121722,2.861388469,3.138133934,3.375281303,3.57575298,3.744229425,3.87627936]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3983630555,0.4672433538,1.002727777,1.104600844,1.300207181,1.296892201,1.22603191,1.176916945,1.616109657,1.851021359]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.431685288,2.627763406,2.73534187,2.829694134,3.250341289,3.96104448,4.585523324,5.067771211,5.362531186,5.471959053]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1858, 18, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008382203902,0.02292189418,0.03396998855,0.03780029141,0.02491284252,0.01571204839,0.01556493661,0.009740779339,0.009048780675,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001832973647,0.000490952656,0.0008360792014,0.0009891338806,0.0006956087137,0.0004199835932,0.0004029047926,0.0002323306678,0.0002144212703,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01053699417,0.01283344281,0.02372543667,0.03378234857,0.03783328127,0.05011618639,0.06119276746,0.04128488444,0.03884446647,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001811070366,0.0002812982237,0.0004872910926,0.0007536574736,0.0009468148692,0.001165640845,0.001219049399,0.0007676512903,0.0007427003572,null]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1859, 19, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02831569529,0.035168305,0.02363137353,0.0147692977,0.01076293652,0.008207466992,0.008021570411,0.01049084464,0.01588689831,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08450633122,0.07677803641,0.05487427814,0.04405751274,0.03831450599,0.03749361559,0.04012373744,0.04968098618,0.05955127869,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03032051817,0.02526106353,0.01720408449,0.01407037091,0.01076563709,0.01533703518,0.01539649896,0.01395845532,0.02887525624,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07998073001,0.0592127473,0.042838921,0.04003732888,0.03299832573,0.05021117869,0.04903591306,0.04235103428,0.07444667091,null]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1860, 20, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.067134269,0.09338336114,0.1188806472,0.1211258298,0.096125433,0.116358515,0.08559891459,0.1240404624,0.1970716159,0.3170065958]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006565928722,0.006446962333,0.005895519728,0.005222898511,0.004380386533,0.004681465115,0.003967646727,0.004662364157,0.006184913097,0.008811714458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1457868603,0.19935556,0.2012829941,0.3756598382,0.3737358334,0.3885231758,0.4993113568,0.6069991537,1.032000001,1.276755682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01063242293,0.01130948507,0.009987999125,0.01383192013,0.01322839221,0.0132597851,0.01546191998,0.01761522669,0.02675090599,0.03153527461]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1861, 21, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.027845534,0.8813262763,0.5106056443,0.2736911735,0.1556647098,0.08707712392,0.05690482341,0.0534373211,0.06202159538,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09686767161,0.05837424652,0.03587609327,0.02501216859,0.01706941313,0.01218610112,0.008732426593,0.007795056083,0.007101824481,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8945210399,0.5397971534,0.2691572966,0.1701798482,0.1181572839,0.1006544074,0.09630525099,0.1012949542,0.1542794824,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07498743912,0.03940924465,0.02101193505,0.01522574266,0.01137173271,0.01022575941,0.009640686954,0.009237323577,0.01212473801,null]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1862, 22, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01190864685,0.02257253426,0.03686410488,0.02977930237,0.0317818195,0.01703762361,0.01929963746,0.02043994167,0.03189771358,0.05935486994]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8761945792,1.320751506,1.75305371,2.088159442,2.3898406,2.70813747,3.300204498,4.118474822,4.897398951,5.772668264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01234877701,0.02016297414,0.03590066257,0.03586390868,0.03709743858,0.02829119028,0.0286330902,0.03289870754,0.05621435152,0.0725534978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.724307285,1.053508897,1.387647578,1.666452824,1.952098596,2.256880854,2.679708993,3.207174731,3.844591121,4.440778012]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1863, 23, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.061054463,6.207259404,10.682878554,9.203327061,6.07466887,3.156009722,2.019530242,1.555867943,1.397871553,1.569750736]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[268.177722467,281.024046731,275.330115782,267.169636782,258.410171322,249.498754544,231.118422008,212.771002063,214.982496419,217.743591572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6779126255,1.710655712,4.901267845,6.947756921,7.472019193,6.354461251,5.743333208,4.946976371,4.35795083,4.486529818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[202.713186478,209.486752435,210.479831792,210.786689092,210.594569923,211.920486103,212.889872518,215.754130523,220.253035954,219.942681374]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1864, 24, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3468917105,0.2713927599,0.1953600644,0.1293555573,0.08168876377,0.05047220828,0.03178990267,0.02021621552,0.01216907073,0.006610082142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3123746195,0.2450126391,0.1792220632,0.1166203089,0.06277881954,0.0285328512,0.01211059463,0.004849413008,0.001645109428,0.0004418232781]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1865, 27, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01202852163,0.09317425958,0.2645521465,0.2707934341,0.1769399141,0.08518429467,0.05207784397,0.03914362632,0.04187406949,0.04783711525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.010859226,57.798494497,51.73500857,44.042060147,39.10346132,35.671842894,33.090744647,31.382269044,30.392317558,33.63961409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01104256079,0.03404890032,0.1121166898,0.1894967427,0.1866374565,0.1587875385,0.1391219534,0.1176800531,0.1203933666,0.1111017069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.090619095,46.860465199,48.334217067,48.154429904,47.734887385,47.367191237,48.776596561,51.572830576,56.32639626,59.720916507]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1866, 28, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02646530907,0.1318832983,0.2746838817,0.2144045473,0.1404558267,0.06898157957,0.04365571216,0.03457349158,0.04257987736,0.05624555826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.000218247,8.875479088,8.094878958,5.585172133,3.274816242,1.747614898,1.354900076,1.525981344,1.648698888,1.736078266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02351315086,0.04663484509,0.112622039,0.1452234976,0.14336366,0.1244410162,0.1127745428,0.1005232363,0.1183968356,0.1263577466]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3194284324,0.6370906544,1.907726704,3.266421765,4.706606944,5.685378142,5.638959413,5.350895093,5.203027571,4.928656533]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1867, 30, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007446767507,0.01411169501,0.01630980455,0.01111384204,0.00953517385,0.006076410866,0.004930258585,0.004656199609,0.005385033149,0.006557810929]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01132934452,0.0139603576,0.01611547323,0.01942543565,0.02057356769,0.02047466242,0.02291574807,0.01895134291,0.02262704022,0.02315976829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:56:46', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1868, 31, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01828781262,0.02521312487,0.02796193691,0.02414247872,0.01703413717,0.02310215236,0.01225798837,0.02248236494,0.01499858817,0.03839295432]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001028997947,0.0001366871673,0.0001525791486,0.0001346623154,9.605571593e-5,0.0001297729809,6.76831449e-5,0.0001207877754,7.989981371e-5,0.0002224296576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0384655382,0.03708619921,0.04675866114,0.04353900151,0.03480660359,0.03738858475,0.05267660267,0.03360203231,0.04566170957,0.07733312181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000198127631,0.0001954002244,0.0002436738857,0.0002288769513,0.000185431358,0.0001939997691,0.0002738221305,0.0001713023518,0.0002335612974,0.0003923753185]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1869, 32, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02363510822,0.08636263933,0.2007635167,0.1624167413,0.1130595913,0.04065115671,0.0638047236,0.01493474818,0.03220730773,0.07058598646]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[213.330224286,208.765663405,210.925342471,214.044346598,212.827933139,209.831307201,195.157401315,178.667422054,181.581750758,179.879821438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03039705966,0.04022851837,0.1072651853,0.1287973637,0.1560783803,0.1082459706,0.1257026123,0.1610516005,0.07102500578,0.1132610254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[160.105406262,155.760165713,154.734448017,153.848664179,152.642465235,152.80157687,152.39294599,152.514718958,152.437013341,151.977346995]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1870, 33, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02363510822,0.08636263933,0.2007635167,0.1624167413,0.1130595913,0.04065115671,0.0638047236,0.01493474818,0.03220730773,0.07058598646]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.32476766,7.291062594,7.25690644,7.194150552,7.12090516,7.065561333,7.037706188,7.072492468,7.02001128,6.969834236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03039705966,0.04022851837,0.1072651853,0.1287973637,0.1560783803,0.1082459706,0.1257026123,0.1610516005,0.07102500578,0.1132610254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.323824763,7.268760161,7.26872522,7.164307751,7.144749807,7.122372333,7.069999734,7.058952464,7.022143491,6.936730048]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1871, 34, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.934363111,86.412337838,85.806016409,85.059370977,84.589475041,83.938057618,83.804791975,83.673338287,83.311898033,82.829305631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[87.101759872,86.76283966,86.352699226,85.609015354,84.997801382,84.513560981,84.019582728,83.826735186,83.343316726,82.812330188]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1872, 35, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[119.071093515,115.062262974,117.862419623,121.790825069,121.117552938,118.82768825,104.314903152,87.921591298,91.249841445,90.080681572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.679821627,61.728565892,61.113023571,61.075341075,60.499914046,61.165643556,61.303363529,61.629031308,62.071553123,62.228286759]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1873, 36, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6821709713,5.419181756,9.453979989,8.162515624,5.319200041,2.7037013,1.638098461,1.230613585,1.013063495,1.072877134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.409545922,5.235199365,4.30389136,3.296491117,3.05471311,2.134349338,1.424711157,1.120412775,1.297124266,2.435109487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3197968941,1.201574171,4.128908909,6.059919679,6.592831611,5.594824193,4.990106637,4.216186197,3.657703606,3.727939698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.827926646,5.92145115,5.25646253,5.331836947,5.382350388,5.976570379,6.013257213,6.260249634,6.239617637,3.275137424]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1874, 37, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.412947923,48.751091308,96.898435599,70.94400803,84.738981474,32.602073953,19.700624812,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.58104792,96.623715019,95.912035245,97.250643328,101.048223224,91.89471615,72.935664265,44.845344969,29.770808944,20.837972503]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1875, 38, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.077866974,5.012334811,10.43145475,9.047622028,13.607299931,4.785336892,1.54375807,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.279775043,13.781073213,15.340023443,13.788132032,11.275354415,4.516997091,0.7944547469,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1876, 39, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.530394697,5.907168315,11.06619054,7.93590732,9.615413298,4.670311662,3.904217887,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7036632449,1.12635715,0.9980720465,1.02407009,1.212521038,0.9383997245,0.6847970427,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1877, 40, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.929773116,7.13245948,12.714718248,8.597571118,9.952613861,3.268788227,1.369300086,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.042635811,4.680300615,3.080925441,3.382003812,4.753799246,1.982022332,0.1332256071,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1878, 41, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6007854611,2.694591973,5.550649629,3.855163109,3.902535547,1.298571317,0.6855034719,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.688383315,67.661322288,67.186619981,69.632479936,74.014086245,75.566853204,64.310447835,44.845344969,29.770808944,20.837972503]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1879, 42, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.678263884,7.421651824,15.242062126,11.204778167,12.958141541,6.247580148,5.368704108,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05958321556,0.1401815586,0.1264216298,0.1113713788,0.111348295,0.07128059977,0.01960154496,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1880, 43, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.171451427,4.899827239,9.054389265,6.522470235,8.140977344,3.031568589,1.592477492,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.80700729,9.234480195,9.179972703,9.31258608,9.681113985,8.819163199,6.993137488,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1881, 45, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.349020198,48.094925499,40.988753574,34.611877966,29.437876075,25.588278282,22.586104412,21.079629835,20.186300365,19.042824124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.055658311,40.840992813,36.614918748,31.513580387,26.018201875,21.736602169,18.278461415,16.378755068,15.666222083,15.199495323]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1882, 46, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.585156541,19.650320149,16.13597147,13.515421032,11.793938681,10.693626398,10.238812169,9.953713103,9.789698131,9.671773317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.842768039,21.995575997,19.068347359,15.950246385,13.684190484,12.486540142,11.919323438,11.671417997,11.589513395,11.494350026]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1883, 49, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.707617647,10.042373602,18.453622918,16.003985734,11.369303932,7.245732948,6.111593311,4.54826789,5.891664567,10.625729296]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[733.887709858,755.335761768,678.188957948,642.764875019,650.490907154,668.756352562,637.949943175,486.135585815,389.908768506,301.532009622]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.157098533,2.265699009,6.026216513,10.561666925,11.585530008,13.07796769,15.249069903,16.178110657,23.118295631,33.67015405]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[330.974075813,267.216483932,253.048698079,249.6849856,242.712392102,248.582406875,243.157800381,243.661190421,238.717364367,237.861242467]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1884, 50, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3886844061,2.091284808,4.237136347,3.542423483,2.678192729,1.71995187,1.414685816,1.542063827,1.814842144,3.603959148]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1395061478,0.7430131968,1.45011512,1.16253572,0.8979781177,0.6143605433,0.5024080065,0.5519725791,0.578478609,1.168135815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.342366759,0.7209534484,2.082795077,3.884699267,4.205830256,5.115861408,5.825482488,7.431001025,10.083193392,14.096808858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1218669707,0.2567690396,0.7109262143,1.292831957,1.411943101,1.666224887,1.908834845,2.415197004,3.257752916,4.444301854]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1885, 51, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004843630806,0.01988426776,0.03975437109,0.03988468816,0.01947427952,0.01122188608,0.006024011464,0.007322195523,0.01147128208,0.02126822482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[175.659354561,216.911151667,209.896288873,196.110464233,182.399022372,170.278113127,158.262737635,147.07222863,135.368143204,123.809187101]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004127222916,0.006109108138,0.01390570598,0.02147870334,0.01967794285,0.02073959383,0.01847373938,0.01754931613,0.03005538989,0.04075678717]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[114.597152487,142.148585051,138.248445288,129.656960835,120.598137045,112.355684452,104.759957268,96.975730862,89.542508319,81.841476993]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1886, 52, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.358129186,4.010033478,3.956108676,4.008502962,4.087216358,3.798899461,3.34723666,3.444385281,3.624591387,3.38661968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.800696232,2.591839814,2.48468995,2.488983377,2.477240792,2.257367148,1.975139461,2.076641524,2.259323969,2.182665608]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1887, 53, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.196360784,7.311777235,13.260842114,11.564147814,8.007303516,5.024784133,4.237117074,2.538257515,3.385451203,5.844355403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[553.725789573,533.645516209,462.836056474,441.442704602,463.075064962,494.043364144,475.819566601,335.04724385,250.315943507,173.126331257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7450709827,1.429196624,3.582878121,6.04160398,6.547380595,6.947340048,8.214530097,7.452599652,10.982502134,16.890361183]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[213.451614352,122.213530213,111.5887442,116.217640477,118.194023821,132.266111281,134.471460132,142.139189955,143.585167587,149.293338756]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1888, 54, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1177288264,0.6194273013,0.9158900407,0.8575297593,0.6643333877,0.4897750649,0.4537664092,0.4606243545,0.679899929,1.156146517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004930390102,0.02604721736,0.05038880443,0.04066750206,0.03162534462,0.0216152868,0.01799427196,0.01975547437,0.02161179845,0.0417357697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06553356958,0.1094398317,0.3466376093,0.6138849709,0.8126412335,0.9940266344,1.190583581,1.276960644,2.022544723,2.64222722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002745771417,0.005759815402,0.01589242707,0.02856895457,0.03104734263,0.03701910694,0.04240867432,0.05443107589,0.07261157606,0.09945925534]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1889, 55, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.189270934,14.099056628,25.940553622,21.663131702,14.841715437,8.091074441,5.855035393,4.822795907,4.927129131,5.790813075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.111101306,68.783577781,77.673083367,80.46770009,74.949585825,64.974082004,51.692218407,37.042165379,32.788310883,31.322527082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9383188564,3.041709583,11.250907816,17.426633026,19.121529483,17.323907519,17.983066093,15.019681961,17.029308421,17.78329047]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.55562464,115.937787358,105.850784304,93.737510777,78.587177516,63.526115015,49.90632867,39.567079181,34.150672589,28.430265148]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1890, 56, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3116760407,1.586366212,2.975760238,2.315194258,1.762707758,1.035976326,0.7217347756,0.4877018724,0.5642237046,0.5770175233]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.65808182,53.347500363,62.742695861,65.866640349,60.739267897,52.685701808,41.194010441,27.613262406,23.746061561,21.457286312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01830484126,0.05927212012,0.1754923482,0.3371785954,0.4437198822,0.4812314212,0.5152449481,0.6052982283,0.6541723896,0.8425386945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.285819517,99.150276521,89.215754927,75.631321411,60.410811646,46.137574682,34.053720848,24.443813214,19.661336495,16.716697514]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1891, 57, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1075563861,0.6220700355,1.180522519,0.9722864081,0.7166639376,0.4398224407,0.3088725849,0.2325130592,0.3044685322,0.3244761862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.158463539,0.9085691118,1.851950766,2.935733273,3.746365684,4.238349949,4.749319751,5.217584954,5.59611296,5.924738675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008250400521,0.02759478807,0.08727184778,0.1794810744,0.2528411906,0.2889263656,0.3253922063,0.4179236003,0.4697451076,0.6277328024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06571894946,0.4046658199,0.972877371,1.549815835,2.01444698,2.323818191,2.516516873,2.758923169,3.101888468,3.583197426]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1892, 58, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07182208669,0.3322184541,0.5954044789,0.4422385686,0.3414785885,0.1976807807,0.1342274975,0.08224481299,0.08026259308,0.07452864673]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.004415541,13.671531733,13.260236264,12.320055912,10.972314523,9.408594405,7.481956428,4.123093464,1.894656677,0.3179448386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.1966121,65.045589327,57.608736191,46.917175637,34.622431997,23.567304901,15.283082275,8.241254571,3.435779841,0.2808866372]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1893, 59, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06533202026,0.3211476013,0.6156751805,0.464806565,0.370073473,0.210244419,0.1490479129,0.09382691038,0.1010208032,0.1018428946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.646445995,8.178453876,7.697514119,7.054491694,6.111291291,4.923928401,3.315362383,0.739114662,0.4265482404,0.2568419692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005344210171,0.01710346624,0.04906445345,0.08720709767,0.1057028574,0.106680599,0.1062033013,0.1114285625,0.1145076478,0.1407880233]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.81949237,27.350003137,22.105470315,16.859001394,11.796506719,7.179859477,3.025102602,0.418802864,0.1349109787,0.003129686986]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1894, 60, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.077023672,16.839899554,24.015806165,26.686408674,22.273372503,16.227206491,8.438689769,2.237087719,0.7515105536,0.06562084777]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1895, 61, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06696554795,0.3109301225,0.5841580615,0.4358627129,0.334491757,0.1882286829,0.1295867821,0.07911709032,0.07847177627,0.07616979556]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6781921026,1.406767203,2.258292932,2.967730139,3.140320374,2.959963463,2.304028287,0.4803917771,0.3328817139,0.2445724149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004710230566,0.01457386579,0.03915604686,0.07049042303,0.08517583449,0.08562445732,0.08364944095,0.07594606593,0.06991963382,0.07401786812]}', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1896, 62, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3235321199,1.004676557,1.179888395,0.9888683956,0.7273340521,0.5488475499,0.4632334058,0.5165400383,0.6053312033,0.9003420144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.625956369,7.494771939,7.772282183,8.710262377,9.130693012,8.433037557,7.544873527,6.870386701,6.365329944,5.986113837]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1851351398,0.3189779031,0.8791089105,1.43639163,1.832958341,2.037666772,2.396270493,2.308163141,3.301112496,3.531848854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.285293528,8.350856187,8.903576077,10.170708969,10.412110147,9.575174219,8.435972145,7.609262458,6.958508064,6.455228849]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1897, 63, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0531073937,0.09520105185,0.09388885661,0.07327489185,0.04848600845,0.03464694106,0.0258884298,0.02104556978,0.01735267855,0.017291476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.573959819,4.604355025,3.61731385,2.819039163,2.239985304,1.786532149,1.400267026,1.083261015,0.8840422595,0.6799942664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03171494235,0.03692661024,0.07952480767,0.1053233951,0.1077136418,0.09755191735,0.09468988607,0.06604441159,0.06706064066,0.04626752669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.553993447,4.567496239,3.641972093,2.861436275,2.265271384,1.77594067,1.37425484,1.097423002,0.8695312052,0.6892322493]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1898, 64, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05514813216,0.1627675639,0.258165318,0.2792057614,0.2458779854,0.2441175093,0.2560501262,0.3224487485,0.4203334632,0.6905030922]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.207399393,1.802230496,3.111891479,4.928703329,5.919896436,5.763983138,5.254028857,4.834124471,4.421620429,4.084502252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05558975776,0.1075276767,0.3657918367,0.6736783852,0.9438638027,1.181706329,1.562243518,1.655955333,2.576630422,2.990715876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.628433189,2.356796265,3.891749443,6.005307402,6.941407576,6.73124666,6.020202657,5.380832785,4.889052782,4.44086407]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1899, 65, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005823964436,0.01108218116,0.01330908389,0.01391863973,0.01321475734,0.0136365822,0.01517054127,0.01942640003,0.02415516586,0.03421364387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1087364958,0.1101420797,0.1167558439,0.149195475,0.2028354184,0.2517982239,0.3419394963,0.4667143047,0.6251813552,0.8365783281]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005022106874,0.007647937795,0.02230922302,0.04074118128,0.05984380243,0.07644141215,0.0947490425,0.08677748906,0.1126233327,0.0995397007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1137823942,0.1351626784,0.1594673426,0.2094112142,0.2428089373,0.2701193431,0.3649584548,0.5156666048,0.6325784547,0.8304260656]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1900, 66, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2094526289,0.7356257598,0.8145251374,0.6224691009,0.4197553004,0.2564465173,0.1661243083,0.1536193191,0.1434898971,0.1583338024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7358606604,0.9780443375,0.9263210101,0.8133244098,0.767975854,0.6307240451,0.5486381477,0.486286911,0.4344859007,0.3850389901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09280833294,0.166875679,0.4114830431,0.6166486708,0.7215370951,0.6819671145,0.6445880473,0.4993859065,0.5447981055,0.3953257569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9890844984,1.291401004,1.210387199,1.094554078,0.9626222489,0.7978675456,0.6765561932,0.6153400669,0.5673456214,0.4947064646]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1901, 67, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006177557324,0.01360275444,0.02529358815,0.03984532777,0.05560754295,0.07751657644,0.1081992004,0.1420630693,0.1756876463,0.2167043918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01746731348,0.04192958503,0.08044819881,0.1265502167,0.1752218726,0.2414186893,0.2933566603,0.4132939752,0.5228815623,0.6337291968]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1902, 68, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.554062773,11.508013859,21.784904989,18.359069048,12.351673627,6.506250565,4.670067212,3.818553996,3.757574224,4.313453537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.82088556,7.927702726,7.132811735,5.850952036,5.024017373,3.777826062,2.845135239,2.416453203,2.501231732,3.662422541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7348788753,2.66345956,10.196306558,15.6530628,16.844851259,14.805009326,15.071550652,12.106220592,13.074023535,13.408902921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.967044281,8.394725065,7.651005101,7.80893018,7.589033851,7.571947425,7.123279016,7.100709534,7.007946468,4.624609589]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1903, 69, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.079601479,8.653715157,16.653918836,24.083625688,34.145207745,37.049489251,46.563380371,64.725733196,111.975650205,193.442853672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.283347401,10.339113094,23.558241064,33.324207241,43.604484259,43.995613842,46.643493425,54.154676777,78.97673978,120.443034629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.80040104,5.144179031,9.436855503,15.72676902,27.642022127,50.455207173,96.257337003,172.287303227,317.686180529,517.932694923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.525784326,4.328937439,8.26336086,12.348520024,20.087060377,33.804378253,62.171888747,112.612477807,222.719614928,398.421534139]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1904, 70, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0291779153,0.1781439307,0.4181246608,0.6521470298,1.143174255,2.028012761,3.116322513,5.965528947,11.895478692,21.927657656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009589368905,0.0806744949,0.1611411676,0.2998148888,0.3940026747,0.6477669376,0.9579340232,1.758660555,3.500423105,5.667748019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04463658168,0.1375475977,0.4790874934,1.35571981,3.347413975,9.070671551,20.715905648,37.38904447,69.532894117,98.15862067]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02058050842,0.05696414472,0.1966845659,0.5077127792,1.097318022,2.987230574,6.310739435,10.950888945,19.163440808,25.770550184]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1905, 71, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03700582388,0.3936779954,0.824437755,1.097908578,1.472015415,1.468771944,1.742229805,2.823267534,4.732365674,9.086545962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01560412521,0.1108101199,0.2315068674,0.3095687046,0.4138328746,0.4155434818,0.4941173559,0.7995526133,1.314294601,2.51992591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1203122154,0.2351841801,0.715725904,1.357096905,3.104053345,5.246107447,9.610536994,14.531463846,25.113107369,37.263198098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03410317829,0.06667554632,0.2230466229,0.4167978022,0.9806422183,1.611141556,2.902186158,4.144220331,6.47103922,9.208866684]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1906, 72, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1164455276,0.4658275324,0.9144989336,1.238487306,1.385095219,1.538063045,1.685350586,2.332043196,4.306546879,8.256607967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0260940828,0.1064687202,0.2046937311,0.2729044201,0.3093542277,0.3371895427,0.3774287363,0.5250064592,0.9739492219,1.829091654]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2468286025,0.5917908446,1.343864772,2.295469923,3.631828783,4.505162234,6.436141239,11.661896671,19.439370383,31.435053906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05467838091,0.1307003201,0.2960907962,0.5066267977,0.7973881629,1.000667129,1.417686695,2.559563873,4.289916064,6.786143888]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1907, 73, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04870532108,0.2025441007,0.3754091302,0.4822470397,0.50368697,0.5155792446,0.511643505,0.6483107891,1.126649997,2.011987456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01076015204,0.04481751162,0.08095854238,0.1022096399,0.1075847907,0.1075659213,0.1088447546,0.1371947152,0.2381498009,0.4133327246]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0007076290093,0.04450723609,0.2297845488,0.5360752013,1.015657119,1.413954026,2.196167169,4.07033808,6.498449198,10.151091579]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001373731119,0.008029364371,0.04186900127,0.09866884213,0.1861778439,0.2632525658,0.4050684277,0.7462045935,1.187049531,1.799350902]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1908, 74, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01450342124,0.07413888268,0.1857904723,0.3055283589,0.4061668817,0.5212463452,0.653927231,0.9796935142,1.866168301,3.671541862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003197892917,0.01645725745,0.0401668452,0.06454675161,0.08654613191,0.1087098564,0.1380882438,0.2071335245,0.3940196704,0.7571634776]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07360265037,0.1953622391,0.4789128387,0.8555300641,1.390228507,1.754811734,2.538379611,4.614915622,7.586505722,12.055274724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01445588679,0.03551225442,0.08721176344,0.1570718645,0.2549828861,0.3265405576,0.4705671398,0.8499702499,1.39235016,2.146345465]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1909, 75, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001719340199,0.01325393916,0.03268338931,0.05347527183,0.0701234364,0.09237164589,0.1169818012,0.1926458292,0.4226493642,0.9460025849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0008326193037,0.006353626697,0.01441681719,0.02225734905,0.02878121014,0.03565313365,0.0450918961,0.07244491671,0.1536723662,0.3240364158]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02590282302,0.1105257248,0.2399473826,0.3969629773,0.6176381086,0.7612162528,1.082571275,2.055742535,3.867906492,6.94298714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01144968239,0.04309899843,0.09465888481,0.1578485844,0.2452438585,0.3047017947,0.429265535,0.7950009165,1.440928557,2.43133479]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1910, 76, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05151744499,0.1758906108,0.3206159415,0.3972366359,0.4051179301,0.408865808,0.4027980466,0.5113930649,0.8910792151,1.627076059]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01130341855,0.03884032447,0.06915152628,0.08389067957,0.08644209495,0.08526063133,0.0854038418,0.1082333027,0.1881073844,0.3345590363]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1466155002,0.2413956442,0.3952200036,0.5069016785,0.6083050548,0.5751802227,0.6190231865,0.9209004382,1.486508969,2.285700488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02863543862,0.04405970289,0.07235114668,0.09303750668,0.1109835744,0.1061722112,0.1127855921,0.1683881132,0.2695878158,0.4091127308]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1911, 77, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.018212607,0.09426075325,0.1234401487,0.2211549058,0.2447170682,0.2814290415,0.3700976864,0.4880332077,0.8519448787,1.491237174]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009719614536,0.07016557772,0.1275453279,0.2395493455,0.24725876,0.2392430024,0.2905305703,0.3940686749,0.5872329486,0.9566717125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03472800588,0.0676315093,0.1717790021,0.2203696128,0.4221170258,1.532817726,3.847860262,6.443311791,12.127920044,18.492852419]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02283085403,0.04999085976,0.2637726182,0.2199437099,0.4385525219,1.435368081,3.60006388,5.528154623,10.655329383,14.550499563]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1912, 78, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09116371667,0.2266737196,0.4794084952,0.8643910456,1.295688076,1.62882469,2.522808424,4.404085063,9.342829625,17.989566197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04258128637,0.08339032111,0.169701802,0.2377386918,0.3704611471,0.4447897137,0.6686391104,1.152810472,2.400796548,4.240943487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0952269063,0.1719935617,0.5995919566,1.393280073,3.797252461,9.521692076,19.23567723,40.861445951,75.454630735,129.901924498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03824757912,0.06542951162,0.2104438251,0.4577261246,1.303993388,3.091483347,5.477506373,11.456073485,19.641387624,32.238152261]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1913, 79, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09358617706,0.4087203804,1.371378966,3.06715474,5.701181281,6.326271453,7.643616381,10.588911248,16.550049154,24.330835595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2757485458,0.8852800379,3.509694019,6.681812918,11.903669615,14.188652638,16.140086733,17.688924588,23.705543445,34.315913372]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01205897828,0.01691719154,0.06891023951,0.0844375929,0.1726047188,0.2640664539,0.4110091335,0.7594393735,1.019270976,1.97472309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0353355227,0.03804505127,0.1791594897,0.1989947935,0.3941151038,0.6350524066,0.9499305249,1.384696709,1.650266532,3.158298085]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1914, 80, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1143454939,0.8735918,3.336023059,6.793170318,12.188618389,13.319233777,16.034773605,17.112442298,24.935077841,38.384943027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1026714136,1.299636232,6.621100911,12.24460533,16.963444174,15.324216141,13.586931823,11.634631957,14.610587571,19.961128517]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1915, 81, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009939012241,0.06163026317,0.08460253901,0.2438959336,0.3073654132,0.405330894,0.4873645408,0.9100920709,1.908643435,4.53231128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006636344541,0.09876026161,0.1666745203,0.6104694639,0.8147286905,1.253260146,1.855887368,3.313670888,4.935028263,8.104554077]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1916, 82, 118, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01137693548,0.02758406436,0.03108627642,0.06292743385,0.1233178917,0.2645233915,1.056147463,3.880930331,12.552889601,34.547622868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01829436976,0.04386692229,0.05666640225,0.1321279997,0.4511645257,1.099585021,6.766256679,26.720732979,79.557188962,189.008474263]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1917, 83, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09449958757,0.2819694757,0.5256921072,0.668703336,0.961535076,1.144263804,1.751697768,3.826418153,7.802365798,14.723610656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07995506034,0.2189469159,0.3643022557,0.5088329665,0.7996950018,0.9485960488,1.399371533,2.941126768,5.475934469,9.166248911]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1318591066,0.2987358377,0.4808094182,0.7750433739,1.32018542,1.99397742,3.6572131,7.254239398,14.474711964,26.65435059]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1008755655,0.2469591241,0.396780598,0.6756593678,1.261425899,1.989550687,3.295971284,5.938620888,11.049480952,19.197081538]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1918, 84, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02130058268,0.1221344219,0.2285609661,0.293911456,0.2944479868,0.3814395287,0.5372520886,0.9258390489,1.700782492,3.126893875]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0426273226,0.2138519061,0.3633864418,0.4288764532,0.4107977772,0.4912500923,0.6963822936,1.234309385,2.256357334,4.075467614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1041979752,0.1272245074,0.2899730648,0.4857756784,1.032247102,2.501507114,5.547069949,8.404812896,13.820560301,18.628241786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1860042722,0.2572232989,0.5120050561,0.8221417513,1.753609251,4.531836827,9.17020388,14.118383391,23.079711141,29.678167946]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1919, 85, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04228892394,0.1290123002,0.134621114,0.1784636922,0.2050322422,0.1796926834,0.2138552392,0.2216108265,0.2967638939,0.5661520933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03329899269,0.1310575227,0.1910407089,0.2018424152,0.1888193432,0.1851580025,0.1944461336,0.1439173112,0.1758084936,0.3191553266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06158667646,0.07283865245,0.1044328052,0.1304552826,0.2036665738,0.3647738556,0.6474670395,0.8476812554,1.254474141,1.811251933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09697952992,0.1038497326,0.1191741304,0.1715548139,0.2450060249,0.3801609826,0.6901528127,0.6568956968,0.8300681611,1.086081809]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1920, 86, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01004956963,0.03176509986,0.05517905777,0.09711369707,0.09740083466,0.09642204416,0.1290724717,0.3124530961,0.5988458792,0.8427314253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004369228177,0.01372947663,0.02385861612,0.0420905578,0.04283055203,0.04719889322,0.07791875167,0.1790374715,0.356056131,0.4316461861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02660358104,0.04772412115,0.06681179749,0.1592327165,0.2851100289,0.6567750298,1.31520393,4.656115382,8.098440307,14.188589518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01403078553,0.02319948817,0.0342117159,0.09995238673,0.2533098717,0.5902483957,1.265970493,3.814584131,5.637203042,9.157975072]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1921, 87, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02651244865,0.04851487,0.0857213438,0.1403228051,0.1473287217,0.1963186614,0.3386220779,0.5041019623,1.178191905,2.227509962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006711212533,0.01520525358,0.02563440916,0.04140709502,0.04220669803,0.05350534927,0.08172054006,0.1182745759,0.2620096638,0.5005102502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01053073112,0.0187938349,0.03144103385,0.08032315019,0.193180139,0.2314874819,0.4582580053,0.9424149484,1.86875337,3.4257024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003206097176,0.007259238061,0.01399339662,0.02792115664,0.05291413022,0.07847775785,0.1545324066,0.286457294,0.6043269038,1.067118576]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1922, 88, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03175492552,0.05343232552,0.1068495602,0.1871803693,0.3269524157,0.4514727115,0.7666563678,1.874668864,4.068449776,8.078041317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01381073871,0.02027631927,0.03182101187,0.05692994715,0.08229239015,0.1049708844,0.1627335925,0.3949913466,0.8226098623,1.632703967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04663380269,0.06551454405,0.1508205011,0.3117634796,0.6295476526,1.285877185,2.821198844,5.024059734,9.835308127,19.257697503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01753555281,0.02714419801,0.05461223656,0.07805754681,0.1600604244,0.3218176862,0.6613271239,1.143348054,2.163329287,4.186910004]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1923, 89, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01611192233,0.06718833926,0.1692832416,0.1882794193,0.2231781261,0.2248492879,0.2784712889,0.4475176407,0.7557522071,1.4469928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1370846613,0.4834452449,1.224001644,1.090987054,1.065053542,0.9453125047,0.9379391356,1.403571102,2.098995572,3.424272429]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02671989955,0.06017405251,0.1309968105,0.2496681162,0.3279551977,0.5243571384,0.7785623848,1.100809966,1.882556918,3.131290446]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1232815021,0.1719333976,0.3997653108,0.6635649409,0.8333271415,1.215499374,1.649274445,2.250155449,3.472300112,5.485117602]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1924, 90, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04008317895,0.1899339322,0.3116952882,0.3529476339,0.2619695768,0.2807245858,0.3298027516,0.4016584117,0.5524181418,1.002164004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02276552772,0.2982716267,0.4347913573,0.5647234678,0.4626375925,0.5197680797,0.5603902927,0.6856009073,0.92155418,1.555108747]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03698980556,0.08447022812,0.2700432239,0.3998917599,0.526891951,0.7457334995,1.08776606,1.636181546,3.229139361,4.393167527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08636558011,0.2402560796,0.6466284717,0.8232333679,1.588334573,2.103127999,2.634943722,2.880164252,5.488241608,7.232308019]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1925, 91, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1321293507,0.451632085,0.6353885247,0.854964198,1.068159804,1.19649153,1.615456862,2.299049439,4.298132081,7.98298397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2162145086,0.8365258037,1.224725363,1.317154431,1.48040468,1.415263583,1.484073144,1.68928169,2.689917423,4.204808144]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1926, 92, 118, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07808231481,0.1330812281,0.1802041966,0.1980308395,0.1971218158,0.2355248501,0.3330266269,0.3147610799,0.500221313,0.9657802907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1497671183,0.3246791496,0.560007955,0.7366906543,0.7157012926,0.7504288836,0.7529036375,0.5540027615,0.691129487,0.9989665286]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1927, 93, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04739567186,0.09319870497,0.1779387277,0.2725007264,0.2334467974,0.2541826329,0.289724208,0.5728360077,0.9645825182,1.772317431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02251083259,0.0500524894,0.1219963933,0.2047207612,0.1613295382,0.1795063224,0.1964012548,0.3528805727,0.4868351243,0.8749728518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05268421474,0.06952495745,0.1349621107,0.169673764,0.3133244181,0.5791330392,1.243084805,2.250277457,4.363207507,7.0584675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0289799728,0.04447715042,0.1212979099,0.1680286858,0.3014622756,0.5172037636,1.024169738,1.581708994,2.728612496,4.228104432]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1928, 94, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01367453461,0.09341462755,0.2160469621,0.3472104385,0.3841837678,0.3687500883,0.4229685046,0.5545037548,0.8421856563,1.440807812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009087921343,0.04162066416,0.1532351646,0.1575238412,0.2190084764,0.2230035297,0.2571599381,0.335978978,0.4573741921,0.712512078]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01463919882,0.04257205112,0.1194123202,0.2650048878,0.3504314602,0.6492606491,1.494018048,2.619319558,4.865034814,10.478815109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008484026394,0.03198607182,0.1050084993,0.1695468994,0.2886689339,0.5038115439,1.010112694,1.473657747,2.316397428,4.792780411]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1929, 95, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1275748697,0.202664858,0.2851924695,0.2897391233,0.3603307229,0.3378413493,0.4632822505,0.5581492676,1.074535656,1.582414633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1638702294,0.2422782968,0.3509168171,0.2874555773,0.3235544383,0.2556907086,0.3142623334,0.3315162577,0.6023243447,0.7813077295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1593939899,0.1735125719,0.2756806108,0.3956576546,0.5632865535,0.8595918451,1.392833135,2.001490917,3.163038434,4.41107037]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1700341414,0.1859520666,0.2782439676,0.3255200784,0.4127634571,0.5204712382,0.7651623296,0.983665513,1.405220772,1.890780367]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1930, 96, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01404977838,0.05449088168,0.05842403102,0.07479405217,0.08646085597,0.1280759566,0.1564541566,0.3285968464,0.6620696348,0.9763609462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1054925524,0.8092650199,0.9929216059,1.01342639,0.8575850803,1.07103264,0.8075851707,1.107191376,1.330477115,1.327094476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01484584498,0.03142930137,0.03434296344,0.0710104274,0.08046224875,0.1428086389,0.2868367757,0.4492012351,0.8641790685,1.205077654]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04800987751,0.1070977855,0.2187766812,0.3162459251,0.3086824878,0.3762792929,0.5917156953,0.6767359121,0.9959340969,1.17012172]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1931, 97, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1058757374,0.2261037844,0.3842385696,0.3690173423,0.2869417019,0.2122421628,0.2349481185,0.1645650499,0.2313612504,0.3570026529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5011211004,0.8677100882,1.243763068,0.9779719219,0.6026554096,0.422905543,0.3922557637,0.2234757665,0.2794679328,0.4042682217]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1437851148,0.1492655113,0.2882853435,0.3405646648,0.4753098719,0.5581649271,0.8116005213,0.5607440298,0.9433405082,1.563320507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6398304306,0.5532582424,0.8940228141,0.9292338053,1.21475125,1.365725802,1.530753222,0.9833423503,1.442417762,2.268962575]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1932, 98, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2833145123,0.7895033372,1.390464638,1.413265491,1.439531634,1.240911918,1.40357216,1.953134725,3.429822716,6.139479704]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1649506821,0.4915154003,1.01990164,1.054402204,1.20299608,1.031190255,1.050629264,1.445059135,2.200995669,3.441672441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4708857382,0.6378213961,1.036623192,1.637564593,2.099104586,2.781056334,4.142128081,6.269549047,10.96326323,16.502013926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2350102836,0.3506761614,0.6441911079,1.120627506,1.516873843,1.870077039,2.510613381,3.419126093,5.143313443,6.376280392]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1933, 99, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01051162021,0.03167547926,0.05657319866,0.05601242344,0.1121198343,0.1958334566,0.3593485794,0.691733423,1.494349346,2.539519812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01019629155,0.03917751949,0.05123809381,0.07615721553,0.1328589635,0.2271398223,0.4351528213,0.8069160685,1.592789624,2.352173209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02158905764,0.02024297664,0.03353529904,0.1130637053,0.2140044654,0.4954939526,0.8479671176,1.4636379,2.732992067,4.864476095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03179855185,0.02817150283,0.05468402523,0.2171975743,0.3433496239,0.7600366921,1.298383451,2.221493269,3.416055652,5.238639668]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1934, 100, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6219203132,0.8868623433,0.7851513471,0.701027885,0.7908916975,0.6450774958,0.7376342344,0.9085223086,1.80376394,3.148464133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.310975989,0.4493645625,0.3952124373,0.376961174,0.4413200291,0.368698615,0.4344381295,0.5449889779,1.021831883,1.656682704]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9105402472,0.8360159645,0.957675694,0.9881117626,1.20589032,1.377536165,2.252484344,2.322676624,4.888608357,7.324554588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6060238878,0.466073769,0.616853052,0.6888854953,0.8742578922,1.097300834,1.845874878,2.027169942,3.668057972,4.782669902]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1935, 101, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9239750659,2.178589026,3.455057755,3.344493802,3.085407126,2.436476671,2.834457491,3.408897731,5.402115405,8.971582973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9474161241,2.375251692,4.140210973,4.001189596,3.65768136,2.627147148,2.756651316,2.900043808,3.818817543,5.814517429]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9157764057,1.015843904,1.418729463,2.161878726,2.921233566,3.892415803,5.498640093,7.829839455,13.069875752,17.531382675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7528471994,0.7034574642,1.159865537,1.866254099,2.464531788,2.913622355,3.785523577,4.58819283,6.617832163,7.947271417]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1936, 102, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.144281697,34.614080974,64.685397746,72.394699929,77.825918409,70.723927667,83.692544617,115.604942466,210.59782876,420.542302688]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.012825862,33.446727857,35.60276607,43.404340521,61.773898566,106.176392717,170.720370762,257.592339632,426.437942139,603.45179529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.61375885,13.7846019,32.556132796,59.42021757,98.817312713,158.629804309,266.371278555,400.225824986,693.044500305,1158.827490413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.538696145,43.374131993,40.052964252,39.621273387,66.541454005,116.531078924,175.016088066,313.321006414,526.426202502,783.515648931]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1937, 103, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.335365935,4.780987783,6.15746554,5.555071293,4.22817247,2.825262394,2.48397017,1.471227399,2.109127733,3.527704192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.676264595,5.12157551,5.504270249,5.743102585,6.403958299,7.251082084,8.707181994,10.28509992,11.456040819,13.217114926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.177765631,1.367707625,2.502363937,3.439740393,4.197734304,5.477285607,7.315985857,5.060336033,8.055136149,13.513815661]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.191871081,3.584582935,3.903641978,4.128391118,4.740642607,5.624385694,6.856651672,7.90806339,8.570216271,9.306357409]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1938, 104, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.058450774,4.85516616,10.214339789,12.218081317,14.029883221,14.505640924,17.44898322,26.069289168,50.793409669,103.255432109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1070989781,0.2098748936,0.4253913418,0.9415903973,2.205809604,8.03207763,24.496838596,60.687597187,126.098448366,202.089621144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.300292752,2.620861553,7.492425606,15.388186603,32.013269199,55.72027398,99.773036881,149.491090799,272.33491454,458.02466799]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1785236998,0.4039645512,0.9355124733,1.833894715,4.12602127,13.275324786,38.852323055,113.057457389,271.415173542,455.44025537]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1939, 105, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.874562198,8.525515375,17.479943823,23.040138217,27.536063293,27.121022576,33.683296478,44.454318126,78.933411127,163.679425603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.510825124,2.48251691,4.772496919,8.160694222,11.886308068,17.298075618,26.145449188,38.791578153,55.762180875,72.234739486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.53911255,5.318607333,12.32634415,23.737729285,37.604542088,59.854701109,99.259000238,155.376973255,256.236823047,428.064867802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.656754682,2.640622112,4.864409815,8.199671288,12.057142368,17.329800329,27.000524316,41.484823967,61.773503186,81.463232087]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1940, 106, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2111684322,1.221303839,2.185625987,2.902689742,3.184185447,3.096768523,4.010242528,14.826808963,28.601181092,63.538278318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9528778655,1.559405149,2.992956909,5.320938439,7.862148489,12.554305773,20.09989705,30.802605329,45.655591158,60.122626698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2706973245,0.4723673054,1.564293707,3.080057368,5.226456115,9.471437972,17.278170062,54.185683136,96.58641622,174.347182048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9857806452,1.591972117,2.963631452,5.208332804,7.83769832,12.24135921,20.104825104,32.571059525,49.590718805,67.355587246]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1941, 107, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.663393767,7.304211539,15.294317849,20.137448517,24.351877891,24.024254079,29.673053973,29.627509119,50.332230145,100.141147268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5579472586,0.9231117613,1.77954001,2.839755783,4.024159579,4.743769845,6.045552138,7.988972823,10.106589717,12.112112788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.26841523,4.84624003,10.762050422,20.657671859,32.378085896,50.383263142,81.980830301,101.19129022,159.650406715,253.717685997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6709740367,1.048649995,1.900778363,2.991338484,4.219444048,5.088441119,6.895699213,8.913764443,12.182784381,14.107644841]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1942, 108, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4148555264,2.303362241,5.000610875,6.581345953,8.798616057,9.404687412,12.469148309,16.795362774,31.820713229,60.469774243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1567938604,0.2451586092,0.4213876931,0.7851928733,1.610933906,3.942270862,9.729912023,18.546428492,27.974896985,42.290874072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2975208401,0.5909824968,1.666994393,3.548357955,6.893099333,13.030437069,24.26154798,36.787702617,62.972797518,106.251783275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1944903294,0.3179405363,0.5471251763,1.031445061,2.180706858,5.927731039,16.209504728,29.234987236,38.743356774,51.108691125]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1943, 109, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.635452838,7.928417487,14.967537029,14.913006329,13.707943222,9.837239669,10.827636034,6.965469064,12.009436453,22.52874953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.111945204,1.317401653,1.790962175,2.513975663,4.320314704,7.009185687,11.668246579,16.800927939,20.95848979,27.978166765]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7682041085,1.352245297,3.347290279,5.951833081,8.342007559,10.91944351,16.803255349,25.102389432,44.516500663,69.670356591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.748198337,2.164672347,2.819489518,4.090708533,7.327170325,12.421624946,20.771723283,28.778595637,36.217020211,44.736643322]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1944, 110, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.1197069116,0.1755076098,0.1318474166,0.2002709087,0.2218422839,0.7029529171,1.441516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,1.537981778,6.732439968,12.304793035,17.122471205,27.976207464,52.918582469,96.081981213]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.04617604001,0.06163186284,0.1661140936,0.2526714622,0.4821010544,1.143588722,2.753729012]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.1871600073,0.8249603807,1.485419559,2.308540657,3.271556215,4.079817059,8.078073735]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1945, 111, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06194105922,0.3350250372,0.5704640307,0.6506635228,0.7842443149,0.5154694718,0.7358965722,0.8183301942,1.505531144,3.16744915]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06078237241,0.2482483325,0.3971165042,0.502727184,0.8686547388,1.340250221,1.959040422,4.464553327,9.133601715,18.99494168]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:56:46', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1946, 112, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.08641903045,0.110149298,0.1529810075,0.3280775469,0.7358073983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.001882668137,0.0169440771,0.1306288312,0.4554741907,1.837690463]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.3984716748,0.571372678,1.066004584,2.168771384,3.692631314]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.003913573313,0.03522235316,0.2751625126,0.8550692808,3.263986329]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1947, 113, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2245615097,0.5632887195,0.8301676788,0.6108266082,0.5959171966,0.3954079329,0.4390296776,0.3508911535,0.4433994065,0.9676424733]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05600050213,0.07321765429,0.06615402195,0.07127685326,0.07326240291,0.07886809828,0.1235902102,0.177396346,0.1639272423,0.2105412143]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2239350249,0.302800193,0.5087971768,0.5802081081,0.7682581192,0.9174856921,1.352519346,1.365984567,2.414982607,4.540253676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1323129229,0.1404573177,0.08139340827,0.09589590405,0.1121308659,0.1430512235,0.2561022819,0.3418545829,0.4450053221,0.4979304463]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1948, 114, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.539091858,5.322318152,9.464868962,8.705859727,7.969571003,5.900930789,5.294163863,18.305231265,31.951769655,60.768801977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.393897598,23.996982627,22.62210367,23.650526149,28.540871615,50.258157036,72.70973689,84.196475301,130.649901402,147.511066008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.246145569,1.983149065,4.314800704,6.225259037,8.068115557,10.805341259,14.822848175,21.028689476,34.067384713,53.320442501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.436545093,34.121892194,26.901391883,20.054106761,35.172679331,60.319827776,62.72549572,88.968505485,104.327040856,129.620479108]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1949, 115, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.915604332,17.033484302,33.446540992,34.331403742,29.977031498,20.959413605,20.422707328,26.20465504,44.649575164,83.9765191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[160.490291213,226.154472394,343.909286496,511.893345006,697.097997701,890.491765504,1088.618979446,1297.916521475,1512.216772944,1746.226239601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.666312219,4.990103342,16.276753327,29.682881333,45.343419018,62.990567178,100.507309665,169.1862326,297.826330015,485.311719516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.385198339,178.49060129,271.177093028,409.473346426,567.32844803,752.994730386,960.739923336,1166.913160814,1380.645025679,1588.269762559]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1950, 116, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6647412109,4.813210292,11.051464435,10.916329327,9.858369352,7.423682899,7.883037607,12.541774701,22.827599758,46.415577367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[142.312990331,195.03821023,290.109132039,425.008876544,578.224357439,742.570583798,913.406596999,1095.945924111,1284.643425232,1493.344002374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4958033954,1.192503072,5.271591606,11.076855329,17.441179581,29.485434889,49.46237058,98.224440743,179.41806618,298.326116939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.0943191,134.927958386,214.860475739,339.08725888,482.603644632,652.443910441,843.246625505,1031.647785414,1226.54472695,1415.053328506]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1951, 117, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00941371396,0.08490920332,0.1686983502,0.148916052,0.1675605223,0.07153851565,0.1292018397,0.1724439525,0.2948913668,0.6114663081]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02705651993,0.04310796246,0.06238331021,0.08556707119,0.1151396532,0.1534453716,0.1986725242,0.2488420392,0.3093155547,0.3797167484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2393728092,0.4807504571,1.146665566,1.845131962,2.927953274,4.085370706,6.872690443,9.176369017,15.932929927,29.084873175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06503534001,0.117629809,0.1843964801,0.2684528344,0.3752021952,0.5106758594,0.6899467972,0.9217529174,1.226207439,1.606932605]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1952, 118, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.878276666,10.568466854,19.582060035,20.64761507,17.922267229,12.166249274,11.179780625,12.385009794,19.84460802,33.70563494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.436406318,16.417858132,32.051901701,55.125272911,75.588882685,92.384449205,106.904879804,119.99569341,131.56303902,141.299768009]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.566836456,2.868355944,8.663171601,15.18341597,23.232131622,27.304630677,41.688448041,56.258201115,93.28216978,143.454934161]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.674140719,37.249786178,46.494856612,55.169528007,63.298861245,71.736239905,80.38149949,89.98699244,100.387249066,111.170160807]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1953, 119, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1344838242,0.9369795772,1.712340754,1.603128799,1.207188885,0.7705825227,0.7291212775,0.8498400672,1.273557527,2.33810913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2278928399,0.2729000993,0.321080591,0.3782304433,0.4241115353,0.4626324813,0.514360681,0.5850048383,0.6521562539,0.7219921594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06092272888,0.1764498194,0.6354828251,1.043009169,1.147194431,1.389598915,1.621969769,3.771329991,6.097014536,9.63493302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3111851887,0.37339141,0.4251331745,0.4744447269,0.5135637726,0.5634157667,0.6194124966,0.689582524,0.7779194852,0.8850071101]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1954, 120, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2286889128,0.6299183739,0.9319773737,1.015414467,0.8216455152,0.5273603888,0.5015659512,0.255586559,0.4089184905,0.9057314063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.485945204,14.38239597,21.364788855,31.295398037,42.745506389,54.920654648,67.594469438,81.141057076,95.048836884,110.48076031]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3033768312,0.2720440541,0.5598417235,0.5344689016,0.5949601664,0.7255321517,0.8618308379,1.755891463,3.096149984,4.810862229]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.240517992,5.821835507,9.212231023,14.473661978,20.537176185,27.740488413,35.802439047,43.667047519,51.708922738,59.554333532]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1955, 121, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7040206657,2.534668079,5.175062278,6.060329959,6.468181102,5.94900632,5.903223045,5.996080822,8.757926488,13.925539262]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.107750349,5.030330873,5.857203147,6.404863388,6.430138384,6.567462596,7.024852583,8.515174131,12.6727615,16.800317515]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8287710161,1.579893807,4.742162021,11.039527737,18.26421645,25.97049175,39.059738684,48.204326212,65.653841625,79.934570607]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.373128327,5.141642977,7.663989428,11.329117164,13.84179592,15.038830186,16.817475324,20.318987205,28.53423881,35.559921156]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1956, 122, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1366920192,0.5331461024,1.026701753,1.141884291,1.178478561,1.050150696,1.011772471,1.014849448,1.465757658,2.314134225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8826823646,1.132386061,1.238964001,1.31454038,1.315260711,1.31039778,1.376548879,1.644710327,2.495862324,3.285876979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09097359332,0.1684947807,0.5178723816,1.23508061,2.093326464,3.038164596,4.665536092,5.865984425,8.301718457,10.419194401]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5740057537,0.7120195924,1.02809651,1.587632781,1.940058719,2.166876516,2.388360573,2.925768945,4.199735431,5.335887519]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1957, 123, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.178028749,0.7028957795,1.652032395,2.143794369,2.454168334,2.39654161,2.498254993,2.557417699,3.663901756,5.683604867]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.022422221,1.43387835,2.014402619,2.472412761,2.765214654,3.033169792,3.476706644,4.283147109,6.265638438,8.166420984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07507717476,0.1671509171,0.6971378849,2.027648102,3.88980683,6.234309658,10.292419269,13.389856465,18.411789086,22.588258809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5148248606,0.7795293459,1.558451881,2.754262326,3.769563113,4.545855647,5.487887821,6.891533997,9.535904029,11.821987261]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1958, 124, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04627948212,0.3607900231,0.9212483963,1.267556557,1.524119997,1.532154271,1.633586806,1.779281517,2.786143067,4.721864741]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.195847231,0.5043421047,0.7011468396,0.8827125508,0.9020715289,1.010548906,1.123077879,1.533929035,2.493092799,3.671533443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.238365521,0.7073621938,2.207830465,5.279303255,8.95719553,12.986108235,19.865267465,24.713248119,33.704046019,41.148936017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5707437637,1.301755362,2.269326309,3.704237971,5.004786307,5.660848696,6.698176136,8.37365835,12.103955411,15.43309584]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1959, 125, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.343020415,0.9378361704,1.57507972,1.507094742,1.311414225,0.9701597462,0.7596087762,0.644532156,0.8421240072,1.205935427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.006798533,1.959724357,1.902689687,1.735197696,1.44759149,1.213346117,1.048519182,1.05338766,1.418167938,1.676486109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4243547272,0.5368859166,1.319321288,2.49749574,3.323887641,3.711909254,4.236515866,4.235237204,5.236288101,5.778181393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.713553949,2.348338677,2.808114729,3.282984085,3.127387781,2.665249327,2.243050794,2.128025913,2.694643939,2.968950536]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1960, 126, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.323183061,14.711561251,29.446495933,27.253059738,21.586792715,13.082679496,11.040311321,11.145385,15.016613498,26.278320848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.754709421,95.427435429,182.870872932,240.165459995,251.509894091,278.95440167,300.335511754,328.720153104,370.982770647,503.315052434]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.603850823,6.218950677,18.109414934,31.377954755,39.485497057,45.613629458,51.882517923,56.289551404,73.927136209,94.626386301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.795018668,49.650848956,73.76920566,96.92645767,116.29205687,140.94701937,171.794882028,202.244734554,234.222850692,296.29863876]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1961, 127, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4027343178,2.647343338,5.614159782,5.615097695,4.688866355,2.996929146,2.682094397,2.868390978,4.201217577,7.121492189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.983338503,11.70245662,33.332470282,43.075212909,36.706239291,35.796493207,42.507984812,47.687971665,54.510547613,105.521568684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4993635955,1.762634428,4.634661185,8.579048222,11.445539425,14.251512403,18.040184691,21.113672319,26.900381855,32.518998245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.629320722,3.021306818,6.201781057,9.847842647,13.827343619,20.754507378,31.346407137,41.888921829,52.425937353,78.783144531]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1962, 128, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1493992772,0.6589438844,1.275632934,1.15281817,0.9055585127,0.618524337,0.5619954331,0.5749260593,0.8799808878,1.566453403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.411121193,36.272159672,71.765803363,94.798969059,98.823685059,113.741538402,118.366056827,128.786308974,147.380418548,202.317704514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1956962396,0.3204110883,0.866911173,1.513771609,1.802415144,2.335474707,2.655663983,3.220927376,4.432069019,5.263222263]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.5595707,3.587292206,6.806208515,9.54248777,10.951284451,14.104979794,19.62624206,24.137904092,28.972765569,40.741581795]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1963, 129, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2974080326,0.9260017446,1.370486744,1.153803227,0.7573907259,0.4177818902,0.2990761884,0.3658541942,0.3970485062,0.9551795965]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.730803943,6.980704282,7.683734183,7.64329483,6.443850499,5.642645094,4.96596937,4.461177237,3.707211277,3.231643665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4857353736,0.4889173681,0.9279818835,1.524030602,1.336984732,1.572231843,1.649664859,1.973772272,1.718200045,3.615207363]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.949502605,5.37423192,4.94365657,4.405216322,4.347472085,4.153461203,3.941767765,3.704652948,3.319822458,3.130331992]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1964, 130, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2551024913,0.7085299225,1.020535544,1.014180328,1.122086131,0.9273666888,0.9701487798,1.285819115,1.908572382,4.042403391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09499761274,0.1191393522,0.1501411023,0.181113579,0.2119519446,0.2555359328,0.3172433221,0.3792400789,0.4412488228,0.7443976958]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4537712595,0.7500686652,1.626887713,2.339797091,2.894630094,3.701161366,4.805939383,5.755374664,8.38159018,13.719463209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08374769353,0.111601841,0.1812470396,0.250606992,0.319022665,0.4253085862,0.586260987,0.7485471038,0.9113341518,1.344245738]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1965, 131, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02943375293,0.06457009005,0.09354894775,0.1306923844,0.151988129,0.173692325,0.2044533206,0.3001128946,0.439624819,0.7501188285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.428496439,0.4488840478,0.4217943367,0.4209648761,0.4413567546,0.4772330311,0.5574424591,0.6828744383,0.9013643036,1.439765732]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05955450271,0.161805979,0.3063000621,0.3875653823,0.5713242106,0.6666686225,0.8567724293,1.060290164,1.537305226,2.120737051]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.619776247,1.580878048,1.216720905,1.259748387,1.827048141,2.961618567,4.936349523,7.886483406,12.962853074,21.243140708]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1966, 132, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7066403309,7.026154215,14.25180843,13.044154373,9.394238397,4.827281689,3.651595927,2.891790163,3.090727092,4.203241774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.622306648,21.123428162,29.656523558,38.691790774,46.510130701,52.676574239,58.251218211,63.073687244,66.875700149,69.059215469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2953934421,1.208432395,4.878273059,8.368557183,10.497289108,10.156162858,8.980635658,8.411000233,10.199952673,10.960699047]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.009160496,25.377858142,35.784008702,45.938295364,53.942213383,60.797097534,66.064204214,70.629432886,74.44732691,77.166726898]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1967, 133, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00627960174,0.0295615596,0.1273023148,0.1590827536,0.1407352986,0.1191333208,0.1313622862,0.1663985486,0.2967978079,0.5427638236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02645137748,0.0252642051,0.02791462813,0.03219728747,0.03790759532,0.04805606833,0.06355486858,0.09893770866,0.1647434801,0.2495609649]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02734319321,0.07150890577,0.1906355866,0.2349657259,0.3372676781,0.5028489964,0.5839928913,0.6759365333,1.113832353,1.501063117]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02392827548,0.02299626182,0.02439268657,0.0278687308,0.03329813675,0.04521705259,0.06514841805,0.09552085904,0.1454141099,0.2353590535]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1968, 134, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09294821314,0.442809867,0.8339673737,0.8056922677,1.015280157,0.7029529911,0.6866365978,0.9530475431,1.374683953,2.689470638]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.042874188,3.401822965,8.760728258,14.161483387,19.434255689,23.307420614,24.661014761,28.199444361,35.330669823,41.007115326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07738163524,0.1683116452,0.4953624549,0.9619609835,1.35831358,1.499660386,2.103658843,2.405195579,4.567144084,6.353756962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4215212114,0.7550882129,1.680040002,2.60575937,3.606120164,5.192874143,7.373228053,10.028498541,13.694552809,17.276178327]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1969, 135, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0650544463,0.3314911492,0.9013047365,0.7866951901,0.7118802009,0.5698255114,0.5758333972,0.5673824873,0.7775415905,1.11162963]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.041889481,2.896170074,7.196128208,9.818171598,10.070525882,10.612432918,11.448874708,12.435358109,13.253083379,14.038537342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1102529067,0.4472851645,1.702248653,3.317429433,4.52567406,5.584015779,6.019826129,5.351050829,5.962981311,6.172957061]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.743384441,3.398443217,7.402707336,10.5299356,12.425731612,14.32721758,15.697181452,17.036870175,17.127587479,18.146854052]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1970, 136, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3181825978,1.876155457,3.957749095,3.390843326,2.698768827,1.729191599,1.277114999,1.171663029,1.650418901,3.295567565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.372430036,12.457406049,23.875635013,31.342261696,32.829990675,36.396472163,39.196152414,42.91515329,48.417783251,65.70554304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3993586752,0.8395750471,2.480153163,4.150828532,4.716058949,5.34389256,6.186179024,6.322331448,9.113679549,12.400281829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.755106278,6.421152288,9.528442847,12.518696488,15.012522614,18.184737533,22.15809242,26.087902715,30.215256779,38.231075666]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1971, 137, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.194202092,9.440927464,12.395174716,11.981611759,9.791375442,5.821145398,4.910571233,4.724475844,7.053927894,12.14162437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[563.251367895,659.196839977,744.670000387,826.271034613,903.44721973,920.116941014,876.333239782,846.410438572,843.934707243,866.670039842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.59304034,7.121192813,12.109004457,17.377357921,21.384461106,23.107658928,25.979444914,27.666174981,34.804645089,49.36515294]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[321.94980309,374.810489507,419.023210641,464.581452894,511.573105102,510.955596297,475.577079115,456.592068381,470.75711985,506.456700311]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1972, 138, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.002554984067,0.03426248928,0.2028833319,1.032765895,3.647496008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.7784436419,4.839645635,17.194824909,52.482226749,121.791955255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.001882046635,0.02785209734,0.2934856849,1.920652757,6.207451781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.6153310065,3.77914079,13.405280123,38.116575797,86.049627437]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1973, 139, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01247439314,0.01430454924,0.01225788512,0.01234783184,0.01670932192,0.02470994781,0.0661825434,0.1898779187,0.4578397426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.004087097559,0.02812142827,0.08241414991,0.1908114095,0.4086266595,0.9211532206,1.87646969,3.410896463,6.025188131]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01346756155,0.0300934162,0.03573091485,0.03145890915,0.05180057772,0.07652564715,0.1853830423,0.5008402665,1.378123247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.005227298992,0.03596661804,0.102986409,0.227456683,0.4779731418,1.088640974,2.045471845,3.888379298,6.807699565]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1974, 140, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.0970129,9.138354688,12.028011798,11.597348526,9.281570578,5.473725384,4.410993933,3.937583096,4.884551185,6.616913106]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.793875219,46.27551941,44.051679164,41.675502864,38.655491372,37.195997703,36.413763995,36.773594149,38.918214912,42.369200391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.264140679,6.824150007,11.804459268,16.881251935,20.810382808,22.356715953,24.936691462,25.739736418,30.25399259,38.573979786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.663459477,50.510594384,49.236802516,46.564288497,43.718546374,40.788964684,40.23341923,41.268765402,43.022650743,45.613242372]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1975, 141, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01500779913,0.0222700362,0.0234770224,0.04189902984,0.03344585989,0.04549645251,0.05496160198,0.09286993518,0.1244426102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.75469876,4.13292246,7.214874764,10.554162314,13.164633574,14.7082756,14.756676472,13.772969638,11.53392735,9.173777663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.008741574204,0.01212016867,0.0356309343,0.03523804647,0.0922811387,0.1299083713,0.1250997199,0.2395792772,0.3197733185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7719989756,1.798503353,3.288426325,4.940932375,6.271455583,6.524812134,6.596263537,6.081213375,4.898900336,3.499207503]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1976, 142, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[356.107784187,406.777149506,484.233426264,522.334851669,521.719413323,504.542943599,468.740940049,427.116122687,377.465026006,330.695465376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[180.220665161,208.965981593,247.571994447,265.925132194,265.353653146,256.367489857,243.351144441,221.703743053,195.747812157,169.387871133]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1977, 143, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.157665868,32.277634966,32.563635167,33.686682591,35.826362784,34.839948129,30.891717065,29.095253678,29.013666543,28.412872678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.318706345,28.69674834,28.522298839,29.120380295,30.577582834,29.645543907,26.578985906,24.575136847,23.848782053,22.801730676]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1978, 144, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09718919178,0.2750905835,0.3305883317,0.3485283253,0.4555580022,0.2947098487,0.3951084104,0.4628652709,0.8538629601,1.294932903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5459476601,1.239902429,2.137458429,3.11354503,3.918841572,4.647341613,5.99665794,9.583083891,19.616584174,39.796151026]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3288996612,0.27483367,0.2623316048,0.4247441375,0.5073813416,0.6049792119,0.8084673363,1.322470116,1.889580198,2.885824807]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.36691945,0.8054167887,1.445799468,2.173476372,2.791589285,3.275599973,4.927245278,9.257726309,19.971607475,40.903558467]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1979, 145, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.729792748,5.086050054,8.554702783,7.383267355,7.144840548,5.122980156,4.492557798,4.142443732,5.175690048,6.965906478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3166.731781278,4033.395565006,4034.681641673,4197.131420329,4186.928257555,4067.00292328,3959.651528839,3908.307894373,3749.152206399,3613.654194518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.836961565,19.007052154,27.501343355,30.100414043,30.67996611,31.493885553,33.770473445,21.225544464,24.397769417,26.650122525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3184.40295559,4081.432845694,3967.071016679,3681.223933205,3640.378357607,3499.688483809,3354.863468012,3160.210754944,2947.469203222,2704.563736613]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1980, 146, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.6373847773,0.7162192117,0.7640006138,0.6055682853,0.4935635879,0.3963529811,0.5717257596,0.8451263126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.492441283,131.946999364,222.618655028,302.527293721,339.239963834,334.393594069,315.693850602,290.119428552,255.261743994,211.022077918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.4940559189,0.8097451439,1.071167992,1.291915729,1.526335862,1.564639423,2.173851512,2.597737662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.42287072,148.931497386,257.948183323,356.234700781,402.191294596,402.46772201,377.388522045,341.266472347,294.147090331,240.626993004]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1981, 147, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6585747673,2.428744646,4.262538546,3.808579404,3.631732006,2.614247603,2.31384196,2.399792323,2.834409717,3.572670884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[87.832662388,236.292695899,184.108232355,109.127378511,87.821969213,76.815900236,69.673825619,63.384082136,56.230610752,46.831973785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.215582678,6.46609845,10.46385827,12.928976656,14.296720354,15.951700021,18.537222838,17.772506759,19.860314941,21.080885023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[386.327514631,932.021209208,829.485733988,536.892059671,418.764526114,356.528508599,316.328050144,280.517315647,235.695415639,186.220058125]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1982, 148, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.065921744,2.619318478,3.58372887,2.804086097,2.720185355,1.890112234,1.678097907,1.346298427,1.769554572,2.548109282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[113.880763521,190.568126804,205.275455997,211.237692405,210.23572347,190.36612738,148.435367213,102.342101695,64.807922744,36.952206211]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.620534486,12.538544273,16.538311952,16.354777271,15.306547029,14.246076148,13.703679181,1.888398282,2.363602964,2.97149984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[164.204532924,266.269333556,331.473148031,414.009950551,465.112048908,461.275008896,380.618517479,265.556181735,169.782726059,98.82947944]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1983, 149, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2139352115,0.5878980884,0.8079107031,0.6082743161,0.5841258222,0.3850169874,0.332598512,0.2718115471,0.3393523177,0.480655427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.807661364,25.138911568,77.145870097,135.153058023,156.655826575,146.601499052,114.184887475,74.617942949,44.079861748,22.616156421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.173226176,2.880878992,3.84951446,3.621698284,3.405340511,2.996078935,2.846986024,0.3915742918,0.4688884346,0.5776795589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.958917173,42.797246817,155.219708203,296.065612962,375.439430598,386.387430627,320.318095599,218.245494465,135.612543085,75.738696248]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1984, 150, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006325284658,0.01381082965,0.01962506834,0.0150464971,0.01393537427,0.008972282054,0.007779944163,0.004818369276,0.006710905272,0.008704135499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.510536011,8.965229216,13.281422884,14.54405407,14.071322184,12.807244049,9.825525292,7.403776655,4.865597271,2.799289334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02012070238,0.04064587462,0.05525474997,0.05352828296,0.0482875365,0.04148144791,0.03897320148,0.004166306487,0.005479682057,0.006339852955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.138272828,12.282115499,19.45644059,23.768122362,24.768115833,23.464232299,19.580259339,14.841214626,9.441478562,5.255155247]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1985, 151, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004557310907,0.008857288398,0.01170784928,0.008712300701,0.008309202285,0.005521540997,0.004702476474,0.004461555055,0.005746958776,0.007684489652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.979208233,69.844324399,48.068445257,21.572815837,11.394402181,7.991125461,6.513451747,5.861020707,5.046438941,4.047345884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01390367473,0.02432875232,0.03114430868,0.02964568469,0.02720024057,0.02396643696,0.02187918485,0.003650780645,0.004463279565,0.005193743036]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.150391003,91.528517494,62.873398408,31.212513221,17.519059356,11.918010439,9.099271436,7.617228349,6.766787457,5.711595215]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1986, 153, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8411039366,2.008752271,2.744485246,2.172052981,2.113814954,1.490601423,1.333016974,1.065206957,1.417744391,2.05106523]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.220121861,79.988408474,62.280059615,36.601351425,25.82244486,21.134658701,16.573484382,13.456994954,10.062426444,6.945944014]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.41328393,9.592690672,12.602398413,12.649905006,11.82571873,11.184549344,10.795840761,1.489006901,1.884771568,2.382286685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.789158846,104.519652564,82.947715692,55.394029638,42.531258032,35.583793599,28.859926184,22.601985338,16.305132667,11.013418745]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1987, 155, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1371.697629697,1692.678160094,1814.786015685,1917.72233616,2021.423188102,2089.010197191,2105.087529449,2127.164509654,2134.578786251,2133.889523844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[726.131661775,889.23132628,918.342487995,938.7645374,954.668899725,975.405727859,1005.51071298,1037.306334246,1064.542789783,1087.375365254]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1988, 156, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.750895311,147.169664505,194.24260763,225.700996051,250.005750471,267.387512378,274.10773006,274.229873407,268.964794823,263.300715755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.973631315,94.60382082,124.401165329,144.346213256,157.38945549,166.868549867,170.368552725,170.202981911,167.393088634,163.808451824]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1989, 159, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.172132681,239.077090098,301.577805075,290.032029872,258.661755945,225.21537167,202.443866127,190.790939296,179.559647326,168.472786204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.894680006,191.02042455,239.187521996,229.067010162,204.568860832,177.643689786,158.722615602,147.434729563,138.840260453,129.379311689]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1990, 160, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[633.044087855,680.213108711,665.641139862,623.406348441,570.724713084,520.292962069,488.731282669,477.000386855,467.834541,460.623270446]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[471.35353689,462.27006741,431.975154231,396.905103524,356.139913899,322.719751679,307.083542248,303.591789215,305.484360466,304.221713536]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1991, 161, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005296236513,0.0379869296,0.07105058884,0.05438264284,0.02892257231,0.01305203357,0.007054343279,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.230094412,118.331755927,96.895379044,65.549465613,39.715004454,16.946945262,6.095227824,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000844401996,0.00240943059,0.005117214142,0.006914971881,0.005530735206,0.004193654643,0.003235564465,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6199892,28.915109607,22.225517324,14.315293253,7.520218939,1.739184496,0.3639247762,null,null,null]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1992, 162, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.78102495,47.034539487,44.544108501,42.559081879,41.288339239,39.872276895,38.347135162,37.065418845,35.600411118,34.269331278]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.069192547,120.236850974,115.629446601,111.106619162,105.627787507,101.893919616,97.460782256,94.800651138,91.800995703,87.858701224]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1993, 163, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.848557412,20.161493828,19.286585731,18.593361646,17.786873865,17.237359883,16.875882526,16.237210518,15.66254916,15.109763594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.779661058,75.442475201,72.70014998,69.79745778,67.1153399,64.628260052,62.450404496,60.616750288,58.574585396,56.249427397]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1994, 164, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.241695689,5.129026139,1.173059972,0.2402450734,0.04513162726,0.007165164534,0.001018172443,0.0001310803868,1.547428244e-5,1.692773267e-6]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.001763429,13.463676617,3.294397584,0.7417131091,0.1596352859,0.03071499813,0.005524720068,0.0009375330925,0.0001514886123,2.350306684e-5]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1995, 165, 118, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[237.538710243,23.296156972,null,null,null,null,null,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[582.507556685,116.806859528,null,null,null,null,null,null,null,null]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1996, 166, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[307.221085837,274.475333488,244.205031225,215.642072628,192.988827406,176.954571311,164.117855268,154.296202843,144.293048761,134.052645279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[402.116364409,364.531685431,327.927303889,292.754415569,261.17950554,238.205831008,219.276360781,202.931056127,186.912863405,169.712389832]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1997, 167, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0539934,0.111556,0.243419,0.230712,0.301625,0.382091,0.464886,0.566586,1.04764,1.45295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,227.021413691,40.327565569,174.793118328,156.991016845,112.502939773,130.040958148,175.677609492,126.358134996,109.129898511]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.095216,0.226728,0.615308,0.995702,1.06634,1.24026,1.53694,2.631,3.11257,4.09431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,377.688509126,292.480806408,176.288858986,239.940870872,230.281614943,259.285957759,255.985555194,234.294875865,180.281821784]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(1998, 168, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.291611793,35.695249024,68.49628315,66.322538299,58.858914765,45.652417445,47.561899803,62.894044424,108.055537302,200.537631709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[350.58133759,607.793453136,797.629321693,963.695309365,1160.596401852,1439.98374679,1632.579517823,1491.318856359,1520.280914145,1535.819730789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.09784594,9.302909817,24.81479855,42.651873965,57.410238309,75.628280553,107.686857073,149.932015463,244.125536396,367.065758526]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[143.041107679,180.601379243,241.646336905,321.122167989,429.217671446,572.853225131,752.737849545,961.888564866,1191.255289686,1485.177783601]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(1999, 169, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.004486493,4.126042942,8.413303748,10.310934658,14.020824845,17.015899631,22.460764248,37.591093078,72.468431259,143.039083863]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.156557931,116.480228616,150.347567889,193.001618092,280.832632691,434.7749044,677.397607044,877.533408456,913.257833734,902.961679488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6454709683,1.201441014,3.312538094,7.012494889,13.454473315,26.240507723,50.808009692,80.249462507,148.65865156,237.853874619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.287530458,43.827607526,65.050049442,96.316416637,155.128135519,248.409024044,386.180506727,488.971425976,489.456033014,458.959959229]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2000, 170, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04372107551,0.09499964623,0.1137292483,0.1031434886,0.1120960887,0.06040725888,0.02068027517,0.02618858201,0.05795391861,0.06533121226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01519044331,0.01349968775,0.01144789218,0.009413655276,0.007403812769,0.006177575151,0.006043900576,0.005936335391,0.00583565497,0.006587205199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03084924581,0.03672026843,0.09724156052,0.08022953666,0.08635610397,0.08976034479,0.09144780611,0.07731103141,0.2174334722,0.3846228586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0220869141,0.02075736311,0.01880874301,0.01684274165,0.01487097464,0.0141521219,0.01521210365,0.01629955283,0.01738554977,0.02020738179]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2001, 171, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.293933422,5.436988918,10.942176855,11.486581592,11.384953256,8.611055616,8.101600984,9.199782689,15.164744275,26.417565211]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[93.503791214,119.670277663,171.536530538,225.012273399,284.282320569,329.494161521,351.768928901,377.548851275,445.90058677,493.88558349]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.369608335,2.635358393,5.922060607,10.07024416,14.190123519,18.071776991,24.078597741,30.937381005,46.031313864,69.628311486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.441644896,91.748426729,129.195928811,171.315811216,213.965924966,251.796092574,282.507389978,328.539921536,388.325527598,436.420982782]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2002, 172, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03331650416,0.07048067945,0.09875727842,0.04013809016,0.02798089489,0.0186635978,0.01412222618,0.02024016946,0.02680670308,0.02398425139]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.62047914,8.272690008,13.489479856,20.309748663,30.578105447,43.836030099,63.62568808,77.863521815,85.648133802,91.395380757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02361736113,0.04258104058,0.0472539874,0.05132137923,0.03470786251,0.0198680993,0.024448068,0.02247992417,0.04710127084,0.07679830329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.43445561,4.916586561,7.801250489,12.558307457,18.339363438,26.634476987,38.290149749,50.367355647,59.955545518,65.792833967]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2003, 173, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3222633111,1.416025959,3.549871609,4.02260056,5.851521275,4.779199553,4.959385159,5.582994513,9.727583702,16.806140555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.423917736,38.866484464,62.705527573,88.970465716,115.294393625,130.735580182,122.81299405,120.696381545,147.457463306,173.588486668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2762328296,0.6340800162,1.794476918,3.567335151,6.744351982,9.263832001,14.548211581,18.09699413,26.174321793,41.213408865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.481069938,30.363929679,45.099622049,63.253860606,84.275465882,97.251809782,98.639595627,109.817509954,130.803542867,152.8944978]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2004, 174, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4273008602,1.851058605,3.933646259,3.710282752,3.623213553,2.514220336,2.300123747,2.691271564,4.454075583,7.894151456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.22837578,26.711042383,38.117886212,47.352248868,54.762967655,59.575382138,62.087382317,65.403748613,77.681689225,81.877327561]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.388833292,0.7557253358,1.654507218,2.839741125,3.731880834,4.558806121,6.249785167,8.718879201,13.660116076,20.584634679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.625841714,24.190054032,31.307876565,37.354401122,43.185953203,47.675985788,50.734347203,53.496239225,57.248145641,61.669362392]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2005, 175, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3773456555,2.02005098,3.491985778,3.601861588,2.725700848,1.764357065,1.598002899,1.840018213,2.774197699,5.278835809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.503379789,3.455550856,4.649032854,5.719332861,6.621976826,7.923286161,9.343203526,10.835931675,11.844732372,13.71018361]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3644987943,0.6705128725,1.915730055,3.166758342,3.906460985,4.683611657,6.201836882,7.593791714,11.233954082,17.400253922]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.811066187,18.846826978,22.535854774,26.702081998,31.755188052,39.937088521,47.445868309,102.61846795,270.247200255,536.031121289]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2006, 176, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2667492957,1.076198997,1.932430924,2.032131856,1.396893008,1.019457054,1.005999184,1.199003653,1.641638846,3.050985191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9166814911,1.07094876,1.107549737,1.106919192,1.033161087,1.05117807,1.076340935,1.192869961,1.342413332,1.639203808]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1354432745,0.2741117294,0.7673508564,1.107772481,1.323851157,1.695633914,2.023597727,2.571490322,3.358213845,5.383897727]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.319434021,0.3817026202,0.4384050534,0.4794190057,0.4571453692,0.4332322256,0.4497925984,0.4755887145,0.5591727565,0.6548067118]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2007, 177, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01028323852,0.04040320824,0.07277302063,0.0614736109,0.06707444755,0.04258586305,0.06101301286,0.03858323301,0.0909050692,0.08834444948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5006348765,0.872542804,1.518474949,2.115530702,2.713232526,3.416459895,4.206428063,4.944084895,5.404871392,6.153180697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01542955029,0.02429268424,0.04335128033,0.03121773438,0.0778648213,0.1086961317,0.1200873047,0.2209852392,0.3993550885,0.3309526307]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7815129905,1.47142495,2.562152056,3.693379294,5.085155851,6.668210593,8.610941798,10.560315858,11.919691644,14.138195077]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2008, 178, 118, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,5.637184913,24.264088048,74.368737411,238.301958659,498.182614207]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2009, 179, 118, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,14.109327488,14.877382905,16.032025133,17.57267374,16.099211225,null,null,null,null]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2010, 180, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1003131206,0.9034487758,1.486781832,1.508256124,1.261733392,0.7023141467,0.530990703,0.602431325,1.041653783,2.139506171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.086063421,1.512059292,2.023008168,2.496882967,2.875583213,3.455648197,4.060434528,4.69897682,5.097447648,5.917799105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.21362597,0.3721084589,1.10502792,2.027768125,2.504745008,2.879281601,4.058151854,4.801316152,7.476385127,11.685403553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.710119176,2.88437192,4.65791476,6.497258565,8.640213091,11.099249564,14.121045865,17.213825967,19.466377196,23.055505293]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2011, 181, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06650611599,0.2580265453,0.4639318185,0.4232216943,0.3329365655,0.1897489099,0.116289636,0.1116657324,0.1877700216,0.2321759277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.915464241,331.883276088,435.923147581,504.721149988,553.712249726,632.375957861,558.472618184,189.450426384,110.756083129,56.42273009]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2012, 182, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004103219808,0.01432704849,0.05132850728,0.05081723617,0.06450013272,0.03616383962,0.04747872183,0.04360216791,0.0400740166,0.04913573357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.816757905,33.95253584,64.711225314,94.602358085,129.676188663,170.027231614,193.090913056,100.575787989,40.18062291,3.566134263]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2013, 183, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008157931099,0.02493340092,0.03881335157,0.02866194084,0.01698865609,0.00592703799,0.003077233911,0.002696180361,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.248100248,46.250466365,63.719326558,80.360656094,94.425686128,103.936248446,93.576663885,1.914390313e-21,null,null]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2014, 184, 118, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.347651111,9.760738087,13.733440914,19.399617637,23.764112792,28.957928558,9.359517969,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2015, 185, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01483820869,0.04720844389,0.07870573711,0.06977857994,0.0482902624,0.02923351827,0.01198286218,0.01082643535,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.921438359,36.403858254,57.765314295,68.756233984,79.696037217,97.504326938,95.394686702,0.0007056659634,null,null]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2016, 186, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01349508419,0.04249485841,0.06564024178,0.05323840296,0.03868059869,0.02266190214,0.009629032658,0.01311790598,0.03593147636,0.04725488678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.715060171,23.310359571,34.965820597,38.942575876,44.013461812,51.892178029,64.872323532,76.449991076,70.575460219,52.856595827]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2017, 187, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.577283506,154.558686927,175.610163675,177.279058272,156.734082604,158.081723402,85.041334981,null,null,null]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2018, 188, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02591167219,0.1290627932,0.2294439804,0.2207255344,0.1644769158,0.09576261174,0.04412178546,0.04142304284,0.1117645287,0.1357853071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.289172941,27.646631044,25.417856227,25.380650039,25.40268051,21.976320873,17.137178059,12.423941653,null,null]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2019, 189, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.026302005,4.183753426,6.631158706,6.156218836,4.83967253,3.303434248,3.314042917,1.335006835,1.964234922,3.47370262]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.706974656,18.406934396,18.035719239,18.885888705,18.732293421,19.066930029,17.59042511,14.082772316,13.809664125,32.481580532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7300984843,1.055719129,2.10406028,2.960092012,3.474096461,3.719420921,4.673957801,2.750663472,4.053802367,6.263590069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.496383901,14.375398442,13.053349202,13.877999927,14.099277673,16.011461585,16.977340133,18.246486607,18.468044888,23.294201059]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2020, 190, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1942994187,0.6248610383,0.5680317945,0.2275889046,0.03872122255,0.004522149887,0.001297728494,0.0003941925913,0.0003870590149,0.0003851221091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05583352147,0.05533509948,0.02484469269,0.02415727974,0.003189571228,0.002855053768,0.0002941741468,0.0003847225661,0.0001143125711,0.0001282948405]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0798523676,0.0824470647,0.1161891485,0.08204434016,0.01795543987,0.002109729202,0.0009774493276,0.000723604447,0.0007300299423,0.0006093137786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05021804134,0.04633722707,0.01659629342,0.01670323741,0.001947020815,0.001793382139,0.0001683906229,0.0001977022502,8.707663695e-5,8.882407435e-5]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2021, 191, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2510006359,1.192579183,2.064298934,1.957631863,1.576529072,0.978244529,0.8007503069,0.266677645,0.2103722748,0.1788178208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1528174994,0.1409381291,0.1391813187,0.1275454363,0.1055066412,0.08357591509,0.061697297,0.0389636697,0.028508933,0.02097927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.178314805,0.225845518,0.4748930323,0.6850010116,0.8057163361,0.6904181807,0.5957507449,0.4345022189,0.3658523714,0.2489864018]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04610351313,0.04214176926,0.04002025172,0.03453762694,0.02842454504,0.02242012884,0.01707603014,0.01287916766,0.009842620342,0.0076854312]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2022, 192, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08036121294,0.4049715565,0.7835218186,0.7290583224,0.5292203008,0.2892710499,0.2282376884,0.09062742978,0.1005459305,0.1144544077]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1298446316,0.1279459023,0.1426244974,0.1542288396,0.1527090046,0.1667035493,0.1622108915,0.1573247596,0.1156045523,0.1260484991]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1068296316,0.1449235691,0.3199930411,0.4090426344,0.3861253039,0.3022721352,0.2877428593,0.2400053957,0.2450025572,0.236995334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2323342614,0.1719844925,0.150456253,0.1625228183,0.1539961275,0.1820084014,0.1864839751,0.214801563,0.1962581295,0.2217070126]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2023, 193, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.500640737,1.961341649,3.215306165,3.241939753,2.695201933,2.031396524,2.283757192,0.9773075722,1.652929663,3.180045271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.824828309,6.498523356,5.342826484,4.800893889,4.333896079,3.764779873,3.346640411,2.920727,2.562906008,21.003104115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3651016812,0.602502978,1.192985059,1.78400403,2.26429938,2.724620876,3.789486751,2.075432261,3.442217411,5.776999027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.501262702,13.076798742,11.796968132,12.606284424,12.731909263,14.156238749,14.418109007,15.082398789,15.211496677,19.832213848]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2024, 194, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.479317027,19.575386566,38.439996996,34.240576442,25.442730632,14.707514717,11.950518844,12.790289295,15.438205207,22.030937067]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.779979316,17.883685829,17.1258757,16.345632665,16.407524805,16.342329242,18.000691158,21.861529917,24.706178361,36.351386372]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9573201115,3.70315814,11.463167953,19.362055025,22.298727924,22.823202917,21.83300715,28.323405732,33.930381052,35.535105573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.982395322,11.782362205,11.792345934,12.893015469,14.254274262,16.685406285,19.611532295,23.495963245,24.74109838,30.45131186]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2025, 195, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4069694903,1.284865824,2.427598656,2.013444008,1.890596834,1.285128819,1.272771616,1.52507579,2.2792094,3.804315629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[492.449585737,815.214768392,1268.804827578,1791.589854184,2392.320334239,2948.101235749,3463.831367748,4109.236134598,4826.205860238,5444.578095127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2855650375,0.3857482405,0.9693443711,1.571456672,1.817361635,1.924064939,2.750282219,3.402162294,5.472475338,7.623224728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[622.153171519,953.875393048,1305.647772048,1693.628312199,2128.412626661,2547.590191852,2964.208321547,3410.575219242,3858.115358618,4249.710964066]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2026, 196, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05750410831,0.2383081428,0.5547798054,0.5429579595,0.4236182797,0.2977503574,0.3736355394,0.5115189071,0.8259508521,1.302639889]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[114.13035972,122.269633849,126.41778168,135.271619764,152.589589189,179.573373656,213.329809589,253.701896042,307.249925143,373.179587126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05632006305,0.0823074708,0.2148022461,0.2995471311,0.4629941515,0.4160623762,0.704535331,1.145637295,1.927711333,2.710172569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.241862307,56.353093318,61.014448236,71.792667954,89.820501868,115.416422573,149.031279246,190.673984851,235.408438501,285.914327648]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2027, 197, 118, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,36.870496861,138.053233271,263.859033296,423.143224768,614.897817128,821.418700404,1039.475237033]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,23.431942764,86.435338015,163.982603174,262.871260194,383.418882323,512.374419239,648.159829619]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2028, 199, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[250.539869001,352.484497419,446.109118877,550.770320906,670.32524133,825.490796304,1007.85707985,1197.912051043,1383.435078299,1568.768974945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[381.685987484,542.872882081,683.65359702,843.688019584,1018.569869999,1227.472048509,1474.274494718,1704.540205529,1915.585251791,2100.453270833]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2029, 200, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.730688496,321.416455468,628.753107277,877.451041487,1073.384896924,1197.610168402,1249.350584889,1307.17561314,1355.893230825,1331.119678271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[187.282776566,339.049484977,519.884768112,684.292056856,830.179715639,909.505092769,925.117501264,944.269036194,960.917344576,944.13618926]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2030, 201, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009796680173,0.06449154546,0.1706709019,0.3079676289,0.4504554662,0.6125292738,0.8585485521,1.186590178,1.578534271,1.823344461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0232205264,0.154723915,0.4063482504,0.7558406259,1.252228689,1.872047187,2.446353745,3.193561872,4.069551898,5.022926955]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2031, 202, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3494653833,1.046557681,1.872818848,1.47048605,1.466978555,0.9873784574,0.8991360789,1.013556885,1.453258553,2.501675738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.03887184,18.979690111,67.354148843,190.918407536,357.51691806,480.955334818,569.292120101,734.362167067,956.630391294,1130.211273291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2292449748,0.3034407689,0.7545421251,1.271909538,1.354367482,1.508002563,2.045746884,2.256524996,3.544764007,4.913052168]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.919324635,15.445208756,40.68861043,69.667784415,102.154972451,129.341977639,150.467432379,184.479548473,229.760352613,266.02441975]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2032, 203, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.071200374,3.097926997,4.774380022,4.085022721,3.181447324,2.335877642,2.448907926,2.559271838,4.326176343,7.676550576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1093.46270714,1036.969982134,1008.8565378,1045.477363669,1144.309905113,1319.343294019,1591.96341123,1948.83131794,2381.361001166,2961.849836105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.200105259,1.443133427,2.685710189,4.436531903,4.923965707,6.031249677,8.048504988,8.45650998,12.276204466,19.531491981]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1162.6244005,1093.973296387,1086.567998837,1143.473055546,1251.393148231,1434.864315922,1706.876100835,2043.046495035,2441.77647244,2955.313459066]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2033, 204, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6801653493,1.529819665,1.836109472,1.461881414,1.196600909,0.8630585024,0.9387263564,0.7139663541,1.310135889,2.182942449]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.021303037,49.538531311,41.454742455,33.857766561,29.268843738,27.130307362,27.212444525,29.343419277,28.428471144,26.238447215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.790672091,0.7438468165,0.8902553814,1.161404948,1.328027428,1.703579806,2.375850235,2.068622079,2.69457608,5.080719494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.581106404,52.553692886,44.275388262,37.139917811,32.621456264,30.877978905,31.0130385,33.113828691,32.203202197,29.847331247]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2034, 205, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0889347139,0.1596193156,0.1511492599,0.2014955672,0.1066774605,0.08227503078,0.0456008587,0.06123177375,0.05023183606,0.07751518013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.385002836,2.581170589,1.204340834,0.3468820794,0.0858508794,0.021548426,0.006208795372,0.002000514609,0.0005908890625,0.0001474507821]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1192899302,0.1375848128,0.09857939734,0.1484025969,0.1242811993,0.1559200596,0.2101989377,0.2145580749,0.2617346051,0.3435685101]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.914376608,2.192372308,1.017369887,0.2882464001,0.06843439198,0.01659652045,0.004736716957,0.001510590863,0.0004438251035,0.0001111171275]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2035, 206, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2888200919,0.7116994946,0.7912328317,0.5731879646,0.499028102,0.3751296775,0.406289501,0.2735679034,0.5016876913,1.015908124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.505230214,3.110460396,2.17537668,1.261664472,0.6855644016,0.3945674821,0.2845300648,0.2368956102,0.2101677942,0.2237245361]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3050030977,0.3120767598,0.3788808324,0.439901558,0.5429953344,0.731054434,0.9020393347,0.7000188824,0.8042162001,2.002311282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.328930629,2.952779261,2.038973483,1.22269552,0.6712808318,0.3811437131,0.3014452712,0.2656942648,0.1967522542,0.1762769175]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2036, 208, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05634914312,0.1309465224,0.1388040794,0.09347936171,0.09774385168,0.05540481388,0.07976949535,0.08405281611,0.1709062038,0.180973633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.223829086,6.500694953,5.162171167,3.449944623,2.183261601,1.294954034,1.215036978,1.861111378,1.527356122,0.8494512421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09757240234,0.09550881122,0.146275941,0.228515996,0.2622716186,0.3652387968,0.5989405062,0.400143696,0.5326163567,0.7172772093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.090913267,6.49335847,5.045959143,3.477933944,2.146834358,1.372092738,1.320693204,2.077966429,1.727539021,0.9568241678]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2037, 209, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03846857102,0.106545775,0.1269073013,0.1050173428,0.09774128601,0.06737557299,0.09024027502,0.005807492592,0.02190921098,0.02754997658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.344916359,9.416616198,7.354360917,4.930851726,3.111549751,1.930895214,1.813970923,2.871578161,2.37279312,1.332191109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01911621922,0.01637623084,0.01667272113,0.01212383611,0.01185181411,0.01958922626,0.02247190679,0.02469225113,0.03832579547,0.04425009425]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.980507334,9.076926481,7.065936864,4.697939095,2.890533251,1.798251202,1.711426796,2.743439105,2.271124554,1.247773452]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2038, 210, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2075928288,0.4210085599,0.6280159987,0.488701177,0.3954102101,0.2828734069,0.3168262269,0.289306368,0.5654009477,0.8809955353]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.258447924,27.685899323,25.414473652,23.791007716,23.15497481,23.456788137,23.871287711,24.36316167,24.311935514,23.829528641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2496904415,0.1823002022,0.2498464886,0.3324609634,0.3866274631,0.4317772885,0.6421995493,0.7292091741,1.057683122,1.973312397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.053802566,31.637236811,28.992775933,27.385331203,26.789594384,27.259532183,27.627127426,28.013204307,27.995946661,27.455597591]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2039, 211, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3910350247,1.568107332,2.93827055,2.623141307,1.984846415,1.47281914,1.51018157,1.845305484,3.016040454,5.493608127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[723.044606184,618.55682897,537.920230771,492.570924363,479.810450784,467.223279821,462.438986815,474.537330569,491.937017704,519.885138409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4094331676,0.6992866104,1.795454807,3.275126954,3.595938279,4.327669871,5.672654753,6.387887901,9.581628387,14.450772487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[775.40586758,651.299452117,583.278845746,549.995958611,540.240991647,525.467645162,513.476413894,518.813391796,529.586501965,552.515132088]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2040, 212, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[158.413098745,160.851412645,163.197453016,166.660542763,171.169325482,167.708056402,153.646677223,141.342978333,129.235648461,123.992902118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.356653042,134.09652813,140.293285055,147.597220062,154.916403991,151.742325859,136.147016503,121.942917002,108.535109275,102.011900083]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2041, 213, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.700264964,65.444142711,74.330100434,79.450527253,83.640115525,86.345535822,89.221670115,92.936439049,97.434505624,101.704225564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.010173418,68.630053647,78.410304252,84.107306605,87.363530383,89.858630387,92.318423482,95.784623738,99.326149413,104.744776738]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2042, 214, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09611138387,0.4909733382,0.818212225,0.6529863407,0.562093725,0.3850743677,0.447845331,0.5585095783,0.9754037671,1.710372822]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9437706157,1.039737126,1.045936634,1.093007749,1.153291523,1.193598852,1.33930888,1.476108794,1.665432917,1.956147655]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08284162584,0.1631626802,0.3295349044,0.7233348584,0.8407718559,1.081529301,1.44452012,1.848968671,3.376059184,5.091667399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.205037759,1.233851125,1.596859199,1.873661023,1.844653882,1.882415868,2.142008514,2.412208659,2.693081849,2.947834431]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2043, 215, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1269330264,0.6870310632,1.43709407,1.462257145,0.9752716366,0.6272848741,0.6230672654,0.7618825355,1.083263676,1.748068374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5351174013,0.4524808877,0.4175998173,0.3920888085,0.3730745779,0.3775137007,0.4014576073,0.428480222,0.465142175,0.5063602469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1523183575,0.2768700198,0.8334732486,1.601242251,1.647694841,2.08530458,2.649021444,2.697777486,3.518669135,4.391009709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6160890861,0.5115293191,0.4745661899,0.4539090211,0.4420948987,0.4462917472,0.4744113169,0.5142856833,0.5581588309,0.6091995463]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2044, 216, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.278252349,22.810304418,21.934490324,21.230019392,20.669085444,19.835508991,18.853019367,17.957725428,17.159915406,13.676686755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.174311848,24.91032198,24.167504794,23.38745692,22.572182873,21.800587599,20.511351126,19.470683185,18.507445464,15.364025738]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2045, 217, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.964993007,58.91175633,55.949570069,55.401541357,57.39520633,59.457653842,61.589713274,64.053807389,66.326015394,68.40234961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.845986961,91.997510499,86.740478643,83.391523805,81.943034216,80.733481873,79.642030386,78.812721197,78.10950304,77.207362793]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2046, 218, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.376278542,55.474523782,44.742395819,34.215218746,24.398400435,18.888689488,20.182218135,21.933000503,23.777708518,25.70730936]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.736190171,65.049199533,52.252605562,38.9411494,26.118891185,19.017360196,20.744231815,22.72715381,25.12846113,26.890117467]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2047, 219, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[292.757123737,202.354129814,118.37347886,68.643325309,46.64886167,25.107256994,12.693498956,9.307309673,5.935411357,4.005618786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[318.438037469,195.123479513,114.412136425,68.260077872,45.79509614,23.680667246,11.412057419,8.715935745,6.041215408,4.500918802]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2048, 220, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.997411395,2.14513675,2.702835413,3.250511844,3.785201451,4.112402904,4.206787557,4.293319164,4.395126399,4.698912627]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.619017823,2.811731393,3.435068151,4.050415078,4.718197507,5.148130719,5.205227809,5.27389748,5.304974204,5.574690847]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2049, 221, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0009229515994,0.00100265928,0.001319979649,0.00163729925,0.001954617751,0.002301286697,0.002677308353,0.003053329295,0.003429348394,0.004164825981]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0024519023,0.00264810732,0.003348494357,0.00404888495,0.004749271975,0.005711437015,0.006935364251,0.008159292723,0.009383238726,0.01096894759]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2050, 222, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.744901296,27.493806055,29.995936935,31.915647468,34.032869264,37.739006721,42.81950904,47.960836078,52.756595228,57.240546105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.039778792,38.381103436,48.41664487,58.661760928,68.58743521,74.707645862,77.553082669,80.696591658,83.514272456,86.453899385]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2051, 223, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110500882,0.2548125484,0.4263662294,0.3521371911,0.2988498604,0.3121721272,0.3425176709,0.4222080152,0.8152814112,1.714933832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5414743471,0.8610466458,1.215174435,1.515092901,1.779839945,2.134294142,2.430913236,2.863763979,3.48898836,5.599293124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1483737606,0.2329445533,0.5335910351,0.8093506383,0.9305438581,0.967346572,1.383251883,1.578441221,2.41686666,4.599172813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6938455455,1.08533929,1.378452126,1.668880302,1.968641422,2.269389145,2.30015692,2.517704045,2.943479858,5.022254776]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2052, 224, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05748973236,0.1352903813,0.256598023,0.1557606346,0.1486311931,0.1482877724,0.09675130394,0.1027053582,0.142091601,0.3202331032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.790996833,20.717349146,24.013939034,28.801763474,34.763224519,44.321460677,55.051536115,69.980508626,89.293098518,112.390621632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02589942369,0.02630935717,0.09885561875,0.1411992064,0.1769277192,0.1934894206,0.195861301,0.2627005315,0.2700334181,0.3689225623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.668293762,27.466156144,31.697591986,37.59854871,43.966080667,54.175007223,65.019480569,79.936510301,98.915267799,121.177182535]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2053, 226, 118, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,10.739745243,13.981403264,18.572487436,25.926855145,30.166564756,32.844269121,41.84786162,56.957215048,76.823825351]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,7.098846278,8.849226445,11.49523227,15.316500124,18.177991912,20.681256406,27.347919169,38.177843627,53.363581902]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2054, 227, 118, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,12.973988427,34.093300808,60.778568973,94.080152382,179.08337409]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,6.636989708,18.599559323,36.983362359,63.100232586,121.789772491]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2055, 228, 118, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,null,16.884747135,24.030774276,35.798715259,48.411024511]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,null,10.482085932,14.890113081,22.518000118,31.559505731]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2056, 229, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.819988983,100.419860164,109.61590341,122.238665448,137.30212725,182.831620442,257.329311921,331.379052119,401.799273878,502.997133563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.6394276,111.898206724,124.46323101,138.517368809,154.309186437,202.505831981,283.56694678,356.345662969,420.852303127,511.204645324]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2057, 230, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.952315727,78.98489176,103.907718833,141.329841841,189.787423612,262.778036191,355.731601779,479.675829653,619.238285566,767.388886293]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.505939559,112.001220174,144.432573155,192.141095025,251.956387969,343.410325728,457.368496504,592.933084213,742.354461718,890.459400489]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2058, 231, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.366200896,11.862501302,14.682271042,19.455377787,25.952338717,28.962821939,29.875252069,36.259102743,46.724062534,58.834888219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.113937896,12.779318033,15.775554257,20.503521726,27.075268942,31.127082255,33.622475837,41.467952633,53.661379974,70.184875813]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2059, 234, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.423,116.42,128.153,120.73,107.797,87.2448,82.4292,83.4766,83.1143,80.5095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.7463,112.437,124.795,118.569,105.575,84.6833,79.0001,80.1912,79.4309,76.837]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2060, 235, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.710486887,47.763093936,44.564912553,44.892296453,44.690345099,43.537366472,41.678185234,39.740866159,37.259594315,34.162359096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.416526391,47.655030954,44.164350916,44.380938918,44.020834287,42.819366671,41.103346954,39.27143038,37.286993757,34.560012811]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2061, 236, 118, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,2.594390241,13.363602982,34.162404785,66.60287203,111.43582868,169.03572436,245.701759177,362.628253737,529.889139997]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,2.343900731,11.84503809,30.481794837,60.083242318,99.961995269,148.253166909,209.937049206,308.270468745,455.526067119]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2062, 238, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.333388945,25.912514364,32.810500253,26.700225691,20.119501845,12.312561566,9.046601181,6.2921813,7.505677469,10.352711523]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.822179794,80.178469012,112.051293689,138.134787718,163.034906333,187.069055687,205.367812589,221.519461201,237.881409114,257.227861174]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.636899496,43.563973009,68.24506429,73.812395727,70.555725003,64.442079,63.37580258,43.45832471,47.388644074,48.567652873]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.565498668,144.761356865,217.574989629,285.61354402,346.999577798,406.351785538,452.874804816,491.641938264,529.670460283,570.963191787]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2063, 239, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.09836321,25.26717081,31.892576209,25.910559448,19.567206025,11.970891258,8.780211267,5.548222294,6.628114169,9.113295408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.789219834,71.533179246,99.117091088,120.257242194,141.420643156,162.519436149,177.654280205,189.712419759,200.709331061,213.813833906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.077072283,42.322049064,66.411679689,71.701746016,68.619337754,62.554390995,61.182584269,41.153791082,44.828592867,45.852797695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.809455635,122.045021423,183.808302152,239.318064803,291.410623735,343.008645805,382.983320886,416.732872142,449.445640134,485.568384397]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2064, 240, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.051067827,3.025842115,3.752740688,2.966082188,2.466911913,1.470351833,1.124284678,1.729773988,2.048658033,2.894046909]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.750708324,17.491660831,21.09125767,24.059560462,27.233839214,30.994854032,34.985226017,39.389480966,44.046221419,49.325891596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.905817789,4.039651594,6.521727328,7.186058466,7.095400433,6.661734043,6.573829713,10.61568872,11.821607942,11.931272021]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.561474076,25.664680881,32.43561613,38.244517345,43.392579977,49.56949576,57.675627407,67.322264086,77.597169134,87.982030511]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2065, 241, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4853752117,1.458070695,1.746358428,1.387734815,1.0452539,0.6655788595,0.5076418127,0.8862386637,1.033532306,1.484332302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.083457337,4.419784833,6.553847051,8.358206024,9.955716418,11.613625042,13.285211879,15.24291183,17.865388865,21.571673691]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.68053674,3.582141801,5.812719637,6.32256737,6.257143941,5.505236152,5.524989857,8.639976784,9.730966036,9.75287557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.311772782,10.417760059,15.740768875,21.223715619,26.032703998,31.496506862,38.32665204,46.701651594,56.879518139,67.094010012]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2066, 242, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7208709878,2.361127918,2.801152084,2.312723445,1.468928263,0.8442059339,0.5927874549,0.1034237067,0.1112247837,0.1503052068]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.168236176,4.538732967,8.746246533,12.18793973,14.994575052,17.12321971,17.962093175,17.952281798,17.651961774,17.413794151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.318070966,12.193597436,18.846172527,20.558120681,19.231924124,17.346775306,16.631349563,4.875723492,5.077511113,5.091034429]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.570494762,17.583097099,35.353671106,50.133818878,64.542001449,77.391714631,83.969138908,86.375395174,87.527255487,89.74013498]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2067, 243, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.814063269,18.369564036,23.528590036,19.186901673,14.543022886,8.953727451,6.534270464,2.815114612,3.384107604,4.556451025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.287521369,44.423936243,61.821399493,74.556698318,87.971961419,101.364076083,109.911093596,115.561985237,119.492772602,123.730157777]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.581855561,21.216880254,33.412499026,35.77972237,34.210107185,31.297018173,30.769622843,13.455765773,14.210223681,14.761107021]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.418286067,66.885697621,98.101594531,126.976091538,154.184502575,180.713438736,198.512561061,211.09371297,221.461527894,233.922748119]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2068, 244, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02698592327,0.0525660904,0.06373495673,0.0571173675,0.04308908745,0.03702719962,0.02122687293,0.01367132481,0.05059143918,0.02815996932]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.499296628,0.6590643727,0.9043403408,1.094837659,1.264551052,1.423661281,1.510655537,1.565759928,1.652986401,1.77231669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5907912362,1.289778067,1.818561348,1.855277079,1.82476203,1.743627387,1.682792216,3.566636274,3.988284124,4.316508736]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9474279485,1.493785763,2.176651508,2.739921423,3.258835736,3.837489816,4.499341469,5.239848319,5.980169481,6.829460774]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2069, 245, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2350257331,0.6453435342,0.9179239932,0.7896662162,0.5522957706,0.3416702977,0.2663899123,0.7439590152,0.8775632984,1.239416112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.03295996,8.645289765,12.934202601,17.877545524,21.614263177,24.549619538,27.713532384,31.807041442,37.172078053,43.414027268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5598272207,1.241923907,1.833384443,2.110649755,1.936387277,1.887688032,2.193218359,2.30453374,2.560051133,2.714855173]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.756043032,22.716335442,33.766687477,46.295479217,55.588954063,63.343139734,69.89148393,74.909066121,80.224820149,85.39480739]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2070, 246, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.249154665,26.927994985,35.509148056,29.363978273,22.778816674,14.175790997,11.634320525,15.138604922,20.306801743,32.638888593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[118.299078259,156.704672892,202.941339081,248.507064499,292.903501438,337.38066279,388.377690107,455.527289665,539.451234173,650.612352385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.079047097,53.7022639,81.481198878,85.628281994,78.868809601,71.873406644,74.634545431,88.219936654,100.326705308,120.545743832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[219.710292018,288.822590833,379.119255813,465.258845648,533.749628388,593.296611353,673.799472034,778.282596022,900.305295989,1043.237558163]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2071, 247, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.66890835,1.914767771,2.374774771,1.879568622,1.643232636,0.9972686898,0.8131579778,1.040064961,1.365829803,2.113031656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.733808496,77.077377852,103.98928038,132.780343099,164.65663265,196.236573072,232.633087694,282.68627685,347.324264663,436.746825842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.232226934,7.437610438,10.199962181,11.164625718,10.554724521,9.990523792,10.047771766,15.030108563,16.002005543,18.222166731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.32554129,107.632868896,144.36142724,181.710205867,217.727687825,254.114510425,303.032702889,370.461139623,454.702797288,559.144615751]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2072, 248, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6830784164,1.653903473,1.780851487,1.582737606,1.139470752,0.696351456,0.5237198446,1.019834991,1.279320581,1.702540456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.112409667,2.408602762,2.74316806,3.059518278,3.278465883,3.480894967,3.748165953,4.176498049,4.832674023,5.608133946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.616163598,6.264314993,8.724357924,8.837828727,8.246630972,6.902873512,6.639885445,6.631370647,7.078551328,7.35254468]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.794960562,4.460632387,5.129875697,5.734912971,6.230725883,6.557867114,7.091802081,7.76217615,8.588602543,9.506736225]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2073, 249, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.17549301,8.527718308,10.864399094,9.216354543,6.787228964,3.99222497,3.033882632,3.218404177,3.939187006,6.477110216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.706095982,15.326343201,20.044090165,24.783519544,28.234058215,31.62860972,35.778409248,39.409090494,42.096877816,44.947289311]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.919848472,4.888029498,8.149207137,9.159013283,9.010291321,8.568810542,8.021256101,9.83461381,10.914805185,14.714753902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.108160146,19.854283194,27.072408839,34.65705024,40.645380581,45.563402637,50.951621338,56.106406198,59.920353079,63.016701345]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2074, 250, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.060089989,3.630527924,4.479779929,3.393100877,2.522626443,1.569857239,1.18635859,1.356290873,1.700140731,2.174209945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3373841177,0.3918751937,0.4506717894,0.5051173748,0.5436806789,0.5603147445,0.573718076,0.5948415843,0.6133710617,0.6401262368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.040567293,2.437429649,3.925904858,4.454278362,4.277435332,3.992286622,3.904465913,5.667925768,6.075442233,7.606992143]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4425347291,0.4956057657,0.5793546541,0.6552425678,0.7003283438,0.7238530301,0.7450763995,0.7766605513,0.8059778491,0.8391031218]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2075, 251, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.386547848,4.160356593,5.507155845,4.326597944,3.163700568,1.884327017,1.424546915,1.861894454,2.327211577,3.270506687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.795031758,36.859052314,44.087916784,49.773475348,52.840151831,55.544472132,57.069305568,59.184486954,63.22321936,68.080184019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.514410105,25.37477337,39.113986022,37.753565692,32.299149305,26.197605165,25.72761288,21.606473077,23.321690347,23.444319881]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.691132285,118.249730751,152.379017546,182.585512919,200.200729156,209.0835278,221.212657849,235.769773497,249.872589798,263.385424173]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2076, 252, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9903926162,3.297750882,4.606443591,3.616626084,2.548391333,1.511109957,1.094770165,1.41218554,1.785450554,2.359250795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9670892383,1.719777631,2.824106564,3.849100885,4.42017938,4.770540375,4.935165516,5.067325861,5.272614465,5.521379219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.779809531,19.40432508,30.183169533,28.8273396,23.854507796,18.72473261,18.106445689,11.899663276,13.14008695,13.151280901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.416202319,5.712622544,9.077426228,12.055402888,13.566597006,13.886895995,13.957793317,14.108539548,14.376594568,14.779830613]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2077, 253, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1730863828,0.4817209099,0.5611713751,0.4677541038,0.4175037617,0.2380481854,0.2099772305,0.3788688071,0.479589198,0.7820836083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.109520674,34.197978681,40.099833018,44.583491529,46.900463714,49.078582285,50.34968723,52.260714416,56.021590383,60.534907847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.443543018,5.436524031,8.268373492,8.337183971,7.955527152,7.031491313,7.192212779,9.245877559,9.656564751,9.757083273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[93.419136185,111.386699238,141.667250464,168.457771881,184.312277884,192.68141798,204.609815458,218.868640828,232.465072737,245.288080722]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2078, 254, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03948171,3.539730695,5.494362816,4.909270148,4.15814154,2.928683206,2.830359263,4.314854529,6.629298466,12.525193364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9750871282,1.92002918,2.547301877,2.778366827,2.670109677,2.98764203,3.73091921,4.709412276,5.922985117,6.766260652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.087787877,2.101649322,3.635859677,5.523748094,6.215843876,7.426227601,10.377908522,14.385194791,19.534437165,29.063885413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.101088289,1.561707168,2.175297929,2.654433677,2.989079944,3.993298077,5.666876837,6.862882186,7.581443267,7.406175028]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2079, 255, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1615831457,0.5513196778,1.128344831,0.7460383956,0.5576296548,0.348708697,0.441540848,0.5605226118,0.7869449399,1.068625324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.902790019,3.618684416,4.591222184,5.400556842,6.004233022,6.341826346,6.724238723,7.263584688,7.873579418,8.746125914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4049013881,0.5643588292,1.018463819,1.082636221,1.017172284,1.010705282,1.598546246,1.099586943,1.892158966,2.020560807]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.097352056,6.213979006,8.001503296,9.536492825,10.545872822,10.869846018,11.019290191,11.409209884,12.036910222,13.092509833]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2080, 256, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.13741867,0.4805347624,1.068036587,0.6642543077,0.48996874,0.3001818647,0.3929713349,0.4463846789,0.6211648425,0.8548228045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.386408166,1.732977515,2.138632973,2.540558277,2.908404787,3.110266471,3.182704821,3.296694678,3.417632174,3.575606418]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2542302709,0.324556654,0.6428024618,0.6905140425,0.5246223257,0.6376374533,1.03177138,0.757794918,1.466116161,1.522531039]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.450995724,3.003597322,3.786236608,4.556700013,5.165899325,5.424474341,5.383906176,5.412953598,5.4974588,5.631261005]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2081, 257, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02416447614,0.07078491527,0.0603082437,0.08178408794,0.06766091559,0.04852683256,0.0485695123,0.1141379313,0.1657800981,0.2138025207]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.516381853,1.885706901,2.452589211,2.859998565,3.095828235,3.231559876,3.541533903,3.96689001,4.455947245,5.170519496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1506711169,0.2398021749,0.3756613575,0.3921221795,0.4925499604,0.373067829,0.5667748704,0.3417920255,0.4260428054,0.4980297651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.646356332,3.210381684,4.215266687,4.979792812,5.379973497,5.445371676,5.635384015,5.996256286,6.539451422,7.461248829]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2082, 258, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.61708024,1.79446413,2.366252947,2.066016242,1.61097049,0.979647287,0.73696834,0.9914469515,1.225032227,1.673135575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.122922026,16.857903693,21.663686526,26.212282693,31.124336438,36.917909947,44.204831432,53.24541007,62.850597589,73.595000735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.113828743,2.00658569,3.117225088,3.447400913,3.351059204,3.049705011,3.30063991,9.245770135,9.844606435,11.312219186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.256536403,25.622048314,32.394749233,38.771115931,44.387068493,51.397962001,61.750095357,74.867333062,90.027746846,107.167298913]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2083, 259, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.993316278,79.276257206,122.113447282,84.110612676,51.350666605,23.471976021,14.207587146,9.203776994,9.888531278,12.527674508]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.126438055,20.300044268,29.334540425,37.740978347,41.831381805,43.730302673,44.415792465,44.622210044,44.495697637,44.227773277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.754069958,166.178835922,283.460717441,299.568683778,254.241731799,177.938105119,142.224437098,120.147525509,115.142472225,104.828163684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.799837708,60.163532251,95.704276888,132.539464982,156.152628559,170.935804908,178.40013508,182.459383538,184.891823017,185.476680495]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2084, 260, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.270752361,25.166652375,32.309302847,24.210057158,19.374798735,11.366808084,8.442046396,6.194333839,7.278682641,9.794844851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6668086385,1.595609494,2.519666076,3.330462198,4.143792861,4.67320896,4.818423086,4.995316961,5.126493939,5.289157929]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.026934609,76.802421564,104.164820043,99.939306749,90.034844748,70.900962957,69.95559203,77.309173099,81.427538915,80.552932723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.719838402,4.049730099,6.472198912,8.671866356,10.675412861,11.947661731,13.032727118,14.543344348,15.724020127,16.640330215]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2085, 261, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.722563917,54.109604831,89.804144435,59.900555518,31.975867871,12.105167937,5.76554075,3.009443155,2.609848637,2.732829657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.459629416,18.704434774,26.814874349,34.41051615,37.687588945,39.057093713,39.597369379,39.626893084,39.369203698,38.938615348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.727135349,89.376414359,179.295897398,199.629377029,164.206887052,107.037142161,72.268845069,42.83835241,33.71493331,24.275230961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.079999306,56.113802153,89.232077976,123.867598626,145.477215697,158.988143177,165.367407962,167.91603919,169.16780289,168.83635028]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2086, 262, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.671156399,17.75705538,30.721269146,18.205549616,9.985049701,3.411918203,1.51994749,1.184585423,1.166440161,1.116629826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.802831674,2.526434793,3.755161152,5.235380307,5.956479123,6.384693008,6.684831445,6.899086207,7.114406894,7.27918567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.961260003,20.503554725,45.182786045,52.062743833,46.448902365,30.283283551,20.723606021,11.895185029,9.667573668,6.875971665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.464351403,6.949407994,11.352382398,17.323335478,21.085981006,23.85459376,25.498361568,26.456868138,27.487866417,28.232933408]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2087, 263, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.480204625,17.491062124,28.620336447,20.91030166,11.363585876,4.396678499,2.08015753,0.72410905,0.5411769295,0.6360827544]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.856019675,3.239258988,4.605194409,5.987153218,6.839995392,7.372666284,7.612784226,7.671160518,7.617048829,7.559591082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.862258429,43.974365724,77.350581,78.523767495,59.116102351,36.73637563,23.870543887,14.981356721,10.891979771,7.652045333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.887813503,14.630093714,21.300496708,28.943532322,34.606540364,38.725858214,40.8986982,42.003320224,42.731443639,42.898820327]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2088, 264, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.571202904,18.861487368,30.462538906,20.784704307,10.62723231,4.296571233,2.165435735,1.100748682,0.9022315474,0.9801170761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.800778067,12.938740993,18.454518788,23.187982625,24.89111443,25.299734421,25.299753708,25.056646359,24.637747975,24.099838596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.903616926,24.898493853,56.762530121,69.042865596,58.641882377,40.017482993,27.674695146,15.961810611,13.15537988,9.747213962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.7278344,34.534300444,56.579198869,77.600730826,89.784694327,96.407691203,98.970348194,99.455850828,98.948492834,97.704596545]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2089, 44, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[135.187915914,116.17996253,97.831680072,80.623242468,67.798994895,58.829507193,52.562968975,49.0225373,46.721026361,44.2173887]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[111.425529531,101.492049508,89.669733772,75.730224457,62.326927572,52.474625864,45.309498928,41.326315174,39.572498166,38.364440589]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2090, 152, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.363236052,6.631253147,4.499658144,3.36641305,2.29172767,1.831600117,1.338018317,1.00236643,0.7535983398,0.5434705571]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.167793073,15.141801181,10.975885139,7.569672368,4.854185089,3.921541933,2.760964921,2.250258957,1.656784287,1.110613985]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2091, 154, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1452.448525008,1839.847824599,2009.028623314,2143.423332211,2271.428938572,2356.397709569,2379.195259509,2401.39438306,2403.543581074,2397.190239599]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[778.10529309,983.8351471,1042.743653324,1083.110750657,1112.058355215,1142.274277726,1175.879265705,1207.509316157,1231.935878417,1251.183817078]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2092, 157, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.211,55.2649,53.2618,51.1784,49.4562,47.9986,46.791,45.368,43.0111,41.4875]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.513,188.733,184.219,177.381,171.015,163.945,157.903,154.253,147.27,140.316]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2093, 158, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.131,18.4538,2.8731,1.40177,0.587744,0.213409,0.0671451,0.0139368,0.00363417,0.000205334]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[462.884,50.7312,11.091,5.73236,2.59807,1.02073,0.332135,0.0940469,0.0216499,0.00455339]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2094, 198, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[376.270557497,673.900952887,1074.862226153,1428.221362394,1743.710138254,2023.100964705,2257.207664739,2505.087664183,2739.328309124,2899.888653216]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[568.96876405,881.922367059,1203.538365132,1527.98007644,1848.749585638,2136.977141278,2399.391995983,2648.809241723,2876.502596366,3044.589460092]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2095, 207, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1860585611,0.1339208602,0.0538757067,0.01198336379,0.002143894579,0.000364492014,6.297791479e-5,1.113880507e-5,1.693234026e-6,2.018410146e-7]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1967240051,0.1419210096,0.0567441959,0.01249535931,0.00210715837,0.0003262717796,5.840860767e-5,1.21685404e-5,2.061218919e-6,2.423305956e-7]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2096, 225, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[212.425961661,241.77858009,287.649376007,349.654417162,427.110633982,568.165546242,782.381857925,1040.193562703,1336.331628617,1727.437542314]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[236.232702831,273.115823713,326.820164613,398.009587703,483.925309606,638.731569683,864.365082087,1117.235896086,1399.069915247,1745.646498623]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2097, 232, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.287456055,39.771581621,45.462079458,48.058044651,48.141889259,50.452514488,55.623375092,66.222373319,81.73392395,93.898410286]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.973397776,29.338232505,33.299579746,35.352369872,35.267966134,36.873348099,40.044261304,47.267801661,58.405694097,67.084716873]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2098, 233, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.970836259,127.096041764,141.832188567,169.394255583,208.119976609,256.824160593,319.930121965,404.757005391,524.663883701,688.288708167]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[93.404723685,117.004327671,132.193600216,158.327591421,194.605390713,239.787122171,298.021566353,373.883378463,480.916853032,627.304497109]}', 2010, '', 1, '', 450, '2014-09-16 14:02:47', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2099, 301, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.232708024,87.567375799,163.6799604,140.941594308,100.036781295,57.177707638,40.60592711,36.103097374,47.897604948,75.338440445]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.403810902,10.518523036,22.216243615,33.897375412,45.692938833,51.495751367,49.153511828,46.831612051,44.230352627,46.824749104]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.342460475,20.251527723,56.0563949,93.494318778,103.667541393,104.84741383,110.629579947,111.060040325,140.022823041,180.325609683]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.047024929,47.066990389,44.122624849,41.130273623,37.676020423,36.434190369,37.606026191,38.852265251,40.508442551,45.376394636]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2100, 302, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.623530051,78.295594095,146.22535405,125.928358088,89.368818237,51.059747795,36.299109311,32.285056696,42.838014905,67.408410732]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.723074543,9.40400269,19.852421704,30.30604752,40.855923226,46.059606451,43.945436192,41.861801842,39.535298843,41.868551715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.23728247,18.102001067,49.998692015,83.510080195,92.555684421,93.537370154,98.698720356,99.102822959,124.847487938,160.913800318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.629946133,42.066833907,39.442198136,36.765747776,33.679239209,32.581475417,33.640100754,34.74794068,36.239524279,40.581661367]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2101, 303, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.392513932,59.72591047,111.738877532,96.169548461,68.250981968,39.024205969,27.708710117,24.647621143,32.694008338,51.382274818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.369978327,7.177646166,15.157288865,23.12631195,31.170287375,35.128772878,33.5320432,31.953548297,30.179300714,31.945649299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.058390321,13.816544629,38.266493776,63.803512166,70.735913116,71.58938631,75.56061844,75.804139864,95.636451846,123.043053799]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.823972736,32.110211905,30.100125817,28.055858319,25.702418393,24.855658275,25.650355074,26.504308658,27.631160527,30.958997056]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2102, 310, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.734311156,9.560368679,17.500946929,14.865135994,12.54885463,6.865013422,5.274760418,2.538257515,3.385451203,5.844355403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[559.320536069,540.738442128,470.048384876,448.356236992,469.617158222,498.899069333,479.44919129,338.491629131,253.940534894,176.512950937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7450709827,1.429196624,3.582878121,6.04160398,6.547380595,6.947340048,8.214530097,7.452599652,10.982502134,16.890361183]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[216.252310584,124.805370027,114.073434149,118.706623854,120.671264613,134.523478428,136.446599594,144.21583148,145.844491556,151.476004364]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2103, 284, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.734311148,9.56036869,17.500946949,14.865136016,12.548854628,6.865013428,5.274760417,2.538257515,3.385451203,5.844355403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[554.962406882,536.728408682,466.09227621,444.347734032,465.529941857,495.100169877,476.10195463,335.04724385,250.315943507,173.126331257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7450709827,1.429196624,3.582878121,6.04160398,6.547380595,6.947340048,8.214530097,7.452599652,10.982502134,16.890361183]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[213.451614352,122.213530213,111.5887442,116.217640477,118.194023821,132.266111281,134.471460132,142.139189955,143.585167587,149.293338756]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2104, 274, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.574060013,50.048518006,89.421543831,82.723282005,73.679239933,54.094659737,48.962639226,45.272853111,56.297166941,75.861517356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[228.47903131,483.993827264,498.196132819,469.337379301,472.27994459,436.78330038,387.236828446,332.251143793,295.017451768,241.899947187]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.966289003,99.683105365,197.901034112,266.585028257,307.741875433,312.204198202,336.790307607,323.927654954,390.190494478,415.79391826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[630.699982334,1357.684657476,1469.347580273,1399.89542654,1497.460981428,1494.438545272,1392.645868041,1232.982188612,1055.582930889,815.27207797]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2105, 275, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.555278181,45.097878499,79.389757793,66.258369021,54.062317482,32.870928568,28.168433937,28.250455322,42.81040755,63.75834693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[111.521199655,283.00700324,267.200964624,213.109180509,204.248740589,188.41376693,185.927996605,190.313897064,199.124626444,179.598245364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.398868425,83.938323692,172.292341413,228.667440228,260.340978727,257.780824653,279.592013672,283.725926942,359.138727737,389.467934449]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[462.606081639,1079.320749993,1102.757965,915.176763357,922.418104125,911.634840738,896.044344541,878.307456889,821.210705713,665.62860797]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2106, 276, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.041363651,5.043227179,10.219596316,16.696481519,19.90499095,21.446755972,20.981599538,17.171486799,13.649280066,12.263204942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[117.003689265,201.059979629,231.117041257,256.399265819,268.262673851,248.583034577,201.511877561,142.136745743,96.106395825,62.484657977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.707199623,16.09793873,26.238918097,38.851491403,49.049555633,56.338082111,59.356857327,42.153882475,32.908810826,27.53571214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[168.14052346,278.434095649,366.730501791,484.922189936,575.431515804,583.136802593,496.863451329,354.888948022,234.532842597,149.720357897]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2107, 277, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8216626563,4.061985813,8.754108928,9.289039317,8.31718517,6.569376923,6.486428272,7.952845486,11.24421498,19.194217784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.147244269,243.323325263,379.56747683,502.887581209,615.90771297,795.983972517,983.003019053,1189.475831461,1210.270137849,1331.647747945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.882463505,8.140948264,12.789178963,16.814914534,21.358487897,26.17551691,37.127804254,57.965278652,93.724554377,148.473834498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[247.194528711,462.734781574,641.485326088,824.979743289,1006.355633849,1248.953968169,1502.365176278,1784.012080493,1891.136603848,2058.285706519]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2108, 278, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001588200271,0.00483308566,0.01549357809,0.02485764163,0.07810492248,0.09528653422,0.1803505208,0.3198116361,0.8144051015,1.760316803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0008028525754,0.002557106371,0.007735960554,0.01124611018,0.03228702042,0.03625222016,0.05873797846,0.0995451275,0.2377443584,0.4799826875]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001022386533,0.002038473781,0.010215476,0.01651165064,0.1617900336,0.4178390986,1.803107711,4.728176677,11.18957934,24.33133125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0007095631532,0.001207393535,0.005646813687,0.007938527888,0.06592750802,0.1551804914,0.5886609306,1.456908959,3.234732736,6.608895223]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2109, 279, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1501583246,1.762504146,4.283615385,4.640308674,3.94220588,2.697495793,2.473399089,2.775069233,3.975289724,6.614990024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5949788541,2.730716637,7.050746354,12.380362828,16.697869729,20.469877234,23.65726835,26.859060041,26.496886001,27.845443305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2204338759,0.7094287813,2.462531609,4.428869857,6.898642393,8.073433414,12.244307858,16.512335206,26.140468966,39.057326604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.448023128,9.084884261,13.374261239,16.121018545,18.864043771,21.109451595,23.623530474,26.326611993,28.114914408,30.321426776]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2110, 280, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6161769491,1.457543224,2.022820735,2.107118686,2.069621668,2.078314645,2.081100277,2.047658727,1.811808925,1.735456014]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.518371984,8.223706953,11.682152243,17.441819709,26.369817266,50.829562879,77.447711283,98.490387521,79.060499607,59.765554116]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.594561286,7.154612245,8.86189088,9.266142794,9.375228128,9.375655668,9.254787559,9.272965769,8.679557324,8.203035395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.82739695,38.816393647,43.662731747,53.857214742,68.081043056,83.687745907,94.368295843,114.052935697,109.700106075,104.150387856]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2111, 313, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.487810591,60.689557343,138.072422348,243.372420771,321.71024526,376.705053751,350.051658241,249.998188042,163.688310026,120.645835316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[272.974914564,650.035469133,999.014116273,1406.478004341,1732.472680357,1771.681004059,1603.377630607,1253.103563979,1030.301181025,896.911378962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.040245753,7.062630245,9.456866419,9.217828702,8.157711655,6.630849235,6.567258397,6.86916145,7.121107053,6.868144652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.313307887,164.649072251,154.58307511,121.953141932,105.796808243,97.456432547,92.822063547,88.436880507,82.702779981,76.902924186]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2112, 314, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.783476659,2.264250866,2.455674694,1.597123082,1.269426197,0.7479891259,0.5669257954,0.4594703539,0.5148284831,0.6275009004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[112.907273368,160.678121018,133.720052633,114.473270123,114.126639208,113.006609889,108.384932452,102.948176381,97.991557957,90.825797763]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.040245753,7.062630245,9.456866419,9.217828702,8.157711655,6.630849235,6.567258397,6.86916145,7.121107053,6.868144652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.313307887,164.649072251,154.58307511,121.953141932,105.796808243,97.456432547,92.822063547,88.436880507,82.702779981,76.902924186]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2113, 304, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.060435732,6.741561755,19.214209306,18.502162594,15.563066809,11.215273345,10.860440417,12.850495418,21.038517776,38.927846346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5775468709,0.5740673752,4.229927155,5.954362954,7.895879779,10.241207896,13.20467876,16.879536032,21.316017167,25.755363876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6279408989,1.575383558,9.154852572,16.158392947,22.54530168,30.181517889,43.731392076,59.488067174,92.94306741,142.551697111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2294627982,0.2087884346,3.212007883,4.984807835,7.078465358,9.836053909,13.591121104,18.932677357,26.312336886,33.629207301]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2114, 306, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.984679793,18.972934466,56.787488848,54.241691304,45.101333641,31.743173266,30.422768859,36.800400194,60.456592078,112.936307941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.625820991,1.613274705,102.869255009,149.945789826,203.516815738,267.596386576,338.831811859,418.375698222,504.351617982,621.005847908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.766430043,4.430313502,25.405411292,45.03111948,61.227698843,81.053112468,116.119899917,164.147466917,259.68119471,400.70283237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6451146184,0.5840511896,49.683434211,78.064813424,111.044928756,150.37924228,195.895519716,243.856092019,296.41601844,347.19067714]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2115, 307, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5167402795,0.5120893669,0.4643886349,0.3492658435,0.3700881944,0.5935335955,1.069282818,2.179541658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,13.574457406,19.92709862,27.106641189,34.798328578,42.804502385,51.341714999,60.16673831,69.980509894]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2474908359,0.5227596226,0.8201500114,1.37481796,2.309683197,4.59025282,8.397159882,13.942346155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.998677663,15.787225939,22.51155538,30.49272884,39.401678288,48.267404507,57.411904455,66.186797258]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2116, 309, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.116371612e-10,2.266737182e-9,7.098845225,9.569544398,11.628029902,11.872631445,16.998250038,23.304051983,43.101167284,87.196698323]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.258128612e-10,8.33903206e-10,7.507979984,12.323088154,20.033880294,32.154982433,51.54030033,71.252425113,110.052666361,150.607940108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.522690572e-10,1.719935607e-9,3.810471899,8.403277575,15.464437191,27.506152732,55.439132899,85.091605304,148.162960896,250.449357628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.824757889e-10,6.542951122e-10,6.871681724,10.231926945,17.368703579,28.99761724,47.945447283,77.520667458,125.229630847,182.650960691]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2117, 305, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.02777674313,0.05136738391,0.07282940296,0.09376293642,0.1480372988,0.2542357975,0.5407123861,1.031889852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.009841607451,0.01414205587,0.02095856536,0.02571990154,0.03910125318,0.06579999978,0.1388664862,0.2420520077]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.03499606164,0.08265211568,0.2148802315,0.5438945384,1.138467033,2.361264763,4.361736347,7.477064145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.01227825878,0.02717974146,0.07445794353,0.1765742761,0.3298961433,0.6579760952,1.141195485,1.863035547]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2118, 308, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.071068482,9.518177014,11.555200498,11.77886851,16.850212737,23.049816186,42.560454883,86.164808478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.498138377,12.308946098,20.012921728,32.129262532,51.501199076,71.186625114,109.913799871,150.365888103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.775475837,8.32062546,15.249556953,26.962258199,54.30066584,82.730340573,143.801224428,242.97229357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.859403465,10.204747203,17.294245632,28.821042965,47.615551134,76.86269137,124.088435334,180.787925165]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2119, 271, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,26.208531571,25.375921634,17.334784836,14.966832305,15.932825335,30.027767882,61.104476468]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,58.570426518,173.086209792,129.274011484,66.149453678,85.646054701,271.104804941,439.759902529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,183.129926324,249.716382082,327.188463153,438.382193972,562.03445102,871.582695472,1243.970901592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,292.464038453,505.912751735,898.475865245,1094.265225645,1262.044166268,1481.367471334,1649.795031106]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2120, 272, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,19.274049072,15.968758317,10.5599286,8.811699451,8.748303845,11.266803019,17.014336475]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,2.053718886,2.639918658,3.769555297,5.731578027,8.527216681,11.223649398,12.620183983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.7359794869,1.450056219,2.562432369,5.089998245,8.466963287,12.864185031,21.940504516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.09726613096,0.2086735254,0.453514279,1.19938719,3.126729678,6.038431262,10.066502715]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2121, 265, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.037802997,4.196523622,95.835017492,94.267735121,75.44113639,54.171468552,55.901868791,74.326492236,127.187314879,234.213966144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[90.777037071,124.752918625,298.55683593,403.131104847,502.893172185,669.092288347,941.358256023,1168.129860689,1232.532965284,1252.108319766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6690883295,1.244022055,45.635425166,87.375764883,113.245193899,146.842094671,196.070376581,259.676871499,406.056418629,584.08499201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.721986068,48.744194088,177.852673174,284.06777736,399.245711769,563.268400691,736.457296839,899.714996636,920.334769903,898.603794417]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2122, 266, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.351360205,3.653212828,4.585186354,4.973555433,6.049371101,9.858443496,16.444567959,27.064403428]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5312110428,1.218230571,2.098470248,4.740574837,10.84657498,22.314864126,37.789199135,47.577371204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.984917085,5.817284928,12.995994678,22.468488876,36.765214532,49.091415651,65.926611801,77.491646697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.7241348456,1.84537093,3.445341106,7.553970798,16.703039324,36.200120335,62.006226735,71.818477297]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2123, 267, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7371188375,3.7193882,28.488412191,38.718133466,47.86260606,46.392121232,60.14970902,85.912713139,161.235611254,322.111272564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.580711597,39.111643073,86.67581858,127.801341024,176.502753635,227.681466118,285.907221572,372.218623487,544.217114655,717.228654675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5737536697,1.225062513,20.87365182,42.387976369,71.570870572,114.906643933,197.284135952,297.027698697,508.738548873,834.245733926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.675560267,30.681870216,82.320477173,113.046295537,157.432249934,209.919995486,269.709010382,390.75906841,574.276695569,773.91849248]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2124, 268, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,51.236968288,62.667924953,76.76085029,72.907133887,83.565092929,122.050350632,208.775765935,383.967493478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,189.403546302,285.85538601,621.372056723,938.172992984,1309.08138935,1742.141824037,2013.762657062,2296.347106793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,12.392639595,24.728488294,51.794396585,81.92385102,120.907970401,191.202119857,276.335380241,467.817849314]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,60.987467341,95.513052486,252.340449746,387.029255579,487.37632924,700.874183919,730.844084795,961.100181833]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2125, 286, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,35.120960272,43.296698103,51.16026185,51.382095326,61.955617991,84.566306184,150.096451746,287.05121221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,98.663047969,124.636149922,175.685985475,255.693140443,366.036694524,460.706058256,512.624677942,551.851456891]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,22.732384955,43.971992322,77.11065891,128.572629335,221.920619351,329.874955251,555.904672843,878.795973834]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,54.594405707,75.256060574,113.68036332,175.471787221,273.980870843,387.109630289,507.124383212,628.512686444]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2126, 287, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,15.64141756,19.559919635,22.76123979,22.28741351,26.462364245,31.975224704,55.023268467,103.960123472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.803980198,4.614329667,6.646339694,10.266018045,17.765695658,30.832715882,50.709031164,68.871153265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,11.595590509,21.929776773,36.32722326,58.259115326,96.414864879,138.592670434,227.008229672,349.723482126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.19771216,5.251924536,8.066028061,13.850424923,26.258270565,52.786222498,100.728498323,146.284745757]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2127, 288, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,12.688389993,15.586432663,17.421946461,16.214833724,18.817392856,22.63535834,37.672544649,70.615223482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.390367392,3.87927529,5.565880011,8.527187618,14.360431951,24.653756979,39.31121574,52.621739382]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.015388649,16.779368765,26.756514804,40.465675943,65.029109518,90.54087552,140.54011688,213.960914301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.596166781,4.157307287,6.12583714,9.767480522,17.81551319,35.834394703,66.929951175,96.424371347]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2128, 289, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.386528927,9.746302745,11.038511637,10.68030991,12.061028099,16.055863266,26.948850226,48.35490616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,42.390699195,50.960261421,68.727016861,98.557198241,138.055916267,164.733709034,163.704130008,153.029874995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.206963284,9.586291254,15.96324468,24.843080322,39.582500616,55.015219542,86.918656677,127.722523774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,18.97831507,26.384314315,39.128398103,58.433991657,84.313495704,105.417031014,116.207330131,121.021877461]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2129, 290, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.674785166,5.293373926,5.964760797,6.04960768,6.987323652,10.118607696,18.337949765,33.902609818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,21.718682993,26.175634901,35.719149097,51.375044283,76.486536282,98.12210523,106.80381139,109.534559666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.027136778,5.766095392,11.048284686,18.689582563,32.844279748,47.143095917,79.368308094,120.183717339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.489175836,13.093224905,19.886967584,31.188509132,50.586123013,73.050180506,96.518247888,117.124847088]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2130, 291, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.09094833093,0.1150654312,0.1653080281,0.1964168076,0.3004928218,0.6563973075,1.335603093,2.491185434]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.06291781144,0.08750694101,0.1374432164,0.1628509996,0.2386992412,0.5009312223,0.9352756958,1.55469817]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.08282379018,0.1329924796,0.227659103,0.3439360977,0.6288580863,1.243002789,2.469738184,4.542717447]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.06839358247,0.1158860968,0.2172281912,0.3434377736,0.5671294642,1.012976424,1.881470333,3.259887405]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2131, 292, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.4275412963,0.4827289175,0.6084470903,0.6873855586,0.8526694935,1.336493766,2.378208181,4.198792953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.397141103,8.832987022,11.744099824,16.834033975,24.344939255,29.116224548,27.488296178,24.496221322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1777593587,0.3405231935,0.6047914101,1.08345697,1.93347936,2.795562884,4.7286452,6.917088839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.24988952,4.457718853,6.676004979,9.855255972,14.069209614,16.108037119,14.730366516,12.502014668]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2132, 293, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.8614330207,0.9388428192,1.204469249,1.324294754,1.611299523,2.205860784,3.240288367,4.843308208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.3318812,8.671685362,12.64909008,19.373552839,29.202891838,33.336714576,27.315370034,21.524395775]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.4803837934,0.8068202931,1.438684267,2.529634117,4.895480572,6.808275466,11.558299881,15.821689186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.172930556,3.878949843,5.330000576,8.499463434,14.205803804,19.088970532,21.570825959,20.883476756]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2133, 294, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.833912212,3.281700049,3.91320222,3.87981397,4.178892177,5.74502638,9.172040201,15.829581107]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,33.71047729,40.65627786,56.351621315,78.087297943,98.74850546,107.564752749,96.821452863,86.855892578]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.466570624,2.613967958,4.194597524,7.183846442,13.305933591,18.009884222,24.959953163,29.017075525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,20.241726453,25.54650344,36.261219423,53.370415377,82.207844025,91.562920307,70.926845719,49.926290787]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2134, 295, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.17205032,2.520097855,2.686613238,2.595076264,3.098666762,4.562098431,7.97901286,14.589566505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1257173069,0.2388391013,0.4840471186,1.451787322,4.219906665,10.051614726,18.907471862,26.824114052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.480395967,2.768403041,5.174762799,8.394830016,15.682769217,22.309014104,37.399087352,59.277835653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2186933923,0.3886976047,0.7643982001,2.151559633,6.207980818,16.836566296,36.390239546,57.821147443]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2135, 296, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1084323726,0.133243051,0.1868893814,0.2137557615,0.3167487893,0.6808824253,1.396276254,2.704883979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.07526501448,0.1013349498,0.1556339764,0.1771826216,0.2536405885,0.5239306824,0.9786887718,1.680484129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.09716721839,0.1535558111,0.2644965873,0.3967369181,0.7581603287,1.597906115,3.443836692,6.757088577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.08137506032,0.1378574403,0.2673704427,0.4341298182,0.9422769379,2.26924409,5.212481148,10.510389803]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2136, 297, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.853784196,4.384925658,4.792612195,4.664118241,5.286592253,7.273793287,13.17375494,24.528242387]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.824703858,5.499314036,10.924682457,17.870349987,30.104392582,41.686447994,71.042296824,109.210658131]}', '', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:56:46', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2137, 298, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.57467186,1.822040091,2.013887635,1.917753501,2.235418939,3.024336126,5.327308197,9.968917271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.06607241548,0.1418508804,0.3211452868,1.085183907,3.157255266,7.103855042,13.194232766,19.446402542]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.142541401,2.225707534,4.36191232,7.075284443,12.430276239,17.305558044,28.901132854,45.84696917]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1426567821,0.2645289915,0.5646873641,1.68259794,4.806426076,13.081723922,28.55951484,45.187874145]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2138, 299, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.475002149,1.444258227,1.350728611,1.209134858,1.359207469,1.857884302,3.275419146,5.667711489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.06171115278,0.1128514781,0.2195997518,0.6813253347,1.886829059,4.277114523,8.029880811,11.148248907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.9619428588,1.708796814,3.106382243,4.70764942,7.497476609,9.518205592,15.407807112,23.190370565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1209630753,0.2058338446,0.3903943212,1.09484976,2.856025281,7.296852408,15.137627879,22.70501819]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2139, 300, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.891451109,10.256497107,12.667101713,12.546916953,15.11574795,20.015409659,34.758085605,67.147420467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.820237176,14.588311186,21.698188384,31.024779133,42.215993865,57.067425176,81.913451841,108.904480219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.984296654,10.0143562,17.731405097,29.750765893,51.092437212,75.705200112,125.811299243,204.449032402]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,10.340718232,13.712049328,20.458677124,30.767273228,45.07595365,71.037836379,108.068325803,150.411844401]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2140, 270, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.691175357,4.425732631,5.29723375,5.738210285,6.984299745,11.741407648,22.21571543,46.868313969]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,17.634699664,23.167758491,34.49123034,55.733768181,87.83762451,113.653183839,132.833783127,157.581611266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.853755304,5.470435073,10.221614528,17.219207895,30.015996359,50.270350398,89.888412464,151.743982935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,10.260109684,15.118120904,23.939641031,39.153053672,64.525585927,95.367472864,128.465082657,162.309283413]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2141, 283, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05373918231,0.8371053577,2.43217923,2.516754315,2.227252699,1.69827995,1.761351055,2.819054132,4.642711229,9.083454943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.462816043,33.698004476,64.379914365,97.604707694,130.676580106,169.039886742,202.792260263,244.582598313,261.737639751,293.342424212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06644595626,0.2748687642,1.454540998,3.103390233,4.922827343,8.308588729,13.825601125,27.451800999,47.714948743,76.882141248]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.150009356,31.048630896,59.030420788,94.722113947,136.016083921,184.12450598,234.614306386,289.408879277,326.374415758,365.136643027]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2142, 273, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,6.934482496,9.407163308,6.774856241,6.15513287,7.184521522,18.760964877,44.090140002]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,56.516707632,170.44629113,125.504456185,60.417875654,77.118838037,259.88115554,427.139718554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,182.393946941,248.26632578,324.626030698,433.292195703,553.567487431,858.718510694,1222.030397268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,292.366772324,505.704078228,898.02235094,1093.065838392,1258.917436443,1475.32904017,1639.728528511]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2143, 269, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.8372164733,0.8889279739,1.469440085,2.100772266,3.190018013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,60.235439292,104.073575396,159.353124028,235.780000186,338.964647555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,2.796256133,4.68012944,5.590221581,7.748631017,10.816004906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,81.463878351,145.740104827,225.862588304,338.284099126,488.791106207]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2144, 315, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.914320793,59.383360533,136.73904968,242.50677588,320.970659257,376.242136111,349.693592302,249.681459649,163.327952577,120.20935672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[169.962574278,516.847467236,895.176163552,1320.761867402,1644.903019419,1683.428921365,1518.192257045,1171.798616273,952.118262774,824.224587878]}', '', '', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 3, '', 2, ''),
(2145, 281, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.614900085,39.391278741,55.331495701,75.816730213,80.366378581,109.653160012,132.950344662,175.707866927,140.500731672,169.659201668]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.720539917,65.22199347,84.406781451,113.392164956,119.751872967,161.237545861,191.424777667,247.123078055,207.781086872,245.912646741]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2146, 282, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.95537445,159.277061349,241.115432203,299.632714656,361.764780261,445.955233431,546.673624873,644.392846572,702.23663646,780.555141938]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[161.047849797,318.561671907,441.00548405,546.879292572,663.576662626,798.639538326,957.745604978,1105.643666512,1215.931347972,1306.155706894]}', 2010, '', 1, '', 450, '2014-09-16 14:03:28', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 2, ''),
(2147, 1, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.319,264.68,525.154,621.196,716.848,629.071,563.909,342.497,257.322,190.901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[215.294,634.616,1488.7,1852.96,2564.27,2329.21,1986.38,1189.64,962.694,556.286]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.4666,124.76,369.946,600.974,785.805,763.622,780.46,589.277,444.683,304.253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[209.631,346.674,1010.61,1616.64,2521.95,2701.16,2947.83,2004.95,1865.65,962.53]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2148, 2, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6222,37.8096,67.229,69.5139,61.0942,46.1608,44.4404,54.0505,77.5264,100.815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.0314,57.3449,145.436,173.62,234.549,312.778,396.658,383.221,416.036,236.129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.47187,24.5592,60.4064,95.6998,103.516,94.2621,96.5771,129.934,149.48,177.59]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.0912,89.0364,247.439,331.825,428.681,537.486,742.756,699.659,832.453,432.822]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2149, 3, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.6968,226.87,457.925,551.682,655.754,582.91,519.469,288.447,179.796,90.0865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[173.262,577.271,1343.27,1679.34,2329.72,2016.43,1589.73,806.423,546.658,320.157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.9948,100.2,309.54,505.274,682.289,669.359,683.883,459.342,295.203,126.664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[142.54,257.638,763.171,1284.82,2093.27,2163.67,2205.08,1305.29,1033.19,529.708]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2150, 4, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.6171,44.9386,90.706,109.277,129.892,115.463,102.897,57.1357,35.614,17.8444]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.4768,48.1809,122.359,143.935,195.878,261.523,332.266,320.973,348.001,197.133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.11067,19.8478,61.3139,100.085,135.148,132.587,135.464,90.9868,58.474,25.0896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.9549,75.4286,206.931,278.416,357.466,449.941,624.425,585.273,696.993,362.671]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2151, 5, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.0797,181.931,367.219,442.404,525.862,467.447,416.572,231.311,144.182,72.2421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.786,529.09,1220.91,1535.4,2133.84,1754.91,1257.46,485.45,198.657,123.024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.8841,80.3527,248.226,405.189,547.141,536.772,548.419,368.355,236.729,101.574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.585,182.209,556.24,1006.4,1735.81,1713.73,1580.65,720.021,336.2,167.037]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2152, 6, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5188,35.6836,38.2645,39.0447,35.9302,34.3368,43.494,61.9975,104.858,174.071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[293.7,300.655,314.526,327.618,336.259,341.761,362.671,399.308,422.286,443.696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.3207,33.0603,42.3951,47.912,48.4951,48.7554,61.3752,94.457,130.55,205.532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[298.791,320.764,346.409,362.736,366.282,376.927,385.397,404.316,418.715,443.633]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2153, 7, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.49424,4.74415,6.21235,6.34514,5.38241,5.82157,6.44104,8.93134,13.4776,27.4136]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.6081,79.812,87.6381,96.04,103.98,111.348,119.482,126.892,135.036,142.115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.41074,4.70951,6.74636,8.1799,8.04419,8.98337,11.0352,16.2461,21.4542,36.1127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.6106,60.9942,67.6003,73.5824,79.9602,85.7994,91.6455,96.7859,103.315,108.221]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2154, 8, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.30247,4.22835,3.35889,2.91605,2.23939,2.08658,2.1006,2.22276,2.417,2.07179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.32229,3.07909,2.76957,2.51923,2.24744,2.04811,1.82333,1.64303,1.529,1.31921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.36268,5.96521,5.71581,5.0134,3.71178,3.1282,2.81681,2.97972,2.89131,2.41594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.3294,4.07155,3.70601,3.36757,3.03798,2.69287,2.42269,2.20638,1.88577,1.76235]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2155, 9, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.59217,9.12537,10.8219,11.3035,11.2723,11.479,17.1562,24.8266,50.8833,99.7561]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4722,12.0555,13.2513,14.5052,15.7696,16.8327,20.7839,29.0288,37.1455,44.7953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.10463,9.01789,14.4165,18.1416,19.9198,20.3331,28.0462,46.0478,73.7481,126.271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.2999,10.5604,12.1607,13.4812,14.8182,16.2652,20.3388,29.4698,37.9994,46.2927]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2156, 10, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00459671,0.00913439,0.0108326,0.0113147,0.0112834,0.0114903,0.0171732,0.0248511,0.0509336,0.0998547]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.9779,42.1911,44.3099,47.2495,48.232,51.1737,49.1023,41.0064,33.3504,25.4781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00510967,0.0090268,0.0144307,0.0181595,0.0199395,0.0203532,0.0280739,0.0460933,0.073821,0.126395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.2485,38.8003,42.4365,46.7299,49.1245,53.1941,51.4069,42.9963,34.5512,26.1539]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2157, 11, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0213208,0.0156345,0.014666,0.0175377,0.0174579,0.0213577,0.0382158,0.0720112,0.0705326,0.0874092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.0937,87.9694,86.3909,83.0526,78.0674,69.5718,70.8061,81.7478,82.614,81.1969]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0201369,0.0166953,0.0189525,0.023011,0.021978,0.0243206,0.0388981,0.0730532,0.0635125,0.0764677]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[101.34,116.092,121.165,118.721,108.334,100.058,92.584,93.2657,89.9648,91.0904]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2158, 12, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1849,14.5987,14.6341,15.0803,13.8607,12.3811,15.1456,22.5905,33.5552,40.1129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.9659,70.8836,74.9621,78.1544,80.9077,82.8745,91.6831,108.446,120.094,134.556]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.91333,11.071,12.6614,13.457,13.624,13.4606,16.5258,25.274,28.4335,36.3918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.0941,85.8435,94.1918,100.699,103.745,110.508,117.652,128.053,137.52,155.118]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2159, 13, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.14552,6.0006,5.99926,6.04806,5.42465,4.72272,5.61078,8.10844,11.6281,13.3153]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.6279,30.5347,32.2898,33.4928,34.2805,34.7818,37.5148,42.5238,45.4003,49.0752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.24348,4.58632,5.22236,5.42849,5.36687,5.16362,6.14832,9.10921,9.8954,12.1762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.5125,36.1456,39.8975,42.3806,43.1462,45.68,47.8069,50.7146,52.777,57.539]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2160, 14, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09479,0.789587,0.369081,0.427066,0.444644,0.447639,0.605847,0.973644,1.56073,2.01809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.81882,8.43598,7.45311,7.24688,7.08252,6.95848,7.2816,8.16678,9.21776,10.7312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.846383,0.596818,0.316324,0.372648,0.42181,0.47522,0.654462,1.09718,1.33329,1.83532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.5896,10.0945,8.53667,8.34376,8.26742,8.29088,8.39793,9.04264,10.1232,12.0607]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2161, 15, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4297,2.00209,1.97495,1.98272,1.76986,1.52841,1.81025,2.58894,3.68422,4.18972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.35086,7.91488,8.42012,9.11164,9.48067,9.74766,10.9442,13.5606,15.2264,17.2589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10535,1.5132,1.69424,1.75491,1.72627,1.655,1.96243,2.88832,3.10877,3.76721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.85654,10.3027,11.4193,12.169,12.73,13.4388,14.4893,16.2632,17.8382,20.543]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2162, 16, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.51486,5.80647,6.29084,6.62248,6.22155,5.68235,7.11872,10.9194,16.6822,20.5898]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.8431,23.7258,26.5332,28.0305,29.7535,31.0438,35.5746,43.8291,49.8993,57.1392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.71812,4.37465,5.42849,5.90091,6.10906,6.16679,7.76056,12.1793,14.096,18.6131]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6249,28.9385,33.9637,37.4048,39.1628,42.593,46.393,51.5804,56.2991,64.5015]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2163, 17, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51038,2.64814,2.97405,3.15061,2.97074,2.38386,2.43672,3.13328,4.10661,4.37297]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.60944,3.18249,3.81241,4.52778,5.31629,5.98709,6.72065,7.43427,8.39728,9.26987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.17352,2.00822,2.57315,2.81145,2.92002,2.59171,2.65878,3.50548,3.47979,3.9673]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.23461,2.92601,3.73569,4.58803,5.51597,6.43491,7.05868,8.27159,9.18817,10.0932]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2164, 18, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0128631,0.0134944,0.0148211,0.0139781,0.0124465,0.00956777,0.0128928,0.0148478,0.0159996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00127086,0,0.000355339,0,0.00183494,0,0.00070135,0.00186384,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0117394,0.0131991,0.0184366,0.0198326,0.019159,0.0156598,0.0215097,0.0253879,0.0240534]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0,0.000858413,0.00152924,0.000514486,0.00266632,0.00283244,0.00343002,0.00251494]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2165, 19, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0149657,0.0201858,0.0264108,0.0286001,0.0231972,0.023101,0.022079,0.0193749,0.075217]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0320692,0.0327614,0.0451066,0.0442768,0.0471436,0.0454055,0.041671,0.0366802,0.120232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0135234,0.019348,0.0318826,0.0394991,0.0343889,0.0366982,0.0360647,0.0322874,0.111286]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0317668,0.0415166,0.0516711,0.0629177,0.0744691,0.0838642,0.0899362,0.071466,0.258636]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2166, 20, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0254874,0.0449087,0.0604278,0.0724822,0.0707063,0.0625605,0.0665373,0.0854721,0.117873,0.0756432]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000656048,0.00213166,0.00167102,0,0.00524454,0,0.00312283,0.000737901,0.001252,0.000958664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0232139,0.0441553,0.0742303,0.103524,0.108884,0.103007,0.111648,0.146309,0.177961,0.100306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00337736,0.00371329,0.00447256,0.00311079,0.00399746,0.00423303,0.00290229,0.000796377,0.00080286,0.00246816]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2167, 21, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.336779,0.214033,0.10969,0.0671927,0.0394671,0.0317509,0.0255582,0.0257774,0.0273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0785508,0.0546715,0.0244963,0.0136855,0.00688872,0.008744,0.0130916,0.0045606,0.00788006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.264543,0.162907,0.0896768,0.0550063,0.0329872,0.0301015,0.0243019,0.0294816,0.0378126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0604742,0.0307849,0.0161575,0.0126557,0.0107368,0.00865679,0.00587267,0.00612213,0.00859921]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2168, 22, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186381,0.0214076,0.0263283,0.0378755,0.03013,0.0248492,0.0313621,0.0506734,0.060516,0.0808548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53837,1.39232,1.32013,1.51131,1.67782,1.8713,2.21149,3.0655,3.99039,4.96503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0175242,0.023152,0.0342872,0.0496823,0.0379433,0.0282506,0.0319096,0.0512833,0.0543847,0.0709987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53857,1.39982,1.33942,1.48609,1.65577,1.87537,2.18751,3.18521,4.01991,4.89807]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2169, 23, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.2096,104.032,99.3989,94.3401,84.9933,96.091,99.9187,129.085,153.519,194.436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[726.492,780.704,795.101,794.441,804.724,827.752,818.417,833.835,816.135,877.928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.0851,104.661,120.656,115.968,108.649,133.829,142.462,183.67,198.315,207.463]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[589.723,609.581,599.523,597.443,610.489,628.102,700.11,712.827,728.309,748.043]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2170, 24, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.572,101.969,97.2542,92.137,82.7334,93.9046,97.5909,126.251,149.446,189.546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[209.488,212.198,229.157,230.844,240.581,262.558,241.817,250.134,216.939,242.672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.0794,101.95,117.375,112.572,105.646,130.743,139.316,179.922,193.833,202.928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.4357,93.5334,91.9061,91.8644,104.072,125.633,137.48,148.495,157.708,183.982]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2171, 25, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.485251,0.482688,0.394059,0.374262,0.347069,0.387067,0.45428,0.551006,0.689019,0.683661]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26988,1.48058,1.68663,1.87781,2.06996,2.28272,2.3983,2.52858,2.60083,2.65615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06194,1.18698,1.15105,1.10126,1.00265,1.02135,1.07271,1.2964,1.44668,1.39665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29476,1.49691,1.70543,1.92199,2.10596,2.28254,2.40343,2.50914,2.57759,2.63637]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2172, 26, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00324424,0.00751185,0.0125587,0.0153143,0.0179987,0.0193198,0.0224839,0.0287133,0.0372639,0.0452244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[325.997,366.176,361.616,356.77,354.133,352.558,348.162,346.284,354.441,374.419]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00139627,0.00349339,0.00723367,0.0102731,0.0130025,0.0149687,0.0177789,0.0230903,0.0264493,0.0283744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[232.208,244.954,232.949,223.422,214.759,205.704,196.686,187.535,179.105,170.702]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2173, 27, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.030168,0.0568549,0.0777227,0.0907138,0.0805799,0.0958464,0.124673,0.169742,0.238238,0.267747]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.5384,36.5127,35.762,34.0257,32.5487,31.4705,30.8636,30.5783,29.5726,29.488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0285315,0.0610286,0.10024,0.118934,0.101618,0.10913,0.126618,0.171668,0.21457,0.234917]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.8372,53.4241,51.9381,49.909,48.1098,47.2219,45.856,44.9432,44.7453,43.732]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2174, 28, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00246201,0.00362166,0.00426587,0.00553187,0.00593538,0.00806064,0.0127447,0.0158096,0.0280242,0.0343493]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28901,1.87353,2.30679,2.79489,3.32788,3.90004,4.46192,4.98657,5.74408,6.53499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0023347,0.0038852,0.00552643,0.00724143,0.00748208,0.00917369,0.012945,0.0160172,0.0252604,0.0300367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.55879,2.02676,2.6331,3.27226,3.93651,4.74896,5.39938,6.18831,7.08675,8.04823]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2175, 29, 236, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.100852,0.723685,2.35103,4.23918,6.2301,9.30845,15.4434,22.84,31.2076]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0454279,0.271707,0.989744,1.86783,3.05475,4.56308,8.04835,13.5456,21.1151]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2176, 30, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0471428,0.0703948,0.115729,0.120295,0.201791,0.14761,0.154915,0.134002,0.206231,0.305737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0831125,0.104284,0.126192,0.229105,0.16093,0.139252,0.144976,0.183524,0.202262,0.22535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2177, 31, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.420579,0.577981,0.66707,0.635563,0.644158,0.526807,0.481727,0.551156,0.918162,1.20536]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00263821,0.00161109,0.00923787,0.00663461,0.00412755,0.00650444,0.00271325,0.00405619,0.00413929,0.00458507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.263648,0.453212,0.715253,0.62945,0.562835,0.643495,0.509219,0.595676,0.80555,0.650318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00197595,0.00430451,0.000879709,0.00229784,0.00229008,0.00566169,0.00164414,0.00278205,0.00509778,0.0056039]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2178, 32, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00245618,0.00201065,0.00143627,0.00188017,0.00132055,0.00163564,0.00166553,0.00261558,0.00410186,0.00620066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.77,137.395,136.762,136.342,136.469,136.867,133.7,133.859,130.412,130.026]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00269405,0.00250569,0.00216496,0.00286513,0.00193908,0.00217408,0.00197912,0.00309251,0.00431177,0.00636631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[135.148,129.502,127.306,126.744,128.344,129.014,130.126,131.244,132.25,133.514]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2179, 33, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00245618,0.00201065,0.00143627,0.00188017,0.00132055,0.00163564,0.00166553,0.00261558,0.00410186,0.00620066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.169476,0.161216,0.168642,0.1701,0.159992,0.168155,0.158961,0.160382,0.163578,0.161838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00269405,0.00250569,0.00216496,0.00286513,0.00193908,0.00217408,0.00197912,0.00309251,0.00431177,0.00636631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.177413,0.165177,0.171983,0.164941,0.163736,0.165754,0.161751,0.163366,0.164208,0.151236]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2180, 34, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.219785,0.214334,0.212738,0.206927,0.21311,0.215074,0.208249,0.206087,0.205982,0.216214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.223538,0.210456,0.209491,0.217858,0.219664,0.210832,0.219347,0.211234,0.206034,0.20255]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2181, 35, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.38,137.02,136.38,135.965,136.096,136.484,133.333,133.493,130.042,129.648]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[134.748,129.126,126.924,126.361,127.961,128.638,129.745,130.87,131.88,133.16]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2182, 36, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.153688,0.267174,0.320955,0.408393,0.478679,0.501874,0.568216,0.888001,1.50419,2.02783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.16549,8.77757,8.985,9.33907,9.78274,9.78673,8.45385,9.95889,12.4685,18.7567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111694,0.262695,0.440194,0.557176,0.558294,0.599861,0.745036,0.943262,1.34085,1.6795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.7045,21.4357,19.6011,20.5505,22.7827,23.3732,25.918,27.7269,31.6931,20.9849]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2183, 37, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.4815,53.4779,63.9192,71.7998,45.3881,28.7493,23.4908,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.3992,134.778,279.414,421.777,538.381,623.064,673.769,447.857,316.264,156.349]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2184, 38, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.31004,9.95005,13.9847,18.0573,12.0409,8.02319,6.882]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.57838,3.1221,4.57114,4.00674,2.06481,0.602635,0.0529879]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2185, 39, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.92186,5.09892,5.14519,4.73466,2.77958,1.62865,1.22474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.720771,1.87647,2.30641,1.27909,0.578897,0.389457,0.104185]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2186, 40, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[4.0375,8.56178,9.0965,8.95447,5.48405,3.36671,2.66682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[2.24288,8.02881,9.67908,5.47025,2.45057,1.5109,0.567662,0.000267091]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2187, 41, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.211171,0.935381,1.00555,1.00848,0.719802,0.509032,0.460454]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6447,83.7831,184.289,291.72,381.782,446.711,486.836,447.857,316.264,156.349]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2188, 42, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.66922,7.7196,8.84297,9.52239,5.72478,3.44307,2.66563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.498195,0.969907,1.14862,1.26451,1.19621,0.648709,0.153971]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2189, 43, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[7.33174,21.2122,25.8443,29.5225,18.6389,11.7786,9.59119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[10.7142,36.9979,77.4202,118.037,150.308,173.201,186.054]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2190, 45, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.3672,42.4884,41.4703,40.5967,39.9315,39.0741,37.8715,37.1281,35.6735,33.8503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.7155,49.6993,48.1692,47.7116,45.9288,45.1913,44.0776,42.9877,41.2684,39.9965]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2191, 46, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[134.121,124.841,116.879,108.87,103.303,97.1965,90.8716,84.0183,74.701,65.1332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.705,180.446,170.256,159.644,149.668,140.922,131.302,121.182,108.252,94.8698]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2192, 49, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.66677,10.284,10.7918,12.1153,11.7787,13.2745,18.8215,24.7712,47.7924,84.7948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[658.701,799.237,738.779,692.322,660.079,584.004,498.793,516.409,488.821,501.364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.86885,12.5432,15.2494,18.1737,19.72,21.3194,27.7792,40.0939,57.2481,104.762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[605.836,491.846,436.63,447.912,485.923,500.06,536.474,567.965,622.965,700.06]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2193, 50, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.96688,8.58197,8.8804,10.3108,10.6349,12.2684,17.7215,23.5848,45.6336,81.1184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.96665,3.45646,3.3061,3.77633,3.97517,4.77943,7.13792,8.8365,17.271,31.9376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.14401,10.4673,12.5486,15.4669,17.805,19.7036,26.1557,38.1735,54.6621,100.22]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.31123,5.94867,6.32912,7.17337,6.6729,7.04937,9.56208,11.3888,18.7649,34.1982]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2194, 51, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.123497,0.441963,0.462347,0.319401,0.142749,0.116857,0.100316,0.079342,0.1108,0.132214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.345,117.283,112.161,107.219,102.065,97.6198,93.2672,90.4328,87.3185,84.2289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.127901,0.539054,0.653325,0.479124,0.238992,0.187676,0.148059,0.12842,0.132722,0.163347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.9093,70.2378,67.1501,64.4501,61.3051,58.397,55.8099,54.0964,52.1278,50.4122]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2195, 52, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.4032,7.23761,6.33356,7.19317,6.88548,6.16149,4.29776,3.07321,2.2722,1.69709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.3202,7.39903,6.33405,7.39634,7.60658,7.04664,4.70315,3.30857,2.64926,2.30637]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2196, 53, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.566905,1.24071,1.42436,1.45559,0.973827,0.856768,0.957879,1.05545,1.94941,3.38532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[536.973,671.235,616.95,574.103,547.128,475.416,394.059,414.033,381.904,383.426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.587121,1.51327,2.01272,2.18349,1.63039,1.376,1.41376,1.70832,2.3351,4.18249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[526.282,408.231,356.777,368.846,410.295,427.523,466.353,499.116,549.357,613.051]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2197, 54, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00948567,0.0193496,0.0246452,0.0295145,0.0272364,0.0324693,0.0418096,0.0516444,0.0986253,0.158858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0126731,0.0238882,0.0279073,0.0305028,0.0255538,0.0273479,0.0311837,0.0336545,0.0552963,0.0750276]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00982394,0.0236004,0.0348252,0.0442738,0.0455996,0.052147,0.061708,0.0835899,0.118138,0.196266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0131797,0.0293516,0.0397591,0.0461087,0.0430238,0.0441661,0.0462932,0.0548314,0.0666017,0.0931249]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2198, 55, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.83435,12.9394,16.5209,17.1965,15.1063,11.5802,16.0364,24.4166,47.7582,49.3664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.6462,66.9249,66.2532,61.3604,53.9431,52.1868,21.7076,16.1932,15.0253,23.1836]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.70256,7.45128,13.6502,19.0691,19.8395,17.4693,22.1566,31.6133,37.5995,44.4378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.4687,116.386,104.651,91.8725,79.6069,68.325,59.241,52.8693,56.973,38.9621]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2199, 56, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.437875,0.904109,1.29513,1.48694,1.18084,1.05677,1.10474,1.01552,0.976319,1.39217]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.879,52.0076,50.9476,46.7685,40.5988,40.404,11.3149,5.94047,5.13178,5.02344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.256977,0.461788,0.739927,1.02329,1.05287,1.06261,1.0936,1.25359,1.41478,2.12054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.3698,76.2834,67.0475,52.7048,38.2522,26.4144,15.3149,6.38033,6.13708,6.87579]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2200, 57, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0243977,0.0438222,0.0672262,0.0735062,0.0657434,0.0670188,0.0604395,0.0901636,0.211359,0.301682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.477503,1.14474,1.7137,2.11963,2.42014,2.77557,2.85813,3.18476,3.5373,3.80426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.256977,0.461788,0.739927,1.02329,1.05287,1.06261,1.0936,1.25359,1.41478,2.12054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.924362,2.20179,3.21308,3.88857,4.51867,4.82156,5.15745,5.49499,6.11136,6.85636]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2201, 58, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0963291,0.201296,0.285659,0.32853,0.25883,0.230337,0.244663,0.216963,0.180294,0.269332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.98554,9.20196,9.10994,8.48319,7.59847,8.60637,1.03588,0.327118,0.139749,0.0683593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.0529,49.0831,39.8634,26.4131,14.1699,8.67381,4.2249,0.521387,0.019751,0.0147681]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2202, 59, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0724,0.150864,0.215401,0.245577,0.193432,0.170346,0.180188,0.161551,0.136,0.187668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.55938,8.06054,8.66247,9.19164,8.97594,8.40424,1.90915,0.291206,0.0946531,0.0478304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.3925,24.9985,23.971,22.4032,19.5636,12.919,5.93254,0.363948,0.00597329,0.0046658]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2203, 60, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.6259,29.8296,25.3557,18.5338,11.8834,8.00086,4.47812,1.4652,0.992415,0.942332]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2204, 61, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.244748,0.508126,0.726845,0.839323,0.662831,0.58907,0.619455,0.546845,0.448666,0.633487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23068,3.77071,6.10582,8.44023,9.72083,12.617,1.03362,0.67218,0.367662,0.160656]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2205, 62, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.47645,5.10886,5.30929,5.67345,5.53108,5.22541,8.34727,15.1781,33.2456,28.0666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.8703,4.91711,5.83311,5.88528,5.17491,5.01518,4.85309,4.86266,4.99647,5.06735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.610586,1.21988,1.65246,1.8477,2.41326,3.24015,5.81147,9.04116,10.7845,12.3147]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.21687,5.8511,6.87172,7.10285,6.57733,6.74774,7.05426,7.34193,7.85021,7.96609]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2206, 63, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.143283,0.408477,0.594968,0.856775,1.00095,1.12818,2.08646,3.66806,9.51017,7.64961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.519633,1.20415,2.08887,2.08836,1.22382,0.63474,0.167429,0.0146069,0.00671346,0.00721361]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0733327,0.190742,0.293277,0.38381,0.45746,0.587027,1.00274,1.79268,2.22289,3.00947]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.515836,1.20371,2.02627,1.9935,1.11947,0.600788,0.148333,0.00743505,0.00757396,0.00422675]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2207, 64, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.209947,0.662705,0.99069,1.56868,2.1038,2.75611,4.92645,9.09318,19.2413,16.7838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.73598,2.43418,2.63604,2.82945,3.01546,3.30978,3.64476,4.02486,4.32375,4.41461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.122069,0.405741,0.770209,0.968026,1.40955,2.05343,3.91351,5.90681,7.32195,7.66858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.56323,3.70511,3.95055,4.23317,4.47096,4.9231,5.66995,6.35095,7.01976,7.15659]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2208, 65, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0248477,0.103571,0.14422,0.349768,0.579655,0.543626,0.969547,2.04052,3.83955,3.2871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.236886,0.258294,0.285928,0.350397,0.50403,0.836268,0.972205,0.760421,0.619051,0.608118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0130939,0.0413877,0.13155,0.18887,0.314216,0.461357,0.824124,1.24148,1.14152,1.5483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.310201,0.311726,0.35082,0.458337,0.677312,1.05107,1.1926,0.940263,0.789447,0.769609]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2209, 66, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09837,3.93411,3.57941,2.89823,1.84667,0.797493,0.364813,0.376293,0.654605,0.346099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3778,1.02048,0.82227,0.617077,0.431605,0.234393,0.0686929,0.0627751,0.0469563,0.0374144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.40209,0.582012,0.45742,0.306991,0.232035,0.138334,0.0710959,0.100185,0.0981237,0.0883952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8276,0.630563,0.544077,0.417843,0.309582,0.172787,0.0433746,0.0432748,0.033437,0.0356566]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2210, 67, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0804512,0.0820868,0.0920106,0.0964884,0.104131,0.103206,0.109342,0.111245,0.121987,0.126815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0842926,0.091925,0.0932109,0.0982548,0.109399,0.103753,0.110548,0.113015,0.114566,0.122154]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2211, 68, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.92003,6.92645,9.91646,10.0362,8.39435,5.29807,6.58436,8.22305,13.5363,19.9076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.81638,9.91811,9.3805,8.61012,8.06523,6.66442,5.43023,5.27879,4.77506,12.966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.83499,5.76961,11.2578,16.1981,16.3734,13.1666,15.2515,21.3185,25.4002,30.0026]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.7977,34.1591,30.6385,31.9666,34.668,35.0591,36.7613,39.034,42.8711,23.998]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2212, 69, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.16497,8.582,14.1032,29.0907,45.7638,72.2597,120.005,185.439,291.851,414.568]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.75669,4.33096,8.47106,18.4836,27.335,39.6171,55.0265,75.6207,105.459,130.421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.78503,8.73754,11.9539,17.71,23.9475,37.567,59.818,123.718,185.586,282.344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.92726,2.7541,4.38771,6.29781,8.60164,12.569,20.0955,39.2844,59.2283,94.0725]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2213, 70, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0739127,0.188113,0.337378,0.951075,1.815,3.82217,6.03346,13.1992,22.9483,37.2415]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0194793,0.0483118,0.0723445,0.28012,0.360896,0.708925,1.09926,2.28255,4.0741,5.79574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132498,0.178133,0.446447,1.34314,3.08501,5.14367,9.54421,22.6558,33.4399,46.2703]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00294767,0.0444176,0.117702,0.272382,0.645843,1.079,1.84838,4.4321,6.38915,8.07944]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2214, 71, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0339764,0.241852,0.566985,1.17947,1.01981,2.52642,4.48744,8.53414,13.8353,28.158]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01381,0.0426746,0.148201,0.274034,0.223459,0.550185,1.01909,1.92466,3.09337,6.237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.038522,0.197957,0.427908,0.9314,1.33923,2.84588,3.93713,7.44695,12.5901,20.8589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00590905,0.0345496,0.123822,0.222383,0.41796,0.751013,0.99,1.71451,2.91538,4.63944]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2215, 72, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.366238,0.834568,1.15566,1.63857,2.22515,2.57657,5.14883,9.5637,18.8629,29.0838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0310113,0.0898493,0.126875,0.195939,0.32779,0.364133,0.840477,1.54474,3.3449,4.92154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.318636,1.05385,1.4285,2.45979,3.25624,4.94887,7.87718,16.0761,24.5314,32.674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0258293,0.0861207,0.129576,0.285992,0.418754,0.699173,1.21996,2.44722,4.00649,5.55182]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2216, 73, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120938,0.290058,0.409707,0.590338,0.808671,0.952127,1.92647,3.62072,7.21601,11.2414]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00605223,0.0367214,0.0429228,0.0740969,0.111938,0.136901,0.350764,0.62291,1.29909,1.94162]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.146979,0.48942,0.662595,1.14614,1.52526,2.35279,3.79773,7.82807,12.0739,16.2448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0127938,0.0450308,0.057192,0.130197,0.176615,0.325444,0.550981,1.24289,1.92643,2.82862]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2217, 74, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0212046,0.0496536,0.0707615,0.102353,0.195856,0.38837,1.06745,2.47696,5.75754,10.1337]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000663436,0.00221227,0.0117658,0.0122587,0.0261751,0.0662334,0.153331,0.377492,0.986748,1.62624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0153999,0.050435,0.0684372,0.118901,0.219281,0.56462,1.23561,3.15342,5.69085,8.6331]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00208396,0.00362725,0.0048799,0.0446654,0.0732858,0.229711,0.443219,0.931719,1.45935]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2218, 75, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0203208,0.131565,0.260975,0.450389,0.644223,0.688016,1.2711,2.18301,3.99961,5.69626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000458726,0.0101433,0.0331779,0.0566691,0.100949,0.0964763,0.208065,0.356071,0.706969,1.01418]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0172435,0.158271,0.302307,0.620823,0.864786,1.22018,1.80078,3.42873,4.87087,6.05658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00136997,0.0122911,0.0393708,0.094752,0.0920563,0.17844,0.298094,0.506174,0.81529,0.984376]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2219, 76, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.203775,0.363292,0.414215,0.495492,0.576395,0.548056,0.883801,1.28302,1.88979,2.01242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0238369,0.0407723,0.0390088,0.0529141,0.0887282,0.0645232,0.128317,0.188268,0.35209,0.339497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139013,0.355719,0.395156,0.573919,0.646907,0.811285,1.04307,1.66586,1.89576,1.73953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0116656,0.0267148,0.0293861,0.0561623,0.105418,0.122004,0.141173,0.254945,0.333053,0.279482]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2220, 77, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00285816,0.00993663,0.0100433,0.0231325,0.0292596,0.0584106,0.095027,0.152525,0.346544,0.392473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00290812,0.00774715,0.0112756,0.0117341,0.0194442,0.027874,0.0464239,0.0564056,0.0845985,0.124084]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00284107,0.00780728,0.0193197,0.074743,0.109795,0.299831,0.907986,2.0262,2.92677,4.16982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00352618,0.00564702,0.0109127,0.0277028,0.0578663,0.165054,0.500708,1.05224,1.52508,2.00341]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2221, 78, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0735136,0.266681,0.404997,0.738465,0.855501,2.60219,3.83522,5.08968,14.8,16.0771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0340886,0.0727962,0.117592,0.116041,0.150785,0.482168,0.678838,0.918423,2.5901,2.80968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.011259,0.156003,0.39848,0.789574,1.6081,3.61756,4.0828,8.56846,10.6816,22.4435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00425452,0.0527866,0.115772,0.230174,0.460388,0.933859,0.911521,1.98869,2.25303,4.51719]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2222, 79, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0804528,0.827876,1.27824,4.71016,7.78607,11.3754,13.9485,28.5908,44.2693,42.3969]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.126947,0.750435,1.39166,4.5456,7.59172,13.051,16.1489,26.3138,38.185,39.3782]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2223, 80, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.219095,1.4216,3.79724,10.8745,20.1904,31.3979,57.5436,71.1052,105.427,152.675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0888372,0.910732,3.21072,8.78412,13.2139,16.5949,22.7835,22.2785,29.3156,36.6555]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2224, 81, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00801343,0.0150687,0.0252393,0.0269031,0.0477869,0.0941006,0.216972,0.536912,0.959523,1.82605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00448919,0.0103417,0.0161333,0.0251913,0.0380283,0.0820927,0.304894,0.744444,0.962808,1.25907]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2225, 82, 236, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00978441,0.0169937,0.0323328,0.0342694,0.108602,0.271386,0.889528,2.67038,5.92219,16.0448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118772,0.0149795,0.0307526,0.0301338,0.130392,0.311839,1.73014,5.67884,11.5119,27.2386]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2226, 83, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0577009,0.345203,0.479393,1.00706,1.5297,2.45849,5.0437,10.5092,10.771,15.514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0434874,0.195479,0.270247,0.542414,0.861917,1.37889,2.72993,5.47975,5.33147,7.35986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0650255,0.363012,0.533875,0.808691,1.5913,2.52488,4.79498,8.07775,12.7723,19.5817]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0417608,0.188173,0.296167,0.489895,1.11443,1.69115,3.00609,4.97927,7.84991,11.2534]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2227, 84, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118681,0.242692,0.310948,0.34901,0.50781,0.70896,1.24767,2.11136,2.62407,3.62861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.119062,0.235992,0.284482,0.216228,0.341784,0.40725,0.784227,1.29711,1.73899,2.29123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.134133,0.283151,0.463185,0.672169,0.782153,1.13308,1.41116,2.29324,3.8525,5.59496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0947213,0.25518,0.409472,0.572588,0.597456,0.976556,1.23259,1.95778,3.29219,4.79779]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2228, 85, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0198409,0.0331282,0.0279732,0.0419251,0.0513959,0.069593,0.118184,0.16222,0.280917,0.379619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0137785,0.00789952,0.0136267,0.0249239,0.014741,0.0272335,0.035981,0.033812,0.0671171,0.103715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.040768,0.0679275,0.107491,0.140834,0.207157,0.317278,0.478519,0.688898,1.01572,1.35489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0195483,0.049619,0.0541953,0.0769269,0.129102,0.174021,0.213689,0.212339,0.307142,0.364579]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2229, 86, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0167423,0.0163151,0.0321866,0.0372905,0.0269198,0.035632,0.114586,0.178106,0.174922,0.222537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00513635,0.00302579,0.00470143,0.0110245,0.00666207,0.00497951,0.03403,0.0432117,0.0398732,0.0705091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0093782,0.0131379,0.0264979,0.0212307,0.0688854,0.167982,0.326705,0.878661,1.44247,1.9267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000982107,0.00373486,0.0164944,0.00748624,0.0336365,0.105036,0.149818,0.376764,0.533359,0.735806]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2230, 87, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00110229,0.00413727,0.00879008,0.0328746,0.0308504,0.0921521,0.24449,0.283638,0.787205,1.195]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.000244611,0.0037182,0.010654,0.0104789,0.0191723,0.0511706,0.0506788,0.140711,0.201375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000817812,0.00277105,0.0168962,0.0153997,0.0145912,0.0175875,0.047245,0.0683587,0.202364,0.192615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.000531571,0.00176411,0.0136867,0.00127838,0.00836531,0.0187113,0.0417363,0.0384187]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2231, 88, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00754681,0.0182057,0.0438661,0.0822089,0.15437,0.466433,0.941385,1.72754,4.06236,6.63756]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00251392,0.000103776,0.00687319,0.01465,0.0248061,0.0524019,0.0957701,0.161667,0.37338,0.606475]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00599406,0.0203708,0.0854267,0.162292,0.134631,0.2897,0.568553,2.51212,2.47807,7.15216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000296302,0.00331114,0.0168238,0.0273302,0.0271387,0.0389556,0.0744382,0.314483,0.277363,0.80374]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2232, 89, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00599327,0.0135713,0.0271121,0.0198089,0.0678859,0.0940757,0.238633,0.540964,0.547499,1.26845]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0210034,0.0297432,0.0709039,0.0364599,0.116679,0.16336,0.297928,0.638394,0.591301,1.16227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00295274,0.00918211,0.0163146,0.0149947,0.0301817,0.106702,0.098542,0.14762,0.181472,0.383537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00362246,0.00898197,0.01625,0.0192852,0.030618,0.10094,0.0869659,0.102917,0.149509,0.284935]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2233, 90, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0464248,0.0987264,0.174708,0.256365,0.251007,0.283173,0.370308,0.519802,0.848959,1.2841]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0188918,0.0485054,0.0712812,0.0952745,0.135359,0.22648,0.459893,0.788257,1.0997,1.58193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0412637,0.0825842,0.17505,0.275737,0.345112,0.482774,0.661654,1.07341,1.88906,2.3559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0292084,0.0542823,0.0935265,0.137711,0.20066,0.289329,0.700379,1.09374,1.57909,2.31412]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2234, 91, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237498,0.290663,0.396059,0.760883,1.01809,2.34296,4.95014,9.45996,9.51645,11.3858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.132815,0.230869,0.315492,0.443503,0.523568,1.07722,1.79976,2.58247,2.40656,2.64677]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2235, 92, 236, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0196958,0.0759741,0.0601592,0.0964378,0.097056,0.0675654,0.0815941,0.158543,0.145444,0.3555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00673493,0.076139,0.0662057,0.120947,0.138854,0.0682728,0.0651914,0.0981083,0.0684395,0.134534]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2236, 93, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0345325,0.0590189,0.0946661,0.160946,0.16628,0.382347,0.672424,0.854326,2.5647,2.53149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0073388,0.0088217,0.0337768,0.0478639,0.0551498,0.114221,0.227826,0.205941,0.608494,0.573352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0201344,0.0237962,0.042448,0.0529841,0.0759397,0.157297,0.279269,0.8499,1.13264,2.27565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0029543,0.00816335,0.0249888,0.0216578,0.0233468,0.065985,0.103188,0.270823,0.357975,0.63291]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2237, 94, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0321478,0.0910116,0.216818,0.564886,1.47499,2.10518,1.79839,1.37439,1.58934,2.55686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.014346,0.0194198,0.0802098,0.130526,0.332456,0.523624,0.566538,0.518073,0.553032,0.785172]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0387229,0.0962157,0.062212,0.208225,0.239807,0.645316,0.961206,2.47042,3.55731,5.36908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0205842,0.0335734,0.0324899,0.0646536,0.0852491,0.215511,0.322841,0.722262,0.876125,1.50441]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2238, 95, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0619509,0.101195,0.13024,0.187181,0.220162,0.279275,0.414122,0.632466,1.07947,1.47049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0530834,0.0902713,0.100262,0.122973,0.169621,0.175883,0.230117,0.306922,0.459094,0.549898]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0692676,0.116208,0.178428,0.266946,0.346409,0.406358,0.593841,0.902436,1.29337,1.42941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0320474,0.106731,0.138548,0.185598,0.177232,0.21258,0.24817,0.309677,0.458691,0.464451]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2239, 96, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0103279,0.0306115,0.0640662,0.0938993,0.0999686,0.140323,0.374927,0.991715,1.88866,2.19253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0236449,0.142047,0.334733,0.344248,0.319728,0.324007,0.576629,1.02399,1.2031,0.929779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118704,0.0114636,0.0132011,0.0205903,0.026215,0.0490916,0.102136,0.158151,0.236735,0.372514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00888612,0.00792295,0.0287751,0.0314779,0.0378671,0.0357746,0.0818872,0.0721971,0.0827247,0.105485]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2240, 97, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0460601,0.0891447,0.142487,0.106626,0.137651,0.165046,0.136781,0.294342,0.179016,0.365301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0718302,0.128333,0.168298,0.0996408,0.0958877,0.0917979,0.0676688,0.120369,0.070425,0.115695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0609416,0.0663763,0.165559,0.218819,0.160898,0.113497,0.167217,0.210551,0.217349,0.217972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0930738,0.100474,0.172604,0.214392,0.122641,0.0801535,0.117983,0.122637,0.113941,0.103621]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2241, 98, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.934157,1.09407,1.29827,1.78857,1.49337,2.1573,2.44466,3.31161,5.74178,12.0662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276511,0.356518,0.46587,0.689161,0.642589,0.968756,0.900586,1.31009,1.90157,3.49425]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.926723,1.30998,1.70337,2.28967,2.33875,2.62314,3.75257,6.47926,6.39669,10.7732]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.241095,0.382865,0.621469,0.908787,0.955827,1.11522,1.3017,2.03391,1.7409,2.48965]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2242, 99, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00642927,0.00737356,0.0116357,0.0234105,0.0716648,0.121922,0.217001,0.817808,1.02974,2.03035]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00303108,0.00410654,0.00808218,0.011376,0.0393109,0.0736043,0.108473,0.447844,0.466713,0.885865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00200465,0.00455654,0.0129577,0.0495473,0.112937,0.236026,0.236627,0.544575,1.00602,2.06851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00120626,0.00407901,0.012357,0.0625252,0.0846901,0.183286,0.168006,0.361676,0.546492,1.03348]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2243, 100, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.372328,0.404171,0.465736,0.485818,0.975955,0.966637,1.28129,1.28374,2.94153,3.94982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104483,0.0897642,0.0921286,0.121977,0.248508,0.262699,0.375704,0.356896,0.698379,0.927738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.816337,0.381177,0.544166,0.493986,0.344392,0.465872,0.708551,1.61204,2.10099,2.428]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.243354,0.0957848,0.148122,0.157072,0.0953914,0.163955,0.26571,0.643212,0.758782,0.77785]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2244, 101, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29744,1.83707,2.60245,2.94964,3.51669,4.93709,8.0868,13.6131,23.7746,38.0382]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.524162,0.806928,1.05157,1.28794,1.46977,1.86416,2.76283,4.19171,6.05883,8.95465]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.1247,4.19891,4.99369,6.26855,7.52414,10.6357,17.3088,35.1483,55.5733,76.0499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03284,1.13658,1.71015,2.12895,2.60262,3.1111,4.74781,8.28025,11.5929,14.2033]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2245, 102, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.62838,7.75589,10.8499,15.8993,24.6232,43.2555,82.973,154.863,307.657,591.017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[145.355,159.062,146.976,191.047,260.703,345.786,455.271,558.743,706.534,891.259]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.82378,5.99586,9.5787,16.6294,28.7867,52.2234,114.704,249.792,456.808,826.157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[109.219,90.9536,107.689,140.9,217.57,270.877,400.044,554.442,776.282,1000.14]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2246, 103, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.557091,1.16747,1.89301,2.47063,2.8387,3.41497,4.4751,6.05511,12.1955,20.5048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.6765,66.3485,62.0991,58.1719,54.0003,49.3055,44.4016,39.4355,39.5931,42.5779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.348588,0.537502,0.937737,1.47444,2.05003,2.86078,4.98103,7.87556,12.7797,20.36]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.338,44.5962,42.1136,40.0173,37.5133,34.9352,31.4248,28.3502,29.5547,32.7469]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2247, 104, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00108,2.08415,2.6189,3.62928,5.61682,12.2522,21.8571,45.7392,84.0567,178.91]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.56563,12.2069,24.0095,41.0815,64.0385,94.2583,144.929,217.652,305.027,391.518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22971,2.74392,3.80408,6.35386,11.095,21.4228,41.3727,92.2763,158.66,257.829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.47009,14.6593,28.8234,49.6455,77.1753,114.035,176.527,268.268,381.213,492.058]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2248, 105, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.953313,2.03472,2.86901,4.66429,8.16669,16.2435,35.2621,66.3759,141.071,254.815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09755,1.50376,2.39396,3.40309,4.87152,6.95973,11.5536,18.0757,27.9319,38.3267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.633541,1.48952,2.72707,5.66742,10.188,19.8568,49.9066,114.255,217.888,424.376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06049,1.41157,2.25732,3.43782,4.82526,6.89658,12.3911,19.9984,31.6983,43.8806]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2249, 106, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128782,0.307763,0.453611,0.800058,1.21525,2.3632,5.89826,12.8185,32.7852,83.1346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.485852,0.404075,0.92639,1.51408,2.48903,4.15204,7.66916,12.5312,19.8466,29.9215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0946534,0.235061,0.449759,0.972551,1.65383,3.79188,11.3022,28.9297,67.0909,175.614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.461975,0.317369,0.729707,1.35454,2.37174,4.03136,8.02226,13.726,21.955,33.0625]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2250, 107, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.824531,1.72696,2.4154,3.86424,6.95144,13.8803,29.3639,53.5575,108.286,171.68]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.611696,1.09968,1.46757,1.88901,2.3825,2.80769,3.88442,5.5445,8.08527,8.40522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.538888,1.25446,2.27731,4.69487,8.53419,16.0649,38.6044,85.3258,150.797,248.761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.598514,1.0942,1.52762,2.08328,2.45352,2.86522,4.36887,6.27238,9.74331,10.8181]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2251, 108, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276097,0.701856,1.15151,2.08113,3.55816,5.77476,11.5033,21.7798,42.0611,83.1182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73096,1.61521,2.17552,4.02604,7.37398,13.8852,23.2355,32.9191,48.4871,68.4812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0728057,0.178074,0.276757,0.42194,0.74891,1.1393,2.65821,5.29042,9.43279,16.4313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.67449,1.5457,2.02785,3.82912,6.96971,13.43,21.9796,30.4475,45.7533,65.4135]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2252, 109, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.223399,0.45785,0.60909,0.901135,1.39278,2.05553,4.04087,5.71643,9.79584,19.8657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.30859,4.27825,4.13646,5.11894,6.71009,9.51603,12.6087,15.7595,20.0277,24.6519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.200804,0.446941,0.758209,1.10362,1.99912,3.40881,8.16073,15.3188,29.2093,55.4743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.2049,7.46335,7.0985,9.25369,12.0314,16.9579,22.3329,26.9505,35.3612,43.4215]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2253, 110, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.014128,0.0253002,0.0380352,0.122583,0.189384,0.462607,1.18099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.95277,3.23063,3.7437,4.97494,7.00947,12.1631,21.5186,35.4978,58.7674,93.529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.00828235,0.0166313,0.0251039,0.0601349,0.163437,0.332158,0.808507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.14794,5.58913,6.52995,8.33739,11.6619,19.785,34.5415,56.9113,93.8043,147.149]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2254, 111, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0334878,0.0641791,0.092087,0.160357,0.290213,0.371688,0.673369,1.26147,2.37918,4.77862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0206027,0.0412279,0.0776881,0.142079,0.263157,0.397283,0.961324,1.94508,4.00207,7.84896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2255, 112, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0165961,0.0320511,0.071122,0.169492,0.305187]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00535992,0.0172527,0.062421,0.225429,0.607418,1.10403,2.81156,7.39038,14.4202,23.9784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0382614,0.100255,0.220305,0.488584,0.989725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00452916,0.0257353,0.0795606,0.279544,0.756749,1.32807,3.24447,8.61422,17.1421,28.6867]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2256, 113, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0828136,0.179877,0.236926,0.266009,0.321449,0.326277,0.467022,0.610574,0.950862,1.56634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.790993,1.07256,0.728473,0.581985,0.432653,0.553294,0.655044,0.607678,0.85587,1.46436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0409787,0.0812563,0.160385,0.186862,0.299188,0.326337,0.598069,0.961621,1.42283,2.08478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.820085,1.21573,0.807395,0.629053,0.483689,0.626974,0.764109,0.857841,1.27777,2.17137]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2257, 114, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.501094,1.06578,1.3794,1.71233,2.41312,2.7619,4.53949,7.06404,14.5142,25.9719]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.2262,68.7894,47.6272,73.4633,115.659,158.041,193.557,191.405,191.424,206.731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276742,0.477413,0.836773,1.27089,2.12664,2.74801,5.90485,11.4855,22.5928,39.9551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.4979,14.4469,17.9518,25.4703,66.1525,62.8828,96.8383,114.043,140.477,144.61]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2258, 115, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.851693,1.54949,1.65293,2.02927,2.46339,3.07269,6.74466,12.8015,33.6806,70.7513]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[619.219,673.497,788.001,931.331,1079.86,1238.18,1394.91,1633.54,1891.6,2209.5]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.603954,0.906256,1.36239,1.66354,1.98643,2.49127,4.92815,11.5245,24.3019,52.7469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[562.395,603.693,680.625,783.093,922.295,1089.3,1322.76,1622.01,1956.25,2352.25]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2259, 116, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.196807,0.339563,0.371649,0.465432,0.682009,1.08349,3.03583,6.37207,18.0943,40.4673]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[241.88,334.699,431.282,539.023,660.965,804.607,990.06,1226.56,1503.19,1813.46]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.134872,0.215561,0.300759,0.352311,0.405567,0.554751,1.23879,3.05249,6.79229,15.4242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[269.184,369.633,470.318,579.72,698.008,830.658,998.82,1217.61,1469.92,1753.1]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2260, 117, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0143875,0.0497448,0.0305141,0.0584026,0.0833578,0.112683,0.204748,0.425539,0.991475,1.85351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0312141,0.0404459,0.0478777,0.0530552,0.108483,0.255741,0.597431,1.6801,3.18671,5.61515]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0581266,0.0946409,0.204801,0.342546,0.444775,0.478863,0.732574,1.56926,2.68151,5.59273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.073668,0.0747189,0.0695683,0.118958,0.174818,0.484427,1.2369,2.85299,5.21016,9.58002]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2261, 118, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.109268,0.179568,0.177068,0.240182,0.352163,0.541541,1.44067,2.91272,8.52468,18.2644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[226.712,139.772,102.629,89.4603,88.3553,91.8399,98.9027,106.781,114.623,123.864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.226309,0.307075,0.430519,0.468142,0.522961,0.70804,1.59418,3.75078,8.53685,18.5572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[217.146,134.927,97.9469,84.6079,82.384,86.12,92.671,100.137,107.009,114.775]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2262, 119, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0337398,0.0517659,0.0774017,0.113399,0.161551,0.170401,0.357151,0.551649,1.22183,1.89735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.641277,0.568155,0.682936,0.974215,1.35506,2.11786,3.12304,2.62003,3.85481,5.50381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0744752,0.117934,0.197975,0.256691,0.322028,0.379451,0.575184,1.12535,2.00129,3.22407]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.873593,0.647714,0.83415,1.10679,1.66124,2.39163,3.55628,3.09156,4.54511,6.30412]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2263, 120, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.497492,0.928847,0.996297,1.15185,1.18431,1.16458,1.70626,2.53955,4.84836,8.26867]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[149.953,198.418,253.36,301.821,329.075,339.361,302.231,295.899,266.746,261.053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110171,0.171045,0.228338,0.243849,0.291097,0.37017,0.787429,2.02666,4.28994,9.94866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.1181,98.4103,111.457,117.539,140.067,169.651,226.481,298.318,369.564,468.489]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2264, 121, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20913,3.04571,6.37082,11.8123,16.1925,20.9937,24.1719,32.2035,48.3636,104.774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.18955,3.44031,5.12309,7.52823,14.2865,23.9328,33.223,40.5731,47.3711,55.5659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.74795,3.35874,9.00859,17.3527,27.7754,37.475,46.5079,72.3802,83.7418,137.273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.98289,3.45295,5.4607,8.77803,18.3526,30.1616,38.9589,45.4239,51.1337,59.2825]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2265, 122, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.319053,0.876545,1.94312,3.74916,5.49517,7.81162,9.71634,13.7812,21.8224,49.29]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.546942,1.04501,1.6383,2.45043,5.08472,9.3023,13.8273,17.721,21.8448,26.7542]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.507381,0.96257,2.5503,4.87934,8.19291,12.4105,16.964,28.5824,35.4082,61.4048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.574915,1.00288,1.56389,2.56056,5.62481,10.1433,14.3634,18.0957,21.7951,26.6396]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2266, 123, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.180045,0.493868,1.0986,2.11751,3.19381,4.86144,6.32333,9.28789,15.07,35.0128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.332906,0.520601,0.855692,1.37227,2.74205,5.41938,8.44023,11.5414,14.4533,18.2272]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.227659,0.429772,1.14241,2.18358,3.76454,6.02094,8.51924,14.7276,18.5989,32.8604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.27967,0.457818,0.712332,1.08979,2.3976,4.82645,7.22919,9.19548,11.2829,14.1176]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2267, 124, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0301459,0.229156,0.71136,1.64773,2.38946,2.7999,2.92189,3.53168,4.83368,9.54257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0675845,0.220752,0.542176,1.02811,2.04009,3.11728,3.99572,4.3679,4.69088,4.93105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128183,0.667931,2.49137,5.6943,9.50002,11.8236,13.534,19.4753,20.8246,31.6356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.154097,0.691992,1.56477,2.88122,6.18682,9.52048,11.2846,12.3224,12.7753,13.6333]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2268, 125, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.679884,1.44614,2.61775,4.29788,5.11409,5.52074,5.2103,5.60274,6.63748,10.9289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.24211,1.65394,2.08692,2.67742,4.41965,6.09383,6.95971,6.94274,6.38208,5.65356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.884731,1.29846,2.82451,4.59548,6.31797,7.21996,7.49077,9.59499,8.91022,11.3727]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.974205,1.30026,1.61971,2.24645,4.14336,5.67132,6.08175,5.81035,5.28044,4.892]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2269, 126, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.42182,3.74277,5.35434,7.26414,9.11565,10.2206,12.2074,19.0358,31.3584,55.5146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.221,94.0894,105.713,116.317,136.008,157.988,178.081,88.8029,92.9866,95.0726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.95636,4.52551,8.99723,14.8235,19.6041,22.4869,26.2776,37.719,48.887,69.5795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.1479,68.9846,69.3776,75.005,85.6638,99.3567,117.285,98.1704,103.532,106.028]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2270, 127, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0816,0.25107,0.369925,0.539839,0.78132,0.952619,1.113,1.82395,2.83697,5.55935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.17604,2.84178,4.56244,6.15082,7.99673,10.0808,12.0802,2.95216,3.59049,4.05422]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.172624,0.464105,1.05643,1.91737,2.61651,2.93441,3.40612,4.92741,6.0562,8.74591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10905,2.4109,3.28493,4.57831,6.22951,7.62065,10.1339,5.82367,7.19218,8.45902]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2271, 128, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00778336,0.0253644,0.0332782,0.0495636,0.0780802,0.0752426,0.0962946,0.146918,0.231496,0.445409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.9048,28.7928,35.6628,41.5367,48.5766,57.6656,63.4669,4.41378,4.9923,5.57132]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118466,0.032482,0.0674195,0.106172,0.152779,0.157189,0.183153,0.247925,0.325161,0.407943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3676,7.39333,7.31931,8.74635,11.4196,13.4347,17.1722,2.54958,2.87069,3.28825]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2272, 129, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0473492,0.119967,0.16281,0.221684,0.243803,0.262354,0.305268,0.476208,0.797886,1.52251]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.55822,3.98685,3.53054,2.79795,2.27255,1.77255,1.44873,1.26442,1.27571,1.17344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0851586,0.166606,0.309133,0.51344,0.541783,0.56657,0.551686,0.789862,1.0507,1.53498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.55477,5.32645,4.53953,3.62869,2.84762,2.32689,1.73723,1.70823,1.60736,1.36751]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2273, 130, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.341201,0.585953,0.704863,0.997519,1.38347,1.7305,2.44856,4.21624,7.42169,13.4339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120301,0.0971725,0.142957,0.187391,0.203187,0.254813,0.308084,0.37864,0.536575,0.55119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.573913,1.18069,2.11745,3.3158,4.54053,4.76541,5.64257,8.56731,11.1374,16.0385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128459,0.185885,0.167847,0.272514,0.302416,0.351435,0.429455,0.55786,0.676584,0.83594]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2274, 131, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00516455,0.0151258,0.0235663,0.0332271,0.0438885,0.0442306,0.0521658,0.0676675,0.113257,0.201206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.907154,1.08837,1.4377,1.79935,2.16528,2.51858,3.03208,4.10847,5.11902,6.15507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00683174,0.0151386,0.033732,0.0595993,0.0802291,0.0809193,0.096881,0.129006,0.170842,0.237562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.75764,3.28356,4.34575,5.44163,6.48984,7.55966,9.16224,12.5029,15.9052,19.0938]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2275, 132, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.233317,0.601366,0.888055,1.09269,1.01627,0.901713,0.888826,1.10915,1.53416,2.109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.8175,28.8833,25.8875,24.5644,24.6122,26.1069,27.6707,27.0106,23.6352,20.0489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.135981,0.399716,0.65792,0.97983,1.11381,1.04517,1.15481,1.39206,1.86331,2.2943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.2047,29.0141,26.1272,25.3439,26.0723,28.1581,30.6281,29.8712,25.7181,20.5347]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2276, 133, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00269954,0.00600905,0.00780589,0.0154281,0.0251863,0.0308293,0.0506457,0.0715477,0.129189,0.250128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0361199,0.0354889,0.0411615,0.0653409,0.0623862,0.0883249,0.11321,0.182756,0.249164,0.290026]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00457768,0.0106547,0.0306751,0.0442687,0.0500918,0.0735717,0.0963777,0.129278,0.178713,0.276938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0381383,0.0504192,0.0513324,0.0392962,0.0466369,0.0687202,0.0903982,0.16074,0.192965,0.239621]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2277, 134, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.206184,0.643179,0.980573,1.43199,1.4436,1.58207,1.5508,2.20925,3.20194,5.27802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.74315,4.57717,7.38033,10.0314,12.8319,15.3646,18.6152,21.9623,25.1072,28.5215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.147512,0.2888,0.596986,1.04498,1.31571,1.43974,1.49467,2.15513,2.815,3.91399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46975,2.54605,4.10943,5.53212,7.11828,8.71311,10.4371,12.896,15.2676,17.5302]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2278, 135, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0316391,0.123517,0.185307,0.289194,0.384881,0.411976,0.447477,0.644152,0.931863,1.71732]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.332589,0.454986,0.617855,0.818717,0.90413,1.11463,1.21775,1.48726,1.5668,1.52309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0875471,0.230174,0.665562,1.14018,1.53345,1.70533,1.70032,2.19001,2.52061,3.20893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.388028,0.638684,1.27322,1.89679,2.69773,3.34144,3.38198,3.48987,3.3586,3.34002]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2279, 136, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.464879,1.37121,1.99815,2.59301,3.71514,4.22907,5.25434,8.27072,14.1599,24.9977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.625,23.3314,26.4496,28.3651,36.3835,43.0215,50.1281,25.0426,26.9142,27.1839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.730368,1.73714,3.46192,5.70185,7.65916,9.71857,11.951,17.191,22.769,32.9205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1297,18.1352,18.159,19.5255,22.4399,27.782,34.1123,28.6104,30.7429,31.3388]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2280, 137, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.4298,10.8862,12.0722,11.5113,10.2862,10.2179,13.3193,17.8199,32.3357,30.6141]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[567.278,638.578,631.714,617.971,609.341,605.199,617.926,649.966,673.613,711.269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.5074,16.0361,20.818,23.3484,21.9588,21.6276,23.7302,29.7783,32.5406,40.5395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[472.857,521.755,517.122,504.485,497.128,491.267,503.65,543.288,574.689,614.95]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2281, 138, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.163417,0.298025,0.280543,0.311347,0.322596,0.348177,0.412115,0.469867,1.12718,2.58535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.06726,22.1341,58.8943,98.6307,149.141]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12535,0.207081,0.318257,0.453437,0.484587,0.510328,0.626208,0.419646,0.767471,1.47586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,1.77522,18.6183,48.6791,79.292,118.528]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2282, 139, 236, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.17484,0.214243,0.202613,0.180146,0.216187,0.280902,0.594218,1.39988,2.73647]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.102454,1.0557,2.8927,5.31094,8.34611,12.4533,18.4596]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.11931,0.15562,0.154575,0.166887,0.227012,0.37504,0.852989,1.70776,3.81715]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.157989,1.49379,3.94662,6.99285,10.87,15.888,23.5947]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2283, 140, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.61455,9.56784,10.6329,9.79348,8.43982,8.09893,10.3304,13.2931,24.4731,18.2335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[314.012,317.346,308.657,294.474,277.869,269.416,262.807,257.29,252.494,251.199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.58715,13.798,18.5648,20.6396,19.0156,18.2374,19.225,23.1174,22.3829,26.0388]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[326.513,329.531,321.577,309.647,298.644,289.966,280.822,278.37,276.292,273.694]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2284, 141, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.111759,0.243463,0.339444,0.436334,0.419507,0.54594,0.583472,0.761341,0.74735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31174,2.85816,6.86675,12.1833,15.3579,16.6231,16.5549,15.1078,12.9765,10.6939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0682862,0.210574,0.371052,0.518898,0.541287,0.570724,0.546385,0.694505,0.56398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.662497,1.38742,3.12693,5.84185,7.69767,8.31403,8.20788,7.43618,6.42612,5.15596]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2285, 142, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[226.876,282.489,275.213,267.331,269.842,266.539,251.899,228.457,198.471,168.691]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[126.033,161.419,158.334,152.711,152.097,148.07,138.697,124.819,107.585,90.8491]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2286, 143, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.0669,34.3163,37.6682,37.9302,37.3486,36.6377,35.8188,35.0378,34.1957,33.3231]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.0242,28.3035,32.0376,32.5877,31.9408,30.9556,29.9935,29.2563,28.4759,27.7929]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2287, 144, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.651839,0.733745,0.701053,0.86444,0.907272,1.1351,1.74999,2.87918,4.57416,6.31148]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01178,1.56789,3.31017,5.95023,7.8678,11.0234,23.401,46.8318,64.3919,79.7617]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79493,1.84339,1.56877,1.72973,1.77279,2.11156,2.93327,4.84183,6.98798,8.64372]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.624847,1.11347,2.04654,3.53913,5.2544,8.2393,20.3186,43.8576,60.7309,75.3358]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2288, 145, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.83104,1.81033,2.68357,2.52323,2.24435,2.02295,2.03614,2.4103,2.97685,3.07423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3237.11,3752.19,4017.18,4088.55,4055.4,4004.28,3921,3778.74,3556.25,3190.88]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.816736,2.54675,4.54414,5.16716,4.84476,3.90684,3.85424,4.1622,4.74775,4.44313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2696.67,3102.65,3350.38,3353.26,3264.43,3148.5,3013.55,2848.75,2613.25,2285.71]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2289, 146, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.42826,0.560661,0.507021,0.605856,0.615822,0.638859,0.924968,0.954025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.4832,62.5649,133.751,218.716,282.238,315.96,323.411,309.76,265.702,209.694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.429614,0.65448,0.836623,0.749496,0.807543,0.836885,0.996492,0.837973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.6743,72.8052,160.885,264.904,345.643,385.876,391.291,371.852,314.098,245.413]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2290, 147, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0143015,0.034763,0.0644165,0.0974091,0.139793,0.192005,0.229011,0.360961,0.471168,0.509529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.005,103.409,99.4847,89.3863,90.4449,97.7847,105.819,95.2173,74.1932,52.8038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132898,0.045553,0.0964661,0.150043,0.209545,0.242136,0.294056,0.396831,0.509603,0.541286]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[172.324,244.522,236.987,212.038,209.194,223.297,240.372,217.109,170.557,121.617]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2291, 148, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.688892,1.53337,1.89977,1.56698,1.28488,0.988255,0.917683,1.05585,1.15859,1.07991]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[150.902,341.999,354.395,258.235,179.114,123.526,86.209,55.8384,33.3896,17.3483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.684087,2.21663,3.44045,3.60463,2.88274,2.1604,1.75704,1.76067,1.77782,1.5328]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[244.193,642.968,688.763,538.629,382.767,249.735,161.39,104.263,63.9403,35.1956]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2292, 149, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.358768,0.798305,0.989742,0.816137,0.669634,0.514754,0.477635,0.548523,0.602106,0.561398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5288,115.199,154.847,104.948,71.2043,55.371,40.6185,22.5211,10.6351,5.06835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.355965,1.15446,1.79151,1.87712,1.50216,1.12565,0.914331,0.914652,0.925292,0.798268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.4263,259.123,331.64,254.944,179.178,121.345,77.7159,45.6938,24.8208,13.9675]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2293, 150, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00112847,0.00274954,0.00278175,0.00250198,0.00166395,0.0015454,0.00176504,0.00296879,0.00306766,0.00269171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.25241,9.81383,12.2524,7.65992,4.73736,3.26231,2.21792,1.19054,0.655452,0.323779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00139705,0.00357289,0.00586022,0.00602844,0.00393467,0.0030505,0.00353774,0.00498321,0.00344608,0.00251027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.41741,20.672,27.4812,18.912,11.6391,7.88419,4.86297,2.73791,1.4129,0.764438]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2294, 151, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000799296,0.00201732,0.00187336,0.00175312,0.00104915,0.00107304,0.00132705,0.00246666,0.00251631,0.00217748]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.9164,68.5288,66.6534,54.8306,39.2265,25.5576,18.8862,15.0902,10.7091,5.8714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00107071,0.00251362,0.00421673,0.0043063,0.00255571,0.00201727,0.00269945,0.00414595,0.00259762,0.00177786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.6302,109.723,114.617,97.17,71.777,46.8748,33.6945,25.7599,18.1603,9.92884]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2295, 153, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.328196,0.730297,0.905372,0.746584,0.612533,0.470883,0.436956,0.501887,0.550898,0.513638]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.196,74.733,74.7982,59.061,41.4654,27.0829,19.7182,15.1012,10.4714,5.66501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.325655,1.05608,1.63887,1.71717,1.37409,1.02968,0.836473,0.83689,0.846489,0.730243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.4189,125.327,135.786,110.516,79.1666,51.7903,36.2439,26.5931,18.1123,9.80613]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2296, 155, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1556.27,1739.72,1840.46,1924.73,1952.42,1987.05,2017.6,2028.79,1989.5,1803.05]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[922.61,1032.53,1103.75,1158.84,1173.1,1191.61,1201.07,1215.13,1196.82,1076.48]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2297, 156, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[181.182,206.99,221.121,232.54,243.329,256.931,268.659,275.114,274.232,268.791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.233,151.274,164.036,172.564,179.654,187.382,194.931,197.01,193.271,186.851]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2298, 159, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.222,282.149,410.181,457.758,440.834,379.204,293.317,223.419,174.796,139.676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.2448,223.861,333.253,377.497,369.149,324.069,255.651,197.866,156.827,124.371]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2299, 160, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[836.59,868.448,826.56,788.611,767.543,759.205,749.763,719.192,673.295,624.357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[437.009,459.652,438.44,420.056,407.683,400.388,391.54,373.907,347.155,322.659]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2300, 161, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.10114,0.2043,0.232747,0.230842,0.224911,0.143166,0.135305,0.155214,0.155843,0.169058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7201,31.9474,40.8288,35.8081,23.2904,13.4983,8.51346,5.35258,3.26025,2.06964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0610886,0.151967,0.26918,0.312906,0.292616,0.180971,0.186939,0.196643,0.212605,0.230725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2301, 162, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.2118,32.1183,31.0076,30.4255,29.5054,28.6838,27.9428,26.9096,25.8778,24.832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.9761,91.7753,89.2946,87.0551,84.6885,81.4443,79.1792,75.9052,73.0343,69.6912]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2302, 163, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.1773,23.4057,22.5892,21.9562,21.3133,20.517,19.6113,18.8679,17.8696,16.9501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.2039,94.7742,92.7133,89.6741,87.9247,85.1177,81.2582,78.2889,74.4974,71.0019]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2303, 164, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.85361,5.24577,2.83439,1.37208,0.602526,0.22352,0.0689008,0.0165491,0.00330956,0.000189349]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.3723,19.2694,11.1721,5.75636,2.64734,1.05479,0.35049,0.0964133,0.022424,0.00385987]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2304, 165, 236, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[182.534,13.769]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[427.999,32.459]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2305, 166, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.383,20.7058,17.2303,13.6559,10.0283,6.89151,4.1272,1.78289,0.710491,0.373487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.6232,25.5826,21.1924,16.7324,12.1478,8.13876,4.58398,2.01511,0.873893,0.488226]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2306, 167, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0267065,0.0378989,0.0583785,0.0673398,0.0877444,0.093669,0.138315,0.199418,0.266286,0.361712]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.583,19.7229,16.732,15.351,14.7306,14.7983,15.9516,18.4805,23.4262,30.9301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0582701,0.132607,0.308425,0.445109,0.62324,0.573841,0.808658,0.971171,1.25123,1.30035]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2086,11.1731,9.89236,9.51274,9.82877,10.3841,11.9345,15.3072,22.1581,31.9375]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2307, 168, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.50058,12.8578,17.33,21.6982,24.1014,27.5631,41.5669,73.0272,128.633,239.021]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[334.635,650.756,900.959,1054.09,1144.68,1141.39,1069.1,1232.53,1278.04,1306.58]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.88806,10.1744,14.4478,18.425,23.0406,26.6028,38.3784,70.2348,113.726,179.985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[188.412,185.66,223.817,296.688,400.44,541.817,739.724,1072.8,1435.08,1814.01]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2308, 169, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.837586,1.77935,2.64937,3.96298,6.00104,9.11378,18.8322,40.8589,76.3651,155.208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.1863,43.1387,72.586,126.86,204.473,299.687,398.459,509.15,616.846,724.343]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.402697,1.2518,2.02172,3.37216,5.33867,8.16732,15.5697,35.5946,61.3422,111.962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.1477,40.1492,67.9419,118.292,189.502,275.078,359.564,453.653,548.093,644.438]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2309, 170, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.489619,0.929213,0.916047,1.13813,1.13754,1.08704,1.53495,1.97299,2.94073,4.76256]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0144778,0.0080484,0.0095503,0.00771039,0.00895804,0.0079484,0.00930141,0.0137493,0.0176107,0.0157988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.734871,1.33702,2.25884,2.69623,3.13508,4.07384,4.02905,6.76868,8.87977,11.5494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0224418,0.0127938,0.0139046,0.0133267,0.0146796,0.0124273,0.0153951,0.0208346,0.0273322,0.034638]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2310, 171, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.52459,3.60085,4.99216,5.91131,6.77782,7.37346,9.954,16.0072,27.5795,42.7312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.57258,7.32376,11.2923,16.8802,25.9181,35.3096,44.558,58.5711,84.8318,119.641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.810156,2.83074,3.68845,4.75932,6.95836,6.1413,8.13699,11.8549,17.2407,22.8016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.23458,6.93334,9.9105,15.2191,23.8596,32.5414,41.4326,55.6255,83.0826,119.192]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2311, 172, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00230093,0.173246,0.493236,0.82523,1.20839,1.63685,2.64613,4.85457,9.47979,16.5313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0761512,0.483139,1.198,2.68503,5.05362,8.26475,12.576,18.8758,31.3809,44.6545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00103331,0.123789,0.316431,0.577731,1.09702,1.1832,1.8889,3.21652,5.3415,7.95834]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0637104,0.388497,0.954144,1.96972,4.09184,6.83264,10.1389,16.026,26.919,39.9159]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2312, 173, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.243443,0.631007,0.943968,1.23321,1.55573,1.83345,2.36874,3.65652,5.98214,8.79216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.77481,1.35892,2.39774,3.65498,6.18604,8.74918,10.2665,13.1382,17.8804,25.1903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.142725,0.550159,0.773967,1.09969,1.75729,1.68038,2.12991,3.01415,4.16547,5.16057]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.760009,1.39586,2.19873,3.77878,6.06473,8.77965,10.6451,13.5553,19.0826,27.2468]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2313, 174, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27884,2.7966,3.55496,3.85287,4.01369,3.90316,4.93913,7.49611,12.1176,17.4078]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.72162,5.48171,7.69657,10.5402,14.6784,18.2956,21.7155,26.5571,35.5705,49.7963]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.666398,2.15679,2.59805,3.0819,4.10405,3.27773,4.11818,5.62428,7.73377,9.68265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.41086,5.14898,6.75763,9.47059,13.703,16.9291,20.6486,26.0442,37.0809,52.0289]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2314, 175, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.262379,0.578581,0.754688,1.03008,1.25675,1.49883,2.22183,3.85605,6.3256,10.414]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.82857,9.99768,11.1479,12.8733,14.9692,17.7848,20.7341,23.1075,25.256,26.8078]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.364074,0.917588,1.58702,2.16941,2.7328,3.25677,4.62672,7.03759,12.1894,17.0386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.71584,15.7691,26.4621,39.1639,51.7732,83.3275,174.877,384.514,604.334,797.032]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2315, 176, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.137346,0.303309,0.386264,0.493803,0.56201,0.639623,0.895603,1.52796,2.48845,3.93633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.7008,4.63486,4.01817,3.45352,2.9773,2.61923,2.58625,2.49793,2.49284,2.52595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110918,0.250419,0.415459,0.551637,0.610235,0.74681,1.07248,1.76232,3.35425,3.58813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.47976,1.71853,1.92902,2.15457,2.29677,2.4811,2.7785,3.09798,3.35932,3.9769]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2316, 177, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0181219,0.0350418,0.0658786,0.0975932,0.122407,0.124445,0.15651,0.256491,0.453664,0.700259]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10776,2.32445,3.82028,5.50358,7.36101,9.52281,11.4742,13.1036,14.4819,15.4399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0274694,0.0788753,0.136473,0.204997,0.303315,0.344432,0.415684,0.604321,0.976167,1.09355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.14116,4.39998,7.24019,10.3146,13.9112,17.69,21.5151,24.3255,26.8825,28.8854]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2317, 178, 236, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0542,136.17,341.24,557.026,743.517]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2318, 179, 236, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[6.08679,11.7569,19.191,25.779,37.0181]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2319, 180, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106912,0.24023,0.302546,0.438679,0.572337,0.734762,1.16972,2.0716,3.38348,5.77745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02001,3.03837,3.30943,3.91617,4.63089,5.64274,6.67365,7.50602,8.28126,8.84195]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.225687,0.588294,1.03509,1.41278,1.81925,2.16553,3.13855,4.67095,7.85899,12.357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09492,3.5638,5.53598,7.50374,9.78621,12.0842,14.4134,15.8501,17.0665,20.6527]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2320, 181, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.107889,0.339309,0.530685,0.725623,0.800049,0.746938,0.670417,0.260526,0.220996,0.240732]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[144.511,445.06,649.827,740.053,736.538,609.451,435.165,458.664,372.691,182.365]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2321, 182, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00873993,0.0498736,0.117262,0.165538,0.175278,0.167404,0.0649571,0.0535585,0.0493308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.8197,96.7072,95.8049,105.249,142.633,198.433,233.306,240.052,171.011,45.2915]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2322, 183, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[13.4091,130.604,234.067,268.461,278.131,183.08,1.05844,0.00416755]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2323, 184, 236, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[4.11561,7.90908,12.8757,17.0564,24.3542]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2324, 185, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.00070095,0.00150497,0.00224019,0.00197865,0.0016083,0.00106218,0.000213342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.39568,15.918,40.2446,71.069,79.8152,12.3517,0.255694,0.00173273]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2325, 186, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.000179842,0.0013404,0.00722875,0.0117351,0.0160297,0.00895652,0.0102019,0.0145665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.66721,62.8425,115.647,143.942,154.049,165.345,181.34,198.629,183.264,137.074]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2326, 187, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[18.3538,102.216,126.191,110.543,38.262,2.85698,0.062635,0.000369089]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2327, 188, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.107889,0.329868,0.479127,0.604781,0.625304,0.558317,0.485921,0.186399,0.157236,0.176834]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[25.8654,32.6575,29.962,27.9129,26.5908,23.0299,19.1422,19.9768,18.4157]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2328, 189, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09371,3.43425,3.96649,3.28366,2.1491,1.77272,1.74585,2.04577,3.2984,4.8211]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[124.39,115.953,122.938,119.435,119.692,132.004,117.038,113.574,94.2894,133.815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23002,1.74315,2.34298,2.16894,1.78728,1.67428,1.60973,1.84091,2.57454,3.49666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[114.736,90.4553,85.0318,83.9363,87.6702,96.4412,99.765,100.665,106.51,131.225]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2329, 190, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0742982,0.0802142,0.0835513,0.076403,0.0663713,0.0631753,0.0561003,0.0657717,0.0623419,0.0470418]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.7755,27.7726,29.5933,30.2252,31.1543,33.7332,31.9982,32.5014,28.7933,29.3291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.051778,0.0643128,0.0665919,0.0669273,0.0601701,0.0580436,0.054855,0.0601137,0.0609664,0.0461703]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.0506,6.90191,5.01916,5.47809,7.13033,7.85802,9.80383,10.2919,12.5796,15.595]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2330, 191, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.546794,0.429715,0.489548,0.477148,0.446004,0.467997,0.462356,0.597818,0.66149,0.612683]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.97,79.0617,85.0399,81.5387,81.0414,91.4921,79.32,74.9221,59.7053,56.4585]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.428056,0.376545,0.420512,0.444327,0.423622,0.449152,0.465554,0.554175,0.649454,0.605232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.9887,43.6154,45.1439,42.41,40.609,46.6106,44.2986,41.2463,40.0771,40.0112]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2331, 192, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0616517,0.0480941,0.0509841,0.0482032,0.0444304,0.0475125,0.0530682,0.0872548,0.119093,0.134374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.658621,0.59434,0.661441,0.666514,0.710271,0.823237,0.724842,0.745785,0.560367,0.621071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0825139,0.0726217,0.0732519,0.0736201,0.0679319,0.0719732,0.0849441,0.131111,0.193101,0.223787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.297473,0.146695,0.106595,0.117702,0.158845,0.174898,0.229146,0.250399,0.348158,0.481277]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2332, 193, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41096,2.87622,3.3424,2.6819,1.59229,1.19403,1.17432,1.29493,2.45547,4.027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.98627,8.52441,7.64289,7.00502,6.78614,5.95563,4.99493,5.40513,5.23042,47.4066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.667675,1.22967,1.78262,1.58406,1.23555,1.09511,1.00437,1.09551,1.67101,2.62147]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.3997,39.7912,34.7622,35.9305,39.7721,41.7977,45.4334,48.8764,53.5056,75.1371]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2333, 194, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18481,2.19623,3.52057,5.64638,5.97909,5.97036,6.6076,8.02576,11.9023,20.8438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.1322,29.2748,33.1592,37.9767,43.084,47.1443,53.1344,69.4522,84.1079,119.595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34624,2.09406,2.54882,3.25898,3.08838,3.28926,4.40622,7.13801,11.4995,13.1365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.5554,32.3405,34.4566,40.0625,47.6196,54.4165,64.0705,78.323,93.0324,122.089]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2334, 195, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.55462,5.0366,5.81377,6.57477,6.94377,8.10191,11.6955,19.652,29.538,30.102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1270.95,1490.37,1868.02,2214.83,2612.55,3136.45,3782.74,4386.94,4885.88,5351.19]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.625329,1.28569,2.03659,2.45698,2.8066,3.28653,4.35273,6.92773,9.79532,11.5547]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1153.78,1274.66,1730.15,2070.81,2410.14,2801.19,3254.33,3679.3,4040.82,4408.75]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2335, 196, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.532471,1.16197,1.27745,1.77649,2.25525,3.48971,5.2358,11.1913,19.3925,20.9202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.0135,41.0901,59.3917,73.9495,83.8557,90.7761,101.321,116.249,136.454,158.118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.271341,0.574854,0.802037,1.13214,1.31154,1.74012,2.46788,4.15568,6.11558,7.84803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.79971,11.4654,16.6846,20.7664,24.1587,26.3517,29.8568,34.2619,39.7992,46.458]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2336, 197, 236, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.7342,141.939,428.502,834.567,1142.81,1289.14,1372.92]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.68269,85.8806,259.12,503.961,697.815,788.577,844.044]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2337, 199, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[529.081,548.834,607.314,756.941,905.615,1033.88,1191.29,1379.58,1552.36,1716.02]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[653.822,724.247,843.42,1054.94,1260.84,1434.98,1616.15,1803.73,1969.32,2123.35]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2338, 200, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[530.221,482.501,499.929,620.788,735.34,850.856,915.795,900.532,882.652,864.592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[430.575,389.681,401.757,500.065,591.697,682.195,731.627,718.266,702.871,687.198]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2339, 201, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00581602,0.0333986,0.0947774,0.18287,0.306593,0.484766,0.718757,0.964619,1.23796,1.46709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0120928,0.100948,0.271758,0.525508,0.905443,1.38108,1.98753,2.56901,3.23825,3.86181]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2340, 202, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02214,3.87463,4.53632,4.79828,4.68852,4.6122,6.45971,8.46069,10.1455,9.1818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.633,417.916,701.294,750.231,745.495,731.953,739.053,846.809,1024.04,1238.07]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.353989,0.710835,1.23455,1.32484,1.49505,1.54642,1.88485,2.77205,3.67974,3.70671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.5749,149.165,468.014,486.834,446.658,397.167,370.748,422.658,537.011,703.834]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2341, 203, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0206,4.68934,7.77196,3.54181,2.86988,2.91463,3.6011,7.09329,8.80472,14.0186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1067.86,908.127,1007.4,1198.19,1406.47,1600.81,1895.52,2384.58,2942.54,3679.65]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.44987,2.67187,4.26142,6.61278,6.03923,6.94761,10.7794,14.4121,21.3505,27.3076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1024.19,914.539,1062.8,1297.19,1546.88,1780.25,2068.72,2517.09,3042.11,3769.31]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2342, 204, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5044,2.81533,5.11992,1.70336,1.1305,0.90549,0.916649,1.05729,1.40741,1.87597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.2176,38.5116,32.9519,29.9424,26.5099,24.5195,24.5528,26.1302,25.8966,24.0027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.761895,0.926836,1.06874,0.717633,0.56571,0.504073,0.459288,0.567483,0.664018,0.742856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.0804,34.8852,29.9466,26.7179,23.3934,21.0773,20.1111,22.1008,21.5813,20.276]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2343, 205, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.135192,0.224057,0.544949,0.164195,0.100988,0.0671232,0.0389775,0.0336655,0.043072,0.0444395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.59607,9.19256,8.78541,8.51245,7.92069,7.55524,7.53235,6.92295,6.64874,6.46754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0475917,0.0629058,0.0821685,0.0555439,0.0379486,0.0336826,0.0219955,0.0235979,0.0250004,0.0185806]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.72763,6.70555,6.40088,6.06622,5.66536,5.42003,5.10913,4.80414,4.65665,4.29679]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2344, 206, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.441116,0.758009,1.3398,0.34971,0.223211,0.174729,0.175049,0.171289,0.2501,0.375523]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.7769,3.72148,3.07692,2.61013,2.25795,2.3674,2.5536,2.1917,2.5594,3.42824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.286776,0.367213,0.39842,0.217915,0.149469,0.121768,0.106491,0.114671,0.143455,0.166438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.9455,3.54993,2.911,2.50694,2.17394,2.32795,2.43325,2.4805,2.95903,4.19993]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2345, 208, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104346,0.215738,0.478661,0.195997,0.114057,0.0996265,0.0853675,0.102687,0.104001,0.106224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.31049,8.64564,8.05193,7.14401,6.18456,5.20128,4.92871,6.78349,6.75376,5.09804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0333874,0.0491825,0.0714776,0.0562532,0.0415885,0.0345627,0.0389918,0.0456838,0.0495162,0.0335812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.04636,8.61397,8.14452,7.24506,6.15908,5.01713,4.56896,5.99627,5.43586,3.91515]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2346, 209, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0305596,0.0734277,0.139892,0.0385274,0.0187597,0.0141403,0.0117558,0.0113513,0.0187991,0.0134762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.21911,3.10703,2.89011,2.49968,2.10735,1.79978,1.7351,2.45612,2.34718,1.60348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0109328,0.0181161,0.0224059,0.0143839,0.00847761,0.00770239,0.00534265,0.00872198,0.00686148,0.0100236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.14393,3.22452,2.98334,2.65807,2.31442,1.88082,1.812,2.33047,2.12705,1.41115]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2347, 210, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.79319,1.5441,2.61663,0.95493,0.67348,0.549871,0.605499,0.738292,0.991438,1.33631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.078,12.7037,9.59121,8.88571,7.86333,7.45803,7.68339,7.66258,7.48104,7.30226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.383208,0.429418,0.494263,0.373536,0.328226,0.306357,0.286467,0.374808,0.439185,0.514233]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.6041,11.519,8.88403,7.90182,6.86806,6.25459,6.02382,6.33579,6.25957,6.30663]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2348, 211, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.516192,1.87401,2.65203,1.83845,1.73939,2.00914,2.68445,6.03601,7.39731,12.1426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[722.197,526.761,484.701,484.658,488.523,506.864,534.118,577.089,628.662,681.566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.687971,1.74503,3.19268,5.89515,5.47352,6.44354,10.3201,13.8446,20.6865,26.5647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[645.265,462.26,428.509,431.424,440.993,464.219,500.604,567.099,648.614,740.998]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2349, 212, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[163.651,148.146,142.741,138.905,135.888,134.092,133.81,133.007,132.522,131.317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.223,125.788,121.434,117.578,115.575,114.22,113.797,113.799,112.966,111.699]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2350, 213, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.0446,8.121,9.58271,11.0624,12.3367,13.782,15.6232,18.5377,21.3973,23.7348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.66493,9.98876,12.0742,13.9056,15.7437,17.4075,19.8071,23.3773,26.4497,29.1574]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2351, 214, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.162351,0.650329,0.916793,0.677767,0.634337,0.666958,0.909825,2.03709,2.5006,3.80312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.13045,8.8287,8.66216,8.78031,8.7805,8.7967,9.07333,10.3968,11.9148,13.3972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.223262,0.498928,0.925549,1.85546,1.88634,2.23805,3.75086,4.71536,7.15359,8.35903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3811,9.62842,11.2047,13.1024,15.0553,16.9306,18.8788,21.5666,24.2763,26.9108]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2352, 215, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.221617,0.826544,1.08278,0.773616,0.748149,0.864427,1.07482,2.39491,2.92519,4.49348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1238,11.046,10.7569,10.9679,11.0372,11.0851,11.569,13.609,15.5573,17.3702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.316074,0.755816,1.36593,2.56016,2.21597,2.63414,4.17455,5.83928,8.31458,10.1424]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.6158,10.62,10.5496,10.6276,10.6325,10.586,10.9382,13.0629,15.347,17.1971]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2353, 216, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.4931,26.8078,28.034,28.7472,28.3275,27.9924,27.6831,27.3082,27.0152,26.5595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.7352,27.2249,28.6265,29.3012,29.0767,28.6124,28.1071,27.8105,27.3452,26.8834]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2354, 217, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.7461,26.8858,31.5499,36.1214,40.5888,45.237,51.7198,60.9993,70.1778,78.9935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.9001,29.7674,34.8909,39.8891,44.7546,49.5858,56.4749,66.8559,76.9871,86.7824]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2355, 218, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.852,34.4419,31.5843,29.1959,26.7319,24.4312,23.1299,22.9949,22.9305,22.7443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.3487,36.5174,33.4631,30.9656,28.2831,25.6739,24.0249,23.9894,23.9466,23.826]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2356, 219, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[220.346,115.907,62.8534,41.1556,23.5658,13.6085,5.77916,3.67136,2.48809,1.34805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.513,101.919,55.1265,36.1496,20.8126,12.0365,5.12637,3.21993,2.20344,1.1729]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2357, 220, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.7441,26.0611,27.3398,27.9194,27.6007,27.4763,26.9163,26.4297,26.2864,25.8065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5978,16.4074,17.2003,17.5739,17.305,17.0862,16.7824,16.6708,16.3253,16.0917]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2358, 221, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.3447,26.4734,34.0646,42.5713,50.9551,59.3715,65.1643,66.4487,67.5888,68.7537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.6888,20.2171,26.0972,32.6271,38.9832,45.4525,49.5963,50.4283,51.1463,51.9197]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2359, 222, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.5224,42.8265,43.7001,45.7706,47.4099,49.4146,50.4054,49.2463,48.3788,47.0549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.9906,27.3754,27.8145,29.2842,30.5255,31.9115,32.3966,31.8314,31.0655,30.2879]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2360, 223, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12619,0.388088,0.637575,0.381497,0.350581,0.47191,0.688488,1.5855,1.94783,3.79648]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.685721,1.49948,2.38194,3.34103,4.7322,6.65116,9.93336,14.8325,21.9409,30.8603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.142951,0.478506,0.885609,1.46535,1.34927,1.54158,2.35232,3.25417,5.15267,7.98833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0079,2.07574,3.43662,5.26233,7.581,11.1898,16.4194,24.2577,35.1565,48.4345]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2361, 224, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00603355,0.00905245,0.0148888,0.00557198,0.00632106,0.00584543,0.0113228,0.0185072,0.023689,0.0495661]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.5133,49.7161,51.4497,60.12,70.569,84.9258,103.312,129.607,160.463,193.626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00568425,0.0117802,0.0155952,0.0141808,0.0219385,0.0297712,0.0423733,0.0358042,0.0656506,0.0749609]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.5971,44.7304,46.5907,55.1575,66.6649,83.5258,108.255,150.23,205.399,270.635]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2362, 226, 236, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.169637,1.28359,4.29075,8.86607,13.6703,20.7948,36.3237,60.1212,91.8686]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120112,0.838098,2.91601,6.40196,10.5142,15.6566,28.6617,53.1434,92.1925]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2363, 227, 236, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.517874,3.32642,13.7912,29.9434,45.3037,71.2143,129.65,215.995,332.459]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.286873,1.63125,6.38282,14.2875,22.6257,35.1489,69.4315,132.551,228.457]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2364, 228, 236, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.67618,19.5617,47.5544,91.7288]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46636,8.65268,23.8566,51.2721]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2365, 229, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.7028,25.6454,35.3074,53.3161,75.0393,102.8,141.451,209.737,312.266,465.004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.1453,21.8995,28.8634,43.0423,60.844,82.813,114.966,174.102,264.007,394.191]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2366, 230, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[131.198,166.125,204.887,244.017,285.375,327.964,433.844,621.041,785.563,989.773]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[179.896,249.447,324.332,396.021,464.857,544.323,648.79,794.888,934.655,1158.64]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2367, 231, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.0137,57.5445,82.6068,106.385,127.64,152.986,190.354,237.261,275.358,317.96]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.0682,56.6544,85.5019,115.989,144.803,176.567,228.416,304.546,364.825,409.24]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2368, 234, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.3271,85.5367,97.8943,94.2234,85.5058,69.3963,65.2225,66.2332,66.0832,64.2508]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.4167,81.1288,93.3938,90.0767,82.4663,67.7059,63.6102,64.4734,64.0234,62.0842]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2369, 235, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0074371,5.45721,55.6953,147.128,243.589,300.412,323.677,328.442,323.818,309.531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00868091,6.03584,62.3735,167.343,278.649,341.926,366.588,370.295,363.078,345.585]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2370, 236, 236, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.727064,7.59886,19.2503,34.1799,55.4274,84.9451,131.096,198.671,308.258]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.577871,6.18629,15.9846,28.7857,46.903,71.517,110.622,168.988,262.861]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2371, 238, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2369,10.8407,13.9914,13.7364,10.4295,10.2928,18.9158,20.6903,46.4175,74.4674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.7765,126.863,152.735,175.082,179.832,184.961,183.105,181.956,169.011,153.7]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.1863,53.0697,57.451,35.6658,26.8143,26.1737,37.1043,54.3367,55.4396,75.4817]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[157.879,228.232,284.284,329.818,345.083,358.884,365.297,365.686,352.327,328.627]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2372, 239, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.6687,10.3339,13.3028,13.1861,10.0802,10.0336,18.5991,20.3084,45.8962,73.6923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.2131,95.562,119.761,134.551,141.752,148.842,152.394,147.854,142.913,130.813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.4064,47.7919,52.2774,31.9042,24.0566,23.607,34.0029,50.7612,52.5916,72.3451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[136.256,193.49,235.286,267.367,292.081,303.652,306.693,305.843,297.204,281.824]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2373, 240, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.59436,4.89954,5.92739,6.23645,5.65248,5.57356,11.7796,13.541,29.7695,53.8567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.4408,49.6885,59.2915,71.0929,87.1819,89.9269,105.447,106.566,98.6605,102.427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.703,19.5647,25.4319,14.5154,12.2115,12.437,17.3604,24.7093,24.96,39.5455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.6022,85.4294,122.98,132.332,159.861,171.782,165.883,158.112,150.207,165.762]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2374, 241, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.241726,0.166346,0.190449,0.170519,0.12824,0.137332,0.235152,0.239106,0.416401,0.689952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37951,1.67966,1.90512,1.93703,1.96775,2.22456,2.10155,1.88293,1.38827,1.32354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.82402,4.54828,4.90735,3.31371,3.08152,2.83747,5.09589,6.95283,9.70908,12.0204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1652,19.8658,23.6227,30.3172,40.5689,39.4515,48.488,44.4907,58.3653,50.2493]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2375, 242, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15046,1.10163,0.987052,1.03415,0.495401,0.434658,0.56501,0.471662,0.805492,1.23275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.64059,11.1017,9.88915,11.75,7.57415,7.03776,5.08155,3.72552,2.68876,2.36645]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.716572,1.98233,3.38633,1.85592,1.67542,1.55855,1.55008,1.67075,1.45784,2.8928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.14307,8.60545,16.3118,16.842,22.1374,21.4435,14.8867,10.6852,8.82404,12.119]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2376, 243, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.90357,2.73389,4.65922,4.18278,2.82536,2.68126,4.29191,4.44229,11.48,13.0782]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.4431,27.8171,46.9057,47.0974,43.2105,43.1534,38.731,35.0442,38.5963,25.1782]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.75101,20.9655,17.5259,11.6453,6.64622,6.43354,9.47069,16.844,15.8227,16.9959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.9759,90.6275,82.6516,102.723,84.5225,87.4199,90.0762,107.1,94.937,71.089]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2377, 244, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.77854,1.43252,1.53871,1.56225,0.978755,1.20678,1.72742,1.61432,3.42472,4.8347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4378,14.5331,15.5049,17.7534,15.3369,19.94,15.1842,12.9158,11.2828,9.36768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.411762,0.731081,1.02585,0.573818,0.442018,0.34053,0.525886,0.584272,0.641954,0.890502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.31872,3.06635,4.71362,5.10065,5.66147,4.55725,4.92218,3.70531,3.83452,3.67415]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2378, 245, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.568257,0.506753,0.688582,0.550218,0.349272,0.259264,0.316693,0.381888,0.521354,0.775119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.5634,31.3014,32.9742,40.5315,38.0799,36.1192,30.711,34.102,26.0976,22.8865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.77997,5.2778,5.17363,3.76164,2.75764,2.5667,3.10144,3.57553,2.84801,3.13655]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.6229,34.7418,48.9987,62.4511,53.0022,55.2323,58.6043,59.8429,55.1232,46.803]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2379, 246, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2752,22.9427,20.8806,23.7931,18.8087,22.9108,27.8453,42.798,53.0255,93.3279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.6535,77.6211,104.664,137.787,188.616,247.128,307.509,367.892,448.302,535.266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.3042,76.7254,61.3458,47.1079,41.7405,53.2425,84.5297,159.427,258.627,371.19]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[107.325,142.964,184.973,242.411,333.464,431.812,540.49,656.936,794.228,938.899]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2380, 247, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36581,2.09268,2.26863,2.64561,2.7231,3.6768,5.80147,9.59936,17.0275,38.4286]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.5979,42.0925,57.6457,80.0266,119.465,165.118,215.166,270.015,341.136,421.014]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.8283,25.0448,22.4225,12.1417,11.5598,16.2654,47.7375,100.042,159.528,214.271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.0051,60.8824,82.2231,116.524,180.869,257.582,343.639,444.935,565.325,696.506]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2381, 248, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.76567,5.47899,5.25244,5.5649,5.03113,4.0347,4.87988,8.35046,7.62671,11.5307]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.963485,0.896924,1.19921,1.87268,2.54734,3.4784,4.32271,4.68753,5.69951,6.00711]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.7561,12.8387,8.76029,7.65751,8.37107,11.3883,9.83449,16.5773,24.9821,27.285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.61416,2.07095,2.57706,3.96587,5.3876,7.02745,9.14675,10.5073,12.6964,13.4707]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2382, 249, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.5741,4.14964,4.40025,5.87593,3.153,3.61457,5.33865,7.69127,10.6666,20.8282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.5485,13.9077,17.6776,21.1886,24.6268,27.7877,29.859,30.6522,30.2905,29.6378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.66638,12.3145,5.0002,9.15106,7.36626,5.36335,9.18404,15.5428,18.5987,19.2337]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.7869,22.197,26.1694,31.3063,37.4168,42.4517,46.0681,48.528,48.8632,49.3838]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2383, 250, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.72921,6.65384,3.63807,4.30102,3.12455,5.71415,5.52134,9.14313,6.16051,5.72235]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5299,3.04799,3.76044,3.93452,5.3339,5.99149,6.84463,7.49048,8.02332,7.54482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.40552,13.6231,12.4044,10.9074,7.16391,9.88636,7.60727,9.96294,14.9172,21.2923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99174,4.67265,6.13513,7.57745,10.0829,11.7609,14.0018,15.4597,16.7966,17.8335]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2384, 251, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.771896,1.65874,2.45076,3.02042,1.9396,2.75544,2.3181,1.7519,2.14316,2.07265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.20679,4.81413,6.08753,6.84381,7.21019,7.19028,6.95804,6.1673,5.25656,4.27757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.54076,4.37088,5.72225,4.37373,3.06114,6.02359,6.01865,5.79282,6.07028,5.0307]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.1102,20.3972,24.4896,27.5558,31.4313,32.7087,32.0839,28.631,24.4191,20.015]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2385, 252, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.471962,1.00079,1.2026,1.56182,1.04054,1.34037,1.21443,0.81022,0.914837,0.907972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.25454,4.7163,4.87596,5.60949,6.16958,5.30006,6.26313,4.63132,3.76483,2.97252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4482,2.08918,2.04321,1.70243,1.24984,2.36361,2.33435,2.21895,2.36139,1.84339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.41455,11.9678,11.531,13.8939,17.852,17.9272,17.891,15.5093,14.282,11.2496]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2386, 253, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.299935,0.657954,1.24816,1.4586,0.899065,1.41508,1.10368,0.941675,1.22833,1.16468]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.27581,3.13384,5.18854,5.51465,5.74234,5.88626,5.53812,5.35176,5.07343,3.65381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09255,2.2817,3.67904,2.6713,1.8113,3.65998,3.6843,3.57387,3.70889,3.18731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.30219,13.3031,21.3184,21.4073,25.1423,27.8545,27.7163,25.0695,22.4228,20.1683]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2387, 254, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.504385,0.810297,0.603942,0.495826,0.546276,0.696997,1.12783,1.64848,3.28092,4.80643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.95293,2.88597,4.64484,6.76648,9.3645,13.6159,17.8822,19.4039,27.2124,33.5452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09466,2.53434,2.7072,1.24235,2.10114,2.14586,1.8274,5.26288,17.0512,44.4524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.66906,3.83951,5.21483,7.68034,10.6007,13.2807,19.8975,26.0302,40.0629,50.7435]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2388, 255, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21549,1.76925,1.93003,1.67034,2.10618,2.22299,2.63954,4.27402,5.36669,7.71385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.911425,1.01971,1.41353,2.12084,2.54433,3.68089,4.31404,5.33674,4.82436,5.40784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.34213,2.60826,1.84862,0.711382,1.22959,1.40851,1.65063,4.49244,14.121,30.6723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.35721,1.90267,2.3319,3.25893,4.20852,4.56225,6.43159,8.13531,9.15571,10.1302]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2389, 256, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.500868,0.64557,0.727324,0.566278,0.85608,1.03811,1.22833,1.77871,2.68201,3.38791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.658205,0.718273,0.997184,1.48458,1.8159,2.79759,3.13644,3.92235,3.64014,4.13925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53608,1.29755,0.895427,0.364474,0.599356,0.756076,0.9522,2.25698,6.6688,16.8657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.945817,1.3383,1.65486,2.37008,3.10683,3.36593,4.66498,6.0192,7.10083,7.48128]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2390, 257, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.714625,1.12368,1.2027,1.10406,1.2501,1.18488,1.41121,2.49532,2.68468,4.32593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.25322,0.30144,0.416349,0.636259,0.72843,0.883293,1.17759,1.41439,1.18422,1.26859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.80605,1.31071,0.953188,0.346908,0.630236,0.652438,0.698426,2.23545,7.45224,13.8066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.411392,0.564372,0.677037,0.888852,1.10169,1.19633,1.76661,2.11611,2.05487,2.6489]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2391, 258, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.348621,0.329293,0.336445,0.219036,0.184861,0.195107,0.218476,0.339407,0.753411,2.22512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.9426,8.95611,12.2349,15.034,17.5233,20.2656,22.1619,24.1391,25.8589,27.8322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.67031,3.39078,2.48029,0.922757,0.887589,0.761195,0.669725,1.75382,3.35851,8.95197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.7905,27.0019,35.8325,44.5417,53.4671,62.438,69.2213,74.7091,76.9089,80.8159]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2392, 259, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.0263,22.2215,22.0069,17.5096,15.1672,14.0338,15.967,19.0277,25.6456,32.0713]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.15979,15.7455,19.1217,20.8714,21.518,19.8514,18.101,14.9081,11.891,9.15656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.1931,52.2394,62.4965,58.9521,46.2999,35.6823,35.6597,40.1486,33.2087,45.6956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6457,43.0039,55.4473,64.4111,67.2675,61.9491,55.8389,47.8577,38.7199,31.3276]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2393, 260, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.10896,11.3277,8.67906,4.99146,6.72098,8.36714,12.1614,16.0697,23.0032,29.2192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.20261,6.03922,6.45235,6.38384,6.66932,5.95727,5.68464,4.79468,4.21511,3.74984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4311,21.9515,22.3816,19.7657,16.2267,14.2301,20.4838,27.1008,23.9993,39.2862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.76067,9.03321,9.59442,9.74142,10.8592,10.3041,10.4685,9.65288,9.36779,9.58384]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2394, 261, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.91734,10.8938,13.3279,12.5182,8.44623,5.66668,3.80568,2.95798,2.64237,2.85208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.95718,9.70626,12.6694,14.4875,14.8487,13.8941,12.4164,10.1135,7.67588,5.40672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.762,30.288,40.1149,39.1864,30.0732,21.4522,15.1759,13.0478,9.20938,6.40939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.885,33.9707,45.8528,54.6697,56.4083,51.6451,45.3704,38.2048,29.3521,21.7437]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2395, 262, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.491039,1.04288,1.51176,1.3262,0.773123,0.539606,0.281909,0.235542,0.144681,0.0910551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.633839,0.994808,1.57242,1.63872,1.47998,1.47905,1.0649,0.979887,0.519038,0.217988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.80561,8.33143,10.7912,10.3595,8.78156,5.25759,2.81985,4.25417,1.62857,0.92462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.17781,10.2258,13.6185,16.2567,18.0014,14.0083,9.65098,13.7802,6.23277,3.72046]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2396, 263, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.22332,5.23638,6.65699,6.77306,4.56073,3.3173,2.17517,1.61084,1.40314,1.36459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.89495,4.99714,6.9371,8.54918,8.79542,9.13296,7.93849,6.44183,4.69235,2.98074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.15093,8.29583,10.5181,10.0012,6.97953,5.9128,6.31958,3.52567,3.73747,3.11291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.7519,10.2396,13.3855,15.6417,14.6492,16.0317,21.6637,11.4621,13.5443,11.7926]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2397, 264, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.20297,4.61458,5.15911,4.41892,3.11238,1.80978,1.3486,1.1116,1.09455,1.39644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.87917,4.53883,5.40086,5.68976,6.06998,5.01436,5.03652,4.55293,3.84523,3.20914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.80546,13.6607,18.8056,18.8257,14.3121,10.2818,6.03648,5.26797,3.84334,2.37186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6649,16.6299,23.8519,29.5524,30.1256,27.7198,20.528,17.4384,14.4637,9.35785]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2398, 44, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[177.488,167.33,158.349,149.466,143.234,136.271,128.743,121.146,110.375,98.9835]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[241.42,230.145,218.425,207.356,195.597,186.113,175.38,164.17,149.521,134.866]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2399, 152, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.009,73.7244,45.8446,31.736,22.4801,12.2522,4.76805,1.93541,0.918503,0.419796]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.2996,128.123,79.2393,57.0869,41.0063,21.8405,8.87283,3.47789,1.43394,0.72872]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2400, 154, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1737.45,1946.71,2061.58,2157.27,2195.75,2243.99,2286.26,2303.9,2263.73,2071.84]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1051.84,1183.81,1267.78,1331.4,1352.75,1378.99,1396,1412.14,1390.09,1263.33]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2401, 157, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.389,55.524,53.5968,52.3816,50.8187,49.2008,47.5542,45.7775,43.7474,41.7821]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.18,186.55,182.008,176.729,172.613,166.562,160.437,154.194,147.532,140.693]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2402, 158, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.387,19.0148,2.83439,1.37208,0.602526,0.22352,0.0689008,0.0165491,0.00330956,0.000189349]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[457.371,51.7283,11.1721,5.75636,2.64734,1.05479,0.35049,0.0964133,0.022424,0.00385987]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2403, 198, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1059.3,1031.33,1107.24,1377.73,1640.95,1884.74,2107.08,2280.11,2435.01,2580.61]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1084.4,1113.93,1245.18,1555.01,1852.54,2117.17,2347.78,2522,2672.19,2810.55]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2404, 207, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.23699,1.14123,0.556287,0.290409,0.176042,0.137746,0.119637,0.113364,0.106503,0.103125]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.61289,1.27223,0.622866,0.33978,0.212571,0.176757,0.163935,0.15363,0.143098,0.146364]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2405, 225, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[219.109,251.134,328.555,422.99,528.159,644.188,863.008,1255.59,1699.41,2292.04]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[258.422,329.651,442.395,565.644,692.594,838.423,1046.29,1382.5,1775.82,2337.51]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2406, 232, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19434,1.13175,1.14379,1.19022,1.29543,1.46367,1.67459,2.01472,2.5559,3.24984]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31249,1.24284,1.22881,1.29243,1.4008,1.58048,1.84396,2.21576,2.78651,3.5163]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2407, 233, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.3345,91.7209,161.188,260.602,363.275,425.235,473.844,525.771,588.573,682.04]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.4254,87.7425,161.954,273.405,389.901,456.535,501.716,545.39,596.089,670.53]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2408, 301, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73985,2.3003,2.45636,2.36554,1.96017,2.036,2.19333,2.84588,4.06556,7.63611]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.2227,21.4729,23.3129,25.2965,27.0846,29.1531,31.1952,33.2459,35.0293,36.8517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.26072,2.75434,3.20702,3.40513,3.02072,3.11545,3.56317,4.94773,6.23931,9.89351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9945,16.8035,18.2476,19.7628,21.2236,22.5711,24.168,25.6673,26.8895,28.3023]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2409, 302, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.852799,1.12928,1.20472,1.15992,0.960213,0.999431,1.07148,1.39477,1.99495,3.74301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.40981,10.5093,11.4175,12.3882,13.2576,14.2852,15.2773,16.2749,17.1494,18.049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10952,1.35301,1.57523,1.67143,1.48386,1.52455,1.74632,2.42427,3.06253,4.85878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.32906,8.2211,8.92725,9.67204,10.386,11.0506,11.8324,12.5627,13.164,13.8596]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2410, 303, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04792,1.38362,1.47895,1.42386,1.18141,1.22485,1.32597,1.71332,2.44685,4.60368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.6021,12.9584,14.0654,15.2583,16.3387,17.5762,18.8104,20.0558,21.1283,22.2272]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36177,1.65694,1.92935,2.05007,1.81735,1.87998,2.14629,2.98228,3.75641,5.95289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.05807,10.1412,11.0125,11.9216,12.8065,13.6153,14.5792,15.4855,16.2168,17.0667]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2411, 310, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.88468,9.35645,10.9097,12.1727,7.57136,4.54865,3.69711,1.05545,1.94941,3.38532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[537.855,673.497,619.028,576.446,548.843,475.524,393.994,413.119,382.176,383.394]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.587121,1.51327,2.01272,2.18349,1.63039,1.376,1.41376,1.70832,2.3351,4.18249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[526.228,407.803,357.288,368.737,410.044,426.384,465.901,499.148,549.736,613.794]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2412, 284, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.88468,9.35645,10.9097,12.1727,7.57136,4.54865,3.69711,1.05545,1.94941,3.38532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[537.855,673.497,619.028,576.446,548.843,475.524,393.994,413.119,382.176,383.394]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.587121,1.51327,2.01272,2.18349,1.63039,1.376,1.41376,1.70832,2.3351,4.18249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[526.228,407.803,357.288,368.737,410.044,426.384,465.901,499.148,549.736,613.794]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2413, 274, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.05482,8.8582,13.2619,15.692,23.9069,26.6084,33.3113,46.8073,75.3378,132.44]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[254.258,474.014,490.205,386.77,347.223,309.587,291.541,252.98,217.549,173.195]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4349,23.7229,33.1286,39.7144,80.0932,85.312,107.705,167.686,215.319,307.265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[476.461,957.01,1017.06,861.492,841.901,762.834,747.843,672.268,626.901,488.496]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2414, 275, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.01643,6.44568,9.80555,12.5882,20.848,24.0059,30.8438,44.5764,72.9562,130.003]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.794,130.651,132.073,125.791,162.41,181.566,201.761,195.235,182.098,154.663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.31797,20.1483,27.7554,34.0273,75.1755,81.2743,103.958,164.393,212.295,304.572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[232.096,312.27,325.14,314.831,455.435,508.076,581.024,564.866,560.487,451.886]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2415, 276, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04819,2.43248,3.49067,3.144,3.14122,2.70953,2.60056,2.41598,2.67217,3.06038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[151.469,343.373,358.148,261.001,184.864,128.098,89.8979,57.8977,35.646,18.779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15189,3.69157,5.50856,5.80672,5.16624,4.26753,4.0366,3.67796,3.48392,3.46731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[244.373,644.763,691.947,546.688,386.543,254.846,166.93,107.522,66.5573,36.7816]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2416, 277, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29957,1.58681,1.78388,1.84492,2.02212,2.28621,3.10023,4.37965,9.10571,16.8369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[430.155,448.667,577.867,716.788,830.672,984.563,1177.34,1438.7,1586.09,1836.45]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.7316,17.6936,19.6692,19.8147,20.1649,20.2957,20.4658,21.9893,24.6054,30.1053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[494.641,614.46,842.626,1053.52,1210.01,1409.04,1606.18,1838.58,1931.58,2124.79]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2417, 278, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00233028,0.00712652,0.0177553,0.0242259,0.0473141,0.116889,0.231093,0.303974,0.928154,1.01953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000570812,0.00189776,0.00427745,0.00501758,0.00972057,0.0240507,0.040816,0.0579426,0.160822,0.186872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0144434,0.018434,0.0367912,0.0491889,0.111617,0.229873,0.416237,0.879345,1.29339,2.51373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00443738,0.00457862,0.0105681,0.0149545,0.0290757,0.0607416,0.0976813,0.208172,0.300083,0.547359]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2418, 279, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0217108,0.0419791,0.0431047,0.0593822,0.0879396,0.140004,0.375254,0.759365,2.22036,4.74013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.7816,33.0118,25.0453,22.5133,22.2552,23.8669,25.8921,28.0818,29.9134,32.0272]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0446278,0.0808751,0.122957,0.136414,0.151892,0.206381,0.461745,1.06777,2.38988,4.92355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.9703,35.8113,27.9537,24.6866,24.0213,25.0136,26.7773,28.8052,30.2087,30.7124]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2419, 280, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27553,1.53771,1.64201,1.65808,1.73335,1.77921,1.7853,1.81944,1.77163,1.75387]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.6726,17.5943,19.432,19.5363,19.7946,19.7131,19.2641,19.2514,19.2018,18.9285]}', '', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2420, 313, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.73861,14.6043,14.4706,12.078,9.94727,8.89365,10.0962,11.0206,14.8133,18.3242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[506.421,664.684,715.502,751.304,758.659,764.82,767.231,755.161,718.244,634.022]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.845148,1.71719,1.68564,1.44807,1.16945,1.00657,1.40634,1.82487,1.58673,2.43327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.5116,96.0852,96.1575,94.1929,93.0448,93.5313,93.7985,90.2025,82.5221,68.6827]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2421, 314, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.691801,1.24324,0.925913,0.530264,0.699945,0.855064,1.23077,1.59413,2.22936,2.69734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[161.572,178.242,181.686,183.087,182.879,183.8,184.597,180.782,171.363,148.023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.845148,1.71719,1.68564,1.44807,1.16945,1.00657,1.40634,1.82487,1.58673,2.43327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.5116,96.0852,96.1575,94.1929,93.0448,93.5313,93.7985,90.2025,82.5221,68.6827]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2422, 304, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.421352,0.577252,0.873962,1.68632,2.98235,5.29885,9.3536,16.3073]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.46891,4.80171,6.33218,8.14145,10.938,14.0507,17.4329,20.294]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.532839,0.871832,1.43156,2.54443,4.94758,9.95539,15.722,24.5836]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.94563,5.45144,7.20427,9.21927,12.3488,16.0323,19.9917,23.1365]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2423, 306, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.22916,6.23893,9.83279,19.6663,37.0228,68.6898,135.218,241.165]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.806,249.575,318.299,398.178,503.766,658.171,845.473,1055.33]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.58097,8.15056,13.8455,25.7899,52.3946,113.485,194.496,331.397]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[143.446,182.996,227.469,278.144,341.128,433.749,536.632,638.135]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2424, 307, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0221168,0.0273945,0.0403349,0.0644219,0.178586,0.378636,1.06417,2.38987]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0177315,0.020788,0.0237936,0.0328252,0.0724233,0.179558,0.398027,0.910583]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2425, 309, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00087,1.6896,2.08242,3.58099,7.33904,14.0916,28.4119,51.7998]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.33037,9.56125,11.8605,16.585,25.2636,34.0034,45.6018,58.2226]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.560153,1.13736,2.25549,3.88652,8.88575,20.0228,36.2991,64.4993]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.73444,5.1638,10.531,13.8054,23.1182,34.6145,49.9991,64.7626]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2426, 305, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0261643,0.0464683,0.0531976,0.16779,0.243736,0.321608,0.936593,1.02444]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00771552,0.00781452,0.00925979,0.0283966,0.0413906,0.060754,0.160258,0.186825]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0257693,0.0505477,0.103028,0.233826,0.266763,0.559546,0.685621,1.44224]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00651047,0.011869,0.0220914,0.0612345,0.0514724,0.120877,0.146484,0.289772]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2427, 308, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.974709,1.64314,2.02922,3.4132,7.0953,13.77,27.4753,50.7753]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.32265,9.55344,11.8512,16.5566,25.2222,33.9426,45.4416,58.0357]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.534384,1.08681,2.15246,3.65269,8.61899,19.4633,35.6135,63.0571]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.72793,5.15193,10.5089,13.7442,23.0667,34.4936,49.8526,64.4728]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2428, 271, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.267813,1.57942,2.4872,9.52601,12.5144,29.3067,78.9181,89.0534]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3477,79.7248,105.304,387.825,207.24,170.352,748.378,448.296]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.164671,8.97535,18.3242,36.6117,51.6262,108.834,177.391,306.361]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.819004,199.356,363.771,664.553,394.036,499.142,493.343,740.524]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2429, 272, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.267813,0.37848,0.566891,0.997342,1.90853,3.43528,5.83385,10.6234]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3477,2.13241,3.00289,3.69787,5.58122,7.70054,9.2014,11.2702]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.164671,0.25846,0.322472,0.555876,1.33234,2.81458,5.18434,8.53811]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.819004,1.19564,1.31742,1.72888,2.96942,4.25746,6.17121,7.3358]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2430, 265, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.17399,6.62593,10.6644,14.3794,31.0753,60.7068,122.209,229.151]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.7222,134.829,222.855,325.544,456.791,575.378,728.797,831.653]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.39645,7.20866,12.0402,15.9985,34.0827,67.8542,125.911,209.469]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.9202,132.794,215.491,309.793,440.836,541.373,703.766,775.139]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2431, 266, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.660261,0.88689,1.59107,3.20688,7.51785,14.5951,29.6922,58.4589]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.51077,8.95263,16.1296,22.491,44.0432,61.3876,91.3448,108.216]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.750857,1.21826,3.37072,6.18108,12.2179,25.6775,40.3254,65.1025]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.32223,8.67781,21.6355,30.0914,45.1204,64.2365,80.5485,95.1874]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2432, 267, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.2097,7.37163,17.7312,29.4606,70.645,127.689,278.897,511.142]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.0011,43.9527,113.95,156.599,294.683,362.084,547.441,676.441]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.03433,11.5691,21.8803,36.6078,88.9118,185.447,367.586,634.416]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.9676,56.6369,112.477,143.959,254.603,351.195,558.235,697.685]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2433, 268, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.58175,5.28534,11.5483,15.3336,33.365,60.9002,110.354,203.352]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.4726,132.174,288.03,450.862,752.862,929.507,1056.62,1150.92]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.976097,1.53077,4.08387,6.97494,14.7805,30.8208,49.6599,82.4101]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.2288,42.3897,112.999,166.037,272.954,339.669,385.272,418.214]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2434, 286, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.25814,11.1659,17.1311,33.2086,63.6315,121.82,230.267,415.082]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.9073,121.046,178.385,254.533,345.612,448.389,557.586,655.288]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.99083,14.3637,25.5014,46.9549,98.117,213.994,372.334,632.269]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.0331,119.774,196.449,285.012,405.87,547.831,700.106,835.726]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2435, 287, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.04001,6.19403,10.1918,20.3152,39.1486,72.6314,139.678,230.482]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0894,22.9014,33.5498,47.1148,69.6451,99.1259,132.699,152.032]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.75875,8.88167,15.535,28.8283,60.9434,132.469,226.182,370.562]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.1468,28.0714,41.6697,58.7062,87.4001,128.139,173.55,204.251]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2436, 288, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41659,1.96474,2.99534,5.38101,9.95905,17.1518,31.0693,49.9936]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.34624,6.51572,8.79267,11.3496,15.6306,21.0961,26.7856,30.5829]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.78456,3.08501,4.93051,8.55707,17.5823,35.9292,58.8082,94.3355]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.86046,8.90361,12.3359,16.1378,22.5702,31.236,40.2912,46.4121]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2437, 289, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.67231,2.37728,3.70483,7.16083,13.2609,23.6384,42.6435,73.1781]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.8151,47.1851,70.2508,96.5653,124.095,151.044,173.959,189.006]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.00449,3.47018,5.76966,10.4549,21.2802,43.779,71.7883,115.795]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.2937,47.9025,70.8484,96.5626,124.169,153.352,179.356,197]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2438, 290, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.68848,2.2632,3.39487,7.10859,12.1974,24.4052,42.7843,86.0458]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5308,25.828,38.4363,54.6383,81.1352,116.164,155.194,188.577]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.46775,3.98639,6.72261,12.5021,23.1087,49.511,80.8554,124.128]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.7244,31.1932,47.0283,66.7026,98.8581,144.631,195.289,238.339]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2439, 291, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0845045,0.177891,0.269893,0.439102,0.898623,1.85852,1.89883,2.73363]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0424956,0.100189,0.159265,0.232488,0.476573,0.979057,0.971601,1.32556]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0956521,0.144077,0.283443,0.450004,0.853968,1.43673,2.26461,3.4675]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0568086,0.0871657,0.186693,0.310444,0.549125,0.904588,1.35358,1.98996]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2440, 292, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00994577,0.0224382,0.0344824,0.0571092,0.117557,0.234817,0.231783,0.322661]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.92265,4.95158,7.63665,10.7262,13.3414,15.179,16.2203,16.6901]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0140786,0.0221327,0.0442323,0.0731319,0.135587,0.224143,0.3446,0.508603]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.34103,5.62033,8.53259,11.8256,14.4358,16.3812,17.6746,18.4085]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2441, 293, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.569907,0.75681,1.0894,2.21795,3.65978,7.04846,11.2369,21.3583]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.4489,36.5768,54.1259,74.3153,94.0802,113.458,128.774,141.547]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.763967,1.21017,1.97927,3.59247,6.29476,12.8574,19.7879,29.7076]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.9838,34.2856,50.4655,69.0139,87.2676,107.081,124.087,138.791]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2442, 294, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.632744,0.865869,0.724629,0.905631,1.35292,2.47646,4.27508,7.54243]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6784,16.1746,18.1417,24.5261,28.6293,33.1772,36.9474,37.9813]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.693758,1.06322,2.21923,3.51309,6.35567,12.8004,21.3596,35.7999]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.1456,17.0391,37.3728,59.0282,88.312,114.804,136.182,151.33]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2443, 295, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.556711,0.745363,1.04519,2.01674,3.2415,5.90944,8.69203,15.1442]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.7503,7.43896,10.4183,13.8514,19.0142,24.5841,29.1466,31.385]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.89019,1.35567,2.19168,3.77664,6.54992,12.5833,18.5892,25.9161]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.34301,10.0037,14.2452,19.0885,26.342,35.235,43.1663,47.5523]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2444, 296, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112205,0.235586,0.358564,0.573896,1.17592,2.43851,2.48628,3.558]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0564546,0.127797,0.211396,0.304039,0.622706,1.27461,1.27361,1.72816]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.129121,0.195189,0.385269,0.608796,1.15351,1.93325,3.04427,4.65192]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0786107,0.12009,0.256545,0.426217,0.743839,1.21264,1.81155,2.67381]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2445, 297, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02974,1.35647,1.99664,4.1145,6.87953,13.4956,22.9608,44.8601]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49705,2.38471,3.93634,7.18917,13.0787,27.2471,43.3563,64.8254]}', '', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2446, 298, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.595208,0.778451,1.13842,2.31818,3.8452,7.50132,12.7296,24.8126]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.46559,8.8494,12.8269,17.7523,25.6459,35.7384,46.3759,54.623]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.863608,1.36712,2.24981,4.04692,7.30857,15.2034,24.1955,36.0383]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.6001,10.6993,15.7345,21.712,31.3104,44.5491,58.4378,69.0616]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2447, 299, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110844,0.145812,0.208158,0.409821,0.671282,1.24473,2.01662,3.79797]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03905,1.63901,2.34333,3.18807,4.45914,5.8873,7.29261,8.21488]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.141244,0.220222,0.353329,0.625375,1.09825,2.17594,3.25233,4.58647]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09645,1.72942,2.50143,3.40423,4.77436,6.41133,7.91533,8.88885]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2448, 300, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.85461,2.9811,3.80688,6.99377,13.8993,26.2534,51.4515,95.1963]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.92773,16.8724,22.0988,33.6875,48.9596,64.0497,84.5978,108.009]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.39206,2.61611,4.79867,8.86001,19.7071,43.1809,77.9417,138.109]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.90306,12.0063,22.8037,32.3628,51.864,75.4984,107.777,139.637]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2449, 270, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.98089,4.99172,7.51564,12.5557,21.5362,43.3914,76.1188,140.949]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.9437,71.9754,108.901,152.093,199.086,252.189,309.845,358.682]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.64228,4.24795,6.86298,11.9338,22.6896,48.2177,83.4311,147.242]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.8688,64.0965,95.8125,132.348,173.284,221.089,274.29,322.064]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2450, 283, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0810157,0.103234,0.153521,0.250114,0.708587,1.49687,4.18556,9.32333]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[93.7321,120.143,149.191,186.577,232.394,289.453,350.432,419.989]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0774512,0.0928603,0.106817,0.1463,0.323663,0.790825,1.7204,3.73945]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[122.812,154.399,185.913,221.269,264.533,320.044,378.057,428.059]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2451, 273, 236, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20094,1.92031,8.52867,10.6058,25.8714,73.0842,78.43]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.5924,102.301,384.128,201.658,162.652,739.177,437.026]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.71689,18.0017,36.0558,50.2939,106.02,172.206,297.823]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[198.16,362.454,662.824,391.067,494.885,487.172,733.189]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2452, 269, 236, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.24198,9.60181,22.8065]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.5728,65.5895,74.5901]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.4457,67.84,126.043]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.1925,94.7238,128.427]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2453, 315, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.39598,14.071,14.0766,11.8518,9.64657,8.52294,9.55782,10.3085,13.793,17.08]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[377.16,530.439,580.359,616.264,623.526,628.244,629.07,619.213,588.701,521.432]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2454, 281, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.0847,93.1152,106.669,129.073,120.857,142.339,177.302,263.088,243.74,319.498]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.1461,151.317,189.089,234.179,226.902,267.066,299.658,377.009,328.521,410.256]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2455, 282, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[317.288,322.538,352.417,445.053,538.359,631.757,741.712,858.023,961.847,1064.75]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[359.52,427.327,502.761,640.238,773.141,895.634,1015.12,1112.51,1194.5,1255.22]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2456, 1, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.8335,180.634,351.117,447.023,523.446,495.424,475.338,333.595,276.584,245.71]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[155.524,404.274,920.775,1209.26,1673.83,1769.27,1541.6,896.389,600.52,386.586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.1919,98.4485,254.865,411.601,565.319,595.209,646.074,570.389,494.649,421.347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.479,217.309,598.969,1006.92,1588.41,1822.94,1969.97,1335.96,1029.25,588.321]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2457, 2, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.2987,33.5409,54.6475,58.896,61.1228,47.6205,53.0391,73.8404,108.381,151.859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.8781,25.0645,67.3561,81.3385,105.752,136.624,174.527,175.536,196.218,124.569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.20015,29.7329,63.46,93.0933,111.446,107.125,127.198,188.257,240.127,300.225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.9611,40.5099,114.461,161.014,201.263,246.394,332.088,310.145,374.268,224.13]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2458, 3, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.5348,147.093,296.469,388.127,462.323,447.804,422.299,259.755,168.203,93.85]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.646,379.21,853.419,1127.92,1568.07,1632.65,1367.08,720.853,404.303,262.017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.9918,68.7156,191.405,318.508,453.872,488.084,518.876,382.133,254.522,121.122]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[110.518,176.799,484.509,845.904,1387.15,1576.55,1637.88,1025.82,654.985,364.191]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2459, 4, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.8476,31.5743,63.6388,83.3137,99.2403,96.1236,90.649,55.7579,36.1058,20.1455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.3632,17.1133,46.5892,56.4796,73.5393,94.8364,120.722,122.021,135.496,86.0205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.9405,14.7502,41.0862,68.3696,97.4264,104.77,111.38,82.0271,54.6347,25.9995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.926,27.9587,79.4676,111.126,139.119,170.694,230.521,213.723,258.97,154.037]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2460, 5, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.6872,115.518,232.83,304.813,363.083,351.68,331.65,203.997,132.097,73.7046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.283,362.096,806.83,1071.45,1494.53,1537.81,1246.36,598.832,268.807,175.996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.0513,53.9654,150.319,250.138,356.446,383.314,407.496,300.106,199.887,95.1224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[90.5917,148.841,405.041,734.778,1248.03,1405.86,1407.36,812.095,396.014,210.154]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2461, 6, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.4824,42.7893,57.0828,61.431,55.0196,46.401,53.884,74.2906,129.915,238.619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[300.098,307.837,325.182,334.574,344.61,352.784,376.376,420.087,452.245,478.709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.2152,41.7687,58.8712,71.3,76.2097,72.7806,88.3513,126.108,175.825,288.565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[306.253,331.942,356.362,374.934,384.52,381.332,397.283,430.222,445.85,478.746]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2462, 7, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.08753,14.4854,22.2441,24.1177,18.9401,16.8192,16.8766,21.7719,34.7657,72.3635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.8303,83.6768,92.1981,101.015,108.215,116.435,125.221,132.597,141.176,148.544]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.56001,8.90457,14.3433,18.4158,18.9978,20.4758,23.2948,31.967,42.5151,77.4137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.5315,63.6234,70.435,76.6306,83.2703,89.5698,95.4404,101.278,107.37,112.918]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2463, 8, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.74523,3.64144,2.99792,2.67699,2.06417,1.7317,1.73121,1.88029,2.18795,1.92978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.22518,3.00788,2.90161,2.55175,2.23897,2.01467,1.86697,1.5968,1.48711,1.34785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.74729,5.14773,4.81358,4.13709,3.22463,2.70106,2.47848,2.63234,2.69689,2.28651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.39667,3.9657,3.64839,3.34066,3.01049,2.62825,2.42649,2.15594,1.93755,1.72573]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2464, 9, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.57649,16.5707,23.4314,25.2256,24.4484,19.745,25.7159,34.6905,66.5879,132.827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.2163,18.4413,20.5083,22.4386,24.1298,26.0315,32.096,44.6157,57.5597,68.933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.01638,13.458,22.9881,30.7872,33.9501,30.6559,39.0659,58.1316,94.5848,162.368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.3167,16.2585,18.6665,20.9038,23.0542,25.0785,31.6551,45.3808,58.7771,71.0033]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2465, 10, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00758397,0.0165871,0.0234546,0.0252505,0.0244726,0.0197645,0.0257413,0.0347248,0.0666537,0.132958]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.9954,33.7617,35.6361,37.9462,38.7607,41.0992,39.3716,32.9691,26.7145,20.5143]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00702331,0.0134713,0.0230108,0.0308177,0.0339836,0.0306862,0.0391045,0.058189,0.0946783,0.162528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.0541,31.2719,34.2879,37.6503,39.5942,42.8115,41.4247,34.581,27.8924,21.1534]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2466, 11, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0203433,0.0147255,0.0142654,0.0176605,0.0176321,0.0194092,0.0344996,0.0667384,0.0698082,0.0891755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.0881,90.8425,90.583,83.9009,79.9627,72.5103,73.0615,84.7228,86.1685,84.3907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0197463,0.0160428,0.0177012,0.0210603,0.0212285,0.0233449,0.0380012,0.0717747,0.0657863,0.0804498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.637,122.581,126.524,125.158,117.329,100.7,95.2953,99.5133,93.1084,95.2521]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2467, 12, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.84498,6.53396,6.76012,7.57317,7.7057,6.64797,8.0553,13.7466,23.0598,28.0578]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.585,73.4802,78.1784,80.5849,84.2425,86.8383,95.6953,113.032,126.545,140.659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.23451,11.789,13.661,14.6145,16.2793,15.6714,19.9905,28.938,31.4938,41.5432]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.3959,89.8788,97.6468,105.164,110.98,112.327,121.411,135.882,143.335,161.653]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2468, 13, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99923,2.75038,2.85478,3.13758,3.12053,2.63208,3.09278,5.11543,8.28353,9.70282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.6934,31.938,33.9757,34.7726,35.9322,36.8848,39.4358,44.8466,48.4976,51.7006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.40392,4.96962,5.77097,6.0601,6.58012,6.18617,7.66179,10.7663,11.3071,14.3632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.0835,38.1322,41.4056,44.6882,46.6937,46.6148,49.8137,54.282,55.7521,60.1961]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2469, 14, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.580192,0.400047,0.195458,0.244491,0.279648,0.270272,0.359932,0.664951,1.23772,1.65091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.5723,8.94357,7.84098,7.84663,7.69056,7.50653,7.97534,8.98535,10.1881,11.9626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.986368,0.720317,0.393785,0.468571,0.582457,0.626032,0.891787,1.40985,1.70573,2.47332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4826,10.7855,9.0831,9.04331,8.96934,8.9189,9.03531,9.99523,11.1907,13.5608]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2470, 15, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.714486,0.95257,0.973245,1.05786,1.047,0.88035,1.03097,1.68951,2.71146,3.14652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.80087,8.4972,9.19056,9.58267,10.0069,10.4531,11.7759,14.5381,16.7333,19.2067]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21964,1.72399,1.97486,2.05096,2.23232,2.08593,2.56986,3.57667,3.73486,4.68125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.43654,11.1229,12.4918,13.3748,13.9949,14.1335,15.5125,17.9427,19.3673,22.6901]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2471, 16, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.55108,2.43096,2.73664,3.13323,3.25853,2.86526,3.57163,6.2767,10.827,13.5575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.1905,23.8518,26.9217,28.089,30.3268,31.6805,36.1773,44.3125,50.78,57.4408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.62458,4.37511,5.52141,6.03483,6.88439,6.77329,8.86704,13.1852,14.7461,20.0254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.8798,29.5032,34.2594,37.6642,40.8747,42.1932,46.5646,53.1573,56.5451,64.7819]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2472, 17, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.718495,1.18523,1.37384,1.5822,1.65155,1.28,1.29599,1.90664,2.82213,3.05876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.57326,3.18646,3.79124,4.61071,5.35433,5.98641,6.81003,7.37112,8.42059,9.46717]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22115,2.13847,2.77629,3.05328,3.48911,3.01738,3.2162,4.01369,3.85432,4.52889]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.28278,2.92465,3.75356,4.50489,5.53186,6.25094,7.31226,8.2615,9.08616,10.166]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2473, 18, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0115096,0.00977149,0.0102879,0.00997973,0.00984657,0.00760971,0.0113233,0.0146392,0.0177743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000251018,0.000422883,0.0014002,0.000923651,0.00231084,0.000501617,0.000258217,0.00137633,0.000752166]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0128128,0.0127453,0.0152264,0.0151143,0.0158824,0.0139202,0.0210663,0.0268856,0.0286906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000454488,0.000948103,0.000479359,0.000750217,0.000506649,0.00166259,0.00164876,0.00123069,0.00220147]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2474, 19, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0219065,0.0240563,0.0294173,0.0333071,0.0295108,0.0294338,0.0310258,0.0305672,0.133927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0392029,0.0262673,0.031644,0.0349036,0.0425981,0.0495611,0.0465605,0.0545535,0.177751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0241521,0.0304818,0.042754,0.0487608,0.0458988,0.052452,0.0568457,0.0550567,0.212787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0457955,0.0482862,0.0547349,0.0567719,0.0688295,0.0846564,0.0918329,0.09418,0.353093]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2475, 20, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0179569,0.0259233,0.0326655,0.0410848,0.0440737,0.0392683,0.046057,0.066225,0.103178,0.0704576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00249285,0.000913726,0,0.00189649,0.0037078,0,0.0022501,0.0017446,0.000550607,0.00299153]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0202651,0.0338568,0.0483782,0.0621825,0.0710611,0.0721288,0.0861303,0.121733,0.166621,0.100558]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000909097,0.00100408,0.00162096,0,0.00134611,0.00226314,0.00118494,0.000892697,0.00634458,0.00243525]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2476, 21, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.411119,0.259312,0.137266,0.0864451,0.0510437,0.0369678,0.0294964,0.0305706,0.0346502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0526871,0.0350264,0.020199,0.0137354,0.00898809,0.00504891,0.00366883,0.00303589,0.00391896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.333002,0.200107,0.107123,0.0645539,0.0407751,0.0369459,0.0303972,0.0370061,0.0500924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.045914,0.0232791,0.0142318,0.00571438,0.00647867,0.00340244,0.00317927,0.00623096,0.00691234]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2477, 22, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0192667,0.0221132,0.0280293,0.0416679,0.033118,0.0246238,0.0308716,0.0511295,0.0654513,0.0900119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49008,1.3778,1.33201,1.47462,1.6487,1.8131,2.20077,3.12141,3.99121,4.85032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0188569,0.0241525,0.0346667,0.0496302,0.0399332,0.0295728,0.0339304,0.0548005,0.0613441,0.0810298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.54539,1.36391,1.32862,1.51932,1.67246,1.87358,2.21983,3.06702,3.97443,4.87186]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2478, 23, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.3103,63.7648,62.7727,62.1075,58.1486,67.8066,72.1932,100.656,133.846,186.59]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[732.007,761.402,784.933,799.904,830.966,865.49,917.479,939.579,915.724,976.331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.2052,68.7009,80.4201,77.6163,77.2285,99.22,113.179,151.612,182.137,204.585]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[679.4,704.805,727.223,762.871,809.966,852.493,1079.29,1117.69,1177.23,1237.54]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2479, 24, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.385,60.3184,59.3679,58.5338,54.7975,64.6654,68.7173,96.6919,128.495,180.586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[313.569,307.105,324.489,331.242,352.616,375.444,340.808,346.624,307.391,337.934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.7596,64.1573,75.3097,72.5614,72.6024,94.6761,108.505,146.232,175.997,198.623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[123.795,101.464,96.3667,98.8444,113.851,136.365,156.995,169.603,193.067,233.132]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2480, 25, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.473801,0.468856,0.396485,0.386988,0.360468,0.361752,0.421486,0.524598,0.702408,0.718319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.45083,1.68984,1.95071,2.1854,2.4268,2.59147,2.79538,2.91464,3.02066,3.06862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.07897,1.17207,1.10235,1.03402,0.995462,1.00992,1.08035,1.31096,1.54283,1.51088]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49112,1.72646,1.96797,2.20136,2.4224,2.61663,2.80973,2.91561,2.98486,3.04548]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2481, 26, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00198449,0.00376741,0.00589614,0.00751468,0.00972614,0.0105281,0.0135037,0.01929,0.0282113,0.0365072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[243.716,262.206,255.866,250.512,246.605,242.436,232.901,226.767,219.504,215.385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00105231,0.00232417,0.00409007,0.00535676,0.00735721,0.00906147,0.0118728,0.0166857,0.0214782,0.0246001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[172.012,178.084,168.246,160.267,153.004,145.187,137.92,129.869,122.966,115.522]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2482, 27, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0287348,0.0534299,0.0754459,0.0911925,0.0812693,0.0868977,0.112246,0.156797,0.235768,0.273083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.8007,20.017,19.2581,18.7129,17.5975,17.3722,16.6045,16.6736,16.5746,16.4573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0279063,0.0583017,0.0936566,0.108545,0.0978273,0.104478,0.123484,0.168138,0.221633,0.24573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.3946,28.4544,27.5973,26.9471,25.9805,25.0723,24.1244,24.1699,23.4432,23.7398]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2483, 28, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0238339,0.03477,0.0424039,0.0562881,0.060753,0.0741576,0.116424,0.148421,0.281234,0.355111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.40263,1.855,2.34356,2.91139,3.3311,3.93123,4.50723,5.08786,5.87302,6.51681]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0230953,0.0377276,0.0524213,0.0670891,0.0731747,0.0891302,0.128214,0.159343,0.265224,0.320225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.70461,2.2262,2.79704,3.5451,4.14318,4.7341,5.43365,6.32722,7.07232,8.1843]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2484, 29, 218, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112658,0.66376,2.31065,4.49758,6.89985,10.3375,16.8323,24.1123,32.23]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0479106,0.295642,1.00341,1.9997,3.23279,4.70527,8.39295,13.586,20.7175]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2485, 30, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.034287,0.0482529,0.068796,0.0759432,0.123285,0.0895061,0.130282,0.103782,0.173259,0.296655]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0716109,0.0892844,0.0947911,0.139771,0.117852,0.0996141,0.124399,0.165568,0.189403,0.252347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2486, 31, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.284316,0.309954,0.343494,0.3453,0.325662,0.269927,0.29343,0.365043,0.680697,0.972415]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00109499,0.00279767,0.002877,0.0036075,0.00299106,0.00412377,0.00648072,0.00387547,0.00281363,0.00679029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.261119,0.379899,0.547948,0.429573,0.448258,0.503952,0.426363,0.584334,0.765991,0.691349]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.000864586,0.00380425,0.00335618,0.00188571,0.00210382,0.00605199,0.00435955,0.0100943,0.00412682]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2487, 32, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00171475,0.00138991,0.00103134,0.00138501,0.000976446,0.00108977,0.00110152,0.00177359,0.00297494,0.00463626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.9425,62.446,63.4383,63.6524,63.9353,65.1535,62.7516,63.5464,60.9216,60.8592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00193443,0.00175224,0.00147784,0.00191634,0.00137154,0.00153088,0.00141883,0.00222255,0.00327373,0.00488859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.7953,54.1557,53.0602,53.1522,53.956,54.3098,54.8029,54.9975,55.8624,56.5424]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2488, 33, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00171475,0.00138991,0.00103134,0.00138501,0.000976446,0.00108977,0.00110152,0.00177359,0.00297494,0.00463626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51432,1.48318,1.52363,1.48731,1.46728,1.46904,1.39754,1.45519,1.44613,1.4376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00193443,0.00175224,0.00147784,0.00191634,0.00137154,0.00153088,0.00141883,0.00222255,0.00327373,0.00488859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51666,1.4979,1.51385,1.50828,1.49664,1.50122,1.47037,1.43859,1.44283,1.39569]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2489, 34, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.64251,0.659989,0.656965,0.644751,0.64038,0.633777,0.629409,0.650259,0.609809,0.635047]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.650935,0.650658,0.640864,0.665967,0.64997,0.659629,0.652739,0.629797,0.623529,0.619321]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2490, 35, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.7857,60.3028,61.2577,61.5203,61.8276,63.0506,60.7247,61.441,58.8656,58.7866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.6277,52.0071,50.9055,50.978,51.8094,52.1489,52.6798,52.9291,53.796,54.5274]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2491, 36, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12045,0.172828,0.210228,0.282004,0.339048,0.342064,0.455199,0.719866,1.37616,2.00855]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2234,11.781,11.9657,12.2189,12.9383,13.1592,12.9549,14.1172,17.4334,27.2119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105455,0.241669,0.329358,0.402397,0.451343,0.501581,0.646857,0.84168,1.3227,1.66851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.8681,24.0323,22.3412,23.3163,26.6281,26.772,31.2713,32.6939,38.0927,27.7603]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2492, 37, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.1609,67.7445,93.0701,71.2998,44.2519,30.2778,30.6042,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.3922,142.924,292.726,437.203,553.71,640.825,688.933,459.729,325.51,161.484]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2493, 38, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.92888,12.6579,20.4461,18.0056,11.7949,8.49375,9.01642]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.03405,4.28518,6.14322,5.40163,2.92698,0.839658,0.070234]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2494, 39, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.69404,6.45791,7.50193,4.71874,2.71584,1.71645,1.59444]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.57485,1.6002,1.87218,1.05755,0.482429,0.278792,0.115451]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2495, 40, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.53185,10.7607,13.1442,8.82574,5.30287,3.51362,3.4397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"55-59\"],\"number\":[2.27066,7.9768,9.81292,5.45012,2.46803,1.49403,0.571077,0.000569321]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2496, 41, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.18723,1.19444,1.4718,1.00359,0.702979,0.536979,0.600998]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.1693,88.1975,191.793,300.842,391.296,459.092,498.008,459.729,325.51,161.484]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2497, 42, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.36969,9.85913,12.9464,9.48111,5.6004,3.64179,3.49181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.847372,1.69,2.10735,2.25314,2.17862,1.28975,0.310134]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2498, 43, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[6.44924,26.8144,37.5597,29.265,18.1349,12.3752,12.4608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[11.496,39.1738,80.9978,122.198,154.358,177.83,189.858]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2499, 45, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.4218,40.8386,39.5731,39.0114,38.0862,37.1373,36.1141,34.9193,34.0851,32.3861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.2183,45.9123,45.4563,43.7863,43.3679,42.1984,41.1549,40.016,38.7705,37.0678]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2500, 46, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.6,129.783,122.831,115.73,108.897,102.399,95.4199,88.1833,78.2472,69.0649]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[199.615,189.69,179.052,168.953,159.307,148.363,138.445,126.93,113.72,98.6036]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2501, 49, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.23399,8.17836,9.81681,11.5495,10.7148,9.78697,12.6941,14.8362,26.1976,41.4892]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[922.417,1087.05,1012.31,942.841,898.136,846.432,772.248,771.536,716.165,719.404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.45776,6.48985,8.85609,11.0079,12.4296,11.1277,14.136,16.5184,24.0637,41.1674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[643.462,530.458,475.564,486.146,522.152,533.39,567.469,596.222,646.46,704.665]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2502, 50, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.71106,6.82483,8.07813,9.82927,9.67431,9.0452,11.9522,14.1256,25.0142,39.6904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.972935,1.82152,1.92286,2.51375,2.45984,2.32851,3.09666,3.44405,6.64394,11.1995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.0307,5.41577,7.28756,9.36835,11.2226,10.2843,13.3098,15.7272,22.9767,39.3825]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08355,2.67564,2.9999,3.77965,3.36747,3.19174,4.17428,4.44385,7.0286,12.5344]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2503, 51, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0922721,0.351472,0.420578,0.304486,0.129856,0.0861555,0.0676575,0.0475202,0.0607356,0.0646907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.024,149.118,142.73,136.474,130.543,124.025,118.683,114.636,111.101,107.119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0753557,0.278907,0.379418,0.290208,0.150638,0.0979583,0.0753427,0.0529083,0.0557884,0.0641889]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.3622,87.9635,84.3758,80.7208,76.9698,73.4721,70.1854,67.6034,65.2162,62.8332]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2504, 52, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2969,6.04931,5.06141,5.78295,5.89115,5.28888,3.84809,2.60167,1.98809,1.45273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9477,6.10827,5.1012,5.81904,5.95934,5.37203,3.67988,2.60295,2.31592,1.90716]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2505, 53, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.423569,0.986677,1.29568,1.38762,0.885871,0.631674,0.646038,0.632139,1.06858,1.6564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[776.101,930.02,862.543,798.005,759.189,714.744,646.573,650.809,596.363,599.55]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.345915,0.782966,1.16888,1.32255,1.02765,0.71821,0.719422,0.703814,0.981535,1.64355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[552.051,433.676,383.035,395.763,435.794,451.302,489.376,521.521,571.836,627.307]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2506, 54, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00708731,0.0153878,0.0224187,0.0281362,0.0247764,0.0239388,0.0281983,0.0309313,0.0540618,0.0777277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0214648,0.0430712,0.0575475,0.0659174,0.0526852,0.0457071,0.0476651,0.0456929,0.0687115,0.083218]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00578798,0.0122108,0.0202247,0.0268168,0.0287417,0.0272183,0.0314013,0.0344384,0.0496582,0.0771248]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0176027,0.0344262,0.0523427,0.0633104,0.0614739,0.0522579,0.0534016,0.0512094,0.0634625,0.0829556]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2507, 55, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08214,8.32715,10.1176,10.8717,10.1289,7.38266,10.962,17.6409,37.416,41.309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.8641,68.9932,67.84,62.5274,55.084,52.3625,24.2492,18.8893,17.4208,30.1065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.80079,7.50207,11.4436,15.0979,17.0025,15.2422,20.755,29.9092,37.3129,45.168]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.4176,113.842,102.395,89.612,76.93,65.5897,56.8014,50.9698,54.744,36.7582]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2508, 56, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.272116,0.551934,0.851411,0.953002,0.768738,0.639294,0.650178,0.624276,0.659142,0.909019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.3371,49.7019,48.6817,44.6673,38.5398,37.6212,10.6716,5.47456,4.7537,4.62135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.186225,0.353281,0.508854,0.691173,0.72882,0.76634,0.831159,0.935931,1.08375,1.6871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.6407,74.9835,65.9828,51.8949,37.4325,25.6034,14.4683,5.8069,5.21099,5.84623]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2509, 57, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0151619,0.0267523,0.0441941,0.0471113,0.0427997,0.040543,0.0355706,0.0554266,0.142695,0.196984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.464095,1.07155,1.5967,2.01746,2.18483,2.49927,2.66903,2.84444,3.23107,3.46671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.186225,0.353281,0.508854,0.691173,0.72882,0.76634,0.831159,0.935931,1.08375,1.6871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.769502,1.9462,2.77281,3.47975,3.91729,4.14463,4.39512,4.93935,5.18715,5.82654]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2510, 58, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0598634,0.122886,0.187791,0.21056,0.168501,0.139342,0.143992,0.133374,0.121722,0.175861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.82034,9.03278,8.85202,8.19546,7.21767,7.97239,0.976203,0.31926,0.132528,0.063215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.3293,48.0195,39.0775,25.8642,13.8003,8.45505,4.1367,0.509544,0.0192321,0.0146142]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2511, 59, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0449928,0.0920985,0.141603,0.157394,0.125927,0.103051,0.106046,0.0993107,0.0918175,0.122538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.52814,8.08665,8.57854,8.99929,8.80618,8.01282,1.86723,0.289004,0.109208,0.0541275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5419,25.0178,24.1325,22.551,19.7149,13.0037,5.93646,0.358003,0.00461352,0.00507192]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2512, 60, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.3668,27.8439,23.7516,17.3548,11.1312,7.50565,4.19542,1.3803,0.922734,0.876862]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2513, 61, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.152098,0.310197,0.477823,0.537935,0.431511,0.356358,0.364569,0.336164,0.302908,0.413637]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1577,3.66707,5.90285,8.1002,9.1999,11.6311,0.963742,0.641547,0.358157,0.160431]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2514, 62, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.82072,3.78473,3.97362,4.08515,4.03498,3.59222,5.89283,11.0361,25.8059,22.932]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.4176,6.01746,6.60538,6.22514,5.40422,5.06189,4.8716,4.9425,5.04055,5.08636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.25063,2.76413,3.86266,4.5792,5.76143,5.67996,8.40063,12.2857,14.2981,15.7112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.65289,6.28378,7.13575,7.14871,6.45998,6.3844,6.43109,6.68843,6.98684,7.07817]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2515, 63, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0506662,0.125283,0.184938,0.316501,0.495643,0.590772,1.20342,2.10554,5.59143,4.51582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.488516,1.07733,1.86074,1.66505,0.89821,0.423649,0.0956983,0.00547419,0.00627479,0.0039648]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0760265,0.214629,0.389235,0.534982,0.720989,0.685709,1.0052,1.54459,1.9761,2.50428]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.506914,1.1944,1.99849,1.90599,0.999998,0.474845,0.112087,0.00446362,0.00620925,0.00463806]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2516, 64, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114815,0.324003,0.437773,0.776042,1.32262,1.95973,3.73517,7.39201,16.9697,15.7934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.616,2.34533,2.61718,2.83795,3.04275,3.301,3.65422,4.04789,4.28493,4.3808]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.231034,0.835865,1.67537,2.47241,3.52083,3.96797,6.3586,9.35096,10.9833,11.6472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.80114,3.20049,3.50249,3.78074,4.02617,4.4248,5.00719,5.62671,6.11098,6.22174]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2517, 65, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0106063,0.0390997,0.048627,0.129422,0.262701,0.265903,0.545103,1.12206,2.45726,2.18569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.236811,0.25366,0.295456,0.345985,0.517098,0.855113,0.957265,0.755553,0.642565,0.613221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0149761,0.0521356,0.166,0.259294,0.46082,0.534142,0.828374,1.14365,1.1116,1.37788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.304102,0.314492,0.358021,0.450957,0.655536,1.04743,1.19641,0.952606,0.784728,0.778876]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2518, 66, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.64463,3.29635,3.30229,2.86319,1.95402,0.77581,0.40913,0.416511,0.787543,0.437104]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.07628,2.34114,1.832,1.37616,0.946158,0.482133,0.164414,0.133583,0.106783,0.0883693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.928597,1.6615,1.63206,1.31252,1.05879,0.492135,0.208459,0.24647,0.227065,0.18186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.04074,1.5744,1.27674,1.01103,0.77828,0.437316,0.115405,0.104652,0.0849243,0.0729165]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2519, 67, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0377559,0.0374384,0.0419779,0.0419067,0.0454785,0.0491437,0.0515921,0.0497686,0.0543514,0.0549299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0412991,0.0417323,0.0402508,0.0445828,0.0459034,0.0492036,0.0490577,0.0577475,0.0532734,0.0555472]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2520, 68, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.98931,3.99049,5.29255,5.83357,5.32516,3.15114,4.41896,5.98051,10.951,17.468]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.0716,13.2364,12.511,11.5931,11.0945,9.63026,8.65435,8.42243,7.57216,20.3439]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.36393,4.38466,7.07211,9.82751,10.5123,8.79589,11.5233,16.6876,21.9311,27.7697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.0828,32.5331,29.2363,30.5238,32.9916,33.5527,35.853,38.4167,42.4929,23.7782]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2521, 69, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08645,6.67349,9.87925,20.3384,32.5644,53.1434,94.2169,160.966,271.556,365.115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73867,3.54727,6.13093,13.5405,21.3051,30.5296,47.0206,69.401,102.862,125.441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.95835,7.89217,10.0073,14.101,20.671,31.9183,50.9782,109.338,166.997,274.761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.83021,2.60042,3.77194,5.32356,7.76234,11.5491,18.6725,36.1418,56.3222,103.516]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2522, 70, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.040495,0.0434349,0.0054316,0.271399,0.603891,2.43073,4.10964,9.86521,20.9581,30.6648]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02404,0.0107463,9.17157e-5,0.0779876,0.130937,0.429259,0.749515,1.68549,3.63936,4.99943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000474909,0.0772511,0.234777,0.78233,2.06648,4.1462,8.59751,24.1661,35.1326,54.0103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0331077,0.0675857,0.178378,0.428774,0.882591,1.66779,4.63212,6.42685,9.21336]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2523, 71, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.047284,0.133478,0.181027,0.547873,0.808375,1.75062,3.63237,8.50734,15.0533,26.6777]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0157907,0.0438049,0.0358857,0.176715,0.171332,0.395368,0.886788,1.89571,3.30002,5.98171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.126065,0.324423,0.449111,0.851836,1.15812,2.50532,4.13419,7.4547,10.3016,22.0641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0205899,0.0804837,0.117114,0.25931,0.295984,0.658441,0.997804,1.66222,2.22359,4.73899]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2524, 72, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.361245,0.83161,1.212,2.0231,2.40279,3.71786,6.09598,10.8807,20.3375,30.4606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0302018,0.121511,0.243844,0.38016,0.541314,0.864359,1.44672,2.59873,5.02289,7.15261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.49123,1.22037,1.49737,2.64793,3.93579,5.49676,7.24985,16.366,28.1354,34.4249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0145417,0.154447,0.25309,0.520157,0.835196,1.16616,1.57143,3.55435,6.40282,7.74179]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2525, 73, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113296,0.201101,0.257067,0.430022,0.544736,0.870111,1.47144,2.6981,5.19061,7.97945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00748308,0.0341889,0.0467403,0.0901695,0.11675,0.173831,0.295779,0.687412,1.28206,1.98651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.205604,0.390454,0.419284,0.709082,1.08708,1.56789,2.13562,4.97817,8.83399,11.1633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00694445,0.0517888,0.086717,0.124594,0.233017,0.324338,0.481829,1.01745,2.10346,2.50602]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2526, 74, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0168492,0.0299544,0.0385512,0.0635135,0.11283,0.303738,0.697131,1.57479,3.53184,6.13829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000114655,0.0028163,0.00330791,0.0170909,0.0266261,0.0730174,0.140819,0.36857,0.89426,1.46839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0185081,0.0351529,0.0377473,0.0636271,0.13602,0.32805,0.60472,1.73955,3.61769,5.16876]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00632481,0.00721979,0.0177254,0.0254527,0.0564331,0.13784,0.389282,0.739618,1.21311]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2527, 75, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.081562,0.396661,0.705891,1.23611,1.43244,2.13884,3.38455,5.83801,10.5255,15.1929]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0119164,0.0515901,0.135706,0.223378,0.322309,0.521068,0.863649,1.35617,2.58896,3.43243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105205,0.556529,0.834403,1.58149,2.3314,3.15357,4.02356,8.77173,14.5351,17.1016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00391532,0.0690423,0.122211,0.311226,0.497275,0.685584,0.848173,1.96222,3.25746,3.77609]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2528, 76, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149538,0.203894,0.210488,0.293452,0.312786,0.405167,0.542856,0.769793,1.08959,1.14988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0106877,0.0329156,0.0580899,0.0495209,0.0756298,0.0964423,0.146476,0.186572,0.257613,0.265277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.161913,0.238235,0.205939,0.293727,0.381284,0.447258,0.485952,0.87655,1.14856,0.991274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00368195,0.0272908,0.0369421,0.0666112,0.0794511,0.0998084,0.103588,0.185399,0.302279,0.246571]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2529, 77, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000928348,0.0155199,0.00268385,0.0499611,0.0419051,0.0194255,0.209092,0.309446,1.00704,0.297731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00554152,0.00394372,0.00539637,0.0201629,0.0207156,0.00981899,0.0801082,0.122058,0.305,0.0804917]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00031469,0.00100334,0.0258452,0.0748663,0.150605,0.0467575,0.820954,1.70527,2.44944,3.87219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00349327,0.00444337,0.0277259,0.044602,0.0910058,0.0249507,0.362641,0.806823,1.17199,1.86244]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2530, 78, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0594395,0.223069,0.261369,0.480916,0.421529,1.78339,3.30549,3.70596,10.7976,13.7118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0164481,0.0674485,0.0545679,0.09192,0.127236,0.340835,0.638571,0.658847,1.9429,2.44457]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00301117,0.121107,0.303293,0.515287,1.10589,2.112,2.27769,7.33508,9.75766,22.3987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0443669,0.104089,0.155173,0.285127,0.537835,0.51359,1.57592,1.94903,4.42949]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2531, 79, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136341,0.746536,0.995013,3.62635,6.62185,8.83442,12.3906,24.3996,40.4285,40.8533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.182275,0.718833,1.18356,3.71264,6.97941,10.4829,15.011,23.431,35.259,38.2152]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2532, 80, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.138437,0.857506,2.10506,5.94728,11.9521,19.6567,39.3196,53.83,86.4822,112.667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0577089,0.623915,1.85102,5.26081,8.34138,10.7021,16.2121,16.9695,23.904,27.8113]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2533, 81, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0141208,0.0331196,0.0694237,0.093596,0.191184,0.365524,0.793286,1.54779,2.77085,4.94975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00425124,0.0228491,0.045299,0.0981458,0.19535,0.416096,1.15639,2.10264,2.69433,3.32006]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2534, 82, 218, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00286351,0.00404366,0.0276664,0.00827693,0.0628166,0.249001,0.961852,2.83848,7.10818,23.4517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00714205,0.0117611,0.0276076,0.0225845,0.0918008,0.302256,1.77971,5.60845,13.1298,38.3151]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2535, 83, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.087031,0.402817,0.471871,0.977803,1.61207,2.46572,6.02546,13.8169,18.9163,24.6819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0735289,0.245394,0.272856,0.535388,0.98146,1.47876,3.21704,7.05935,8.79441,11.2114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.153795,0.490703,0.639865,0.877104,1.7893,2.63544,4.46334,7.60439,11.7662,21.193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0798092,0.281656,0.377972,0.512993,1.19473,1.8386,2.73555,4.60143,6.65147,11.5752]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2536, 84, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0979096,0.169765,0.21629,0.257646,0.418756,0.531059,0.967036,1.72596,2.32483,3.4292]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0885567,0.132309,0.152345,0.20439,0.285692,0.307787,0.622986,1.14942,1.42044,2.09137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0635536,0.12364,0.253739,0.362489,0.668624,1.10635,1.66469,2.22358,3.12422,4.68758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0412177,0.136057,0.221019,0.299663,0.550618,0.99869,1.44564,1.89883,2.58921,3.84411]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2537, 85, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0167286,0.029089,0.0225911,0.0310363,0.0412288,0.0490605,0.087852,0.129058,0.234415,0.335298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0065706,0.0118725,0.00609355,0.0217688,0.0175427,0.0234135,0.0379895,0.0323859,0.0713499,0.0909514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.205519,0.265598,0.380884,0.480117,0.701621,1.04238,1.37041,1.8757,3.26734,3.48748]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.122939,0.174125,0.147066,0.299515,0.367584,0.472748,0.642282,0.617415,0.916125,0.903533]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2538, 86, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112447,0.107919,0.187066,0.17186,0.102187,0.0809375,0.188643,0.4212,0.389037,0.608053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.026378,0.0263379,0.0541114,0.0414631,0.0255207,0.0267473,0.0551966,0.139474,0.109293,0.180073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0304152,0.0484799,0.181065,0.159397,0.41038,0.647666,0.801406,1.7775,2.68536,3.53289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0100393,0.0182911,0.0582022,0.054216,0.202939,0.278986,0.431171,0.72743,1.02279,1.20378]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2539, 87, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000658907,0.00188231,0.00554221,0.0440136,0.0159537,0.032577,0.23323,0.137582,0.361304,1.24641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00388701,0,0.0127175,0.000760728,0.00500808,0.0392261,0.0230957,0.0589193,0.186588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000358488,0.00185808,0.00625123,0.011043,0.0111708,0.0090362,0.0226986,0.0351953,0.419608,0.227701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.00981542,0.000112732,0.00392095,0.00183696,0.0102559,0.00899894,0.0805718,0.0449728]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2540, 88, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00280159,0.00595677,0.0426511,0.086527,0.208316,0.490098,0.603757,1.04573,2.56048,5.36327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.00799576,0.0195022,0.0220726,0.0852582,0.0566617,0.112769,0.26991,0.521708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00276063,0.0331083,0.0895693,0.183482,0.238142,0.469737,0.672012,1.84968,0.460645,3.78435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0153257,0.0223788,0.0404789,0.0343298,0.0470837,0.100153,0.243531,0.0642513,0.406233]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2541, 89, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00265962,0.00826474,0.0119944,0.00579336,0.0249396,0.0268908,0.0711695,0.450243,1.00623,2.01462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00590095,0.0217864,0.0255083,0.0122373,0.0477392,0.043572,0.0920359,0.511743,1.07594,1.9322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00189724,0.00569377,0.0185362,0.0262926,0.0466977,0.175338,0.382097,0.655179,0.846893,1.23899]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0019487,0.0031608,0.021737,0.0315159,0.0489994,0.189888,0.327064,0.533822,0.662319,0.911298]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2542, 90, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0304169,0.0645574,0.124492,0.184173,0.167853,0.181653,0.231002,0.343572,0.652083,0.998736]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0101075,0.0364127,0.0805712,0.124867,0.152006,0.227773,0.477256,0.832283,1.14165,1.64592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0337005,0.0667796,0.131307,0.205886,0.258838,0.373652,0.512933,0.902782,1.75693,2.149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0209218,0.0513602,0.10337,0.161689,0.202703,0.320663,0.672651,1.05828,1.55905,2.42652]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2543, 91, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.372384,0.44013,0.615909,1.27839,1.63188,3.7786,6.93093,15.9527,19.8571,21.3598]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.243364,0.353883,0.458616,0.799993,0.911058,1.71356,2.42152,4.36182,4.80053,5.05881]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2544, 92, 218, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00969009,0.0488489,0.0265448,0.0361201,0.0476844,0.0217202,0.0293755,0.125314,0.0247858,0.303469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0112885,0.0492016,0.0299065,0.0367939,0.0526132,0.0219172,0.0264731,0.0669172,0.0120749,0.0999547]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2545, 93, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0561246,0.0636481,0.0973121,0.171173,0.212696,0.406542,0.620946,0.78637,2.85847,2.18713]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00993447,0.0145198,0.0393212,0.0453588,0.0564047,0.142172,0.17551,0.208311,0.665381,0.521355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0719196,0.0707883,0.113184,0.106391,0.0823611,0.19799,0.22836,0.909718,1.34915,2.37019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0195877,0.023023,0.0594074,0.0444786,0.0280838,0.0887682,0.0718797,0.265909,0.350734,0.638823]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2546, 94, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.020821,0.0488229,0.1175,0.338178,0.863403,1.19136,1.13625,0.954449,1.21791,2.05001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0150056,0.0198245,0.0481996,0.0811536,0.21322,0.338831,0.403709,0.352631,0.512827,0.703223]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00251277,0.0204313,0.00631228,0.118694,0.124091,0.36338,0.765226,2.08125,3.79704,8.26573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00754477,0.0124739,0.0156912,0.0462908,0.0594066,0.120996,0.278994,0.547015,0.923917,1.90901]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2547, 95, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.047612,0.0679057,0.0859843,0.130835,0.168194,0.195898,0.311842,0.49021,0.971232,1.34888]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.064315,0.0725922,0.0706715,0.0978852,0.112704,0.102101,0.156115,0.221588,0.427319,0.508204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0469605,0.069968,0.0859375,0.158107,0.275712,0.377575,0.573805,0.740664,1.2645,1.44866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0265127,0.0541405,0.0845855,0.100777,0.185981,0.156151,0.300183,0.315629,0.454055,0.495849]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2548, 96, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00748098,0.02114,0.0359605,0.0639503,0.0977611,0.145126,0.472061,1.21751,2.96177,4.03076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0200729,0.110709,0.181956,0.245943,0.293784,0.354771,0.726911,1.16704,1.81398,1.60775]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0270168,0.0222882,0.0236659,0.02509,0.022301,0.0517556,0.124469,0.0789696,0.109603,0.626249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0261209,0.0231217,0.047156,0.0323788,0.0193662,0.0366328,0.0786777,0.0337729,0.034351,0.164759]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2549, 97, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0450678,0.0678239,0.148256,0.155676,0.177127,0.271426,0.204988,0.503238,0.392491,0.62316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0778453,0.0952086,0.158783,0.130937,0.123692,0.171091,0.134792,0.24649,0.148154,0.213533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0660179,0.0649527,0.157419,0.198043,0.185062,0.162833,0.236655,0.345274,0.600704,0.707649]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0948355,0.0918642,0.178042,0.19729,0.158427,0.129244,0.130455,0.177951,0.269162,0.297758]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2550, 98, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33223,1.13179,1.54572,1.82581,1.4533,1.91649,2.25964,2.95395,4.95984,10.7074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.403075,0.361878,0.64996,0.688298,0.667712,0.846183,0.919168,1.09363,1.63409,3.13564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6961,1.97839,1.97062,2.32742,2.43079,3.2626,4.56248,7.97231,9.21278,11.9501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.413644,0.616032,0.701327,0.912291,0.974851,1.28183,1.49365,2.3062,2.29038,2.79769]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2551, 99, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000607188,0.00118432,0.00151536,0.0028878,0.0154674,0.127088,0.0707351,0.913748,1.08193,2.10356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00269918,0.00117246,0.00102981,0.000463998,0.00643464,0.0703741,0.0383872,0.524078,0.53555,0.809295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000620174,0.00135091,0.0187928,0.0668982,0.166496,0.185039,0.0955547,0.460076,1.00823,2.6589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.0112,0.0735189,0.126773,0.132081,0.0669999,0.319669,0.517619,1.2767]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2552, 100, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.33484,0.313824,0.279238,0.28807,0.740225,0.602033,0.715994,0.497121,2.66544,5.12908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0808461,0.0882764,0.0664585,0.0736876,0.200541,0.136832,0.175173,0.15381,0.714765,1.236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.866091,0.361422,0.640265,0.67149,0.566232,0.677028,0.786397,1.37692,1.62377,1.85721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.313877,0.0920998,0.186721,0.228466,0.171848,0.243825,0.299772,0.516374,0.609407,0.517733]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2553, 101, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.720344,0.842695,1.03736,1.28414,1.56942,2.09217,3.22933,5.58063,10.3097,16.6156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.274216,0.33816,0.436793,0.585865,0.679083,0.814577,1.08966,1.74707,2.59975,3.78182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.05546,2.46967,2.72524,3.20639,4.16577,5.60272,9.64423,18.4579,30.7947,44.0497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.594153,0.629883,0.89913,1.07089,1.35127,1.61689,2.66769,4.06278,6.0107,7.70058]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2554, 102, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.95728,7.34467,9.79524,14.2431,20.5294,30.9529,53.3077,90.1977,186.666,367.137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.0447,111.129,106.485,145.14,204.358,277.873,377.175,480.196,623.758,798.049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.76112,9.99632,15.9911,26.8567,41.4639,60.2354,104.89,190.466,330.131,610.504]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.1345,71.7187,91.082,126.018,204.189,260.536,392.43,552.361,775.722,1003.88]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2555, 103, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.681891,1.44464,2.57241,3.26748,3.42371,3.16903,3.47833,4.01411,7.52548,12.622]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.2572,38.803,36.1866,34.2855,31.8263,29.4067,26.4316,23.5214,24.3375,26.5051]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.559222,0.994841,2.00722,3.03824,3.78862,4.00922,5.50996,6.3176,9.17726,14.4428]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.8024,26.8784,25.3252,24.2825,23.4249,22.1584,20.2775,18.4947,20.4282,23.752]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2556, 104, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.968522,1.76112,1.9575,2.82968,4.13306,8.06477,12.8322,25.1274,48.4985,104.582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.51719,12.1713,24.2117,41.6583,64.7178,94.7349,145.584,217.775,303.912,389.82]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0821,4.51461,6.13749,10.1817,15.4833,24.7752,38.1245,70.6672,114.343,190.387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.92994,15.7289,31.2989,53.7409,84.2158,123.91,191.009,288.659,407.598,526.28]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2557, 105, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.05525,1.82851,2.25879,3.68347,6.52745,11.4789,23.0564,39.3214,86.9123,162.924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27927,1.86057,2.68937,4.05491,5.88163,8.23981,13.6474,21.4423,32.8047,45.2312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0678,2.35909,4.18696,8.37114,13.7451,21.4401,43.201,85.9116,157.619,314.004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23636,1.77239,2.71891,3.9183,5.73128,8.02964,14.1815,23.1808,36.0425,50.3285]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2558, 106, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15999,0.369031,0.446682,0.766809,1.21926,2.05677,4.47657,8.80735,23.2771,59.758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.585513,0.459574,1.0096,1.81716,3.05366,5.00473,9.09628,14.8817,23.3238,35.2811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.145769,0.338284,0.655868,1.38325,2.07946,3.9145,8.99906,20.2416,44.9429,120.803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.581482,0.388711,0.881608,1.58047,2.93302,4.79708,9.28041,15.9533,25.3094,37.9042]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2559, 107, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.895265,1.45948,1.81211,2.91666,5.3082,9.42213,18.5798,30.5141,63.6352,103.166]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.693753,1.401,1.67977,2.23775,2.82798,3.23508,4.55116,6.56054,9.48081,9.95005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.922026,2.02081,3.53109,6.98789,11.6656,17.5256,34.2019,65.67,112.676,193.201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.654882,1.38368,1.8373,2.33783,2.79826,3.23255,4.90104,7.22754,10.7331,12.4243]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2560, 108, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.295764,0.625779,0.927067,1.71064,2.77682,4.15954,7.42934,13.0135,26.2054,53.6365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33231,1.18824,1.62759,2.98853,5.59712,10.5642,17.4714,24.7963,36.3734,51.5615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125778,0.309239,0.48669,0.697969,1.17396,1.40479,2.65007,4.21753,7.01326,12.8036]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.55381,1.46555,1.93711,3.67244,6.77992,12.693,20.7845,28.8967,42.8573,60.7961]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2561, 109, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.255817,0.483451,0.617275,0.873969,1.2431,1.579,2.64646,3.23325,5.81713,11.7403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.45475,3.04701,2.92522,3.59528,4.71525,6.69158,8.72905,10.7681,14.1148,17.1758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.315622,0.702777,1.22806,1.72971,2.90936,3.84995,7.34764,11.0548,19.5551,37.7516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.24077,6.20877,6.01509,7.74584,10.1405,14.2233,18.6028,22.3802,29.4082,35.8869]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2562, 110, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0110469,0.0198663,0.0280218,0.0725659,0.0941419,0.26422,0.655417]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.84402,3.1134,3.73858,4.85889,6.92344,11.952,21.2003,34.8924,57.9538,91.9684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0175741,0.0327364,0.0415334,0.0761947,0.165803,0.324875,0.713134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.04852,5.38227,6.30533,8.18701,11.3247,19.124,33.6645,55.1569,90.4791,142.355]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2563, 111, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0269518,0.0463459,0.0617799,0.10877,0.178698,0.201824,0.327684,0.5698,1.13007,2.45663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0341214,0.0684984,0.135489,0.218826,0.377979,0.489581,0.902014,1.45517,2.75276,5.34451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2564, 112, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0116309,0.0201915,0.0402258,0.0950828,0.184431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00354651,0.0207592,0.0628339,0.221232,0.606656,1.11252,2.81095,7.3583,14.3392,23.7113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0745046,0.15876,0.278046,0.563811,1.1399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00362115,0.0227197,0.0842525,0.284468,0.756961,1.36949,3.33199,8.82099,17.525,29.171]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2565, 113, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0800532,0.145105,0.16927,0.197205,0.225901,0.203636,0.267204,0.321776,0.520409,0.864924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.567718,0.790294,0.52647,0.396101,0.306344,0.393752,0.476016,0.437369,0.616924,1.03791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0652482,0.127102,0.25941,0.284909,0.402545,0.365681,0.532713,0.678154,1.00079,1.44189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.748556,1.11483,0.730547,0.616109,0.448679,0.559705,0.688701,0.814355,1.17496,1.9438]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2566, 114, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.593027,1.0097,1.23115,1.56082,2.00075,2.05657,3.17734,4.46204,9.69761,17.4697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.7888,50.1342,34.5166,53.0815,83.7835,114.777,140.824,139.205,139.306,151.038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.511231,0.920155,1.5498,2.3167,3.55036,3.78484,6.38722,9.71977,17.7816,32.4752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.5705,13.145,16.6667,23.5703,61.3661,58.4677,89.8896,105.958,130.209,133.364]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2567, 115, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.78507,3.82975,4.84525,6.00941,6.52467,5.4188,8.924,12.6778,28.1735,54.7616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[820.486,787.69,860.77,982.763,1122.53,1272.37,1441.55,1684.3,1949.66,2272.51]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.13595,3.74044,6.32671,8.02667,9.14192,8.48004,12.369,19.9951,36.6111,74.3291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[775.777,733.585,788.39,876.408,1015.57,1157.56,1361,1612,1913.31,2240.38]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2568, 116, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.380336,0.889971,1.2084,1.5964,2.02771,2.03943,4.07894,6.23188,15.0755,31.1308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[234.691,324.37,418.998,525.25,645.286,783.245,962.408,1188.69,1455.44,1753.91]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.610208,1.27393,2.1436,3.04146,3.41243,3.51919,5.40042,9.03265,17.0995,35.9606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[272.181,373.313,475.869,585.946,708.097,841.353,1010.18,1228.59,1482.47,1761.04]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2569, 117, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0341886,0.100175,0.0782191,0.15274,0.203471,0.198448,0.284915,0.514588,1.07793,1.94933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0207007,0.0205545,0.0242328,0.0444733,0.0700792,0.20282,0.454135,1.18331,2.16684,3.95452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.138695,0.240652,0.51958,0.830484,1.08735,0.982102,1.32559,2.30881,3.78917,7.72326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0505565,0.0615574,0.0516067,0.0921239,0.138387,0.423397,1.04075,2.55954,4.69002,8.66933]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2570, 118, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.320296,0.574991,0.712894,0.909206,1.17354,1.0961,2.00199,2.88763,6.62359,12.8781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[438.293,271.396,199.188,174.214,170.873,177.193,190.921,205.078,220.839,238.667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.815624,1.24116,1.97386,2.23857,2.4185,2.13363,3.23069,5.00791,9.39327,18.6942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[423.529,263.223,191.303,164.839,160.973,166.972,180.783,194.804,208.464,222.618]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2571, 119, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0627179,0.0970165,0.141823,0.21745,0.31045,0.22725,0.391776,0.507433,1.0267,1.61858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.529835,0.487032,0.627665,0.875166,1.2286,1.68094,2.45956,2.27715,3.29165,4.47739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.150348,0.263809,0.437343,0.55343,0.69863,0.664478,0.842266,1.28532,2.10754,3.60015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.698875,0.556411,0.739504,1.04425,1.44056,1.98195,2.98485,2.69668,3.79767,5.48138]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2572, 120, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.987535,2.16759,2.70392,3.13361,2.8095,1.85757,2.16637,2.53631,4.36977,7.18474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[146.951,191.417,241.931,282.38,305.073,310.045,285.31,287.072,267.923,271.505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.421079,0.720899,1.25233,1.36273,1.52501,1.18063,1.57003,2.36042,4.22162,8.35091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.3179,96.4313,120.427,124.486,144.918,146.832,166.015,183.354,213.892,242.568]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2573, 121, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15233,2.91075,6.21169,11.7529,15.5901,18.4256,20.5023,28.6212,46.7014,101.739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.74986,2.87823,4.13732,6.52282,12.4137,19.8511,26.616,32.4582,36.6809,42.6283]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09243,3.77197,9.59461,17.5695,29.1439,37.2179,48.3959,77.8064,96.5924,168.696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.86014,3.55896,5.91512,9.65079,20.826,32.8127,41.2299,46.617,50.8201,57.1139]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2574, 122, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.183417,0.488926,1.07736,2.08701,2.951,3.94002,4.85357,7.3653,12.9311,30.0738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.295856,0.530104,0.769122,1.22271,2.50153,4.57176,6.59276,8.85829,10.8058,13.2665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.350761,0.555266,1.31265,2.28786,3.97163,5.89751,8.72729,15.6322,21.3921,40.5714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.32104,0.579866,0.84529,1.3513,2.921,5.58412,7.80764,9.95174,11.9215,14.5847]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2575, 123, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.194572,0.514932,1.13942,2.21158,3.22786,4.5968,5.92279,9.33342,16.799,39.819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.281789,0.478059,0.756916,1.19612,2.452,4.81143,7.54016,10.4814,12.9479,16.2826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.298506,0.471604,1.11452,1.94926,3.46917,5.43797,8.30452,15.339,21.3824,41.2967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.265673,0.462078,0.664601,1.0395,2.54103,4.75356,7.14618,9.04366,11.1853,14.1486]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2576, 124, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0589374,0.4352,1.34693,3.12422,4.3934,4.81388,4.96984,6.46004,9.78245,19.7617]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0857034,0.433475,0.843647,1.71232,3.43473,4.98848,6.26986,6.97234,7.50533,8.06254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.303986,1.34392,4.44848,9.2967,15.9785,19.4712,24.1655,37.0106,43.7462,72.7665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.277488,1.19071,2.76495,5.05146,11.2884,16.7506,20.2475,21.7713,22.4977,23.7866]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2577, 125, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.715408,1.47169,2.64798,4.33012,5.01784,5.0749,4.75608,5.46246,7.18874,12.0842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08651,1.43659,1.76764,2.39167,4.02547,5.47942,6.21319,6.14622,5.42198,5.01668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.13917,1.40118,2.71895,4.03563,5.72459,6.41126,7.1986,9.82459,10.0717,14.0615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.995935,1.3263,1.64028,2.20853,4.07558,5.72445,6.02865,5.85035,5.2156,4.5939]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2578, 126, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.959122,1.95874,2.6789,3.71522,5.20686,5.56466,7.22856,12.6884,22.6663,42.0728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.092,77.5958,87.6998,97.7653,113.088,129.081,142.307,77.1384,82.6233,85.1264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.88097,3.75632,6.61693,9.85971,14.2715,17.5011,22.5473,34.9094,51.2874,77.8202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.4618,63.3452,65.1422,71.0943,82.4885,94.6296,112.238,91.4521,96.9523,100.78]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2579, 127, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0537626,0.118444,0.155794,0.23728,0.400801,0.456504,0.63457,1.20913,2.18441,4.29135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.66969,2.17572,3.35741,4.55208,5.93501,7.19156,8.52498,3.60189,4.24693,4.99449]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.14736,0.312624,0.578336,0.965871,1.41085,1.76954,2.32281,4.03704,5.78782,8.94832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.13166,2.49333,3.62237,4.89762,6.67076,8.29503,10.9898,6.37207,7.94734,9.13449]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2580, 128, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00548915,0.0132655,0.0159198,0.0246261,0.0411986,0.0410805,0.0574533,0.101741,0.158877,0.33774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.4043,24.8922,30.399,35.6363,41.6224,47.717,50.8667,3.15624,3.70687,4.0181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0096576,0.0208703,0.0358695,0.0537328,0.0766455,0.089738,0.123732,0.169539,0.264565,0.368418]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.0556,7.36403,7.4849,8.9662,11.6477,13.5978,17.2924,2.4771,2.84252,3.14279]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2581, 129, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.030489,0.0573771,0.0773425,0.102788,0.127893,0.146198,0.173469,0.325952,0.57413,1.23803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.36831,4.12861,3.68658,2.97627,2.4334,1.72168,1.43258,1.35382,1.24509,1.19324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0739056,0.113705,0.176017,0.252611,0.29799,0.342583,0.395783,0.589501,0.862717,1.4011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.63202,5.2642,4.58785,3.64855,2.94775,2.29658,1.81018,1.66079,1.487,1.44178]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2582, 130, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.258392,0.402184,0.503123,0.71359,1.05153,1.15985,1.60432,2.97432,5.58771,10.0943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.131968,0.134797,0.144863,0.19785,0.257983,0.310185,0.348809,0.446206,0.561956,0.650727]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.456097,0.818468,1.33411,1.85905,2.71247,3.21534,4.14594,6.68595,9.77981,14.8351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120391,0.151194,0.21765,0.260697,0.315317,0.385321,0.434969,0.580401,0.625036,0.863126]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2583, 131, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00393638,0.00856735,0.0123549,0.0179384,0.0268137,0.0264263,0.0348982,0.0530629,0.0999031,0.188585]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.936155,1.11033,1.4748,1.83851,2.20821,2.57198,3.10654,4.20988,5.31506,6.39448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00589833,0.0105113,0.0196323,0.0308629,0.0447689,0.050698,0.0684804,0.09907,0.157597,0.244555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.62568,3.06862,4.10817,5.08299,6.10046,7.10381,8.60162,11.7424,14.876,17.8901]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2584, 132, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111315,0.215158,0.303099,0.376302,0.400233,0.345394,0.384643,0.537827,0.852479,1.1861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.3144,22.4186,20.8478,20.1245,20.3318,21.5531,22.6964,21.9751,19.7175,16.1697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0851226,0.21174,0.313246,0.433081,0.516983,0.501134,0.622542,0.797764,1.22921,1.54524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.9453,24.1493,22.0568,21.5512,22.4399,24.6302,27.1934,26.3644,22.571,18.0243]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2585, 133, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00241849,0.00454127,0.00526248,0.0100039,0.0191645,0.0219143,0.0368875,0.0635046,0.123914,0.251771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.034361,0.0503461,0.0401201,0.0587904,0.055642,0.0624811,0.0774738,0.181728,0.265962,0.302959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00414677,0.00785481,0.0186754,0.0259394,0.0307044,0.0479572,0.0723823,0.105684,0.171088,0.283716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0346159,0.0378582,0.0503078,0.0348811,0.0609469,0.0552945,0.0709544,0.114789,0.193691,0.24142]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2586, 134, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.166817,0.379561,0.580552,0.81291,0.9806,0.963442,1.13721,1.76916,2.88143,5.3096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.68349,4.50998,7.16126,9.90303,12.5111,15.3632,18.2501,21.3942,24.769,28.0169]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125032,0.220381,0.389699,0.596711,0.803095,0.983072,1.11362,1.80041,2.64508,4.05159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.47446,2.45297,4.01771,5.53414,6.92313,8.43032,10.013,12.4718,14.7393,17.2187]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2587, 135, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0353127,0.103939,0.147679,0.232537,0.359839,0.364666,0.430041,0.689584,1.10104,2.05898]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.191576,0.237633,0.403766,0.483527,0.657099,0.729668,0.807273,0.894013,1.01204,0.959103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.137026,0.303538,0.738898,1.17372,1.65994,1.9489,2.23683,3.02299,4.02842,5.50081]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.281599,0.476436,0.93965,1.44753,2.11715,2.51697,2.5396,2.69276,2.51791,2.38974]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2588, 136, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.29119,0.655708,0.877776,1.18724,1.79878,2.03918,2.73507,4.96412,9.10241,17.1163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.3577,17.9376,20.1842,21.9944,27.0755,31.86,36.1964,19.9254,21.7829,22.4267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.836724,1.73663,3.01245,4.46814,6.71807,8.55213,11.4452,17.6014,26.3611,40.6414]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.1605,17.8873,18.0568,19.6705,23.2654,27.3182,33.2919,26.9756,29.1525,30.4335]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2589, 137, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.74866,6.40576,6.99431,7.43921,6.61669,6.68849,9.17706,12.7737,25.321,25.2829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[587.008,657.856,652.17,634.954,625.808,618.245,628.697,656.136,680.052,712.079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.30818,12.625,15.1957,15.3519,16.0002,16.3623,18.8776,23.7096,29.6532,38.0769]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[489.49,537.549,532.872,521.617,510.031,503.914,518.452,554.853,584.215,623.731]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2590, 138, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113292,0.200119,0.188288,0.214914,0.214635,0.225978,0.26098,0.342691,0.91658,2.17927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.07035,22.1789,58.6658,98.4218,148.437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104691,0.169389,0.244902,0.345479,0.429197,0.421962,0.584062,0.522127,1.03684,1.95209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,1.73264,18.6012,47.9512,78.3226,116.883]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2591, 139, 218, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.140771,0.169127,0.15629,0.15711,0.196902,0.275881,0.571148,1.50678,3.10029]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.117543,1.0311,2.93498,5.26874,8.38059,12.5231,18.9936]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125231,0.179799,0.166184,0.211842,0.26558,0.479552,0.991467,2.04247,4.45656]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.163902,1.44037,3.86849,7.00892,10.8137,16.1435,23.5398]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2592, 140, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.19712,5.52707,6.04905,6.29218,5.3702,5.29699,7.16307,9.5988,19.0488,14.9762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[333.464,336.11,329.175,312.771,296.871,286.622,279.489,272.336,269.762,266.096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.51716,10.6189,13.2892,13.1286,13.4809,13.4332,14.8267,17.2987,19.2699,22.3935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[344.275,347.132,339.082,329.207,314.631,306.201,299.058,294.906,290.031,287.087]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2593, 141, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0615091,0.137806,0.191915,0.254561,0.266192,0.378503,0.422585,0.593454,0.66397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.967511,2.33032,5.41853,9.99028,12.6764,13.8779,13.3844,12.6246,10.5946,8.66494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0479885,0.119523,0.192663,0.304519,0.329677,0.393796,0.403138,0.553255,0.494966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.538566,1.17078,2.62024,4.72662,6.14618,6.46987,6.41955,5.81699,5.16659,4.12305]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2594, 142, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[228.024,284.183,277.714,269.676,271.799,267.653,252.899,228.957,199.002,169.53]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.102,159.892,157.161,151.643,151.113,147.081,137.824,123.897,106.815,90.0519]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2595, 143, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.8174,33.9936,37.3566,37.6319,37.0705,36.3098,35.5152,34.6877,33.8796,33.0484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.0576,28.3941,32.1844,32.739,32.1216,31.0954,30.1061,29.3476,28.5841,27.842]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2596, 144, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.438254,0.476287,0.450039,0.583905,0.620187,0.702428,1.09863,1.83849,3.25546,4.36314]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.735147,1.23916,2.50575,4.76761,6.36014,8.77789,19.9625,40.4835,55.8687,67.3093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.68632,1.66353,1.36226,1.51896,1.57377,1.91185,2.59352,4.49415,6.75066,8.77983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.516394,0.960594,1.82387,3.13751,4.57954,7.46484,19.4344,42.1199,59.1515,74.2034]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2597, 145, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.532138,0.910089,1.25234,1.34786,1.23492,1.24716,1.31524,1.78692,2.43859,2.61695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3263.24,3783.21,4064.2,4155.3,4143.62,4092.08,4008.35,3868.27,3649.54,3277.49]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.962391,2.76256,4.16509,4.22109,3.98908,3.48694,3.55933,3.95279,4.68109,4.60175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2736.95,3146.06,3400.84,3420.59,3336.02,3224.8,3092.36,2921.89,2685.9,2344.12]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2598, 146, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.199855,0.270911,0.278474,0.339899,0.36934,0.414667,0.646699,0.672247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2342,62.1115,134.124,219.585,286.092,319.399,325.587,309.88,266.869,212.698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.213541,0.302935,0.42038,0.386098,0.427545,0.426472,0.545831,0.492591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.2121,73.2848,161.022,266.173,350.109,390.561,397.373,372.935,319.366,246.546]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2599, 147, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0167458,0.0360656,0.0649525,0.107676,0.159686,0.229182,0.292961,0.45229,0.674781,0.736511]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.9537,96.5922,92.4496,84.0154,83.7166,90.8941,98.0706,88.8479,69.051,49.7507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0224944,0.0747818,0.138406,0.204595,0.300619,0.38073,0.494758,0.693051,0.95478,1.02643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[175.434,249.656,239.896,216.548,213.62,228.719,243.811,221.312,172.18,124.421]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2600, 148, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.431302,0.74926,0.852842,0.815487,0.641649,0.555678,0.508914,0.712298,0.815637,0.785723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[146.698,333.063,343.383,250.764,174.402,120.464,83.6499,54.0186,32.68,17.0118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.853185,2.49971,3.48192,3.31756,2.7978,2.29988,2.09477,2.14111,2.19666,1.95393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[242.832,640.501,687.302,540.716,381.23,249.315,161.157,102.972,63.991,34.9052]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2601, 149, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.224584,0.389947,0.444151,0.424688,0.334063,0.289312,0.264681,0.370722,0.424314,0.408752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.8509,110.625,149.077,101.179,68.6202,53.5424,38.9784,21.3841,10.3911,4.74332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.442691,1.29739,1.81155,1.72531,1.45599,1.19516,1.08874,1.11328,1.13809,1.01489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.4643,256.155,329.281,254.337,176.405,120.443,77.0787,44.441,25.1597,13.7275]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2602, 150, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000737346,0.00146643,0.0013984,0.00134518,0.00114476,0.000982971,0.00116053,0.00138335,0.0017603,0.00169538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22922,9.69854,12.0801,7.46303,4.67944,3.293,2.11928,1.22714,0.618355,0.32111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00290143,0.00816389,0.00735386,0.00767169,0.00557446,0.00614888,0.00544909,0.00515505,0.00901585,0.00567606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.44689,20.7416,27.6892,19.0743,12.0619,7.73139,4.95953,2.7324,1.44272,0.774407]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2603, 151, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00053132,0.00110888,0.000990894,0.000955537,0.000838348,0.000717595,0.000917986,0.00104342,0.00137138,0.00132073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.4892,67.0961,64.6874,53.4037,38.1496,25.0895,18.4453,14.7302,10.5091,5.86309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00249665,0.0069773,0.00569329,0.00609079,0.00423951,0.00505452,0.00445204,0.00413514,0.00797666,0.00474719]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.2664,108.946,114.186,97.9633,71.634,47.0092,33.7249,25.7188,17.9355,9.89418]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2604, 153, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.205449,0.356738,0.406302,0.388499,0.305603,0.264665,0.242154,0.339149,0.388192,0.373955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.805,73.2563,72.7713,57.5263,40.3951,26.6718,19.214,14.8012,10.2529,5.65497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.405096,1.18718,1.65732,1.57848,1.332,1.09352,0.996131,1.01855,1.04157,0.928615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.0966,124.647,135.573,111.426,79.4322,51.7729,36.3633,26.5496,17.9319,9.78349]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2605, 155, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1702.68,1905.29,2018.27,2109.61,2147.88,2183.78,2214.06,2224.14,2179.14,1975.05]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1003.98,1121.81,1198.28,1259.68,1279.04,1298.38,1310.39,1324.3,1300.43,1168.28]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2606, 156, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[180.582,206.476,220.962,232.531,243.796,256.52,268.638,275.192,273.586,268.884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.693,149.904,162.493,171.31,177.9,185.68,193.519,195.692,192.254,185.215]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2607, 159, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.321,282.243,411.709,458.188,442.919,379.766,292.689,222.715,175.812,139.864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.4826,222.563,331.903,378.199,370.393,324.358,255.967,197.957,156.024,124.405]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2608, 160, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[724.224,751.82,714.266,683.589,665.775,656.373,648.809,621.823,581.254,539.33]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[390.829,409.889,391.262,375.445,364.617,358.332,350.267,334.112,310.677,287.69]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2609, 161, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0665242,0.105241,0.107678,0.119057,0.11158,0.0739906,0.0712218,0.0908899,0.111297,0.134564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4709,26.9739,34.572,30.6999,19.8857,11.5687,7.042,4.41197,2.80983,1.83497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0443793,0.100433,0.154359,0.163466,0.150256,0.100752,0.101818,0.116549,0.142889,0.170105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2610, 162, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.7261,32.2622,31.5559,30.6258,29.736,28.5692,28.366,27.3295,25.9576,25.0492]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.6954,90.8501,89.4394,86.447,83.4781,81.8214,78.8303,75.4253,72.4525,69.1203]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2611, 163, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.1067,23.2651,22.6098,22.0668,21.3104,20.7242,19.6677,18.7385,17.7882,16.6427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.3758,94.9111,93.1328,90.5708,87.9299,85.2403,81.907,78.6092,75.0625,70.9958]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2612, 164, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.7628,5.21893,2.82008,1.36125,0.583717,0.220148,0.0688168,0.0167797,0.00262198,0.000501448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.0894,19.0071,11.0618,5.7192,2.62399,1.0485,0.34565,0.0929087,0.020295,0.0049164]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2613, 165, 218, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[183.695,13.93]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[428.784,32.8916]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2614, 166, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.6331,24.4433,20.9567,16.9499,12.845,9.0968,5.83308,2.76336,1.00357,0.454491]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.3573,29.6331,25.198,20.2009,15.2697,10.8708,6.80136,3.02661,1.09594,0.517832]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2615, 167, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.017566,0.0195228,0.0270083,0.0347305,0.0435304,0.0484098,0.072806,0.116774,0.190171,0.287909]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.1514,19.5195,16.5175,15.3094,14.6859,14.709,15.8628,18.398,23.5913,30.9224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0423317,0.0876385,0.176864,0.232531,0.320029,0.319476,0.440445,0.575608,0.840933,0.958697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.1831,11.162,9.85292,9.58108,9.81288,10.4742,11.9954,15.4628,22.3481,32.0213]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2616, 168, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.04612,7.14902,9.69035,12.6266,14.3557,15.4354,22.9068,40.5877,75.2771,147.698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[346.496,672.142,916.314,1061.77,1139.96,1118.32,1042.22,1183.94,1210.13,1208.89]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.06103,11.9258,16.334,20.5998,26.3508,30.002,43.6637,77.4696,130.034,210.278]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[167.068,169.197,206.727,279.49,384.412,521.713,725.028,1057.28,1415.05,1781.8]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2617, 169, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.460198,0.777693,1.521,2.37741,3.85203,4.97775,9.07411,18.7604,36.1882,83.686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.3131,36.0696,60.408,105.255,170.231,251.625,334.932,425.502,513.613,597.94]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.577509,1.82761,3.71521,5.62782,8.59402,10.9269,17.4191,35.5341,60.0479,117.398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.3391,40.6541,68.284,117.665,190.29,276.652,363.078,457.336,549.4,637.999]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2618, 170, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.30521,0.483066,0.467562,0.612921,0.670653,0.676052,1.04017,1.56575,2.45109,3.92139]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132041,0.00872669,0.00852202,0.00792943,0.00866127,0.00916449,0.00725774,0.0135745,0.0143809,0.0147801]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.644521,1.05815,1.53866,1.73327,2.14127,2.8328,3.21047,5.88422,8.66526,11.2406]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.018545,0.0130363,0.0122278,0.0135636,0.01175,0.0118325,0.0143841,0.0208524,0.0288098,0.0301223]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2619, 171, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.963309,1.93232,2.47384,3.05674,3.90648,4.30138,6.31527,11.4214,21.8237,35.2073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.82247,7.76257,11.0066,17.3206,27.2204,36.2156,45.9453,60.4923,86.3674,122.99]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.849349,2.5808,2.89061,3.48212,5.42668,5.28792,7.55287,12.0421,19.7017,27.7789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.28817,6.59263,9.50113,15.1694,23.3368,31.9339,41.0257,55.3005,82.1051,117.747]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2620, 172, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00140849,0.0945558,0.238954,0.426152,0.701667,0.947082,1.66774,3.49898,7.71318,14.0435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0820011,0.541449,1.22885,2.62386,5.04729,8.51904,12.5495,19.5469,31.6953,45.7692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00108075,0.112182,0.244207,0.420612,0.853661,1.01363,1.749,3.25677,6.0775,9.54459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0648247,0.438924,0.929804,2.037,3.95976,6.68964,10.2406,15.8443,26.4343,38.7491]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2621, 173, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.154205,0.335437,0.470262,0.639538,0.894418,1.07117,1.5081,2.60402,4.76107,7.29571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.814211,1.35162,2.17465,3.78027,6.47908,8.82756,10.7639,13.621,18.2681,26.2422]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149737,0.500504,0.604215,0.803174,1.37828,1.45581,1.99007,3.00289,4.6762,6.37671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.835972,1.28923,2.12217,3.63652,6.00059,8.4871,10.4787,13.5923,19.2032,27.1765]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2622, 174, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.807696,1.50233,1.76462,1.99105,2.31039,2.28312,3.13943,5.3184,9.34941,13.868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.92626,5.8695,7.60313,10.9165,15.6941,18.8691,22.6319,27.3244,36.404,50.9784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.698531,1.96812,2.04219,2.25834,3.19474,2.81849,3.81379,5.78248,8.94798,11.8576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.38737,4.86448,6.44915,9.49587,13.3764,16.7572,20.3064,25.8639,36.4676,51.8218]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2623, 175, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.177943,0.352406,0.463519,0.648796,0.816996,0.950096,1.51672,2.82252,5.06672,8.45594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.13737,9.0661,10.2702,12.0062,13.9569,16.4768,19.5647,21.7377,23.6695,25.2695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.44173,1.07359,1.61806,2.09807,2.84966,3.47108,5.21695,8.63566,15.7279,23.9535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.19509,16.4069,27.0933,39.294,51.5577,82.0083,176.041,383.22,600.601,790.398]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2624, 176, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0936805,0.173428,0.220077,0.287639,0.347644,0.397727,0.584401,1.11667,2.01834,3.40687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.32544,4.14305,3.58186,3.10791,2.65559,2.32107,2.2915,2.23838,2.19644,2.22574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.101455,0.213461,0.313798,0.393849,0.462908,0.580754,0.917674,1.57734,3.23318,3.62079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4473,1.64385,1.86986,2.10275,2.28257,2.39924,2.72975,2.98376,3.26555,3.82572]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2625, 177, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0112236,0.0206513,0.0423486,0.0644628,0.0803311,0.0761449,0.105171,0.181899,0.320002,0.478342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01392,2.12035,3.54777,5.13361,6.92303,8.92372,10.9141,12.4481,13.7351,14.8127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0414419,0.106456,0.163115,0.238625,0.350983,0.423142,0.492429,0.731999,1.23221,1.53519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3042,4.4542,7.46915,10.61,14.1105,17.907,21.6058,24.5965,26.8207,28.999]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2626, 178, 218, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0313,135.607,337.368,551.282,734.658]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2627, 179, 218, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[6.3055,11.4868,18.1575,24.1381,34.1146]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2628, 180, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0730388,0.158327,0.201094,0.296694,0.389022,0.476224,0.827149,1.52395,2.72837,4.57072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79802,2.8027,3.14052,3.76469,4.37832,5.23205,6.35903,7.05123,7.73797,8.23112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.298833,0.753675,1.14114,1.4656,2.03577,2.46719,3.80684,6.32632,11.2625,18.7975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.4436,4.00334,6.26746,8.42371,11.0266,13.5561,16.0993,18.2723,19.2328,22.9154]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2629, 181, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0625039,0.155229,0.237766,0.360717,0.390231,0.350065,0.388589,0.149339,0.149999,0.157788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.058,497.375,705.099,793.986,788.241,664.071,496.839,519.111,427.705,193.488]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2630, 182, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00031539,0.00399839,0.0213518,0.0577701,0.0807426,0.089123,0.0968604,0.0372347,0.0363522,0.031643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[108.956,132.431,130.019,136.828,172.81,231.562,268.445,273.545,200.974,45.5768]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2631, 183, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[13.3905,130.432,234.463,269.267,278.64,182.447,1.07092,0.00436633]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2632, 184, 218, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[4.18078,7.66481,12.0637,15.9118,22.3328]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2633, 185, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.000320674,0.000737644,0.000982928,0.000965102,0.000823484,0.000626979,0.000122608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.44072,15.8338,40.1721,70.7932,79.327,11.9485,0.244505,0.00244178]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2634, 186, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,2.16622e-5,0.00129965,0.00352589,0.00476682,0.00930069,0.00513196,0.00692443,0.00950482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.3597,67.4458,124.604,155.418,166.553,178.455,195.572,214.088,197.77,147.911]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2635, 187, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[18.4773,102.165,126.656,110.864,38.311,2.86398,0.0623538,0.000419113]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2636, 188, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0621885,0.15091,0.215655,0.300664,0.304998,0.255352,0.281801,0.10685,0.106722,0.11664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[37.433,44.8876,41.5203,38.7524,36.6877,34.4624,31.4434,31.4717,28.9606]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2637, 189, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.44694,2.35205,2.71643,2.42326,1.53093,1.2357,1.25489,1.44106,2.50152,3.87151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.8554,87.2812,90.9552,90.3163,92.9586,97.3845,86.228,83.0797,70.537,135.18]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.98074,1.30334,1.69307,1.49081,1.3049,1.23337,1.25372,1.50681,2.20811,3.01504]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.6317,71.8082,66.2582,66.1856,70.4159,75.5279,80.2071,82.1806,89.3059,113.353]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2638, 190, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0588112,0.0629632,0.0655636,0.0651003,0.0552708,0.0504298,0.0456854,0.0523078,0.0529184,0.0429788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.0245,19.6816,20.4572,21.1638,22.1987,22.8465,21.1679,21.1572,18.6741,19.113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0446779,0.0515954,0.0513875,0.0503166,0.0479711,0.0472563,0.0465705,0.0549521,0.0589045,0.0484599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.26569,4.88687,3.50415,3.96513,5.1173,5.61811,6.90272,7.34093,9.00237,10.8094]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2639, 191, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.428113,0.335113,0.384442,0.406714,0.371602,0.371748,0.375711,0.473254,0.563075,0.560933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.179,55.285,58.9707,58.314,60.3762,64.6579,56.1344,52.7133,43.3586,41.9718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.365792,0.303515,0.328241,0.335384,0.338337,0.366028,0.394126,0.506911,0.628528,0.628964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.3274,24.3885,25.1094,23.508,22.8136,25.8548,25.4505,23.8957,24.1472,25.0409]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2640, 192, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0490189,0.0386652,0.0410567,0.0416382,0.037598,0.0383988,0.0437269,0.0689636,0.100738,0.122817]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.951892,0.869211,0.942596,0.975681,1.06244,1.15618,0.976241,0.956306,0.822541,0.852147]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0706352,0.0591043,0.057915,0.0558586,0.0551014,0.0589659,0.0726642,0.119318,0.185889,0.2313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.351331,0.18051,0.125212,0.142135,0.193172,0.216722,0.278986,0.300319,0.391814,0.55218]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2641, 193, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.910995,1.91531,2.22537,1.90981,1.06646,0.775122,0.789763,0.84653,1.78478,3.14478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.70005,11.4455,10.5847,9.86277,9.32122,8.72392,7.9495,8.25285,7.68178,73.2433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.499635,0.889129,1.25553,1.04925,0.863494,0.761122,0.740363,0.825624,1.33479,2.10631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.6873,42.3523,37.5195,38.5704,42.2918,43.8383,47.5749,50.6436,55.7646,76.9503]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2642, 194, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.630015,1.09625,1.81023,3.14676,3.18836,2.94437,3.31705,4.42721,7.09592,12.3978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.2972,34.5786,38.5663,42.8808,47.3447,52.5342,58.7051,74.0006,88.2227,134.004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.56718,4.08234,4.87835,6.16766,6.03424,6.24997,9.01058,13.8667,23.683,26.8927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.5951,33.7222,35.5784,41.1624,48.8003,55.5796,64.661,79.2193,93.6062,122.275]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2643, 195, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62038,2.88123,3.43007,3.76525,4.10709,4.78628,6.92634,12.5739,22.1596,22.3758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1408.13,1635.26,2029.53,2418.67,2859.85,3415.76,4091.26,4743.19,5289.07,5797.43]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.873549,1.72455,2.2628,2.53283,3.11773,3.79033,5.13966,9.02973,14.1606,17.1204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1345.22,1486.74,1974.11,2383.69,2792.14,3232.94,3742.19,4216.39,4627.63,5032.28]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2644, 196, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.432863,0.780615,0.90969,1.14841,1.53715,2.32212,3.55173,7.79984,15.6454,16.2835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.2273,41.4135,60.6554,75.6461,85.2495,91.948,102.716,118.191,137.993,160.457]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.220343,0.43796,0.507199,0.727002,0.899521,1.23721,1.85625,3.63719,5.98937,8.29309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.78314,11.1658,16.8866,20.6099,23.93,26.4638,29.4088,34.0348,39.8933,45.8655]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2645, 197, 218, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.8311,141.553,426.534,825.686,1130.53,1275.25,1357.1]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.79735,86.6525,261.614,507.674,700.276,792.116,846.539]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2646, 199, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[670.213,700.038,776.047,965.866,1155.74,1320.29,1517.68,1758.39,1982.82,2192.57]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[846.654,937.721,1090.56,1368.56,1642.25,1864.81,2101.08,2342.09,2557.84,2752.77]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2647, 200, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[528.455,481.305,499.286,619.965,736.466,851.001,913.573,897.593,879.89,861.942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[429.701,389.695,401.208,501.031,592.885,683.53,733.513,717.773,701.742,686.054]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2648, 201, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0055204,0.0349467,0.0874815,0.184286,0.303179,0.47781,0.711745,0.939389,1.20449,1.45691]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0105799,0.0881923,0.26534,0.501992,0.876489,1.34162,1.8975,2.53386,3.14527,3.71236]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2649, 202, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18752,2.10062,2.52038,2.61684,2.56994,2.46416,3.37461,4.77404,6.51419,6.09224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[188.232,412.473,693.456,744.174,740.537,725.505,730.891,837.551,1011.91,1223.91]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.653206,1.28659,1.7556,1.80583,2.21821,2.55312,3.28341,5.39254,8.17125,8.82735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.0729,148.067,465.185,485.194,445.548,395.178,368.615,419.678,532.893,697.345]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2650, 203, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.24017,2.68066,4.62789,2.00728,1.71294,1.69153,2.14693,4.67935,6.56574,11.0694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1011.83,867.071,960.884,1130.85,1317.94,1480.12,1733.83,2159.35,2619.65,3204.66]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.52699,2.2331,3.04173,4.08695,3.62471,4.48127,7.39679,10.4894,16.899,22.9982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[984.905,889.736,1030.58,1252.26,1485.9,1681.18,1939.54,2336.02,2765.66,3362.95]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2651, 204, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9224,1.69684,3.24255,1.0854,0.729214,0.530607,0.539328,0.63797,0.964752,1.32985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.9512,37.3939,32.0185,29.5585,25.957,23.7393,23.6576,25.3783,24.5827,22.5033]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04706,1.16527,1.34725,0.85165,0.711196,0.627067,0.593478,0.718754,0.925209,1.06273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.1245,34.0461,28.916,25.8951,23.1124,20.8323,19.6131,21.9194,20.9652,19.4607]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2652, 205, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.047324,0.0838193,0.212805,0.0673539,0.0408553,0.0251912,0.0142956,0.0125783,0.0170822,0.0178925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.65428,9.01316,8.72689,8.67105,7.9048,7.52687,7.50977,7.07762,6.65361,6.48219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.052339,0.0699011,0.0822537,0.0531675,0.0398471,0.0336005,0.0244791,0.0257946,0.0304694,0.0220092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.72161,6.72539,6.35822,6.03759,5.88538,5.49396,5.19037,5.0741,4.8454,4.41825]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2653, 206, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.31364,0.532676,1.05482,0.272285,0.168904,0.120729,0.121417,0.12003,0.190336,0.299271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.01587,3.09218,2.53089,2.18063,1.86916,1.95144,2.04373,1.77981,2.01621,2.64127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.428993,0.48803,0.577778,0.285277,0.21443,0.168334,0.158706,0.168583,0.227629,0.273637]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.8654,3.13078,2.51628,2.23203,1.92796,2.01165,2.13313,2.24891,2.60562,3.71088]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2654, 208, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0515466,0.11908,0.27658,0.117562,0.0667658,0.0523998,0.0420332,0.0514404,0.0588687,0.0618451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.10711,8.76813,8.1019,7.17245,6.19296,5.21731,5.00616,6.70019,6.59082,5.18268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0422833,0.0560994,0.0767243,0.0607514,0.047361,0.0392872,0.0475027,0.0551475,0.0642749,0.0471848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.11,8.69798,8.14929,7.20698,6.20027,5.11487,4.62688,5.98287,5.52134,3.92759]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2655, 209, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0158343,0.0401042,0.0741608,0.0240605,0.0112358,0.00818474,0.0064726,0.00594956,0.0126473,0.00855513]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.20475,3.14874,2.81314,2.4727,2.09723,1.80531,1.76628,2.4075,2.2888,1.54885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.014035,0.0188839,0.0235038,0.0156336,0.00993893,0.00841159,0.0062663,0.0114931,0.00947012,0.0132645]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.19468,3.16726,2.97007,2.59152,2.28292,1.9483,1.81951,2.33599,1.9874,1.39155]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2656, 210, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.494054,0.921162,1.62419,0.604137,0.441453,0.324102,0.35511,0.447972,0.685818,0.942284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.7655,12.2541,9.29071,8.77621,7.71872,7.0973,7.20964,7.30704,6.92907,6.55198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.509411,0.532357,0.586993,0.436821,0.39962,0.377434,0.356523,0.457736,0.593365,0.706629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.5782,11.0027,8.27948,7.50205,6.61356,6.09391,5.67712,6.12977,5.8521,5.86893]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2657, 211, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.31777,0.983816,1.38533,0.921884,0.983724,1.16092,1.60761,4.04138,5.60099,9.73956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[701.887,509.244,471.268,472.43,479.345,498.826,526.552,572.346,624.805,680.344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.479924,1.06783,1.69448,3.2353,2.91351,3.8542,6.80331,9.77069,15.9738,21.9354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[630.334,448.721,418.181,422.491,433.95,459.042,497.378,565.278,649.981,745.34]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2658, 212, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[164.979,148.522,143.551,139.609,136.91,135.349,134.582,133.846,133.321,132.145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[140.189,126.893,122.412,118.798,116.322,115.073,114.77,114.2,113.622,112.458]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2659, 213, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.02418,8.10578,9.57001,11.0455,12.4617,13.7433,15.6967,18.7451,21.4449,23.6305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.73616,10.0836,12.0188,13.956,15.7889,17.5931,19.7447,23.2128,26.4985,29.0896]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2660, 214, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0999065,0.341333,0.478196,0.339415,0.358617,0.385135,0.544511,1.36341,1.89296,3.05006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.71978,8.31953,8.3223,8.2889,8.43744,8.45549,8.77099,10.3006,11.9636,13.5963]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.155703,0.3053,0.491096,1.01824,1.00386,1.33914,2.47388,3.32642,5.52465,6.90437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4435,9.82747,11.4412,13.417,15.4114,17.2601,19.2777,22.1647,25.2332,28.0333]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2661, 215, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136324,0.43377,0.56444,0.387281,0.422906,0.498939,0.64308,1.60264,2.21418,3.60344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.9388,13.8798,13.3359,13.5016,13.5924,13.6938,14.1696,16.604,19.0472,21.3207]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.220371,0.462465,0.72438,1.40488,1.17918,1.57635,2.75363,4.11837,6.4216,8.37906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.0739,13.2199,12.8653,12.966,12.9317,12.8691,13.2938,15.8508,18.4194,20.728]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2662, 216, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2285,13.9916,14.6883,14.9493,14.7733,14.6168,14.476,14.2719,14.0584,13.8803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7596,14.606,15.4233,15.7797,15.4888,15.3424,15.1142,14.8938,14.6784,14.4357]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2663, 217, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.4731,27.891,32.7508,37.552,42.248,46.971,53.6306,63.2758,72.7224,81.9337]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.3327,31.1515,36.5033,41.7594,46.8804,51.9623,59.1727,70.0274,80.5246,90.6412]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2664, 218, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.7666,34.412,31.6165,29.299,26.9025,24.6192,23.1185,23.1236,22.9169,22.8653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.6655,37.2526,34.3384,31.5665,28.9523,26.3777,24.737,24.55,24.3623,24.2049]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2665, 219, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[206.243,108.552,59.0435,38.6419,22.0113,12.706,5.41351,3.43214,2.34139,1.26712]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[179.615,95.507,51.7518,33.9035,19.5657,11.305,4.79445,3.02417,2.07327,1.1158]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2666, 220, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.7795,26.185,27.3928,28.0256,27.6151,27.3074,26.9852,26.5486,26.1715,25.85]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5049,16.3616,17.1729,17.3508,17.2366,16.8892,16.7587,16.5639,16.2745,15.933]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2667, 221, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.501,26.6589,34.3405,42.9654,51.4197,59.911,65.6562,66.9658,68.1977,69.4058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.8912,20.4871,26.4963,33.1172,39.7339,46.2762,50.3464,51.3027,52.0303,52.6282]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2668, 222, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.5566,42.7766,43.6967,45.5757,47.7819,49.6806,50.3516,49.6478,48.4762,47.2616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.0853,27.1981,27.9008,29.1607,30.6022,32.0431,32.5197,31.9311,31.0062,30.1009]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2669, 223, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0776862,0.203771,0.333118,0.191461,0.198332,0.272725,0.412281,1.06149,1.47477,3.04474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.671903,1.49284,2.19083,3.20993,4.52408,6.53034,9.54339,14.3053,21.203,30.1337]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0997457,0.292806,0.469939,0.804194,0.718216,0.922044,1.55048,2.29683,3.9788,6.59783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.961909,1.91325,3.27866,5.17504,7.48153,10.8147,16.0342,23.629,34.0845,47.3661]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2670, 224, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00385325,0.00494225,0.00957672,0.00372765,0.00386879,0.00412448,0.00773417,0.0138449,0.0190755,0.0413191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.0056,48.4569,50.769,59.7663,70.6673,85.2427,104.158,131.28,162.94,197.055]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00410462,0.00726244,0.0090608,0.00798208,0.012258,0.0166568,0.0253097,0.0290737,0.0487412,0.0541625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.0755,44.2199,46.5777,55.5403,67.5548,85.2365,110.815,153.928,211.174,278.605]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2671, 226, 218, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0777278,0.545771,2.08619,4.53141,7.01483,11.0614,19.1213,30.8195,45.7299]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0610508,0.41115,1.47948,3.33141,5.35296,7.85295,14.7856,27.3855,46.6156]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2672, 227, 218, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.242276,1.55081,6.3207,14.1333,22.5975,35.8172,64.2161,103.647,156.765]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.121625,0.678506,2.76084,6.47799,10.0627,15.9136,31.4679,57.7583,97.9055]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2673, 228, 218, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49419,7.96516,18.8538,35.4426]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.560134,3.29127,8.81983,18.6392]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2674, 229, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.3403,13.188,17.864,27.1733,38.2863,52.1978,72.3007,107.114,159.556,236.812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1233,11.0882,14.6004,21.7839,30.8342,42.1979,58.1561,87.728,132.553,197.585]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2675, 230, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.093,173.868,215.554,253.193,298.626,344.578,453.311,645.945,817.778,1029.09]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.222,262.114,337.365,414.527,490.53,562.175,673.613,829.475,970.446,1203.95]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2676, 231, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.467,45.9207,66.621,86.0455,100.285,113.211,143.321,199.32,256.642,319.503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.9675,49.1819,74.9564,100.034,119.931,136.687,175.331,245.992,308.958,367.9]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2677, 234, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.8808,79.9716,92.1201,88.3706,80.3184,65.1056,61.1498,62.0085,61.9441,60.2501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.8159,76.8792,88.5612,85.4025,78.2379,64.1254,60.2289,60.9902,60.6129,58.7358]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2678, 235, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00762412,5.29344,54.5783,144.907,240.264,295.057,317.345,321.497,317.453,303.258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00689081,5.69278,59.3941,160.33,268.6,331.317,356.307,360.113,353.452,336.131]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2679, 236, 218, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.722938,7.62334,19.5767,34.892,56.3278,86.1468,132.416,201.04,311.708]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.594231,6.30748,16.2921,29.4953,47.8268,72.7808,112.784,171.988,267.239]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2680, 238, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.89495,16.6221,14.064,11.9207,12.1273,11.6615,11.0398,14.9187,21.8121,30.7871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[93.9709,128.545,155.114,177.457,184.154,188.014,185.395,184.079,171.256,155.145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.5074,62.0091,71.9158,66.6199,49.5008,37.7072,44.4162,62.4405,71.1376,98.9656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[159.943,231.377,287.408,334.513,349.835,364.666,370.365,369.471,355.697,330.105]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2681, 239, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.52447,15.9434,13.4476,11.4903,11.748,11.3903,10.8566,14.6547,21.5723,30.4726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.0796,96.9864,121.597,136.348,145.253,151.614,154.447,149.668,144.936,132.115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.0466,56.8591,66.3338,60.3522,44.9858,34.634,41.406,59.0013,68.0356,95.3629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.983,196.243,238.147,271.277,296.609,308.606,311.225,309.554,300.282,283.089]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2682, 240, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.57012,7.42139,6.13618,5.58785,6.65601,6.40549,6.81847,9.53395,14.2064,21.9934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.891,49.6473,61.7926,73.1849,90.0978,91.9916,104.059,106.604,101.938,101.497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.6834,25.0372,34.2527,29.2142,23.5479,18.8949,22.1643,31.094,33.9334,54.6861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.2901,91.4356,130.764,140.046,167.329,179.143,177.498,174.011,159.221,175.136]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2683, 241, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.200574,0.295547,0.216497,0.172863,0.173784,0.173394,0.164429,0.205533,0.226937,0.331136]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.69662,2.03933,2.23643,2.31028,2.391,2.51896,2.53576,2.2752,1.64998,1.55964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.90216,6.28326,6.87877,6.74199,5.989,4.46581,6.53896,8.59767,13.4631,16.4704]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.7844,22.993,26.2357,32.4933,42.5421,42.5746,52.2637,48.2676,63.7706,52.8772]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2684, 242, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00124,2.02293,1.28761,1.07737,0.767255,0.654273,0.485539,0.527985,0.530513,0.691709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.50157,13.6687,13.0512,14.3335,10.4103,9.47544,7.35865,5.88922,3.7605,3.19421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.938381,3.20605,5.61356,4.87379,4.56729,3.06622,2.63289,2.75721,2.71688,5.17547]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.81146,11.8025,21.4928,23.4584,31.9828,29.3622,21.0354,15.557,13.0514,17.0842]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2685, 243, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.25736,3.39037,3.97261,3.02865,2.74321,2.55323,2.1474,2.80506,4.60509,4.77524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.2805,22.8805,40.3684,40.2155,37.5555,37.3646,33.1832,31.5099,33.8674,22.6421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.90491,20.9613,17.4756,17.6033,9.58607,7.399,9.02909,15.4804,16.6032,17.3122]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.6001,77.1565,66.8502,84.4198,67.9041,70.2285,72.4637,86.4764,77.7297,55.0785]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2686, 244, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49518,2.81314,1.83468,1.6236,1.40774,1.60389,1.24078,1.58221,2.00332,2.68119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.8636,20.1339,19.3802,22.2,19.4016,24.1339,19.3168,17.7783,14.7374,12.6278]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.617706,1.37134,2.11315,1.91889,1.29553,0.808035,1.04081,1.07203,1.319,1.71869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.83426,5.03152,8.00969,9.25098,8.8972,7.56329,8.55042,6.28572,6.584,5.83681]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2687, 245, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.370478,0.678733,0.616461,0.430379,0.379338,0.271178,0.183158,0.264001,0.239776,0.314487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.8913,31.5588,33.517,41.1096,38.9013,36.4,30.9481,34.411,26.3198,23.0301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4608,5.15006,5.58205,6.26766,4.51496,3.07323,3.01014,3.43923,3.10201,3.6027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.96,35.1345,49.2609,63.2365,53.2259,56.0601,59.1406,59.9169,55.4151,47.0154]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2688, 246, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.1294,19.2095,25.4195,24.4181,19.2233,19.8783,21.7941,29.2424,37.2243,63.6397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.037,78.8197,106.471,139.675,190.663,250.443,311.165,372.445,453.221,541.082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.3333,52.215,55.7389,55.2847,49.5152,49.5773,56.7766,72.1492,107.864,136.063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[108.723,143.693,186.475,244.791,337.158,436.795,546.522,662.939,800.812,945.997]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2689, 247, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73702,2.5278,3.84484,3.48344,3.43753,3.55862,4.73853,5.48038,7.95239,19.1616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.649,42.6837,58.7387,81.1126,120.69,167.253,217.849,273.548,344.963,426.18]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.90054,11.4667,13.721,13.6506,12.5774,13.2376,19.8749,24.3801,33.9458,45.0506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.6975,61.0467,82.8388,117.584,182.726,260.468,346.954,449.278,570.497,702.24]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2690, 248, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.18162,4.33044,3.95491,4.41811,4.06572,2.61753,2.90722,4.16009,5.29774,8.45864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.956868,0.973662,1.24623,1.98346,2.68982,3.58524,4.46218,4.93505,5.79091,6.10937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.55882,12.9172,12.35,12.8014,12.0399,11.1526,6.82775,9.67272,14.3906,14.2326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6776,2.13939,2.71165,3.96492,5.63044,7.29434,9.50748,10.6772,12.9019,13.7481]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2691, 249, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.2636,5.29376,10.6122,8.98054,4.29137,4.45733,5.29871,5.75456,8.77791,13.1701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.538,14.0269,17.886,21.3293,24.783,28.0764,30.1291,30.6781,30.5663,29.6967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.85161,11.0843,9.29233,7.29421,4.51173,5.35303,6.14992,10.944,15.1473,28.9044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.9811,22.2235,26.0038,31.4901,37.6837,42.6704,46.6918,48.5268,49.2258,49.3105]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2692, 250, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.86168,3.17136,2.2815,2.62944,2.33278,3.69253,2.88456,7.02991,4.98647,4.52467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48596,3.1568,3.90912,4.02153,5.38299,6.04197,6.84312,7.49203,8.07112,7.56881]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0931,3.44641,4.64611,5.91236,4.48323,5.12259,5.80698,4.96635,6.69071,7.22594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.07181,4.8024,6.2289,7.52671,10.1601,11.9368,14.2585,15.5056,16.9871,18.148]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2693, 251, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.524563,1.13545,1.83273,2.20057,1.44556,1.88082,1.57792,1.22018,1.5718,1.58531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.2276,4.97905,6.13175,6.92794,7.33032,7.34226,7.08515,6.30631,5.35635,4.26955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.49654,4.62422,5.194,4.70653,4.18912,3.40696,4.43078,4.36567,4.91,4.23277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2913,20.5955,24.7583,27.9978,31.9111,33.0399,32.5729,28.7487,24.5323,20.101]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2694, 252, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.331184,0.711598,0.946306,1.17539,0.799843,0.960016,0.848488,0.600779,0.688091,0.699725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.19384,4.91108,4.85099,5.59333,6.45521,6.0311,6.03924,4.84082,3.80311,3.00588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.35019,2.06409,1.77441,1.71935,1.59276,1.35534,1.66685,1.57229,1.78425,1.41745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.50463,11.656,10.7883,13.5809,16.9281,18.9236,16.2999,14.2734,12.9041,9.92475]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2695, 253, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.193379,0.423848,0.886421,1.02518,0.645715,0.9208,0.729435,0.619398,0.883711,0.885586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02755,3.09904,4.73598,4.94357,5.09038,5.6048,5.0785,4.96602,4.84441,3.83522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.14635,2.56013,3.4196,2.98718,2.59635,2.05162,2.76393,2.79339,3.12576,2.81531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.49942,14.6487,21.3082,23.9547,27.8211,27.5906,27.582,25.7314,23.1088,19.441]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2696, 254, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.770313,1.09361,1.02081,0.98899,1.19347,1.21105,1.71681,1.78575,3.38564,6.03435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99019,2.904,4.75404,6.91195,9.4937,13.7349,18.0575,19.5467,27.4515,33.9393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22394,2.4337,4.00174,4.53989,5.55847,5.4365,5.6392,7.56666,16.3366,18.3533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.63564,3.82253,5.21189,7.76419,10.7266,13.2952,20.2106,26.5394,40.3451,51.1938]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2697, 255, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3411,1.3494,1.52942,1.47095,2.22503,2.21994,2.41459,3.4808,4.52694,7.77901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.940376,1.04303,1.46568,2.1427,2.55909,3.69632,4.33656,5.38436,4.93055,5.40144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.00706,2.74783,2.78845,2.76444,3.506,3.75064,5.80781,7.2601,13.0575,14.0629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.35798,1.92145,2.3563,3.3136,4.23427,4.56942,6.45622,8.36445,9.05123,10.1944]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2698, 256, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.502298,0.444012,0.521688,0.451884,0.793659,0.95013,0.996171,1.23884,1.98675,3.26438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.680906,0.738241,1.03426,1.5175,1.8401,2.81178,3.18075,3.96087,3.72524,4.11907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.846901,1.26478,1.27102,1.35493,1.62352,1.95602,3.23907,3.38076,6.2475,7.29466]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.956758,1.36779,1.66478,2.41324,3.11598,3.34049,4.74961,6.2192,7.01116,7.52463]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2699, 257, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.838806,0.905391,1.00774,1.01907,1.43138,1.26981,1.41841,2.24196,2.54018,4.51464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.259471,0.304792,0.431419,0.6252,0.718983,0.884541,1.15581,1.42349,1.20531,1.28237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16016,1.48305,1.51743,1.4095,1.88248,1.79462,2.56874,3.87934,6.80996,6.76828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.401222,0.553657,0.691522,0.900357,1.11829,1.22892,1.7066,2.14525,2.04007,2.66974]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2700, 258, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.449475,0.307724,0.343146,0.246026,0.231877,0.240444,0.25577,0.330755,0.725431,2.92593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.24907,9.05257,12.3394,15.2451,17.7342,20.7136,22.4026,24.5545,26.0914,27.9163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.20172,3.49468,3.74533,3.61523,2.64928,2.11736,2.23925,2.99359,3.38549,4.00041]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.01,27.1415,36.3657,45.1498,54.0865,63.5214,69.8708,75.299,77.2721,81.061]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2701, 259, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.81964,15.9928,15.9554,16.701,12.9716,8.70203,9.21195,8.92285,14.3467,22.692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.28123,16.0172,19.654,21.3997,22.0874,20.1037,18.5958,15.3211,12.1932,9.28712]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.8268,50.7019,64.4343,58.1707,50.4077,37.916,33.4894,36.9401,44.2142,51.3316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.179,43.375,56.2436,65.3994,68.0265,62.7207,56.6032,48.409,39.2516,31.6228]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2702, 260, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.17495,3.67955,2.94073,2.75576,3.89093,4.16323,5.8993,6.72798,12.4583,20.4379]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.25014,6.09742,6.55982,6.46431,6.89986,6.02331,5.94934,5.01975,4.37791,3.80387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.55994,15.6749,17.7836,15.4132,17.5177,14.5882,16.5122,22.8856,32.0215,42.9388]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.00271,9.23018,9.8491,9.92717,11.0348,10.531,10.7184,9.79112,9.73356,9.83223]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2703, 261, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.64469,12.3132,13.0146,13.9453,9.0807,4.5388,3.31265,2.19487,1.88839,2.25412]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.03109,9.91979,13.0941,14.9354,15.1875,14.0804,12.6465,10.3014,7.81528,5.48325]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2669,35.027,46.6507,42.7575,32.89,23.3278,16.9772,14.0545,12.1927,8.39289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1763,34.1448,46.3945,55.4723,56.9917,52.1897,45.8848,38.6179,29.5181,21.7906]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2704, 262, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.472515,1.17056,1.50219,1.52553,0.861364,0.440045,0.256574,0.18779,0.110235,0.0790662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.672523,1.0383,1.68634,1.80161,1.59766,1.53526,1.11613,1.04243,0.563433,0.2283]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.24794,9.19026,12.3162,10.4527,9.01119,5.62006,3.00726,4.36602,1.93901,1.21876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.98952,10.0381,13.5114,14.7445,17.4076,14.1866,9.45289,13.6775,5.6374,3.68987]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2705, 263, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10024,6.09389,6.66634,7.71912,4.79762,2.63125,1.85564,1.19099,1.00049,1.06943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.04451,5.35915,7.59775,9.02952,8.94827,9.08233,8.15156,6.47869,4.88525,3.12787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.71406,9.20414,12.1265,10.9798,7.26838,6.20424,6.78475,3.56896,4.86623,3.83019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.77636,10.1633,13.7829,16.0916,14.4251,15.9707,20.7866,11.1656,14.0072,11.5161]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2706, 264, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.07193,5.04876,4.8461,4.7006,3.42172,1.4675,1.20044,0.816095,0.777668,1.10562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.96764,4.54325,5.54781,5.66118,6.4946,5.15724,5.23384,4.47113,3.92238,3.25574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.3049,16.6326,22.208,21.325,16.6104,11.5035,7.18518,6.11952,5.38749,3.34393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.1856,17.8929,24.1099,29.8507,31.8348,28.6379,22.1378,19.209,15.4775,10.148]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2707, 44, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[181.022,170.622,162.404,154.741,146.984,139.536,131.534,123.103,112.332,101.451]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[246.833,235.602,224.508,212.739,202.675,190.561,179.6,166.946,152.49,135.671]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2708, 152, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.3239,72.3876,44.7677,31.1923,22.5579,11.867,4.89289,1.87601,0.908565,0.429317]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.5581,130.011,80.574,57.9159,41.6973,22.3592,9.03042,3.53016,1.5211,0.725628]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2709, 154, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1883.26,2111.77,2239.24,2342.14,2391.67,2440.3,2482.7,2499.33,2452.73,2243.93]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1131.68,1271.72,1360.77,1430.99,1456.94,1484.06,1503.91,1519.99,1492.68,1353.5]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2710, 157, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.8328,55.5273,54.1657,52.6926,51.0464,49.2934,48.0337,46.068,43.7458,41.6919]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.071,185.761,182.572,177.018,171.408,167.062,160.737,154.034,147.515,140.116]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2711, 158, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[192.458,19.1489,2.82008,1.36125,0.583717,0.220148,0.0688168,0.0167797,0.00262198,0.000501448]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[457.874,51.8987,11.0618,5.7192,2.62399,1.0485,0.34565,0.0929087,0.020295,0.0049164]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2712, 198, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1198.67,1181.34,1275.33,1585.83,1892.21,2171.29,2431.25,2655.98,2862.71,3054.51]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1276.35,1327.42,1491.77,1869.59,2235.14,2548.34,2834.6,3059.87,3259.59,3438.82]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2713, 207, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.20366,1.11755,0.554965,0.285418,0.1741,0.141046,0.12207,0.106095,0.104244,0.0963556]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.65468,1.32191,0.642671,0.324923,0.202333,0.169607,0.166086,0.147768,0.153362,0.143469]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2714, 225, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[192.1,234.445,303.276,376.01,457.166,541.065,718.981,1045.7,1389.82,1826.59]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[239.624,323.803,429.219,541.85,652.503,758.033,933.233,1214.93,1508.66,1936.04]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2715, 232, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19908,1.1482,1.1401,1.19161,1.30344,1.46505,1.67556,2.02306,2.5249,3.25365]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3113,1.23621,1.20665,1.2659,1.39874,1.55752,1.80576,2.19248,2.74072,3.44224]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2716, 233, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.8884,85.988,154.322,252.855,355.475,416.49,464.642,515.921,580.437,675.215]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.8228,83.1662,154.263,262.025,376.333,443.269,489.317,533.887,586.054,662.106]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2717, 301, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.95806,3.63452,5.04153,5.3589,4.19734,3.73023,3.74425,4.76681,7.39442,15.0209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5892,17.3039,18.9113,20.5794,22.0233,23.6318,25.3326,26.7981,28.41,29.7661]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.05644,2.8323,3.83376,4.5044,4.40699,4.65611,5.15011,6.8699,8.98708,15.8768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.0849,13.4764,14.8006,15.9745,17.184,18.3334,19.5188,20.6986,21.8788,22.8701]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2718, 302, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.965573,1.79446,2.50236,2.64719,2.06773,1.8421,1.85111,2.35734,3.65033,7.44862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.71178,8.572,9.36783,10.187,10.9056,11.7092,12.5499,13.2733,14.0664,14.7309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01722,1.39867,1.89604,2.22494,2.18266,2.29491,2.54937,3.4113,4.4487,7.82461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.98792,6.68145,7.3314,7.91259,8.5077,9.0773,9.6622,10.2451,10.8305,11.3069]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2719, 303, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12841,2.09616,2.89263,3.08338,2.42272,2.15006,2.15687,2.74635,4.26219,8.63543]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.96791,9.93906,10.8654,11.8289,12.6562,13.5731,14.5501,15.3954,16.3257,17.1131]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18216,1.63231,2.20668,2.59371,2.52938,2.68869,2.95914,3.93965,5.16378,9.16761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.93891,7.73411,8.50255,9.17489,9.87542,10.5356,11.2176,11.898,12.5735,13.1607]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2720, 310, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.00492,13.1605,17.9829,14.1741,8.6798,5.81342,5.94706,0.632139,1.06858,1.6564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[776.998,933.5,867.067,801.201,761.499,715.66,646.373,650.76,597.147,599.599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.345915,0.782966,1.16888,1.32255,1.02765,0.71821,0.719422,0.703814,0.981535,1.64355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[552.437,432.806,383.801,396.198,435.409,452.061,489.252,521.207,572.713,628.645]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2721, 284, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.00492,13.1605,17.9829,14.1741,8.6798,5.81342,5.94706,0.632139,1.06858,1.6564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[776.998,933.5,867.067,801.201,761.499,715.66,646.373,650.76,597.147,599.599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.345915,0.782966,1.16888,1.32255,1.02765,0.71821,0.719422,0.703814,0.981535,1.64355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[552.437,432.806,383.801,396.198,435.409,452.061,489.252,521.207,572.713,628.645]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2722, 274, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.5887,25.7896,33.8544,39.4248,61.8436,61.5873,72.9428,104.91,172.005,286.437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[319.427,539.364,562.388,466.515,529.94,493.356,471.835,429.067,384.307,324.476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.5345,108.059,141.071,151.49,221.217,206.221,240.293,343.426,445.678,639.375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[633.893,1149.15,1239.14,1110.74,1311.33,1271.14,1285.73,1247.9,1236.76,1153.37]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2723, 275, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.9307,24.5437,32.0479,37.434,59.8503,59.7254,71.1696,103.31,170.402,284.833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[171.504,207.098,216.142,211.661,350.259,369.047,384.326,372.791,350.33,306.438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.5179,105.17,136.836,147.134,217.129,202.536,236.701,340.075,442.536,636.673]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[390.537,505.669,550.522,569.753,927.315,1017.32,1119.38,1140.64,1170.45,1117.1]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2724, 276, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.682657,1.27923,1.86479,2.06809,2.13541,2.02424,1.97293,1.88965,2.08655,2.70453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[147.938,332.291,346.293,254.905,179.78,124.446,87.6968,56.5197,34.2706,18.4108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.11495,3.19144,4.58716,4.63055,4.78393,4.16879,4.09453,4.0626,3.89209,3.95393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[243.385,643.566,688.712,541.07,384.261,254.033,166.576,107.489,66.5454,36.5425]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2725, 277, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16279,1.67135,2.27341,2.56294,2.90622,2.99135,3.78276,4.59913,8.28691,13.4331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[466.024,520.483,680.652,847.519,992.241,1159.67,1348.98,1634.3,1791.98,2013.71]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2837,14.6404,18.7421,20.2788,20.7925,20.8908,21.5955,22.9583,26.8611,33.8563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[507.796,631.544,878.537,1114.42,1287.78,1496.41,1691.1,1921.8,2043.65,2276.47]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2726, 278, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00155675,0.0048332,0.0112063,0.0163453,0.0290596,0.0881391,0.231121,0.257795,0.925377,1.17155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00047633,0.00133327,0.00275177,0.00320006,0.00679388,0.0197442,0.0451433,0.0497505,0.170771,0.215451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00734245,0.00817163,0.0239589,0.0309887,0.0676405,0.117172,0.203999,0.613458,1.05371,2.31945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00230039,0.00248527,0.00711372,0.00947598,0.0189567,0.0315732,0.0531249,0.144262,0.238243,0.487927]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2727, 279, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0533577,0.128136,0.178954,0.23936,0.316713,0.29745,0.537063,0.772761,1.74477,3.22482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.2615,60.3795,50.1352,45.8527,45.9845,48.2483,50.5927,54.6557,57.703,59.6234]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.130783,0.268529,0.502696,0.595142,0.641413,0.571195,0.845946,1.30006,2.4482,4.72835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.8821,56.1789,47.6166,43.01,42.2224,44.071,46.8489,50.0352,53.5632,56.0011]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2728, 280, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10788,1.53838,1.80443,1.91973,2.05638,2.09627,2.02183,2.04802,2.00108,1.92271]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1456,14.3637,17.7216,18.9212,19.2579,19.3461,19.2564,18.9128,19.3162,18.516]}', '', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2729, 313, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.04948,11.3932,12.4269,11.3706,8.52371,6.04583,6.55523,5.26121,8.76852,13.6244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[657.014,833.672,889.61,930.496,942.173,949.773,950.288,935.228,893.505,788.469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10876,2.22423,2.44958,2.06393,2.30284,1.89586,2.11441,2.86418,3.91401,4.97601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.548,186.39,187.308,183.838,182.408,183.119,183.673,177.116,163.143,136.276]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2730, 314, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.625073,0.715219,0.562482,0.523901,0.727106,0.782853,1.08447,1.23903,2.21311,3.42332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[308.512,340.586,348.142,352.482,353.5,355.446,355.989,349.538,333.578,289.529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10876,2.22423,2.44958,2.06393,2.30284,1.89586,2.11441,2.86418,3.91401,4.97601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.548,186.39,187.308,183.838,182.408,183.119,183.673,177.116,163.143,136.276]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2731, 304, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.976283,1.39993,2.08225,3.5328,5.82853,9.50877,18.059,32.0388]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3526,15.6422,20.5649,26.2614,34.3418,44.3322,55.2609,64.698]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.44079,4.01851,5.85036,8.56213,13.3166,23.2725,36.0724,59.2425]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.3631,18.4449,24.2459,30.8647,40.1454,52.4546,65.4165,76.0564]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2732, 306, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.93045,5.81499,8.7745,14.9513,26.3199,43.7072,89.6564,164.135]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[196.72,254.751,323.087,401.993,504.517,648.049,817.461,999.315]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.24305,14.0946,20.9647,31.1861,50.7562,94.4452,154.99,273.736]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[156.675,201.113,250.581,307.572,377.791,480.146,593.419,704.781]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2733, 307, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0277147,0.0363463,0.0468055,0.0471167,0.0949121,0.142587,0.347022,0.71882]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0495266,0.0701787,0.0787876,0.0804871,0.124105,0.206809,0.392604,0.825996]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2734, 309, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.617785,1.09641,1.7087,2.65265,5.02223,8.84453,18.6807,35.0497]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.57473,6.72839,10.999,15.4943,23.7378,32.8552,44.7716,57.6326]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.893671,1.79953,3.26439,4.64744,8.80205,17.0626,29.6722,54.1608]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.97953,5.72581,11.5762,15.3539,25.854,38.9061,56.2146,72.8277]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2735, 305, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0158082,0.0303266,0.0269252,0.112607,0.208361,0.234479,0.690459,0.869507]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00518394,0.00394118,0.00642668,0.0241319,0.0388438,0.0477483,0.123171,0.15758]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0194379,0.033657,0.0712876,0.137777,0.144935,0.47615,0.623974,1.44113]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005205,0.00875584,0.0179164,0.0325768,0.0364053,0.101686,0.121789,0.278678]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2736, 308, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.601977,1.06609,1.68178,2.54004,4.81387,8.61005,17.9902,34.1802]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.56954,6.72445,10.9925,15.4702,23.6989,32.8075,44.6484,57.475]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.874234,1.76587,3.1931,4.50966,8.65711,16.5865,29.0482,52.7197]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.97432,5.71706,11.5583,15.3213,25.8176,38.8044,56.0928,72.549]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2737, 271, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.188925,1.43064,2.22569,5.11007,7.91119,12.7216,39.2527,49.2038]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27825,51.4146,59.5873,202.228,143.88,87.4646,441.101,292.913]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.235679,12.4167,22.3284,32.0695,41.858,83.0907,127.975,240.819]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.815169,215.631,313.988,407.653,251.376,448.26,478.754,763.13]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2738, 272, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.188925,0.270029,0.398545,0.674417,1.12571,1.86454,3.4679,6.2388]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27825,2.01979,2.87342,3.76637,5.27968,7.37149,9.15453,10.7758]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.235679,0.34572,0.458475,0.702758,1.19313,1.88485,3.17782,5.45011]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.815169,1.14109,1.49303,2.12258,3.23901,4.03421,5.60186,6.75131]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2739, 265, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.5913,3.5368,6.21744,7.54967,15.9025,29.2113,64.516,128.574]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.463,107.883,178.068,262.04,362.75,459.566,581.422,668.885]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.74276,8.665,15.0156,18.0933,34.2241,62.4579,113.479,195.248]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.5555,125.08,204.813,296.338,410.391,510.12,644.959,730.143]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2740, 266, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.328061,0.467408,0.900691,1.5558,3.56021,6.45165,14.076,28.6855]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.70146,6.04667,12.164,16.9224,35.0374,49.1021,74.1811,87.6411]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.753229,1.20512,3.00469,4.52241,6.79857,12.0241,17.6024,29.0623]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.71217,6.02153,15.1024,21.0782,30.725,43.3633,53.1349,62.9518]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2741, 267, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.46951,6.42049,13.6997,20.2847,44.1754,73.6078,169.213,317.377]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.774,42.6468,98.2103,135.684,252.961,319.853,494.442,616.533]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.3693,16.7862,28.8827,40.2126,79.1961,139.785,265.845,468.441]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.8819,57.123,111.676,144.447,255.901,353.232,563.42,703.752]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2742, 268, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.34089,3.53075,6.60501,8.13519,14.4446,24.6726,43.0267,81.9331]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.5002,109.015,212.373,333.288,501.063,619.706,640.657,693.594]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.78146,5.6039,10.4066,14.6589,23.0044,42.9302,63.7216,111.22]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.9896,104.038,209.03,308.212,447.348,558.148,610.922,665.464]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2743, 286, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.20186,8.12302,12.6885,22.3462,40.4164,72.5676,144.29,258.58]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.4303,107.255,166.556,241.649,336.481,440.911,574.668,666.163]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.7669,20.3624,32.354,49.7602,85.4479,162.207,268.576,465.033]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.73,124.153,196.568,280.769,393.072,527.13,678.953,807.081]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2744, 287, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.80893,4.33567,6.96994,12.7161,22.9875,39.1637,78.8901,128.09]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.1353,21.1963,30.8989,42.8238,62.5647,88.3545,117.205,130.879]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.75245,12.0085,19.0917,29.1847,50.9582,97.6916,158.503,260.364]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.3893,28.3132,41.7933,58.3537,86.8687,125.46,168.098,192.88]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2745, 288, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26528,1.80353,2.81801,4.5277,7.89809,12.5558,23.9338,40.0076]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.29152,8.0978,11.193,14.7097,20.5463,27.9942,35.7345,40.9619]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.9792,5.07164,7.50166,10.7054,17.849,31.3821,49.6867,81.6234]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.92527,10.703,15.0137,19.9608,28.3633,38.9575,50.1021,57.8128]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2746, 289, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46532,2.15249,3.32138,5.73589,9.80409,16.3298,31.408,56.5199]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.3164,48.0944,72.412,100.349,130.799,163.181,192.458,212.766]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.62274,6.16903,9.18448,13.6603,22.4336,39.9019,63.5382,107.162]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.5208,56.5752,84.7085,116.533,152.313,191.233,228.012,254.539]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2747, 290, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09086,1.50862,2.11667,3.93731,5.95551,11.0792,20.2351,40.8938]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.5072,22.3813,33.1339,46.6675,68.1453,96.7362,127.39,152.845]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.43187,5.46644,7.95044,12.1438,17.7972,31.3148,47.92,74.6771]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.6091,29.0512,43.1969,60.8023,89.6776,128.936,172.383,208.707]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2748, 291, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0786893,0.165016,0.273452,0.417474,1.023,2.32715,3.17248,4.11104]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0413634,0.0881531,0.159572,0.236148,0.572254,1.16317,1.48063,1.89554]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.108065,0.148566,0.304387,0.452966,0.767898,1.29317,1.98929,3.57733]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0658743,0.0970506,0.212022,0.325716,0.49161,0.802012,1.16136,1.9456]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2749, 292, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0126222,0.0270621,0.0450209,0.0712462,0.175271,0.385609,0.511929,0.642938]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.09827,5.17879,8.0543,11.3212,14.0896,16.1,17.307,17.7304]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0211475,0.0299213,0.0621714,0.0933349,0.158871,0.265203,0.395376,0.693117]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.33986,7.23887,11.1072,15.4101,18.859,21.3085,22.9415,23.7579]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2750, 293, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.439493,0.609717,0.843076,1.51983,2.38924,4.35494,7.32748,13.6573]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.8772,32.3618,48.3033,66.8494,84.9775,103.103,117.468,128.658]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23359,1.89908,2.72753,4.09293,5.81414,9.84655,14.4998,22.2628]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.8655,35.4254,52.5222,71.9083,91.5093,112.106,129.78,144.525]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2751, 294, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.382564,0.56407,0.682003,0.839873,1.34963,2.33255,6.53369,11.8447]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.47609,11.4583,18.1554,28.5707,43.0637,53.5924,90.8114,95.823]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.905993,1.28123,1.7175,2.1907,3.10286,5.45227,9.48824,16.4333]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.89583,13.4742,23.0614,34.4832,47.4541,60.5108,78.1573,85.7612]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2752, 295, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0427218,0.0516109,0.0587916,0.0842104,0.106899,0.129247,0.147536,0.190571]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.516408,0.688322,0.81577,0.921537,1.02952,0.944984,0.820702,0.689673]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.241955,0.319742,0.410951,0.518957,0.617151,0.762722,0.835493,0.931387]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16909,1.60768,2.00227,2.36931,2.77494,2.79872,2.66464,2.32664]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2753, 296, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104549,0.215642,0.356711,0.546215,1.32631,3.01879,4.10734,5.325]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0536897,0.11102,0.21031,0.301074,0.73218,1.50248,1.91347,2.42925]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.147461,0.201786,0.410865,0.605243,1.02213,1.7297,2.66137,4.78104]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0924207,0.131854,0.286594,0.429729,0.660587,1.06743,1.55493,2.60757]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2754, 297, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.769906,1.05737,1.47173,2.70514,4.05434,7.40669,13.244,26.2877]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.40908,3.81596,5.51594,8.32263,12.0457,20.8656,31.2805,47.8837]}', '', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2755, 298, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.424553,0.577149,0.796681,1.44438,2.15041,3.91396,6.99663,13.8604]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.29516,8.61061,12.5037,17.2436,24.7155,34.4481,44.4468,52.1364]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.35178,2.1148,3.02312,4.52547,6.52058,11.2992,16.7896,25.6962]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.88659,11.2025,16.3775,22.6297,32.7488,46.1564,60.3578,71.391]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2756, 299, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12799,0.169685,0.227762,0.414434,0.596293,1.05375,1.82904,3.48681]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.58907,2.54376,3.62641,4.94379,6.90953,9.26306,11.4975,13.0009]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.358232,0.549655,0.77041,1.15922,1.62816,2.66747,3.80529,5.5447]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.83325,2.94406,4.2541,5.80791,8.2127,11.0081,13.7365,15.5134]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2757, 300, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02914,1.67456,2.58025,4.27678,7.73895,13.6046,27.8461,52.7926]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.06211,10.4752,16.6024,25.422,37.3253,50.1656,67.2734,86.6086]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.8469,3.38776,5.65534,8.67946,15.8169,29.3911,50.6334,91.8349]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.24052,10.9352,20.4235,29.1858,46.9421,68.3463,97.5562,126.248]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2758, 270, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.86126,3.2259,5.01822,7.47618,12.3518,23.942,44.4618,83.4126]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.6666,55.9827,84.9747,118.175,155.1,197.164,247.917,292.331]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.48104,5.3389,7.76047,11.1448,17.0938,31.4544,52.6584,98.2667]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.5472,51.4528,76.9586,106.689,141.383,182.08,229.544,275.124]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2759, 283, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.278822,0.387505,0.504066,0.509483,0.992748,1.52056,3.61568,7.11399]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.3082,124.898,157.413,193.336,231.822,287.002,345.064,396.905]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.493778,0.731478,0.825539,0.856316,1.28919,2.13198,4.04293,8.29259]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[108.794,140.697,170.806,204.536,241.437,290.176,350.238,406.151]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2760, 273, 218, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16061,1.82715,4.43565,6.78548,10.8571,35.7848,42.965]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.3948,56.7139,198.462,138.6,80.0931,431.946,282.137]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.071,21.8699,31.3667,40.6649,81.2059,124.797,235.369]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[214.49,312.495,405.531,248.137,444.226,473.152,756.379]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2761, 269, 218, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.00917,4.47883,11.4674]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.303,66.7404,76.319]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.0929,14.4176,26.4971]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.0688,95.7721,129.459]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2762, 315, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.74097,11.085,12.185,11.1415,8.20183,5.69221,6.06358,4.67459,7.72689,12.001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[411.33,578.862,632.257,672.04,682.551,687.353,685.573,673.924,642.609,569.167]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2763, 281, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.8719,95.38,116.311,140.649,135.665,158.425,191.797,283.744,263.09,333.885]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.807,143.007,185.552,234.519,229.303,266.252,298.31,376.203,331.272,423.808]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2764, 282, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[328.89,364.722,418.895,536.117,653.172,759.637,874.724,1008.85,1125.95,1223.08]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[355.105,432.355,536.567,696.188,845.43,981.524,1104.45,1205.25,1308.34,1390.02]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2765, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2766, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2767, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2768, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2769, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2770, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2771, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2772, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2773, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2774, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2775, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2776, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2777, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2778, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2779, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2780, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2781, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2782, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2783, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2784, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2785, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2786, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2787, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2788, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2789, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2790, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2791, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2792, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2793, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2794, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2795, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2796, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2797, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2798, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2799, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2800, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2801, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2802, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2803, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2804, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2805, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2806, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2807, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2808, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2809, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2810, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2811, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2812, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2813, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2814, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2815, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2816, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2817, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2818, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2819, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2820, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2821, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2822, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2823, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2824, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2825, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2826, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2827, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2828, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2829, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2830, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2831, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2832, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2833, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2834, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2835, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2836, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2837, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2838, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2839, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2840, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2841, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2842, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2843, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2844, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2845, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2846, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2847, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2848, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2849, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2850, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2851, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2852, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2853, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2854, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2855, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2856, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2857, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2858, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2859, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2860, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2861, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2862, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2863, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2864, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2865, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2866, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2867, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2868, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2869, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2870, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2871, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2872, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2873, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2874, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2875, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2876, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2877, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2878, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2879, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2880, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2881, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2882, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2883, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2884, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2885, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2886, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2887, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2888, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2889, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2890, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2891, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2892, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2893, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2894, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2895, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2896, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2897, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2898, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2899, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2900, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2901, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2902, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2903, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2904, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2905, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2906, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2907, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2908, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2909, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2910, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2911, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2912, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2913, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2914, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2915, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2916, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2917, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2918, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2919, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2920, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2921, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2922, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2923, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2924, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2925, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2926, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2927, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2928, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2929, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2930, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2931, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2932, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2933, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2934, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2935, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2936, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2937, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2938, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2939, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2940, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2941, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2942, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2943, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2944, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2945, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2946, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2947, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2948, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2949, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2950, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2951, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2952, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2953, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2954, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2955, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2956, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2957, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2958, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2959, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2960, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2961, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2962, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2963, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2964, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2965, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2966, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2967, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2968, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2969, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2970, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2971, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2972, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2973, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2974, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2975, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2976, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2977, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2978, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2979, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2980, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2981, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2982, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2983, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2984, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2985, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2986, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2987, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2988, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2989, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2990, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2991, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2992, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2993, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2994, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2995, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2996, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2997, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2998, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(2999, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3000, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3001, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3002, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3003, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3004, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3005, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3006, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3007, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3008, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3009, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3010, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3011, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3012, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3013, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3014, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3015, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3016, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3017, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3018, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3019, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3020, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3021, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3022, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3023, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3024, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3025, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3026, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3027, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3028, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3029, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3030, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3031, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3032, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3033, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3034, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3035, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3036, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3037, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3038, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3039, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3040, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3041, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3042, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3043, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3044, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3045, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3046, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3047, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3048, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3049, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3050, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3051, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3052, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3053, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3054, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3055, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3056, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3057, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3058, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3059, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3060, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3061, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3062, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3063, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3064, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3065, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3066, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3067, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3068, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3069, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3070, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3071, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3072, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3073, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3074, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3075, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3076, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3077, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3078, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3079, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3080, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3081, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3082, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3083, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3084, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3085, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3086, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3087, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3088, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3089, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3090, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3091, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3092, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3093, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3094, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3095, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3096, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3097, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3098, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3099, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3100, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3101, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3102, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3103, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3104, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3105, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3106, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3107, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3108, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3109, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3110, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3111, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3112, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3113, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3114, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3115, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3116, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3117, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3118, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3119, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3120, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3121, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3122, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3123, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3124, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3125, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3126, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3127, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3128, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3129, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3130, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3131, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3132, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3133, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3134, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3135, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3136, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3137, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3138, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3139, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3140, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3141, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3142, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3143, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3144, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3145, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3146, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3147, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3148, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3149, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3150, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3151, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3152, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3153, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3154, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3155, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3156, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3157, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3158, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3159, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3160, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3161, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3162, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3163, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3164, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3165, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3166, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3167, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3168, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3169, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3170, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3171, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3172, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3173, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3174, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3175, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3176, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3177, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3178, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3179, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3180, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3181, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3182, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3183, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3184, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3185, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3186, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3187, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3188, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3189, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3190, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3191, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3192, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3193, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3194, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3195, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3196, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3197, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3198, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3199, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3200, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3201, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3202, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3203, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3204, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3205, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3206, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3207, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3208, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3209, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3210, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3211, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3212, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3213, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3214, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3215, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3216, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3217, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3218, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3219, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3220, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3221, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3222, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3223, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3224, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3225, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3226, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3227, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3228, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3229, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3230, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3231, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3232, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3233, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3234, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3235, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3236, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3237, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3238, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3239, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3240, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3241, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3242, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3243, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3244, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3245, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3246, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3247, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3248, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3249, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3250, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3251, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3252, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3253, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3254, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3255, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3256, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3257, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3258, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3259, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3260, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3261, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3262, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3263, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3264, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3265, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3266, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3267, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3268, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3269, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3270, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3271, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3272, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3273, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3274, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3275, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3276, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3277, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3278, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3279, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3280, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3281, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3282, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3283, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3284, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3285, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3286, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3287, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3288, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3289, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3290, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3291, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3292, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3293, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3294, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3295, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3296, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3297, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3298, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3299, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3300, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3301, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3302, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3303, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3304, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3305, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3306, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3307, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3308, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3309, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3310, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3311, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3312, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3313, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3314, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3315, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3316, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3317, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3318, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3319, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3320, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3321, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3322, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3323, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3324, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3325, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3326, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3327, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3328, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3329, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3330, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3331, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3332, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3333, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3334, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3335, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3336, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3337, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3338, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3339, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3340, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3341, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3342, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3343, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3344, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3345, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3346, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3347, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3348, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3349, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3350, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3351, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3352, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3353, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3354, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3355, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3356, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3357, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3358, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3359, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3360, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3361, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3362, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3363, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3364, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3365, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3366, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3367, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3368, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3369, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3370, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3371, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3372, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3373, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3374, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3375, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3376, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3377, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3378, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3379, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3380, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3381, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3382, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3383, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3384, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3385, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3386, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3387, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3388, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3389, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3390, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3391, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3392, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3393, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3394, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3395, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3396, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3397, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3398, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3399, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3400, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3401, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3402, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3403, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3404, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3405, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3406, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3407, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3408, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3409, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3410, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3411, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3412, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3413, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3414, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3415, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3416, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3417, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3418, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3419, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3420, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3421, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3422, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3423, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3424, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3425, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3426, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3427, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3428, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3429, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3430, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3431, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3432, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3433, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3434, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3435, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3436, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3437, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3438, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3439, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3440, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3441, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3442, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3443, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3444, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3445, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3446, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3447, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3448, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3449, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3450, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3451, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3452, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3453, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3454, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3455, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3456, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3457, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3458, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3459, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3460, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3461, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3462, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3463, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3464, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3465, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3466, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3467, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3468, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3469, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3470, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3471, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3472, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3473, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3474, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3475, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3476, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3477, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3478, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3479, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3480, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3481, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3482, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3483, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3484, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3485, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3486, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3487, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3488, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3489, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3490, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3491, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3492, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3493, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3494, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3495, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3496, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3497, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3498, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3499, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3500, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3501, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3502, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3503, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3504, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3505, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3506, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3507, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3508, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3509, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3510, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3511, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3512, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3513, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3514, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3515, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3516, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3517, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3518, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3519, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3520, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3521, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3522, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3523, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3524, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3525, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3526, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3527, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3528, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3529, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3530, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3531, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3532, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3533, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3534, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3535, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3536, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3537, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3538, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3539, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3540, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3541, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3542, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3543, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3544, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3545, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3546, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3547, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3548, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3549, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3550, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3551, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3552, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3553, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3554, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3555, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3556, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3557, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3558, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3559, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3560, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3561, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3562, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3563, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3564, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3565, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3566, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3567, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3568, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3569, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3570, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3571, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3572, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3573, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3574, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3575, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3576, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3577, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3578, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3579, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3580, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3581, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3582, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3583, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3584, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3585, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3586, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3587, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3588, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3589, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3590, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3591, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3592, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3593, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3594, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3595, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3596, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3597, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3598, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3599, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3600, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3601, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3602, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3603, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3604, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3605, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3606, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3607, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3608, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3609, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3610, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3611, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3612, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3613, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3614, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3615, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3616, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3617, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3618, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3619, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3620, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3621, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3622, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3623, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3624, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3625, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3626, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3627, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3628, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3629, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3630, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3631, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3632, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3633, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3634, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3635, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3636, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3637, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3638, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3639, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3640, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3641, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3642, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3643, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3644, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3645, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3646, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3647, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3648, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3649, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3650, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3651, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3652, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3653, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3654, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3655, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3656, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3657, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3658, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3659, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3660, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3661, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3662, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3663, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3664, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3665, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3666, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3667, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3668, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3669, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3670, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3671, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3672, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3673, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3674, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3675, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3676, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3677, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3678, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3679, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3680, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3681, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3682, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3683, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3684, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3685, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3686, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3687, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3688, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3689, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3690, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3691, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3692, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3693, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3694, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3695, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3696, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3697, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3698, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3699, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3700, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3701, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3702, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3703, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3704, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3705, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3706, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3707, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3708, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3709, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3710, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3711, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3712, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3713, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3714, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3715, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3716, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3717, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3718, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3719, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3720, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3721, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3722, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3723, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3724, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3725, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3726, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3727, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3728, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3729, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3730, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3731, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3732, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3733, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3734, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3735, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3736, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3737, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3738, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3739, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3740, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3741, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3742, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3743, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3744, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3745, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3746, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3747, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3748, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3749, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3750, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3751, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3752, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3753, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3754, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3755, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3756, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3757, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3758, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3759, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3760, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3761, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3762, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3763, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3764, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3765, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3766, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3767, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3768, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3769, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3770, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3771, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3772, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3773, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3774, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3775, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3776, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3777, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3778, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3779, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3780, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3781, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3782, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3783, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3784, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3785, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3786, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3787, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3788, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3789, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3790, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3791, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3792, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3793, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3794, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3795, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3796, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3797, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3798, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3799, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3800, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3801, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3802, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3803, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3804, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3805, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3806, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3807, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3808, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3809, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3810, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3811, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3812, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3813, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3814, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3815, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3816, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3817, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3818, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3819, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3820, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3821, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3822, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3823, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3824, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3825, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3826, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3827, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3828, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3829, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3830, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3831, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3832, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3833, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3834, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3835, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3836, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3837, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3838, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3839, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3840, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3841, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3842, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3843, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3844, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3845, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3846, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3847, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3848, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3849, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3850, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3851, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3852, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3853, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3854, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3855, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3856, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3857, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3858, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3859, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3860, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3861, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3862, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3863, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3864, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3865, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3866, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3867, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3868, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3869, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3870, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3871, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3872, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3873, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3874, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3875, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3876, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3877, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3878, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3879, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3880, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3881, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3882, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3883, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3884, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3885, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3886, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3887, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3888, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3889, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3890, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3891, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3892, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3893, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3894, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3895, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3896, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3897, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3898, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3899, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3900, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3901, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3902, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3903, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3904, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3905, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3906, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3907, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3908, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3909, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3910, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3911, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3912, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3913, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3914, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3915, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3916, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3917, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3918, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3919, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3920, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3921, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3922, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3923, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3924, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3925, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3926, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3927, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3928, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3929, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3930, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3931, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3932, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3933, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3934, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3935, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3936, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3937, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3938, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3939, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3940, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3941, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3942, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3943, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3944, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3945, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3946, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3947, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3948, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3949, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3950, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3951, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3952, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3953, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3954, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3955, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3956, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3957, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3958, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3959, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3960, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3961, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3962, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3963, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3964, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3965, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3966, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3967, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3968, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3969, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3970, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3971, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3972, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3973, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3974, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3975, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3976, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3977, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3978, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3979, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3980, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3981, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3982, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3983, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3984, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3985, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3986, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3987, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3988, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3989, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3990, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3991, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3992, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3993, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3994, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3995, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3996, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3997, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3998, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(3999, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4000, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4001, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4002, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4003, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4004, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4005, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4006, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4007, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4008, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4009, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4010, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4011, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4012, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4013, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4014, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4015, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4016, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4017, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4018, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4019, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4020, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4021, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4022, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4023, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4024, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4025, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4026, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4027, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4028, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4029, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4030, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4031, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4032, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4033, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4034, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4035, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4036, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4037, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4038, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4039, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4040, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4041, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4042, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4043, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4044, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4045, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4046, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4047, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4048, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4049, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4050, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4051, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4052, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4053, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4054, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4055, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4056, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4057, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4058, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4059, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4060, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4061, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4062, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4063, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4064, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4065, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4066, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4067, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4068, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4069, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4070, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4071, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4072, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4073, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4074, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4075, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4076, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4077, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4078, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4079, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4080, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4081, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4082, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4083, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4084, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4085, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4086, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4087, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4088, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4089, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4090, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4091, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4092, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4093, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4094, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4095, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4096, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4097, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4098, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4099, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4100, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4101, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4102, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4103, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4104, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4105, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4106, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4107, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4108, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4109, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4110, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4111, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4112, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4113, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4114, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4115, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4116, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4117, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4118, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4119, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4120, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4121, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4122, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4123, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4124, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4125, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4126, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4127, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4128, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4129, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4130, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4131, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4132, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4133, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4134, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4135, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4136, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4137, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4138, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4139, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4140, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4141, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4142, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4143, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4144, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4145, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4146, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4147, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4148, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4149, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4150, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4151, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4152, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4153, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4154, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4155, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4156, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4157, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4158, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4159, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4160, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4161, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4162, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4163, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4164, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4165, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4166, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4167, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4168, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4169, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4170, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4171, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4172, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4173, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4174, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4175, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4176, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4177, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4178, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4179, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4180, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4181, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4182, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4183, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4184, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4185, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4186, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4187, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4188, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4189, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4190, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4191, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4192, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4193, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4194, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4195, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4196, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4197, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4198, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4199, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4200, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4201, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4202, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4203, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4204, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4205, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4206, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4207, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4208, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4209, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4210, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4211, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4212, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4213, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4214, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4215, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4216, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4217, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4218, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4219, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4220, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4221, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4222, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4223, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4224, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4225, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4226, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4227, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4228, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4229, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4230, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4231, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4232, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4233, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4234, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4235, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4236, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4237, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4238, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4239, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4240, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4241, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4242, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4243, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4244, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4245, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4246, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4247, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4248, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4249, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4250, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4251, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4252, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4253, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4254, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4255, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4256, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4257, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4258, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4259, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4260, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4261, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4262, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4263, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4264, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4265, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4266, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4267, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4268, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4269, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4270, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4271, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4272, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4273, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4274, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4275, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4276, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4277, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4278, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4279, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4280, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4281, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4282, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4283, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4284, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4285, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4286, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4287, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4288, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4289, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4290, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4291, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4292, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4293, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4294, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4295, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4296, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4297, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4298, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4299, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4300, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4301, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4302, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4303, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4304, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4305, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4306, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4307, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4308, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4309, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4310, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4311, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4312, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4313, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4314, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4315, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4316, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4317, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4318, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4319, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4320, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4321, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4322, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4323, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4324, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4325, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4326, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4327, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4328, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4329, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4330, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4331, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4332, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4333, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4334, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4335, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4336, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4337, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4338, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4339, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4340, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4341, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4342, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4343, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4344, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4345, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4346, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4347, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4348, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4349, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4350, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4351, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4352, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4353, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4354, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4355, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4356, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4357, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4358, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4359, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4360, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4361, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4362, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4363, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4364, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4365, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4366, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4367, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4368, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4369, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4370, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4371, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4372, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4373, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4374, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4375, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4376, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4377, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4378, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4379, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4380, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4381, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4382, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4383, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4384, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4385, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4386, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4387, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4388, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4389, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4390, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4391, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4392, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4393, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4394, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4395, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4396, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4397, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4398, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4399, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4400, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4401, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4402, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4403, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4404, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4405, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4406, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4407, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4408, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4409, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4410, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4411, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4412, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4413, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4414, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4415, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4416, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4417, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4418, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4419, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4420, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4421, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4422, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4423, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4424, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4425, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4426, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4427, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4428, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4429, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4430, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4431, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4432, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4433, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4434, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4435, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4436, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4437, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4438, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4439, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4440, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4441, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4442, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4443, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4444, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4445, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4446, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4447, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4448, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4449, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4450, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4451, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4452, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4453, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4454, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4455, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4456, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4457, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4458, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4459, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4460, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4461, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4462, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4463, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4464, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4465, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4466, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4467, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4468, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4469, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4470, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4471, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4472, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4473, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4474, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4475, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4476, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4477, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4478, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4479, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4480, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4481, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4482, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4483, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4484, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4485, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4486, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4487, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4488, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4489, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4490, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4491, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4492, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4493, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4494, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4495, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4496, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4497, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4498, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4499, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4500, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4501, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4502, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4503, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4504, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4505, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4506, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4507, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4508, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4509, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4510, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4511, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4512, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4513, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4514, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4515, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4516, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4517, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4518, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4519, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4520, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4521, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4522, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4523, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4524, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4525, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4526, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4527, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4528, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4529, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4530, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4531, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4532, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4533, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4534, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4535, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4536, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4537, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4538, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4539, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4540, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4541, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4542, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4543, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4544, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4545, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4546, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4547, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4548, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4549, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4550, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4551, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4552, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4553, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4554, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4555, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4556, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4557, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4558, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4559, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4560, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4561, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4562, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4563, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4564, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4565, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4566, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4567, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4568, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4569, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4570, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4571, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4572, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4573, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4574, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4575, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4576, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4577, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4578, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4579, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4580, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4581, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4582, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4583, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4584, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4585, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4586, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4587, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4588, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4589, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4590, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4591, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4592, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4593, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4594, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4595, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4596, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4597, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4598, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4599, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4600, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4601, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4602, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4603, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4604, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4605, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4606, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4607, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4608, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4609, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4610, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4611, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4612, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4613, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4614, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4615, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4616, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4617, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4618, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4619, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4620, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4621, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4622, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4623, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4624, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4625, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4626, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4627, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4628, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4629, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4630, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4631, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4632, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4633, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4634, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4635, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4636, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4637, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4638, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4639, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4640, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4641, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4642, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4643, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4644, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4645, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4646, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4647, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4648, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4649, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4650, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4651, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4652, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4653, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4654, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4655, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4656, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4657, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4658, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4659, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4660, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4661, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4662, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4663, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4664, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4665, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4666, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4667, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4668, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4669, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4670, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4671, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4672, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4673, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4674, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4675, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4676, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4677, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4678, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4679, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4680, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4681, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4682, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4683, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4684, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4685, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4686, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4687, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4688, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4689, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4690, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4691, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4692, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4693, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4694, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4695, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4696, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4697, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4698, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4699, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4700, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4701, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4702, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4703, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4704, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4705, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4706, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4707, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4708, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4709, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4710, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4711, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4712, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4713, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4714, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4715, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4716, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4717, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4718, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4719, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4720, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4721, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4722, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4723, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4724, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4725, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4726, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4727, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4728, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4729, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4730, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4731, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4732, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4733, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4734, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4735, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4736, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4737, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4738, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4739, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4740, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4741, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4742, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4743, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4744, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4745, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4746, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4747, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4748, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4749, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4750, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4751, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4752, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4753, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4754, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4755, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4756, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4757, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4758, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4759, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4760, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4761, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4762, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4763, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4764, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4765, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4766, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4767, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4768, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4769, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4770, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4771, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4772, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4773, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4774, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4775, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4776, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4777, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4778, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4779, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4780, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4781, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4782, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4783, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4784, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4785, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4786, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4787, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4788, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4789, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4790, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4791, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4792, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4793, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4794, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4795, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4796, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4797, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4798, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4799, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4800, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4801, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4802, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4803, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4804, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4805, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4806, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4807, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4808, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4809, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4810, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4811, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4812, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4813, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4814, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4815, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4816, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4817, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4818, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4819, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4820, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4821, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4822, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4823, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4824, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4825, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4826, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4827, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4828, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4829, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4830, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4831, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4832, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4833, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4834, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4835, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4836, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4837, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4838, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4839, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4840, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4841, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4842, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4843, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4844, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4845, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4846, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4847, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4848, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4849, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4850, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4851, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4852, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4853, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4854, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4855, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4856, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4857, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4858, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4859, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4860, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4861, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4862, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4863, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4864, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4865, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4866, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4867, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4868, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4869, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4870, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4871, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4872, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4873, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4874, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4875, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4876, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4877, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4878, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4879, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4880, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4881, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4882, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4883, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4884, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4885, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4886, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4887, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4888, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4889, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4890, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4891, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4892, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4893, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4894, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4895, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4896, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4897, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4898, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4899, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4900, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4901, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4902, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4903, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4904, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4905, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4906, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4907, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4908, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4909, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4910, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4911, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4912, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4913, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4914, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4915, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4916, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4917, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4918, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4919, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4920, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4921, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4922, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4923, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4924, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4925, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4926, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4927, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4928, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4929, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4930, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4931, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4932, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4933, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4934, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4935, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4936, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4937, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4938, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4939, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4940, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4941, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4942, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4943, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4944, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4945, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4946, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4947, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4948, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4949, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4950, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4951, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4952, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4953, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4954, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4955, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4956, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4957, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4958, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4959, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4960, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4961, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4962, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4963, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4964, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4965, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4966, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4967, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4968, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4969, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4970, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4971, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4972, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4973, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4974, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4975, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4976, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4977, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4978, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4979, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4980, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4981, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4982, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4983, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4984, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4985, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4986, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4987, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4988, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4989, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4990, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4991, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4992, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4993, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4994, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4995, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4996, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4997, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4998, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(4999, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5000, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5001, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5002, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5003, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5004, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5005, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5006, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5007, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5008, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5009, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5010, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5011, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5012, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5013, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5014, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5015, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5016, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5017, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5018, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5019, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5020, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5021, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5022, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5023, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5024, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5025, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5026, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5027, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5028, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5029, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5030, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5031, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5032, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5033, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5034, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5035, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5036, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5037, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5038, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5039, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5040, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5041, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5042, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5043, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5044, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5045, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5046, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5047, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5048, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5049, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5050, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5051, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5052, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5053, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5054, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5055, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5056, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5057, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5058, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5059, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5060, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5061, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5062, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5063, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5064, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5065, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5066, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5067, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5068, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5069, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5070, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5071, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5072, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5073, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5074, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5075, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5076, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5077, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5078, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5079, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5080, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5081, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5082, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5083, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5084, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5085, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5086, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5087, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5088, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5089, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5090, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5091, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5092, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5093, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5094, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5095, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5096, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5097, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5098, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5099, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5100, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5101, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5102, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5103, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5104, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5105, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5106, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5107, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5108, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5109, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5110, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5111, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5112, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5113, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5114, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5115, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5116, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5117, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5118, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5119, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5120, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5121, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5122, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5123, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5124, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5125, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5126, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5127, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5128, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5129, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5130, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5131, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5132, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5133, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5134, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5135, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5136, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5137, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5138, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5139, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5140, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5141, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5142, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5143, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5144, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5145, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5146, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5147, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5148, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5149, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5150, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5151, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5152, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5153, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5154, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5155, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5156, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5157, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5158, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5159, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5160, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5161, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5162, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5163, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5164, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5165, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5166, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5167, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5168, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5169, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5170, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5171, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5172, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5173, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5174, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5175, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5176, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5177, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5178, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5179, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5180, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5181, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5182, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5183, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5184, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5185, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5186, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5187, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5188, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5189, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5190, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5191, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5192, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5193, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5194, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5195, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5196, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5197, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5198, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5199, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5200, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5201, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5202, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5203, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5204, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5205, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5206, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5207, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5208, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5209, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5210, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5211, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5212, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5213, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5214, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5215, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5216, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5217, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5218, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5219, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5220, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5221, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5222, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5223, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5224, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5225, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5226, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5227, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5228, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5229, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5230, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5231, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5232, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5233, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5234, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5235, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5236, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5237, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5238, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5239, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5240, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5241, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5242, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5243, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5244, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5245, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5246, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5247, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5248, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5249, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5250, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5251, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5252, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5253, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5254, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5255, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5256, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5257, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5258, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5259, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5260, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5261, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5262, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5263, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5264, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5265, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5266, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5267, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5268, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5269, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5270, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5271, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5272, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5273, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5274, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5275, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5276, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5277, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5278, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5279, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5280, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5281, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5282, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5283, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5284, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5285, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5286, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5287, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5288, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5289, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5290, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5291, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5292, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5293, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5294, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5295, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5296, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5297, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5298, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5299, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5300, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5301, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5302, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5303, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5304, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5305, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5306, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5307, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5308, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5309, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5310, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5311, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5312, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5313, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5314, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5315, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5316, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5317, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5318, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5319, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5320, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5321, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5322, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5323, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5324, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5325, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5326, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5327, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5328, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5329, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5330, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5331, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5332, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5333, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5334, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5335, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5336, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5337, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5338, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5339, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5340, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5341, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5342, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5343, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5344, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5345, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5346, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5347, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5348, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5349, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5350, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5351, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5352, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5353, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5354, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5355, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5356, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5357, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5358, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5359, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5360, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5361, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5362, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5363, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5364, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5365, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5366, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5367, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5368, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5369, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5370, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5371, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5372, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5373, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5374, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5375, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5376, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5377, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5378, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5379, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5380, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5381, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5382, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5383, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5384, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5385, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5386, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5387, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5388, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5389, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5390, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5391, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5392, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5393, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5394, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5395, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5396, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5397, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5398, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5399, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5400, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5401, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5402, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5403, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5404, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5405, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5406, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5407, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5408, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5409, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5410, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5411, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5412, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5413, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5414, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5415, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5416, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5417, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5418, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5419, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5420, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5421, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5422, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5423, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5424, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5425, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5426, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5427, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5428, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5429, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5430, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5431, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5432, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5433, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5434, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5435, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5436, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5437, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5438, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5439, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5440, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5441, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5442, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5443, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5444, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5445, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5446, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5447, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5448, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5449, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5450, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5451, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5452, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5453, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5454, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5455, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5456, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5457, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5458, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5459, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5460, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5461, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5462, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5463, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5464, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5465, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5466, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5467, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5468, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5469, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5470, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5471, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5472, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5473, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5474, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5475, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5476, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5477, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5478, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5479, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5480, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5481, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5482, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5483, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5484, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5485, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5486, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5487, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5488, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5489, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5490, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5491, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5492, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5493, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5494, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5495, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5496, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5497, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5498, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5499, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5500, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5501, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5502, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5503, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5504, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5505, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5506, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5507, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5508, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5509, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5510, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5511, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5512, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5513, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5514, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5515, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5516, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5517, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5518, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5519, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5520, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5521, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5522, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5523, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5524, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5525, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5526, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5527, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5528, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5529, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5530, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5531, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5532, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5533, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5534, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5535, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5536, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5537, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5538, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5539, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5540, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5541, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5542, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5543, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5544, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5545, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5546, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5547, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5548, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5549, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5550, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5551, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5552, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5553, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5554, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5555, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5556, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5557, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5558, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5559, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5560, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5561, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5562, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5563, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5564, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5565, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5566, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5567, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5568, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5569, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5570, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5571, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5572, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5573, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5574, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5575, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5576, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5577, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5578, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5579, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5580, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5581, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5582, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5583, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5584, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5585, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5586, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5587, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5588, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5589, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5590, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5591, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5592, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5593, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5594, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5595, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5596, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5597, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5598, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5599, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5600, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5601, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5602, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5603, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5604, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5605, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5606, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5607, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5608, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5609, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5610, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5611, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5612, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5613, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5614, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5615, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5616, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5617, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5618, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5619, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5620, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5621, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5622, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5623, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5624, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5625, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5626, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5627, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5628, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5629, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5630, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5631, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5632, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5633, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5634, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5635, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5636, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5637, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5638, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5639, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5640, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5641, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5642, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5643, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5644, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5645, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5646, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5647, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5648, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5649, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5650, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5651, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5652, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5653, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5654, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5655, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5656, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5657, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5658, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5659, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5660, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5661, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5662, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5663, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5664, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5665, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5666, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5667, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5668, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5669, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5670, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5671, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5672, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5673, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5674, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5675, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5676, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5677, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5678, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5679, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5680, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5681, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5682, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5683, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5684, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5685, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5686, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5687, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5688, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5689, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5690, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5691, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5692, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5693, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5694, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5695, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5696, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5697, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5698, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5699, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5700, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5701, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5702, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5703, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5704, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5705, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5706, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5707, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5708, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5709, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5710, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5711, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5712, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5713, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5714, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5715, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5716, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5717, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5718, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5719, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5720, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5721, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5722, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5723, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5724, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5725, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5726, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5727, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5728, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5729, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5730, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5731, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5732, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5733, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5734, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5735, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5736, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5737, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5738, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5739, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5740, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5741, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5742, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5743, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5744, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5745, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5746, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5747, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5748, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5749, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5750, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5751, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5752, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5753, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5754, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5755, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5756, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5757, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5758, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5759, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5760, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5761, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5762, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5763, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5764, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5765, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5766, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5767, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5768, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5769, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5770, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5771, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5772, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5773, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5774, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5775, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5776, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5777, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5778, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5779, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5780, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5781, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5782, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5783, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5784, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5785, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5786, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5787, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5788, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5789, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5790, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5791, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5792, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5793, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5794, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5795, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5796, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5797, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5798, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5799, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5800, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5801, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5802, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5803, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5804, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5805, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5806, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5807, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5808, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5809, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5810, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5811, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5812, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5813, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5814, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5815, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5816, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5817, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5818, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5819, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5820, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5821, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5822, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5823, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5824, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5825, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5826, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5827, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5828, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5829, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5830, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5831, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5832, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5833, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5834, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5835, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5836, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5837, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5838, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5839, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5840, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5841, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5842, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5843, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5844, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5845, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5846, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5847, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5848, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5849, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5850, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5851, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5852, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5853, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5854, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5855, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5856, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5857, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5858, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5859, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5860, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5861, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5862, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5863, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5864, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5865, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5866, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5867, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5868, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5869, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5870, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5871, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5872, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5873, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5874, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5875, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5876, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5877, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5878, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5879, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5880, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5881, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5882, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5883, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5884, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5885, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5886, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5887, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5888, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5889, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5890, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5891, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5892, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5893, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5894, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5895, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5896, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5897, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5898, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5899, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5900, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5901, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5902, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5903, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5904, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5905, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5906, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5907, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5908, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5909, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5910, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5911, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5912, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5913, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5914, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5915, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5916, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5917, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5918, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5919, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5920, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5921, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5922, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5923, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5924, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5925, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5926, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5927, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5928, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5929, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5930, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5931, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5932, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5933, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5934, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5935, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5936, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5937, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5938, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5939, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5940, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5941, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5942, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5943, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5944, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5945, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5946, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5947, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5948, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5949, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5950, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5951, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5952, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5953, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5954, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5955, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5956, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5957, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5958, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5959, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5960, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5961, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5962, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5963, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5964, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5965, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5966, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5967, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5968, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5969, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5970, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5971, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5972, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5973, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5974, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5975, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5976, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5977, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5978, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5979, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5980, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5981, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5982, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5983, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5984, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5985, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5986, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5987, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5988, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5989, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5990, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5991, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5992, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5993, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5994, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5995, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5996, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5997, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5998, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(5999, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6000, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6001, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6002, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6003, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6004, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6005, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6006, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6007, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6008, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6009, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6010, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6011, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6012, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6013, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6014, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6015, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6016, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6017, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6018, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6019, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6020, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6021, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6022, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6023, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6024, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6025, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6026, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6027, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6028, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6029, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6030, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6031, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6032, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6033, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6034, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6035, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6036, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6037, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6038, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6039, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6040, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6041, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6042, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6043, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6044, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6045, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6046, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6047, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6048, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6049, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6050, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6051, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6052, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6053, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6054, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6055, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6056, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6057, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6058, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6059, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6060, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6061, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6062, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6063, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6064, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6065, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6066, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6067, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6068, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6069, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6070, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6071, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6072, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6073, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6074, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6075, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6076, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6077, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6078, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6079, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6080, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6081, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6082, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6083, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6084, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6085, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6086, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6087, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6088, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6089, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6090, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6091, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6092, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6093, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6094, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6095, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6096, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6097, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6098, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6099, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6100, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6101, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6102, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6103, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6104, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6105, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6106, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6107, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6108, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6109, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6110, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6111, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6112, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6113, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6114, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6115, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6116, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6117, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6118, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6119, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6120, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6121, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6122, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6123, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6124, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6125, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6126, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6127, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6128, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6129, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6130, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6131, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6132, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6133, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6134, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6135, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6136, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6137, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6138, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6139, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6140, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6141, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6142, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6143, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6144, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6145, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6146, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6147, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6148, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6149, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6150, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6151, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6152, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6153, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6154, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6155, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6156, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6157, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6158, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6159, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6160, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6161, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6162, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6163, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6164, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6165, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6166, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6167, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6168, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6169, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6170, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6171, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6172, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6173, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6174, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6175, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6176, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6177, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6178, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6179, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6180, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6181, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6182, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6183, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6184, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6185, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6186, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6187, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6188, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6189, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6190, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6191, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6192, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6193, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6194, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6195, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6196, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6197, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6198, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6199, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6200, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6201, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6202, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6203, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6204, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6205, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6206, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6207, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6208, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6209, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6210, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6211, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6212, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6213, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6214, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6215, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6216, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6217, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6218, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6219, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6220, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6221, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6222, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6223, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6224, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6225, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6226, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6227, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6228, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6229, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6230, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6231, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6232, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6233, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6234, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6235, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6236, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6237, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6238, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6239, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6240, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6241, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6242, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6243, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6244, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6245, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6246, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6247, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6248, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6249, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6250, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6251, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6252, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6253, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6254, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6255, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6256, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6257, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6258, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6259, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6260, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6261, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6262, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6263, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6264, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6265, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6266, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6267, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6268, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6269, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6270, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6271, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6272, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6273, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(6274, '', '', '', '', '', '', '', '', '', 450, '', '2016-05-20 12:41:14', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', ''),
(7404, 52, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.802564568,3.487632374,3.431743218,3.416485395,3.469229157,3.328733318,3.07053932,3.056330804,3.080301009,2.940060396]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.274073233,2.094319751,2.019643194,2.001047468,2.025994705,1.858117134,1.653474139,1.701547091,1.814699933,1.747405696]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7403, 48, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.651144578,52.162651734,42.460754789,34.147336029,27.758564175,23.194788476,20.343915543,18.606512316,17.387905684,16.301019112]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.052717375,43.961692362,37.554061691,30.536968387,24.219306743,19.188571298,15.762839979,13.653813381,12.499847205,11.795573955]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7401, 46, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.932581669,25.806159038,19.802943471,15.543628422,12.417172476,10.712885725,9.858970338,9.493034376,9.153497621,8.97224678]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.858187555,25.797193453,21.257665193,16.681979246,13.451827599,11.652832621,10.963289421,10.637144224,10.514768305,10.439227895]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7399, 44, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.990318978,160.416786118,131.031828541,105.246195913,85.681163343,71.686410281,62.885478937,57.522172386,53.746124601,50.337548021]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.362506364,145.404267752,124.262190627,100.900085272,80.202414631,63.552176997,52.139294838,45.089286476,41.202325352,38.879913109]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7398, 35, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[119.809723582,115.055162103,118.190837166,122.690917382,122.492816217,116.554358978,95.528921099,82.012389278,80.398886515,78.457247361]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.710832906,61.243636399,60.664969675,60.711665556,60.36872339,60.864834117,61.084423173,61.726830716,61.852763152,61.56491082]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7396, 321, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.48808955e-5,4.435678362e-5,5.17861324e-5,5.751925035e-5,6.222376854e-5,6.753899408e-5,7.523567836e-5,8.552944609e-5,9.841769279e-5,0.0001139034858]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.07141725e-5,9.241009825e-5,0.0001036110993,0.0001150666059,0.0001273953401,0.0001402458303,0.0001531419208,0.0001660207631,0.000178884621,0.0001917335332]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7395, 24, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3860266883,0.3014187718,0.2121700695,0.1356232949,0.08549830934,0.05449841128,0.0355667345,0.02331261907,0.01402495264,0.007375523506]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3133961756,0.2448256583,0.1800042448,0.1193196476,0.06536067104,0.02986222688,0.01245994066,0.004834912451,0.001581335388,0.000417370779]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7392, 371, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.802564568,3.487632374,3.431743218,3.416485395,3.469229157,3.328733318,3.07053932,3.056330804,3.080301009,2.940060396]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.274073233,2.094319751,2.019643194,2.001047468,2.025994705,1.858117134,1.653474139,1.701547091,1.814699933,1.747405696]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7391, 355, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.1202271216,0.04745883937,0.1538152775,0.2568725497,0.4095985988,0.6479311331,0.7689916458,0.8212825941,0.9109860734]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.2324629183,0.08717873113,0.2831815718,0.4928791814,0.6175923437,0.8606738722,1.121817734,1.343696205,1.586247502]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7390, 344, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6583233125,0.3871663008,0.09750144608,0.1043083469,0.1029327761,0.1066346231,0.1045125517,0.07987729147,0.08104124187,0.08285327813]}', '', '', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7389, 345, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1178180564,0.1097689909,0.09014349678,0.06543258136,0.04549840048,0.03118957628,0.02134707494,0.008660803883,0.005626011148,0.00340403429]}', '', '', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7388, 343, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.466966504,1.414469115,1.481728233,1.274786271,1.040359455,0.8196863967,0.7393628009,0.4490675753,0.7308744029,0.5887339497]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1404773303,0.07979212505,0.1121925799,0.09458253713,0.1413620251,0.1915552857,0.3117177821,0.2634646544,0.3071855476,0.2071515225]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7387, 342, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.418360878,9.782556493,10.807012568,12.399968641,12.993699894,14.122694618,13.175706984,10.436427298,10.290614675,10.659733126]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.525988053,0.9583440852,0.9371156912,0.9633692835,1.041638691,1.457445638,2.043784948,2.67274473,2.743174837,3.02535442]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7386, 356, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3103546063,0.2515727859,0.3381554935,0.5848229068,0.9221864179,1.122287116,1.186556163,1.222588085,1.383141113,1.258898061]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6128887039,0.5782449154,0.8359231532,1.055659883,1.338620127,1.746379167,2.054383224,2.343086052,2.770682508,2.16056668]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7385, 354, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3103546063,0.3717999076,0.3856143328,0.7386381843,1.179058968,1.531885715,1.834487296,1.991579731,2.204423707,2.169884134]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6128887039,0.8107078336,0.9231018843,1.338841455,1.831499308,2.363971511,2.915057096,3.464903785,4.114378713,3.746814182]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7384, 352, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5015787334,0.6887975314,0.8865291229,0.9675059688,0.9221124341,0.8976588609,0.8993560216,0.9095479147,0.9169674318,0.9679621812]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6712803753,0.8956743485,1.126013549,1.248867295,1.240960525,1.244379046,1.26500947,1.29404434,1.319697274,1.413327872]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7382, 347, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.438793372,9.897599925,14.80675273,18.237187075,21.188612913,24.431420041,31.716494714,41.527344325,47.388890522,48.420193906]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.982274301,14.36957479,21.603181757,26.788948831,31.385555824,36.799868678,48.895935551,64.75635241,74.801970392,77.454406801]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7381, 346, 118, '', '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01585199609,0.05909854479,0.05762875657,0.05527628843,0.05267188964,0.05003627722,0.04755067707,0.01200182616,0.01139382003,0.0107477586]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7380, 340, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.629582362,67.196033315,63.830694232,61.152443526,59.075213104,57.109636778,55.223017688,53.302629363,51.262960278,49.379094873]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[202.848853605,195.679326174,188.329596581,180.904076943,172.743127407,166.522179668,159.911186752,155.417401426,150.375581099,144.108128621]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7379, 339, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.379003535,103.495031236,85.135195904,57.782086824,34.731660385,13.927955985,4.76296312,null,null,null]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.56008813,26.306473622,20.289545564,12.95932421,6.51910099,1.135576298,0.1162255895,null,null,null]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7378, 337, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.891396201,168.48962411,174.440805171,214.823875994,289.971665698,322.995364067,313.772685406,310.99811993,311.494165046,288.405429322]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.608053682,84.028017749,88.921922427,115.754256752,162.632821196,173.259881594,149.022238959,138.254731427,141.262411992,131.393763158]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7377, 331, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.09354097,12.342278884,13.658895615,13.902220657,14.495603522,14.9276591,14.904653823,14.815989831,14.744351417,14.647567567]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.203996098,6.350018238,8.528671049,10.305328545,11.977425949,13.066592113,13.229019099,13.02483261,12.988757207,12.849483763]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7376, 48, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.711435718,36.679998756,30.899987706,25.456170262,21.403008756,18.55209957,16.58177972,15.477045428,14.743305838,13.958946512]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.929706185,29.977677115,26.507883115,22.345722352,18.411991013,15.521696539,13.412180501,12.247991857,11.739159247,11.376921475]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7375, 330, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.542303458,11.754718127,9.806967323,7.039773209,5.164171384,3.995502943,3.156272674,2.512148934,2.001722028,1.543844747]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.597396997,8.677803583,7.478584549,5.920675333,4.2125442,2.729787014,1.699533574,1.028150252,0.5776034401,0.2936737643]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7373, 371, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.358129186,4.010033478,3.956108676,4.008502962,4.087216358,3.798899461,3.34723666,3.444385281,3.624591387,3.38661968]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.800696232,2.591839814,2.48468995,2.488983377,2.477240792,2.257367148,1.975139461,2.076641524,2.259323969,2.182665608]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7372, 138, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.001591354314,0.02146079001,0.1738996044,1.170980955,4.081898484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.6592561922,4.114400959,15.726078935,52.31759542,127.431503892]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.00390486004,0.05694444318,0.3743334132,1.951639206,6.102581772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.6567918604,4.149894057,13.926185659,39.057462262,85.990537667]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7370, 269, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.822246963,0.863621493,1.4637011,2.245706934,3.341010359]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,45.11146559,75.841012537,114.668498489,169.519613572,235.951840467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,3.076252979,5.211814915,6.099987937,8.251260667,11.173278783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,77.019628397,142.48770826,223.080445973,332.995431504,473.416775589]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7371, 112, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.1005574645,0.1276885231,0.1707687838,0.3813632378,0.8154537629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.002786441753,0.02507807729,0.173747316,0.5112531635,3.013193799]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.4398045266,0.6242428048,1.14767577,2.293619803,3.906566331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.001684113384,0.01515703957,0.1667098703,0.7112341562,4.322367078]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7369, 110, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.1487193287,0.2090434865,0.1518221156,0.2317745122,0.2468578983,0.8160340225,1.607069671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.4155267532,1.65023566,2.914393656,4.161417146,9.614360984,25.030492376,50.930454744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.05282530933,0.06910321483,0.1775730473,0.2687804528,0.5045089937,1.184316147,2.816620459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.3851670487,1.567670079,2.958953887,4.64522145,15.458032243,51.820514982,144.959716777]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7368, 272, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,21.114180315,16.643064727,11.162199736,10.225572216,10.199030918,12.808204779,17.388661358]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,1.872083031,2.418089668,3.695593907,6.37620033,9.843857729,11.756418259,12.640987245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.707724295,1.572627377,2.776162093,5.674742297,9.110209894,15.525457728,24.74701397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.08428123561,0.2014215388,0.4500796481,1.219205597,3.031566854,6.370048211,9.649554093]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7367, 273, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,9.443909286,11.502457905,7.025987535,6.298077862,7.345092657,22.900047343,50.035675168]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,83.201915507,197.670870756,148.536633227,79.424798837,90.366257335,304.587152524,461.828752511]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,198.567912949,259.549597121,323.053097055,425.100308766,535.335521155,794.030917923,1133.467324526]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,312.098724201,520.650846579,906.333670571,1082.803535964,1230.980786104,1420.467353773,1608.522351265]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7366, 271, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,30.558089608,28.145522625,18.188187268,16.523650058,17.544123537,35.708252121,67.424336532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,85.073998535,200.088960426,152.232227136,85.800999159,100.210115048,316.343570779,474.469739751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,199.275637392,261.122224286,325.829258844,430.77505089,544.445730899,809.556375614,1158.21433901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,312.183005439,520.852268109,906.783750175,1084.022741521,1234.012352868,1426.837402074,1618.171905568]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7365, 146, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.7238665968,0.8673964935,0.8911919566,0.6791441601,0.5538979674,0.4325680522,0.6478465799,0.9027060786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.407795124,129.879191656,221.941678063,304.095159269,338.262848529,334.067466971,315.325301322,290.057391497,252.460156006,208.951170271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5387896332,0.9331900604,1.225140525,1.401304466,1.630768329,1.620411087,2.2297962,2.671660536]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.140032903,149.439517334,259.047671997,359.001223185,402.065847349,394.922450347,371.0763386,339.247396713,293.828551658,240.999380576]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7364, 370, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.460214761e-5,2.355447358e-5,8.192796815e-5,8.565589701e-5,0.0001726067132,0.000333462804,0.0005660499051,0.001008377334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.002842475e-5,1.778785608e-5,5.694950375e-5,6.058528946e-5,0.0001175049349,0.0002066744439,0.0002908436691,0.0004965194479]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.60637135e-6,7.497413392e-6,5.750341017e-5,9.889774147e-5,0.0005722038144,0.00101557874,0.001918737854,0.003070658728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.046049475e-6,7.460853318e-6,5.535647038e-5,8.823627648e-5,0.0004734403786,0.0007093919595,0.001202613216,0.001846630738]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7363, 369, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004536474533,0.0008566976352,0.003929463789,0.004310657912,0.009575148906,0.01215877528,0.02181005108,0.03585145257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004706144035,0.0009293941604,0.003948408947,0.003648165596,0.007475695282,0.009703344475,0.01473091365,0.02245042026]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.000320295767,0.0004436086725,0.003422345939,0.01162679548,0.07665218201,0.1233488869,0.2265509346,0.3434463269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004932818773,0.0004422913112,0.003542256423,0.01094972022,0.07258702883,0.1065276257,0.1953498094,0.2730300945]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7362, 368, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001044479117,0.001971258769,0.01176009274,0.0141817371,0.0388241346,0.06547553091,0.1429221267,0.2652702871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003702257793,0.0005423439873,0.003371086988,0.00386754378,0.01029405942,0.01714037837,0.03672379392,0.06420824698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001189268523,0.002981884139,0.03267036553,0.07689926321,0.4129639712,0.8390883453,1.512447178,2.568849444]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004180954796,0.0009799689912,0.0112193689,0.02481906418,0.1190097484,0.2391948155,0.3924074079,0.6371184661]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7361, 367, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001935109597,0.0003645754929,0.0022162547,0.002632916962,0.007243905394,0.01231177243,0.0264533856,0.05008584829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.843959766e-5,9.997631321e-5,0.0006340998699,0.0007203549913,0.00192327492,0.003227896213,0.006794279435,0.01204674847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001428571978,0.0003594283386,0.004008287937,0.009337323888,0.0506173984,0.1031530673,0.1884019543,0.3148574782]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.018077924e-5,0.000117824442,0.001378295599,0.003012721994,0.01455289779,0.02935736533,0.04883682872,0.07829231517]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7360, 366, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0002708981463,0.0005148802685,0.003125448638,0.003727797027,0.009944323678,0.01751117623,0.03827829118,0.06975438303]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.600497375e-5,0.0001422142326,0.0008946155361,0.001020795102,0.002642338659,0.004596758297,0.00988154894,0.01691786273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.000166093669,0.000410464659,0.004497306352,0.01063671372,0.05877366862,0.1207439534,0.2152890829,0.3590946002]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.833498844e-5,0.0001352826811,0.001546454112,0.003446519578,0.01689821476,0.03425602577,0.05617170228,0.08942864286]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7359, 364, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.00180279133,0.003377481374,0.0201169476,0.02423157566,0.06579993846,0.1111690554,0.2430974923,0.4562414814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0006381803465,0.000928925671,0.005750827404,0.006618027603,0.01743787172,0.0291295167,0.06246180721,0.1103176188]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001434569714,0.003557097198,0.03978435601,0.09273726836,0.4936664205,1.007948175,1.806758123,3.09536601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0005044943831,0.001167732839,0.01365774834,0.02990033101,0.1420812651,0.2873204064,0.4695697224,0.7687587958]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7358, 363, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001550734634,0.002922332269,0.01757005276,0.0212808696,0.05809845622,0.09762300671,0.2136956521,0.4062303782]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0005492974498,0.0007996408466,0.0050233797,0.00581621034,0.01541945984,0.02555438029,0.05490140516,0.09819646289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001657057439,0.004174482697,0.04568095511,0.1070369171,0.5748187672,1.163655746,2.095636706,3.612454764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.000582659281,0.001369600023,0.01568264912,0.03455764013,0.165839261,0.3325597129,0.5429120814,0.8962275467]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7357, 362, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.782289699e-5,0.0001269864145,0.0007695286435,0.0009262343527,0.002548457012,0.004345874188,0.009439633563,0.01764285834]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.398466396e-5,3.500063533e-5,0.0002203601415,0.0002529336906,0.0006769664936,0.001140352027,0.002431185571,0.0042753427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.847833195e-5,9.623716386e-5,0.001079513431,0.002504941333,0.01349411604,0.0280817421,0.04984440171,0.08406776776]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.352267815e-5,3.162482771e-5,0.0003711174609,0.0008079690163,0.003886638385,0.008007591137,0.01298199385,0.02088773259]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7356, 361, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.177490975e-5,4.14586331e-5,0.0002497165658,0.0003059288144,0.0008204699344,0.001396317057,0.003049407775,0.005700350049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.711000913e-6,1.1420272e-5,7.152148009e-5,8.333541077e-5,0.0002175383417,0.0003662475043,0.0007854998877,0.001375376257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.534981312e-5,3.87027231e-5,0.0004238057353,0.001002792442,0.005489647946,0.01130267599,0.01981608876,0.03436157615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.387302008e-6,1.267786621e-5,0.0001456447836,0.0003232195842,0.001586381304,0.00321956096,0.005142967861,0.008528544244]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7355, 360, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.108652956e-5,2.096392118e-5,6.970290608e-5,8.429879143e-5,0.0001471715462,0.0002481344891,0.0005239110345,0.0009560683016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.925530138e-6,5.775924395e-6,1.992101387e-5,2.302219482e-5,3.912325533e-5,6.506964483e-5,0.0001345979749,0.0002305381423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.822600913e-6,1.45645034e-5,9.061792588e-5,0.0002088469793,0.0006833634757,0.00140639915,0.002073660857,0.003551966226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.041707501e-6,4.785554308e-6,3.113906934e-5,6.750152907e-5,0.0001969240788,0.0004024004943,0.0005384051923,0.0008830465761]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7354, 358, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.000149872717,0.0002842076749,0.001699120836,0.00203567803,0.005531569075,0.009739154544,0.02063959402,0.03845831496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.29224566e-5,7.827326222e-5,0.000485088836,0.0005547984236,0.001464938692,0.002543513159,0.005321633045,0.009281253006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.000133634908,0.0003321980676,0.003655307073,0.00843185253,0.04644512301,0.09655221067,0.1713473169,0.2904731371]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.708369653e-5,0.0001087030575,0.001250019936,0.002718340561,0.01350119936,0.02753393456,0.04432361582,0.07219422587]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7353, 270, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.395280312,5.617868507,6.345543358,6.574295528,7.852587213,12.597685234,25.009062769,51.826783618]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,18.106250812,22.636396435,32.124958042,49.809564023,79.273495794,104.972203581,124.555217609,153.625410935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.035906181,6.181798852,11.408745049,18.241295122,31.506143423,51.688169039,92.495608083,157.017486942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,10.317668133,15.185681773,24.068233629,38.850226025,61.284390025,88.516816371,121.947179947,155.921178271]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7352, 300, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.341304872,12.511276167,14.344451653,13.486295724,16.344543576,21.293602761,38.875022811,73.282333013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,10.4694446,14.778222962,20.890901548,30.109370622,41.567465694,58.493463033,84.936229553,115.878528475]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.736621875,12.149802632,21.005211334,32.859291376,55.01402314,78.638635092,126.410203497,203.026682608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,10.924901787,14.159008839,21.352745886,31.269158174,43.209748879,66.325410234,99.730292055,145.291798539]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7351, 299, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.620326435,1.78732492,1.687388409,1.474796989,1.576890605,2.053472347,3.734132103,6.466627506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.06123248059,0.1095886216,0.2229974781,0.75180878,2.183774319,4.643944543,8.07928163,11.726985756]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.040064722,1.92738302,3.390028165,4.882204411,7.71049493,9.662240196,15.343922756,22.910933614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1186427935,0.1928553685,0.3564708473,0.9946613712,2.564603443,6.31187121,12.868239357,18.60010101]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7349, 297, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.583499181,5.52322948,5.783156037,5.474294921,6.135468505,8.212997998,15.551960154,27.494685098]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.103636705,6.400651152,12.588112526,19.417826165,32.152250305,43.486128088,73.139514534,110.377070038]}', '', 2013, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7348, 296, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1135054082,0.1496318983,0.20786421,0.2335247943,0.3499790852,0.7329090107,1.592185706,2.990047725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.07822146203,0.1130398099,0.1718304988,0.1955419912,0.2721105444,0.5451512012,1.088895632,1.840653594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1044984833,0.1762991896,0.3003933706,0.4286865315,0.8106363737,1.668399962,3.561998106,6.970238077]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.08698639508,0.1578491019,0.3037879382,0.466402846,0.9961750528,2.385491681,5.397674165,10.533483496]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7347, 295, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.677113378,3.120320004,3.203636096,2.856024755,2.994162625,4.164916905,8.159009391,14.56797346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1456668177,0.25814664,0.5018061715,1.500900876,4.182750058,9.214691144,17.20799193,25.824703878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.569320032,3.266931556,6.412672492,9.907566335,17.001994784,23.298741323,39.047474007,59.429193085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2127003112,0.391977499,0.7895542089,2.171177206,5.903532785,15.12626118,32.129520219,47.832792625]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7346, 294, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.703119343,4.282939054,5.203475883,4.916631637,4.794128653,5.859934477,10.014434286,15.546237462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,39.58268075,41.926527955,60.329649034,78.846927475,90.484077566,94.435399459,88.15189687,74.910594212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.606350944,3.033412669,4.767685736,7.760399826,14.465782264,19.020815594,25.18139658,28.335133225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,20.876511357,25.887024836,36.190486005,53.346248339,80.149191965,86.269925697,68.251964512,50.08286379]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7345, 293, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.019522518,1.340561842,1.748990363,1.864079427,2.106609274,2.727541946,4.296954588,6.381766677]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.612932283,9.440697755,14.047886585,20.758377589,29.728170821,34.823180161,30.938939437,25.6038113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.4758551963,0.8712932789,1.693142375,2.792572843,5.036998368,7.162304014,13.429356807,19.533814258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.961307741,3.825730653,5.590282415,8.565995964,13.262188875,18.318430049,23.174551489,23.941946812]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7344, 292, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5294013919,0.6325110231,0.7534016478,0.8197937611,1.014594679,1.517454596,2.773912508,4.716583532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.031511084,8.940861873,11.30630897,15.719829765,23.031871702,27.895598527,26.593626426,23.854081369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2051689619,0.414914971,0.7283677566,1.223212076,2.196956971,3.123500887,5.318048186,7.65850807]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.528749378,4.784202244,7.132563456,10.439374452,14.407247215,16.322349363,15.887825495,14.326828685]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7343, 291, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.09796818208,0.1321550364,0.1812938695,0.2088411332,0.3205162355,0.6751461703,1.430603201,2.60157387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.06748030469,0.09994472997,0.150019717,0.1749689003,0.2490762299,0.5017154673,0.9752298332,1.605104983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.08735310176,0.1484032854,0.251276342,0.3599032453,0.6514907233,1.262846712,2.52709159,4.638720182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.07178249825,0.1300019168,0.2401935306,0.3596929255,0.5922567951,1.048566737,1.951640413,3.323823648]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7342, 290, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.586750054,6.662753115,7.12310081,7.025779316,8.07172534,11.250220107,20.917470689,36.628482265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,21.941328182,24.877187619,32.237608569,45.420630048,70.368798995,92.999943723,100.358994169,104.529290797]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.383948621,6.939091949,13.241639211,20.84485409,35.054254161,48.164222309,79.637868266,118.743697412]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,10.146269003,14.222055147,21.829412918,33.114235127,49.084749747,67.200734973,87.507746741,103.708095705]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7341, 289, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.663689543,11.837445008,12.592250188,11.749126559,13.342965749,17.335181341,30.456382019,52.363809693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,42.244388972,47.842907296,60.938262271,84.747531645,123.211025934,154.213895794,154.72051223,148.011295922]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.771315131,11.233390303,18.394161768,26.855376232,42.107008051,56.973604097,88.599772719,127.962394321]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,19.861373673,27.377138963,40.770462672,59.693026223,81.429381208,99.096103177,110.18991416,114.109127397]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7340, 288, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,14.524184551,18.909149467,19.981731845,17.71721264,20.496415701,23.740448286,41.173582958,73.579723334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.358493358,3.80893112,5.510015568,8.562673487,14.655672354,25.314093717,39.18818156,53.296954867]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.859216117,19.418676435,30.398416286,43.023513209,68.166864922,92.366057189,140.650660227,211.955926665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.714021169,4.287962556,6.208083987,9.627212505,17.076595017,32.944448472,58.63310789,80.915257443]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7339, 287, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,18.037752525,23.854899022,26.215311759,24.558262095,29.173521131,34.202170986,61.589424714,111.529036668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.783815607,4.579499398,6.639491232,10.380497996,18.510903758,32.451409762,52.429828633,72.361255515]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,12.781115241,25.68294245,42.206679109,63.988711941,104.420386588,146.00218476,234.51889155,355.810271694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.371108344,5.541693411,8.463987593,14.252893655,26.41049589,50.92984508,92.941616474,129.877394771]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7338, 286, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,41.046148896,53.271377719,59.748279237,57.618421646,68.895555775,90.872881452,168.502873708,308.493677588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,103.250144288,122.128672241,167.880011882,237.726074718,340.380424711,439.535903518,497.050358905,544.914086464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,25.091606385,51.451010067,89.032340296,139.749892335,237.447882512,343.482258061,568.664497376,886.477306275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,56.940806382,77.9264586,118.047503512,179.052656853,266.15141519,364.669045986,476.198863106,586.956841654]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7337, 268, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,62.218515361,77.611338412,90.094889203,83.318614345,95.128406748,132.380213716,234.720999499,412.353386011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,202.316991337,282.600647484,599.353094445,910.986028695,1273.928296226,1707.731021705,1984.69657122,2266.393845091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,14.275258836,29.916693498,60.181094812,89.941906719,133.910786391,203.020663991,295.890302236,483.806166281]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,67.189250719,101.875989378,259.108844641,395.279150474,491.789266931,690.596085658,757.423275009,1013.699844237]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7336, 266, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.907321591,4.799099956,5.647171569,5.947013873,7.193142775,11.271383889,19.539265014,30.952143292]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5864235468,1.297562362,2.214373954,5.103486829,12.247777582,24.911825583,40.32471388,51.544278056]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.263995681,6.944494602,15.338556011,24.950838858,40.38691948,52.575553888,69.903643049,80.698780135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.7886517778,1.960574596,3.539645048,7.506041307,16.238857968,33.6436482,55.081288592,61.305688746]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7335, 308, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.261856082,10.638946678,12.190765432,12.000290316,16.755943004,24.836248014,46.738318705,89.45384155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.937564627,11.315129051,17.81670687,29.233969023,45.693548311,72.390341938,108.912712506,147.640835893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.65664465,8.772683163,15.819036138,26.460821258,51.657941969,86.832302442,144.70699118,236.939581295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.160813793,9.174442377,15.641589067,25.783020747,40.621025015,73.995588836,116.861931832,174.619409094]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7334, 305, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.03207415559,0.06228743109,0.08157692722,0.1011360397,0.160134806,0.2670471075,0.5943894466,1.093846851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0113299038,0.01710011008,0.02343789966,0.02766943766,0.04219752839,0.06912393181,0.1515543757,0.2661718162]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.03772972544,0.09663367558,0.24423741,0.5784003937,1.191123465,2.369423659,4.34848789,7.433933298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.01320508003,0.03171158785,0.08448618791,0.1867528955,0.3425220581,0.6731640462,1.136485426,1.847613685]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7333, 307, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5893821545,0.6235785361,0.5317562764,0.3932963706,0.4144487272,0.6378044439,1.185948988,2.322172815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,13.392469925,19.523295967,26.507048543,34.087348298,41.894589653,50.31023417,59.264150781,68.890449073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2664889529,0.6041288459,0.9299632416,1.491120564,2.445043454,4.776498516,8.584167183,14.103942931]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,10.976062816,17.16622728,24.31998531,32.431460259,41.43720955,50.136223485,59.071105033,67.721049854]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7332, 357, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,4.049224031e-5,0.001709769155,0.01132099618,0.001898648729,0.0113029739,0.01969874868,0.0491026645,0.2276666522,0.6357340018]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,2.137495276e-5,0.0007779931251,0.004853615014,0.0008773763124,0.004718785152,0.007462583625,0.01763274085,0.07693198608,0.2007902314]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.566456322e-5,9.879107706e-5,0.02037761091,0.08766672627,0.3482954235,1.773855752,6.002216374,15.735092005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.265258512e-6,3.326422102e-5,0.006958643498,0.02965762877,0.1113903031,0.5524221368,1.730930048,4.311801307]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7331, 141, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01602822841,0.02500682857,0.02749934918,0.04726544837,0.03677243288,0.0499357167,0.05931309363,0.1015429634,0.1327721603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.539040248,3.610624755,6.531741063,9.005376313,11.636885739,13.265548272,13.787425301,13.110790903,10.892088383,8.638681215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.00869855699,0.01308811183,0.04126009793,0.03995378934,0.09963175585,0.1384959892,0.1283803396,0.2428924995,0.3250189764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8097570437,1.956942153,3.418365952,4.999491875,6.288279289,6.723906254,6.71956941,6.277855927,4.998774154,3.628450236]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7329, 329, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3033643845,3.880172285,10.816453681,8.76679849,7.160175689,1.700511672,0.7170882056,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7330, 139, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01336696152,0.01612179965,0.01467664184,0.01400925181,0.01828674119,0.0268984184,0.06960237979,0.2097708491,0.4922587396]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.004549114852,0.0312999839,0.0904607326,0.2036700016,0.4269300666,0.9504913792,1.822098411,3.376963046,5.844932356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01385115222,0.03313284513,0.0417151663,0.03630580431,0.05732767131,0.08315491175,0.1952380814,0.5310042892,1.448155971]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.005174148812,0.03560105882,0.1022691021,0.2274006412,0.4797851841,1.093149442,2.058237615,3.926406817,6.911305622]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7328, 188, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0201702382,0.1335909482,0.2568711446,0.258402738,0.1824920869,0.1043196259,0.0469066022,0.04329932104,0.1185515212,0.1402936366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.608393815,27.317182443,24.952728612,24.934321727,22.870940874,18.795001426,15.191955817,11.022447954,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7326, 185, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01152548879,0.04893731279,0.08791945243,0.08137933891,0.05339980461,0.03177364616,0.01272483208,0.01130468041,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.76167844,36.265491636,58.87484011,70.849968237,77.238840034,90.215311082,92.051008416,0.0008812319309,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7324, 182, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003185216831,0.01479240762,0.05723655965,0.05910528688,0.07121907669,0.03933146122,0.05048323427,0.04549328919,0.04250991466,0.05051295969]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.863521795,34.314507827,65.447877967,95.64977887,128.270532743,167.042191024,192.774392857,99.996205743,41.418921996,3.583464535]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7325, 183, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006339389179,0.02583334052,0.04337746733,0.03344752554,0.01879984503,0.006428591653,0.003263858073,0.002816432482,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.751138834,45.660816576,60.232202485,78.031305065,91.38578878,98.688483003,88.30059739,1.806672433e-21,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7322, 91, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1065612792,0.4822784756,0.7241201505,1.022673737,1.219674219,1.307449282,1.76786796,2.436685727,4.721374627,8.64657933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1741100133,0.893196033,1.376096466,1.571311998,1.690923464,1.537322394,1.614351807,1.798147748,2.958188859,4.584617853]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7323, 181, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05170798245,0.2670947061,0.5186622637,0.4942902545,0.3686951273,0.2064716127,0.1235804938,0.116581471,0.199164619,0.2394066982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[114.087489744,293.972762149,406.925286091,489.395096337,534.477093441,622.580420205,566.565704183,185.467964477,109.771824715,55.35447524]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7320, 80, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08970775964,0.9347072421,3.766622381,8.216863452,13.94653341,14.687521828,17.591401336,18.364159277,27.594583047,41.121079118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08035868114,1.381943412,7.295584715,14.90775567,19.965176321,16.760713874,15.177037798,12.402270624,16.084000378,21.437867843]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7321, 81, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007937051547,0.06564650902,0.09545358406,0.2920992128,0.351863877,0.4527771958,0.5415502934,0.9680293266,2.149045415,4.864870625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005303259143,0.1052960664,0.1883555463,0.737399665,0.9222277413,1.385935873,2.070557005,3.516598839,5.51184358,8.45582298]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7319, 58, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05555596794,0.3465693464,0.6683039288,0.5159308872,0.386399638,0.2165889167,0.143156438,0.0881435972,0.08171644982,0.07208964069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.521657264,13.051183503,12.818949897,12.101234419,11.131055071,9.712350581,7.377307007,3.916876429,1.785868671,0.3156409986]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.597619685,60.781525894,53.129632124,43.181466896,32.779210013,23.294208383,14.839078361,7.753921283,3.231318034,0.2622362705]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7317, 328, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.211377589,6.272970834,12.656055884,9.792050853,9.460753932,3.921824544,2.314639437,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7315, 42, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.344545225,8.47264163,16.735453013,13.203045035,13.461867095,7.131499105,5.859277965,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06541425362,0.1616804958,0.1354031352,0.1116991104,0.1104858538,0.06909597176,0.01812487885,null,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7313, 40, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.510381316,7.862859766,13.326668707,9.623255259,9.697531247,3.445085866,1.314941444,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.821986401,4.633731895,3.100251456,3.201724854,4.189239056,1.726093991,0.1158197498,null,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7310, 37, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.380332685,51.259922783,101.6760518,80.201228184,81.557147452,33.617973324,19.589735999,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.335168067,86.49584932,88.72215571,93.513472455,95.222980574,86.698944504,70.700043361,44.022235799,28.830808358,20.070610429]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7311, 38, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7528616022,5.099510273,10.612898896,9.736924529,12.332951579,4.645783671,1.487166819,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.118990028,7.702154126,12.209271108,11.472257228,8.032477233,2.975289146,0.6679244676,null,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7309, 315, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.581213383,64.24206834,142.093651472,208.00531475,278.034980629,349.029346052,340.108024363,260.632401416,150.246974303,110.003424828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[167.45677674,498.777965534,883.907817948,1212.076725404,1525.920243997,1642.395624024,1548.311712178,1234.498689341,966.159756922,824.909597877]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7308, 264, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.877102702,19.898499998,33.880133292,25.160673748,11.938904793,4.705610612,2.376958925,1.192088823,1.004872845,1.067026837]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.766233759,13.388259151,19.411165949,24.287837984,25.819672915,26.162986143,26.285878831,26.005772525,25.547008744,24.940312744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.123976866,25.692557762,63.405736859,81.899042882,67.119771944,45.196839467,30.444717494,17.267207925,14.114038116,10.371579662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.083065902,31.758604703,52.661943376,72.432796652,83.747971514,89.978509386,92.8335528,93.74794743,93.612325277,92.923228593]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7307, 263, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.058295249,18.65776987,32.515553749,25.783750233,13.076597724,4.978757915,2.365062116,0.8054761613,0.636202297,0.7161524124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.957717391,3.523501214,5.08568432,6.606218691,7.468933891,7.951973268,8.187210658,8.217193052,8.158031107,8.115422864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.536205728,44.293501114,84.285943482,90.404924783,66.012544043,39.240285198,25.302030329,15.898289742,11.415261759,8.12611054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.35382732,13.609465587,20.130380498,27.508541844,32.613348698,36.22171492,38.277130477,39.368677929,40.138518151,40.425799597]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7306, 262, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.145486745,18.719022964,34.665040703,22.256945032,11.617228694,3.796086606,1.703773906,1.30841803,1.33959487,1.221822332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.912817031,2.76756398,4.117283259,5.655823334,6.405675033,6.818932543,7.136617323,7.344149733,7.566890844,7.746964066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.499533395,20.53483531,48.986503782,60.539448245,51.51658012,33.461233477,22.327303068,12.92488199,10.376039504,7.207540397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.154267123,6.574903982,10.908860899,16.66885799,20.250128405,22.854741413,24.495977365,25.478684735,26.547340094,27.366877362]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7305, 261, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.080884701,57.275292841,101.060727861,73.201369028,36.63273128,13.480455142,6.445794944,3.305983021,2.980670012,3.005001579]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.636768181,19.679324345,28.614133528,36.549880009,39.69428184,40.933891953,41.609706812,41.567115309,41.271930696,40.802699674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.159715999,90.520894243,196.678183692,232.843415771,184.648896288,117.898357963,78.074050995,46.090379607,35.905339361,25.705230573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.591160345,51.942974272,83.701184774,116.610196487,136.611448617,149.054965719,155.606660642,158.595310093,160.298183522,160.715905552]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7304, 260, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.454045445,26.756757329,36.762267666,28.744990496,22.05335169,12.768732483,9.494045672,6.703546139,8.342671805,10.625403851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5234544434,1.232774232,1.903813887,2.462779388,3.00096882,3.360250213,3.515418685,3.657390239,3.780598212,3.930232129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.124474789,76.171263375,113.28274953,112.645493301,101.281811561,75.586977885,73.861514968,79.938023319,83.517587364,81.2785781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.110874663,5.104449921,8.474979841,11.842509997,14.798490157,16.420538472,17.835309733,19.864769868,21.407612569,22.794370269]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7303, 259, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.534930146,84.03205017,137.822995526,101.946359524,58.68608297,26.249187625,15.939840616,10.00952916,11.323341817,13.63040543]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.160222624,20.912098577,30.517947415,39.012659397,42.695250659,44.294142166,45.125125497,45.224505548,45.052528907,44.732931802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.284190788,166.692157617,309.960933223,345.488909072,285.930707849,193.485335849,151.935565963,126.028402926,119.422926725,106.983808672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.702035007,57.047424193,92.176164615,128.452706484,151.409938774,165.475504191,173.441970376,178.460079962,181.705796091,183.51027582]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7302, 258, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4834174744,1.889806703,2.654286165,2.42350706,1.821729215,1.058114044,0.8147441672,1.052281612,1.342639631,1.756236324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.596118613,16.110523367,20.623877598,25.036418388,29.926331166,35.774992915,42.990883371,51.480277056,60.714314991,71.124579852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8609179266,1.963478755,3.382322341,3.975190584,3.774010843,3.292609592,3.48932055,9.574679354,10.107089087,11.381467737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.912362862,25.302646212,32.190043319,38.762105648,44.525004089,51.437188782,61.517907685,74.385846893,89.577664382,107.007438274]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7301, 353, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00530837517,0.01180142659,0.01285539357,0.01255707824,0.01188927643,0.006440083687,0.005104200962,0.006119258661,0.007332035407,0.007624612384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4710047375,0.8025694198,1.12870373,1.413603982,1.751689733,1.851572997,2.013577981,2.225025604,2.438013005,2.823370105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04117760822,0.1150879042,0.1519096471,0.1581607417,0.1563973345,0.1707993339,0.1544159599,0.245851563,0.2647066277,0.250279945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.188932441,2.515134299,4.430805493,6.17110457,7.382968949,7.840782613,8.930195209,10.487033464,12.558011521,14.894895439]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7300, 351, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.370507379,1.260451269,1.75828627,1.542776729,1.389437359,0.8637621468,0.7265460748,0.8455372994,1.185968926,1.792401187]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5536789348,0.6575522816,0.6952556799,0.6933158589,0.7162416327,0.7717012666,0.8587691104,0.9891303904,1.180036631,1.442213236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8910958772,2.560152059,3.814298047,4.780764096,4.387137793,5.056084568,5.254952309,4.770740351,5.675111132,6.821575904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8120827013,1.089306289,1.279036549,1.399313731,1.526327975,1.69848036,1.947653145,2.257358259,2.604092041,3.01954197]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7299, 350, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3758157542,1.272252695,1.771141663,1.555333807,1.401326635,0.8702022305,0.7316502757,0.851656558,1.193300961,1.800025799]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.538283545,2.150504883,2.680022151,3.035733443,3.373973397,3.517948456,3.768023394,4.11489257,4.52228433,5.21541206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9322734854,2.675239963,3.966207694,4.938924838,4.543535128,5.226883902,5.409368268,5.016591914,5.93981776,7.071855849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.660231353,4.510800393,6.880378587,8.87079543,10.177337398,10.792252238,12.141701112,14.034072992,16.487669145,19.335746004]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7298, 257, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01888134284,0.07430059688,0.06757553071,0.09590775172,0.07835907365,0.0531563558,0.05446826077,0.1232919056,0.1885373635,0.2271564916]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.738893872,2.164296713,2.696416872,3.090367634,3.376656159,3.585176911,4.022536602,4.589907291,5.218293437,6.109096177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1160913512,0.2290815031,0.3928972822,0.4372468425,0.5357167751,0.3942367072,0.5851020403,0.3429137343,0.4241271864,0.4971049618]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.478001551,3.047763808,4.046928028,4.835268195,5.236448093,5.30640283,5.524928006,5.885329235,6.399098428,7.304543622]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7297, 256, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1067575193,0.5161349691,1.178318139,0.7881356969,0.5592686179,0.3261091979,0.4239335738,0.456013566,0.6695909325,0.8778343036]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.56921631,1.969709763,2.399007704,2.797818666,3.165619748,3.400381448,3.539922062,3.693469176,3.85282163,4.040932303]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1984669701,0.3125252868,0.6759797744,0.7837230297,0.5757795445,0.6741528996,1.084704314,0.7737245405,1.470707447,1.506030383]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.24996379,2.815179707,3.542726421,4.305900185,4.938458209,5.164677068,5.146073537,5.188192015,5.250707992,5.407532665]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7296, 255, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1256388623,0.5904355665,1.24589367,0.8840434473,0.637627691,0.3792655541,0.4784018343,0.5793054719,0.8581282975,1.104990796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.308110182,4.134006476,5.095424577,5.8881863,6.542275907,6.985558359,7.562458664,8.283376467,9.071115067,10.15002848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3145583214,0.5416067893,1.068877059,1.220969872,1.111496317,1.068389604,1.669806354,1.116638276,1.89483463,2.003135348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.727965341,5.862943516,7.589654449,9.14116838,10.174906303,10.471079898,10.671001542,11.073521251,11.64980642,12.712076286]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7295, 254, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8198140228,3.793292717,6.1756724,5.884710792,4.701391291,3.232887168,3.100430887,4.577215534,7.252578437,13.425543685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9261002864,1.860528288,2.41709925,2.63320752,2.569043846,2.882884359,3.574701435,4.481872649,5.604290607,6.544930346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8718233835,2.070250536,3.93948791,6.325013346,7.094231508,7.953884995,11.051915439,14.912930523,20.190862661,29.326838369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.048031503,1.515263863,2.160439461,2.629666235,2.912709043,3.864032269,5.483417626,6.649855754,7.36347586,6.954305278]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7294, 253, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1366225733,0.5126507023,0.615247473,0.5560961148,0.4742779578,0.2585891571,0.2303205467,0.3979802606,0.5209846663,0.8145441404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.474186618,30.288885174,35.411287822,39.242083203,41.2390224,43.212255717,44.710609509,46.665582865,50.295648632,54.591251528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.916331003,5.501824336,8.65321346,9.438272264,8.853269488,7.4780526,7.567808802,9.589668269,9.709752686,9.767542925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.019845839,102.751671344,130.647113864,155.652560673,169.758798512,176.747703828,187.019589348,199.461447975,212.654256128,226.40702187]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7293, 349, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1758736405,0.3994468229,0.3763866501,0.2804074611,0.2201343427,0.1445102517,0.1284123887,0.07275112733,0.0669934165,0.1352170003]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6732203553,0.8893863944,1.080178831,1.22892541,1.385263198,1.546865881,1.640747392,1.707606717,1.768711505,1.854443542]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2353422236,0.5346281204,0.7322396876,0.669383045,0.5441803305,0.4746122701,0.4575127319,0.4672270807,0.5454469886,0.5446784915]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8013357083,1.044410107,1.426416789,1.774062217,1.979105837,2.133009963,2.228142499,2.346914153,2.558841478,2.818355889]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7292, 252, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7693973023,3.457957076,5.165903321,4.25616938,2.848636228,1.69623769,1.18049393,1.489616348,1.920937918,2.456339989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8054872645,1.434375904,2.354321206,3.215220428,3.709878692,4.040159634,4.216780492,4.329922652,4.509849159,4.720972419]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.862344235,19.021140629,31.468501895,31.790915611,25.516882449,19.857321827,18.064971882,11.776504562,12.774032807,13.007228108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.981953106,4.894743706,7.472071417,9.736800921,10.936564373,11.248015613,11.291439483,11.407403204,11.619441266,11.978069624]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7291, 251, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.081893516,4.370054601,6.157537444,5.092672956,3.543048528,2.099337099,1.539226865,1.960347736,2.508916001,3.40610113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.952894238,32.612647472,38.845787859,43.68622904,46.33416429,48.799281232,50.568137393,52.703112234,56.574209295,61.166667489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.014017461,25.057593086,40.853955042,41.898570919,34.914332268,27.809986697,26.090293415,21.833399911,23.029232481,23.319449525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.803134653,108.690825157,139.54560207,167.16342381,182.674468722,190.128729404,200.539171331,213.215765333,226.832538871,241.203447382]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7290, 250, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8128238126,3.78251415,4.982227616,3.967663613,2.829617723,1.708747721,1.229479854,1.384206182,1.796886049,2.196036295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3084729534,0.3561538466,0.4105801632,0.4592056312,0.4867408681,0.5016410229,0.5199501005,0.5370080187,0.554540309,0.5781417459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8009893848,2.328364227,4.119725507,5.151789768,4.578439321,4.180748659,3.966937861,5.563842163,5.874003055,7.367538062]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4126779032,0.4709718617,0.5453039532,0.6219819615,0.6684288919,0.6818346851,0.7048298382,0.7364081921,0.761517073,0.799647437]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7289, 249, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.698481881,8.970557649,12.033756698,10.90050691,7.567417036,4.370642184,3.315067799,3.374072005,4.231392167,6.710459968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.619904995,17.513231705,22.143431304,26.389145528,29.532002027,32.562918296,36.252454045,40.295906108,43.634626054,46.981600029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.500967249,4.791102142,8.733070848,10.408002022,10.175822333,9.192841786,8.519454344,10.029759118,10.979704253,14.851587623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.951042662,18.511441285,25.547295585,32.837263824,38.336555449,42.895929137,47.568590051,52.13660847,55.64357821,58.811252814]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7288, 248, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5479769066,1.802214441,1.99508269,1.928394467,1.313776028,0.7620974394,0.5637893266,1.068004654,1.420326117,1.817473788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.95650151,2.24804655,2.560236081,2.847991707,3.080464713,3.26599072,3.545039481,3.947273762,4.608073636,5.40097668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.830618824,6.155612789,9.232313038,9.872314587,9.22888548,7.395261319,6.953575425,6.828496856,7.173085701,7.469585865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.476252877,4.103192166,4.733795742,5.302337334,5.723684582,6.120696038,6.553807181,7.172645962,7.964592039,8.877045149]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7287, 247, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5307622928,2.05628728,2.699015799,2.247436175,1.895435249,1.094972782,0.9084425112,1.114467464,1.525415398,2.26088415]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.590607854,54.235129495,75.711594303,98.819246889,123.837940893,146.63145232,170.394665615,198.451367032,228.661455269,265.350433495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.583006472,7.336638599,10.942726194,12.604827612,12.023503573,10.842841407,10.482334298,15.605233271,16.313918977,18.321928399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.547090614,97.652683832,134.382810941,172.542393329,209.997831888,249.066973445,300.333856116,366.40552544,442.861594988,534.326659098]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7286, 246, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.476624523,28.527415803,39.714614144,34.884269227,25.711369397,15.576266221,12.681233521,15.961557216,22.129583058,34.477751935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.796994176,131.220772084,170.488053286,208.795364447,245.682937106,280.92266768,319.176313498,364.295085898,413.944909559,472.512770178]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.709172507,52.919886885,86.238685633,96.395603548,87.44425677,76.96344796,77.633005955,90.481571386,101.502548607,121.113386778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[199.53878977,266.620768286,353.575324106,437.871135951,505.190926365,565.458715896,645.514282482,745.810250286,859.142436988,990.027617722]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7285, 245, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1885051646,0.7067516834,1.059440311,0.9694017771,0.6384061933,0.3779871853,0.2993478536,0.8034204363,0.9902510546,1.319419133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.199925194,7.752752933,12.001697397,16.96048433,20.963067642,24.22579182,27.805009905,31.854983712,37.052319797,43.077717397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4390394914,1.205185079,2.024072214,2.444538207,2.202752791,2.000474696,2.332698885,2.413399553,2.626685098,2.716957658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.400650695,18.463360969,28.875145575,40.992116167,50.382066877,57.29546381,62.563598813,67.419368453,73.130114558,78.965556376]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7284, 244, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02037257265,0.05245007174,0.06963125937,0.06583570129,0.04527929038,0.03852027324,0.02173888696,0.01384471253,0.05272584718,0.02840154787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4893752611,0.6564191868,0.9035842287,1.076050484,1.222491126,1.352396221,1.424173637,1.458221922,1.534556981,1.637194982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4431539509,1.19856562,1.909616095,1.996909281,1.884106077,1.746312706,1.674740403,3.367911481,3.810551718,4.06851138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8790806634,1.39709945,2.053022274,2.628950534,3.133120734,3.666091355,4.34642667,5.133081022,5.843322584,6.634670222]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7283, 243, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.761696336,20.395752231,27.6449938,23.795891076,17.172386481,10.235810031,7.458672018,3.160120811,3.92632117,5.052968109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.089938589,43.326005323,59.589069155,70.099060434,82.188418419,94.633866989,102.968206035,108.008593788,111.955157602,116.253987926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.649040318,21.378101334,36.673293944,41.686493846,39.43864214,33.925278791,33.194706702,14.375500272,14.869907203,15.235674852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.690087012,61.918513099,93.659536246,124.753209941,150.696812255,174.441638455,192.373649472,206.500907865,217.939378514,230.131902727]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7282, 242, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5622207535,2.46900795,3.061403998,2.688167025,1.587405645,0.8859629562,0.6142954349,0.1057094493,0.1180603737,0.1474590267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.836265567,4.143225096,8.220089114,11.575300514,14.245839865,16.140973248,16.967352643,16.915699651,16.61394762,16.368988324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.228332711,12.257228611,20.951196947,23.981810522,22.252990939,18.754990663,17.936972605,5.188090052,5.253418638,5.16680416]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.68127321,15.607015653,32.978040726,48.000141717,61.747711471,73.411812017,79.989009631,82.989862689,84.323231128,86.316414577]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7281, 241, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3873006942,1.544691589,2.02375289,1.683245311,1.175128392,0.7252880225,0.5565321056,0.94495129,1.154327853,1.55929303]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.87505234,4.241879157,6.248985262,7.831226027,9.258190012,10.698751775,12.267722142,14.087884596,16.683356076,20.177036962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.352336652,3.589126698,6.510047176,7.51904472,7.194978755,5.935115686,5.932047285,9.153700453,10.146395083,10.024718144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.48109483,9.464778893,14.762187384,20.687088663,25.426513175,30.455624967,37.396152387,46.259499994,56.745982601,67.428652133]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7280, 240, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8585505886,3.334765061,4.4563495,3.643602176,2.86811545,1.67835444,1.294987247,1.908667636,2.368974988,3.178132181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.839049569,16.793152934,20.397001561,23.369078167,26.527114198,29.970514755,33.972638833,38.317192404,42.993182279,48.375952216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.509989183,4.008672039,7.186829837,8.391266003,8.187770085,7.248811328,7.111481581,11.208425648,12.328343874,12.29673391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.518293146,23.227354852,29.814803603,36.179489776,41.323862398,46.891776362,55.198960382,65.441820849,75.634162213,85.613440377]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7279, 239, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.590140949,27.796666901,37.256131415,31.876741316,22.848315234,13.563935708,9.946225704,6.133293894,7.620410229,9.966253881]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.129681326,69.160681697,95.358729321,113.950715626,133.44205362,152.796502989,167.600093289,178.78759236,189.780200557,202.81316041]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.182852843,42.431694388,73.230983945,83.575524244,78.958488003,67.610509089,65.849948539,43.293627935,46.408616579,46.792442467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.249828862,111.614761947,173.267590233,232.248880632,282.328020033,328.866943156,369.304198542,406.325172419,440.486077039,476.125080037]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7278, 238, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.778646111,28.50341858,38.315571801,32.846143128,23.486721469,13.941922886,10.245573566,6.936714335,8.610661293,11.285673006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.32960652,76.91343463,107.360426717,130.911199956,154.405121262,177.022294809,195.405103194,210.642576073,226.832520353,245.890877806]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.621892306,43.636879397,75.255056172,86.020062579,81.161240795,69.610983885,68.182647364,45.707027472,49.03530171,49.509400133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.650479557,130.078122916,202.142735808,273.240996798,332.71008691,386.162406966,431.867797355,473.744540871,513.616191598,555.090636413]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7277, 224, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04749586011,0.1463683249,0.2879390213,0.1872325816,0.1698273234,0.1640621512,0.1082585839,0.1110921585,0.1548859302,0.3422353451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.081079299,21.162522521,24.633890977,29.662675711,35.667138927,45.19684912,55.901067535,70.853097737,90.132046518,113.23154751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02108471938,0.02713011695,0.1062367133,0.1618535254,0.2024757891,0.2085484553,0.2089391724,0.2766797801,0.2862332944,0.3853973238]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.615909117,27.03396272,31.430998307,37.651907259,44.054140574,54.333414257,65.147721628,79.860643701,98.574534376,120.426748125]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7276, 223, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09009422381,0.2684333636,0.4625768239,0.4149093522,0.338627383,0.3361777135,0.3682273466,0.4471648643,0.8833478726,1.837070623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6456976907,1.006018578,1.363812034,1.681705655,1.975565419,2.31548831,2.539615977,3.030303079,3.51023917,5.347884812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1175578153,0.2365184564,0.5780043382,0.9357435715,1.065085692,1.039949984,1.477118341,1.644260471,2.49736003,4.742850797]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7209929401,1.136066594,1.47833508,1.805829902,2.129389523,2.119947138,2.525634073,2.72990748,3.005168238,5.33162307]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7275, 215, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1035904615,0.7563032391,1.653085282,1.814775324,1.142059843,0.7127680412,0.6989712307,0.8473628786,1.229701315,1.944684721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5099603607,0.42877613,0.3963691861,0.3790768355,0.3549862173,0.3597318008,0.3874449568,0.4203260205,0.4595726024,0.5030773201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1215971213,0.2827087677,0.9230179046,1.883607258,1.923984247,2.299072777,2.859611639,2.872884033,3.691605535,4.609317339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6119141151,0.515993452,0.4757882334,0.4474065113,0.421709013,0.4273344032,0.4615217374,0.4971480297,0.5395338305,0.5997804219]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7274, 214, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07197371487,0.487116134,0.852423852,0.7276394331,0.5921622374,0.3898681256,0.4647364762,0.5557324156,0.9892902876,1.681114363]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9775891044,1.088205163,1.089571555,1.127240254,1.211766226,1.20400181,1.399301574,1.451315459,1.618131483,1.892811675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0610082844,0.1530093122,0.3304637596,0.774394934,0.8987215685,1.084399559,1.437974321,1.804634345,3.265109317,4.822547344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.198700494,1.275825041,1.706834996,1.95298883,1.835527106,1.884484471,2.080675522,2.413620939,2.617324042,3.012217817]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7273, 211, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3131542602,1.65822106,3.256024979,3.144556694,2.242676789,1.60287603,1.640193639,1.961352316,3.257225402,5.805105047]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[751.797663978,616.582250281,536.008041502,498.789870794,493.147875624,486.907885475,482.786527759,492.481652074,506.587663817,533.0197909]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3212479403,0.6993666544,1.937722717,3.755599292,4.090267304,4.631970779,5.983643484,6.598458631,9.740308189,14.560112811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[789.942010534,648.553825046,575.897143042,546.662156352,543.487891818,532.256218406,520.700818258,520.596342496,526.063339937,543.356008021]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7272, 210, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1682524927,0.4570127438,0.7058732057,0.5859471932,0.4554256745,0.3118967563,0.3513918029,0.3124925945,0.6328203044,0.9545211799]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.486130632,25.168080549,22.24505251,20.116281827,19.345874327,19.167543811,19.334582236,19.656973327,19.579764395,19.438509916]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1980907527,0.1823642783,0.26665159,0.3733623406,0.4365344839,0.4584441417,0.6811439055,0.7501743126,1.08853209,2.017966994]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.908214481,33.551491181,30.961485819,29.073510514,28.265809546,28.807521854,29.097209843,29.416077827,29.049512852,28.395760173]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7271, 209, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0307865958,0.1127749794,0.1437771868,0.123497255,0.1096809211,0.07384783816,0.09986195701,0.006189182152,0.02421451032,0.0293438961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.140566942,10.913305255,8.572748022,5.615961121,3.494899825,2.243602451,2.084597162,3.331706128,2.782350442,1.595514029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01497655336,0.01620558946,0.01765332782,0.01355570872,0.01322473286,0.02058991803,0.02344224696,0.02520004314,0.03929520663,0.04435492901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.991560835,10.768564102,8.669832193,5.717332001,3.604898636,2.186591985,2.08906901,3.54398066,2.946406074,1.607887812]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7270, 208, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.044572722,0.1399000687,0.1558998584,0.1111560941,0.1109559994,0.06028799415,0.08753256991,0.08916709844,0.1900495816,0.1935017757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.80021864,7.096126921,5.648493952,3.749706049,2.359976879,1.440801102,1.417872143,2.286672313,1.96750529,1.137957702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07492343443,0.09452221162,0.1570475661,0.2575778677,0.2946967228,0.3870923445,0.6295054443,0.4086027651,0.5399815553,0.7166357818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.878862325,7.268605669,5.753672509,3.817905695,2.458968037,1.50410157,1.418755548,2.175101918,1.782124792,1.001662986]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7269, 206, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2346306133,0.7665766231,0.9125710852,0.6947835349,0.5758872238,0.4205622842,0.4534670059,0.2966861056,0.5670309335,1.105573066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.931964005,4.374219721,3.085616342,1.789610063,0.9374943896,0.5225870333,0.3713671344,0.3051374672,0.2705477205,0.2897798285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2458280999,0.3160188948,0.4091564829,0.5050269991,0.6151847349,0.7877437118,0.9561620701,0.7323344919,0.8398580746,2.066082909]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.567710554,4.051982503,2.861407638,1.626724302,0.8648045028,0.4598322478,0.3447793419,0.2872502844,0.2067477034,0.1873976707]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7268, 205, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06943305654,0.1737358412,0.1747522739,0.2424484652,0.1218549554,0.09100715056,0.05057930691,0.06580727595,0.05610792897,0.08246197438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.028043577,3.047017595,1.41562224,0.3990556142,0.09288045666,0.02166204593,0.005913604953,0.0018308112,0.0005237360755,0.0001291493499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08972609168,0.1329134246,0.1053528255,0.1632643827,0.1379163616,0.1624856485,0.2173326774,0.2164050096,0.2601206786,0.3380799202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.482362057,2.64186627,1.215645977,0.3447586861,0.08362463211,0.02022380844,0.005467968184,0.001668116601,0.0004963142732,0.0001284995353]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7267, 204, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5476754802,1.650000256,2.092873612,1.75783254,1.373804771,0.9576020249,1.042832643,0.770342255,1.470223257,2.365401893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.758262501,50.893091446,41.13765631,31.756958939,26.281716375,23.429076878,23.236508195,25.591338194,24.606620751,22.465548777]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6235449321,0.7420243979,0.9558617924,1.312787301,1.497557037,1.816355765,2.507586349,2.132716624,2.767787603,5.183120538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.147528691,58.561064725,49.609990627,40.655651893,35.333004265,33.027240539,33.001344202,35.435710481,33.996316038,31.203208186]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7266, 203, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8608297404,3.308221316,5.34889859,4.902389234,3.61648156,2.560478055,2.683026282,2.731694571,4.727448659,8.17050694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1126.652144158,1037.33983986,1006.783299496,1049.045429388,1154.547807727,1334.439591798,1602.892993241,1961.407838743,2415.2917173,3029.347211813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9447928724,1.441391052,2.89358451,5.068386593,5.587824341,6.448326544,8.491229833,8.731175255,12.508095792,19.743233349]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1176.333420685,1087.127715502,1073.719381272,1133.544946612,1251.67714362,1448.699845682,1739.462377056,2076.310875291,2452.750202504,2958.115152088]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7265, 202, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.287778303,1.164497672,2.214844682,1.867450565,1.792809149,1.177192164,1.070914095,1.172159519,1.798601999,2.885593903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.03887184,18.987369617,79.566240383,215.178123819,385.695196111,514.310971507,609.34407494,782.335639665,1024.045117355,1223.551014833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1823869172,0.3109887286,0.8294581621,1.486470131,1.564505844,1.675675246,2.233607415,2.416596971,3.7553623,5.04583474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.957305964,15.571012261,41.497682122,70.095221354,102.023708187,129.997902242,153.190875279,186.458942033,230.462369009,268.131456263]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7264, 196, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.044695613,0.251269635,0.6261617841,0.6432148993,0.4781863564,0.3267514975,0.4074247052,0.5452343157,0.9251105646,1.388986182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[101.023681733,107.601946916,111.670335561,120.513157234,135.035779287,158.800341453,188.519090267,226.729873244,275.183216696,336.124404754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04409178251,0.08142921076,0.2264493079,0.3366230419,0.5130192811,0.4371330303,0.7397214681,1.18195974,1.968923597,2.720314595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.156024678,56.073657519,61.145764358,70.875967595,87.699429051,111.7332488,145.381128592,188.213144907,235.406306746,286.125046474]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7263, 195, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3324739167,1.415767309,2.841006469,2.510665458,2.270995506,1.503943663,1.4783388,1.717393835,2.723712567,4.274580086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[632.796795792,977.550176603,1390.60866769,1904.089599947,2509.461353588,3046.617626236,3533.048757974,4148.87290285,4850.988311918,5485.434585044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2264786999,0.3924179389,1.05590747,1.823093173,2.077525125,2.112808279,2.973328878,3.598556705,5.724285893,7.766149352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[699.397344673,1050.686238801,1394.496826522,1748.806171032,2135.64568609,2533.87204038,2962.526895952,3418.336256706,3871.624161707,4249.356942833]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7262, 194, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.817233063,21.198910096,43.595397483,41.324190587,29.470453935,16.271008802,13.227629075,13.785189664,17.031543955,23.654827209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.968114352,18.186377525,17.333441992,16.789338305,15.316379489,15.245131366,18.125618013,22.23475567,24.618919073,39.851548338]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.784613618,3.779035232,12.581327409,22.12230681,25.429818031,24.5328098,23.227513526,29.791799443,35.366353992,36.92414431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.896559398,11.612602792,11.591103617,12.752377524,14.32976814,16.843977154,19.643140149,23.033281849,24.850759953,31.135200893]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7261, 193, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4732750584,2.20286105,4.218657226,4.472653103,3.539097928,2.476606916,2.759657925,1.005877388,1.798298321,3.262337527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.060841511,6.659591511,5.593839657,5.297071683,4.133078184,3.685166085,3.78285482,3.399521992,2.80257029,24.493000121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2845620063,0.5812793203,1.353533746,1.773188084,2.653356518,2.940713161,4.048133373,1.799852843,3.176127458,5.499778811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.453634376,12.513898446,11.127378981,11.905114207,11.996394859,13.07056344,12.967093171,14.007199795,13.443802033,17.412920149]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7260, 192, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04641977511,0.3423776367,0.5830323422,0.5474268663,0.3637459753,0.1895968283,0.1341302589,0.06564969257,0.07140979472,0.09215825508]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1638009637,0.1574387061,0.1678937713,0.1797225763,0.1764721807,0.1895766083,0.1865979924,0.1672917404,0.1414987886,0.1530782469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05205116544,0.08901625325,0.2004327054,0.4125659719,0.3491631009,0.2735870354,0.2116538108,0.258554633,0.268176142,0.2663140894]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2146076458,0.1499069288,0.138438751,0.14914366,0.1464972298,0.1713429599,0.1785927504,0.2031244837,0.195746638,0.2261470611]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7259, 191, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1823978997,1.345598747,2.246548465,2.23063654,1.58203768,0.945120135,0.7501248069,0.3401925796,0.2938490221,0.3336258735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1599960661,0.148144589,0.1457680182,0.1331040566,0.1111594011,0.0877751109,0.0656126486,0.04200377755,0.03062031925,0.02292596131]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1264098066,0.2044730328,0.4578234722,0.9740134539,0.8513802748,0.7669593021,0.6603921259,0.78908636,0.6975853648,0.5268504322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0467685169,0.0427365042,0.04063729945,0.0351910993,0.02907980013,0.02302791029,0.01761966982,0.01328585275,0.01015059384,0.007962302229]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7258, 190, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1086407548,0.5165728516,0.4076063872,0.1126665627,0.01637790318,0.00288829268,0.000948946726,0.0003655688026,0.0003364237497,0.0003657906276]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05110130673,0.04842960591,0.01780948576,0.015272985,0.002204579126,0.001442854274,0.0002527216826,0.000331495637,0.0001112126502,0.0001288243867]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1030857727,0.1509096651,0.2263927621,0.2203213581,0.04453672479,0.006452490922,0.001186240935,0.001147916691,0.001018622044,0.0008415154827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07861662561,0.07592586203,0.02875599918,0.02986077528,0.003338978639,0.003649088908,0.0001941863782,0.0002339397739,0.0001033915494,0.0001136090504]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7257, 189, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8107334879,4.407410289,7.455844422,7.363383069,5.501259487,3.61421218,3.644861941,1.41208523,2.16389356,3.688487446]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.367215611,19.013576872,18.059289388,18.898363854,18.692986667,18.33738519,18.439457745,14.444647047,14.106630329,36.095696149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5661087512,1.025678272,2.238182681,3.380088867,3.898436614,3.987711983,4.921365556,2.848641751,4.142907586,6.293784848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.68702697,14.052671403,12.531458626,13.459687438,13.566702379,15.132148133,16.005931243,17.483111236,16.913895078,21.520190644]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7256, 180, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08121861038,1.009174729,1.77136532,1.924702658,1.504431846,0.838579695,0.6358713615,0.6739021716,1.206280651,2.352683851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.201833292,1.666000473,2.184983872,2.654386125,3.079273017,3.559910242,4.176774627,4.850451347,5.191261922,5.970489023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1689055415,0.3736100652,1.204096554,2.395359688,2.918854744,3.139968641,4.400901245,5.02679789,7.691958422,11.761489817]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.741581943,2.975355552,4.950495488,6.677336598,8.519079853,10.746195994,13.262932962,15.618655969,17.254011157,19.992076296]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7255, 177, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008008221571,0.04215842389,0.08008643356,0.07626280358,0.07685085719,0.04809289401,0.06747086393,0.0400786514,0.09909114976,0.09316419269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4959444614,0.8907207665,1.51552613,2.132603633,2.711415116,3.36244512,4.066236009,4.813839072,5.176086033,5.871069541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01210283212,0.02381909083,0.04629095153,0.03563495001,0.0878100653,0.1155098811,0.1264202261,0.2280953004,0.3992515373,0.320735905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7954288833,1.511930105,2.656636495,3.724466499,4.892999152,6.283629047,7.868616277,9.374899714,10.399225527,12.024937097]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7254, 176, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2114224456,1.129165711,2.109102055,2.399880237,1.553107363,1.096709208,1.08761968,1.237982795,1.781978885,3.158095019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9816621,1.150906135,1.176043851,1.143032685,1.085080523,1.043582861,1.087328461,1.190655667,1.343232451,1.607392882]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1064766725,0.2690607586,0.8258299554,1.244440731,1.49176137,1.826612867,2.082644694,2.603433974,3.380575926,5.462620142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2950479975,0.3525625949,0.4492605573,0.4769297306,0.453821256,0.4631938926,0.4656986183,0.4829694425,0.5380133542,0.6591714235]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7253, 175, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3006492773,2.180498862,3.960553811,4.400845706,3.134390065,1.983381795,1.790961906,1.951963622,3.087350687,5.60394307]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.679439854,3.707627374,4.876553853,5.930022442,6.875768657,7.965938223,9.330339096,10.854946086,11.710580405,13.448951446]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2874850464,0.6664899143,2.076217459,3.675435371,4.498426181,5.082091388,6.609966162,7.858327167,11.471785902,17.544845848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.832058824,19.786796488,23.680357941,27.479437667,31.639068367,39.463243451,46.32125086,100.713341788,270.003280046,535.098473032]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7252, 174, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3356022543,1.983333903,4.548638821,4.58126626,4.293741501,2.989656578,2.812939162,3.218234171,5.369518711,8.914468665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.836715844,27.767060745,36.810769523,44.722432646,50.948314135,53.106510408,50.279849988,51.082634335,59.156278707,67.187499544]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3291351785,0.8254583425,1.99291711,3.684342805,5.197772501,5.997605936,8.068267331,10.58551838,16.058745688,22.573256813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.258060811,20.144886166,25.316862477,32.39663916,41.175872146,46.089629902,45.688490832,50.205003569,58.871804465,68.583522465]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7251, 341, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4035558566,2.252671577,3.777539844,4.370207522,2.048980944,1.376496673,0.8425251256,0.8763602786,0.9748180807,1.660245359]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.390688207,42.239312911,57.868864266,72.891415071,84.88486919,92.743921702,94.634725912,104.623012654,124.341478252,132.121801081]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5177801873,1.143336968,2.541173112,3.973493461,3.945908163,4.168530558,3.201466672,3.871474248,5.79456031,7.305319021]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.837352135,29.918626726,41.958294705,53.596220322,64.724374845,76.01909714,89.305193526,106.18594848,123.81380008,136.484153464]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7250, 173, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2639747941,1.553514655,4.186675623,4.997424341,6.798468471,5.287521504,5.286729228,5.850581981,10.623216333,17.706908267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.489430908,37.015601574,57.922482259,84.326163089,113.050013412,130.639816971,122.120167901,121.310384722,135.852486035,156.461584247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2188741406,0.6209676062,1.901615697,3.995525339,7.369201071,9.448393864,14.551123438,17.752892344,25.580544901,40.684617197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.286514482,28.86405874,44.118874915,60.21749154,78.290696519,88.027797285,88.455433029,95.431857198,109.714091456,127.62615822]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7249, 172, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02728236035,0.07888111394,0.1159704023,0.04938745735,0.03186345427,0.01987129897,0.01503723313,0.02049438985,0.02873026923,0.02477933505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.743471719,8.913418713,13.870758056,19.436651705,30.807154945,45.927031707,69.103997969,89.236091253,106.829308248,114.188736972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01885492941,0.04203468042,0.05138926353,0.05957579024,0.03937816004,0.02110925086,0.02500265701,0.02264694978,0.04749746995,0.07497346772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.9965427,5.808389278,10.260514293,16.246840292,23.420538979,32.842919406,49.873467865,67.869120919,83.857333244,91.240470908]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7248, 171, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.030415265,5.868401246,12.628824669,13.998285577,13.173054372,9.673546055,8.957230765,9.965670823,16.996283374,28.306401608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.460306679,115.935393943,166.472874104,221.376662511,279.690351682,322.417280787,336.13874177,366.252122964,426.179551241,469.959621844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.084644435,2.631797595,6.48709519,11.712937398,16.552259915,19.635639592,25.845860127,32.232531866,47.481348317,70.638166487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.378470129,84.73596091,121.654546389,162.457191315,207.611482488,242.979443732,273.322585252,319.691930166,376.257029244,423.934305058]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7244, 338, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004706301558,0.04805822664,0.09275945302,0.07647865758,0.03807921961,0.01627843133,0.008697949074,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.515199763,15.184015901,11.696039233,7.625589637,4.894300041,2.981168646,1.352787264,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0007356682974,0.002638688841,0.006423486223,0.008687819423,0.006808675817,0.005265379879,0.004037852229,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.066894541,2.663203422,1.940231131,1.353904965,1.003199103,0.6046493301,0.2482988512,null,null,null]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7243, 161, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004706301558,0.04805822664,0.09275945302,0.07647865758,0.03807921961,0.01627843133,0.008697949074,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.299081561,118.846046563,96.51231062,65.553076566,39.660821028,17.055552478,6.11335087,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0007356682974,0.002638688841,0.006423486223,0.008687819423,0.006808675817,0.005265379879,0.004037852229,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.381524328,28.980240323,22.310679762,14.395763998,7.507263857,1.727483506,0.3645244407,null,null,null]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7242, 153, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8004520017,2.572984883,3.75945337,3.169654379,2.972623212,2.009645478,1.818562713,1.414917498,1.953853246,2.705211322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.034989234,75.81456268,58.145346222,36.424923711,26.117338812,20.441004056,16.392647295,13.370354938,10.186359314,6.90871368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.139685655,11.244074358,15.899812637,16.776553607,15.525451169,13.773999224,13.261460491,1.796103326,2.274799697,2.859057278]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.607159406,111.099230948,88.675468042,58.138153963,43.987621082,35.832974621,28.561455827,22.064011251,16.18855972,10.952534596]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7240, 150, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00619770997,0.01792753222,0.02737048275,0.02242897808,0.02033709519,0.01260627082,0.01113924784,0.006698968426,0.009819166583,0.01207909973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.368695418,7.928268557,12.097086109,14.379703603,14.257787707,12.805052734,10.173720176,7.645194014,5.024446134,2.844925305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01999948955,0.04899422966,0.07071197306,0.07464211552,0.06568407676,0.05391664338,0.05004992469,0.005326127083,0.007066217992,0.008164375187]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.884173735,12.939825232,20.881322021,25.606400472,25.960485312,23.513782297,19.030186841,14.067303373,9.394905317,5.135481832]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7239, 149, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0846093565,0.3122091689,0.4644293418,0.3694816318,0.3430389109,0.2165414123,0.1911621581,0.149664404,0.1937287885,0.2659881826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.827939253,24.777350999,75.932802321,133.725464936,154.683012705,146.095750119,115.639879514,76.745249095,45.193938952,22.601455259]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4592889115,1.427056156,2.044953954,2.070202369,1.88024386,1.551426834,1.461467404,0.2007996289,0.2383873271,0.2941278067]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.20224975,41.707821792,146.834963305,281.294955665,365.60339838,387.74549131,321.881633152,217.830923249,133.378938166,73.932125]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7238, 148, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8962505818,2.916035015,4.269462533,3.576230189,3.349616319,2.24718434,2.028132823,1.57818857,2.166746986,2.995168194]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[111.905925109,182.499210519,196.324411954,209.701205386,209.05207632,188.69458219,149.656353762,104.420541044,66.256089525,36.915827721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.634209667,12.752961954,18.060058885,18.9663121,17.511800261,15.413168455,14.803845163,2.007312822,2.526474464,3.168767091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[165.609881589,277.846353538,334.003706929,404.447854768,458.086373292,462.846287743,381.480113839,263.944421564,167.218788683,96.802009393]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7237, 147, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5139889719,2.546400421,4.717478961,4.456028542,4.094627501,2.927824836,2.55317535,2.556584487,3.09557931,3.697073062]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.736692362,212.407624026,168.560815917,104.145974199,83.780414539,73.634100677,68.079602756,63.029324041,56.244594452,46.732170455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.527081817,6.484280669,11.208191729,14.668433085,16.220795268,17.090737729,19.893118286,18.69327002,20.540088234,21.676023934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[376.37557907,908.869958689,800.586004061,513.248057887,402.089816434,345.863067243,310.18281267,278.011532684,235.060643152,187.455930161]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7236, 145, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.414945855,5.510493663,9.803567543,8.976133882,8.373514995,5.870431768,5.14390409,4.567341109,5.910172877,7.594947335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3104.731858627,3949.847022057,3965.439326465,4147.318065619,4127.191547529,4012.600559217,3918.304869268,3869.196866152,3719.447761656,3591.573588458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.162027153,19.239881312,29.813463734,34.576623064,34.96454473,33.910476029,36.33176963,22.32099393,25.296358897,27.51645156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3167.052807671,4056.268661883,3930.216268153,3644.395326222,3611.989181701,3474.200713431,3332.903148617,3141.223380503,2935.042940968,2696.902856277]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7235, 144, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07900828542,0.2865636834,0.360957251,0.402930298,0.5047181991,0.3155655681,0.421322574,0.4784623689,0.9272155819,1.36134443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4779102353,1.080210715,1.933026551,2.665868301,3.449339358,4.191049202,5.498067171,8.91571767,19.29969428,41.054665472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2662177867,0.2741648047,0.2801511136,0.4812765256,0.5699822016,0.6478277831,0.8508837001,1.376729189,1.953706643,2.971233088]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3988093591,0.9163486905,1.584361232,2.312562116,2.942355625,3.553084868,5.385801923,9.984296215,21.48730881,43.189103915]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7234, 140, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.438000329,9.548849236,13.91913238,13.738668385,10.414606344,5.999435566,4.836281145,4.168568116,5.385919297,6.865989294]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.588124646,47.945144101,45.738599023,42.348945088,39.655011392,37.800512795,37.811123601,38.547401017,40.552651358,42.652071039]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.35226685,6.671749948,12.52290283,19.312329195,23.710806298,24.149357522,26.097643953,26.899248387,31.256661094,38.833824713]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.088335062,57.459109685,55.480024208,53.091056383,49.743459786,47.311558921,46.109607615,46.920131593,48.865500892,50.907108575]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7216, 120, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1761810198,0.667284312,1.071100711,1.241072702,0.9379792322,0.5750030641,0.5483982139,0.271915283,0.4546306267,0.9663155013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.95287872,13.568666395,19.905177362,29.033855182,39.566534877,50.8873864,62.582555765,75.167603375,88.643805819,103.04530295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2341186925,0.265573633,0.6019423966,0.6093621198,0.6665520099,0.7720181286,0.9098840129,1.789851799,3.094855484,4.82059842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.441452506,5.981503917,9.36297906,14.571810731,20.599718999,27.421388233,34.941378896,42.215075509,49.563684193,56.663580471]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7208, 116, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5197375047,5.184537992,12.484800373,13.179727463,11.260086724,8.298935289,8.708165012,13.401045807,25.172163463,49.147219239]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[141.395560561,192.41975615,282.407581295,411.879169094,560.533160741,721.004197093,886.309148529,1063.993766617,1252.789956852,1454.707091639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3840175105,1.177246906,5.631487126,12.706979715,19.704474673,31.315636056,51.667730232,100.660778311,181.131620753,297.695402602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[108.839432326,147.423115556,231.170966098,361.501783766,513.233789575,684.803189111,874.629579016,1057.13951363,1245.344515815,1426.649569677]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7190, 332, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00530527371,0.02033843419,0.04384309291,0.08897664975,0.04625982945,0.08950342906,0.1051571852,0.1523479821,0.3198545969,0.5392011717]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001775422489,0.006799909993,0.01451931677,0.02963292288,0.01540087397,0.02992901722,0.03493030965,0.05085506681,0.1068104476,0.1790123221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006329621519,0.01057667696,0.02308484075,0.0270821533,0.1138518173,0.1846865992,0.3361504801,0.8150487972,1.629162663,2.769844059]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002125093517,0.003559266396,0.007721602129,0.009043726687,0.03791766935,0.06154287062,0.1125513205,0.2712763593,0.5399900581,0.917859167]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7189, 96, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01112546354,0.05669929015,0.06513239803,0.08708108682,0.09689005426,0.1356112374,0.1681320973,0.3416344273,0.7098013706,1.00430476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08361854033,0.8743364076,1.123828961,1.14653365,0.9910745338,1.12448174,0.8638288648,1.183267872,1.439014732,1.342326912]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01176062883,0.03125936409,0.03655518019,0.07991905167,0.0900233846,0.1483479998,0.2993502346,0.4547261471,0.8839185292,1.213598093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03799778825,0.1059900659,0.2342366971,0.3565985191,0.3451643924,0.3912321959,0.6124948782,0.6755331082,1.022538184,1.180254492]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7186, 93, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03809663173,0.1016027752,0.2043737918,0.3313272492,0.2678656352,0.2815504622,0.3214675627,0.6189214292,1.068849446,1.904217266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01811636153,0.05473566096,0.1402760202,0.249029494,0.185253556,0.1992075405,0.2182876512,0.3810472086,0.5438719593,0.9349967912]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04266876237,0.07033443361,0.146992129,0.1971360074,0.3636375783,0.6286278338,1.338213849,2.353459393,4.580038933,7.275428873]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02351029774,0.04499221179,0.13188525,0.1951551971,0.3495712491,0.5627785028,1.104275731,1.646537032,2.869752102,4.344149274]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7184, 90, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03144319888,0.2011865425,0.3523749952,0.4163031469,0.2936297715,0.3071324799,0.359362277,0.4217772999,0.6056999845,1.038736245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01812451519,0.3155293908,0.4843104748,0.6783458546,0.5259363385,0.5665918916,0.6101345802,0.7062804631,0.9921563242,1.605664992]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02935870562,0.0837895351,0.2949976459,0.4623318848,0.6040403401,0.8072949953,1.163468054,1.693541308,3.341622957,4.423712216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0690653445,0.2389055522,0.690879217,0.9711985253,1.80521388,2.296176628,2.795654559,2.980990048,5.648575341,7.252523621]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7183, 89, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01300887438,0.07089594088,0.1865240926,0.2184417298,0.2469758708,0.2442893269,0.2992283291,0.4656148832,0.8163876582,1.522458155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1108419297,0.5052293119,1.34150275,1.26959137,1.182877079,1.032199265,1.020342485,1.454228594,2.307572521,3.652921583]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02147272473,0.06015041483,0.1400498713,0.2816479701,0.3659999644,0.5499541333,0.8189320602,1.13559849,1.936587462,3.196326821]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09922289225,0.1723824264,0.4275466624,0.7338804163,0.9130519709,1.298093282,1.733191423,2.325679325,3.54797119,5.620366804]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7182, 88, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02550429579,0.05608127416,0.1168996475,0.2180243051,0.3621526115,0.4818039845,0.8174959044,1.93975869,4.393498072,8.515463949]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01109942026,0.02124156363,0.03482007872,0.06627712437,0.09120760819,0.1119292285,0.173531548,0.4082956349,0.8878939833,1.720202275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03782077646,0.06559256413,0.1592800743,0.3440218744,0.6972358323,1.35590252,2.955063811,5.100545754,9.948152536,19.433876796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01421092362,0.02713194089,0.0576853699,0.0861544302,0.1772720318,0.3390409136,0.6926494719,1.1618698,2.187930343,4.230363619]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7181, 87, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02063188095,0.04859728442,0.09050843006,0.1604155634,0.1568299282,0.2001652103,0.3457942704,0.5029854509,1.214342303,2.22018868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005240237952,0.01528388442,0.02708973146,0.0474244563,0.04489039359,0.05436385559,0.08352561356,0.1175867215,0.2696822057,0.4982802885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008359353054,0.01827308562,0.03237437095,0.08790665802,0.2081040332,0.2380060031,0.4594097231,0.9336209971,1.844337682,3.386404064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002543740016,0.007066659305,0.01440460053,0.03059312069,0.05700108195,0.08063730175,0.1546918461,0.283606262,0.5952859502,1.054548551]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7179, 85, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03453941352,0.1336903751,0.1515589061,0.2114296635,0.2307626864,0.1953209532,0.2374323075,0.2326325906,0.3285917295,0.6073699225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02771157508,0.1352389726,0.2147832714,0.2390173017,0.2128404283,0.2004703115,0.2144670546,0.1523287051,0.1972937931,0.342057575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04794616385,0.07102603407,0.1076236176,0.1424392173,0.2173102977,0.3739636709,0.6574771343,0.8422282731,1.230824343,1.794459924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07542581581,0.101015037,0.1227372115,0.1878335041,0.2606990629,0.389177879,0.7002127026,0.648080635,0.8146489302,1.090661353]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7178, 84, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01693737723,0.1285478758,0.2509834785,0.3469237374,0.3294682394,0.4114644055,0.5891771442,0.9655248052,1.836449203,3.329680882]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.033895723,0.2254036054,0.3984514842,0.5053605905,0.4605933378,0.5303153276,0.7684654388,1.278207412,2.443250375,4.320541176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08167855308,0.1258296514,0.3149015365,0.5559438331,1.167404869,2.693761683,5.865663633,8.631884875,14.178516396,18.639168272]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1458737674,0.254284908,0.5511990917,0.937830092,1.983403854,4.894386165,9.658443825,14.478845516,23.899633344,29.564725318]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7176, 82, 118, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00912346887,0.02790079065,0.03375060822,0.0738386452,0.1425141141,0.288744,1.138045925,4.123566136,13.240271801,36.280268196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01450808956,0.04416971545,0.06143007027,0.154989495,0.5220605434,1.212498237,7.401339552,28.674542448,83.63144174,197.900456501]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7177, 83, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07684708102,0.2935928667,0.5688264652,0.7708690935,1.059706435,1.220289824,1.877385456,3.959670594,8.421864346,15.500331817]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06517534047,0.2260117069,0.3922643621,0.5829949973,0.8771582003,1.0180334,1.461374872,2.954083551,5.758211208,9.545724895]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1078457138,0.2993124914,0.5097253937,0.869349559,1.466700097,2.102736448,3.822961045,7.414931952,14.867653323,27.326748025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0828220737,0.2464426559,0.4186892618,0.7600240303,1.405635572,2.104892205,3.470382185,6.175183375,11.513223632,19.681266747]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7175, 79, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07671598513,0.4302046429,1.534592594,3.624472651,6.412020625,6.787057695,8.244439882,11.105424979,18.08799713,25.859597901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.225868534,0.9446408464,3.942651123,7.951019182,13.289862754,15.178777307,17.296001801,18.545387948,25.812475836,36.202437918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009597163524,0.01679532081,0.07324823657,0.09454489652,0.1955034042,0.2785552881,0.427841676,0.7539873064,1.016347364,2.019834142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02809958186,0.03756541284,0.1900218571,0.2218660265,0.4442471115,0.6714772255,0.988593762,1.392355189,1.655252354,3.218032685]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7174, 78, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07252026417,0.2398655089,0.5506608878,1.038929026,1.45440903,1.751175107,2.730765938,4.625170427,10.2159149,19.111967968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03377810745,0.08819401172,0.194884986,0.2855472797,0.4157872006,0.4783282847,0.7233618919,1.21147554,2.624974441,4.615628565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07487604077,0.1687665379,0.644803159,1.615648646,4.315795531,10.1364747,20.051250496,41.234611227,75.295529729,128.796258641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03015303076,0.06405423198,0.2265805983,0.5310502055,1.481998292,3.271009346,5.771495556,11.760050099,19.547394847,31.993616795]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7173, 77, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01434837394,0.1002867002,0.1372934398,0.2630734666,0.2758166082,0.3067150925,0.3993615839,0.5093513625,0.9157298849,1.546927424]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007757629658,0.07509054428,0.1418077571,0.2851819829,0.2783043965,0.2594105076,0.3112067033,0.4080754405,0.6205001951,0.9785643393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02711694877,0.06770474543,0.1870014796,0.2526447145,0.4787951294,1.631046783,4.039436435,6.510382551,11.991358361,18.141331729]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01805803378,0.05012694221,0.2876957244,0.2519583575,0.4966562927,1.534744964,3.814261313,5.621818978,10.449535874,14.386213907]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7171, 75, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001481878959,0.01626973305,0.04256537767,0.07392145484,0.09599342341,0.1235194126,0.1571562816,0.2480501606,0.540975764,1.113684882]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0006035446035,0.006650802188,0.01680756999,0.02791911877,0.03582343211,0.04420333808,0.05642465605,0.08794344198,0.1894102406,0.3806479666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007786692584,0.04327659715,0.1212628604,0.2519189738,0.4501149696,0.5805182774,0.9124982099,1.799689002,3.297684505,5.846806785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004201014761,0.02098236609,0.05768455765,0.1165280579,0.2015300587,0.2576278769,0.3896711876,0.7428538722,1.321270708,2.222143308]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7170, 74, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02275154865,0.1330223895,0.2955665284,0.4439799238,0.505037382,0.5731475634,0.6569104387,0.9262896455,1.835512935,3.460800304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005029262212,0.02961184259,0.06401016892,0.09400354731,0.1077012335,0.1193512556,0.137659968,0.1946035434,0.3843129474,0.70311032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0341402249,0.1191079386,0.3422323343,0.7034914535,1.222737503,1.573680818,2.399823636,4.484614879,7.639656996,12.679161578]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007136311798,0.02378573564,0.06736290033,0.1366397654,0.2342469216,0.3017028893,0.4522252663,0.833142534,1.415155625,2.272294698]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7169, 73, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0277564211,0.1572331743,0.3272453591,0.4609933429,0.4940316594,0.5186261808,0.5490730852,0.6992332858,1.273286545,2.173549332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006120506079,0.03483432141,0.07084624609,0.09756850276,0.1053774547,0.1080900669,0.1165794566,0.1483657782,0.2675467956,0.4421458384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1024685867,0.3088448154,0.7198531496,1.241492298,1.849282695,2.040233126,2.728689642,4.532271818,7.087279967,10.816152567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0213137336,0.06163746512,0.1417055446,0.2411066875,0.3529931308,0.3888283443,0.512163115,0.8371200328,1.303280019,1.927239851]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7168, 72, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09111884451,0.4869429575,1.01555245,1.441779211,1.554576871,1.665400423,1.801481717,2.419979708,4.656503005,8.534099707]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02040436724,0.1114360093,0.2275778234,0.317499479,0.3470878869,0.3656245884,0.403034919,0.5454321895,1.052039976,1.890162997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.193770972,0.5828355532,1.420105861,2.575233796,4.045237104,4.720366333,6.670600074,11.817253281,19.590244835,31.73319885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04292428679,0.1286836466,0.3133969654,0.5677172088,0.8888633749,1.047850696,1.470620983,2.595335728,4.32431945,6.847679941]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7167, 71, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02908385359,0.4160501551,0.9181121806,1.294285585,1.645637725,1.580551893,1.872813604,2.93769616,5.090556731,9.382939231]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01226772907,0.1171631534,0.2575743481,0.3650751632,0.4634512643,0.4482370877,0.5307826868,0.8325246568,1.414811733,2.590770343]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09213609076,0.2279511851,0.7494808939,1.531621601,3.442466763,5.511546894,9.815399742,14.462445329,24.660033887,36.234040023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02613957095,0.06464086406,0.2336342402,0.4711020583,1.074789874,1.693312391,2.975078878,4.12335025,6.337370767,8.876002711]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7166, 70, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02280004528,0.179074335,0.4412119471,0.747202447,1.21515755,2.075629143,3.216795984,5.998012868,12.430143511,22.508783316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007496271859,0.08113316838,0.170230347,0.3441115132,0.4203544042,0.6639048715,0.9886976087,1.772555979,3.656739526,5.706766803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03547260521,0.1382431652,0.5236057234,1.571496463,3.817089151,9.91022734,22.53200693,39.516573266,71.800157367,99.904261436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01637116741,0.05728225613,0.2149701821,0.5896032097,1.252140717,3.263071054,6.706217145,11.780969029,20.259291268,26.155858725]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7165, 69, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.449126217,9.078299634,18.541092587,28.605794852,38.520561269,40.150578386,50.35821978,67.926705098,121.727548687,203.978574818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.625427302,10.931705705,26.16935103,39.870980578,49.89988647,47.574546623,50.704559472,56.817043403,85.920756305,126.911547133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.022659851,5.081002321,10.030254025,17.776451736,30.945257389,53.698594688,101.22605298,176.38488593,321.874539894,521.112943695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.798430547,4.277233271,8.810091552,13.931518738,22.45039291,36.012900283,65.595042583,117.127955665,229.527087695,408.310564812]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7164, 68, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.222432205,12.08306735,24.22043381,21.94598765,14.08770206,7.189878934,5.199005787,3.864559233,4.168938228,4.559489791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.120088252,8.319629062,7.475647506,6.356138685,5.146290907,3.742492124,2.906372015,2.558496556,2.777113947,3.120217592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5755076736,2.555805259,10.852796391,17.82792735,19.291391321,15.785346183,16.115678401,12.706679361,13.365559039,13.763293477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.298563815,8.613212091,8.049284679,8.258463355,7.968299868,7.7820563,7.629499537,7.446612909,7.471356318,5.220919998]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7163, 66, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1683762544,0.8108847431,0.9626026739,0.7826699537,0.500778937,0.2934993837,0.1886665937,0.1675355216,0.1649502972,0.1728452123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6853419673,0.9185099226,0.8555330891,0.7658338823,0.6909312895,0.5499559228,0.4520074916,0.4146336766,0.3677649461,0.3314287937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07875731181,0.1806909777,0.4998878746,0.8011813563,0.9281860487,0.8486144974,0.8139770714,0.6123229274,0.6868558531,0.5000762643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7870371761,1.040738681,0.9998927069,0.9218166275,0.834873745,0.7107240918,0.5923927441,0.5430081917,0.4830547486,0.414541912]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7162, 65, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003814729333,0.0116272829,0.01568470676,0.01678421622,0.01365431132,0.01200113992,0.01262816135,0.0156523158,0.02111260508,0.02933826242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1110787676,0.1126890401,0.1143509078,0.1469916564,0.1838352878,0.2195923097,0.2959058673,0.4274531517,0.5666646384,0.7392739943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002127829431,0.004253063358,0.0142513514,0.03010362882,0.04717922375,0.06212741792,0.07833936407,0.06556954853,0.08210410033,0.06718191485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1174803464,0.1299883168,0.149215504,0.2007518638,0.2574695748,0.2932253982,0.3982164756,0.5365700094,0.6761352294,0.9286067347]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7161, 64, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03795766273,0.1457591563,0.2410025451,0.2837976252,0.25039878,0.2473665549,0.2696407883,0.3340330529,0.457050292,0.7142845946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.769467939,2.655125448,4.5717952,7.267841813,8.641904622,8.499922259,7.707214062,7.000546349,6.345917555,5.799495527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03651365106,0.08901991509,0.3307386078,0.6548201422,0.9372942256,1.139753077,1.505992513,1.583490686,2.516040419,2.908549099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.604677073,3.786810874,6.472938885,10.037474879,11.622171489,11.175507737,10.023216774,8.92961668,7.826653101,7.0186405]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7152, 53, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9172883544,7.628336287,14.761966506,13.678493419,8.98091344,5.40890515,4.559594722,2.619306379,3.628129262,5.986800277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[549.928044372,530.120730045,462.051799021,441.949742343,468.187677951,508.496522429,498.855596331,349.565367011,260.885016545,176.116955753]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5642257699,1.375090997,3.771268627,6.716978839,7.233780191,7.187205386,8.39123931,7.476402885,10.870575909,16.202105826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[210.030073585,119.888830432,109.679098886,113.903436026,114.648432376,128.775749696,130.953874456,137.351000666,134.847141479,140.834323954]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7148, 36, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5005687306,5.383112859,9.95409435,9.126574899,5.589624649,2.740830728,1.655033254,1.18120421,1.0058039,1.043958036]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.235353991,4.996691092,4.158710645,3.55394137,2.460819198,1.627084509,1.149487434,1.040268217,1.352232077,1.542381814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2366538018,1.107856963,4.06340791,6.285480446,6.913944399,5.54129739,4.812837292,4.005589668,3.419080285,3.437754755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.612708048,5.6831605,4.948671252,5.153006113,5.231936322,5.74895862,5.842523894,5.91558511,5.800629945,3.334853383]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7147, 33, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02507992724,0.09511468399,0.2169058785,0.2260134408,0.1599664507,0.03581166388,0.03355933225,0.03967372291,0.0598984064,0.07649600505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.311210996,7.278436661,7.217864326,7.19955525,7.116197257,7.076937067,7.069524088,7.044705471,7.03590246,7.000170354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02040731951,0.03843642159,0.109340101,0.1526578267,0.160078583,0.1262576244,0.1509154898,0.09812259071,0.1978800737,0.2001492944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.329672793,7.244259459,7.281726254,7.199085557,7.176353053,7.126241306,7.04158845,7.035540938,7.008275943,6.960150716]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7146, 32, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02507992724,0.09511468399,0.2169058785,0.2260134408,0.1599664507,0.03581166388,0.03355933225,0.03967372291,0.0598984064,0.07649600505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[214.071520912,208.805604595,211.236661692,215.043219086,214.16802261,207.580696215,186.395673056,172.791234323,170.79240966,168.231392144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02040731951,0.03843642159,0.109340101,0.1526578267,0.160078583,0.1262576244,0.1509154898,0.09812259071,0.1978800737,0.2001492944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[159.063395298,155.267422619,154.396697187,153.782982455,152.598771566,152.473449928,152.042602123,152.447059415,152.15264715,151.328300145]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7145, 31, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01429812189,0.02562218535,0.0302536838,0.02799623284,0.01883735685,0.0249376693,0.01313404842,0.0230424669,0.01579930594,0.03940816739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.380416244e-5,0.0001316578138,0.0001552617244,0.0001439505246,9.746087513e-5,0.0001289420005,6.782727605e-5,0.0001190734139,8.170275446e-5,0.0002031650654]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02975984854,0.03559189561,0.04944068804,0.04873102435,0.03897805918,0.03879558655,0.05381639738,0.03337874055,0.04512511504,0.07597295512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001625670938,0.0001846428131,0.0002518661552,0.0002539707322,0.0001988014247,0.0001980934224,0.0002750531894,0.000170527123,0.0002305413409,0.0003878812327]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7144, 30, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005912322468,0.01513541363,0.01864608883,0.01338761803,0.01096669249,0.006774746424,0.005515239688,0.005037202921,0.006055763484,0.007050853542]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008925966569,0.01385683534,0.01743164451,0.02240572035,0.02347975104,0.02206013577,0.02437915553,0.01968919522,0.02327102246,0.02351274122]}', '', 2013, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7143, 28, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01885447333,0.1278593133,0.2828316027,0.2349493716,0.1462342364,0.06939870742,0.0439598482,0.03373680894,0.0430789721,0.05433333368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.258178285,5.282266447,4.292251606,2.865545745,1.653003334,0.8030513585,0.682554415,0.65610183,0.6196548451,0.6774748147]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01656525248,0.04158866285,0.1101588291,0.1513354106,0.1477932689,0.1213177349,0.1081469349,0.09371580237,0.1091535501,0.1146944488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.446384988,0.9338250115,2.636960508,4.551633588,6.441137417,7.76841372,7.888500791,7.867629755,7.991811351,7.749903934]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7142, 27, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008907595414,0.09387224418,0.2831474675,0.3084409951,0.191459756,0.08908314759,0.05450498053,0.03970557245,0.0440400709,0.04803536073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.758327108,68.948876593,66.411023336,60.956235158,57.616080236,56.227162801,56.144082018,58.471464305,64.700249723,70.814641173]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008086730502,0.03156460516,0.1139898318,0.2052604067,0.1999692494,0.1608972883,0.1386666318,0.1140235762,0.115345584,0.1048110503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.361668508,51.949274785,52.728255309,52.53767925,52.287254112,53.425582053,55.867776177,60.416572668,66.777539543,71.596851241]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7141, 320, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1772477817,0.3554265602,0.390372161,0.3402258714,0.2723647813,0.2076697126,0.1973664263,0.20743249,0.270591134,0.3134779702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06687226343,0.06599849952,0.06512473992,0.06277794127,0.05895784829,0.05636802882,0.05500874032,0.05364950771,0.05229026433,0.05093096419]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1562947719,0.2614216712,0.3083368856,0.3091301548,0.28524299,0.2481367186,0.2370061386,0.2311166162,0.2469481895,0.2316807589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05080632776,0.05354237719,0.0562784278,0.05589064164,0.05237878371,0.04835085421,0.04380707666,0.03926329561,0.03471951226,0.03017573195]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7140, 25, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1772477817,0.3554265602,0.390372161,0.3402258714,0.2723647813,0.2076697126,0.1973664263,0.20743249,0.270591134,0.3134779702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06690714432,0.06604285631,0.06517652605,0.06283546052,0.05902007206,0.05643556782,0.05508397599,0.05373503715,0.05238868202,0.05104486767]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1562947719,0.2614216712,0.3083368856,0.3091301548,0.28524299,0.2481367186,0.2370061386,0.2311166162,0.2469481895,0.2316807589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05088704193,0.05363478728,0.0563820389,0.05600570824,0.05250617905,0.04849110004,0.04396021858,0.03942931637,0.03489839688,0.03036746548]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7139, 23, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7508689526,6.09614326,11.176251232,10.277588429,6.389453922,3.174506376,2.003073129,1.529832474,1.445267553,1.582759727]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[270.776387933,288.401032014,286.376149137,282.617544065,276.04254122,266.349057804,244.462515461,233.036235404,237.531041642,241.324513503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4766936912,1.530317055,4.77210589,7.17500099,7.7694863,6.258762479,5.52576804,4.595636189,4.15680382,4.188576004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[204.848602626,214.132328005,214.947222406,216.200880732,216.677165068,219.494955741,221.698098197,226.691281705,232.759338263,234.04108142]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(6627, 301, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.137594441,20.054217955,38.870196394,37.153143832,29.54820348,22.997455141,25.330993994,31.347221853,49.922172728,69.415759658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.698272301,74.856912014,60.315673293,44.9990457,30.305272851,23.285626791,26.766818787,30.623827403,34.110690868,40.953621211]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.806579843,8.681653365,21.972586384,37.368558572,44.555072583,46.34786753,52.677459461,59.158466401,78.814708994,106.260086613]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.539063753,50.064482353,48.251826152,46.467433877,44.33282187,43.280145283,43.824084382,44.356202466,44.819444488,49.422209991]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6628, 302, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.635421173,18.092317136,35.068225728,33.567784444,26.667709076,20.748388616,22.880268048,28.284727748,45.079426801,62.673868196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.831162893,67.568208728,54.456738705,40.617217358,27.362561803,21.022069732,24.158789249,27.647964332,30.784933586,36.958179123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.337085223,7.837801836,19.828945152,33.702565119,40.165669384,41.805598396,47.536601926,53.311526362,71.067659961,96.002688007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.307345317,45.174812503,43.547665251,41.944804784,40.006844266,39.064485884,39.552511373,40.037516444,40.453746428,44.610635068]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6629, 303, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.750228054,10.749802986,20.82619555,19.921040419,15.83449171,12.337564066,13.541291192,16.813038904,26.768040294,37.121945924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.830592553,40.061626162,32.279036769,24.073220131,16.214113877,12.466001661,14.32570047,16.38539641,18.252798501,21.925534238]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.572248663,4.64489981,11.761205953,20.021881019,23.861025286,24.794893399,28.207080606,31.640729793,42.206374256,56.806604905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.649802692,26.799129159,25.827780193,24.867248261,23.720479302,23.148365623,23.449028396,23.728999192,23.985052004,26.457041196]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6630, 372, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.327613152,6.510129939,20.479615431,21.383329877,20.569513774,20.345005788,29.925239164,51.190240659,101.37848719,166.462221302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8076901944,0.768315448,103.7921609,150.737861144,205.707353051,269.327525863,340.123911318,417.741663728,501.376226045,609.403753967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.069230157,2.655257168,15.159043079,28.491075065,40.277340722,57.355919259,89.440425485,137.401968813,222.198087864,352.539297264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.51405542,0.4394770333,56.95157222,88.811424367,125.619069802,168.906897318,218.906525326,270.245687929,326.253818549,380.371561331]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6631, 304, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2564755835,1.25928384,3.766729669,3.95555138,3.875376251,3.918037469,5.82625707,9.636046433,19.245302663,31.478234551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1571320978,0.1487821269,1.777021389,2.54207672,3.438054677,4.523300773,5.972757179,7.771507584,9.955640215,12.062558448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2074274457,0.5143595037,3.01265871,5.600344524,8.080150716,11.599824107,18.196962473,26.751312106,42.484988014,65.750631433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09863570639,0.08421611548,1.470309738,2.265779999,3.172527017,4.356945214,6.045630528,8.233327008,10.998890596,13.642975418]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6632, 306, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.116462027,5.474338461,17.417078208,18.183108023,17.462889351,17.22848258,25.252818585,43.166720923,84.984751992,138.919290434]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6782728881,0.6458229137,89.051815523,129.336599922,176.521102915,231.568759658,293.074309858,360.777343214,433.812744057,530.467576124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8984444022,2.231891394,12.73752518,23.907966771,33.604482312,47.556728079,73.67730914,112.77794149,181.373287149,286.978506626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4328644217,0.3701696757,43.65238559,68.023045701,96.184153485,129.310731496,167.553945717,206.72182394,249.319194386,290.319970001]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6633, 309, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.975492629e-10,7.117351805e-10,0.411676982,0.6335327001,0.8839996729,1.274830137,2.776437427,6.000664593,13.506499604,24.433385891]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.582141249e-10,3.672856022e-10,1.098215003,1.808608616,2.948363512,4.779777063,7.713178944,12.649568799,19.876708672,27.829827982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.983202754e-10,5.047600843e-10,0.3384347225,0.8105451452,1.569285277,3.026067639,6.751727662,13.33241537,23.976351918,42.391485554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.453420453e-10,2.322877487e-10,0.9998576381,1.535035064,2.675715383,4.494168005,7.196545823,13.078220708,20.616335978,31.250283257]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6634, 310, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7910062163,3.453783048,6.734633684,6.265976385,4.974202831,4.180091846,5.486040448,4.307513624,6.660424448,10.396878778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[591.454685558,606.078458356,568.871171804,567.020629517,573.694164621,605.173813091,595.848163315,449.253896001,377.250666187,315.730207791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4808405593,0.9230524524,2.268926556,3.972907952,4.552814953,5.137205048,6.508265913,6.385178841,9.852865704,15.665860303]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[284.425400286,172.322699001,159.077167658,167.820005767,170.881484707,192.365288831,198.211954857,207.43363948,217.927518272,226.188025362]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6635, 284, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7910062142,3.453783052,6.734633678,6.265976386,4.974202835,4.180091847,5.486040446,4.307513624,6.660424448,10.396878778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[589.149356366,604.000517404,566.859440792,565.033370934,571.743850072,603.471888151,594.397398098,447.799250865,375.720741048,314.259422252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4808405593,0.9230524524,2.268926556,3.972907952,4.552814953,5.137205048,6.508265913,6.385178841,9.852865704,15.665860303]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[283.117564212,171.163128828,157.960095165,166.705729519,169.786598722,191.374087827,197.33456882,206.542659817,217.014164223,225.296145776]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6636, 371, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.305329191,2.077940949,2.011731007,1.987258564,1.950314557,1.701924935,1.450765217,1.454645136,1.529925138,1.470785539]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.307836073,1.159570173,1.117072493,1.114276247,1.094885985,0.9912010043,0.8773860363,0.8909796631,0.9133540488,0.8918795855]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6637, 274, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.533612395,35.36200872,66.477727546,63.953832494,59.741607577,51.499426307,65.252436761,84.185873683,138.700620334,180.271657165]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[221.970595499,457.069084157,539.407729528,551.104739344,543.172487506,491.083924212,457.247589081,421.081862751,387.5360971,334.234940897]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.810255454,92.957753299,170.571993536,227.285328312,255.240177444,270.030694453,308.194843174,313.007073586,406.018015328,428.067395806]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[599.224996707,1293.928718104,1458.518748122,1446.600180487,1511.804892253,1498.076790141,1384.902966189,1243.171535891,1124.695001595,900.289109626]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6638, 275, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.064754333,32.260666643,61.363508507,57.362259201,52.052390368,43.920424254,58.090510974,77.671876025,133.223151954,174.123124196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[107.946373442,265.992023927,323.217874261,318.257946883,309.276246584,279.138181837,288.138931091,302.519329773,310.284976003,288.171467098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.096344268,73.587432036,141.767883063,191.715212374,215.915930187,227.802726326,266.365762645,293.582619292,390.844173048,413.462136883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[433.683691974,1006.59134642,1087.406374847,975.495454742,978.945862107,974.128743018,952.254327137,940.268152908,924.827679829,777.891443564]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6639, 276, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.496647989,3.183467373,5.288376304,6.800192595,7.927704983,7.821698767,7.458183594,6.845307299,5.893836128,6.575853205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[114.088952971,191.193787279,216.379589343,233.094965439,234.183010793,212.193114916,169.324530972,118.769348838,77.484594487,46.285935699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.873769908,19.778378882,29.435536556,36.302681834,40.201167284,43.056612548,42.608455703,20.187751417,16.037348887,15.208878702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[165.602409056,287.430216579,371.27012699,471.288807336,533.088986867,524.123899733,432.768227229,303.003821452,199.96370075,122.458536299]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6640, 265, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4932687761,1.507247672,28.441615153,31.211814146,29.08583618,30.824930878,48.144018675,90.919890552,187.239280885,302.775469711]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.097204828,107.15015022,265.43804987,369.159579557,453.476736236,584.484188964,783.023417997,979.545592152,1060.26972421,1083.615304559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4238495494,0.8092558586,24.595733272,49.184972958,68.897383603,96.387133321,148.051212024,221.815545664,357.312245878,519.463783332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.26244815,49.57553854,197.815049397,312.554013694,422.686565681,574.6560764,718.683893696,850.177709438,885.454907869,900.828016668]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6641, 267, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3431635828,1.292570363,14.946105332,21.466911088,27.651156454,37.136199313,68.20604745,131.734261936,290.054245894,503.685090242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.813746424,32.954514207,93.376087729,139.345281989,197.116534175,261.947679449,320.049239692,419.567291971,603.025867405,777.907253711]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4248248626,0.9097580202,16.101959085,34.08292101,56.252341238,96.028844445,173.881130217,283.629004924,489.023591891,819.284436598]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.255676369,31.6593212,101.754918708,138.288694184,184.940075645,245.57215854,299.775069119,410.903705664,574.618062311,772.371752843]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6642, 277, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2321868181,1.942189786,3.335225498,3.560324136,3.66127421,3.42379584,3.819337883,5.652371367,7.498278663,10.143367261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.603205692,197.613130246,273.92473703,346.559210383,426.376531812,511.978623811,539.695406228,605.583114201,460.035039777,457.574676441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.993911643,4.934124939,7.441267633,9.685250004,12.205451435,15.209455331,22.024928697,35.729547162,52.989491196,70.473288425]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.526777199,283.293119134,412.77601279,544.6782748,665.867803143,832.546681525,991.227252118,1162.580503734,1081.379961202,1035.683049805]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6643, 278, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001311332742,0.005250892044,0.0125795514,0.01716095066,0.0354525896,0.05149375439,0.1228359388,0.2374747061,0.7093300394,1.057409476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001067161826,0.004369559271,0.009988522892,0.01435687742,0.02893462379,0.0424408046,0.07573489502,0.1221036828,0.3014599308,0.420107399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001247644008,0.002497180584,0.007256453202,0.01028418575,0.04848686038,0.09065050905,0.3500198032,0.7831768315,2.283995487,2.788837657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001265091169,0.002195937663,0.006601524836,0.008670544188,0.03787397268,0.06793909811,0.1876202097,0.3696025524,0.9802268541,1.173954683]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6644, 279, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01938350927,0.4565384374,1.118379079,1.2724007,1.314632461,1.180626799,1.439922069,2.12645605,2.933477383,3.811201897]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.002863542,29.441525658,27.275193942,25.271998411,25.346995283,23.814964443,20.731649131,19.978507021,14.312755791,12.483844247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0487525037,0.3308118817,1.122413517,2.163843138,3.520485947,4.382462086,7.192355176,11.115579492,16.812240735,20.750288143]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.017852148,13.388924286,16.794674428,18.23394498,19.250192701,19.824758436,20.751244491,21.977683036,19.897894072,17.140107082]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6645, 283, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007716187027,0.2269316463,0.6468378037,0.7162754956,0.7260427468,0.7132171019,1.009459888,2.150795833,3.091621789,4.645940459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.409048971,25.841960451,45.113054651,65.678502371,90.759488864,110.356705689,115.012762513,128.086337489,104.917276189,103.463410739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01445258782,0.1443275085,0.7379810112,1.68135595,2.761754856,4.952055512,8.856661392,18.343429052,29.387627522,43.306313202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.960364255,27.003080723,51.194573924,82.028944055,116.865528011,155.080450693,195.210995431,234.138468228,238.013858985,233.404296506]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6646, 281, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.844124349,41.869525457,54.76020551,73.048240257,79.332959176,103.224468097,112.543727724,142.724732774,89.128992607,97.263970076]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.050357964,58.189568942,77.41645401,107.842358476,120.965556924,166.176512493,198.683572711,250.820116042,185.683828224,190.489400555]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6647, 280, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2037757891,1.25346881,1.557429064,1.55448699,1.585146412,1.478458184,1.247119988,1.137644779,0.7638494524,0.6288154287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.564974038,9.809487911,11.96554245,16.23881833,22.959388004,30.167275034,25.607943211,22.160911948,12.152076235,9.185363522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9294589075,4.456488369,5.573616652,5.829766731,5.874723772,5.784287223,5.625892326,5.487361787,4.50562745,3.627849423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.684617095,23.901900043,28.671807418,34.845561803,42.901269691,50.653197023,52.814702481,58.459383481,49.218630056,40.116681294]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6648, 282, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.78112763,90.64626121,134.800751951,166.307294137,207.948765854,244.372769743,265.723588753,292.510521286,239.222479023,234.757980444]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.812320646,160.807449203,238.691901485,301.718794942,365.847381843,440.743823775,523.579116794,596.815250394,587.585522998,553.358609685]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6649, 313, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.302745694,24.720712568,48.897478245,72.527396006,93.463546215,97.119839926,79.138051324,62.573529323,26.7112154,22.458010665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[242.134527722,508.570186216,628.296026028,759.271712829,835.487534376,825.195024422,756.786864664,667.142776529,580.070735538,515.412983674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.286892465,5.42531182,7.267357848,7.323074316,6.809314462,5.886901386,6.211934404,6.591373252,6.840970211,6.712567987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.475749091,142.08066642,133.321262308,106.565812685,93.525042884,85.471162677,79.430731527,73.450887605,66.746580495,60.227456217]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6650, 314, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4008467093,0.8400332277,0.9153262768,0.6415924423,0.5477013892,0.4348361608,0.5110729314,0.5676751026,0.7025028455,0.7628512768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.61988073,128.888017796,102.468681391,84.487705253,82.193350091,80.443603927,77.693346861,74.331223176,71.009455911,65.064069464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.286892465,5.42531182,7.267357848,7.323074316,6.809314462,5.886901386,6.211934404,6.591373252,6.840970211,6.712567987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.475749091,142.08066642,133.321262308,106.565812685,93.525042884,85.471162677,79.430731527,73.450887605,66.746580495,60.227456217]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6651, 375, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5304097503,1.64384958,4.499781413,5.583774908,6.71004518,8.149977312,13.534105693,24.279581563,52.107569111,90.404450554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.113967162,112.854360618,162.692423199,218.515657291,285.597419764,322.381400001,339.141479284,373.088360461,452.261915811,522.736119675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8744208999,1.685386006,4.588442344,8.808870003,13.961158795,21.918312852,36.274587618,56.210658921,95.0437137,160.648242764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.400548645,89.058932131,129.519761759,173.969038395,223.660883576,264.25633012,297.175321248,349.815247944,421.303296308,492.200923091]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6652, 359, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00115897855,0.004668855291,0.009675230564,0.01318106933,0.02305041373,0.02739462893,0.03933873989,0.04499053839,0.03241923588,0.04287435289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0009389093297,0.003823522382,0.00767575569,0.01130099014,0.0203854075,0.02476599864,0.03583001272,0.04236186989,0.02917270915,0.0367872312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00106907671,0.002039550421,0.004234909236,0.005180965896,0.02087868133,0.02913600925,0.03473922622,0.02957700362,0.04796930632,0.06193593243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001043900273,0.001650794601,0.003875008458,0.005183257631,0.02161629071,0.03247995521,0.04139164145,0.03684133907,0.05298359694,0.05671293361]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6653, 365, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001528455911,0.0005862663793,0.001150121665,0.001432325764,0.002547243531,0.003125956116,0.004774629453,0.006154375462,0.004950029974,0.007059554779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001286488886,0.0005495089521,0.001188503039,0.00139117305,0.002353465336,0.003021708417,0.004412513912,0.005203684496,0.003838337397,0.004891272612]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001788912047,0.0004590222145,0.001007593553,0.001256494569,0.004511271866,0.005667856467,0.005140598071,0.005588254123,0.006358443491,0.01424635008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0002215088927,0.0005462718618,0.001093439324,0.001520292012,0.005169826317,0.006254229089,0.006037934575,0.005807464029,0.006363035752,0.01090226516]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6654, 376, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.562750273,72.677406081,174.322394941,347.467282012,447.978802992,451.590799545,360.466233402,295.670020636,128.949874566,115.831274396]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[144.9037803,428.585648972,909.369015978,1467.658533833,1712.741579116,1572.563562479,1333.688034898,1025.074513456,796.241869145,630.631458038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.249662715,42.439510258,174.835811004,437.746344092,644.618003327,773.801251482,717.616119643,565.944989723,331.882511125,247.610408477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[148.484995055,348.507073909,833.391138997,1534.495798478,2272.183144367,2398.387104026,2233.476907779,1635.551245614,1158.678398076,866.324386395]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6655, 377, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.662844668,6.477132203,12.574045825,11.969557175,9.548266372,7.414391063,8.182456548,10.122895705,16.11747372,22.390424681]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.814555918,24.159698422,19.466209145,14.521226709,9.78370499,7.514932653,8.632034621,9.87973681,10.999041497,13.198835226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5582376,2.812687497,7.109190804,12.071391634,14.395704618,14.965800038,17.024587987,19.126283892,25.461445173,34.298576082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.289809657,16.172315733,15.579676148,15.0031553,14.307065398,13.970638318,14.144016105,14.310821676,14.448103369,15.9482045]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6656, 1, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.797453156,143.600364057,318.154269366,489.595438503,566.797043833,541.834154944,448.943388372,387.697435719,247.85650459,239.995288366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[141.050890282,569.967857503,1457.595392152,2208.903508282,2336.820077366,2050.631227921,1745.222480795,1381.646452067,1069.667086667,840.808305377]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.503121437,81.756439275,295.176668521,658.35865405,922.511425099,1088.728348465,1087.509128697,978.145364811,844.125065681,775.200757261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.064222812,437.245272165,1389.986129076,2413.776031156,3272.089029459,3448.571109192,3257.124347031,2567.335025056,1918.263537055,1485.037087837]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6657, 2, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.960644619,68.323497244,137.60610164,128.670526767,101.954808726,74.791200479,82.158760262,94.403958647,139.128513206,152.712423334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.976659955,182.864707535,574.777823102,744.593136594,613.390861104,467.354316662,402.287653684,349.692618886,277.292524216,221.245728789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.530290791,37.376623415,112.172270185,199.645927087,246.280218821,276.054646326,332.996342252,382.435211581,494.499285287,514.222049467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.427286011,180.538700079,609.171884147,879.714200319,946.824805893,974.104588436,941.219815085,868.477821123,715.481731392,586.600167629]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6658, 3, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.836808537,75.276866809,180.548167719,360.924911737,464.842235107,467.042954464,366.78462811,293.293477072,108.727991378,87.282865032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[114.074230326,387.103149968,882.81756905,1464.310371688,1723.429216262,1583.276911258,1342.934827112,1031.953833181,792.374562451,619.562576588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.972830646,44.37981586,183.004398337,458.712726963,676.231206278,812.67370214,754.512786446,595.710153207,349.625780424,260.978707815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.636936801,256.706572085,780.814244929,1534.061830837,2325.264223565,2474.466520756,2315.904531946,1698.857203933,1202.781805663,898.436920208]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6659, 4, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.726135384,4.225614995,10.429496201,21.022982881,26.950424932,26.844392603,21.046260046,16.843075833,6.322132102,5.088096651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.199474643,25.677429948,136.004230876,227.965037601,201.252783547,136.903390435,101.568964656,69.452216935,44.746356608,30.444485758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.615902344,3.090187775,13.389272056,34.604957264,51.631043826,62.590749536,58.389275082,46.268743839,27.305054434,20.35348329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7073535284,20.875866521,159.78538522,337.438443701,444.526275188,453.130724067,400.810683595,290.829319687,194.336181686,136.313686138]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6660, 5, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.11067318,71.051251823,170.118671498,339.901928462,437.891810622,440.198562314,345.738368132,276.450401102,102.405859285,82.194768524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[112.874755684,361.425720019,746.813338174,1236.345334087,1522.176432715,1446.373520823,1241.365862456,962.501616246,747.628205843,589.11809083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.356928341,41.289628076,169.615126241,424.107769681,624.600162336,750.082952545,696.123510791,549.441408883,322.320725981,240.625224583]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.929583273,235.830705564,621.02885971,1196.623387136,1880.737948377,2021.335796688,1915.093848351,1408.027884245,1008.445623977,762.12323407]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6661, 6, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.030870694,58.437219005,120.23066891,114.374402537,91.040380647,68.230267473,73.448678483,90.486087171,145.287943074,208.080129879]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[178.292465277,181.945151341,165.100747203,147.662949692,129.903474165,120.387422161,122.352049188,124.482329997,124.073157265,127.324596697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.32444337,26.03802067,76.139382591,130.999050463,154.970332139,166.846400684,195.426657423,217.96706202,290.375780739,405.526078334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[172.733166392,166.566770607,164.552568136,162.669613215,160.123589701,158.619114766,156.932572299,154.852258664,150.235978915,149.268937832]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6662, 7, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.963694935,19.513305936,39.323209548,37.839884168,30.116826695,23.383058386,25.728584766,31.939612479,51.212657123,71.637533698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.897397347,77.329796768,62.155405951,46.190860586,30.868203752,23.584925752,27.305972488,31.41232592,35.140095109,42.290456026]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.132161805,7.153049139,21.33759931,37.828133474,45.663740811,47.68690265,54.278812052,61.081519356,81.576964693,110.19340429]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.725825201,51.168049209,49.389799312,47.64062541,45.532582697,44.513989678,45.136619333,45.744836416,46.281059858,51.071760659]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6663, 8, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.445617808,1.560021205,1.518012479,1.172951211,0.9212532441,0.7818045794,0.8959964169,0.9957583865,1.221014555,1.289892742]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.351152783,1.290731628,1.187854004,1.079405806,0.9668741029,0.8794662352,0.8167251672,0.7543391962,0.6921612204,0.7292780221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.92459948,1.983641985,1.76900546,1.442948667,1.1707293,1.017307613,1.06676486,1.121921233,1.232671695,1.394556699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.540189677,1.442523109,1.309581804,1.178727629,1.048806963,0.9570099578,0.9039197344,0.852850593,0.803059298,0.8417883061]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6664, 316, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.120592998,1.216327253,1.181704968,0.9160851163,0.7229291208,0.613008759,0.6888856495,0.7818668425,0.9585798558,1.003169431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10048632,1.057338346,0.9802831308,0.8941787386,0.8015993284,0.7299872722,0.6785932558,0.6277026961,0.5771869647,0.6092703207]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.411288531,1.448073323,1.288689217,1.054868388,0.8552420575,0.7430567245,0.7767902161,0.8109152795,0.9178916268,1.022176672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.200503009,1.12332299,1.019878955,0.9195162905,0.8205824293,0.7508678919,0.711250098,0.6748979852,0.6406035756,0.676124901]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6665, 317, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3102605728,0.3277619431,0.305965353,0.2299213982,0.1799710086,0.1538224686,0.1722493914,0.1922380216,0.2278386627,0.2340165623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2223737372,0.2065564416,0.1826564087,0.1622823928,0.14434888,0.1302907119,0.1203983095,0.1103457615,0.100121453,0.1044116011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5031632861,0.5122595201,0.4431279181,0.3615390521,0.2877125693,0.2508773311,0.2561048209,0.2672200231,0.2900496517,0.3110279553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2963339681,0.2783918006,0.2528638631,0.2262675205,0.1991370326,0.1796216294,0.167420433,0.153911191,0.1395707687,0.141651407]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6666, 318, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01476423805,0.01593200877,0.03034215871,0.02694469704,0.01835311471,0.01497335181,0.03486137591,0.02165352251,0.03459603697,0.05270674865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02829272609,0.02683684029,0.02491446465,0.0229446751,0.02092589455,0.01918825111,0.01773360193,0.01629073858,0.01485280268,0.01559610029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01014766317,0.02330914173,0.03718832514,0.02654122643,0.02777467301,0.02337355759,0.0338698228,0.04378593071,0.02473041604,0.06135207114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04335269999,0.04080831768,0.03683898583,0.03294381811,0.02908750084,0.02652043646,0.02524920338,0.0240414169,0.02288495365,0.02401199808]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6667, 9, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.307252602,30.799655762,67.313158734,64.001334904,51.734916538,38.550915482,40.980103651,51.747728798,84.77183947,126.623981159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.840490998,3.648398462,2.899208606,2.129293,1.45396223,1.196953623,1.515568115,1.836584586,2.124811552,2.523103806]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.075811416,12.613279862,43.401831636,77.161814051,92.381251993,103.227514276,124.402377335,142.036719251,192.790531656,276.006441796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.440135346,2.084350554,2.17075176,2.287839638,2.306344676,2.602501765,3.374784882,4.126573983,4.716392946,5.406834034]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6668, 10, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005086545286,0.02237782539,0.05253726298,0.049231925,0.04293864276,0.03039305567,0.04259952343,0.0530755963,0.07564163031,0.1025344792]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.569831085,35.623487705,34.760284451,33.766333938,32.797855127,31.852772518,30.977685801,30.23911625,29.342820803,28.376628115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009373771521,0.02051196024,0.0480926773,0.07065934647,0.08650604396,0.09340708559,0.1268461543,0.1289370413,0.1647076526,0.1937690897]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.746787485,35.638714385,34.581701008,33.422104004,32.395794953,31.419043679,30.624078725,29.773961167,29.070409224,28.030901855]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6669, 11, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008149309261,0.01511949068,0.02878547935,0.01911563931,0.01029389454,0.02026884592,0.01452710025,0.03630771829,0.1268792784,0.1204845684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.885784106,25.030092916,22.039813846,19.830331239,19.881886442,20.841072011,22.631025169,24.55560112,23.373719184,21.002834785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01499100187,0.01350547299,0.02672744318,0.01213761436,0.0263491601,0.02274122138,0.03253016946,0.07700311216,0.171804055,0.2104926159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.132657935,35.896244842,31.970057631,28.965304921,28.721700152,29.464340022,31.444325068,33.084978765,30.789644159,26.568813405]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6670, 12, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.983013886,5.774472115,10.75867066,10.119754085,7.319355672,4.869855787,5.140567284,5.002346277,6.738808229,7.16323063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.214956273,36.07815726,38.677811856,40.915291777,39.70557771,37.214172163,33.325292122,28.680514964,25.125980204,22.907771254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.77915528,3.784360513,8.620588705,13.356187332,14.335609683,13.400072399,14.060558441,12.076312008,12.380587182,15.148917247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.382486927,37.182628939,41.589003889,45.361674995,45.772008941,44.451692883,39.278447446,34.159326129,30.55191253,28.660321471]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6671, 13, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3356311198,1.001088573,1.827651224,1.642937996,1.111763799,0.7456749082,0.8365984118,0.8661214674,1.21241975,1.311311471]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.535647089,7.447335174,8.074865094,8.761298714,9.029411712,9.133281877,9.025487246,8.523882868,7.452156549,6.038175257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4143462185,0.6017524796,1.412983562,2.172805745,2.24516721,2.04804991,2.178846957,1.932526404,2.02765114,2.520014631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.980712636,7.778225617,8.797688347,9.773499658,10.347029027,10.859946154,10.86984191,10.439526209,9.523046123,7.848727073]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6672, 14, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3461865397,0.845088223,1.450608664,1.237418983,0.8160889955,0.5138893928,0.5352552163,0.520324842,0.7074978989,0.7293861137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.72452439,9.608007749,9.517033186,9.600586233,8.864619039,7.858622369,6.786119146,5.207130999,3.997751467,3.172605742]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5203786142,0.6196320823,1.356712784,1.925900619,1.786957838,1.528077744,1.576819199,1.307237272,1.266723958,1.494477911]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.858655611,11.498593219,11.583186984,11.372480128,10.794923659,9.876429461,8.120337933,6.755657696,5.239847969,4.114579457]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6673, 15, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7630948058,2.175422829,4.106831559,3.884307488,2.768336153,1.817316427,1.937468555,1.865710862,2.450614733,2.620871062]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.816406197,10.251997875,10.177384052,10.381753063,10.348100016,10.180832006,9.493805406,9.192379532,8.586192584,8.303611748]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.077836959,1.425795737,3.125147298,4.713891408,4.917127635,4.535272172,4.719083927,4.035133847,4.16728859,5.075348383]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.307052856,7.004324964,7.372042094,8.064199099,8.719380123,9.049361179,9.126754792,8.746039767,8.395923035,8.793859627]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6674, 16, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5381014233,1.75287249,3.37357922,3.355089618,2.623166715,1.792975056,1.83124511,1.750189108,2.368275854,2.501661992]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.138378598,8.770816463,10.908529524,12.171653767,11.463446943,10.041435911,8.019880324,5.757121565,5.089879604,5.393378507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7665934944,1.137180215,2.725745053,4.543589561,5.386356999,5.288672572,5.585808342,4.801414494,4.918923512,6.05907634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.236065824,10.901485139,13.836086464,16.151496111,15.910676132,14.66595609,11.161512812,8.218102457,7.393095403,7.903155314]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6675, 17, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2598015021,0.6855143492,1.150341187,1.090556254,0.8258669484,0.5249411782,0.5596350346,0.5885946987,0.9474692839,0.9026375077]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.700121025,1.878920948,1.98614804,2.037731099,2.179239951,2.419095587,2.632500627,2.795994486,2.9199445,2.99161373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3136918724,0.3859020007,0.8422390414,0.9868670541,1.164477498,1.246883335,1.245138909,1.201478996,1.647224244,1.898982905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.13015367,2.281947507,2.301611597,2.279407209,2.580343052,3.143088868,3.607241573,3.912748305,4.092094335,4.152599171]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6676, 18, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003011141678,0.005995349191,0.01251706016,0.01348734792,0.01008909399,0.007849667786,0.01289133206,0.01094171157,0.01355717242,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.851363263e-5,0.0002057369677,0.0003730497589,0.000407948967,0.0003088868757,0.0002336686203,0.0002899366399,0.0002322582225,0.0002483974239,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006186810331,0.005546215803,0.01316259536,0.02015551776,0.02246458487,0.02546640841,0.04140411828,0.02749945868,0.02546419741,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001162794265,0.0001100482547,0.0002756148083,0.0004675056992,0.0005798544203,0.0007008881753,0.001045070294,0.0006356083661,0.0005652300342,null]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6677, 19, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01106632913,0.01323781948,0.009939956587,0.006608453787,0.004930559556,0.004373688982,0.00528940591,0.007439150733,0.01099135058,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05530075313,0.05024590842,0.03590842817,0.02883308681,0.02507481194,0.02453694262,0.02625817065,0.03251583332,0.03897141088,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01134633163,0.009740257783,0.007074643799,0.006162043584,0.004765896682,0.007022218802,0.007345652448,0.006780227373,0.01357217765,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05233712757,0.03875242914,0.02803659541,0.02620061992,0.02159452276,0.03286245487,0.0320938811,0.02771486122,0.04871863949,null]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6678, 20, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01687991489,0.01895140862,0.02488163307,0.02828035753,0.02711756826,0.03970759026,0.04214395013,0.07689913056,0.127492452,0.1827492416]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002518891778,0.002284175956,0.002045462568,0.001808188666,0.001544536749,0.001605214402,0.001555996441,0.002102459897,0.002833065215,0.003813700814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03283034717,0.04516275165,0.04138992432,0.08545853079,0.08505592942,0.0947321369,0.1396728186,0.1822814307,0.3279652101,0.4175840245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004352922432,0.004196652177,0.003453210646,0.004085503571,0.003740665716,0.003565207985,0.004317809719,0.005108162522,0.007969765577,0.009351326216]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6679, 21, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0198460366,0.01573907601,0.01049188257,0.005968566549,0.003485037623,0.002277886244,0.001823615095,0.001855055174,0.002080947208,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007406041723,0.004462357839,0.002742651346,0.001911861952,0.001305090296,0.0009316595338,0.0006676239323,0.000595890659,0.000542935887,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0167362742,0.01033015164,0.00566539272,0.003816733273,0.002615839875,0.00228383104,0.002279028538,0.002342297781,0.003535945743,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005732276843,0.003012731307,0.001606431072,0.00116402743,0.0008692662181,0.0007817181196,0.0007369323866,0.0007061271741,0.0009267405964,null]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6680, 22, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007450682718,0.01282866849,0.02812302658,0.02722962443,0.02330675256,0.01482132492,0.02451640279,0.02552816833,0.03951158258,0.05708585383]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7674274598,1.008367475,1.353150856,1.680741161,2.021641525,2.371656786,3.11850797,4.172407032,5.311028884,6.499097258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007558978724,0.01299036199,0.02600576174,0.0247100992,0.02676539962,0.02206750742,0.02292788402,0.02426760945,0.04075203107,0.06192966716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5723915439,0.8262402011,1.206689283,1.502011751,1.739223958,2.029537643,2.524961844,3.162818546,3.873226191,4.526567604]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6681, 23, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.469261698,8.339804572,12.859270296,10.975385323,7.851064742,6.239751088,6.409272398,8.261014287,11.725002482,12.614076597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[325.058630942,298.054049617,287.347726061,279.030037519,272.373552091,270.102932343,253.117768198,216.596639783,234.769464997,260.330557461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.556091545,10.259872753,17.415065174,21.958710911,22.917286259,21.842900304,22.093078636,24.896570638,28.448943105,30.231317397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[146.786042264,138.290125921,138.488149228,141.374776189,143.433821895,148.508473929,153.896728619,163.657808469,179.044290687,192.186515998]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6682, 24, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.103143044,6.411117002,9.095119374,7.432975417,5.045557696,4.242983887,4.484908938,6.144881043,9.327694758,10.131711129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[168.907175401,134.777247776,123.844010713,115.915653194,108.725284112,105.161467258,92.325068422,59.635753918,47.516918014,42.166428715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.262674097,9.365524469,14.781955838,17.791931243,18.109623475,17.386837248,17.362114066,20.460801493,23.818400003,25.188446018]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.335269703,15.181617829,13.466005247,13.358900914,12.691654368,13.506426823,13.795940803,14.273723039,13.865568239,15.492711254]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6683, 25, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03658774956,0.05961614243,0.07581841451,0.07324977508,0.06960249302,0.07029371254,0.09309902927,0.1204140287,0.1655820824,0.1839487462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07629182492,0.07257569702,0.06885763213,0.06379434998,0.05738575923,0.05367203784,0.05265361585,0.05163524131,0.05061682901,0.04959842785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0295909765,0.04670573102,0.06152435839,0.07044861978,0.07531238448,0.08016848353,0.09100617195,0.100264925,0.1138158636,0.1139696581]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05373717872,0.05590681863,0.05807790393,0.05715837982,0.05314798924,0.04864682246,0.04365510578,0.03866340496,0.03367168573,0.02867997229]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6684, 320, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03658774956,0.05961614243,0.07581841451,0.07324977508,0.06960249302,0.07029371254,0.09309902927,0.1204140287,0.1655820824,0.1839487462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07628614132,0.07256919964,0.06885213373,0.06379003409,0.05738280944,0.05366912717,0.05264941731,0.05162975484,0.05061005475,0.04959036571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0295909765,0.04670573102,0.06152435839,0.07044861978,0.07531238448,0.08016848353,0.09100617195,0.100264925,0.1138158636,0.1139696581]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05373207928,0.05590216793,0.05807225239,0.05715256557,0.05314285056,0.04864197256,0.04365015782,0.03865835897,0.03366654167,0.02867473016]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6685, 321, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.683602855e-6,6.497380629e-6,5.498400661e-6,4.315892469e-6,2.949796139e-6,2.91066927e-6,4.198543789e-6,5.486462802e-6,6.77425963e-6,8.062143184e-6]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.099437916e-6,4.650694848e-6,5.651546594e-6,5.814251227e-6,5.138685273e-6,4.849902853e-6,4.947958174e-6,5.045985322e-6,5.14406497e-6,5.242129191e-6]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6686, 26, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02962014699,0.135799261,0.3489367609,0.3845541878,0.368570368,0.3010097495,0.3830084951,0.4902056403,0.7422292492,0.935804516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.144182476,6.919280428,6.913126092,6.624224552,5.977070469,5.519707612,5.494630397,5.147398111,5.330775217,5.364702121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05639192174,0.1374102571,0.3774887465,0.6602792281,0.899696674,1.009969282,1.23112608,1.424520272,1.839523718,2.146408444]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.416514635,5.273602869,5.251138441,5.200163665,5.139559273,5.075353213,5.066971711,5.132433114,5.093197254,5.077211982]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6687, 27, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003261224651,0.01892716845,0.05809206709,0.06508398838,0.0476997734,0.03145013194,0.03001746055,0.03169765658,0.03881853871,0.03900087495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.870645166,21.80853145,23.380397021,23.948868781,24.339546563,25.692540662,28.296551202,32.597130022,40.249343987,45.146912034]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003948367784,0.01213183644,0.03918150645,0.06941253518,0.07091775227,0.06471770222,0.06197623875,0.05673988569,0.05914462717,0.05646004814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.285392489,37.222108803,38.915305239,40.19414065,40.821984049,41.875229778,45.133222502,49.839942033,58.054963995,63.150963995]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6688, 28, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01251313196,0.04673367965,0.1052477517,0.09000482475,0.06611862717,0.04444350064,0.04387218242,0.048814524,0.06878846253,0.07996418962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.637875453,9.894981209,9.270267594,6.719582851,3.955665424,2.075010994,1.343849187,1.073563265,0.9652065402,1.005943728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01467060433,0.02900046415,0.06870377916,0.09289585275,0.09505359136,0.08851424556,0.08771039756,0.08463056293,0.1014645336,0.1120349228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3834243816,0.6978012842,1.814601566,3.001798583,4.1474459,5.042602781,5.028598969,5.020135507,5.009500249,4.806849988]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6689, 29, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001159180707,0.02936259526,0.1055156466,0.8749549162,3.329451949,6.925112643,12.125341957,22.244519561,39.869204501,65.170609094]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0005887383494,0.01474407893,0.05262491318,0.3795442436,1.477418618,2.879577746,4.651481408,8.319119011,15.656438462,27.84996151]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6690, 31, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01005908385,0.01132187044,0.01329002805,0.01226961141,0.009779478128,0.01644282454,0.01193600331,0.0266823336,0.018195315,0.04001158589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.181986188e-5,5.8212026e-5,6.824369839e-5,6.303951162e-5,5.040641741e-5,8.491501106e-5,8.324400075e-5,0.0001375880866,9.408008642e-5,0.0002062802247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01876944642,0.01759006568,0.02274202678,0.02200995018,0.01804056613,0.02063212988,0.03115575161,0.02104969401,0.02892852348,0.05034478635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.573864445e-5,8.964548835e-5,0.0001161605933,0.0001121285795,9.194634713e-5,0.0001054323296,0.0001727419531,0.0001182197868,0.0001481023057,0.0002569944711]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6691, 32, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004106312182,0.01838354678,0.05146280115,0.02959940245,0.02579358857,0.02867710867,0.006580000025,0.05283018668,0.05516039142,0.0354855151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.892309548,99.928428073,99.658950596,101.031846414,102.962800374,103.191588602,92.609541889,75.316373262,79.926126308,79.153033899]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005477980257,0.01897246553,0.04624092638,0.05293030721,0.0551694125,0.03512565819,0.06234301378,0.03867574511,0.02315524136,0.1032144258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.712654933,58.277272501,57.863966452,57.877506886,57.650355131,57.919744004,58.055790963,58.246349381,58.196446222,57.590539127]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6692, 33, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004106312182,0.01838354678,0.05146280115,0.02959940245,0.02579358857,0.02867710867,0.006580000025,0.05283018668,0.05516039142,0.0354855151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02799411905,0.02799411905,0.02799411905,0.02799411905,0.02799411905,0.02799411905,0.02799411905,0.02799411905,0.02799411905,0.02799411905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005477980257,0.01897246553,0.04624092638,0.05293030721,0.0551694125,0.03512565819,0.06234301378,0.03867574511,0.02315524136,0.1032144258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02799411905,0.02799411905,0.02799411905,0.02799411905,0.02799411905,0.02799411905,0.02799411905,0.02799411905,0.02799411905,0.02799411905]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6693, 34, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4367526976,0.4410514306,0.4281842826,0.4215305216,0.4285850812,0.4280966973,0.4226256507,0.4161213487,0.4292045359,0.4172313599]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4400468993,0.4354532149,0.43716044,0.4342722094,0.4286572756,0.4207115613,0.4177470967,0.414521025,0.4178968735,0.4172252544]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6694, 35, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.427562731,99.459382523,99.202772194,100.582321774,102.506221173,102.735497785,92.158922119,74.872257794,79.468927653,78.70780842]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.244613914,57.813825167,57.398811892,57.415240557,57.193703737,57.471038323,57.610049748,57.803834237,57.75055523,57.145319753]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6695, 36, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2642128233,1.630219999,3.102771243,2.88098922,2.211892024,1.499171639,1.349643311,1.337950982,1.298952559,1.158028204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.528940072,24.623584178,24.106532523,23.851049421,23.026297034,21.483747621,20.870048285,20.530128814,20.86117952,22.273123162]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1559225482,0.6217809757,2.005353097,3.18376688,3.57708824,3.139565397,3.144541828,2.691162485,2.442006099,2.436725094]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.598364468,21.566982091,21.066313305,21.30545074,21.452164619,22.16078733,22.120894415,22.78732476,23.134356478,18.189341175]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6696, 44, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[278.757015553,255.761869203,230.600309582,205.384367631,180.67381999,161.294983062,144.088513469,130.73265748,118.490907887,104.080047787]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[286.87492373,260.282182767,227.604580269,191.265988097,155.271891829,124.497885047,98.421519143,77.978053091,61.959031239,49.543159356]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6697, 45, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[110.078270924,103.712216843,95.543310283,87.809685508,79.45805928,73.440098935,66.848997061,61.726226223,57.737768319,52.506033853]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.885861527,98.10492669,88.481663807,76.708452859,64.785089306,53.595778546,44.120303571,36.038145499,29.33514885,23.800537929]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6698, 46, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.083165303,42.442778523,35.984558738,29.455380464,23.526036713,18.70326201,15.241859787,12.626191736,10.240610686,8.091528788]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.189277121,43.912758325,35.158744586,26.506325398,18.932611386,14.074601103,9.985724884,7.515367055,6.259343819,5.596235332]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6699, 330, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.971650826,19.182224933,17.480551139,15.414108112,13.701055594,12.05165197,10.930477972,10.030264491,8.409979507,6.56193266]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.239904478,27.034493814,24.146220876,20.958485985,17.123099034,13.273084349,9.917979057,7.181183372,4.698251282,2.821878299]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6700, 48, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.6239285,90.424648904,81.591889422,72.705193548,63.988668404,57.099970148,51.06717865,46.349975031,42.102549376,36.920552486]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[100.559880605,91.230003938,79.817950999,67.092723856,54.431092104,43.554421047,34.397511631,27.243357165,21.666287287,17.324507797]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6701, 49, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8325469964,3.726423928,7.408784281,6.963550726,5.660078471,4.993895545,6.612101357,6.949719601,10.409856991,16.771762495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[701.366755957,744.472266353,704.245646053,692.606847206,690.172745646,713.765536963,696.472142135,542.177864776,462.471045955,394.069113448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7212705561,1.415758673,3.697997371,6.779867757,7.816348148,9.382042457,11.851505491,13.616930718,19.962749466,30.02906921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[332.861236289,233.979489543,221.486499537,227.704120217,227.012838331,244.904065683,247.350750846,253.389861465,261.122687772,266.882688363]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6702, 50, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1635507051,0.6758597973,1.492116496,1.352150546,1.173161637,1.044185947,1.276385935,1.990908343,2.633589094,4.656269557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05827090976,0.2396238874,0.5298923802,0.4833292357,0.4198998396,0.3717907157,0.4577589262,0.6425796336,0.8489802122,1.480913906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1928450422,0.4139644997,1.188643262,2.35343992,2.657027686,3.476612082,4.335428726,6.069955955,8.272716877,11.83522662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06917912287,0.1493619098,0.4254189841,0.7609034415,0.9151528646,1.120504967,1.437255332,1.983242631,2.758320069,3.838266741]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6703, 51, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00426746197,0.01515676379,0.02709993733,0.02702429609,0.01576925986,0.01220153779,0.01053117491,0.01499778229,0.03246649552,0.04573842734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[110.394967066,140.391450052,137.886498245,128.246655414,118.2003703,108.901332774,100.354424571,92.243682047,84.322045598,76.772642421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004706268144,0.006230630705,0.0147948143,0.03037587407,0.02550964179,0.02515175246,0.02138003599,0.02450572493,0.03949558734,0.05674712572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.363361899,61.500246284,61.963571264,59.086960159,55.172366794,51.365157944,47.631588262,43.879002933,40.305644455,36.674809502]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6704, 52, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.305329191,2.077940949,2.011731007,1.987258564,1.950314557,1.701924935,1.450765217,1.454645136,1.529925138,1.470785539]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.307836073,1.159570173,1.117072493,1.114276247,1.094885985,0.9912010043,0.8773860363,0.8909796631,0.9133540488,0.8918795855]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6705, 53, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6147173953,2.840065429,5.573817109,5.266627879,4.19268946,3.650078084,4.900453679,4.307513624,6.660424448,10.396878778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[588.604806522,601.74929493,563.786406571,561.861600633,569.577798294,602.768868488,594.182809336,447.799250865,375.720741048,314.259422252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4808405593,0.9230524524,2.268926556,3.972907952,4.552814953,5.137205048,6.508265913,6.385178841,9.852865704,15.665860303]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[283.117564212,171.163128828,157.960095165,166.705729519,169.786598722,191.374087827,197.33456882,206.542659817,217.014164223,225.296145776]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6706, 54, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05001143473,0.1953419428,0.3157507435,0.3177479936,0.2784581306,0.2874299829,0.4247305735,0.6362998456,1.083376944,1.672875714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0033822677,0.01395653434,0.03111785027,0.02800335946,0.02436265527,0.0216200508,0.02638408507,0.03770709455,0.04935395843,0.08534933107]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04287868691,0.07251108986,0.2256327411,0.423144011,0.5809958605,0.7430735848,0.9864308189,1.137290207,1.797671314,2.47123516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003294981553,0.007182348268,0.0203416317,0.03625085003,0.0438339656,0.05311394168,0.06995239579,0.09397642106,0.1312049764,0.181586759]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6707, 55, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.153544674,5.66991584,11.313914886,10.414096741,7.945866419,5.910822186,6.089469325,6.685272756,7.678799417,8.179468636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.731401495,76.007977049,82.124586224,83.927390177,78.182367653,68.49092158,54.408885985,39.701109625,34.828453037,33.583942375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6008314527,1.862357773,6.989620527,11.02137423,12.675809406,12.100157116,13.846893639,12.943271011,14.043015594,15.387968447]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.083776067,122.737446507,107.597701815,92.384320319,77.710809119,64.311029352,51.246668186,41.854569627,36.429232152,30.517935608]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6708, 56, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1420614064,0.5411991954,1.075787663,0.937350767,0.8207171347,0.6487786181,0.724230187,0.6300090338,0.7813647886,0.7306384495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.805420202,57.939930149,63.208180037,63.271224236,58.356724008,50.806499378,39.115895006,26.098686754,21.888243208,19.38301342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008560495774,0.02576368498,0.0755007748,0.1500074546,0.2024660727,0.2373033651,0.2888570502,0.3624240088,0.3928841386,0.5375698064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.386662684,103.185085606,87.893763801,71.277946207,56.603699283,43.357559092,31.894779022,22.706459804,18.413027815,15.856283649]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6709, 57, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04900524636,0.211724881,0.4264834386,0.3937784576,0.3329671042,0.2751677693,0.3101847174,0.3003883704,0.4206697036,0.4107219253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1079512259,0.635075952,1.356322671,2.277132205,2.965689261,3.486556574,3.922082816,4.371368879,4.698843899,4.997131808]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003858406524,0.01199456717,0.03754632154,0.07984937215,0.1153695492,0.1424744846,0.1824216481,0.2502329249,0.2821204394,0.4005159676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06078007079,0.3778501277,0.9182324291,1.497446056,1.962642414,2.339439256,2.629410368,2.783909766,3.094482833,3.584774721]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6710, 58, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03272338807,0.1135261663,0.2155652887,0.1789293731,0.1583571529,0.1238984761,0.1345019558,0.1063254959,0.1112964888,0.09423077287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.25187476,13.913793102,13.203130695,11.898679123,10.527757577,8.984553704,6.966838278,3.839272568,1.755145695,0.3185201742]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.442684882,62.225372831,52.324532108,41.016830262,30.405405307,21.090078096,13.109414115,6.596191159,2.741702681,0.2182268343]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6711, 59, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02979762408,0.1097113645,0.2223238296,0.1882118401,0.1733250603,0.1315661312,0.149534727,0.1209609315,0.140423185,0.1291658839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.337233209,10.5429359,9.65695873,8.441565182,7.131745938,5.560736045,3.466908404,0.7904217396,0.4408401711,0.2518869191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002499289012,0.007434326901,0.02110863692,0.03879758364,0.04823142542,0.05260601052,0.05953978308,0.06671816382,0.0687712277,0.08982779167]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.969679608,34.802860025,26.754333734,19.175862014,13.092174012,7.710093787,3.783369798,1.114041916,0.4304584953,0.009879687805]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6712, 331, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.187872592,11.024103935,12.510966535,12.889195719,13.373918104,13.692450627,13.730449282,13.664418256,13.582509198,13.510801412]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.913518123,5.779002622,7.896665529,9.587807874,11.14347755,12.217947954,12.372584742,12.212316962,12.146383806,12.043402406]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6713, 62, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1661512962,0.3966323942,0.4972086236,0.459611116,0.381052079,0.380794916,0.4939264627,0.7500408201,1.020535948,1.307477938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.568416956,8.172531175,9.328531345,11.358923381,12.018946466,11.403607665,10.195217595,9.245019759,8.400757576,7.792702996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1246149303,0.2149559619,0.5815999031,1.024742849,1.335455407,1.562188734,2.019547766,2.054944608,2.992904781,3.244364769]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.369925996,7.733061669,8.430592859,9.68420444,9.823567611,9.098368227,8.049840272,7.283794101,6.595471984,6.15625265]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6714, 63, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03119165098,0.04412261759,0.04470867429,0.03956242579,0.03400488437,0.03582505524,0.04310918134,0.05230552227,0.05372547296,0.04837394629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.949020538,4.363643184,3.764874455,3.161797041,2.678631206,2.266454501,1.908816028,1.627302936,1.379139367,1.153016828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02332970807,0.0299057385,0.06734195313,0.1028991542,0.1165277538,0.119922956,0.1355189577,0.1063390119,0.1166234329,0.08443518994]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.97164616,4.440690851,3.761493227,3.19308934,2.695016502,2.296229737,1.928947154,1.638296585,1.369495595,1.164457043]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6715, 64, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03029415145,0.06397736421,0.09926864717,0.1168278993,0.1294456677,0.1780606037,0.2801738415,0.4753591641,0.7199185966,1.019045665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.87224062,2.843690852,4.680255679,7.360793505,8.523557415,8.38405928,7.56753263,6.839727523,6.218761318,5.670187076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03294131837,0.06310832358,0.2125575548,0.4240387907,0.6205333604,0.8311890011,1.22348634,1.409267569,2.270014714,2.732055032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.523757743,2.176682959,3.620460007,5.471111758,6.142258547,5.892513454,5.278915726,4.670618755,4.167228743,3.752667628]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6716, 65, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002662924604,0.004146617582,0.00512786895,0.006221075775,0.008071545459,0.01195964744,0.01904842666,0.02988873679,0.0400483301,0.04714108313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1009818598,0.1026106384,0.1034677543,0.1265997415,0.1730955154,0.2189437995,0.2882802099,0.4022180418,0.4854693043,0.6808176751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001744405426,0.003123448973,0.01063810556,0.02148021448,0.03008088476,0.03801483556,0.05105191723,0.05009269827,0.06976374009,0.06417615685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1134585146,0.1203245148,0.1271837549,0.1646264535,0.2075917916,0.2597354821,0.3315649142,0.5111531026,0.6498473345,0.872594424]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6717, 66, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1020025696,0.2843857944,0.3481034336,0.2969997145,0.2095299815,0.154949609,0.1515950127,0.1924873983,0.2068435478,0.1929172422]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6461739379,0.8625865003,0.7799334578,0.7097330939,0.6436623292,0.5341500837,0.430588727,0.3757712573,0.3173875862,0.2886814176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06659949842,0.1188184509,0.2910622896,0.4763246901,0.5683134081,0.5730619423,0.6094905528,0.4892453319,0.5365028941,0.3636983937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7610635787,0.9953633442,0.9214558706,0.855376888,0.7787007705,0.6498895533,0.510412478,0.4637256578,0.4089003112,0.3665335547]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6718, 67, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01403744515,0.03135317287,0.05083039942,0.07192848044,0.09437099788,0.140901223,0.1867012182,0.231869332,0.27915298,0.3119608111]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03104919356,0.06803060937,0.1082622922,0.1523524414,0.2002727169,0.2967017429,0.3748319698,0.472122953,0.563929076,0.7106374342]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6719, 68, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8453319713,4.73208425,9.740918599,9.017134858,6.744097205,4.881248652,4.871312675,5.305222902,5.87689868,6.141352248]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.343526891,9.864162552,9.537044442,9.22531408,7.712326182,6.139913315,4.911072166,4.12553378,4.260299273,6.096265148]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4676560267,1.621638126,6.332519849,9.846623927,11.137887926,10.300665017,11.538488823,10.525902395,10.657226675,11.606033872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.296138194,11.751268623,11.165082863,11.269817231,11.083269508,11.55840029,10.927216921,11.392192769,10.856803277,7.794761875]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6720, 69, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.827031269,3.876705632,7.105216469,10.262123724,14.232716101,19.959968618,36.569187536,62.845245073,115.394676539,154.887514951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.992874518,7.717383832,14.728980765,20.428177843,27.55297316,35.932230234,56.353827505,78.35396439,120.398499239,144.019358975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.569008789,3.127659917,4.956717002,8.027368338,12.075770497,20.160459075,38.494630294,66.173534692,122.950663882,180.614361858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.31336306,3.891080015,7.385328682,11.391484698,16.461816273,24.648526824,44.106149897,69.919261839,119.643217406,180.197943972]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6721, 70, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005200407124,0.01521819908,0.06072833522,0.02651076011,0.06439284284,0.2555338642,0.6745846078,0.9419088134,2.357731315,4.318265185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002347739881,0.0094910742,0.03133973911,0.01675890016,0.02950097134,0.1036659265,0.2744813373,0.3551891259,0.9123101202,1.504776945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01869811902,0.01432961103,0.02238046655,0.1689366921,0.1139735671,0.9613167711,2.852716078,4.175093074,13.863251435,17.514035936]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009153426303,0.006045687411,0.009526818572,0.06665232833,0.03887272121,0.3342610895,0.9836734289,1.425086543,4.360917161,5.130217236]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6722, 71, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0168457181,0.1324913361,0.3068273311,0.4423047049,0.6874048533,0.9295758333,1.729116594,3.993814597,7.744834695,12.989273564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0115898125,0.05755940188,0.1345565766,0.1834622326,0.3022801287,0.425930737,0.7579843856,1.661320911,3.058548431,5.252742268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02465124502,0.03270715233,0.06030852198,0.1582712744,0.3799011238,0.5670101567,0.5481047413,0.9425025527,2.54389156,4.434134953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008151496011,0.01393557099,0.02864466968,0.07397733862,0.1823825412,0.2684480662,0.256639328,0.4172283935,1.058036131,1.776649285]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6723, 72, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0302746653,0.03185288899,0.1421361959,0.2785300714,0.3045715636,0.4769482056,0.3513111394,1.119537556,2.9042815,3.69853]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007994853502,0.008950713664,0.03894658731,0.07195957772,0.07837386863,0.1170010678,0.08731251256,0.283864626,0.7367548106,0.8666968146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1433542774,0.299306696,0.4409866608,0.5641416225,1.277090088,1.83779837,2.957826757,5.909047874,8.517925575,11.356255945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04261030394,0.08567231989,0.11546565,0.1513092057,0.3362730171,0.5238072624,0.8332321408,1.643116477,2.293366338,2.952267562]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6724, 73, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01062280224,0.01167778521,0.05006707989,0.09456033048,0.09977136825,0.1481562864,0.102844592,0.3097975994,0.7616834183,0.9082191541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00274423208,0.003180281026,0.01325055844,0.02354783253,0.02469722688,0.03495727813,0.02456044782,0.07534544392,0.1833478395,0.200910991]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08131206724,0.1668110324,0.2315912099,0.2789040321,0.590421792,0.7947169698,1.17562173,2.180531179,2.964632189,3.675351624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02264122171,0.04258564339,0.05351895682,0.0651893703,0.1339778831,0.1930338483,0.2778069847,0.5057625275,0.664406802,0.7823335044]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6725, 74, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005596311994,0.007066093723,0.03702815296,0.08290370143,0.1019508415,0.1777932876,0.1443280019,0.4839596434,1.281514628,1.659658527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001446220604,0.001921402772,0.009784089446,0.02064356152,0.02522404231,0.04188845576,0.03423553904,0.1164091078,0.3073810135,0.3638114032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0213321304,0.05423169563,0.09922402277,0.1503097511,0.390302282,0.6295058967,1.13048458,2.39951484,3.558882568,4.910602292]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005966795846,0.01391611571,0.02294746272,0.03517113685,0.08859457851,0.1528094591,0.2693015361,0.5561640063,0.7899981142,1.044093597]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6726, 75, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0005230738253,0.001117007892,0.006059554515,0.01413183722,0.01799911914,0.03251470362,0.02739913353,0.1013976743,0.2991580552,0.4352195115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000307187986,0.0005952589852,0.002921679387,0.006098813639,0.007436424943,0.01232039129,0.0102853199,0.03805296416,0.1117689143,0.1495696354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005070826599,0.01974243265,0.03420047866,0.05051162174,0.1307256885,0.2121892369,0.3833226738,0.8633490176,1.360371058,1.972000045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004018742259,0.01423078934,0.02149627232,0.0312205572,0.0761841133,0.129204507,0.2225175081,0.4734356861,0.698243201,0.9561381538]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6727, 76, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01353247727,0.01199200221,0.04898140843,0.08693420213,0.08485023451,0.118483928,0.07673941198,0.2243826379,0.561925393,0.6954328104]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003497212832,0.003253770882,0.01299026003,0.02166937003,0.02101617449,0.02783494264,0.01823120581,0.05405711013,0.1342570433,0.152404785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03563925327,0.05852153558,0.07597095005,0.08441621658,0.1656403244,0.2013862668,0.2683977679,0.4656528381,0.6340397587,0.7983019755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00998354413,0.01493977144,0.01750295816,0.01972814132,0.03751644222,0.04875944798,0.06360611195,0.1077542571,0.1407182212,0.169702307]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6728, 77, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0120791125,0.04114132101,0.05504929573,0.1171959257,0.1557716799,0.630866058,0.3092923893,0.3244875246,1.445835498,0.7109518714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009364739709,0.04423188502,0.07800275535,0.1886199553,0.2361280617,0.7565844475,0.3524127727,0.3659484841,1.31833186,0.6563075163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03155530313,0.07200249833,0.099675495,0.09488655162,0.1283400286,0.6682824938,1.17343474,2.529307155,5.116038664,8.599023328]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02849214773,0.07183143075,0.2126696293,0.1334442904,0.1874497799,0.8547982557,1.528484477,3.166157006,6.488736619,9.210005403]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6729, 78, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03975492654,0.07117351849,0.1406474082,0.1844909217,0.2730762331,0.4356285198,1.251994256,2.848608646,6.319858092,8.690242257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02582141265,0.03672856045,0.06997470703,0.07116455082,0.1098554071,0.167045002,0.4656857325,1.014048854,2.139229983,2.921172876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02983202772,0.05047600874,0.1137543937,0.2482227283,0.5548880188,1.187759745,3.471013556,8.472090529,14.492903742,18.450692632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01453420462,0.02322877501,0.04831807553,0.09777112298,0.2240984496,0.4534505897,1.252225427,3.041965979,4.691037558,5.7288106]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6730, 79, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06061242202,0.2181508598,0.6105880048,1.827792011,3.815862998,5.356818884,8.957477913,13.812131221,21.469851358,23.341080697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2229701391,0.5949940667,1.941683724,5.129451493,9.989570322,14.718637326,23.39694199,28.712673735,39.330879504,41.98818075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01376800276,0.01918407851,0.07746518233,0.09896727698,0.2291818219,0.393469197,0.6051214253,0.9816577448,1.285173658,1.574235169]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05077680471,0.05438125156,0.2504598358,0.286855523,0.6463409576,1.175571757,1.731324389,2.230636615,2.609617476,3.167912841]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6731, 82, 146, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008454554844,0.02047084284,0.02428794131,0.0530538991,0.06255936944,0.09850381361,0.5489362431,1.7197646,3.486259091,8.851629413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01559455833,0.03764825788,0.05086165647,0.1241113064,0.2524618817,0.4745969096,4.206699724,13.57671052,25.471551718,56.862999543]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6732, 83, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05443710235,0.1247693984,0.2936316615,0.3618178075,0.3358664628,0.6892987604,1.456711515,2.921760031,5.324644313,6.207307301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07166300927,0.1510839943,0.3181587886,0.4287824677,0.4451064025,0.8612523909,1.717711757,3.354695299,5.500312792,6.272845721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09398827412,0.2193086248,0.232320002,0.4678851614,0.5929028677,1.207599823,2.562872912,3.928518581,6.291011723,9.578941471]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1017919359,0.253693557,0.2720827587,0.5767924716,0.8085212746,1.699297264,3.24800673,4.821610469,6.98216066,9.69166462]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6733, 84, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02737316513,0.05941547822,0.1026907676,0.2476821675,0.3274802173,0.4122041822,0.6591169172,1.97392134,4.790268842,5.829242908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0767607668,0.1467517999,0.2325297454,0.480588498,0.6242585092,0.7194505612,1.189313958,3.672443871,8.13202712,9.859333689]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06115155673,0.06420048479,0.1062305551,0.2732340809,0.4602634085,1.15578092,3.330665149,4.591437874,9.157325411,10.810055408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1125106686,0.1334372849,0.2032015834,0.4916616632,0.8076294213,2.192690864,6.363638094,8.075241817,16.347326784,18.485002378]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6734, 85, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06400675711,0.09932146589,0.08043706522,0.09031665333,0.09346697866,0.1226079983,0.2460391996,0.3936144327,0.6628467405,1.016949877]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05634010191,0.1103210906,0.1202960859,0.1102219057,0.09385010698,0.136808802,0.232307032,0.2829313485,0.4334556682,0.574846392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0891550364,0.1375076489,0.1466313571,0.1811719716,0.322206511,0.3683433736,0.2370127599,0.3923962582,0.3780580686,1.856595158]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1463078827,0.205880749,0.1754708095,0.2484138522,0.4019244875,0.4089757095,0.2679015304,0.3099229057,0.2756990364,1.171938995]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6735, 86, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0115482799,0.02343699578,0.04319722765,0.08126299402,0.08882317358,0.144535971,0.2112023539,0.6336564151,1.139326646,2.111664494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005953903005,0.01335294963,0.02470408305,0.04057096799,0.04850997039,0.09528886713,0.1664630524,0.4598023956,0.7602580313,1.299064329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04723159677,0.02425807209,0.02029694044,0.04134072415,0.200257109,0.5670197048,1.498771151,3.954130394,9.455978953,15.936993474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0329055833,0.01572453916,0.01360293154,0.03356469999,0.2235889819,0.631688721,1.900618221,4.366409807,8.765231071,13.746234852]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6736, 87, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01314732158,0.0206730897,0.02629135967,0.04248272804,0.05981425785,0.1012540269,0.1992092275,0.2872425485,1.012559069,1.205347724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003981465951,0.007867109306,0.009494556414,0.01576290977,0.0214428475,0.03402260157,0.06130624992,0.08642328939,0.2922412873,0.3509385664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002923404028,0.004622469051,0.00776632255,0.02202358817,0.02944806927,0.04112672444,0.1843005618,0.2885111695,0.4263517685,0.7411193483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001001228896,0.001985459474,0.003888497197,0.008705758709,0.009360733818,0.01583723995,0.07233617066,0.09897710876,0.1608693162,0.2632792953]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6737, 88, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0291193588,0.04825659028,0.1050001994,0.2009995706,0.3707084868,0.5880410753,1.220988765,3.157887167,7.061981509,11.743391835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0158597972,0.02263601724,0.03916148923,0.07546187315,0.1134418971,0.1659873953,0.3155711378,0.7982918573,1.691249247,2.74778361]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0425202626,0.05600998258,0.1278773901,0.294223081,0.6307917269,1.306616579,3.049431684,5.937906117,11.914737139,20.746575651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01811940031,0.02529074701,0.05223836882,0.08048543302,0.1743797207,0.3527076377,0.7781434255,1.478515264,2.845616148,4.913196116]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6738, 89, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01499794103,0.05488036025,0.1471384992,0.178342362,0.2285082125,0.2850836611,0.4454628854,0.8220563753,1.444296711,2.388588803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1258971229,0.4037591935,1.085331964,1.042855127,1.102902713,1.185229581,1.523461033,2.558304605,4.03457233,5.806220215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01100953561,0.02525113996,0.05459300721,0.1088659853,0.1461613358,0.2348420858,0.3785537508,0.5305380457,0.8748878336,0.2248702664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05037075177,0.0742639642,0.1711914574,0.2981086712,0.3737542029,0.5446406172,0.7782841524,1.082233883,1.606493125,0.3925288056]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6739, 90, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02211407931,0.08392505272,0.1450485367,0.1796763381,0.146517824,0.2121618787,0.3673152957,0.5555482452,0.8493532702,1.329728885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05703367071,0.6918306392,0.994129106,1.071365167,1.103409253,1.653978095,1.912708308,2.446911532,3.460363535,4.51114129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02486055513,0.05427577794,0.1683356629,0.266148116,0.3541951773,0.5404421762,0.8699669012,1.416187394,2.769195282,3.918686952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0770831642,0.1894766113,0.5127643075,0.7106684327,1.453132436,1.781722929,2.307747608,2.523808108,4.664404497,6.976705808]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6740, 92, 146, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04622780232,0.06290567725,0.1225283586,0.1528527477,0.1807136237,0.2198913798,0.2624460393,0.2344291483,0.4451998869,0.7277908497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1506233724,0.2575990209,0.6665537064,0.9649256153,1.101866573,1.146582596,0.9915650816,0.6762692277,1.000677484,1.294339871]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6741, 93, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0326438917,0.06017976951,0.1802876261,0.1773461122,0.1097110807,0.1219619829,0.3149973345,0.5873049878,0.7780663182,1.243688872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03072894096,0.06455660778,0.2475567646,0.2683320938,0.1520748259,0.1707508754,0.4024314056,0.7013899083,0.7998624039,1.209654893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04406577501,0.02929579526,0.06985988924,0.08461015202,0.1431622686,0.3336603827,0.7512769412,1.238634965,1.70766621,2.509745972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04115551319,0.03170121402,0.1064606641,0.1412627535,0.2331187784,0.5102057441,1.059176568,1.4649824,1.805805652,2.563607578]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6742, 94, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006310195677,0.02968771823,0.07726514271,0.1339270856,0.1130694613,0.2161499215,0.3809186069,0.5230109426,1.12257473,1.460007585]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01040507036,0.03402328598,0.1435658547,0.1565845347,0.1640450917,0.3142485236,0.5232887074,0.711401306,1.330761827,1.587774115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01427423871,0.04502738714,0.08883941332,0.1393565289,0.1461428262,0.2253144988,0.2853586767,0.6878180893,1.502916159,2.943344206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02261757165,0.09108599659,0.2144418468,0.2382312311,0.3198499308,0.4595145682,0.5301221373,1.039493002,1.883322971,3.202992646]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6743, 95, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1353387683,0.2031894292,0.3272688813,0.3517762104,0.4512605041,0.4959862892,0.8516522862,1.107575356,2.112783515,2.585087933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1829244465,0.2572558242,0.4206766813,0.3627001931,0.4204938775,0.3851214519,0.5956486458,0.6642872572,1.186264815,1.302187149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07511644617,0.08671875205,0.1876694857,0.1659615491,0.2248308322,0.5127021495,1.253297328,1.83357337,2.192482768,2.826864955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08344849139,0.09572313063,0.1947466958,0.1393852957,0.1701046173,0.3177925189,0.7093953766,0.9145000112,1.010497265,1.225812502]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6744, 96, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008287165032,0.02616526784,0.03045258108,0.03246605809,0.04065372123,0.05369275016,0.09532879152,0.1333691349,0.6613939692,0.8479137298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1240361052,0.7600979727,1.024283815,0.8359361181,0.7744831305,0.8427973146,0.9383374819,0.8700451571,2.629153725,2.24222135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02623184405,0.0356139188,0.02897544352,0.04807681543,0.06316124292,0.1068285394,0.2049768467,0.3233649522,0.4552117371,0.6811925791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1426788579,0.2011363082,0.3086184646,0.3450945231,0.3776712418,0.4339948608,0.7002230181,0.7695944057,0.8679254169,1.097822355]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6745, 332, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002247494913,0.004174516047,0.009161835349,0.01807215357,0.01134518278,0.03084065118,0.05447952438,0.1155379343,0.2597511985,0.4142069076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0007742273041,0.001438098301,0.003140384895,0.00622279452,0.00390461385,0.01059649992,0.01881701229,0.0396674894,0.08930676475,0.1416697293]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001675137898,0.003029945676,0.006421506519,0.008063978254,0.03519392956,0.05923076945,0.1172074409,0.1613082063,0.5176511588,0.4078135994]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0005599150194,0.001012712743,0.002133278664,0.002681373497,0.01164494969,0.01969327557,0.03883944363,0.05355249719,0.1710152306,0.134337792]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6746, 97, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02468960586,0.0589866976,0.07891850262,0.1368577123,0.1211914617,0.08811141658,0.1008243436,0.2216839231,0.3621853103,0.4793635975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1432892441,0.2685376714,0.286185687,0.4068878202,0.2865108532,0.1923676725,0.1819290097,0.3477927766,0.4974134477,0.6128303445]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0454139165,0.04956604654,0.1480881009,0.1902764933,0.1320917765,0.2251625405,0.1232000682,0.225573572,0.5260239237,0.6915621989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2287513574,0.2130395663,0.5094996182,0.5657115585,0.383190838,0.5955161129,0.2645798513,0.4431994954,0.9005814993,1.097757019]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6747, 98, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1070565282,0.2305889195,0.3594741613,0.5383055947,0.6611393515,0.5166120041,0.8681062498,1.444454358,2.590225156,4.113377153]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1101908513,0.2551728257,0.4530484802,0.7153400089,0.9954088075,0.7509169193,1.130027165,1.838487638,2.890501862,4.024665409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4654858185,0.4328868533,0.9203663185,1.491908597,1.763371983,1.544797195,2.854586811,4.449230196,5.803644265,8.482549112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4146385075,0.4110955549,1.012972234,1.797174308,2.328005539,1.872578612,3.029271291,4.311545773,4.938266671,6.365185653]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6748, 99, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008147739111,0.02296233532,0.04461859138,0.0497275536,0.1025434578,0.1783805659,0.3056310447,0.9531979811,1.891024242,1.066550048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01085787016,0.03889621471,0.05452395043,0.09181711959,0.1671766412,0.2819270218,0.5063157963,1.503958112,2.704209083,1.32402033]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01221072963,0.01177030582,0.01997826303,0.06990996494,0.04690475961,0.486056073,0.5738419321,0.8079615763,0.9917062471,2.53637404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0198815522,0.01737922751,0.03599048426,0.1476617658,0.08431396628,0.822182015,0.9735932828,1.366449984,1.516845321,2.960820525]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6749, 100, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2063991446,0.398422708,0.4087098196,0.5340906179,0.5975840787,0.6986120217,1.192982872,1.360569025,1.738109982,2.27884997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1667271377,0.325954064,0.3263455487,0.4580183602,0.5275566118,0.6317316978,1.084484514,1.275913701,1.562428757,1.959050953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.353319959,0.3031589169,0.2702834303,0.33398364,0.7451395577,1.058244811,1.399875768,1.205839054,2.995400992,3.972630253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3448132243,0.2448187326,0.2474061294,0.3329668389,0.771407719,1.183814126,1.661172475,1.499778199,3.295004867,3.673435217]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6750, 101, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7683785772,1.551840314,2.682811122,2.857247935,2.78850245,2.713183493,4.15068448,5.781548803,9.464830968,12.951760698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.235447142,2.748576997,4.993595294,5.43599726,5.468236322,4.775945141,6.549231935,8.422112644,10.671824174,13.314937796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8418333702,0.9737752308,1.390796893,2.300995118,3.112897474,4.252658801,6.399834031,9.236712199,15.239770632,20.240648989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15479114,1.133992346,1.96611851,3.333867337,4.560471512,5.574157483,7.639256525,9.122275947,13.632211387,16.112419474]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6751, 102, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.892637189,12.962398026,25.737842253,31.581532695,38.586197181,48.106769028,85.505724907,159.967709124,352.127107094,622.272047924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.237737153,39.949189524,40.656181963,45.67829649,60.395595082,107.964638546,177.538736594,271.767142245,449.991959211,622.895664888]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.833690623,8.565655474,19.849923411,38.309873987,65.821773618,113.423934981,208.53670278,344.978667547,607.107791094,1048.081521644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.330339243,45.970324215,41.562684062,40.176418822,65.624759616,113.767343898,163.100523166,279.940949381,455.483326202,712.571592411]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6752, 103, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5283990656,1.35741868,1.855970859,1.879108959,1.669182374,1.553821013,2.126660156,1.817835274,3.196901979,4.742016945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.741229887,5.147495521,5.515961814,5.703612148,6.253072039,7.156734785,9.056153545,10.967407966,12.309783248,13.894626995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.585288019,0.6537184733,1.210872009,1.739182807,2.163989238,2.998873617,4.466170632,3.361056774,5.335571571,9.387177922]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.041335282,3.465619161,3.80855232,4.112763394,4.568743459,5.250266941,6.718681969,7.672380466,8.207645341,9.246511689]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6753, 104, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4092136232,1.443119645,3.234609841,4.286490962,5.711854106,8.354967798,14.808644041,30.672205225,74.0491624,135.998691137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1388099139,0.2645237319,0.5012326542,1.028976964,2.354570398,8.398432925,26.835814354,65.70347494,133.814062031,209.004803017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8634034653,1.702813361,4.779295719,10.385750784,21.765898266,41.07421726,79.836505018,131.532912866,246.445125915,422.597926323]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1932392136,0.4335957696,0.9585871531,1.772626834,3.869227451,12.816279322,36.429140763,90.017998833,193.079348857,320.982965647]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6754, 105, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8110728971,2.926970332,6.411771962,9.23505677,13.154684839,18.541899339,35.402380351,66.896058328,147.290195671,267.083922014]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.498827795,2.465491695,4.709218237,8.000113506,12.039169592,17.248133637,25.835320392,38.042336778,54.227490656,70.452287365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.522636613,3.026677102,6.707117211,13.649172439,22.772898834,39.000380333,71.8041776,124.586183644,207.688458978,363.010311506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.747265387,2.798237394,5.169101202,8.676842797,12.713502219,18.181532269,28.255266126,42.593640289,60.998553949,79.706678423]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6755, 106, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08851467738,0.3867193083,0.7030316085,1.06793531,1.393993138,1.99721116,4.031037792,22.217093119,53.017307112,103.045998757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9443961538,1.565474879,3.012455039,5.262975239,8.129343064,12.661940895,20.119654422,30.314900882,44.259868767,58.7304596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1912346837,0.3128806732,0.955426638,1.995226017,3.537407308,6.978364568,14.231047298,48.317936286,87.422907159,164.714487389]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.038302109,1.706722727,3.20698262,5.561559665,8.290588477,12.946984513,21.051612561,33.347765235,48.573852709,64.884189072]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6756, 107, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7225582203,2.540251023,5.708740352,8.167121458,11.760691683,16.544688152,31.371342558,44.678965067,94.272888558,164.037923118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5544316414,0.9000168156,1.696763198,2.737138267,3.909826527,4.586192742,5.71566597,7.727435895,9.967621889,11.721827766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33140193,2.713796432,5.751690581,11.653946433,19.235491524,32.02201577,57.573130296,76.268247383,120.265552076,198.295824107]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7089632775,1.091514667,1.962118582,3.115283133,4.422913742,5.234547756,7.203653565,9.245875054,12.42470124,14.822489352]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6757, 108, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2050678988,0.8276549941,1.951256276,2.868642442,4.273773251,6.217321565,12.258813985,22.784903963,50.558556824,84.022894921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2067856085,0.3130662916,0.5077798854,0.8873053865,1.820535854,4.721772355,13.65158338,26.619091369,39.719369648,60.81760855]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2048772519,0.4178213353,1.15139673,2.534634256,5.020561439,10.159384802,20.439613079,33.486503352,56.916760484,99.128797433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2215223186,0.3535041297,0.5612565538,0.9688176311,1.944831305,4.828133104,12.489820763,22.407905752,30.637260077,44.598639919]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6758, 109, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.101058069,4.21928661,8.291761923,9.236711567,9.46564778,9.11906105,14.59713722,12.532723077,24.758070872,40.452913245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.476385103,1.762031973,2.196637512,2.874423195,4.776317553,7.910718864,14.717208123,22.472885607,28.682989208,38.917124389]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6817638074,1.181647142,2.871518832,5.39679988,7.818612068,10.854997247,17.758995886,29.080669279,51.022654347,83.597612563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.007621084,2.53714829,3.064260367,4.107446005,7.079896939,11.974236087,20.292988615,27.67402996,34.771234433,45.036993415]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6759, 113, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1380487482,0.298792053,0.4841982978,0.3884878598,0.419229243,0.3434126406,0.5059846777,0.4714120767,0.6381232459,1.202847225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.062262964,0.06884163467,0.05245701271,0.05928450901,0.06880827691,0.0863520299,0.1362397698,0.2048834985,0.170791483,0.2252946556]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2034345025,0.2806175875,0.4925314271,0.5961113007,0.8135024523,0.9985589143,1.546983532,1.582374948,2.670344363,4.944928598]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1751449465,0.1818250132,0.09836489628,0.1110855774,0.1263684795,0.1585550569,0.2729082391,0.3611721065,0.4284072662,0.4985901651]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6760, 114, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6728703918,1.781320855,3.317969098,3.406633163,3.491370595,3.534802494,4.87253202,23.36053594,48.102816204,82.007532388]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.113435881,29.927738677,27.172894848,26.826592961,31.972669401,60.524746871,84.725708783,101.916351413,166.256796515,195.075093375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7349915715,1.15114196,2.400302994,3.67903104,4.878894262,6.942743096,10.470148273,16.246247141,26.416635537,43.454052864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.944211011,36.200394458,27.90256157,20.136940993,34.207570178,58.437116542,55.489225314,78.313802944,94.898002097,127.277747828]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6761, 115, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.42720515,6.389848213,13.441827029,15.009754301,14.950268917,14.396534563,21.735250485,39.34423827,78.823389107,131.556917081]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[488.105495461,439.819185461,488.987182862,621.121687303,787.454980874,969.330380801,1163.908794553,1368.529403451,1578.563421685,1811.972421504]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.600252278,2.926232635,9.248013121,18.011862576,28.529721313,43.036214761,74.721615248,140.682069077,256.641105341,425.990937819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.665062624,210.672572706,299.771169692,436.161383993,593.187878513,774.979332806,980.280585273,1185.648594416,1401.324959831,1610.088735459]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6762, 116, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3315067776,1.758914762,4.231884328,4.677169684,4.712362087,4.880817926,8.154766121,18.762718198,38.686820272,68.713149854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[146.668008922,201.271644858,295.112247682,429.16885942,586.216845916,756.159882954,935.277607341,1121.387595136,1312.762083669,1524.911246864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3103833119,0.7825443562,3.30126959,7.343808039,12.023704205,21.749195877,39.580822461,83.89370402,156.551492411,273.31590718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.941595231,145.63239705,228.445781921,357.303524662,506.271480187,679.52428788,873.643261135,1066.745253918,1271.350239785,1471.757358959]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6763, 117, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00735041919,0.03144479786,0.0679606968,0.06527193225,0.08343065102,0.04948319513,0.1434748467,0.2747452998,0.5588814929,1.02465153]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02717139296,0.04307422916,0.06248784439,0.08611818523,0.1160733012,0.1549901868,0.1990242921,0.246645847,0.3045400843,0.373029477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1390467983,0.2622357192,0.5810016948,1.010168017,1.703125588,2.580863911,4.813618375,7.182966636,13.295862201,23.848905003]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06464997381,0.1170675947,0.182712304,0.2672715148,0.3747600746,0.5079887422,0.6792604829,0.8981419417,1.189487283,1.56046344]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6764, 333, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001391838455,0.00371245363,0.009671925955,0.009019015461,0.0142009938,0.002893101182,0.01246758999,0.01988584023,0.02403837204,0.05684049164]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001250522344,0.003237969934,0.005726035367,0.008678309438,0.0122903999,0.01691486651,0.02240546293,0.02944299942,0.04203019885,0.0605503424]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02361540925,0.03584327758,0.09363193341,0.1392339096,0.2540471164,0.428648609,0.7680214065,1.479886333,2.466338677,3.71669538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01503035034,0.04018685103,0.075301123,0.1230696561,0.1873259312,0.2704803409,0.3810057579,0.5268169214,0.7306133262,0.9989496928]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6765, 336, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003169666567,0.01874212799,0.0452583873,0.04371776892,0.05432972014,0.0411896083,0.1098898918,0.1956026587,0.4345892474,0.8280415543]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02592087062,0.03983625922,0.05676180902,0.07743987579,0.1037829013,0.1380753203,0.1766188292,0.2172028476,0.2625098855,0.3124791346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05547085202,0.1020791886,0.2518066747,0.4346665592,0.7386761947,1.097051704,2.05651032,2.581926045,4.895431744,8.367890703]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04961962346,0.07688074372,0.107411181,0.1442018587,0.1874341433,0.2375084013,0.298254725,0.3713250203,0.4588739571,0.5615137476]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6766, 118, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7997752529,3.48060946,7.077036773,8.067138086,8.210178439,7.817965767,11.128786486,17.543687463,34.832736896,53.62004613]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[330.523979908,223.606900963,172.094568002,160.389752004,158.223804433,157.788709332,160.24351094,165.216197027,169.937820418,175.652305786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8577320194,1.481966929,4.27004577,7.964469463,12.881683983,16.243272142,27.21494106,42.733205,75.12672074,109.935823636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.070670344,60.053838732,63.684253285,67.134360034,70.488056816,73.529855379,78.544085149,84.615731549,89.051895588,90.769497033]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6767, 119, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1397781781,0.7700255683,1.491467514,1.513179702,1.297645556,1.058100177,1.428324463,2.122612378,3.463885608,5.53031774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2544323926,0.3047625629,0.351102504,0.3974378621,0.4307381413,0.4567439194,0.4886835781,0.540322443,0.6349093676,0.7710515185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06850895754,0.2137632702,0.7478473058,1.329455879,1.486133504,1.89285142,2.341942444,5.170480232,8.44932965,13.93860967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3284924406,0.3920854421,0.4477895468,0.502206904,0.5475051247,0.6025101198,0.660072834,0.7298146933,0.8238353514,0.9434058982]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6768, 120, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1487945219,0.3488536154,0.5734776933,0.6869948851,0.646652178,0.5901675026,0.8798985532,0.640474915,1.281064823,2.668751772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.631902846,14.592802848,21.36677683,31.079519832,42.467519083,54.770054409,67.699968402,81.138642997,94.924068146,110.264787858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.224581192,0.1857223586,0.3478487572,0.3639611585,0.4350740755,0.5700314838,0.7702908999,1.701713298,3.217700089,4.951692488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.259654634,4.477183887,7.010632635,10.954020878,15.506076312,20.814690685,26.753905672,32.659652315,38.909501823,45.058010128]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6769, 121, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3704521907,0.996672353,2.221457474,2.817354142,3.348631443,4.271676987,6.677132511,9.681639779,15.954527,22.678983721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.402589254,4.201379553,4.752911742,5.297762664,5.503533628,5.682120965,6.200345778,7.293010217,11.078622191,14.619963168]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5699391752,1.064220687,3.203392092,7.701394867,13.086272766,20.315793504,33.699590049,44.60859968,61.817716903,78.077732224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.894946737,4.488883415,6.919636257,10.301162114,12.135283811,13.480360207,15.867115175,19.433496249,26.502134665,32.376951407]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6770, 122, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06924189203,0.2026438626,0.46498876,0.6095865897,0.7477583544,0.9874998461,1.591972458,2.268107901,3.52206219,4.756397046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6770985879,0.8904985562,1.105811267,1.248644202,1.339300402,1.448369517,1.6435057,1.88523313,2.708947241,3.45726381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0790737313,0.1406312901,0.4251236031,1.032661935,1.762275916,2.758712042,4.619135046,6.125891004,8.460787487,10.646168351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6635549086,0.8172854606,1.210892779,1.860021709,2.18992312,2.463950608,3.003536818,3.670859762,4.8023528,5.682325702]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6771, 123, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07759391444,0.2232406668,0.5244274296,0.6862187404,0.8414486971,1.092165635,1.733729271,2.660576198,4.691130484,7.057567268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7798631152,1.075935712,1.204202806,1.40775218,1.542864312,1.585117542,1.739771645,2.264242535,3.649508764,5.146051134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04900856638,0.08341134163,0.2449676529,0.5785078254,0.9681522854,1.478065845,2.404847918,3.408464203,5.333932065,7.466179375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.421308371,0.4941803774,0.756315514,1.028681104,1.241012575,1.338864292,1.535175623,2.008240038,2.987705534,3.952890178]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6772, 124, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03265169646,0.1681391947,0.4405874549,0.6407053004,0.8543321345,1.209425878,2.081614554,3.242325394,5.601792723,8.241731653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1755153133,0.4483250338,0.6634511969,0.884490837,1.025591428,1.218309513,1.484972181,1.881006322,3.012673521,4.058557221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1707417022,0.4927854907,1.620594765,4.184822155,7.617485365,12.559046004,21.997349735,29.924059786,41.542645809,52.571574319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.626070177,1.245008074,2.316903434,4.003382097,5.303679405,6.563097279,8.343418507,10.829334442,15.174195829,18.839736984]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6773, 125, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1909646877,0.4026486272,0.7914538312,0.8808435164,0.9050922536,0.9825856265,1.269816233,1.510630289,2.139541574,2.623287784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.770112237,1.786620251,1.779446472,1.756875445,1.595777486,1.430324393,1.332096252,1.262528231,1.707492666,1.958091003]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2711151758,0.3473925638,0.9127060719,1.905402949,2.738359209,3.519969584,4.678257387,5.150184713,6.480351485,7.393810187]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.18401328,1.932409503,2.63552453,3.409077205,3.400668711,3.114448028,2.984984226,2.925062006,3.537880503,3.901998542]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6774, 126, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.183072829,5.625677376,12.161409622,12.185680976,11.120028081,9.230203451,12.385535195,17.262478509,27.028449233,42.60653804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.024582285,80.468216657,130.259302198,163.523911226,178.932768194,214.609164623,253.361568998,295.392942045,330.313809217,450.378407237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.645822779,3.895058798,11.002496306,20.053122458,26.403385218,32.786776788,40.964933981,48.08029929,64.887766251,85.597880205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.455650625,47.635964816,71.389245884,95.035689875,115.211247413,140.035286571,172.45277253,204.245442415,230.350453341,292.377501688]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6775, 127, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1488057992,0.7545437266,1.745933016,1.890943413,1.831521024,1.613375319,2.359342454,3.657492069,6.70827519,10.885880202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.064173943,5.34507516,11.441733659,16.643305524,21.312288912,28.613950517,38.208273679,47.222698438,53.847161469,100.528275676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2154543881,0.7257988314,1.704432981,3.364556894,4.807688969,6.656720769,9.567928907,12.903625072,17.528572861,20.592077431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.480802503,2.076293001,3.853892572,6.614883937,9.145845625,14.233451562,23.649041918,32.739059922,41.661535384,64.478683547]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6776, 128, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07606335598,0.2725804482,0.5686986066,0.5573974817,0.4985437101,0.4500923128,0.6219735432,0.8641415182,1.494217007,2.367495986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.312078214,30.310484272,54.930705749,68.545722991,71.167809359,88.900507459,105.673130289,125.266259893,139.735955788,187.568537773]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.126776207,0.2108214718,0.5476933375,0.9989137722,1.24743511,1.729784166,2.187065526,2.87867386,4.097804978,5.061942244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.842411347,3.72438134,7.008622259,9.722346137,11.288056957,15.107786041,22.107039582,29.744944144,32.351565703,48.268930248]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6777, 129, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1124008619,0.2633706045,0.4313981132,0.3875445923,0.3041800541,0.2285350211,0.2773506738,0.4627852546,0.6076315678,1.270276532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.08974323,7.607367312,8.250219345,7.939778359,6.01692597,4.83037929,4.539809025,4.293839101,4.000849276,3.677139922]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2516207366,0.2516484615,0.4428706923,0.7483476216,0.7019976383,0.8866986343,1.058898472,1.393734007,1.282491952,2.90701526]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.728186235,5.443800539,5.434573215,5.105513502,4.722193228,4.241230762,3.92051304,3.348660097,2.913415929,2.655882872]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6778, 130, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2578694546,0.6861857443,1.140424836,1.155073436,1.352287609,1.311634416,1.747212169,2.637124339,3.962362908,6.943480357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09015741205,0.1102376463,0.1483360375,0.1865267635,0.2245101089,0.2750067165,0.3434965507,0.4124688023,0.4816427306,0.7674563817]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3823072181,0.64498659,1.442451926,2.243570057,2.869874323,3.801070767,5.283125461,6.597750591,9.0930697,15.236476255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0843130311,0.1152297485,0.1830083384,0.2505622377,0.3172966456,0.4189865438,0.570726862,0.7230789376,0.8752570643,1.295978221]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6779, 131, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01360314484,0.02594601254,0.03917623295,0.05925471742,0.07619115971,0.1130785096,0.1919940079,0.3659289714,0.5778529414,0.8484644348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3625949971,0.4041839935,0.4297724665,0.4542798189,0.4959214997,0.5722566163,0.6794813894,0.8629169628,1.165767627,1.809665418]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02713179587,0.07479955872,0.1323492103,0.181166971,0.2808382464,0.3461853666,0.4937903363,0.6758726001,0.9752532673,1.388448052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.466327122,1.449312238,1.115014652,1.197557067,1.893649862,3.173060301,5.107956739,8.096433341,13.02445782,20.694342835]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6780, 132, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3455027262,2.647201067,5.8977915,5.898139086,4.760922336,3.349429091,4.180526185,4.72988235,5.921573023,7.364864182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.472714369,23.190884206,32.105787226,40.76087216,48.683245568,55.377187345,61.060240061,65.873262131,69.540414301,72.120663796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2031952263,0.8355402663,3.166027259,5.687271281,7.455287423,7.851427224,7.788973919,8.035516531,9.967068872,11.205903925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.07213542,23.653339982,33.27455963,43.330255808,52.267064473,59.829621245,65.93130506,71.174626226,75.291538202,78.874730008]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6781, 133, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004983792753,0.01904635738,0.0647668658,0.08494336646,0.08598256508,0.09770211693,0.1647458209,0.2741087493,0.5500360681,0.9086884085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02681472072,0.02644427399,0.03019242981,0.0398342229,0.05433442035,0.07003850134,0.08674851709,0.1289540693,0.2078343789,0.3145168615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02005826611,0.05454805297,0.1353422468,0.1737920179,0.2608501674,0.4188337604,0.5396319035,0.6822187015,1.14297019,1.595096786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02076599095,0.0217586501,0.02396290372,0.02830017402,0.03487175796,0.04600987051,0.06340216929,0.09342858945,0.142582939,0.2267074063]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6782, 134, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04707206941,0.1742816462,0.355760334,0.3682933092,0.5354665494,0.5199360959,0.7917852129,1.574122361,2.755645541,4.796044535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57529277,1.680010537,1.5577136,1.476042814,1.431756645,1.810054755,2.938250365,5.625527412,10.827669202,18.563928645]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05468516117,0.1196927504,0.3329244528,0.6705186754,0.9997501335,1.187965856,1.853822398,2.352564611,4.563163268,6.837145065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5826038099,1.245614759,2.97388378,4.824328702,7.051041679,9.663654806,12.42225773,14.731463181,16.951003661,20.125920548]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6783, 135, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04209064108,0.1671948322,0.4873065666,0.4622550729,0.4805935111,0.5062787188,0.7967077686,1.073010875,1.66792168,2.19423362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03637321,2.712257099,6.678070442,9.044483127,9.362273007,9.955411732,11.269817082,12.400684523,13.268578086,14.267762821]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1011565627,0.4195703294,1.531262954,3.187787545,4.466627582,5.881161799,7.015646208,6.789270685,7.723685782,8.52157955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.64823718,3.649779834,8.135287122,11.470002951,13.336314014,14.907605317,15.999688281,16.735462176,16.83800665,17.310789882]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6784, 136, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1346809829,0.6153269342,1.430153558,1.321836506,1.194339572,1.040141853,1.253897366,1.623882028,2.782933275,5.027109816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.994639419,9.081272157,14.686771244,18.433065445,20.183702703,24.204371691,28.56232204,33.306330712,37.237936359,50.760459941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2634372181,0.5576524793,1.56714122,2.797197616,3.313035642,4.026928495,5.176050816,5.77107263,8.513685436,12.252195726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.529867986,6.256454724,9.386441411,12.49193936,15.154913171,18.413880123,22.680841148,26.858285801,30.301089989,38.44553612]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6785, 137, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.838870849,4.334433539,6.377416966,6.323325137,5.929693811,4.59509082,5.874548757,7.264149925,12.053791378,18.177348173]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[545.730843265,649.0408138,756.563702799,849.334500825,932.942748476,929.041629305,837.580141064,816.482498355,885.949708777,942.889537032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.138942994,4.82372414,8.239825989,12.567869166,15.760510775,18.367499742,22.020145617,25.43654407,32.789805894,49.349294792]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[324.868361875,376.825386879,421.344739086,469.617621231,518.688052073,524.84348106,496.81857564,484.179937782,504.044338504,544.561215144]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6786, 140, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.732294913,4.019427062,5.956917841,5.84946334,5.282744612,4.085713387,4.956815737,5.69523774,7.717652243,9.015901154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.869898062,46.462947039,44.471248744,41.752188884,38.862173098,36.74924662,36.441006984,37.527999324,39.052214892,41.508069091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.79569009,4.508624336,7.896809958,11.992054869,15.071284013,17.44928968,20.673029187,22.826832562,26.8660014,35.692540249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.022881302,54.774133217,53.074838256,51.24454996,48.783591633,46.053849097,44.676611296,44.948140132,46.976883541,48.857235954]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6787, 141, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.009150950332,0.01439432227,0.01603841536,0.03278599045,0.03330295626,0.06212480362,0.08966431196,0.1568491826,0.183626712]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.569888146,3.662719282,6.492893048,9.101742308,11.622181168,13.363765957,14.260740452,13.307453458,11.322813732,8.881635503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.006974717428,0.00829286436,0.02504710142,0.025903676,0.06986646085,0.1075533113,0.112137572,0.2110198581,0.2859249331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7946188353,1.922024909,3.38153156,5.069696164,6.281436609,6.732357422,6.699069901,6.272576853,5.037425659,3.698613554]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6788, 142, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[362.549893344,414.432355381,493.116476522,531.448278293,534.898322829,515.208168254,465.651658493,419.262365596,374.870867555,326.469391827]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[176.402381754,204.622984769,244.793055943,264.003024662,261.032558724,251.158720792,235.844268432,215.707501774,192.342236342,169.267431313]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6789, 143, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.97579129,31.823461978,32.459369999,33.866439846,36.145994236,35.183312408,30.911491407,29.205465221,29.714791476,29.112249938]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.958599002,29.018767749,29.222652399,30.3667417,32.187121234,31.174101183,27.812631094,25.70609476,24.672806693,23.424720376]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6790, 337, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[107.124556397,151.198649477,177.433770403,229.499955891,306.606995601,321.857505856,277.793778076,288.008810725,350.906718528,352.239832574]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.22736971,85.413838529,88.981498749,116.048835621,166.679154312,184.331876095,169.887136355,162.974651885,163.606033328,148.858643819]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6791, 144, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1065759357,0.2936262389,0.3901295073,0.4430411652,0.5987933302,0.4472299677,0.7432245426,0.9222911733,1.685818765,2.155493803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6408160271,1.456923903,2.564095617,3.587262793,4.611852727,5.620062623,7.512467723,11.911978706,25.603151247,54.177890427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3432529041,0.2921715682,0.2978238626,0.5050378825,0.6216896758,0.7723066475,1.065621241,1.770291709,2.492745015,3.723691952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4625112717,1.06857675,1.856339674,2.783601359,3.493926931,4.238505587,6.479214424,12.121134162,26.564596004,53.500795181]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6792, 145, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.421955992,3.157489862,5.100757505,4.770723435,4.822713802,4.515213999,5.776096964,6.887902484,9.484170505,11.073942298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2981.412064338,3768.777213904,3757.693151062,3918.75793375,3888.174286166,3739.408274799,3611.452600714,3516.249783547,3319.52255714,3152.892424802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.567407959,21.902074177,31.933821421,35.823131146,36.383178145,37.868169229,40.937482131,21.201936863,24.681099838,28.353845345]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3040.345306151,3863.178722338,3767.712752175,3537.02276955,3528.95924458,3377.873044814,3198.410855358,2960.944733208,2717.889061282,2449.241124472]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6793, 146, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.3183054628,0.4078272437,0.5032992586,0.550377916,0.6637136993,0.7344342728,1.243768515,1.516151539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.316067484,132.589175906,223.328041679,305.875200917,346.131561718,345.912779054,328.883642236,303.334200312,265.236894535,217.207202073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.4026701167,0.700043842,1.001771581,1.267482005,1.567671131,1.743704291,2.338816643,2.914835248]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.015871156,149.461782879,259.585161902,361.133177996,410.215956499,406.695007926,384.379501633,354.018141532,306.258027372,252.485447048]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6794, 147, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.366306045,0.9380042862,1.590402891,1.566474578,1.691998043,1.698973536,2.347754751,3.442147743,4.58332668,5.042347075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.18496606,188.935429108,150.229928445,95.447788606,79.08960227,70.11805327,65.612282794,61.602475674,55.91713139,46.80268585]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.102419907,4.488463625,7.684504077,10.007177907,11.255470346,12.984020412,16.032569866,16.145984989,18.400023132,20.473251891]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[356.494191283,839.57180658,733.677464289,480.65802678,383.373430868,330.205511892,295.581955718,262.576908606,222.21521441,176.950512251]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6795, 148, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.041945402,2.146566422,3.034505998,2.660200859,2.55152044,2.22012187,2.725767445,2.711320468,3.65707531,4.515443684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[112.937584782,187.38842587,207.499630089,217.844411312,215.507723314,194.317258961,153.52981595,106.027808299,67.140232251,37.791402896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.462093236,17.405357942,23.828203038,25.090528199,24.105932466,23.599816866,23.322832089,3.312247583,3.942260063,4.965758206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[163.911102212,282.373826517,355.992657847,440.690831994,485.463913317,471.72396876,382.019052205,263.987732856,170.851178965,99.674324604]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6796, 149, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09813326284,0.2300545599,0.3307202356,0.2746847099,0.2607092825,0.2133387622,0.2569438787,0.2579862778,0.329449795,0.4024292433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.822613844,24.76416156,76.849226657,137.706872058,160.20362134,151.736291792,119.083234095,78.214351074,46.174908317,23.069263521]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7421258611,1.947575083,2.710144997,2.742765231,2.58898928,2.378118492,2.300472726,0.3312477704,0.371344923,0.4604866253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.096722326,45.46934357,163.042093207,313.420566031,390.610523325,396.978683879,323.124671381,216.968985772,135.446874449,75.363643259]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6797, 150, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007180648603,0.01317424212,0.019461517,0.01674323077,0.0154742863,0.01237484625,0.01498402503,0.01154138286,0.01653290899,0.01828418793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.911666694,10.467823975,14.899379213,15.289810071,14.539559891,12.494782707,10.086804396,7.475637782,4.984203732,2.927355799]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03218799026,0.06707914385,0.09319198675,0.09823353793,0.09058433894,0.08282241802,0.07856226915,0.008762990417,0.01104914955,0.01277815875]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.881153738,12.237958756,21.248273867,27.39909369,27.747126544,23.611466052,18.755400185,14.4424585,9.808797133,5.538817885]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6798, 151, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005817159999,0.009559635979,0.01300087164,0.01096103464,0.01033238955,0.008304587345,0.009778466833,0.01185731028,0.01572267934,0.01782618064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.17752582,67.069143291,47.768037056,22.892556649,11.843539906,7.810754487,6.378528977,5.868996251,5.063822757,4.123674083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02447189622,0.04480114234,0.05915914692,0.05972217438,0.05559744882,0.05175013689,0.04900036352,0.008362932401,0.009703150252,0.01161161184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.351283608,98.432738965,69.592271845,32.334791144,17.15543936,11.781503297,9.243162328,7.921973963,7.056313672,6.041159736]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6799, 152, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.377719527,6.637884015,4.664442685,3.381277981,2.30189327,1.832166216,1.333172806,1.001996495,0.7550797258,0.5421009756]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.242490887,15.38299854,11.154935482,7.772903254,5.043890473,3.924990438,2.844175792,2.249518188,1.659645946,1.130624307]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6800, 153, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9308143323,1.893777983,2.671323372,2.357811884,2.265004484,1.986103674,2.444061072,2.429935499,3.295369927,4.076904068]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.648058896,78.44941303,63.318544477,38.573894554,26.619108907,20.443263759,16.648075677,13.466826698,10.16221772,7.129008517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.663307496,15.345902576,20.965706922,22.18980731,21.370761368,21.087125821,20.894796716,2.963873886,3.550162834,4.480881807]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.339451653,110.850786685,90.955083446,59.763477875,44.906933615,35.427325094,28.051642519,22.404796433,16.879547766,11.600079417]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6801, 154, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1358.409471493,1693.026529334,1814.673952436,1898.712483889,1984.407014275,2029.984138784,2022.038520536,2005.339769549,1974.006812291,1939.466983658]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[713.227489232,881.588930462,939.529815699,978.399964194,1009.420051713,1026.930671095,1023.745503113,1013.635316161,1003.24366542,991.070690464]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6802, 155, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1277.569806744,1545.846598001,1619.568246543,1671.30876309,1731.771373902,1758.948934398,1744.800281136,1728.994628163,1702.707027339,1674.296913843]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[660.717347369,786.485105443,814.398866117,832.887664882,849.43679501,857.2451944,850.738599944,842.003338386,834.385021949,825.329802274]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6803, 156, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.839664749,147.179931333,195.105705892,227.403720799,252.635640373,271.035204386,277.2382394,276.345141385,271.299784951,265.170069815]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.510141863,95.10382502,125.130949582,145.512299312,159.983256703,169.685476694,173.006903168,171.631977774,168.858643471,165.74088819]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6804, 159, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.222175599,241.702250316,299.240754957,292.598743498,264.561869935,232.520249259,207.806520261,191.624665588,179.233920522,170.185002886]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.994342343,193.004818062,240.654707244,232.413608798,208.351761728,183.515372804,164.145700605,150.591577717,139.993687983,131.230419185]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6805, 160, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[633.519480652,680.844452984,671.449066095,632.293362152,580.497161087,528.78076477,498.553709342,483.512166329,472.458634226,463.927426867]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[472.680700306,463.95003896,435.987686562,400.416045871,363.224120551,329.542734699,313.017338056,307.708183791,308.987234765,307.142969504]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6806, 161, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01370454567,0.0729191539,0.1575431542,0.1362207549,0.075896061,0.04574067735,0.03886106916,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.576722902,119.474007386,98.144917633,66.324445722,40.675729568,17.227470112,6.182495275,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002894815762,0.008252610521,0.01844418955,0.02538119805,0.02000375112,0.01684994617,0.01440904496,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.989233114,29.17377,22.408413136,14.37540608,7.56202839,1.713214433,0.3593565532,null,null,null]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6807, 338, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01370454567,0.0729191539,0.1575431542,0.1362207549,0.075896061,0.04574067735,0.03886106916,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.782313991,15.935796744,12.25882865,7.924821418,5.097427928,3.081561088,1.326952688,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002894815762,0.008252610521,0.01844418955,0.02538119805,0.02000375112,0.01684994617,0.01440904496,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.215396255,2.72619358,1.991075139,1.369468664,0.9802348075,0.5905712648,0.2431309637,null,null,null]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6808, 339, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.79440891,103.538210642,85.886088983,58.399624304,35.578301639,14.145909024,4.855542587,null,null,null]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.773836858,26.44757642,20.417337997,13.005937416,6.581793582,1.122643169,0.1162255895,null,null,null]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6809, 340, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.527511761,66.859263412,64.554199032,61.790440191,59.760033748,57.361048443,55.457691622,53.705072108,51.949305649,49.663329885]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[203.102902543,197.091959874,189.439930021,182.961735757,175.313728783,168.907066924,163.149979465,156.919888699,151.997378338,145.785152407]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6810, 162, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.699810608,46.838776043,45.182985432,43.145533376,41.661587925,40.000957222,38.583982815,37.335156339,36.13328531,34.424819441]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.087376095,121.215894949,116.480168564,112.5432461,107.476753791,103.289140044,99.894476191,96.01361281,93.098971119,89.186888591]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6811, 163, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.827701153,20.020487369,19.3712136,18.644906814,18.098445823,17.360091221,16.873708807,16.369915769,15.816020339,15.238510444]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.015526448,75.876064925,72.959761456,70.418489657,67.836974992,65.61792688,63.255503273,60.906275889,58.898407219,56.598263816]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6812, 164, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.220264116,5.107690925,1.180415746,0.2407081031,0.04513162726,0.007165164534,0.001018172443,0.0001310803868,1.547428244e-5,1.692773267e-6]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.04228678,13.494745325,3.301921712,0.7345130512,0.1596352859,0.03071499813,0.005524720068,0.0009375330925,0.0001514886123,2.350306684e-5]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6813, 165, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[237.115868606,23.398017425,null,null,null,null,null,null,null,null]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[582.895031898,117.221766328,null,null,null,null,null,null,null,null]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6814, 166, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[217.381950882,202.089927442,186.757240571,171.156944702,158.062666605,148.613011322,140.525026963,133.695882843,125.891194803,118.102825727]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[343.992155285,318.329880476,292.967907178,266.325155908,242.670960879,224.604097902,208.175241976,192.237031435,177.365771234,162.796344497]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6815, 168, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.872798474,14.908998061,29.54968612,31.468937215,29.667962969,29.675744523,45.411778657,79.459976785,155.864138547,254.617480063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[326.187327025,572.790776006,777.092407429,966.878254263,1169.379048989,1415.533158778,1519.814416593,1318.01465069,1342.598962616,1377.177098813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.831991376,6.859965986,18.84822963,34.169425704,46.292783529,62.918762378,93.778722454,138.551664547,224.156224548,343.82274987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[153.656603459,181.193603771,245.63246193,327.654634807,445.591604373,592.655371202,752.841813387,938.578570288,1178.965045173,1505.41478074]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6816, 169, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4787374964,1.484404517,2.873491004,3.939559462,6.022070882,9.952811608,20.600856926,48.044599418,107.7907138,186.70350421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.795908872,98.466103672,128.602958164,166.789609748,242.931821548,363.139304398,542.602166844,701.865671054,747.197593411,740.343075504]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4094132167,0.7839862633,2.145760969,4.674402549,9.416029753,19.435666277,41.802223943,71.416065557,132.857806093,220.668507042]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.560391158,44.051388456,65.571297849,97.226008769,159.865034189,253.532827169,367.203375562,446.718502723,457.690389583,442.061724016]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6817, 170, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02274292319,0.03968170753,0.05269016044,0.05105900418,0.06095191975,0.04279302878,0.021303334,0.03434670373,0.07845863778,0.07848145037]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0114264361,0.009322885085,0.008032650029,0.006758808512,0.005487642887,0.004829544966,0.005041916255,0.005274744734,0.005513993899,0.00614768846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01938132297,0.02306536749,0.06033413271,0.05421808318,0.0603617643,0.06482177869,0.07212273428,0.06317902537,0.1721817013,0.3126631986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01898636297,0.01765783452,0.01602443204,0.01437818238,0.01272369736,0.01226317467,0.0135060307,0.0147847882,0.01607424385,0.01884416937]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6818, 171, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5304097506,1.64384958,3.60645911,4.167015367,4.481660994,4.724209009,6.825018502,10.684713395,19.839092316,29.679798179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.113967162,112.854360618,162.163674957,217.473178873,283.748910772,318.95843935,332.118871604,358.85674966,425.201102343,480.130148909]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8744208982,1.685386004,3.682012907,6.680498409,9.634553953,13.448931346,19.537556389,26.42135987,40.047224253,62.180912351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.400548645,89.058932131,128.970619448,172.905123261,221.800539519,260.660176207,289.69982815,334.149418743,390.658359736,441.052528256]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6819, 172, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01453127966,0.02284315494,0.03302425375,0.01450395723,0.01018779912,0.008901344622,0.01014038121,0.01776486188,0.02644304523,0.02061563691]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.301295956,8.684046548,15.967497123,27.320965324,38.442914338,48.988510667,69.443878462,86.921695098,95.585153471,99.224135835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01443633264,0.02526959529,0.02668208908,0.03035238659,0.02031808227,0.01237525201,0.0162913559,0.01621822186,0.03522503482,0.05919230374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.702056991,5.524150084,9.179540478,15.441770842,24.264098313,34.84514414,54.197825994,72.086541946,82.6814801,97.620905991]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6820, 173, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.138095684,0.4649153685,1.271579819,1.572521084,2.434592334,2.707437918,4.212312662,6.489571922,12.616471092,18.667156991]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.606960815,32.641447916,51.231885289,76.784447522,110.709652926,127.541189758,117.195828404,112.164595688,133.42446996,158.698759856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2199476106,0.4919366848,1.322314166,2.743731311,5.150025506,7.613113502,12.461796248,16.640370681,24.639463052,39.863246984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.034154051,31.30581707,48.061562538,66.647143265,86.740972616,99.61724625,99.963321875,103.307344435,110.879949482,111.143884268]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6821, 341, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2238395476,0.6849167951,1.184133547,1.376467615,0.7818336149,0.7392793602,0.7801807034,1.200443944,1.545595752,2.330250457]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.246504327,37.810236374,49.423339692,58.880412467,75.285693141,84.71709336,91.602307241,105.309067706,134.036041566,148.05362984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3821509132,0.6543850399,1.247016007,1.917270057,1.932494039,2.435880617,2.06980224,2.771554721,4.330446987,5.739271833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.797758435,32.048925463,43.636069353,56.248415737,70.202078707,81.688944946,90.850693655,108.766605283,135.048770423,159.418766634]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6822, 174, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1539432391,0.4711742611,1.117721485,1.203522708,1.255047242,1.268590389,1.822384764,2.976932656,5.650582458,8.661775078]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.959206064,33.71862978,45.540952853,54.48735356,59.310650368,57.711645565,53.876857497,54.461391168,62.155437347,74.153623377]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2578860434,0.5137946855,1.086000643,1.989144664,2.531716319,3.387561957,4.989666563,6.99321621,11.04208917,16.519201222]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.866579168,20.180039513,28.093447079,34.567793417,40.593389883,44.508840872,44.687986626,49.988927079,62.048159731,72.868971364]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6823, 175, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1764476818,0.7374929223,1.313033927,1.496574576,1.244168922,1.074807216,1.423434179,2.209293163,3.662482534,6.110151916]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.219897382,3.137601833,4.088817155,4.975015117,5.765286161,6.808737312,8.141553604,9.269149935,10.27007968,11.766014811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2373469974,0.432674676,1.211229109,2.15595204,2.735859721,3.49271388,5.047976811,6.543044198,10.086253451,16.175856352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.830619589,12.571422266,16.913038919,21.393111793,25.886464743,34.718010968,47.676687111,102.719239119,274.28038855,549.944583214]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6824, 176, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1424322737,0.5268347158,0.9606460106,1.096892913,0.8554611363,0.7538375692,1.005216604,1.498168704,2.154756814,3.415986761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9728363802,1.187450101,1.148018027,1.147895693,1.087973572,1.077175906,1.138051188,1.220595696,1.348771837,1.599168435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09182487461,0.1835804716,0.5138884499,0.792729277,0.9696658325,1.323206589,1.680357814,2.242668675,3.002411412,4.966336515]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3024049028,0.3645788554,0.4481495428,0.4945690914,0.4668696995,0.4613054241,0.4634394801,0.4943297205,0.5538576078,0.6839925682]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6825, 177, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004306855865,0.01168662034,0.02021107168,0.01974491714,0.02412131912,0.02186789205,0.04762917545,0.04247130982,0.1134624126,0.0987500657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5126698127,0.9107532631,1.580404973,2.178051446,2.763756773,3.471201933,4.310743489,4.982797926,5.525960687,6.275354731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009767361345,0.01554512373,0.02748066262,0.02183179662,0.05582105402,0.0805004337,0.1001088005,0.1896072745,0.3432768837,0.2891360527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7933442562,1.531831361,2.725822306,3.950486057,5.147456433,6.571717757,8.294225312,9.974844448,11.177595013,13.046922459]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6826, 180, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02970855254,0.1989715873,0.3321768435,0.379936743,0.3645864681,0.2991017551,0.3705884022,0.6686531511,1.394263307,2.595415088]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.734391189,1.039398469,1.360394156,1.649067978,1.913555816,2.260359473,2.692758927,3.065756314,3.395347156,3.891491645]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1357547615,0.2335490814,0.6698599966,1.341390967,1.710372837,2.08900686,3.267510196,4.110768256,6.74056514,10.920383816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73487043,2.986053982,5.012691375,7.011650081,8.829530919,11.069775883,13.769027542,16.470325788,18.422773067,21.512760726]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6827, 189, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6256113306,2.004735265,3.382297435,3.402260469,2.948246945,2.670947221,3.923110442,2.04108316,3.239819002,4.958695457]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.638439802,29.255167904,28.737147037,28.566566118,29.168901552,30.891895286,27.176642358,21.38904473,20.670080745,46.332185195]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.485878517,0.7176093736,1.433410365,2.137960611,2.593913694,2.971539426,4.013527381,2.495042207,3.734174235,5.806316718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.621310101,21.258981805,19.613028459,20.472001704,21.072818106,23.75107292,25.106245757,26.780857939,27.8894215,34.530736575]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6828, 190, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08155511552,0.2241296137,0.1872918093,0.06319927548,0.008315684021,0.001190314836,0.0007769482642,0.0004094827156,0.0004073793701,0.0003946589515]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08254179078,0.07266741147,0.03016491308,0.02169255288,0.003968928125,0.00169746217,0.0002473579458,0.0002697592574,9.474354189e-5,0.0001096288597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04518794517,0.04633689563,0.05759171682,0.05576126846,0.01567301829,0.003066613643,0.0007122480246,0.0006653874317,0.0007321168134,0.0007071602541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05529098433,0.0456845388,0.01641032634,0.01348953249,0.002398058466,0.001779654912,0.0001509003826,0.0001597109732,8.621166048e-5,9.245520725e-5]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6829, 191, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1963445046,0.8540353291,1.518620134,1.546406656,1.258915799,1.05383862,1.291249933,0.7912246385,0.8138128656,0.9177935868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5273160709,0.4804818377,0.4165974994,0.32137485,0.2384652744,0.1696467105,0.1094434551,0.06055305414,0.0357256223,0.02217498191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.158477012,0.2211575288,0.471010718,0.9232198875,0.852588995,0.8566785473,0.8318918815,0.9987597209,1.011723906,0.8995265826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.412304415,0.3668185475,0.3126307914,0.2279222432,0.1592605007,0.1069369593,0.06421045216,0.03367835402,0.01710990253,0.009538919993]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6830, 192, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03308972401,0.1335622451,0.2096229981,0.1969435206,0.1577760331,0.1176417251,0.1293009485,0.0810708021,0.09478821618,0.1071371956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2393271627,0.2288449254,0.2274202256,0.2349806872,0.2409618375,0.2586810224,0.2547605835,0.2242138142,0.198045668,0.2113442831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04572831771,0.06297909637,0.1252588171,0.2264243098,0.1905089872,0.1643247831,0.1474865455,0.1805442488,0.2093787716,0.2263264141]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3623684125,0.2531852244,0.2305836412,0.2464935926,0.2451360974,0.2792114734,0.2968435476,0.3296287278,0.3360935353,0.3796689532]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6831, 193, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3146219857,0.793008077,1.466762499,1.595711017,1.523239424,1.498276561,2.501782615,1.16837824,2.330810545,3.933370011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.421235762,7.3271403,6.892949959,6.989667251,5.82268707,4.337262932,3.304602161,3.364685519,2.967286751,28.723160386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2364852418,0.3871358525,0.7795491128,0.9325551427,1.535142696,1.947469482,3.033436707,1.315072851,2.51233944,4.67975656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.697994981,17.985249397,16.549907502,17.363806547,17.95955825,20.006374966,20.058019074,20.688675457,21.088295081,25.910939003]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6832, 194, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.012524098,8.920879328,18.169283341,18.263614279,14.777516774,11.106293107,12.5213884,16.313398798,20.983859154,26.795189997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.609790898,19.624889219,19.379258926,20.054618568,18.977631782,18.280942855,19.406683368,23.344843545,25.203379728,41.481846208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8055504237,3.217244302,10.315482146,18.466394012,21.852064643,23.50508967,23.305315196,31.61297369,37.258584814,38.678494208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.224747604,14.235221279,14.548452823,15.644011097,16.954024119,19.981020763,23.142170776,28.195766976,28.43041156,37.80636451]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6833, 195, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2649428355,0.6481477077,1.313391565,1.186338784,1.173728525,1.093438067,1.55519541,2.496504641,4.062090173,5.990257995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[625.885089516,964.127008524,1360.549289869,1878.187235788,2520.56392818,3081.453485738,3578.453861107,4185.071619771,4862.563784158,5468.35508216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2114093131,0.2821850811,0.7024141757,1.171728801,1.396867576,1.63093809,2.511652169,3.295517038,5.35681621,7.5817532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[645.984674715,983.597150521,1324.712989335,1696.000687159,2113.300082947,2524.07501875,2940.584771445,3377.25988962,3807.992163571,4170.726555103]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6834, 196, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03030603706,0.09710540846,0.2416704683,0.2649907658,0.2250848002,0.217817589,0.4033651367,0.755319227,1.345822357,1.856045785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.274563045,75.647861705,80.272888067,88.43727264,103.214996719,126.570436209,155.520917274,190.917377193,238.237811742,299.060359192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03761399506,0.05556857677,0.1448101338,0.2014803693,0.3234682238,0.3190883183,0.5798119617,1.024448957,1.749042871,2.470054996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.69409859,47.853360083,53.342484774,62.617819202,79.237646329,103.098369949,135.317693567,177.254179089,222.972421448,272.788128553]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6835, 198, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[553.563668803,869.298844519,1186.969253653,1514.258607852,1855.593518448,2126.587615956,2334.020339201,2538.211832717,2726.058016598,2872.687231525]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[600.306170231,919.796297536,1229.259613415,1538.253677502,1841.863248266,2120.793225693,2379.297712918,2616.032540335,2825.486511954,2964.830061486]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6836, 199, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[243.581524174,342.01206248,431.390720623,538.150677577,666.065032086,823.588814449,1011.845089569,1194.218484959,1366.372913137,1550.077020185]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[351.552590451,501.907365935,638.280817338,790.720590442,955.516951257,1159.450312698,1402.753894953,1624.902261291,1819.780889812,1988.75758145]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6837, 200, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[309.982144629,527.286782039,755.57853303,976.107930275,1189.528486362,1302.998801507,1322.175249633,1343.993347758,1359.68510346,1322.61021134]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[248.75357978,417.8889316,590.978796078,747.533087061,886.346297009,961.342912994,976.543817965,991.130279044,1005.705622142,976.072480037]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6838, 201, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007985827945,0.05572878401,0.15722432,0.2962060381,0.4501688124,0.6256073668,0.8733528995,1.20256978,1.632243314,1.889050007]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02709992991,0.1787758133,0.4600397697,0.829664165,1.283689651,1.832659144,2.413941021,3.326176721,4.192527999,5.270673764]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6839, 202, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2346367982,0.5510422995,1.071721097,0.9213480152,0.948643725,0.8756204778,1.151830272,1.741185411,2.716267816,4.134212208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.03887184,19.124573516,93.149923829,237.747999423,420.147064169,556.930459503,652.288061579,821.693248476,1056.086436939,1240.108591674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1737953181,0.2266165044,0.5576040422,0.9702484324,1.073399353,1.311849771,1.93184021,2.271068084,3.607773343,5.111698202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.957305964,15.768717089,41.650851375,71.058812514,103.592998434,131.984073125,155.575667797,189.55883011,235.279420599,274.525857284]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6840, 203, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8995719265,2.159233707,3.488766699,3.250877706,2.833474881,2.580823989,3.800336418,4.817060987,8.515180252,12.939957902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1167.011994889,1092.12761375,1053.497380695,1085.188880245,1177.353343403,1344.385714912,1600.492470013,1939.854882596,2332.145220414,2871.80669427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.037158316,1.219407109,2.111047239,3.554400726,4.229469539,5.440907512,7.889855734,8.615815035,12.67773019,20.403665424]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1183.295785358,1133.566441507,1111.805139955,1159.056585259,1268.518712991,1456.700774188,1738.805802116,2065.450222089,2410.952575805,2855.04572983]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6841, 204, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5676517016,1.050305674,1.322797821,1.142919631,1.021363575,0.9582851007,1.474842391,1.418172135,2.741875868,4.03340959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[109.298420919,103.060522755,90.140881421,76.037634609,63.486738063,53.975611892,52.244544401,64.42378635,63.108515135,50.802115742]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7465765031,0.7100875419,0.8704259008,1.193516589,1.434427242,1.948192579,2.857198067,2.553984329,3.321440235,6.228084412]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[112.973399696,106.407399787,95.101302155,82.586251041,70.961362812,62.856884726,61.943468189,74.382507266,73.366024885,60.108720687]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6842, 205, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0391122821,0.0500364443,0.04679112126,0.07074970656,0.04296507622,0.04780529351,0.04295887625,0.08467218348,0.07943295149,0.1140838862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.388668819,9.350634553,6.713935184,4.32184345,2.425468208,1.311565625,0.6794186816,0.3370489866,0.1470778244,0.05368667329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06103952441,0.0720042894,0.04846334236,0.07549383562,0.06600455181,0.09191454022,0.1332483794,0.1452754352,0.1779966554,0.2326482695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.663846281,7.556980247,5.617145542,3.688663497,2.057444852,1.09371414,0.5617554329,0.278966741,0.1193634565,0.04238594119]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6843, 206, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2217097023,0.432404559,0.4845087927,0.3895382029,0.3647165499,0.3610799086,0.5418249562,0.4635652786,0.8795114256,1.639138795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.678463659,14.853500898,13.27509081,11.055743705,8.979102598,7.130805534,5.629400814,4.509766702,3.262122571,2.340159673]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.278064285,0.2978909658,0.3555480782,0.4355184234,0.5646913482,0.8135549191,1.02470698,0.8097545996,0.9051482069,2.254515074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.045274099,14.374166356,12.657448766,10.555402431,8.509702173,6.844889727,5.466887852,4.369609023,3.170617587,2.162182962]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6844, 207, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8855942872,0.7942407811,0.6046883748,0.3910121572,0.2344934031,0.1332935212,0.07031246268,0.03401377467,0.01387243369,0.004532554332]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.075742775,0.9488482603,0.7661082163,0.4879103196,0.2913733979,0.1685355569,0.09152270715,0.04582300617,0.01936789279,0.006537210918]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6845, 208, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04392984292,0.0823164245,0.08573672398,0.06541601751,0.07251038921,0.05729695607,0.1220352798,0.1685697585,0.3800650885,0.3605485846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.436804604,9.110611623,8.333108552,7.25038636,6.28923757,5.391720946,6.439527234,12.207050797,12.906794934,9.568423461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09004716931,0.09530430818,0.1386150888,0.2258355834,0.2649185227,0.3989392867,0.6986432231,0.4773983418,0.6332013385,0.8418200692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.553883129,9.133776919,8.488406818,7.474116635,6.457854758,5.44629529,6.360725992,12.003916369,12.771736411,9.428104623]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6846, 346, 146, '', '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01664702295,0.06240603509,0.0616806206,0.06050811312,0.05913808076,0.05764536349,0.05605286449,0.01438886928,0.01382067766,0.01312472224]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6847, 209, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03537456884,0.08066861925,0.09941273494,0.09033127793,0.08806415435,0.077356761,0.1523828309,0.01166155672,0.0463278904,0.0513606328]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.688927061,16.015048565,14.892025249,13.193758198,11.170791741,9.277761511,11.163447461,21.069826822,22.47998312,16.130342606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01896503084,0.0172019303,0.01743017849,0.01334032364,0.01365722613,0.02340234553,0.02810725835,0.03113827485,0.04792041154,0.0537260237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.312790941,16.965039068,15.687020107,13.833552937,11.808070947,10.09255201,11.934458931,22.221027302,23.746413248,17.083884075]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6848, 210, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2275253056,0.4048796271,0.60634845,0.5268844268,0.4531074046,0.4147461806,0.6156404482,0.6897033589,1.356538505,1.868277693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.06070932,52.783420174,46.182647772,39.703128709,34.286057161,30.646760797,28.19508578,26.234567085,24.275199668,22.688811244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.298460494,0.227686048,0.3103692119,0.4433284234,0.5251555917,0.6203814847,0.9724922257,1.090417674,1.557173623,2.845374973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.305215448,57.366182901,51.823492086,46.486097108,41.777778602,39.153252638,37.47206441,35.448775955,33.524705612,31.372501153]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6849, 211, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3319202249,1.108928033,2.165968878,2.107958075,1.812111307,1.622538889,2.325494026,3.398888851,5.773304384,8.906548312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[735.13612994,615.955907525,533.68866771,494.38858591,491.43103656,488.19384373,487.193552317,500.842320109,517.025969155,546.74922448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2905818134,0.5093195671,1.240621338,2.360884137,2.795042297,3.492714934,5.032657667,6.061830707,9.356289956,14.175581012]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[752.895004878,653.164151086,576.457920277,540.642019178,537.408340007,526.775547502,516.456706895,517.018505959,525.352330349,543.785043359]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6850, 212, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[158.057047806,161.275327043,164.508901666,168.49201492,173.558586584,169.93364371,155.490926425,142.961479316,130.071011665,124.54289447]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.386466318,134.435147398,140.595221082,148.628781906,157.011254178,153.4527334,138.036964773,122.799429459,109.632595183,103.130120357]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6851, 213, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.707793484,65.4821078,74.894060626,81.049864675,84.830459405,87.653872384,90.60023074,95.228632771,98.514370135,102.737034982]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.000772299,68.710209777,79.0296349,85.195874912,88.988600859,91.367973208,94.094333986,97.178711826,101.568293686,105.433243077]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6852, 214, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06057548885,0.266312343,0.4812450779,0.4143989581,0.3976193468,0.3297702448,0.5598963102,0.8662288412,1.613855727,2.346617509]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9694273504,1.068486553,1.080968948,1.114383083,1.175320826,1.20089766,1.386080233,1.544213194,1.743372247,2.006424778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04578140855,0.0929396088,0.1746538273,0.3948668143,0.5035671585,0.681835318,0.9995029081,1.39359031,2.732465107,4.107528625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.211082353,1.330976912,1.64992457,1.881534476,1.8638728,1.969186972,2.197374675,2.508635492,2.748232807,3.230647989]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6853, 215, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1004133177,0.4465604867,0.9683584442,1.092981843,0.8444239204,0.6447190763,0.9674342953,1.54831264,2.320959703,3.381234886]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5066806554,0.4287291813,0.3998701631,0.3676336436,0.3537669689,0.3638602228,0.3846029958,0.4194416232,0.4562334568,0.5036984578]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1283612632,0.2438000828,0.679073334,1.374584963,1.519764181,1.968073024,2.771393027,3.064292208,4.121283718,5.424353537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.610619985,0.5144024624,0.47155957,0.445103171,0.4279123049,0.4329878505,0.4638282749,0.5056090068,0.5502813897,0.6037407004]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6854, 216, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.842763572,21.492913487,21.24172446,21.030776781,21.016681736,20.366261895,18.783216852,17.384236367,16.206819621,13.638067953]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.194968124,24.79957999,23.565843607,22.740403965,21.961655139,20.970869678,19.537861415,18.360618408,17.224425115,13.942949828]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6855, 217, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.960333125,59.024120992,56.123136228,55.655886773,57.794805293,59.85757074,61.997047363,64.468371593,66.705879396,68.70004899]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.958170272,92.145415751,86.940266568,83.853372151,82.640723683,81.424610866,80.208377316,79.416155599,78.644916526,77.718638571]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6856, 218, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.807734208,55.071978744,44.55570821,34.292688147,24.480618013,19.03060088,20.377567589,22.122509419,23.999491051,25.710902582]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.839648697,64.994083147,52.303076296,39.027016566,26.395532864,19.242138269,20.900954393,23.084951216,25.259832549,27.2499829]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6857, 219, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[296.180781394,189.619918453,100.600573408,52.975312478,38.622129191,24.405718286,15.331481873,11.424431652,7.490650474,5.324248664]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[284.317696407,186.066307992,99.73027804,52.858186727,38.144344304,23.520050148,14.437131432,10.786449032,7.111948439,5.069289969]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6858, 220, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.002169339,2.155627409,2.617986593,3.108058286,3.630719858,4.007410794,3.984058909,4.056930478,4.080647737,4.389412611]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.599092439,2.809326707,3.381769655,3.950700276,4.6384362,5.158592866,5.226668502,5.298788743,5.272231807,5.603086894]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6859, 221, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0009122606515,0.001014883701,0.001334660492,0.001654437434,0.001974214695,0.002348453534,0.002777149284,0.003205846257,0.003634541432,0.004323239349]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002474519123,0.002531544531,0.003164754734,0.003797963956,0.004431169903,0.005359345257,0.006582487983,0.007805637388,0.009028768966,0.01106777487]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6860, 222, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.474530308,38.129160967,41.790361609,45.129016172,48.498953312,53.820279663,59.967745991,66.663314409,73.185550862,79.103189279]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.777955981,49.435049738,56.082623344,62.770152254,69.236485704,72.659173969,73.667813673,74.508720976,75.492118918,75.585382263]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6861, 223, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1194110732,0.2870362187,0.508358194,0.4596780708,0.4252545564,0.4844467188,0.6586034568,0.8208815768,1.616054084,2.773497824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6406424727,0.9770254294,1.307788732,1.596616553,1.858563613,2.198845473,2.526354008,2.926642173,3.463091175,5.389489359]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09670557992,0.1509982739,0.3109587213,0.4800424816,0.6182218977,0.6691299881,1.073522108,1.340749812,2.2206143,4.261959004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6704826131,1.065622175,1.434091812,1.795354662,2.12769936,2.24785025,2.464747885,2.683241462,3.109061297,5.20103835]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6862, 224, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05152034517,0.1090189844,0.2080071599,0.1408991974,0.144813484,0.1636028499,0.1395599623,0.1634657938,0.2224348703,0.4051980999]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.985313964,21.229496582,24.566252406,29.574679961,35.608457545,45.352533568,56.361462188,71.638911267,91.105216793,114.699489114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01973356161,0.02158160077,0.07593545432,0.1113898751,0.1534890577,0.173676606,0.188239621,0.2631983638,0.2819268212,0.3817398457]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.325574869,26.855497491,31.27046608,37.491740149,43.967391442,54.324020681,65.214068083,79.879389102,98.729363864,121.005854684]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6863, 225, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[211.747312096,238.394458452,281.560861668,342.677649194,418.559107726,560.742070103,773.256439041,1025.708308882,1307.902543196,1687.254198164]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[223.458144959,256.548250318,309.934950949,385.873604153,481.244753499,651.856186536,899.53189531,1156.158580502,1416.175115949,1747.273992161]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6864, 229, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.811771396,94.080942422,103.119015056,115.00838957,129.315383873,177.653046835,259.116542819,331.122403503,391.946911529,486.136542626]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.256615776,106.656921005,118.345190345,132.318919889,147.542201495,200.611471685,290.57876824,362.721025471,415.151844484,496.123024294]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6865, 230, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.891293953,86.313502823,109.217712023,147.405242433,197.827400619,273.044374663,368.953463638,500.405095282,651.323344137,815.802513381]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[87.503246923,106.737504705,139.319895841,191.588666614,262.286908036,364.744595871,486.200851388,627.35999026,770.740438721,914.577168653]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6866, 231, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.137951533,9.224168197,12.008836923,16.035321047,21.720902227,25.059335971,26.650632474,31.929760404,40.076141056,50.711572288]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.508647659,8.964159897,12.031278891,16.792744803,22.9529683,26.772610726,29.231379654,34.359263222,42.134504814,57.502753773]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6867, 232, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.906295213,40.574568923,46.21694374,49.01636474,48.565462757,50.667796698,55.578933582,65.754726597,81.552523112,94.138584609]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.1896346,29.575932932,33.90947466,36.152940265,35.68310932,37.305543034,39.597723225,46.963524379,58.545866351,68.289491466]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6868, 233, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[110.830131934,134.716725018,148.106969896,172.085010531,203.876461055,241.474189189,287.797934254,348.880467254,444.108192928,587.001155884]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[93.969235825,117.446640317,130.310966575,149.954710887,178.904256673,215.212155424,260.873731722,317.890628362,396.059104622,503.877973622]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6869, 235, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.051196677,57.172251549,53.667303041,53.31150373,52.975624915,51.780273483,49.949359944,47.835660488,45.223546137,41.654973062]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.6693427,48.523179558,45.265911868,43.562455512,43.360482132,42.597060735,41.453262698,40.160535893,38.637584207,36.572839584]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6870, 347, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.03895878,8.805523117,13.499785349,16.945461833,19.734105295,22.564547253,29.13630927,38.283783937,44.104531501,45.852327237]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.524091916,13.093782073,19.810434479,24.437422062,28.743179757,34.028418745,44.8935248,59.005319366,68.442440289,72.013282536]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6871, 348, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.739976477,66.322893714,69.476410328,72.590178238,75.546290766,77.925786592,78.976091494,79.190833204,78.245280183,76.352745443]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.775801209,53.898714052,55.936795689,57.995881572,59.9949676,61.557804207,62.417314103,62.421954344,61.432102829,59.580919228]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6872, 238, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.039921673,14.533260116,19.875535909,17.561210685,15.260898502,12.777155475,14.422890415,14.171662183,19.706945221,23.362346056]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.795929326,47.536813545,68.654487575,86.572640997,105.44666314,124.626463527,142.564721861,161.145276779,182.328932221,208.493990952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.974103117,35.123170493,55.134713793,61.357993861,61.241114214,59.929982759,64.5174416,48.151551674,53.506757153,56.671999459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.451056541,87.211222498,136.931054036,190.455340391,247.016427358,304.745454586,355.481631476,401.348606315,444.506892433,490.817831229]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6873, 239, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.885280359,14.192796529,19.353121724,17.070719204,14.872013495,12.457268184,14.035012285,12.681305441,17.636986014,20.89885226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.556483236,42.863001147,61.860322452,77.207745755,93.359165828,109.852661836,124.621965721,139.296873115,155.801837548,176.807028687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.569167095,34.234292455,53.787593711,59.861182164,59.7256766,58.383712309,62.593092356,45.905949762,50.982786418,53.954299793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.777326456,75.409525383,117.999889003,162.701730459,211.232101728,261.934160494,306.512277772,347.079051214,384.839800476,425.707272179]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6874, 240, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7183415987,1.566713038,2.102039742,1.798338542,1.725605118,1.433186872,1.677911731,3.791754927,5.361724881,6.386908457]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.760374618,10.392473373,13.733185128,16.599205608,19.423458672,22.5035656,26.257832123,30.915345276,36.806917522,44.065071346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.435108089,2.971414129,4.863100129,5.480305173,5.683529614,5.689714956,6.195256327,11.34211946,13.075963172,13.530152851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.459051437,14.647405944,19.941825249,25.645126299,31.654153724,38.441464696,46.57849443,55.880367408,66.095492903,76.932208869]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6875, 241, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3108094441,0.693349543,0.9090256124,0.7879644183,0.7001057299,0.6241566753,0.7539994509,1.887261172,2.676555043,3.266851129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.046327946,3.046605574,4.543623975,5.73966171,6.890704883,8.124696704,9.652669742,11.736639627,14.873372012,19.544308447]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.317361102,2.781824596,4.521372696,5.075787321,5.129074849,4.862266884,5.367230404,9.820670133,11.100916846,11.672252079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.448880349,6.824456984,10.75359659,15.391328825,19.807176958,24.782095183,31.427260568,39.745576666,49.192180454,59.439892065]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6876, 242, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4765878892,1.164168131,1.461620167,1.357333929,1.064884359,0.8772461921,0.9806336507,0.238314002,0.329503895,0.3839892048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.181729521,2.621363422,5.271037964,7.384344974,9.413555687,11.201099633,12.173762583,12.514845259,12.620576888,12.781472074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.194377362,9.423985347,14.470064895,16.306151953,16.066194867,15.488839791,16.191996558,5.423948749,5.84216851,6.119287072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.502057485,11.080837147,23.070202602,33.730376773,45.974784583,58.031321039,65.617461764,69.736755514,72.075281794,75.029963778]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6877, 243, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.366466269,10.74787392,14.853671901,13.100344726,11.360131957,9.498041596,10.602875211,6.748023966,9.202746567,10.831586972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.260303653,26.388253741,37.731378044,46.765637551,56.789117393,67.072873248,75.518032463,83.052569975,90.329091857,99.115379746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.342766128,18.451381965,29.046504055,32.069358813,31.919649438,31.361804262,33.854718939,16.898810275,18.206050023,19.668746169]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.757600921,41.835567709,62.713878466,85.916459956,111.259747864,137.572314017,159.096373673,177.147206173,192.16350072,208.127049125]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6878, 244, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01307516411,0.02069188141,0.02676425149,0.02673759171,0.02128634522,0.024636844,0.01959224001,0.01595139348,0.06645559036,0.02951651489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3077474987,0.4143050369,0.5810973406,0.7188959132,0.8423291924,0.9504266512,1.01966881,1.077472978,1.17187927,1.300797074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2795544018,0.6056864115,0.8865519382,0.9295789998,0.9272277372,0.9810863277,0.9838901101,2.420401093,2.757687995,2.963861644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6097362647,1.021257599,1.520386096,2.018438607,2.536238599,3.10696556,3.792687337,4.569145452,5.313344605,6.178158342]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6879, 245, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1546413179,0.3404636114,0.5224141975,0.4904914938,0.3888849983,0.3198872975,0.3878781425,1.490356749,2.069959252,2.463493796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.23944609,4.673812398,6.794165123,9.364895242,12.087497312,14.773801691,17.942756141,21.848403664,26.527094672,31.686962265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4049360468,0.8888780529,1.347120116,1.496811654,1.515437683,1.546270592,1.924349209,2.245601908,2.523970634,2.717699638]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.673730085,11.801697115,18.931165033,27.753609932,35.78432563,42.811294092,48.969353704,54.269555102,59.667091957,65.110559049]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6880, 246, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.986977305,12.383364114,17.470690861,15.832550377,14.009244346,11.65660082,14.113790595,24.22451178,35.039430751,48.223402568]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.938689555,114.690807011,151.168859227,189.446434751,226.195766328,262.531069198,301.237137435,346.148614018,397.674114697,460.084901159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.051338284,35.296176702,51.370222127,57.830973807,55.694713608,56.045092094,64.813324692,87.108858682,99.812844711,123.346855695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[171.906355381,228.824999967,305.899072846,387.158479828,459.841729776,528.133955814,609.815943222,705.075709514,811.188344657,934.909615177]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6881, 247, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4751303353,1.045684495,1.402858369,1.207938984,1.180942826,0.9110175593,1.098375841,1.851161683,2.614102031,3.647527367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.795014306,49.186847137,68.880950589,91.505926616,115.708424495,139.359863696,164.131291473,192.940199249,226.0737395,268.066138431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.768729891,6.388838503,8.776964096,10.13522531,9.977242781,9.929897164,10.646120737,16.734049951,18.470280521,20.193551975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.118581795,82.928349125,116.303662859,155.096138634,196.418889364,239.071381673,289.233854338,349.794324218,419.007643357,503.042555224]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6882, 248, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4448077397,0.8289818783,0.9636450526,0.9317142038,0.7602787457,0.6071281495,0.671225329,1.668318791,2.333593908,2.696499828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.39773571,1.648697003,1.969438737,2.335259689,2.617081446,2.836189578,3.11670941,3.48730352,4.091122733,4.804747622]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.580225333,4.537784165,5.994081643,6.457617663,6.354575342,5.630683986,5.947840607,6.319096985,6.797675513,7.283936809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.708428947,3.254778308,3.819778317,4.412730422,4.957889071,5.457488111,6.034728123,6.565415001,7.317944251,8.189849471]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6883, 249, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.042135911,3.085101412,4.027719297,3.753195226,3.118556529,2.56954915,2.930290816,4.112076266,5.504178128,7.646763958]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.465474961,13.286188902,17.264544004,21.191085667,24.303579708,27.38685879,31.07746922,34.793755767,37.78915755,40.688650385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.170624299,3.017230121,4.874807403,5.84496534,5.814316273,5.973402879,6.191431615,7.855302132,9.090792566,12.332768027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.656418823,11.676001317,16.470442753,21.740640401,26.501243164,31.500606693,36.68338685,41.760928282,46.169877369,50.337732157]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6884, 250, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.503351472,1.346698878,1.753941161,1.465763492,1.31348169,1.084514056,1.258028958,2.08282342,2.980517244,3.425033426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2967343093,0.3411760266,0.395276723,0.4434779389,0.4739067461,0.4877697372,0.4992093292,0.5227558444,0.5347334261,0.5640965067]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.550008882,1.29348726,1.963226512,2.429619489,2.306318823,2.402968714,2.563021227,4.038221191,4.526908627,5.917908444]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3816789071,0.4364977165,0.5134356385,0.5793409201,0.6255040219,0.6447049283,0.6666847363,0.6927587048,0.7179274647,0.7490925746]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6885, 251, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8419711928,1.919901678,2.665491082,2.304756453,1.923880184,1.52511934,1.698762165,2.958783582,4.064867312,5.013805008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.017663921,29.112565143,35.051593981,40.236920476,43.51507751,46.410470085,48.220904409,50.341547607,54.094331674,58.460923082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.484242058,13.310337508,19.428714308,19.548549618,17.198055542,15.525825331,17.05179928,16.469365416,17.198711543,18.643404566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.520021183,97.424929828,125.253920517,151.693081965,168.594996131,178.841472198,190.929236852,203.707799894,216.949326937,230.983468818]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6886, 252, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5153421993,1.320246476,2.001796601,1.72747042,1.38671038,1.112645132,1.198264306,2.102627868,3.011134579,3.478613877]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6590804731,1.186828816,2.017863322,2.843332856,3.354541899,3.709417095,3.890552518,4.011734227,4.182669993,4.362638557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.481250508,9.111844413,13.39592799,13.157710836,10.894079105,9.577084139,10.377149129,7.413673122,7.869223412,8.636768576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.438487458,4.004314471,6.264929621,8.396582381,9.692829003,10.203290416,10.42304285,10.57863132,10.785404562,11.114576387]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6887, 349, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1824910456,0.2806551034,0.2704126064,0.2114651525,0.178445942,0.1545640951,0.1749000434,0.1200356326,0.1103501751,0.1912889978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5740262653,0.761391241,0.9581083754,1.142270888,1.328308703,1.506709708,1.600974373,1.661631081,1.723603038,1.800809327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.25930669,0.4871277027,0.6154385556,0.5621638757,0.4844840571,0.4485118805,0.4725165701,0.5234940394,0.5841372647,0.6299003511]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6902185498,0.9234066416,1.27736569,1.613773695,1.859461059,2.074804809,2.207673145,2.337568762,2.544745096,2.802291528]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6888, 253, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1441379479,0.3190000989,0.3932818743,0.3658208802,0.3587238622,0.2579101136,0.3255978157,0.7361200814,0.9433825574,1.343902134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.784557183,27.164345086,32.075622283,36.251316732,38.832226908,41.194343281,42.729377518,44.668182298,48.188058643,52.297475198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.74368486,3.711365393,5.417347763,5.828674907,5.81949238,5.500229311,6.202133581,8.532198255,8.745350866,9.376735639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.391315175,92.497208715,117.711625205,141.682725889,157.042706069,166.563376974,178.298520857,190.791599812,203.619177279,217.066600904]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6889, 254, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7962527631,2.227412209,3.744106645,3.644013943,3.33295823,3.029553824,3.963430365,7.363344565,11.49761009,18.233349975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8955469187,1.811887767,2.361976409,2.572751333,2.503355223,2.812726001,3.500828712,4.422229073,5.576828417,6.559041997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9148107063,1.735943498,3.049730649,4.707281123,5.538317856,6.992473669,10.575071633,16.009264089,20.969777109,31.718449572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.016255803,1.490824961,2.131124627,2.598974255,2.886300849,3.82500983,5.414919508,6.557240424,7.25208842,6.944627468]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6890, 255, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.122465105,0.3216559507,0.693221432,0.5034906596,0.4370676352,0.3381949237,0.6228533427,1.022473185,1.557472363,1.867372672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.720267252,3.392771615,4.297317637,5.103334854,5.783230281,6.271256947,6.818782968,7.540188108,8.260169318,9.274554643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3882477841,0.534394954,0.9761649681,1.079357707,1.019728577,1.061465022,1.856380102,1.352877567,2.379573642,2.529645971]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.053685644,5.071131986,6.659678521,8.09370223,9.23997513,9.795577549,10.135176986,10.574884096,11.135970709,12.076616676]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6891, 256, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1006449598,0.2686218422,0.645738366,0.4349148669,0.3720696551,0.2834298181,0.5420902396,0.7969282195,1.210749434,1.483038595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.324211889,1.644710647,2.048142943,2.445339007,2.822376096,3.058642951,3.175021725,3.354466977,3.485094136,3.690205936]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2427697269,0.2981401826,0.6000456658,0.6672801999,0.5221740284,0.658845192,1.183742138,0.9332979937,1.831303201,1.862194408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.976575814,2.484615239,3.189081894,3.890919956,4.549398721,4.877048092,4.931002454,4.990185147,5.068898382,5.19428244]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6892, 257, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02182014504,0.05303410831,0.04748306566,0.06857579291,0.06499798142,0.05476510575,0.08076310356,0.2255449659,0.3467229251,0.3843340752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.396055363,1.748060969,2.249174694,2.657995847,2.960854185,3.212613996,3.643761244,4.185721131,4.775075182,5.584348707]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1454780572,0.2362547713,0.3761193036,0.4120775083,0.4975545491,0.4026198297,0.6726379632,0.419579575,0.5482704399,0.667451564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.077109831,2.586516748,3.470596627,4.202782274,4.690576409,4.918529457,5.204174532,5.584698949,6.067072327,6.882334236]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6893, 350, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.271350663,0.5231619309,0.6985604574,0.6242337737,0.6833493924,0.5941523095,0.7406595551,1.16626421,1.740607165,2.385418184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.231034543,1.748711579,2.263271557,2.680802883,3.04851265,3.231465555,3.472838197,3.773158573,4.113301613,4.696641611]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.083727147,2.464735126,3.30790288,4.059481617,3.916165069,5.051054119,5.829798204,5.893519284,7.105121407,8.749735696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.201266755,3.785543295,5.923443618,7.880942484,9.3487248,10.228488984,11.613282562,13.424923385,15.668122089,18.385524851]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6894, 351, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2648254455,0.5131691277,0.6876262014,0.6135518236,0.6722156979,0.5866342327,0.7329663739,1.15590001,1.72873948,2.374859875]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3396346161,0.4198179158,0.4781816579,0.5232264785,0.5746473738,0.6357433404,0.7059441302,0.8058945174,0.9437726768,1.134598723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.038366869,2.361117035,3.177138994,3.921815582,3.779550647,4.884703687,5.669770234,5.627380311,6.818687348,8.480501575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5509500278,0.7765746753,0.9600400921,1.114748328,1.288870741,1.500308061,1.766140463,2.06911857,2.393571887,2.777487411]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6895, 352, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.500539255,0.6751699253,0.8440094912,0.9193915517,0.89441062,0.8834278057,0.8893750456,0.8926624218,0.8854970108,0.9279199954]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6408305792,0.880976767,1.133397912,1.259734591,1.239446052,1.236452828,1.253544173,1.281793673,1.311445907,1.413641674]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6896, 353, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006525217493,0.009992803133,0.01093425593,0.0106819501,0.01113369449,0.00751807678,0.007693181136,0.01036420025,0.01186768471,0.01055830934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3908606716,0.6537237383,0.9410804078,1.238184853,1.579454656,1.712294409,1.877519021,2.074601634,2.284031926,2.634122893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04536027862,0.1036180917,0.1307638856,0.1376660354,0.1366144223,0.1663504319,0.1600279703,0.2661389728,0.2864340595,0.2692341205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.009486148,2.127991853,3.830005613,5.506459565,6.820408007,7.491728095,8.593597926,10.074011142,11.963104294,14.194395766]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6897, 258, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4895121228,1.084765682,1.521147366,1.397443641,1.258729114,0.997371508,1.130164224,1.999266079,2.746482511,3.307632151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.119217634,14.161961837,18.684489591,23.376875294,28.24259827,33.734468809,40.399103716,48.327476278,57.140730465,66.970106882]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.110722183,2.013425566,2.998629667,3.568875939,3.569993345,3.477321211,4.151861288,12.437162066,13.274003782,15.977454635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.250017523,22.756943431,28.823585996,35.062928515,41.268207243,48.769225848,59.104673267,71.997435508,86.96944406,104.200147938]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6898, 259, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.351121159,26.176369361,42.34914232,32.369018666,22.873250262,14.429540704,13.712919751,12.414672671,15.152297243,16.686081826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.601886149,13.942866894,21.316257367,28.890286098,33.153531893,35.520325986,36.849141945,37.470926635,37.602514743,37.459224445]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.554817947,99.387041253,156.38901831,167.448448438,149.804634659,117.26441487,108.012450543,103.586662349,102.974494914,99.508006924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.842721305,39.069720573,64.493705336,92.800021689,114.921879006,131.423081774,141.933781507,148.861878523,153.210669524,155.670877811]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6899, 260, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.14513757,10.468185371,14.338741229,11.985931932,10.204764659,8.099282025,9.163808088,9.248559614,12.054318746,13.936647026]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4537692282,1.062982488,1.64147177,2.127314018,2.61785407,2.946386441,3.055013262,3.208317395,3.292584639,3.446159475]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.162172459,62.258513169,83.647996625,83.60179595,79.366427276,68.120968364,71.305466358,79.895779401,84.122835248,85.202368464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.769512941,4.205240645,7.008774528,9.853070126,12.685188751,14.482779833,15.87364691,17.620577778,19.008243982,20.225315068]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6900, 261, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.205983589,15.708183989,28.01040109,20.383086734,12.668485603,6.330258678,4.549111663,3.166113057,3.097978497,2.749434799]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.14811692,12.879884406,19.674785598,26.76297208,30.535677823,32.573939545,33.794128683,34.26260924,34.309930105,34.013064969]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.392645488,37.128528084,72.741021685,83.846652488,70.438207383,49.143446506,36.706984185,23.690882948,18.851659666,14.30563846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.073208364,34.864479928,57.484930808,82.946951563,102.236690254,116.94030194,126.060134597,131.241300746,134.202425542,135.445562743]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6901, 262, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9726689,4.962212366,9.452505477,5.981004758,3.856962306,1.756454063,1.208220021,1.269756358,1.398109509,1.114245053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.492161155,2.173222059,3.297867501,4.674218119,5.443231281,5.92346856,6.278271843,6.513365695,6.729329254,6.880328335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.628534164,7.821820552,16.896069956,20.842468858,18.28056096,13.174007373,9.898212656,6.291782046,5.03340188,3.739444154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.129864553,5.049079695,8.426522658,13.126728687,16.484062665,19.293356615,21.221641055,22.412956079,23.480769025,24.285577843]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6902, 263, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.025701349,5.748814749,9.890363897,7.934694377,4.885108584,2.481498468,1.722799126,0.7911233923,0.6491338609,0.6600503175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.373927187,2.491166444,3.736813996,5.11406259,5.982602246,6.501649498,6.773255335,6.862734125,6.852992662,6.802423973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.170630525,19.163933895,33.825754224,35.523522057,27.627213475,18.07591631,13.000449346,8.481595308,6.286648838,4.591664869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.296423532,9.907168855,14.823799194,20.872398989,25.683411699,29.33683452,31.589601587,32.939745318,33.792177853,34.14106571]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6903, 264, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.207613339,4.997156863,8.667531748,6.467387587,3.926414715,2.092306168,1.618092518,1.105233309,1.050735128,0.9751394282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.282028579,8.215495904,12.640104101,16.974691371,19.109844296,20.148821487,20.742601505,20.886509421,20.727608189,20.330312662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.593480786,10.142773679,22.019197506,27.480661437,24.530432934,17.893522801,13.808322169,8.91750558,7.531608965,5.974529432]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.646920279,19.908231378,34.234608956,48.947823887,60.069215891,68.310110804,73.248891955,75.888599349,76.929478664,77.01891919]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6904, 354, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6629750921,0.902810537,1.441087365,2.016285037,2.50413525,2.821677856,3.175398892,3.354355405,3.587322744,3.874487502]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.283760182,1.638918532,2.261788245,3.085752483,4.021312185,4.827873319,5.682162868,6.121898829,6.561567078,6.685846378]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6905, 355, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.340165819,0.5242644699,0.9599710206,1.31986055,1.372531018,1.348588942,1.472738845,1.496373346,1.538030587,1.824875915]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6982218622,0.8653683085,1.248624104,1.815359733,2.245043886,2.538254102,2.905421909,2.884984082,2.770176098,2.944552928]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6906, 356, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.322809273,0.378546067,0.4811163441,0.6964244876,1.131604233,1.473088914,1.702660047,1.857982058,2.049292157,2.049611588]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5855383195,0.7735502232,1.013164141,1.27039275,1.776268299,2.289619217,2.776740959,3.236914747,3.791390979,3.74129345]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6907, 342, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.856214048,13.297128151,13.400064649,13.925337364,15.89944764,19.700295997,19.735722363,15.086014867,14.368100282,14.034174859]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.429237694,1.581922084,1.522943448,1.598618085,1.682180711,2.096095483,3.243557365,4.073380485,4.570602655,5.870581734]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6908, 343, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.118998878,6.539966606,6.500191123,6.695774892,6.842730531,6.330695069,3.681124557,2.551881436,3.028384956,3.268111026]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.664113614,1.026122013,0.9805527492,1.021671704,1.024284488,1.260674384,1.443464418,1.655335204,1.877234115,2.35991551]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6909, 315, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.021816122,24.250776902,48.395127119,72.17515066,93.141612339,96.849513342,78.811730091,62.177115702,26.210174565,21.918169481]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[156.819015833,402.116743025,546.577169753,693.632218571,770.843948905,761.2310369,694.213826204,606.726302766,521.665338533,461.600070498]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6910, 37, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.954433297,13.295479349,25.687853874,21.508105488,15.489473305,10.178289762,11.325603598,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.251765928,88.000891945,93.579514486,101.158453801,100.618775726,89.429695069,72.892408458,43.943282963,29.32545686,20.455367469]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6911, 38, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.371974578,1.401690076,2.870254772,2.694207007,2.269407405,1.328840834,0.8557707856,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.405272341,9.928323413,13.987670941,14.426732023,9.5258087,2.724526064,0.5507780081,null,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6912, 39, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5001735671,1.535976191,2.75905417,2.183624532,1.555968887,1.289876472,2.042193252,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2671018882,0.7816033051,0.8546624605,1.001253351,1.067108623,0.7397381643,0.5111017535,null,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6913, 40, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7478442424,2.218526096,3.700538711,2.784122365,1.992612031,1.125517114,0.8365771372,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.069836387,3.819628642,3.485632884,4.480499589,4.965944675,1.466568169,0.08252566702,null,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6914, 41, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2168714536,0.8023618834,1.679885938,1.328758269,0.7912859546,0.4440709278,0.4408582844,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.33528352,63.936196181,65.109538859,70.301796175,74.200123398,74.907803583,63.963913311,43.943282963,29.32545686,20.455367469]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6915, 42, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6081200272,2.16734011,4.362045448,3.655307585,2.59764566,2.081147648,3.189962124,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04298756735,0.151076732,0.1636789251,0.1641105997,0.1325011441,0.05960416673,0.01353529283,null,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6916, 43, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4333312143,1.474915913,2.761790751,2.266141277,1.649570527,1.030064864,1.004879988,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.131284224,9.384063672,9.978330417,10.784062063,10.727289185,9.531454922,7.770554426,null,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6917, 60, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.229022706,20.464263993,24.444821309,25.310905623,21.768594522,16.602573326,9.159408946,3.063581889,1.143355047,0.0992145559]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6918, 61, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03053514814,0.1062367833,0.211415107,0.176431096,0.1560678174,0.118146243,0.1300087862,0.1023342368,0.1089754114,0.0965198682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6914657079,1.359757267,2.035980097,2.453746383,2.589018605,2.479629102,1.87020728,0.3696234223,0.2675491995,0.205458551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002202800247,0.006334790903,0.01684581642,0.03136049879,0.03886509787,0.04222287023,0.04689561901,0.04547291964,0.04199247103,0.04722604582]}', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6919, 80, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01571254876,0.07219588874,0.3090273386,0.7202657419,1.763638337,3.430209424,8.328370653,14.137915285,24.080824191,31.584605225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01623516498,0.1246319577,0.7087556297,1.562851502,3.061673443,4.775849497,8.078549294,10.736124264,15.937907017,18.568715055]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6920, 81, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008115514719,0.03066551083,0.04914282227,0.09968385598,0.07312465456,0.1145470633,0.3334015993,0.498146265,1.06348033,2.706043423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008349122275,0.0746050042,0.1436458533,0.3805333506,0.2954221335,0.5193023063,1.852078142,2.749441419,4.076069034,7.145488947]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6921, 91, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1021928387,0.1629400025,0.2886661571,0.3529520771,0.4466865752,0.6611221149,1.511986692,2.194756166,4.741757072,7.575494409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2593306604,0.4640788123,0.8053469132,0.8199310613,0.9373563496,1.139792512,2.039027139,2.440492783,4.222261609,5.974091921]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6922, 181, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02632519358,0.07795474149,0.1524311428,0.1488540583,0.1333465322,0.1038833328,0.09666687426,0.1325421478,0.2697131045,0.2916588526]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[117.797896472,309.443329876,434.112518539,529.012507031,588.781009532,677.449010032,590.3634569,203.283917021,114.051212716,57.117680497]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6923, 182, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00161944124,0.004305449288,0.01684442525,0.01782053504,0.02576276722,0.01974079705,0.03945250087,0.05171437944,0.05762114328,0.06170046997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.175944553,36.000569683,70.019794379,111.327291669,152.830774113,192.951810445,204.943810153,110.841354392,43.231471963,3.611439449]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6924, 183, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00322449329,0.00751132874,0.01275221569,0.01005920326,0.006772546766,0.003236063995,0.002549591472,0.003195974064,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.247084923,50.977974731,66.514020884,78.300360667,88.747336962,96.000860327,86.56623575,1.777958715e-21,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6925, 184, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1387777969,1.99758769,4.630032694,10.008008541,14.283992404,17.487413633,3.577000495,null,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6926, 185, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005878106058,0.01427981058,0.02584694665,0.02451331332,0.01927726014,0.01599968105,0.009985705354,0.01284139465,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.781020936,36.088712655,58.849332105,71.83400006,79.693942087,93.128620561,93.376005507,0.0009730293681,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6927, 186, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005345713532,0.01285445519,0.02158647643,0.01869645844,0.01549557091,0.01239145267,0.007998603941,0.01556922896,0.05161676299,0.05919013644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.323511718,17.421759481,30.720361,40.872950027,48.698549011,56.20808272,67.12850991,76.835566001,70.819740752,53.506241048]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6928, 187, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.974833856,135.519120369,172.89355981,184.939750162,171.088148267,194.462272463,113.903948368,null,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6929, 188, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01025743944,0.03900369756,0.07540107868,0.07776454845,0.06603838699,0.05251533777,0.03668047262,0.04922117071,0.1604751983,0.1707682464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.15672269,31.437605268,30.485417668,31.730145905,33.438266688,27.209949883,20.867946717,15.606023598,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6930, 345, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1592531695,0.1530661614,0.1393854786,0.1217620294,0.1015873814,0.08370395809,0.06735196739,0.03151218231,0.02346458409,0.01615953077]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6931, 344, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.392806089,1.308938673,1.269758668,0.3777385215,0.1206402705,0.09361609439,0.0907418807,0.1014262807,0.07244272117,0.07311002998]}', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6932, 139, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01222928842,0.01597529527,0.01478221678,0.01536987852,0.02488553562,0.04702956334,0.1403656911,0.3994160137,0.7997764923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.003756740127,0.02584846635,0.07863281055,0.195228818,0.4294224756,0.9525178173,1.904001234,3.430358853,5.835819894]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01595351856,0.0368993042,0.045729313,0.04163341046,0.07216593839,0.114134371,0.2772581627,0.7483954171,2.023554726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.005060954957,0.03482250553,0.1011717662,0.2302626307,0.4879115153,1.09461871,2.153916672,4.031749093,7.041073067]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6933, 167, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,227.362043796,40.635004379,176.473404658,159.43579202,114.56633566,132.861877561,177.407611765,127.688415999,109.745563267]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,377.915396876,294.167086585,178.914303122,243.203656565,234.004683381,263.831701314,259.269014878,236.976751307,182.105241007]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6934, 179, 146, '', '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,7.688958067,8.726375695,9.936406564,11.442607691,10.550721175,null,null,null,null]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6935, 226, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,8.201276086,10.998353925,15.212331404,21.12995825,25.138088946,28.037755249,35.310503351,46.58082887,63.692450011]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,4.613731779,6.329111211,9.020332581,12.779566348,15.492816979,17.700534098,22.122193899,29.376410628,42.767712866]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6936, 236, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,2.416056638,11.463471178,29.23786673,55.620440079,89.20358186,129.736173546,183.570189625,276.534835107,423.141110143]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,1.930964634,9.297824538,23.958951741,46.805627184,77.028871737,112.10963012,156.302818758,227.546977297,335.710932274]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6937, 307, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2744787519,0.3040031063,0.3048859082,0.3165057097,0.5279166386,1.217629281,2.522311538,4.459928657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,19.16351079,27.86195956,38.020776143,49.049219875,60.66668697,72.709964678,85.196344185,98.913097332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2141115056,0.4784820556,0.7814036215,1.411253054,2.575768155,5.469753443,10.164254591,17.752086211]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,14.863440846,23.25546541,32.94262292,44.190338043,56.842898591,69.392907307,82.76420709,95.860477174]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6938, 305, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.008407382333,0.01097774378,0.01548248933,0.02637128783,0.07275496129,0.1670827097,0.3751761651,0.5094329206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.004202739327,0.004245730864,0.006241891984,0.01010087857,0.02709275549,0.05924538917,0.1276816381,0.1720454045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0067430965,0.01510291037,0.03167721515,0.06998224668,0.2000372631,0.4992259529,0.8586752949,1.083680886]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.002880827514,0.005978803963,0.01290380775,0.02678734098,0.07220051485,0.1781746952,0.2791182723,0.3393726507]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6939, 308, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.4032695997,0.6225549562,0.8685171836,1.248458849,2.703682467,5.833581883,13.131323437,23.923952978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.094012264,1.804362885,2.94212162,4.769676185,7.68608619,12.590323409,19.749027033,27.65778258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.331691626,0.7954422346,1.537608061,2.956085392,6.5516904,12.833189406,23.117676616,41.307804679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.9969768106,1.52905626,2.662811575,4.467380663,7.124345309,12.900046009,20.337217701,30.910910608]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6940, 266, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.568916392,2.377861399,3.284197944,4.838735329,8.450131782,19.61365111,38.682848888,58.559036762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.15479319,2.321678448,3.963617357,8.257351471,18.914737917,37.887492166,60.84833534,76.613694107]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.547157212,6.721882883,14.257066235,25.700991834,46.313916516,69.936790798,100.102651721,124.481911167]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.574344018,3.365966958,5.737357563,11.969331839,25.446422467,47.842588429,75.644976816,88.534843499]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6941, 268, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,17.321791748,23.666084772,32.591059893,44.597815474,78.368422758,146.828745956,298.405334718,474.313907157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,143.589214478,223.474132693,503.75522988,805.321592372,1122.729301548,1450.719144186,1732.496392761,1987.812802617]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.305418483,16.980438337,30.737236416,52.340773357,92.187480003,142.966278269,227.903378704,343.144343141]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,66.219518491,98.575676157,226.631348729,350.036844716,462.75894959,592.680238861,680.353814059,793.968720576]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6942, 286, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,12.954086394,17.433599534,23.708635754,33.440978418,61.238797855,115.344508041,245.862050947,412.717990654]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,102.587099449,130.13435101,185.796160044,264.160120851,372.141025692,469.398596639,529.064075491,566.851041623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,13.553143368,27.630575945,49.612401949,88.726640296,166.751343667,267.621993912,456.997248606,742.611367347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,61.886549913,85.712927185,131.379596858,199.68675621,291.252839665,382.110014593,465.22772854,554.564935947]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6943, 287, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.344116103,7.366428399,9.988284701,13.80819642,24.686247008,41.030556969,86.11560713,144.942699347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.563799417,4.222815127,6.253142665,9.700539327,16.787909994,29.655320149,48.541159379,66.059086333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.189167731,12.363650706,20.844007543,35.625409963,63.552011946,96.54195009,157.573880274,251.365855229]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.121961676,5.065815328,7.407168727,12.154920479,22.340786314,40.361544981,69.560750521,99.582995785]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6944, 288, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.191266947,5.52880887,7.207163125,9.610201126,16.910286462,28.13784336,58.522978024,95.968129703]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.178213879,3.455835863,4.972263722,7.527644825,12.890567363,21.6631806,34.399836711,45.436781262]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.713606963,9.084494192,14.838984609,24.460691537,42.413051891,63.807159417,102.173188589,160.990787985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.511152451,3.956891426,5.619871774,8.774809083,15.554982432,27.128090321,45.296039509,63.348150614]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6945, 289, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.133189602,4.057917547,5.335788608,7.363404567,12.856559446,24.226443097,49.031760437,78.24013675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,39.021760886,48.199942824,64.875845818,89.987068713,124.178463539,150.384727917,155.108579398,147.769541049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.375513938,6.60619759,11.452892129,19.619059687,34.627774553,52.997752928,85.222555009,129.84780093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,20.962331594,29.5384192,44.557902866,65.997252416,89.285981513,106.636727928,114.536721599,117.274576148]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6946, 290, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.791623784,2.283309894,2.980687562,4.247751372,7.4816406,15.108124071,32.890378944,53.375612408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,22.559402483,27.517720449,37.485743617,53.405954917,79.399512591,102.453965635,114.043168307,115.440259138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.271061679,4.70785087,9.282010947,16.686800914,30.978871937,47.706085865,83.614006826,129.741864119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,11.665897067,16.277996336,25.209170989,38.945577838,58.196598256,76.291858079,93.9514955,108.259287622]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6947, 291, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0398019208,0.0493089118,0.04602352461,0.09422864769,0.196553886,0.3934454988,0.7097864349,0.816754198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.04304661584,0.05836303488,0.06091425176,0.1177370372,0.2313202656,0.4501237021,0.7325390787,0.8220478183]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.03139805945,0.06368077751,0.08114798081,0.164948984,0.346029723,0.525153778,0.8356194891,1.257502241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.03668642026,0.07816401474,0.1101649031,0.2309754607,0.4389747867,0.644172022,0.9278111327,1.267713167]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6948, 292, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.3456984777,0.4302208722,0.5923706576,0.9423920192,1.751880717,3.764651221,7.728078448,11.854076296]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,14.7225392,17.578943716,23.091698758,32.833622172,44.147452445,52.795824436,51.565179208,46.209813641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.266632766,0.534767653,0.9810622487,1.926776405,3.652028928,5.664663916,9.353532697,13.909073081]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.746829137,10.60675458,16.043776911,24.074819794,30.900156524,34.159452924,31.153458097,27.043438224]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6949, 293, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.6585873143,0.7953958782,0.9959698062,1.384205409,2.459442623,4.792547444,9.104022242,12.981081261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,15.096301049,17.290431341,21.584373607,29.300536265,40.79558377,48.171182191,44.666822951,38.965839081]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5608257009,0.9617881029,1.799725077,3.314939731,6.802618852,10.982883459,18.76283294,27.736829469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.798574609,6.716479371,10.036246449,15.617810248,23.888471501,30.482228357,32.81250885,33.64342369]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6950, 294, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.351490774,1.705141358,2.457504117,3.329226575,5.473570382,9.556679076,16.207595,22.563693933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,39.856406444,47.93056121,71.864874498,95.297398882,115.946886081,116.733642771,96.00793823,78.905824129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.051501242,1.989118796,3.333589351,5.937953534,12.16055942,18.005050291,25.624621692,31.366460186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,22.753007235,29.679445488,43.058881813,61.548553323,87.980407481,94.317954893,76.549778227,57.202409644]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6951, 295, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.6709305608,0.8150089069,0.9863230958,1.376473383,2.295829956,4.47254462,9.857240222,17.127229524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1294671664,0.2280845721,0.440768987,1.422445649,4.15989645,9.486983692,17.522483037,25.957347908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.9308535557,1.930514828,3.86551476,6.910781291,12.224174229,18.15973593,29.761705872,47.810682892]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.206810992,0.3800817299,0.7556624827,2.256274862,5.702228115,12.422575304,22.666666688,35.661157855]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6952, 296, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.05842064423,0.06989668288,0.06621777978,0.1355702132,0.2874641557,0.5778424161,1.054503519,1.221703273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.06332818811,0.08286069604,0.08792304681,0.1695163201,0.3392054833,0.6623828622,1.090029955,1.2359724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.04944503807,0.09975767868,0.1258945159,0.2520727962,0.5469324891,0.8627778795,1.391929206,2.263273636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.05879109807,0.1250673824,0.177213905,0.3664334154,0.813294423,1.485612964,2.441532864,4.227196016]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6953, 298, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5984619102,0.770489547,0.9960960624,1.413298864,2.39364657,4.559810846,9.857811647,16.27433802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.09290627229,0.1853011372,0.4090498223,1.413769803,4.317774322,9.77207435,17.627480995,24.893983985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.9060731209,1.929660454,3.878864683,7.046339485,12.997680373,19.984928263,33.010824192,51.882828402]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1818243862,0.3276005665,0.6851796115,2.221158107,5.940501812,13.594201115,25.832974574,39.285478135]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6954, 299, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.4405765477,0.5152963387,0.6096780506,0.7955074263,1.244961865,2.28840837,4.823824288,7.829510237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0686048741,0.1241820224,0.2524103049,0.8238400826,2.348230936,5.050159753,8.992504778,12.262037823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5697042647,1.104440347,2.044069102,3.420931302,5.845915767,8.649063306,14.228043201,21.311128868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1137220564,0.1856551412,0.3547203728,1.023596018,2.59552941,5.719241114,10.973099206,16.142504351]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6955, 300, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.153435133,4.370408118,5.994865725,8.34906076,15.563024151,29.071186812,62.040464047,105.191004709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,10.378287753,14.677522645,21.159902383,30.497307189,43.240892767,61.57365245,90.837973577,121.082369072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.328893121,6.913614169,12.00984162,21.308676288,39.912148717,65.175628751,110.578195713,187.348048784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,11.900573832,15.355938124,22.096815746,32.276517527,45.451543386,69.01030819,101.261643961,145.159040701]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6956, 270, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.616379503,2.224136999,3.092016618,4.595577671,8.399804942,20.068972904,45.740189266,85.614137468]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,20.269924555,27.077647986,40.171296886,61.888359972,95.034257202,126.340282011,154.929890216,185.343838567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.348120623,4.814158185,9.29098128,17.250406291,33.237328253,60.540942055,109.966646697,189.501440144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,13.468510899,20.067877085,32.68919611,53.622454706,83.327441519,115.547356937,148.981053401,183.431689814]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6957, 358, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.803560164e-5,3.694870583e-5,0.0001504219584,0.0002376999195,0.001315221875,0.003079388667,0.009637779227,0.01321952302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.390380737e-5,1.428433173e-5,6.043124099e-5,9.098066723e-5,0.0004885319015,0.001098579358,0.0032545481,0.004432377968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.664018906e-5,5.72004903e-5,0.0003590356294,0.000761943456,0.00455802424,0.01112672417,0.02789686717,0.03523648683]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.132964866e-5,2.242873698e-5,0.0001445912929,0.0002909102947,0.00165139965,0.003985162465,0.009057385444,0.01088630688]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6958, 360, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.277839383e-6,5.606800794e-6,1.423299525e-5,2.280522209e-5,8.863167021e-5,0.0002009099518,0.0006436047361,0.0008695228762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.129067162e-6,2.165933926e-6,5.723017103e-6,8.731895888e-6,3.306003291e-5,7.191424944e-5,0.0002175077706,0.0002922798979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.925285232e-6,6.316508057e-6,2.50198175e-5,5.254716173e-5,0.0002167736473,0.0005272206484,0.001289982474,0.001646844496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.241881685e-6,2.49197641e-6,1.010970029e-5,2.01133055e-5,7.804287972e-5,0.0001893543106,0.0004183912439,0.0005104084887]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6959, 361, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.436667482e-6,8.470272235e-6,3.463925611e-5,5.628643421e-5,0.000298116619,0.0006879677675,0.00224318232,0.003064926458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.205917179e-6,3.274051788e-6,1.39187182e-5,2.149439812e-5,0.0001107015088,0.0002443404452,0.0007581250616,0.001031177764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.293865853e-6,1.400681983e-5,8.761001437e-5,0.0001876331128,0.001111355813,0.002725352541,0.006767185251,0.008704062399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.668843522e-6,5.503886565e-6,3.543228532e-5,7.155541859e-5,0.0004012076229,0.0009782923768,0.002174784815,0.002694002945]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6960, 362, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.656953733e-5,3.466012989e-5,0.0001418832178,0.0002270222501,0.001248867341,0.002848386731,0.009142106838,0.01264730221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.320928715e-5,1.338256567e-5,5.709374615e-5,8.70244413e-5,0.0004646852997,0.001013814768,0.003093249036,0.004249606831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.891370827e-5,4.084961433e-5,0.000265044448,0.0005571467277,0.003250397249,0.008018242762,0.02013848391,0.02531229728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.028281739e-6,1.608481409e-5,0.0001072435161,0.0002125869866,0.00117303041,0.002875903316,0.006539311491,0.007852459329]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6961, 363, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004998130869,0.0006529543116,0.00267768238,0.004293241884,0.02363158796,0.05335357351,0.1704315527,0.23848963]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0002492541022,0.0002509585157,0.001074357502,0.0016448804,0.008794563846,0.01891947363,0.05765428545,0.08028184681]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0005730521791,0.00125593001,0.00783979793,0.01674533904,0.09766822233,0.2346224238,0.590392621,0.7565610111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0002436021614,0.0004936911292,0.003165543397,0.006397798003,0.03524446156,0.08439030388,0.1908938576,0.2345859967]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6962, 364, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0006414740118,0.0008370692517,0.003397991871,0.005416711344,0.02947074447,0.06697530468,0.2140537713,0.2960939067]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003190636604,0.0003228220129,0.001366471053,0.002080186373,0.01095736328,0.02383477811,0.07242026975,0.09952265377]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004340109559,0.0009399620688,0.006008330224,0.01279432451,0.07397836266,0.1787342638,0.4489851639,0.573126073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001844746783,0.0003700510882,0.002425290507,0.004882812719,0.0266782443,0.06420160442,0.1451896664,0.17792068]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6963, 366, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.801960595e-5,0.0001268396241,0.0005127063942,0.0008313170346,0.004415135031,0.0105835494,0.03398408981,0.04577729923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.868797492e-5,4.914351609e-5,0.0002060700229,0.0003185644884,0.00164022597,0.003771096403,0.01147812712,0.01531599003]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.354533135e-5,0.0001782615203,0.001123279959,0.002429146692,0.01451972358,0.03547842989,0.08836495015,0.1101603614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.553949179e-5,7.046011933e-5,0.0004537700462,0.0009291102762,0.005243752273,0.01274326259,0.02856615374,0.03409193662]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6964, 367, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.73309703e-5,8.865302095e-5,0.000361960951,0.0005740166078,0.003155258216,0.007197824914,0.02292737606,0.03171726749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.347062834e-5,3.414517946e-5,0.0001456136896,0.0002207163142,0.001175553007,0.002567548725,0.007775291939,0.01066991072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.545406145e-5,0.0001435419373,0.000909527544,0.001948650355,0.01143581516,0.02752513524,0.07070413417,0.08816296121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.781147293e-5,5.641892333e-5,0.0003681606561,0.0007426264198,0.004121594814,0.009869953569,0.02295678147,0.02731872503]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6965, 368, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001260274696,0.0001646794774,0.0006686573498,0.001067943734,0.005895270595,0.01335304674,0.04315665293,0.05890457323]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.274930001e-5,6.349193651e-5,0.0002693334019,0.0004092837628,0.002192803648,0.004748954783,0.01460620556,0.01981531756]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003575318804,0.0007856093249,0.004901571479,0.01048767881,0.06132837818,0.1483990383,0.3741379137,0.4742203226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001518689304,0.0003093683912,0.001978638389,0.004002849276,0.02213687841,0.05325623611,0.1212155351,0.1474573088]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6966, 369, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0002596558108,0.0005478277366,0.002006025227,0.008110333134,0.007473052104,0.007802084062,0.05026938383,0.02418873024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.000369245039,0.0008792128484,0.003043172221,0.009687435971,0.008503491303,0.008812694858,0.0457974694,0.02221979545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004537135241,0.0004403422251,0.001679332622,0.008713075814,0.02954672406,0.06345577078,0.1911659995,0.323023967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0009661642004,0.0006216941523,0.002446616466,0.01118037691,0.03848812364,0.07939417471,0.2410516505,0.3432050313]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6967, 370, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.856063221e-5,1.818220569e-5,3.096835782e-5,3.425508101e-5,0.0001724565605,0.000318085578,0.0006139583393,0.0009798106968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.558548325e-5,2.762605316e-5,4.295333617e-5,4.814773386e-5,0.0002201798571,0.0003810349899,0.0006297406748,0.0009567626006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.394915923e-6,7.789804571e-6,3.739720096e-5,8.70951367e-5,0.0003915075144,0.0006451753768,0.001311636264,0.00192778142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.790009732e-6,1.300789156e-5,6.09835026e-5,0.0001333101838,0.0005532756664,0.0007625648584,0.001391835886,0.001967987415]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6968, 357, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.3732033e-6,5.728764665e-5,6.96253289e-6,0.0003158156752,0.00302010309,0.02343805639,0.1322232996,0.3089777966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.282264816e-7,2.797998611e-5,4.098247667e-6,0.0001621010442,0.001512319547,0.01039208856,0.0567128415,0.1289357258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,2.302945218e-6,0.0002258185883,0.001827825104,0.02030859598,0.05732891331,0.5050808919,0.4277838125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,6.998808259e-7,7.627516575e-5,0.0006854657154,0.007460794101,0.02181591594,0.183420773,0.153684658]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6969, 271, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,13.541365425,14.813527224,17.915243695,29.440514085,46.81990054,88.890308059,209.868292425]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,55.789593296,67.019161268,55.856805221,79.873358095,98.59710427,176.018554561,242.013104319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,61.421217556,84.592111783,110.093861584,158.238725923,225.788971895,432.927197397,618.149773704]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,258.502840504,334.419053747,221.840514526,261.150222182,390.958172744,602.181960376,536.607197627]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6970, 273, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,11.885458354,13.126984272,16.335753263,27.389380057,43.829218025,84.207285737,204.897170017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,55.418519063,66.465199207,55.006707781,78.405340914,96.171275671,172.785517839,239.144974035]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,61.207159988,84.118760697,109.153290663,156.135876663,222.129440068,427.982670108,610.80659316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,258.465032155,334.330523446,221.620209533,260.520769832,389.503811031,599.961317821,533.488599271]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6971, 272, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,1.655907083,1.686542959,1.579490426,2.051134054,2.990682503,4.683022305,4.971122506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.3710742376,0.5539620644,0.8500974397,1.468017202,2.425828575,3.233036703,2.868130367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.2140575545,0.4733510734,0.940570997,2.102849249,3.659531639,4.944527237,7.34318089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.03780834946,0.08853030367,0.2203050152,0.6294523745,1.454361647,2.220642512,3.118598315]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6972, 110, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.04282456223,0.06689685273,0.06430608321,0.1245293458,0.1604024999,0.5404487657,0.9457520986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.2979878218,1.110451969,1.914778189,2.553988065,5.584644245,13.853315315,30.577217378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.01515731121,0.02080127887,0.0585333691,0.0930313936,0.2005667475,0.4667309253,1.0662826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.2898955902,1.114619586,2.118681995,3.129608005,10.657887768,31.652071225,80.75413566]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6973, 197, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,37.447149836,141.158180031,270.739366704,435.751190153,633.046591605,840.549275566,1054.609849762]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,23.240713776,87.322500266,166.366690839,267.979756143,391.088163366,520.061281572,653.311834016]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6974, 269, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.6618122535,1.17042371,3.000077815,5.067217604,6.58978506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,32.777991689,62.581098027,100.582562828,151.967570693,217.016224138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,2.202272516,4.281065964,5.698643203,8.216283972,11.947725957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,54.373428645,111.996931645,183.405532656,282.089368694,413.373029331]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6975, 112, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.07458041457,0.1370021204,0.2420088486,0.7468080888,1.564090861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.00296888939,0.02672018094,0.25606643,0.957361107,3.931609164]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.4109399427,0.641740877,1.255750202,2.48361958,4.472608847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.002542581791,0.02288337254,0.2421312632,0.8108029581,4.469329666]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6976, 138, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.003958973496,0.06535411002,0.4165910086,2.094055174,6.022550012]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.6301451126,4.056480112,15.354424091,51.048792493,124.664647778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.003871015365,0.05980750646,0.4500240649,2.471644204,7.623582932]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.6661593691,4.32502543,14.295921544,40.812607845,89.91270188]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 7, '', 1, ''),
(6977, 178, 146, '', '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,6.06449073,25.149994777,75.779739163,244.126162863,514.700907461]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6978, 227, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,9.179426989,24.341399253,46.71721903,75.784183224,148.103223592]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,6.929148241,19.536372773,39.383086171,66.541680964,120.576699926]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(6979, 228, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,null,10.577712026,14.468600714,20.638611268,28.669311656]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,null,16.686265931,23.249497098,33.684369988,47.437141183]}', 2013, '', 1, 450, 450, '2016-05-22 06:20:19', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 4, '', 1, ''),
(7350, 298, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.916563499,2.336091529,2.392276872,2.227206253,2.553749021,3.370075608,6.025954401,10.925888917]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.07326466905,0.144182475,0.3173086841,1.140123371,3.586673526,7.88654119,13.525006385,20.575521645]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.250781598,2.590578008,5.084902471,7.718263373,13.045125677,17.562257894,28.873984917,45.563712848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1426538375,0.2612784127,0.5251296066,1.54929979,4.349635805,11.478338362,24.17671942,37.332712259]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7327, 186, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01048764941,0.04394069641,0.07325763892,0.06195536416,0.04278431449,0.02461828741,0.01020196707,0.01366774791,0.0381031831,0.04860010189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.181411201,16.937684506,30.016453536,39.941565375,47.882387153,55.242675001,65.668539235,74.448429548,68.352902719,51.771010705]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7318, 43, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8470019302,5.140171806,9.650625426,7.655345512,8.161665108,3.296224235,1.690253688,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.412393724,8.361296955,8.591426991,9.0633431,9.237515922,8.402628131,6.856066848,null,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7316, 327, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8542309769,5.504670696,10.955222211,8.6036164,8.637007038,3.420652347,1.764325401,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7314, 41, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4613180853,2.915748762,5.779252791,4.319309372,3.806309263,1.393983121,0.7052865528,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.456949165,64.684021661,63.86361086,68.850439323,72.722021757,72.805177157,62.509630875,44.022235799,28.830808358,20.070610429]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7312, 39, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.074512641,6.019336267,10.951663993,8.327309764,8.690701565,4.598276312,3.698754221,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4594344959,0.9529641876,0.8221921597,0.8140088392,0.9312407523,0.7206601074,0.5324765416,null,null,null]}', '', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7247, 170, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03288989758,0.0957130319,0.121428119,0.1177524407,0.1207623338,0.06266104761,0.02180722548,0.02622455816,0.06017514488,0.0654319226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01428921877,0.01212956932,0.01047920282,0.008850651457,0.007236412705,0.006303648644,0.006325988199,0.006369150367,0.006416670214,0.007149598875]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02315198342,0.03438282043,0.09864165422,0.08676556153,0.09214367514,0.0910809932,0.09226207031,0.07538591622,0.2089342858,0.367543502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02216878271,0.02112543565,0.01910928406,0.01706415624,0.01500777528,0.01442164263,0.01592395961,0.01745418892,0.01897852213,0.02194628113]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7246, 169, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8172626715,4.57282894,9.690019107,12.665314189,16.272253785,19.130290003,25.309091202,40.860808317,81.509441632,153.795465455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[87.590081749,120.477087626,150.784064419,183.313504423,253.810441077,381.069164939,606.112748911,812.842256696,849.641460192,842.787049329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.512697046,1.215888547,3.641378027,8.223681855,15.703717953,28.613027886,54.963108305,84.44173991,154.949293857,243.11814572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.955295077,46.137129428,67.511327389,99.82880628,161.587177313,255.584393166,377.559783456,467.617153334,490.883348838,481.843842265]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7245, 168, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.860891644,38.590857172,77.970729875,80.364061824,68.040869105,50.941571495,53.075162609,68.118523685,121.047852972,215.353963409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[332.166937207,571.304955059,764.46198905,935.711838523,1108.870257425,1367.62162436,1554.718935706,1412.10306209,1436.035382625,1457.504491944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.25870088,9.353272381,27.122842421,49.201215864,66.174802369,81.942361643,115.660075746,157.248426053,253.620623941,374.886630714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[138.771579181,176.346286455,236.987903246,315.99456438,428.749206461,570.01762728,732.86861492,928.556272562,1178.927291681,1493.553958173]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7241, 151, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00499151161,0.01291342743,0.01820933834,0.01466519993,0.01361710222,0.00839117888,0.007268704059,0.006907700559,0.009345786453,0.01188959555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.334595037,67.352803955,45.660928744,21.800180989,11.695914121,7.533224293,6.115776944,5.653201859,5.096286412,4.029548157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01523560738,0.03283719857,0.04458036329,0.0449140143,0.04042117147,0.03382575947,0.03086736662,0.005083740278,0.006221221686,0.007417623767]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.858896961,96.811282247,66.623964296,31.796734787,17.491376225,11.894386093,9.188904417,7.743994326,6.600081452,5.666000012]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7233, 137, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.517008614,9.86480811,14.321218259,14.183774674,10.980599244,6.371651662,5.355898644,4.949845563,7.795429646,12.934263108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[557.21376546,652.886714041,730.542981904,825.433129876,944.896632683,949.173456967,852.340716798,815.990927745,856.708242942,902.263725567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.618484637,6.968464462,12.849274901,19.876580984,24.357048093,24.958049593,27.227122997,28.97392941,35.935903732,49.68081452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[324.023959124,376.627588994,425.509962234,473.756033132,522.650276868,517.932831445,468.980088126,449.011576868,469.966532646,508.888056923]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7232, 136, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2498789497,2.040638005,4.498782871,4.109216615,3.127618218,1.92735821,1.435058794,1.271993138,1.859835781,3.549765078]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.439392361,12.414914334,22.260221208,28.422953034,29.621308564,31.864911814,34.904992139,39.558013216,47.254251728,66.494953517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3139230643,0.8422754658,2.730324437,4.800668388,5.404261118,5.822325891,6.627208413,6.646023818,9.373613026,12.72228559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.566827347,6.389878937,9.557178051,12.670416093,15.534207025,18.95463244,22.976351589,27.124865983,31.651590068,39.098184738]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7188, 95, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1025441207,0.2087348663,0.3124694302,0.3347908558,0.3979022398,0.3578524115,0.488750698,0.5744682542,1.159929678,1.644959486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1319030588,0.2496947241,0.3841623211,0.332285387,0.357837321,0.2707352509,0.3313254383,0.3415527889,0.6494691679,0.8040779682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1294396161,0.1717018323,0.2940849681,0.4421572972,0.6278079453,0.9161606445,1.458778098,2.054715605,3.241687231,4.470964727]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1380801014,0.1835297108,0.2963751887,0.3634531388,0.4607212774,0.5550105518,0.800749247,1.001068227,1.446443925,1.895001536]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7187, 94, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01075702975,0.09993155708,0.2452582482,0.4191317575,0.4446820804,0.4080581064,0.4661298522,0.5952737099,0.9204194152,1.535416941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007463183535,0.04545031809,0.1763596299,0.1933511163,0.2623529822,0.2635912415,0.2937294945,0.3669392098,0.4980915351,0.7570046667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01146423119,0.04178317722,0.1289710389,0.3049084498,0.3976083195,0.696533004,1.560441023,2.638025895,4.822442539,10.347756738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006728719062,0.03117158214,0.1114561409,0.1904830606,0.3237952705,0.5402419067,1.062084612,1.52609108,2.377033659,4.833199531]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7185, 92, 118, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06248172277,0.1284872237,0.1895292407,0.2209503963,0.2126286777,0.2454674969,0.3466985118,0.3183170297,0.5189809447,0.9914217722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1201133702,0.3156783,0.6062246235,0.8074435336,0.7766977325,0.7830777358,0.792849433,0.5655305751,0.7188698112,1.018688772]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7180, 86, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007990867885,0.03367796203,0.06335329326,0.1151447705,0.1081585094,0.105484795,0.1411099795,0.3340028315,0.6554048955,0.8958043472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003466597422,0.01454446858,0.02736469698,0.04986166381,0.04765672034,0.05195745084,0.08509228344,0.1921304991,0.3853224088,0.4596143962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02128316836,0.04667751586,0.07155837732,0.179799524,0.3190118223,0.7011167385,1.360972007,4.704457765,8.168842896,14.331219354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0111995394,0.02275856818,0.03667538548,0.112832849,0.2824256516,0.6284024143,1.31622705,3.873819914,5.700009424,9.209938931]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7172, 76, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03912899574,0.1804176605,0.3501751844,0.46288449,0.4595144067,0.4501072683,0.4383419096,0.5464066153,1.006727764,1.786065191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008651054343,0.04033904315,0.07591383843,0.09800831015,0.09818576669,0.09397992781,0.09237083834,0.114519426,0.2107699921,0.3642588718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04937546772,0.1116062013,0.2367575168,0.37833107,0.5231019413,0.5259341178,0.6295885848,1.000677577,1.565623352,2.391077922]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01027322663,0.02227807974,0.04664396284,0.07344269798,0.1000932637,0.09969158534,0.1165614143,0.1822192894,0.2846130979,0.4260020842]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7160, 63, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04145546271,0.09985505119,0.1047714238,0.09014561072,0.05832009284,0.04088928724,0.0307289043,0.02435677494,0.02175386818,0.02126127178]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.491322123,4.5547943,3.64494286,2.923535807,2.28966492,1.833046792,1.443822921,1.154758278,0.9306815525,0.7315131744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02646555729,0.03951090272,0.09607817991,0.1378558824,0.1408303333,0.1225821318,0.1181741214,0.07978703971,0.0821339274,0.05579553594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.51214567,4.605432352,3.707458246,2.91647341,2.32235342,1.853701461,1.443172268,1.159461815,0.92931317,0.7140194324]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7159, 62, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2516041095,1.068126233,1.324061349,1.173397405,0.8231521199,0.593756366,0.5016644476,0.5415776649,0.6648670627,0.9377293403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.057210797,8.241118711,9.186622057,11.104203159,11.806336119,11.102517284,9.898950343,8.997391456,8.211028693,7.60171149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1438643496,0.3134748596,0.9409560137,1.623961007,2.05348983,2.173077124,2.516483065,2.341170201,3.367134299,3.53160282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.021340266,9.562970224,11.329505342,14.076516781,15.036868228,14.033158688,12.456998262,11.168656696,9.915156249,9.075808579]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7158, 61, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0517959153,0.3241093841,0.6568868778,0.5101536679,0.3780691986,0.2064872375,0.1386778634,0.08469714475,0.07967346024,0.07369509935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6572253579,1.29887368,1.998413535,2.615487035,2.856117396,2.753304617,2.132763318,0.4250593436,0.2929441544,0.2180473211]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003441948947,0.01348790532,0.03921009351,0.07458858216,0.08860725797,0.08461777421,0.08472260741,0.07235287088,0.06612602307,0.06913327748]}', '', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7157, 59, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05053343376,0.3355442006,0.6897288715,0.5429997472,0.4181938348,0.2309765471,0.1595438417,0.1004132331,0.1026065254,0.09845196838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.569479028,9.340611587,8.538485397,7.664316019,6.499666709,5.142890909,3.293641912,0.6311847798,0.3795435548,0.245280812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003905222542,0.01582901454,0.04913217657,0.09227712782,0.1099612398,0.1054263599,0.1075658192,0.1061566034,0.1082948376,0.1314971335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.730703575,28.399942789,22.757967045,17.25766779,12.561705334,7.837466669,3.488371702,0.7796633552,0.2712129742,0.006272167164]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7156, 57, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08307996686,0.6463646965,1.323467977,1.132686213,0.8080163512,0.481339807,0.3296005677,0.249063718,0.3087324169,0.3142055962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1411671839,0.8147536017,1.716624955,2.639165708,3.279281368,3.654658008,4.10210148,4.529302642,4.832623556,5.018352686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006028889032,0.02553858351,0.08739230789,0.1899157119,0.2630272392,0.2855294706,0.3295667685,0.398150608,0.4442582719,0.5863074296]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06219484147,0.3814980081,0.9172655862,1.474090223,1.902636726,2.171092933,2.447552143,2.755739304,3.067409147,3.543928909]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7155, 56, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2409652835,1.652587627,3.338387661,2.701770521,1.990679024,1.135392509,0.7709787113,0.5223176937,0.5727288528,0.5584423034]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.112115037,55.517149682,61.192159232,62.473816018,59.779797246,53.447730825,40.860362353,26.643744638,22.573135394,20.09368658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01337606051,0.05485550351,0.1757345782,0.3567814214,0.4615957376,0.4755736049,0.5218551959,0.576660081,0.6186791322,0.7869378405]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.531321102,95.735280865,85.225273628,72.030252599,58.966229911,46.072425725,33.686427652,24.082202717,19.295785956,16.458071067]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7154, 55, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.715001598,14.803781211,28.882882821,25.821155577,16.901533204,8.919027809,6.471648946,4.928454592,5.406534143,6.055661435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.296771725,72.094323276,77.881836368,79.976963514,76.790765502,68.377064496,53.777209107,38.348730263,33.743921325,31.042774937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7327480837,2.924135623,11.969486983,19.808669778,21.806476888,18.433996912,19.154016662,15.624509644,17.351372471,18.081834138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.871444942,113.960046364,104.688641427,94.500225295,82.155555855,68.150843456,54.091484964,43.131541179,37.21168778,31.415939658]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7153, 54, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09027952738,0.6504953797,1.019206282,1.019389106,0.7435913647,0.524518584,0.4941236374,0.4820746095,0.7424287103,1.204163379]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004481613552,0.03152465542,0.06587816662,0.05551235718,0.03925000897,0.02463761937,0.02269220453,0.02429316737,0.02813761451,0.05151536977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04951880104,0.1051779681,0.3654112209,0.684405757,0.893781317,1.017801942,1.234952574,1.291324093,2.01594087,2.550326546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002390580912,0.006312964143,0.01855740949,0.03632530699,0.03945760681,0.04463254766,0.05093841146,0.06246122793,0.08305685683,0.1132923017]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7151, 51, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004148907077,0.02414356069,0.04977217471,0.04469674911,0.02665404429,0.0128162107,0.007980130356,0.006410371502,0.0136778303,0.01895690792]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[157.400196249,196.649758241,192.593056473,181.458801056,170.182089887,159.565091061,149.534921205,139.810139203,129.726260239,119.047660406]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002992094085,0.006220020384,0.01464825418,0.02439415159,0.03011314288,0.01904673762,0.01864377453,0.0168482213,0.03287658504,0.03884605711]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[100.628552863,122.184108558,118.649929734,111.542437595,103.496067794,96.015183153,89.469792925,82.968033819,76.578395114,69.72375493]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7150, 50, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3014941037,2.201933519,4.737331291,4.167364982,2.990245038,1.854813691,1.518491676,1.599214885,1.947386281,3.693539945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1074999546,0.7585458624,1.595714489,1.356476301,0.960763817,0.6048538569,0.5393600433,0.5716702934,0.6547450502,1.200295052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2587326289,0.6935191377,2.180464855,4.313241223,4.633723135,5.341590089,5.981138324,7.553656187,10.044689504,13.789152318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.092046241,0.2474663944,0.7298315771,1.431078158,1.544524944,1.77295693,1.946876179,2.451747232,3.260910491,4.411581648]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7149, 49, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.313210892,10.504908738,20.568276263,18.909944278,12.741403889,7.801053643,6.580190164,4.707006244,6.331622075,10.903460527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[711.242786758,731.048191179,659.738191368,628.237017453,642.839010821,672.019838285,652.023109103,493.027800478,394.374460457,299.356486976]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8754692929,2.180008126,6.331792956,11.73901997,12.791397791,13.565644162,15.625973988,16.338231375,22.964082843,32.580430808]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[313.027136503,244.4210381,231.097060802,228.914324553,221.754477426,228.466639461,224.07495611,224.534790036,216.584203874,216.830358531]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(6980, 372, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.854539843,8.585210335,25.797223239,27.79048185,28.102050061,26.865409114,36.265880039,60.09572379,109.473072178,181.796902675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9854951495,0.9487898523,105.284309982,152.80979585,207.23723013,272.384051498,346.213337725,425.887807933,511.755329881,618.064051221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.267982746,2.670658915,13.632865902,25.378884495,38.133946707,56.834271957,89.843226142,143.6346497,230.672725686,371.250852334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5063974251,0.4283333396,61.321884194,95.70710164,135.551052731,182.426624531,235.735465411,292.692333385,355.451865685,415.8774493]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6981, 371, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.544769262,2.357365249,2.314735421,2.290448072,2.283818265,1.993044421,1.654011536,1.62339293,1.663823418,1.562529723]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.455800513,1.309026299,1.261304388,1.236700188,1.245669852,1.105662906,0.9638214207,0.9933788066,1.053352618,1.027628501]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(6982, 375, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6891029068,2.036770968,5.300909355,6.82887516,8.754065831,10.29573975,15.833194874,27.701931522,54.482998565,95.009226529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.391981632,112.760075031,162.278753586,220.25263976,285.463171892,325.219955688,343.922444899,379.050610802,446.807276825,503.124980324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9963025729,1.638841126,4.023937813,7.671071201,12.822592235,21.083404472,35.072433504,56.570758331,95.059144673,161.898417243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.094321135,91.820038548,133.481235371,178.636231972,227.620232222,269.924061385,304.063748696,357.548742135,432.232975569,503.555376459]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6983, 359, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001232282591,0.00487793273,0.009203093337,0.01305908417,0.02458827765,0.02907085755,0.04020224982,0.04597703084,0.03174161741,0.04242222903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0009995308143,0.004000766862,0.007351567963,0.01127752706,0.02188273591,0.02641064433,0.03740057099,0.0439926106,0.02856622569,0.03651657079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001141864154,0.002042329226,0.00394859376,0.004875306549,0.0209456187,0.03020570002,0.03647609342,0.0314957936,0.04873234107,0.06243916466]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001114212034,0.001654600006,0.00360842139,0.004869350367,0.0216176653,0.03389795247,0.04325025306,0.03917290346,0.05219519987,0.05914643856]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6984, 365, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000178488177,0.0006740639058,0.001197386502,0.001536767271,0.002938966332,0.003543782131,0.005214975285,0.006677814285,0.005179300803,0.007501984868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001527180854,0.0006396816543,0.001277103882,0.001521255206,0.002736927663,0.003454818872,0.004876231085,0.005702891447,0.004020350529,0.005176512342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000193005872,0.0004628473527,0.0009500965802,0.001198828223,0.004525850558,0.005910257671,0.005445997061,0.006042873982,0.006524074894,0.01452420662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0002384507491,0.000549231594,0.001031661706,0.001455225631,0.005174938038,0.006547859556,0.006378046229,0.006260093931,0.006435744242,0.01131103235]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6985, 376, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.981707318,80.048961017,246.629395056,432.19640101,474.20338626,468.577918216,392.530134358,307.431897351,180.772545561,157.955357644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[133.962493221,490.581231502,1221.473662664,1798.589791538,1906.720185691,1658.236235773,1316.436998809,961.126620744,726.975979632,585.682062795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.075139205,41.140775647,180.47261095,418.128237176,545.538225549,617.569627668,583.614942265,445.135109895,269.76081604,212.639003944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.932968874,337.552077613,905.333165921,1594.00735104,2015.364774061,1976.122949918,1712.620996615,1210.895623005,841.224151243,668.70456689]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6986, 377, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.340374604,8.798742959,16.283984415,16.182060699,13.679604254,10.316473736,10.42617662,12.458284285,18.382271333,25.685526289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.254568261,3.560417901,7.459860618,11.276067411,15.271110901,17.14594882,16.639801688,15.788871924,15.032759599,16.045677951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.907860889,2.970317921,6.734016271,11.211673313,14.273493806,15.663533671,18.070944345,20.6276302,27.810565769,37.224742816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.017534263,15.84745241,14.754616765,13.549372039,12.4677373,12.066979401,12.418238969,13.073249121,13.482706723,15.188941137]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6987, 316, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.433611897,1.408204867,1.273343396,1.037847307,0.8893488302,0.7474844433,0.7875406153,0.8739894446,0.9758177103,1.048027247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.177602102,1.121826343,1.032403131,0.9363133255,0.835826245,0.7663479682,0.7286893135,0.6829698569,0.6299871708,0.6512283717]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.867734031,1.780572892,1.596259103,1.406891207,1.302165371,1.177792924,1.097545069,1.039605996,1.016379344,1.094373273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.367147448,1.289083608,1.174581304,1.051301136,0.9221825234,0.8301203684,0.7751930248,0.7290544609,0.6893150131,0.7298738061]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6988, 317, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4130151923,0.4172264867,0.3589323007,0.2790574654,0.2303688585,0.1922762048,0.1938639009,0.2128982122,0.2396242502,0.2705431792]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2434549419,0.2322464516,0.203837441,0.1777691735,0.1532693773,0.1356123079,0.1245304206,0.1165295768,0.111334975,0.1190429261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4872364455,0.4439474778,0.3941101585,0.3558691781,0.3301695595,0.2979585115,0.2883752766,0.2730131721,0.2552707871,0.2693029871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2519769802,0.2339845362,0.2079672417,0.1851227403,0.1644518529,0.1506024759,0.1434435295,0.1330165426,0.1201589072,0.1232117279]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6989, 318, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01535247067,0.01896517735,0.03056878684,0.03402302872,0.02438131644,0.02520323742,0.02383174043,0.0312188126,0.05282552298,0.03435245679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03217878723,0.0305836578,0.02801297276,0.02532577945,0.02254265545,0.0205795575,0.01946086967,0.01822438606,0.01687326112,0.0175030539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02460409768,0.03137250024,0.03101596581,0.03356996701,0.03819956792,0.04486645067,0.03743869906,0.05794527625,0.08383650792,0.08157048724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04729185316,0.04457508524,0.04038592082,0.0359757401,0.03143233526,0.02828904944,0.0265355205,0.02498262037,0.02358821491,0.02484198199]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6990, 320, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04757563499,0.07475057652,0.09369438728,0.09465978828,0.09197830906,0.08761962887,0.1033722328,0.1254308458,0.1501773016,0.1559956851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07485266097,0.07585186276,0.07685092718,0.07260437247,0.06311165368,0.05623936695,0.05198758169,0.04773586209,0.04348412963,0.03923240186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04554737545,0.06346061482,0.08081656971,0.0932368837,0.1037866064,0.1147304714,0.133022665,0.1526606583,0.1760678771,0.1851374717]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06392460515,0.06713935444,0.07035410806,0.06944735435,0.06441869224,0.0597607428,0.05547336318,0.05118605476,0.04689873787,0.04261142535]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6991, 321, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.56307935e-6,4.673155125e-6,6.131233777e-6,5.410105509e-6,2.509815393e-6,1.838150392e-6,3.395053726e-6,4.951988914e-6,6.508915219e-6,8.065821422e-6]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.858382388e-6,4.82049212e-6,6.239774219e-6,5.978607612e-6,4.037097795e-6,3.189406995e-6,3.435577458e-6,3.681776097e-6,3.927913504e-6,4.174100645e-6]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(6992, 330, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.365324055,32.080069229,28.371422256,24.153649153,20.715445402,18.212846988,15.785311659,13.806107613,11.544429898,9.565226069]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.707147638,23.957151976,21.76821673,19.114677019,15.574195193,12.385810772,9.954500975,7.266728683,4.91559868,2.988072444]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(6993, 48, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.127532893,77.625003838,68.4302142,58.846371397,50.297106712,44.109689829,38.554563601,33.827397952,29.657061574,25.6068998]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.743907333,79.233299208,70.522741666,60.163820967,49.705693458,40.978279227,33.017429569,26.378058088,21.390460586,17.244527806]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(6994, 331, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.460982838,11.447855502,12.83505134,13.138996134,13.718483647,14.075193242,14.120364339,14.029368675,13.962174571,13.887788939]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.969040397,5.905688255,8.00052412,9.701402475,11.325651724,12.425996033,12.619080809,12.47092484,12.38038506,12.292871312]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(6995, 332, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002617050828,0.005185943966,0.01071590365,0.02193959913,0.01459012483,0.0387689908,0.06326556553,0.1308743876,0.2726590152,0.4316867194]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0009014109032,0.001785533668,0.003673315054,0.007558560341,0.005019536924,0.01334224289,0.02180775782,0.04485864303,0.09375133727,0.1478594873]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001888348931,0.003014505746,0.005953072055,0.00759835267,0.03479161004,0.06210195528,0.1204443894,0.1663765602,0.5235807153,0.4128676601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0006311372117,0.001007245822,0.001979159356,0.002521794176,0.01152510883,0.02062559771,0.03998224063,0.05530236777,0.1731877948,0.135937461]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6996, 333, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001500969585,0.004282554999,0.0100740561,0.009765299095,0.01645341312,0.003179691707,0.0129214433,0.02054655196,0.0230067759,0.05494667408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001224116067,0.003172319622,0.005611251941,0.008515618738,0.01210975171,0.01668814699,0.02225039118,0.0293325236,0.04165304925,0.05965804035]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02752749132,0.03512953278,0.08292682599,0.1210433661,0.2345352513,0.4147131466,0.766608652,1.530576068,2.59248856,3.953371666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0154739376,0.04121414689,0.0765186189,0.1241708297,0.1888607848,0.274047476,0.3901936758,0.5442323879,0.7537183055,1.024399722]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6997, 336, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003979534232,0.02641386583,0.05880643998,0.05898396279,0.07805980776,0.05399041191,0.1325544656,0.228935028,0.462520895,0.8834811193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02597061305,0.04010723276,0.05696477734,0.07729865458,0.1033259824,0.136935075,0.1761117399,0.2183281517,0.2657837708,0.3183248535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06406346002,0.09815210469,0.2158111727,0.3669119471,0.6648071564,1.031020509,1.996770526,2.609921362,4.99904638,8.641794579]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0496092664,0.07661547726,0.1070958597,0.1441056892,0.1873407242,0.2375145383,0.2986635617,0.3725267361,0.4614257394,0.5657754557]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(6998, 337, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.838325305,173.738901132,161.229759153,210.45134344,321.009335274,353.229122867,306.090708141,295.82967745,318.713099279,305.791271587]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.761872657,74.462005542,81.598422486,109.990265172,158.802103647,172.609773726,150.854747048,143.225264069,150.033621105,140.322295877]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(6999, 338, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01683384973,0.08884435522,0.1735830253,0.1515448142,0.09334481608,0.05488456351,0.04219204448,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.564801835,15.716046599,12.137601332,8.113265831,5.17263864,3.012116533,1.363331196,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003085278186,0.00745554953,0.01453948488,0.0197129291,0.01653377977,0.01450199444,0.01222946095,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.047929536,2.758389169,2.021655316,1.405685361,1.002932807,0.6037813782,0.2482893805,null,null,null]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7000, 339, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.933193232,103.870222979,85.676745915,58.446289878,35.476702173,14.101601803,4.674570762,null,null,null]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.783446425,26.399448226,20.34468954,13.173552702,6.521286832,1.152092148,0.1162255895,null,null,null]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7001, 340, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.549258551,67.012407221,64.597161692,61.875932994,59.797261013,57.718244031,55.703896223,54.037771787,51.712676104,49.695806767]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[203.527619325,196.375725302,189.647242984,182.156781103,174.777531919,169.478988591,162.741807279,157.64007979,151.257289215,145.402958524]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7002, 341, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2899543944,0.8508514176,1.429542091,1.727349714,1.036093422,0.940519475,0.9518706257,1.418993428,1.691448226,2.604098468]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.531755983,42.673888708,55.489285951,69.544767736,81.101440285,84.148589389,96.185328216,114.551168935,143.485497752,157.613999423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4402793046,0.6417127379,1.091441926,1.656459795,1.756928712,2.306150276,1.96617475,2.822857903,4.476954674,6.051305202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.206913826,32.025080183,47.525772863,63.195035117,78.937981736,91.36115526,100.179248356,116.353836116,139.644700222,152.475687005]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7003, 346, 146, '', '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01699090581,0.06352095573,0.06273902555,0.06147386853,0.05995756263,0.05830203818,0.05667204208,0.01457082859,0.01400133258,0.01326406636]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7004, 347, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.477170711,10.045180244,15.040457895,18.416601122,21.328240846,24.380377807,31.910121497,42.45277479,49.284022429,51.539228708]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.875907913,14.183659186,21.785154308,27.460145888,32.161662148,37.46740993,49.994056884,66.923924832,77.918780944,81.775980501]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7005, 348, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.048056003,67.373168946,69.723613711,72.719398782,76.685368288,78.368100172,77.901550888,77.776788022,77.157884737,75.243006594]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.842745382,52.675880093,54.868324759,57.647623149,60.778294458,61.685121268,60.414112099,60.300976349,61.191310453,60.245319488]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7006, 349, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.214487967,0.3049724057,0.2744869025,0.2201877311,0.2030377266,0.1723954444,0.1839710398,0.1233847805,0.1077279612,0.190433699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6382230107,0.8486717444,1.082767696,1.284364654,1.491340872,1.675692186,1.774408091,1.837461909,1.902911523,1.99905603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.290867647,0.4754233988,0.5533360927,0.5128365258,0.4579122112,0.4354760308,0.471843377,0.5353544442,0.5857289107,0.6312487827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7643039862,1.038850153,1.50427279,1.959340135,2.268225826,2.529572144,2.694634683,2.846294676,3.078125868,3.357918448]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7007, 350, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3366942147,0.6092382978,0.7664690338,0.719269241,0.8262538309,0.7020403839,0.8149196535,1.26307826,1.750145549,2.397292551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.343694536,1.907534744,2.452574664,2.874305007,3.249678378,3.419790525,3.666790126,3.962735706,4.342929702,4.970884009]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.214470293,2.359893472,2.875207568,3.497878847,3.571212031,4.787685257,5.57122675,5.838364261,6.980383786,8.771612139]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.472623123,4.106128471,6.258774809,8.254779479,9.776363576,10.669450595,12.106828894,13.968881536,16.326190891,19.110080481]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7008, 351, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3292904098,0.5989089175,0.755946711,0.7084909166,0.8140707963,0.6939697405,0.8071433889,1.252490784,1.738835131,2.387012043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4284722743,0.5222886461,0.5912151642,0.6399193588,0.7009997641,0.7676656525,0.8416262738,0.9428918137,1.10019851,1.319315986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.163297245,2.258207165,2.754356841,3.370355976,3.438049239,4.61998601,5.410094808,5.563625639,6.692816799,8.502103998]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6797858296,0.9111098508,1.098571548,1.270178812,1.471087151,1.708421999,1.994774423,2.32351246,2.671469951,3.079588133]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7009, 352, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.496360182,0.6791032364,0.8587055417,0.9330162584,0.8946621264,0.8795109379,0.8932334349,0.8977342712,0.887743182,0.9196805459]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6521899595,0.8814375214,1.120371898,1.23952835,1.214241814,1.209004362,1.233306242,1.272660876,1.32045067,1.417761469]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7010, 353, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007403804952,0.01032938033,0.01052232286,0.01077832443,0.01218303462,0.008070643328,0.00777626454,0.01058747654,0.0113104187,0.01028050818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.41886208,0.7061428618,1.002653958,1.30136939,1.654016487,1.772613935,1.931930417,2.122109621,2.35498801,2.731887477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0511730478,0.1016863076,0.1208507273,0.1275228711,0.1331627913,0.1676992468,0.1611319423,0.2747386228,0.2875669869,0.2695081403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.140647334,2.313581099,4.039831363,5.745072318,7.091034611,7.752024233,8.878748229,10.3727082,12.33427027,14.612730879]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7011, 354, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06750037686,0.1828643599,0.3011145194,0.3349993467,0.3262657812,0.2942855016,0.303128948,0.3328333921,0.3956156605,0.4768465188]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.114723916,1.891986352,2.530907261,3.211378032,3.599989413,3.977774292,4.351833081,4.292656366,4.720313592,4.894969903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1205688738,0.2059147065,0.3507145792,0.4793051645,0.5458472852,0.5913883105,0.6419719242,0.6831440859,0.7477995172,0.8068015904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.057229565,3.003505273,3.745684954,4.85347103,5.807879553,6.7839377,7.661477143,7.410449729,8.221281635,7.651129178]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7012, 355, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06750037686,0.1828643599,0.3011145194,0.3349993467,0.3262657812,0.2942855016,0.303128948,0.3328333921,0.3956156605,0.4768465188]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7359156836,1.282290923,1.855053269,2.026988705,1.920228327,1.938272196,2.096918159,1.833671287,2.047008815,2.294394504]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1205688738,0.2059147065,0.3507145792,0.4793051645,0.5458472852,0.5913883105,0.6419719242,0.6831440859,0.7477995172,0.8068015904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.354097246,1.707016899,2.369153867,2.910290459,3.239633949,3.532518894,3.858084053,2.985618011,3.251389179,3.07907373]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7013, 356, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3788082324,0.6096954294,0.6758539926,1.184389326,1.679761086,2.039502095,2.254914922,2.458985079,2.673304777,2.600575398]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7031323185,1.296488375,1.376531087,1.94318057,2.568245604,3.251418806,3.80339309,4.424831717,4.969892456,4.572055448]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7014, 342, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.375056171,13.829613024,13.938612341,14.421974034,16.4318719,20.031601863,20.297990773,15.285693189,14.091226332,14.164422078]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.682069275,1.496316145,1.432747972,1.530712312,1.681566704,2.025372753,2.817627024,3.944515285,4.561943916,5.723702123]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7015, 343, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.50156841,6.102590765,6.077691921,6.284782619,6.449936991,6.097158811,3.067834115,2.324304103,2.584019452,2.75607785]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.585124134,0.9969568391,0.9533664213,0.9705780902,1.019590242,1.193465284,1.30981618,1.51138939,1.685123475,1.958169884]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7016, 345, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1536336006,0.148686786,0.1349638986,0.1150818952,0.09530926873,0.07745507659,0.06254330603,0.02978669401,0.0221000204,0.01488049542]}', '', '', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7017, 344, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.378140837,1.248934279,0.929990963,0.4911808065,0.1968769887,0.09693629565,0.09386438827,0.07483074499,0.07482411088,0.07630289802]}', '', '', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7018, 358, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.204107981e-5,4.410658644e-5,0.0001934685847,0.0002993393125,0.001548087713,0.003534975694,0.01056799677,0.01454079981]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.58998204e-5,1.705130302e-5,7.763442705e-5,0.0001146689558,0.0005754835496,0.00125075406,0.003583878286,0.00489787918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.367676304e-5,5.034261079e-5,0.0003356828564,0.0007510376229,0.00463329034,0.01165869027,0.02839274472,0.03636704745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.00781903e-5,1.978132052e-5,0.0001352963596,0.0002868372343,0.001680252049,0.004184069069,0.009289945053,0.01156776702]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7019, 360, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.813978267e-6,6.615885392e-6,1.806369166e-5,2.826662732e-5,0.000103018267,0.0002278434729,0.0006956328544,0.0009456904873]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.396162542e-6,2.557025334e-6,7.259870143e-6,1.084508513e-5,3.84746052e-5,8.099640396e-5,0.0002361499334,0.0003193355308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.554403112e-6,5.450228936e-6,2.302243853e-5,5.09699073e-5,0.0002161884589,0.0005447229653,0.001290492213,0.001670579332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.086626039e-6,2.154444521e-6,9.314043015e-6,1.951533712e-5,7.766259336e-5,0.0001960202662,0.0004178567816,0.0005333000128]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7020, 361, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.042475509e-6,9.721205401e-6,4.2544525e-5,6.77437127e-5,0.0003380468831,0.0007584345942,0.002354977999,0.003236123272]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.509262379e-6,3.757559325e-6,1.707633398e-5,2.588938202e-5,0.0001255881891,0.0002678855754,0.0007960445687,0.001094431828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.445815954e-6,1.197721056e-5,7.995518199e-5,0.0001804412383,0.001099956371,0.002784766263,0.006716559761,0.008742502976]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.312420499e-6,4.712084426e-6,3.235719097e-5,6.883568789e-5,0.000396441667,0.001000012843,0.002176487433,0.002799071451]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7021, 362, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.900356402e-5,3.961987683e-5,0.000174003308,0.0002734624715,0.001409878023,0.003129589424,0.00961049474,0.01333462224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.442982686e-5,1.530606935e-5,6.991747217e-5,0.0001049025927,0.000525016314,0.00111151139,0.003258251335,0.004506813885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.632752126e-5,3.488904362e-5,0.0002414994199,0.0005333912444,0.003212289475,0.008187758842,0.01988861867,0.02538900912]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.939151899e-6,1.375663674e-5,9.779517973e-5,0.0002035548678,0.001159665783,0.002941285957,0.006485337352,0.008131168649]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7022, 363, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0005290107726,0.0007232462823,0.003189059344,0.005010110451,0.02581715414,0.05692494377,0.1737194826,0.2436148359]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0002639393632,0.0002780860978,0.001278556118,0.001921584375,0.009619653656,0.02013994888,0.05881837167,0.08240946679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.000496796941,0.001076054655,0.007167571034,0.01609770857,0.0966116534,0.2402112266,0.5852523499,0.7608492144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0002113342425,0.000423717899,0.002896500107,0.006148409385,0.03484678051,0.08644433604,0.1895594767,0.2432512585]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7023, 364, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0006954388927,0.0009529127646,0.004149045338,0.006475865816,0.03308178051,0.07323732946,0.2229237414,0.3102353085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003461100904,0.0003676441549,0.00166727062,0.002488805153,0.01231437886,0.02599124494,0.07554904233,0.1047696487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003786122114,0.0008108904343,0.005519999454,0.01238780294,0.07373673632,0.1839524686,0.4476402051,0.5804251764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001610877227,0.0003198093486,0.002229601594,0.004728164432,0.02657709626,0.06611580827,0.1453506061,0.1856148435]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7024, 366, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001086371168,0.0001484136644,0.0006454345253,0.001022412928,0.005084007979,0.01189256392,0.03646923498,0.04928442089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.399768884e-5,5.755456388e-5,0.0002590961488,0.0003922780775,0.001891563313,0.004207396011,0.01230017955,0.01657112813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.277836003e-5,0.0001539414939,0.001031439578,0.002354272759,0.01447852128,0.03646678901,0.08824421492,0.1118506391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.098963282e-5,6.094772196e-5,0.0004172432513,0.0009001441896,0.005216994139,0.01310661889,0.02868396121,0.03551565326]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7025, 367, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.234087693e-5,9.977293802e-5,0.0004396429952,0.0006811675879,0.003513816899,0.007814145431,0.023821346,0.03305534177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.596919088e-5,3.842650614e-5,0.0001766289002,0.0002620181793,0.001310429159,0.002781367547,0.008079887864,0.01115514062]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.669765194e-5,0.000122787161,0.0008299999081,0.001871923929,0.01132847612,0.02814690961,0.07003818126,0.08873094728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.411552274e-5,4.835349176e-5,0.0003362626678,0.0007135240698,0.00407696802,0.0100913842,0.02274189126,0.02847625589]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7026, 368, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001379412129,0.0001892791122,0.0008244583466,0.001290327412,0.006671304381,0.01473061419,0.04544679977,0.06232248708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.870732353e-5,7.300816965e-5,0.0003317830186,0.0004947409412,0.002483748442,0.005220904022,0.01539358595,0.02106615207]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003125739868,0.0006789837023,0.004523496348,0.01018179143,0.06124781565,0.15310706,0.3743853879,0.4814743292]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.000132908411,0.0002678450694,0.001827520416,0.003886459102,0.02213417248,0.05501867093,0.121656221,0.1536441778]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7027, 369, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003100311603,0.0006777058511,0.002572705749,0.01041847858,0.008963951682,0.009001810245,0.05513932842,0.02650110746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004396163701,0.001083898157,0.003866613323,0.01207524625,0.01018155583,0.01013019284,0.04992980462,0.02422146833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.000388162764,0.000371029341,0.001515674827,0.008253501767,0.02881180584,0.06533476377,0.1912816885,0.3262197469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0008266298035,0.0005228604323,0.002190700264,0.01050986991,0.03732460845,0.08152551051,0.2426286023,0.3455778809]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7028, 370, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.021017077e-5,2.080325506e-5,3.796526306e-5,4.063765162e-5,0.0001925783999,0.00034979114,0.0006369514011,0.001029658063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.790269616e-5,3.165086525e-5,5.278921066e-5,5.701982097e-5,0.0002538769935,0.0004343162424,0.0006673873603,0.000997754735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.689545931e-6,6.84815063e-6,3.552615699e-5,8.616646535e-5,0.0003968165224,0.0006679644733,0.001310117868,0.001909576932]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.707544824e-6,1.142807485e-5,5.809118463e-5,0.0001316731422,0.0005476638477,0.0007890147829,0.001395177,0.001932429956]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7029, 357, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.838943239e-6,0.0001002911734,1.717022017e-5,0.000789903289,0.004745055109,0.03090671929,0.1416574323,0.3260339789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.425782859e-6,5.024589365e-5,8.974332784e-6,0.0004153440714,0.002335121885,0.01368817988,0.06042225384,0.136604266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,9.864354236e-7,0.0001804068428,0.002421758098,0.02082373507,0.06067913202,0.510778719,0.4372182157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,2.968297273e-7,5.849774326e-5,0.0008843941091,0.007571982602,0.02312522853,0.1861074193,0.1595078125]}', 2010, '', 1, 450, 450, '2016-05-22 06:29:10', '2016-05-23 05:48:00', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7406, 67, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007357639679,0.01642582239,0.02740757372,0.04280565205,0.05834122945,0.08432426308,0.1115243976,0.1490976136,0.1826432913,0.2271592758]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0202197598,0.04858318379,0.08457777761,0.1349925604,0.1841578475,0.2632027423,0.3185595142,0.4340688563,0.5293892574,0.6611400141]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7405, 331, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.823526841,11.927603689,13.405948137,13.671463809,14.154682533,14.479742342,14.472990251,14.378658547,14.311671649,14.210960705]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.140803,6.172314174,8.420408872,10.117027689,11.722677838,12.76965774,12.911425446,12.792878775,12.7258458,12.64563372]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7402, 330, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.209282954,14.108562725,10.978129503,8.132016041,5.925734842,4.547315902,3.610600332,2.921800381,2.314265381,1.746979975]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.301644371,15.500131335,13.056299056,10.471026781,7.851755633,5.179728254,3.181760792,1.84287048,1.007799956,0.5073306589]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7400, 45, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.197309778,68.339412621,57.790000778,47.42321542,39.579691851,33.231420177,29.071992724,26.500825312,24.890455915,23.317302153]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.149957063,60.145250602,52.394164687,43.210110858,34.679524656,27.531044824,22.231404645,18.955458391,17.179909885,16.137780601]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7397, 34, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.950586335,86.472005831,85.827960201,85.152746454,84.559009137,83.949400169,83.797227869,83.734139574,83.357620684,82.773974429]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[87.022889599,86.779526762,86.450001258,85.872231341,85.053695123,84.482374505,83.9165905,83.68468776,83.291608056,82.803238609]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7394, 282, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.828405667,150.505699764,230.61695961,288.385420628,348.510973772,429.324417485,525.905177972,619.780437346,678.518268939,758.357582694]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.548073047,322.163175718,443.109261009,538.744501073,642.727096823,770.281646754,929.01162905,1076.576220195,1185.16320923,1268.603758526]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7393, 281, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.914224173,42.466596665,58.222669155,78.986981094,84.151946109,114.379973806,139.037534858,185.812910026,152.260308359,185.72899618]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.72112492,63.123983603,82.464111795,113.583051811,125.94641277,173.757477664,210.267681647,270.397418875,223.216382399,259.191186215]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7138, 22, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008235343727,0.02166845462,0.03685966899,0.03791424278,0.03237938285,0.02087155483,0.01850412727,0.02007209868,0.03700772963,0.06000165771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.743654048,0.9820278663,1.247178269,1.542159169,1.896138255,2.306902354,3.043908172,4.178140133,5.354912522,6.586246635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00994800564,0.01765151683,0.03574678281,0.03853976642,0.03722274624,0.02704929603,0.03020579842,0.03135809499,0.04649036562,0.07157032324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6678614159,0.9424368315,1.32432607,1.681546313,1.917184473,2.242693837,2.904726888,3.884397828,4.910610765,5.945851478]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7131, 15, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30941042,6.900758361,12.083761516,10.867300703,6.545419493,3.032682691,2.049778315,1.376209829,1.607640113,1.848305243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.71329451,10.168391028,10.976611736,11.647370232,12.623557906,13.124265698,12.740774713,12.275428996,11.392368834,11.728729733]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.470955386,2.419690179,5.820082454,8.978943088,9.529380333,7.937421595,7.404220656,5.985754883,5.872646785,6.549840558]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.251840324,10.6375964,11.063895506,11.839611359,12.813718666,13.01492529,12.728111057,12.306749474,12.140939097,13.432979197]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7132, 16, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8592447671,5.417050858,10.353718234,9.983285356,6.395223674,3.119452417,2.175856222,1.477690371,1.740553571,1.940149563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.975738399,11.329355536,14.597196923,16.182094851,15.193347396,13.70894882,10.886050655,8.160913276,7.080891486,7.470725688]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.191065811,2.300467887,6.099985988,9.756669597,10.285516216,8.506897305,7.925966894,6.507467172,6.539359846,7.42715188]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.311712229,15.003112761,18.953142746,21.808972095,22.089066585,20.42914426,15.333974151,11.297368729,10.171428742,10.816008708]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7133, 17, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2533671595,0.9765013999,1.568734961,1.47967777,1.036841033,0.5022896228,0.4097950075,0.3612521219,0.602110245,0.660848572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99589704,2.265598121,2.446990728,2.54537938,2.731233868,3.019543126,3.28235375,3.474615042,3.618976937,3.719545118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3153092125,0.4637487487,1.062437738,1.241289204,1.458284067,1.396172563,1.2799349,1.197176837,1.662044288,1.866855606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.505956103,2.692240727,2.762014381,2.813088972,3.230936842,3.960566896,4.55816073,4.970905881,5.21669819,5.309854907]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7134, 18, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005879202653,0.02490732001,0.0445926915,0.04561290208,0.03066934164,0.01757396244,0.01654755045,0.0143232051,0.01019508398,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001261214232,0.000650891775,0.001097419161,0.001182973074,0.0008177643568,0.0004495046601,0.0003525591456,0.0003167126182,0.0001678084727,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00793756403,0.01220685653,0.02751617264,0.05083237002,0.04636193623,0.05009939897,0.0799817464,0.04307668265,0.03814174881,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001382133205,0.0002492259335,0.0005711643572,0.001106609667,0.001107613806,0.001163864895,0.001751701004,0.0008920401762,0.0006762309561,null]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7135, 19, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01956833454,0.03139351729,0.02207956071,0.01453871503,0.01006508121,0.007407761927,0.007456570302,0.009531906445,0.01504662628,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08358850268,0.07593772673,0.05426827033,0.04357807701,0.03789763919,0.03708548741,0.0396867889,0.04915064283,0.05890471289,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02069067086,0.02134156164,0.01545597149,0.01338053866,0.01006542765,0.01363211489,0.01347878645,0.01208864367,0.02505946697,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07911216749,0.05856806342,0.04237743585,0.0396004571,0.03263836305,0.04966919172,0.04850517071,0.04189018697,0.0736373548,null]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7136, 20, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0441187616,0.08064759795,0.1064668078,0.1174850533,0.09028145932,0.1016933473,0.07423826124,0.1018785084,0.1684381737,0.2623258913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005019150005,0.005254770894,0.004659329435,0.004298174127,0.003488475016,0.003553653874,0.002941642403,0.003405672918,0.004634708828,0.006122997612]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09533697936,0.1638038611,0.1739685532,0.3524889149,0.3448202932,0.3365647015,0.427815386,0.5009473467,0.8509073481,1.043985078]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009836574216,0.01109536007,0.009783666276,0.01316884561,0.01247203228,0.01198709348,0.01348039965,0.01461896714,0.02119069569,0.02397006786]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7137, 21, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.245437998,0.2630583756,0.1608708967,0.09204120482,0.04986685347,0.02657885793,0.01811966963,0.01688221993,0.02030144107,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02738457944,0.01650331125,0.01014238651,0.007070674088,0.004825953212,0.003445288208,0.002468751182,0.00220368616,0.002007864053,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2142678223,0.1572757648,0.08323750845,0.0557950911,0.03830472139,0.0305634278,0.02908143935,0.02938658531,0.04514560906,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02119859537,0.01114082149,0.005940383179,0.004304488392,0.003214966691,0.002891026581,0.002725185675,0.002611490276,0.003427742653,null]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7383, 348, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.821556,66.840957662,69.096920301,72.102367272,75.638146567,77.419545401,77.499717657,77.78703573,77.387145127,75.817015168]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.005922993,52.635821196,54.581029453,56.675908835,59.115758284,60.205891553,59.76911694,59.918546466,60.557420138,59.764010378]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7191, 97, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08350555622,0.2410948716,0.4353165363,0.4385381114,0.3302392688,0.2319387952,0.2570862207,0.1748903781,0.254065016,0.3830370066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.404399355,0.9222821984,1.409151026,1.178471738,0.7131449038,0.4591841492,0.4260440302,0.2351941788,0.3074833229,0.4323002537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1116141592,0.1461881688,0.3091416246,0.3887987925,0.5431751764,0.5956505348,0.8483408781,0.5874020066,0.9501119964,1.593487093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4980572896,0.5401785048,0.9401017466,1.056537033,1.377552708,1.442524053,1.59125869,1.041148554,1.462143824,2.310604807]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7192, 98, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2269719942,0.8304272393,1.561568659,1.684385496,1.642739142,1.356962881,1.544153469,2.093549085,3.80370983,6.529902546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1323274525,0.5091169131,1.134211266,1.263275478,1.382168365,1.130851777,1.145694608,1.550528076,2.44472764,3.674881326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3772952316,0.6344712624,1.110557746,1.840674176,2.343589827,2.958677198,4.35145043,6.456246259,11.268350282,16.881798959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1885708497,0.348828769,0.6866340615,1.249977213,1.695603943,1.98843099,2.656175494,3.492456327,5.29586531,6.591191194]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7193, 99, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008528947528,0.03285618912,0.06145185526,0.06535052431,0.1239509689,0.2068102685,0.3845063015,0.7205829014,1.600191498,2.639325857]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008285962216,0.04071130792,0.05580800167,0.08944711153,0.1471860207,0.241013746,0.4673880109,0.8424466361,1.70680579,2.453338938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01754469822,0.0199817712,0.03651421482,0.129030869,0.2381917205,0.5277009424,0.8942005058,1.516138169,2.807426266,4.987826863]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02593728305,0.02786009635,0.0600038528,0.2481747792,0.3831473259,0.8108794746,1.378343598,2.307513145,3.407095801,5.183351338]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7194, 100, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4913159055,0.9112779481,0.8451907731,0.8083016395,0.8562694451,0.6684203325,0.766822516,0.9106487072,1.890071056,3.228718823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2463688491,0.4633900945,0.4274090542,0.4353269638,0.479125909,0.382607504,0.4526769272,0.5481831018,1.075184154,1.684753905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.722592409,0.8150188776,0.9966161752,1.095264947,1.306333841,1.40909904,2.287134037,2.31379062,4.83819972,7.287458471]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4827653849,0.4554768809,0.6448435856,0.7695630589,0.9506571495,1.126965736,1.878103393,2.036814526,3.573599932,4.79404509]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7195, 101, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7332788474,2.274009815,3.801838879,3.948980682,3.450388638,2.633641823,3.02254991,3.557911242,5.866570335,9.362612346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7482691844,2.508612021,4.58827547,4.749851424,4.130006466,2.828829138,2.938688041,3.021418718,4.172340215,6.041207228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7316103213,1.010350942,1.495700017,2.412060313,3.225200649,4.087945865,5.726766187,8.001387497,13.22373985,17.652249558]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5979265117,0.7034570659,1.243062365,2.076455949,2.704104882,3.025445563,3.957095934,4.687490133,6.701870635,8.159963398]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7196, 102, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.531133806,37.583133397,74.412408643,88.546414175,90.697153157,79.247743951,93.521645096,125.153746968,237.539960852,452.984891151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.381197273,39.832013812,40.71813502,45.897206904,60.766250296,110.257591582,180.286745644,276.237991481,456.604292024,642.963632365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.985521977,13.616654607,35.331627102,68.48896017,112.354092773,170.440655669,282.952587693,415.773994637,709.207138112,1170.943331189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.259957509,46.217290112,42.762354513,41.095308505,68.186699325,117.175409026,164.508431842,293.960949764,511.624445667,827.474613625]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7197, 103, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03129238,5.031118959,6.735273785,6.542671403,4.696189044,3.048487716,2.618785065,1.505963959,2.277892375,3.637790895]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.702627878,5.260498789,5.610819842,5.769140114,6.191704944,7.052542898,8.99830432,10.870942918,12.007019899,13.685006726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8798260694,1.272851688,2.552401011,3.724575765,4.392095764,5.526071117,7.32694536,4.922384029,7.797961059,12.675940782]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.019781819,3.448267035,3.810005456,4.014272866,4.536870066,5.293376755,6.647396902,7.485054738,7.950821976,8.951189987]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7198, 104, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8871441965,5.468608882,12.080054621,15.32950739,16.839703269,16.973380659,20.156109268,29.235661934,59.539273362,114.970425086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1300055711,0.2467143,0.4655744162,0.9613659571,2.229047041,8.54264561,27.894019322,66.908201838,131.606655294,212.699854828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.029361361,2.608627035,8.172365532,17.775814663,36.599640972,60.118635609,105.968270308,155.237969335,279.694964431,461.961881364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1877999715,0.4190920032,0.9276939908,1.767690983,3.791395385,12.20345517,35.54089785,100.59928944,233.491187979,377.905595444]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7199, 105, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.47577394,9.17305025,20.161956574,28.16875575,31.730278635,29.830137733,37.089533293,47.289203719,87.517196398,173.457735076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.504675259,2.484400925,4.793018958,8.126785633,11.969177069,17.496031664,26.047973469,39.160869578,56.116848878,73.794295159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.038171505,5.359141941,13.686393249,27.886602193,43.404569717,64.888289731,106.553282107,162.796846228,263.440910128,437.117171972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.755085719,2.810226991,5.183794448,8.667455323,12.668425206,18.080433602,28.117766234,42.607716014,61.55698243,80.441302389]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7200, 106, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1700093024,1.36555948,2.613647586,3.736058131,3.749077526,3.523427864,4.585231782,15.988881312,32.060634414,68.251983619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9415890941,1.589911346,3.132865589,5.400315253,7.984635972,12.885886863,20.293541599,31.317795791,45.898379385,61.353228442]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2187693116,0.4778371393,1.728075053,3.658629386,6.046799073,10.316973247,18.533642698,56.70603261,99.112841134,177.632706734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.036233551,1.695179428,3.160364331,5.517166958,8.288395437,12.823001919,21.148279819,33.159857516,48.620959054,64.852777573]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7201, 107, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.305764637,7.807490767,17.548308982,24.432697585,27.981201125,26.306709931,32.504301526,31.30032246,55.456561993,105.205751423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5630861652,0.894489579,1.660153369,2.72647038,3.984541097,4.610144801,5.75443187,7.843073788,10.218469493,12.441066716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.819402194,4.881304803,11.958318195,24.227972772,37.357770635,54.571316445,88.019639272,106.090813661,164.328069039,259.484465453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7188521681,1.115047562,2.023430117,3.150288364,4.380029769,5.257431683,6.969486415,9.447858498,12.936023376,15.588524816]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7202, 108, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3371843442,2.518884681,5.797205232,7.990826457,10.263013279,10.416795109,13.851813268,18.177902695,35.303355197,64.518698487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2030952637,0.304979876,0.4847330631,0.842970968,1.698499781,4.294566778,11.614403982,23.229986737,35.99983407,56.857960754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2323182087,0.5802905544,1.78446778,4.00031062,7.599822411,13.709690415,25.403040655,37.750080737,63.621196367,105.329280821]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2075150153,0.3325047897,0.5359338173,0.9432267721,1.936469723,4.857536181,12.346565764,21.090339022,26.553591298,36.982031169]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7203, 109, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.334257494,8.713219687,17.239708668,18.317364933,16.140372991,11.136185484,12.232074363,7.618972484,13.515262428,24.363662318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.315729782,1.565162007,1.931714675,2.645181472,4.372521549,7.579380415,14.145268447,21.663764175,27.068526273,36.675357011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6117782041,1.341785643,3.604980838,6.843626189,9.573254173,11.775261307,17.924474388,26.085091513,45.545558047,70.979432213]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.874590463,2.352990159,2.905973594,4.053961506,6.958946866,11.905850432,19.355984083,25.962794288,32.823167712,43.5434889]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7204, 111, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05033212785,0.3704274147,0.6659256687,0.7948728548,0.925698889,0.5874421459,0.8303762736,0.8814633482,1.726738978,3.425241984]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04789037892,0.2440863045,0.4268185821,0.5751704341,0.9771818671,1.448143652,2.065626722,4.586112737,9.219973572,19.009578314]}', '', 2013, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7205, 113, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1764750569,0.5844119442,0.901216407,0.7083827239,0.6641172982,0.4234717794,0.4612366679,0.3533547956,0.4680152494,0.9840713304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0474010859,0.05242976304,0.04254233939,0.04787787082,0.05570752477,0.06958486406,0.127241379,0.1944121421,0.1831721312,0.2430555153]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1750377608,0.2877415912,0.514280938,0.6235201463,0.816150811,0.9192052904,1.352093572,1.34114003,2.365627346,4.333333485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1318101896,0.1384065098,0.07635715898,0.08695413321,0.1017229877,0.1296856426,0.2313596298,0.3073443006,0.4005184639,0.4719627251]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7206, 114, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23867426,5.723411613,10.831067654,10.545313336,9.228736363,6.579463688,5.922253891,19.673597234,35.994829498,65.204742131]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.477662433,29.917828152,27.389731725,27.088358136,32.599356726,62.305659256,87.273039501,104.421705792,168.08048994,195.064453827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9711384922,1.922129845,4.589919214,7.006514922,8.922273844,11.4379811,15.465831328,21.402184841,34.043011441,52.813527594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.083374331,36.715802625,29.322596048,21.176579874,36.625199013,61.744433243,57.60808289,80.283669848,96.31642667,129.896959158]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7207, 115, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.27585098,18.095080607,37.595156797,40.921569734,33.8555728,22.981993335,22.357680426,27.859277523,49.100725689,88.497902532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[197.70083628,271.383965499,380.957857716,533.026877828,702.699182489,882.715746094,1067.74521348,1265.853348358,1474.881398107,1696.508034131]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.062414409,4.889395223,17.401935679,33.75976139,50.781430834,66.892517876,105.277907986,172.911944442,298.866042535,481.433651315]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.153293015,240.819073213,330.661102601,467.386956291,627.511034702,809.527098492,1011.538180251,1207.64385792,1409.307586313,1603.683351563]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7209, 117, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007463182833,0.09190550064,0.1927906812,0.1799551542,0.1934522933,0.07866538494,0.1445562195,0.1848323367,0.3272539312,0.6531966929]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02743801066,0.0433984594,0.0628082123,0.08638105563,0.1166243674,0.1553556496,0.1987069944,0.2474316048,0.3068801663,0.3763046209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1845690053,0.4655491832,1.217099858,2.070746419,3.229411998,4.292339981,7.143212123,9.181096031,15.682641542,28.313485452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06544007404,0.1174154674,0.1839846182,0.2680528905,0.3738526448,0.5063600982,0.678023397,0.8986143192,1.194065804,1.569697476]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7210, 333, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0009215252096,0.005702812695,0.01359592216,0.01216658946,0.01810621453,0.002647763141,0.008751737954,0.01164800432,0.01365168782,0.03611258188]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001263550691,0.003254099914,0.005718099849,0.008628340092,0.01224351626,0.01683433801,0.02210686618,0.02910936563,0.0421531317,0.06136643583]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02982209296,0.06701731623,0.198872583,0.2841611837,0.4829791866,0.7233411776,1.160223479,1.683935292,2.408958642,4.012291938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01497209907,0.03992659035,0.07549887107,0.1232059752,0.1866760812,0.2694836311,0.3801758612,0.5266141278,0.7318727298,1.00162805]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7211, 334, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0008672585724,0.006451588678,0.009939018837,0.009672891454,0.01101422347,0.002545463582,0.009919430122,0.02717806194,0.04707400411,0.07135594477]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03567876497,0.09454258474,0.168454834,0.32424991,0.493972854,0.7230774607,1.302882098,1.702763728,3.207234385,5.919099266]}', '', 2013, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7212, 335, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0009027240502,0.007069394332,0.007315168049,0.006279619394,0.007012513067,0.002154934539,0.004459809802,0.005629286131,0.006072554115,0.01085115985]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03840094416,0.0865286238,0.1886251061,0.3408126352,0.5701047835,0.7364112864,1.240033793,2.158098978,3.878211175,7.781139673]}', '', 2013, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7213, 336, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004771675001,0.07268170488,0.1619405722,0.1518360536,0.157319342,0.07131722385,0.1214252419,0.140376984,0.2604556852,0.5348770082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02617445997,0.04014435949,0.05709011245,0.07775271554,0.1043808511,0.1385213116,0.1766001282,0.2183222392,0.2647270346,0.3149381851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08066720313,0.2174606585,0.6611473357,1.121522694,1.682355174,2.109510051,3.440072763,3.636298016,6.188237297,10.600954588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05046797497,0.077488877,0.1084857471,0.1448469152,0.1871765635,0.2368764671,0.2978475358,0.3720001914,0.4621930744,0.5680694263]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7214, 118, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.465240833,11.167970456,21.947056052,24.410434619,20.114502675,13.198904979,12.163336319,13.10394377,21.753982933,35.267832595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.081960784,65.056686339,78.235135711,91.625088347,102.042311465,110.202464096,118.156230534,125.896253785,132.527883654,137.68011342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.211391239,2.806972814,9.281516228,17.191342964,25.892513385,29.023542557,43.880166338,57.415553904,92.827431081,140.97043559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.467816604,86.901517376,89.500716916,90.555058813,92.778366206,96.228231832,100.665892933,106.692442397,112.423904495,117.924039643]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7215, 119, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1072284397,0.9833823297,1.899408967,1.910379851,1.34955186,0.8304845807,0.793224681,0.897540332,1.392694671,2.463338477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2429982053,0.2954581551,0.3471551367,0.4023841489,0.4405510378,0.4663428558,0.4985716573,0.5482929767,0.6128716156,0.6992215017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04831795843,0.1740526901,0.6698900769,1.181330179,1.288478702,1.488981295,1.676915264,3.864664387,6.129493781,9.633729901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3391515047,0.3955208982,0.4424559087,0.4902500903,0.5253072764,0.5679292172,0.6233060094,0.6982120656,0.7814160051,0.8764642959]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7217, 121, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.554348556,2.732620549,5.869292283,7.327625222,7.391803911,6.608658018,6.564127823,6.442691809,9.722144183,14.827898265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.72376388,4.505695208,5.539440403,6.081934824,6.113644092,6.082070631,6.473538118,7.554469481,11.163435463,14.645257746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6471822891,1.570801838,5.142445742,12.71240773,20.834997816,28.152247197,41.479006015,49.850617132,66.929557134,80.097484693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.229912865,4.834790336,7.38205251,11.152183846,13.045403294,14.264626408,16.441923877,19.901963543,27.191627339,33.519455288]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7218, 122, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1081586171,0.5859784777,1.262444212,1.594355676,1.624652186,1.460807428,1.473237006,1.430661864,2.089138294,3.090469234]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7498796532,1.01917015,1.281249403,1.401146499,1.450042693,1.4788376,1.680172047,1.908562742,2.754131419,3.495095425]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08856403685,0.2066817634,0.6966966318,1.77207799,2.965377403,4.093074282,6.18976143,7.557661646,10.288063428,12.462086892]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6846214533,0.8522416168,1.279577548,2.020987073,2.390141589,2.711802839,3.28251621,3.89990505,5.335437819,6.489013761]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7219, 123, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1160017056,0.6395266349,1.483427343,1.948665326,2.062658065,1.926013607,1.975856482,1.980022952,3.036417235,4.71559608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.828315283,1.108663257,1.523448391,1.771354746,1.924182151,2.01758055,2.217733512,2.652883735,4.07964902,5.370568197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06500577481,0.1413800406,0.4394927326,1.031626138,1.615498051,2.085468683,2.93607569,3.701639921,5.563549327,7.320513931]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5133892821,0.5967308409,0.818036468,1.213662174,1.36478151,1.365461491,1.518283399,1.950252049,2.872501908,3.833211396]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7220, 124, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03784822203,0.3806765893,1.041147982,1.558472369,1.816124815,1.818332135,1.988068877,2.107642411,3.370549137,5.372042323]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2183624294,0.5205691225,0.7590969305,0.9089083011,1.059426059,1.133494324,1.332644258,1.721665151,2.709168788,3.891752498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1860493588,0.709685584,2.558132104,6.831116833,11.988214307,17.166839686,26.576641693,32.726531244,43.941305685,52.611866293]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6891216523,1.361778097,2.553221511,4.400561722,5.727256696,6.955850433,8.664373234,11.030411376,15.264556995,19.083320194]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7221, 125, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2923400109,1.126438851,2.082272751,2.226131855,1.888368851,1.403504859,1.126965457,0.9243645897,1.226039499,1.649790628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.927206515,1.857292679,1.975645678,2.000525278,1.679993188,1.452158157,1.242988302,1.271357853,1.620486236,1.887841627]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3075631191,0.5130544518,1.448124268,3.077586772,4.265908066,4.806864539,5.776527166,5.864784305,7.136638793,7.703017752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.342780477,2.024039781,2.731216983,3.516972878,3.563223498,3.231511644,2.976751034,3.021395069,3.719130616,4.113909937]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7222, 126, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.805519699,15.576386967,33.024115048,32.37627896,24.322479425,14.322147306,12.060510131,11.7312418,16.486393703,27.805846737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.169316545,93.542563911,167.844824509,214.389729775,223.328270298,240.17259019,263.17197826,298.254347234,356.263800297,501.27642034]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.013903291,6.058616075,19.210418623,35.126773212,43.796156071,47.860689037,53.88124142,57.009391834,73.352132285,93.254693446]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.563907952,48.259302513,72.181160048,95.696612455,117.300975839,143.166579926,173.574218584,204.832233901,238.882508309,294.987508213]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7223, 127, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3044779471,2.7269602,6.1660293,6.549475091,5.174052792,3.199986831,2.827112789,2.936766981,4.490263121,7.40580766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.484986985,10.503778586,28.620155305,37.485915579,35.757064297,39.593166969,49.485700578,57.66402837,66.821323448,110.689640203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3748702155,1.679270259,4.783392883,9.218587958,12.240725563,14.600333655,18.192772031,20.70103595,25.731039333,30.777668204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.462673661,2.85196457,5.582510014,9.341359102,14.276759031,21.609637613,31.371044568,42.318507955,54.296739858,75.402271442]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7224, 128, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1147968624,0.6861132218,1.402457287,1.343366416,1.017639787,0.6620739918,0.6008279324,0.6003401533,0.9518619246,1.637487813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.571681673,35.592591733,69.208475488,89.66323292,92.665118776,96.989116925,99.015170615,112.893136435,145.495909936,216.19306024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1507205107,0.3083181527,0.9092510526,1.679438598,1.967895836,2.423322556,2.767044154,3.249449782,4.40308422,5.14146474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.510100381,3.213142546,6.208842545,8.734585377,9.968913269,13.150983052,18.118157426,22.531597472,28.159981857,40.796003744]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7225, 129, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2239040626,0.9591801675,1.487809677,1.317199735,0.8273385564,0.4445792008,0.3172486783,0.3717603346,0.4222352356,0.9661327047]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.757090537,6.716270481,6.97749654,6.653484422,5.652639658,5.045926898,4.529671542,4.155710855,3.665734126,3.315257559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.366468715,0.4692338135,0.9689089565,1.666554464,1.452394268,1.624051822,1.671852042,1.936375578,1.638146669,3.498343369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.955106902,5.52696889,5.317805371,4.921392402,4.490861091,3.813533352,3.612799445,3.319119713,3.067150601,2.713253612]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7226, 130, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2035704556,0.7292458806,1.091396172,1.139625564,1.198355651,0.9945942378,1.041529696,1.338772838,2.062980048,4.302766142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.092943882,0.1145880368,0.1521782138,0.1897971094,0.227191619,0.2768077469,0.3440406438,0.4118028006,0.4798328415,0.7637106999]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3586333065,0.7249061153,1.68661893,2.58486194,3.161001779,3.741742967,4.88906538,5.779235079,8.408609181,13.692413528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08366559626,0.1138826321,0.1804955921,0.2463598434,0.3109102391,0.4123161706,0.5672019833,0.7232133384,0.8795511616,1.291613762]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7227, 131, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02188901902,0.06419549357,0.09845589614,0.1446462764,0.1608371172,0.1783936861,0.2119914016,0.2983703173,0.4551765395,0.7417231812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.392385308,0.430535306,0.4562531511,0.4765311627,0.5019587691,0.5674226392,0.700466572,0.9095620838,1.268134954,2.09572672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04454450971,0.153322071,0.3092607844,0.413546428,0.6201786817,0.669983295,0.8462795364,1.035899433,1.457662104,2.001401935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.633595619,1.573828568,1.177497779,1.240091111,1.919477624,3.214114647,5.260207298,8.381132703,13.646472171,21.877329482]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7228, 132, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5572014921,7.507306948,16.170091933,15.669804392,10.681189474,5.379772615,4.079603329,3.108589299,3.497979579,4.539704426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.618708541,23.239780359,31.75127137,40.76949264,48.047492587,54.087485188,59.910327572,65.012745607,68.665304106,70.938564679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2335398453,1.195327043,5.20937987,9.564038861,11.833588216,10.744588559,9.559107097,8.779909753,10.345781848,11.040368687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.134258684,23.755394911,33.117281058,42.480267839,51.156674139,58.4320758,64.371868678,69.947555217,74.452095107,77.248780109]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7229, 133, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004944790214,0.03079863458,0.1418290406,0.1864245898,0.1583120981,0.1304485219,0.1437443374,0.1739722865,0.3240623855,0.5778889801]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02141336232,0.0223399115,0.02905230464,0.03960239221,0.05218381539,0.06600841874,0.07804397188,0.1135871711,0.1790201207,0.2828682925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02149244033,0.07049119363,0.2039593953,0.2653085642,0.3782457248,0.5333797923,0.6172786664,0.699528671,1.124504434,1.519192254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02293637746,0.02385792826,0.02641515852,0.02965772236,0.03357461839,0.0453587048,0.06948428727,0.1021959431,0.1378395723,0.2045337907]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7230, 134, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07327354222,0.4743521486,0.9454194787,0.9651159121,1.15707187,0.7689603206,0.7604727473,1.02397614,1.547669593,2.884453316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.733128792,1.79740924,1.685684818,1.614790674,1.538970029,1.881702476,2.90289819,5.322235383,9.495676703,16.727954836]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06151929943,0.1669140641,0.544722297,1.107262143,1.541922182,1.628614302,2.207807814,2.495631767,4.66501161,6.487314918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5529780208,1.207044197,2.922939653,4.694965931,6.68832483,9.102638626,11.592165625,13.954258934,15.968936313,19.261752547]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7231, 135, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05158258077,0.3575962638,1.021843418,0.9514042959,0.8200638748,0.6359796843,0.6429204192,0.6067003218,0.8743295111,1.200117422]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.057585105,2.710355924,6.704036112,9.073929842,9.264342183,9.800041117,11.300666436,12.213525312,12.938612334,13.774683596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08819138275,0.4485578936,1.864599984,3.826505849,5.195942701,6.072346184,6.502826279,5.686302074,6.2046798,6.374240171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.641765364,3.603339333,8.090194827,11.337517035,12.921273972,14.43128952,15.634937684,16.429786641,16.6221516,17.093784987]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7374, 321, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.088446779e-5,6.0434031e-5,7.028821936e-5,7.86580766e-5,8.335282595e-5,8.753176019e-5,9.49347562e-5,0.0001059266068,0.000120510999,0.00013868721]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.9575047e-5,6.767975338e-5,7.749411337e-5,8.768565698e-5,9.639816991e-5,0.0001043380763,0.0001124863916,0.0001209450983,0.0001297127102,0.0001387863255]}', 2010, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7126, 10, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01445952416,0.09652401068,0.2406656529,0.2248208033,0.1530171462,0.08706094676,0.07546545559,0.05618603683,0.07609412975,0.1273848525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.745745873,23.64371974,22.796773988,21.765443708,20.941200971,20.099152581,19.335140519,18.448147383,17.677474269,16.872782245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01826763644,0.05165216219,0.1446839254,0.2319049173,0.249612249,0.2325490997,0.3012673452,0.2816191561,0.3242749119,0.3535935829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.484282932,24.256748544,23.441617775,22.422552039,21.661634738,20.860693792,20.168224467,19.452667919,18.845844631,18.035707804]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7125, 9, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.814835452,94.001785281,207.976060518,193.158074117,128.541861839,66.411253522,46.238496424,40.444764837,56.808539274,90.713204693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.92771535,7.688892425,5.942266052,4.309245229,2.81221811,2.101325269,2.419233791,2.747721408,3.119719077,3.372081833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.49627941,20.217102352,76.612738615,135.635651621,156.14117861,154.960012821,170.311044743,177.227000186,228.99170125,319.544159638]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.200653517,2.836429526,3.128800158,3.369092335,3.481014297,3.994963414,4.84698457,5.697002481,6.575802519,7.349166549]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7127, 11, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01250956317,0.04149471727,0.0763818966,0.04843720285,0.02107128804,0.02847451475,0.01306081581,0.02297165115,0.06283397265,0.05914775698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.138761891,25.388965672,21.986823596,19.605951431,19.669315418,20.774131908,22.727401781,24.487786307,23.153893255,20.523307161]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0181491536,0.02709724475,0.06008062789,0.02592509906,0.05187977426,0.03984708842,0.05124361106,0.08337141974,0.1689187555,0.2344784448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.592527895,36.849161895,32.033826177,28.44221621,27.769391934,28.554839099,30.008242463,31.21686154,29.230159204,25.85300725]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7128, 12, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.300116985,18.027546454,32.348198284,29.385348505,17.6943509,8.25363554,5.568607763,3.74788018,4.472896304,5.152986773]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.909351973,51.293222571,56.155982514,58.603796605,57.580539139,54.156651365,47.546644643,40.730783583,35.301733356,32.368967128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.911740315,6.75219314,17.117259839,26.693038196,27.682105636,22.540871549,20.508518106,16.673820911,16.850174722,19.192247549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.827603977,49.822311581,55.156223528,59.426781014,60.855559226,58.365379922,51.227431043,44.418401027,39.969426799,39.056523669]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7129, 13, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.502605265,2.944484146,5.810781373,5.228623043,2.855102212,1.26361499,0.8090939054,0.5310751498,0.6484239887,0.8109674802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.291807438,9.253528447,10.365542883,11.471992878,12.054930028,12.129823545,11.751654396,10.962152566,9.51251016,7.602585935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5570023081,1.031355708,2.96247063,4.740035533,4.701768643,3.602463253,2.963919655,2.382411693,2.606443498,3.190873623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.601838625,9.732766908,10.738254505,11.837676678,12.654651483,13.196821953,13.219411749,12.826848654,11.037642074,9.517212384]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7130, 14, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6288565384,2.765253084,4.099937204,3.3061394,1.898605532,0.8378854441,0.5338793332,0.3629048257,0.4762786345,0.5535644812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.928511625,20.54194756,20.216630972,19.302338643,17.708703808,15.193613301,12.168164878,9.332288745,7.315962876,5.566925772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6927168034,1.000679362,2.234720772,3.217389985,3.165440451,2.494089414,2.214410897,1.798187159,1.831724612,2.024381476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.6622128,14.448835511,14.40093077,13.940520882,13.298122492,11.724488419,9.945934085,7.987434169,6.619416886,5.290323381]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7124, 318, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01931515493,0.04282539005,0.09023644909,0.06070841538,0.04894092211,0.03664718816,0.02647907161,0.03088409154,0.05806133732,0.1030826824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05882741757,0.05525835549,0.04974828005,0.0440844181,0.03828687846,0.03430161003,0.03214762954,0.02998274289,0.02776015295,0.02945318627]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02365580331,0.05162280104,0.09450469061,0.09477061669,0.07358341814,0.06084659514,0.08572696705,0.07828646496,0.106363229,0.2265433602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08319242703,0.07702571922,0.07025501346,0.06413847122,0.05834007834,0.05430755812,0.05219555227,0.05012514711,0.04804310279,0.05097488956]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7066, 336, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006123715819,0.06698553159,0.1409238988,0.1248835486,0.1358244222,0.06488924355,0.1089896658,0.131584243,0.2351877565,0.5018849978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02582802571,0.03993842192,0.05681055336,0.07714945355,0.1031770937,0.1369331165,0.1766930144,0.2198094874,0.2676073825,0.3194896571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1045904713,0.2239811307,0.6155109135,0.9834385463,1.501353538,1.990901054,3.282317725,3.619533969,6.279768836,10.852577712]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04964368094,0.07672789231,0.107809091,0.1443328296,0.1870667732,0.2376180788,0.3002329682,0.3763667087,0.4667668645,0.5716763893]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7067, 338, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005296236513,0.0379869296,0.07105058884,0.05438264284,0.02892257231,0.01305203357,0.007054343279,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.851090877,14.836724691,11.76018314,7.767378789,4.983344069,3.018989277,1.332264704,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000844401996,0.00240943059,0.005117214142,0.006914971881,0.005530735206,0.004193654643,0.003235564465,null,null,null]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.059901069,2.608635985,1.93597176,1.355969043,1.001117949,0.6036081985,0.2476991866,null,null,null]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7068, 341, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5110527448,2.099423669,3.35990172,3.713560192,1.88223753,1.298972135,0.8279698353,0.9052764494,0.9562782869,1.693288967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.231018558,45.820060808,57.223636898,68.379810151,83.646853843,95.347169103,103.242864455,113.585199302,135.113300437,147.024388504]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6809248547,1.202972,2.425822487,3.611846529,3.67918286,4.229270775,3.256152875,4.099027714,6.149774803,7.753469677]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.900277634,32.277856456,44.987179708,58.149242032,68.165142443,80.233820016,94.8432974,114.858816711,140.318293572,156.064288624]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7069, 349, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2230688489,0.3808848016,0.3395408783,0.2422177565,0.1978054737,0.1351688739,0.1197995196,0.07084010743,0.06217182553,0.1291722836]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7184218452,0.9412960026,1.163977202,1.340882934,1.519508737,1.695349472,1.784452822,1.856446677,1.929014512,2.023896953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2910575554,0.5339242591,0.6624429977,0.5890421211,0.4891143574,0.441381241,0.4289544126,0.4609322423,0.525038647,0.5359557073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.855793781,1.150408968,1.634340853,2.07233815,2.321854266,2.515213825,2.645049074,2.792593121,3.030922493,3.317512838]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7070, 350, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.456891955,1.155206412,1.513226336,1.244293896,1.195815625,0.7787224347,0.6437861142,0.7752913741,1.053836411,1.634535371]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.613549066,2.244804279,2.824001316,3.213884494,3.551833044,3.682419831,3.915014201,4.2576887,4.713665125,5.482405729]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.149312687,2.627512112,3.596232172,4.205184983,3.896502788,4.734669117,5.016458647,4.718892919,5.663008105,6.80830109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.892986257,4.731735351,7.025621378,8.95387865,10.32275534,10.99234425,12.329349092,14.26701487,16.768875097,19.678993773]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7071, 351, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4502985571,1.143879934,1.501556289,1.233567687,1.185159928,0.7727577004,0.639044747,0.7694539682,1.047101858,1.627254696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6304709479,0.7403609635,0.7920770847,0.7958188892,0.8301083244,0.8988331348,0.9780160187,1.105609622,1.302589468,1.58111215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.097522323,2.511436282,3.453646096,4.065070749,3.756706265,4.573678604,4.869277427,4.48003132,5.405342138,6.561685225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8878134604,1.164593515,1.35671451,1.491768856,1.646257951,1.851257127,2.126928734,2.464287775,2.823753912,3.23954642]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7072, 353, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006593397901,0.01132647807,0.01167004674,0.01072620921,0.01065569724,0.00596473434,0.00474136719,0.005837405907,0.006734553435,0.007280675136]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4814993842,0.8156457842,1.145395108,1.450559636,1.799612285,1.885927835,2.037642161,2.242531163,2.494108226,2.933331398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05179036434,0.1160758294,0.1425860755,0.1401142342,0.1397965231,0.1609905133,0.1471812203,0.238861599,0.2576659672,0.2466158644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.333892421,2.671467487,4.54289332,6.213242499,7.435536865,7.896708077,8.937410888,10.508682755,12.625423911,15.02611948]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7073, 327, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.244571959,5.476101341,10.366795661,7.41575238,8.833755996,3.228588733,1.72799587,null,null,null]}', '', '', '', 2010, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7074, 328, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.797919946,6.104424336,11.604886064,8.505491391,10.77526348,4.356369424,2.697467014,null,null,null]}', '', '', '', 2010, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7075, 329, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3642423692,3.993309744,10.689379022,7.707049223,6.752318776,1.648405171,0.7675171938,null,null,null]}', '', '', '', 2010, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7076, 357, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,2.423426251e-5,0.001225247353,0.007172875935,0.001321003118,0.009311818151,0.01637251894,0.04510558408,0.1911949003,0.5719465204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,1.086004229e-5,0.0005522843755,0.0030553787,0.0006073302337,0.003909280214,0.006180287765,0.01623898628,0.06447345261,0.1787822569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.883948163e-5,8.020238835e-5,0.01577874016,0.07614788611,0.3264601142,1.748435198,6.006492478,15.814145568]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.821736402e-6,2.686571629e-5,0.005400428287,0.02573368263,0.1046557882,0.5358068439,1.745970047,4.313887679]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7077, 358, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001400733622,0.0002533366544,0.001565555933,0.00195521253,0.004449143448,0.008095524683,0.01884883025,0.03607095332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.94608096e-5,6.980242487e-5,0.000446960638,0.0005328432061,0.001178527022,0.00211360455,0.004867429921,0.008467391012]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001291150404,0.0002972029236,0.003535731849,0.008733123434,0.04087380181,0.08776048962,0.1562784288,0.2666621666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.543823943e-5,9.719044645e-5,0.001209070859,0.002833993655,0.01169334092,0.02458333129,0.04072702529,0.06610896799]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7078, 360, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.021361526e-5,1.845033051e-5,6.323710981e-5,7.993921482e-5,0.0001168947336,0.000203423547,0.0004727382777,0.0008874884472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.617943843e-6,5.0829762e-6,1.806387347e-5,2.181153677e-5,3.108964549e-5,5.331665826e-5,0.0001217511385,0.000209546715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.485773105e-6,1.271883814e-5,8.529692113e-5,0.0002101496928,0.0005843309764,0.001244339727,0.001842758768,0.003186002171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.92017968e-6,4.174070659e-6,2.92990086e-5,6.834347627e-5,0.0001653727451,0.0003474851299,0.000478450936,0.000788298126]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7079, 361, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.909006151e-5,3.480659648e-5,0.0002161384342,0.0002763425491,0.0006194853844,0.001088619393,0.002627624858,0.005038165728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.761573996e-6,9.590806769e-6,6.190367996e-5,7.526167876e-5,0.0001643292446,0.0002852290027,0.0006751701403,0.001183007375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.420459081e-5,3.32223596e-5,0.0003952796014,0.0009955768451,0.004624241246,0.009859278307,0.01735314992,0.03027623037]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.979314671e-6,1.087916734e-5,0.0001358645809,0.0003231566222,0.001317114053,0.002758329067,0.004513757336,0.00752404105]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7080, 362, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.004540213e-5,0.0001074197178,0.0006707874082,0.0008428688529,0.001944109018,0.003410448785,0.008167780165,0.0157051329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.12338654e-5,2.962454769e-5,0.0001920563215,0.0002301171374,0.000516551889,0.0008939163358,0.002103888725,0.003708687296]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.564972458e-5,8.253056769e-5,0.00100181383,0.002485692841,0.01135979055,0.02444627496,0.04358365353,0.07398032716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.251342556e-5,2.709743355e-5,0.0003443761082,0.0008067738879,0.003237691995,0.006857638054,0.01137709999,0.01835092411]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7081, 363, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001358463607,0.00244002895,0.01515713888,0.01915647608,0.0439397021,0.07617593917,0.1832912213,0.3583913284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004810822692,0.0006684585602,0.004332689291,0.005235925532,0.01166448213,0.01992131697,0.04706764332,0.08429005887]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001558834497,0.003640245948,0.04310745557,0.1077770133,0.4930623791,1.031909822,1.866795009,3.240678208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.000547463129,0.001193930847,0.01480026077,0.03498514724,0.1400704953,0.2897214812,0.4859738528,0.8019208626]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7082, 364, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001629220319,0.002918725813,0.01792864627,0.02255084937,0.05150273383,0.08954375572,0.2153645747,0.4161884835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0005768042643,0.0008033537303,0.005125565221,0.006157498823,0.01365631932,0.02344194012,0.05535650629,0.09819274826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001369869937,0.003151420276,0.03814166964,0.09485176623,0.4302299128,0.9081498657,1.634542581,2.818515518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004812211104,0.001034305594,0.01309395426,0.030759565,0.1224962605,0.2548939815,0.4259399545,0.699310839]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7083, 366, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0002443698249,0.0004433239164,0.00277096685,0.003444209544,0.007749921068,0.01399854863,0.03376612073,0.06343208633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.657596531e-5,0.0001225668993,0.0007933816446,0.0009423928699,0.002060439527,0.003672867604,0.008719028884,0.01485787914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001558385594,0.0003575435564,0.004241446112,0.01065534768,0.05019484006,0.1064441658,0.1904155746,0.3194531896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.46705769e-5,0.0001177539139,0.001458127287,0.003470702948,0.01423864852,0.02982844825,0.04976947746,0.07881306243]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7084, 367, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001672653649,0.0003026390849,0.001897385229,0.002346100681,0.005431196852,0.009501230019,0.02248326431,0.0437206065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.913786037e-5,8.305415876e-5,0.0005430085924,0.0006417027153,0.001441985393,0.002489292595,0.005774769233,0.01037953681]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001319968209,0.0003091125352,0.003719484768,0.009282379643,0.04259206521,0.09011829608,0.164909429,0.2773422955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.632434952e-5,0.0001012793289,0.0012791034,0.003007380912,0.01206731216,0.02514912434,0.04308621059,0.06854929681]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7085, 368, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0009137673208,0.001649852516,0.01014581533,0.01277181259,0.02935924739,0.05108622303,0.1228345727,0.2342719647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003239058299,0.0004540638409,0.002906909266,0.003481712732,0.007783785945,0.01335452223,0.0315750731,0.05521610775]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001117314095,0.00259478834,0.03073505706,0.0773144104,0.3535477879,0.7427351122,1.343867422,2.299598514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003923653152,0.0008524157558,0.01055501651,0.02510846578,0.1007470436,0.2080632833,0.3496700795,0.5700213844]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7086, 369, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004106790305,0.0007297860957,0.00340189066,0.003837794987,0.007293737502,0.009593676421,0.0190903518,0.0325429249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004262013191,0.0007903719774,0.003419969836,0.003263506743,0.005734987294,0.007718363332,0.01311772034,0.02081010635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.000291949578,0.0003854440114,0.003190532487,0.01155840375,0.0644568482,0.1073224227,0.2005144142,0.3068854987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004490252134,0.000384618742,0.003309959553,0.01084740179,0.06046179013,0.09194132108,0.1755922755,0.242285732]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7087, 370, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.287332966e-5,1.968210479e-5,6.990294057e-5,7.586345575e-5,0.0001285336145,0.0002543325301,0.0004818676286,0.0008859389936]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.825354811e-6,1.48474918e-5,4.855035815e-5,5.356269551e-5,8.737585933e-5,0.0001577794237,0.0002457663801,0.0004397449631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.177789189e-6,6.481831738e-6,5.276008374e-5,9.670264747e-5,0.0004713658831,0.0008604785572,0.001611288932,0.002626380269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,4.673626629e-6,6.451714707e-6,5.083577705e-5,8.638759304e-5,0.0003881354475,0.0006077060288,0.001008084547,0.001580474783]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7088, 301, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.908063634,85.098537965,166.031825136,151.936224254,102.47233467,56.627624017,40.169968281,34.264455726,47.111283449,71.008458872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.997836727,74.453978821,58.895602235,43.529625755,28.712727198,21.329931018,24.581557468,28.182306009,31.201757831,38.317402403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.211532383,17.961402397,54.843107068,97.455750131,107.8820853,102.315046485,107.316521782,103.33709338,130.145818945,164.124487288]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.822938693,48.099679771,46.636422288,44.808282684,43.350157286,42.156519174,42.57057417,43.185038687,43.862627073,48.363143447]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7089, 302, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.746465698,76.031826603,148.273045661,135.666836181,91.520636497,50.577265706,35.889876328,30.635644972,42.111520456,63.475784698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.515682015,66.521117944,52.607468733,38.891500914,25.647010702,19.052661947,21.956886687,25.186060396,27.883832992,34.235410205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.438364383,16.030249977,48.889888527,86.968793133,96.371087314,91.216011351,95.824868026,92.151086965,116.020254264,146.483072181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.307755045,42.962296853,41.672943768,40.035676826,38.733747913,37.666457522,38.042894144,38.587676238,39.18592638,43.213535132]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7090, 303, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.394486738,57.649919841,112.602314394,102.994820605,69.444448916,38.390510854,27.22615395,23.225759907,31.931817985,48.113913856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.445392686,50.460473742,39.919306692,29.50254797,19.460380233,14.457267555,16.661078309,19.099076493,21.146432655,25.968747409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.887300032,12.178578199,37.187182183,66.088927761,73.089619961,69.393122792,72.747115526,70.079328548,88.315461551,111.184649476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.122473145,32.596503484,31.600675457,30.367653,29.375940395,28.568190007,28.850241178,29.264064922,29.726028578,32.775054742]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7091, 372, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.811008186,24.418656938,77.092556405,78.386587174,61.939032409,42.270572545,40.602644804,47.687661304,82.031835858,146.662044948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.058015812,1.996788303,106.777048343,154.851169591,210.041780725,272.169027613,339.248980424,422.761503778,520.60191708,639.645836583]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.686684793,5.254018899,33.175144789,62.196095538,84.742106263,106.846651994,151.629694972,209.604053321,327.155407378,500.611918891]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8308511869,0.7363772178,60.945961559,94.968362211,134.469333319,180.057464417,232.307642891,286.321167883,345.577166768,402.246589457]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7092, 304, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8226912795,7.146590843,21.906598508,22.429270308,17.931352626,12.488399682,12.095994157,13.90164046,23.783594377,41.938028223]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6027473529,0.5838633966,4.195166537,5.864736356,7.792560574,10.135859438,13.123266419,16.865330192,21.329985412,25.886761506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4935186624,1.537512175,9.949691322,18.528678272,25.733429982,32.635899977,46.586182187,61.91646077,95.291534463,144.233098442]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2434681784,0.215596763,3.462081718,5.333144098,7.537010096,10.320764122,14.074106969,19.181100305,25.854749668,32.377307937]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7093, 306, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.151962004,18.693227913,60.417729259,61.432699997,48.517780254,32.99158791,31.585671307,37.075205366,63.448893085,113.073603982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.575001311,1.529019924,94.96924702,137.829627711,187.046957704,242.453893235,302.075495894,377.068919788,465.377314117,574.34314389]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.291256344,4.022357496,25.78907072,48.272286996,65.310017703,81.865935859,115.362542035,159.562065976,247.6898233,377.196518822]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6357315256,0.5636107945,49.590234507,77.254103651,109.34744561,146.275788357,188.3098837,231.046973211,277.329959645,321.337173359]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7094, 309, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.252026373e-10,2.398655075e-9,7.293930238,10.701234109,12.272342361,12.101426356,16.916077812,25.103295125,47.332708155,90.547688418]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.377810725e-10,8.819401118e-10,6.948894531,11.33222916,17.84014477,29.261638461,45.73574584,72.459465871,109.064266882,147.907007713]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.487604032e-10,1.687665369e-9,3.694374376,8.869316838,16.063273551,27.039221655,52.849065448,89.201726148,149.055479043,244.373514676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.015303057e-10,6.405423159e-10,6.174018873,9.206153965,15.726075255,25.969773643,40.963547078,74.66875289,117.998417254,176.467022798]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7095, 310, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.291604216,9.910145018,19.00566549,17.180200644,13.062690711,7.203182925,5.544674533,2.619306379,3.628129262,5.986800277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[554.258209459,535.393413915,468.077162282,447.767727315,473.401390705,512.54213344,502.155590103,352.621697814,263.965317553,179.057016149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5642257699,1.375090997,3.771268627,6.716978839,7.233780191,7.187205386,8.39123931,7.476402885,10.870575909,16.202105826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[212.304146818,121.983150183,111.698742081,115.904483494,116.674427081,130.63386683,132.607348594,139.052547757,136.661841412,142.581729651]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7096, 284, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.291604213,9.910145031,19.005665521,17.180200684,13.06269073,7.203182911,5.544674537,2.619306379,3.628129262,5.986800277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[550.455644892,531.905781543,464.645419067,444.351241935,469.932161542,509.213400119,499.085050785,349.565367011,260.885016545,176.116955753]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5642257699,1.375090997,3.771268627,6.716978839,7.233780191,7.187205386,8.39123931,7.476402885,10.870575909,16.202105826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[210.030073585,119.888830432,109.679098886,113.903436026,114.648432376,128.775749696,130.953874456,137.351000666,134.847141479,140.834323954]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7097, 274, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.245190386,53.882974319,100.129829455,93.971795031,77.68285681,54.420731039,48.130685366,44.628273605,58.755707197,84.441617977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[221.259871342,451.716664662,469.244942796,451.19931313,453.844178717,420.135089397,373.522598566,321.653579983,282.570541944,233.906124938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.128937719,101.928147993,217.116702516,304.027317304,350.798986632,343.919871206,369.928971202,343.499661165,404.067505211,410.158491947]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[625.83323079,1349.052313932,1442.088102698,1368.194473184,1488.434546638,1514.074157319,1423.863587037,1258.665286447,1083.538839193,827.06128346]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7098, 275, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.967192326,48.672979451,90.27215957,80.174313016,60.598990771,36.099372338,30.677204545,30.182402421,48.013002782,74.401468539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.493414679,259.742397793,250.593507758,205.999088261,194.863784679,179.799870806,177.090055826,181.344047126,189.090938144,174.941046631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.706098956,85.899793139,190.566925084,266.222415414,304.095244994,288.033062369,310.971184583,301.868124617,372.320874727,383.30617684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[454.124759657,1058.751532983,1074.284742037,898.32821744,924.232455766,921.301910175,913.978093909,893.224927326,840.195950853,670.830537904]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7099, 276, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.295441728,5.31086265,10.070491464,14.036804211,17.349439342,18.509342775,17.601619231,14.56275318,10.884712591,10.20219484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[115.807488257,192.042005469,218.765858268,245.329548289,259.146679274,240.475838849,196.554212805,140.419309589,93.609958975,59.090394667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.539894843,16.387394957,27.179675441,38.534607364,47.683122026,56.657570913,59.589424813,42.150467456,32.257297342,27.124914419]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[171.750215228,290.358088189,367.886988693,469.96095913,564.347190288,592.879228018,509.95725254,365.501980501,243.401295684,156.274644727]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7100, 265, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8445450318,4.651710054,104.767888652,110.657073679,83.517005158,59.142722225,61.227115992,79.489636968,141.478328284,249.483616572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[93.333553468,129.390506339,299.473947779,393.839458455,474.903110962,617.983243513,871.631504931,1112.037045046,1181.636308685,1203.629342383]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5315519754,1.257923228,48.937302401,97.882770789,127.731927696,154.514012347,206.308494705,266.383650295,410.645903327,581.195981875]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.951837777,51.945518706,182.332018223,291.710546321,411.736792639,570.84203315,731.9558405,887.369349545,930.205438199,927.588411685]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7101, 267, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6011591383,4.072399335,32.689381293,47.641520419,55.723711722,51.808421067,67.053911258,92.766411586,181.257988641,346.400141703]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.692526172,37.32058145,83.328559659,124.669090138,173.873676746,227.620404889,285.739656679,380.538041254,549.378563875,725.33672356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4511923493,1.201258161,22.815019697,49.068591398,81.647198858,123.886033364,210.006225478,308.878727909,521.157720622,846.33091942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.494029498,29.19656353,81.579435952,109.533159133,152.688506222,201.900055451,253.519727911,364.778612132,540.473233345,765.488725276]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7102, 277, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7605171826,4.181927695,9.487345219,10.588594179,9.084225072,7.002206065,6.925165555,8.327891812,12.124467367,19.939052053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.205247589,243.024561638,376.791145288,494.649118808,601.469965486,772.037136899,948.30927233,1150.171317702,1171.831606697,1299.288785366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.679899569,8.009499831,12.967724235,17.743261458,22.68232598,27.064689766,38.480699542,59.098477286,94.429345483,147.743702458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[258.963872229,475.649339382,651.746343606,823.581731182,997.220120181,1239.488256135,1498.618315021,1782.321967529,1879.381379395,2031.155123533]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7103, 278, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001374973266,0.005421207615,0.01736329031,0.03198255438,0.08922285605,0.1051630211,0.2321617154,0.3942858398,0.9414731159,1.958901425]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0006976379758,0.002874266535,0.008660038325,0.01440114652,0.03688976455,0.04001024004,0.07550358929,0.1222723719,0.2750416934,0.5430732497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0008720249143,0.002129029022,0.01064884017,0.01860909489,0.1737458752,0.4250672882,2.058087864,5.111818006,11.78296443,25.167142899]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0006062873222,0.001261661368,0.005897828291,0.008909342491,0.07028205394,0.1567478773,0.6792427753,1.601919306,3.385007284,6.861044457]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7104, 279, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1094434006,1.795895095,4.664948073,5.35702007,4.323710151,2.855375686,2.613139858,2.845420118,4.241380807,6.696956361]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.464064893,10.417108823,16.702331092,20.123449598,21.963064716,23.760668816,25.390919832,27.318498408,25.979097833,26.227438601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1658839201,0.6871477125,2.626688241,4.989124889,7.645609192,8.534533494,12.818997762,16.757049071,25.878749057,38.096874851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.722958614,21.037943823,25.452053393,26.205621155,27.383574381,28.152006487,29.560729539,31.138453995,31.437599935,31.892948468]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7105, 283, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04025347437,0.891389574,2.726160685,3.024260318,2.521194524,1.885331869,1.934273591,2.981391135,5.064344815,9.502537974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.888378734,32.788310858,61.983995999,93.926487213,125.661802956,163.046883572,195.033408265,235.480424256,253.002113697,282.09199501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05083157438,0.2689301499,1.547213594,3.544859726,5.560335028,8.802155599,14.399746539,28.028174616,48.114188097,76.37736582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.411135471,33.610588106,63.323514455,100.882282175,144.318733811,193.096905637,243.242177478,296.098906316,331.746649911,366.288887322]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7106, 280, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6094453344,1.489221818,2.078873171,2.175331237,2.150097541,2.156335489,2.14559039,2.106794719,1.877268629,1.780656293]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.109476484,6.843971262,9.256529392,13.212379129,21.14528816,41.48518298,62.866727813,81.656775295,61.796776175,46.339699613]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.46231205,7.05129294,8.78317356,9.190667749,9.302635885,9.302933385,9.203867376,9.201435593,8.653443895,8.102318886]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.55997389,35.712386472,37.391505126,44.157365625,56.774020342,74.043471708,85.856854531,106.509048841,104.432530608,98.317298543]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7107, 313, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.032211709,65.598332678,143.565478668,209.035681083,278.88457145,349.560050049,340.518512636,260.984524024,150.667972821,110.489180136]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[265.618841774,624.612535542,983.568548372,1296.226681335,1612.566998543,1731.02044624,1634.885307136,1318.150436768,1047.982246709,901.549295701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.318272524,6.731832235,9.923551468,10.093775617,8.883605432,6.843274787,6.684717486,6.821244156,6.943759092,6.594467809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.840035931,154.713632654,145.587514717,115.32686756,100.889914034,93.139909261,88.451070407,84.147129252,78.629203786,72.807817907]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7108, 314, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6053461959,2.32817958,2.720076059,1.885599489,1.440773479,0.839486585,0.6376710868,0.5024740684,0.5944227514,0.6907546718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.975704024,151.427337145,128.587454163,112.097593023,111.484303996,111.357982685,108.09038463,103.822821604,100.421169689,93.840611498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.318272524,6.731832235,9.923551468,10.093775617,8.883605432,6.843274787,6.684717486,6.821244156,6.943759092,6.594467809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.840035931,154.713632654,145.587514717,115.32686756,100.889914034,93.139909261,88.451070407,84.147129252,78.629203786,72.807817907]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7109, 375, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.030415265,5.868401249,15.6675461,18.673336626,19.035491976,15.682967447,16.67061292,20.652199675,38.350670038,71.318910264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.460306679,115.935393943,167.015977343,222.444123364,281.545676432,325.924769934,343.405768926,380.901194472,453.086564554,513.021309596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.084644436,2.631797597,8.152241858,15.613102299,24.07386839,32.41647992,48.700765394,68.350517,111.970498832,181.834603256]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.378470129,84.73596091,122.186226969,163.488273116,209.414529131,246.41269983,280.533222599,336.142299734,411.162550688,481.306960314]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7110, 359, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001172771113,0.004479055515,0.008299654465,0.008257081255,0.02131159773,0.01689143197,0.01491489086,0.01780237679,0.0142465778,0.02429081376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0005874475731,0.002272384513,0.004181248862,0.004451535408,0.01200720334,0.009665648574,0.008811678328,0.01071413594,0.008103533628,0.01270144949]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0006931647323,0.00167976174,0.004347131168,0.004753087789,0.01512739043,0.01599615835,0.03151805688,0.03172486572,0.0286535435,0.04183255004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000462514672,0.0009360301007,0.002817656603,0.003338606588,0.01103127669,0.01280904896,0.0258375944,0.0279964887,0.02122875113,0.02763562162]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7111, 365, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0002026043951,0.0009048875231,0.001804097995,0.001959100712,0.005356012615,0.004337792003,0.00401505861,0.004401631157,0.00298410954,0.005210661398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001103902653,0.000582146993,0.001422455701,0.001524877814,0.00381731312,0.003300481811,0.002910839738,0.002721718458,0.001720876352,0.002809535262]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001789975996,0.0004500002178,0.001193985422,0.001377903377,0.004644242896,0.005857515673,0.01208661197,0.0134222686,0.01008779489,0.01533261221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000143866374,0.0003260420114,0.0009019567566,0.001173275341,0.004035191469,0.005219220353,0.01115664898,0.01109849836,0.007137125461,0.009775733836]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7112, 376, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.326371666,152.789804247,459.263218016,934.325391269,1285.754350534,1498.106442021,1410.830788836,1150.293656929,739.349906955,590.28994101]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[447.921068512,1051.622262012,2360.497999877,3628.519959618,4954.348970952,4974.472131593,4380.357799065,3262.251674189,2403.523570189,1899.087804166]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[121.626837531,86.941531894,297.383276935,760.307929269,1201.127190727,1658.22992315,1729.04655747,1457.842066883,966.969733313,701.882018464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[391.662601711,731.978283866,1757.060849762,3179.971180669,4912.026722973,5763.916250033,5459.194047999,4132.253702542,2961.232486804,2212.018110923]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7113, 377, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.945762628,30.732613938,60.019522049,54.901553239,37.038181399,20.464081396,14.522282458,12.367327918,17.030222644,25.652857198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.315629916,26.916197616,21.290988613,15.749119329,10.387730117,7.715506366,8.88631095,10.185395382,11.279273054,13.84824171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.616460727,6.504970406,19.813233149,35.25285569,39.006757745,36.980861718,38.897934357,37.363433851,47.169129278,59.348145016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.726587944,17.394341991,16.857085364,16.189110529,15.663298192,15.239341359,15.392297017,15.614872823,15.855021487,17.489529143]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7114, 1, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[155.996102544,387.42485679,922.919770638,1371.31821136,1583.032900258,1671.502542122,1537.755978314,1249.427434241,830.974550983,680.666528406]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[519.376805005,1289.353004345,2931.827845756,4387.27166497,5664.663842211,5582.007494675,4898.647733747,3682.509412724,2705.629462447,2110.51973058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.32788756,161.649048782,551.270372601,1222.125069096,1744.345898555,2220.649073347,2329.16800685,2016.203085076,1581.719363337,1359.062771985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[413.143605536,879.621537647,2282.561462161,4064.772972162,6047.236384057,7055.482883822,6773.722346779,5331.141604753,3890.933556822,2918.50691646]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7115, 2, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.301809298,231.698704575,454.1317351,414.119836888,266.904985323,135.161518887,94.415061578,76.694786875,93.761913364,111.933707437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[90.279164477,257.994815679,555.717453926,706.282248022,612.180458347,498.898253036,416.743722647,341.788099896,254.387163563,184.975331934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.268578842,70.032488945,237.440334694,418.448659408,472.346217317,461.695124238,491.668427335,464.109210236,550.440171162,608.989654084]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.670452143,208.688468137,517.119770963,777.79745104,906.411477868,988.814875769,1006.574002932,955.706563223,751.112123575,569.614371596]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7116, 3, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[131.694293234,155.726152241,468.788035508,957.198374472,1316.127914935,1536.341023012,1443.340916908,1172.73264691,737.21263757,568.732820966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[429.097640528,1031.358188666,2376.11039183,3680.989416948,5052.483383864,5083.109241639,4481.9040111,3340.721312827,2451.242298885,1925.544398646]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[128.059308717,91.616559837,313.830037907,803.676409688,1271.999681238,1758.953949108,1837.499579515,1552.093874839,1031.279192175,750.073117901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[344.473153393,670.93306951,1765.441691198,3286.975521121,5140.82490619,6066.668008053,5767.148343847,4375.435041529,3139.821433247,2348.892544864]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7117, 4, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.183095239,9.169829703,28.477426665,58.503696865,79.684682454,91.400105011,84.672163934,68.079003221,42.601810201,32.631406166]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.007472451,96.24914026,308.072555855,441.854917118,409.881090786,325.188899413,254.438083764,184.380832753,121.849222294,80.907737346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.602266618,6.562536739,23.761496584,62.733388543,100.441156345,139.744371989,146.179107351,123.362955484,81.982556858,59.398249186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.983814265,57.217959218,246.260445859,461.78059602,594.574032068,653.268264281,631.304278534,534.58573272,376.190885653,259.885373698]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7118, 5, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[124.511197928,146.556322626,440.31060883,898.694678651,1236.443232271,1444.940918079,1358.668751917,1104.653643526,694.610827106,536.101414866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[413.090168077,935.109048407,2068.037835975,3239.134499831,4642.602293078,4757.920342226,4227.465927336,3156.340480074,2329.39307659,1844.636661301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[119.45704207,85.054023228,290.068541221,740.943020677,1171.558524806,1619.209576937,1691.320472455,1428.730919044,949.296634108,690.674869043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[335.489339128,613.715110292,1519.181245339,2825.194925102,4546.250874122,5413.399743772,5135.844065313,3840.849308809,2763.630547594,2089.007171166]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7119, 6, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.976925225,201.296862221,413.76180458,381.245432252,253.306118248,133.846857964,93.857664981,80.126269128,110.868510336,170.295447244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[183.767069751,188.131986219,171.384684976,153.323585324,135.30233515,124.515230214,123.762097277,123.188909096,120.467897638,122.959787472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.563096101,46.44709497,151.971140538,264.877776024,297.300545034,285.167299186,303.704699767,302.68508638,383.267796548,511.696372158]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[172.868539914,167.12194265,166.028133833,164.446987498,163.690826817,161.536156448,157.693723965,154.246271928,150.091612414,151.456310925]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7120, 7, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.625608142,85.297727868,168.947019024,154.963713485,104.441360008,57.550181152,40.676345647,34.579267523,47.624743002,72.052798857]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.784563287,75.447947405,59.540670011,43.828385058,28.69228159,21.17388638,24.574818385,28.332457031,31.495773446,38.789479695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.537423415,16.288684903,54.506717164,98.723977181,109.748893093,104.338680739,109.514252304,105.466597626,132.987517901,167.844463932]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.001042075,48.272355292,46.875132682,45.097262196,43.695515688,42.532891115,42.990013146,43.656198467,44.387570177,48.971785355]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7121, 8, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.63278876,2.433607225,2.233874617,1.67776825,1.204353916,0.8398371821,0.7410276889,0.7512588395,0.9703043546,1.20674819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.405261936,1.323265718,1.197832412,1.067094845,0.9323779684,0.8391032976,0.7871464941,0.7341814952,0.6796996822,0.7212546599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.917745918,2.274336859,2.131297641,1.814953125,1.491816481,1.201256387,1.157875601,1.138642891,1.277420181,1.545018006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.478326448,1.369204781,1.247520413,1.136268019,1.030156643,0.9584171968,0.9234782015,0.8898241007,0.8565681053,0.9104438458]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7122, 316, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.262186695,1.886015113,1.705769045,1.293286786,0.9284610026,0.6475138458,0.5776484627,0.5862513682,0.7437422656,0.8960180673]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.123715631,1.064648261,0.9716356287,0.8700656923,0.7621068822,0.6879636621,0.6474878579,0.6054056316,0.5609323956,0.5949289624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.396426108,1.633047952,1.487210157,1.25871611,1.047198695,0.8467492936,0.8035306791,0.8039806833,0.8957145736,1.021777293]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.108585147,1.022475311,0.9270062708,0.8475000392,0.7760267276,0.7269145501,0.704008622,0.6830304294,0.6625852769,0.7095247908]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7123, 317, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3512869094,0.5047667216,0.437869123,0.3237730492,0.2269519909,0.1556761481,0.1369001547,0.1341233797,0.1685007517,0.2076474399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2227188869,0.2033591013,0.1764485034,0.152944735,0.1319842077,0.1168380255,0.1075110067,0.09879312069,0.09100713367,0.09687251123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4976640065,0.5896661059,0.5495827933,0.461466398,0.3710343677,0.2936604984,0.2686179545,0.2563757427,0.2753423782,0.2966973522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2865488739,0.2697037517,0.250259129,0.2246295087,0.1957898367,0.1771950886,0.1672740273,0.1566685242,0.1459397256,0.1499441654]}', 2013, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7063, 333, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001128913165,0.005298779915,0.01223325038,0.0103892129,0.01593372715,0.002400981247,0.007657104416,0.01073921149,0.01219231532,0.03395578852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001228494218,0.003169540534,0.005572756853,0.008417617635,0.0119625595,0.01651225512,0.02197950987,0.0290325518,0.04170817219,0.0602270913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03896744809,0.06940324771,0.1896737101,0.2578996598,0.4458768327,0.6938791138,1.115888605,1.702712474,2.514155609,4.264960745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01539165907,0.04090191673,0.07658738913,0.1241200048,0.188135422,0.2730577806,0.389713829,0.5453862087,0.7594405744,1.035256216]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7064, 334, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001055439726,0.005993495485,0.008925794816,0.008238039077,0.009629679481,0.002288262391,0.008607818387,0.02488805905,0.04207603377,0.06547550307]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04593674759,0.09695082192,0.1583883277,0.2878383267,0.445918131,0.6816021262,1.25215238,1.679525287,3.196706256,6.000747392]}', '', 2010, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7061, 320, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.291019973,0.4373326309,0.4446272784,0.3579403934,0.298444186,0.2283128274,0.2047052546,0.2094639273,0.2477631823,0.2772541765]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07982929014,0.07762049518,0.0754114914,0.07199791067,0.06737933848,0.06295069936,0.05871229301,0.0544739154,0.05023546745,0.04599709116]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2433680773,0.3371227204,0.3774808876,0.3613552008,0.3377279141,0.3102992862,0.3000351119,0.2989819086,0.3221432669,0.3073767516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05717371996,0.06230399909,0.06743424318,0.06839942567,0.06519932156,0.06093828513,0.05561643854,0.05029460149,0.04497276305,0.03965093001]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7062, 332, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006702611808,0.01910289031,0.03992537659,0.07536794031,0.04203370717,0.08248507736,0.09754021162,0.147073076,0.2962257287,0.518118616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00224364327,0.006381526082,0.01322471807,0.02509041024,0.01400514391,0.02761421841,0.0324262955,0.04918907099,0.09872751893,0.171935167]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007889109516,0.01074444159,0.0220300104,0.02475308627,0.1044805563,0.174691364,0.3287001721,0.8119583651,1.628391765,2.763448957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00264955741,0.003611162354,0.007374074564,0.008273961983,0.03485627483,0.05817298599,0.1099302296,0.2704422967,0.5414138585,0.9152112318]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7051, 372, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.818663386,24.274777925,71.105862681,67.920287326,56.483461501,39.868545936,38.314422142,46.368948401,76.515264819,143.433959267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.080111463,2.064969275,114.514286422,166.856405133,226.376983648,297.079784379,375.686596547,463.562305444,558.771897899,685.307461616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.260472289,5.669636916,32.052486772,56.907559777,77.864261143,103.604737795,149.388577629,211.177836879,335.551278697,520.255327415]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8256493169,0.748450588,59.841255348,94.056231122,133.853196695,181.550509379,237.011800912,296.376317244,362.502582894,426.560586037]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7052, 375, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29393342,5.436988912,13.618967141,15.331643575,16.465322248,14.049447608,15.130386202,19.260098816,34.308605167,66.636574316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[93.503791214,119.670277663,172.085024497,226.09332842,286.139208474,332.944551794,358.747778097,391.563083405,472.497282802,535.38795509]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.369608337,2.635358393,7.507746173,13.557997682,20.960191914,30.18478581,45.858977419,66.119060937,109.857424957,181.394731756]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.441644896,91.748426729,129.716919027,172.334747615,215.782319627,255.348148001,290.103920035,346.576968809,428.217368405,504.219745813]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7053, 359, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001344805219,0.003969960883,0.007606154236,0.007062820265,0.01879783265,0.01555331164,0.01158633199,0.01434280559,0.01254789146,0.02175346495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000671471461,0.002007068795,0.003810913709,0.003801455298,0.01056062819,0.008883675548,0.006831740368,0.008604897624,0.007112453287,0.01150866255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0008085548612,0.001602102397,0.004205644481,0.004312873284,0.01484060509,0.01662591189,0.0276105878,0.02831285791,0.02558803221,0.03709352202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0005373924392,0.0008910586756,0.002712600771,0.003007612545,0.01077896255,0.01326295827,0.02262564242,0.02475346749,0.01918667713,0.02418903243]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7054, 365, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0002438350148,0.0008416313281,0.001724791026,0.001751774836,0.004898480543,0.004125896254,0.00318032838,0.003668501296,0.002731968284,0.004883160899]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001315989062,0.0005405657841,0.001341051308,0.001354587143,0.003478093747,0.003126020874,0.002299687451,0.002254896452,0.0015657288,0.002647964574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0002139827749,0.0004370309131,0.001181977052,0.001280747538,0.004709556365,0.006266541457,0.01081495757,0.01227033068,0.00926955075,0.01393609009]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0001722738817,0.000316704069,0.0008907536438,0.001086267147,0.004096905825,0.005584570195,0.009985506131,0.01014042577,0.006642453179,0.00880281479]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7055, 376, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.404461035,150.569965076,508.734737183,1137.708782515,1379.834794356,1532.914105197,1456.938929428,1150.661211612,824.036094389,646.731757596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[334.371138657,1049.066328548,2420.709557455,4003.810533214,4908.334018085,4702.499447169,4103.25483535,2941.224412039,2214.418373073,1738.082551961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.680678556,78.96458274,335.170949257,925.701072965,1399.204241209,1728.402178975,1790.124904152,1486.226422435,997.950910826,731.63564189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[266.722723935,721.51820023,1869.948563301,3583.912983063,5404.355804552,5798.424416574,5375.562387819,3993.139407823,2781.46085901,2117.390131826]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7056, 377, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.544699819,31.813354803,59.530405311,51.241364465,36.415368433,20.78994509,14.765483636,13.123601796,17.451475874,27.414560577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.333835367,3.828746409,8.084813091,12.328973579,16.621443119,18.730399617,17.880848047,17.03661439,16.089527234,17.045645283]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.781304102,7.38603196,20.392393363,34.049083631,37.676668936,38.197472932,40.348962153,40.424509233,50.945731842,65.716040295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.602058418,17.145544702,16.058074482,14.965998199,13.70603146,13.250459891,13.674789439,14.14291554,14.750114956,16.515566276]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7057, 316, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.671324791,1.844225881,1.640524589,1.216465613,0.9520165201,0.6981338954,0.6242561827,0.6522000318,0.7972848937,1.043410947]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.075453849,1.004027781,0.9186812891,0.8284116148,0.7331699168,0.6700716211,0.6398538585,0.6052078155,0.5662537413,0.6136702049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.252370332,2.306813428,2.004973868,1.619433069,1.367186533,1.148156095,1.053397966,1.015879628,1.083783997,1.204879168]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.350277609,1.251839542,1.164278616,1.07193869,0.9780389941,0.8971054382,0.8288472617,0.7650033917,0.7045436684,0.7398671578]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7058, 317, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4824133312,0.5279679232,0.4526064342,0.3206191034,0.241917738,0.175990969,0.1537056988,0.1575846927,0.1949628661,0.2621884853]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2186110995,0.2013559128,0.176691753,0.1538450109,0.1328847635,0.118887455,0.1115664356,0.1060009945,0.1021311165,0.1135461127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5790959833,0.596642192,0.5146742123,0.4211376744,0.3547819527,0.3051615137,0.2857821644,0.2793220666,0.2923374591,0.3252605523]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2468047241,0.2294122407,0.2122520487,0.1967142251,0.1815646691,0.1689149511,0.1588298797,0.1470878431,0.1340549274,0.1394645293]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7059, 318, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02987300011,0.05361612036,0.09523620427,0.05963246935,0.04485890999,0.0333121218,0.03637237309,0.03422587494,0.05816769898,0.1058255944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06077184558,0.05684627004,0.05146335589,0.04594417454,0.04029739817,0.03662537578,0.03494569532,0.0331211311,0.03116913063,0.0338675226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03926606109,0.07712699139,0.1027709511,0.09143984783,0.1102293604,0.07717109268,0.04364796561,0.1045978918,0.09998294685,0.1287069768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09666302088,0.08935860781,0.08293823244,0.07630530118,0.06956107773,0.06387709142,0.05924433294,0.05477872435,0.05041526003,0.05314210644]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7060, 25, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.291019973,0.4373326309,0.4446272784,0.3579403934,0.298444186,0.2283128274,0.2047052546,0.2094639273,0.2477631823,0.2772541765]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07988017461,0.07768092921,0.07548177962,0.07207656874,0.06746269131,0.06303823112,0.05880722777,0.05457984201,0.05035597845,0.04613577837]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2433680773,0.3371227204,0.3774808876,0.3613552008,0.3377279141,0.3102992862,0.3000351119,0.2989819086,0.3221432669,0.3073767516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05723329501,0.06237167884,0.0675117373,0.06848711133,0.06529571973,0.0610426232,0.05572892494,0.05041554659,0.04510247576,0.03978971634]}', 2010, '', 1, 450, 450, '2016-05-23 14:56:46', '2016-05-23 14:59:55', '', '0000-00-00 00:00:00', 2, '', 1, ''),
(7038, 334, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001506983469,0.005131534129,0.007975867852,0.008409418025,0.01075163036,0.003255844588,0.01523736459,0.05116846321,0.08476339362,0.1163468677]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03717019179,0.07007385433,0.1058343001,0.1983540032,0.3301527768,0.5527611697,1.119346914,1.578517411,3.12357213,6.191895129]}', '', 2010, '', 1, 450, '', '2016-05-22 06:33:48', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7039, 335, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001497922159,0.005234104608,0.005487927808,0.005109649526,0.006392375986,0.002617283742,0.006401213676,0.009777916968,0.01037840888,0.01710588831]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03248989513,0.05255373504,0.1080907362,0.1956232554,0.3521879004,0.5008261507,0.9062201969,1.67231192,3.050628068,6.081609307]}', '', 2010, '', 1, 450, '', '2016-05-22 06:33:48', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7040, 327, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6137371615,2.055973386,3.749335389,3.184908038,2.452015421,1.497060287,1.402073451,null,null,null]}', '', '', '', 2010, '', 1, 450, '', '2016-05-22 06:33:48', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7041, 328, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8297954883,2.221487145,3.816263668,3.139533653,2.442709384,1.676104535,1.928578374,null,null,null]}', '', '', '', 2010, '', 1, 450, '', '2016-05-22 06:33:48', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7042, 329, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08619225359,0.6314324215,1.743094216,1.945946251,1.473536233,0.734706917,0.4126888124,null,null,null]}', '', '', '', 2010, '', 1, 450, '', '2016-05-22 06:33:48', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7043, 30, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005758181159,0.007685902067,0.008531855253,0.006658896011,0.006050694368,0.005278533613,0.00620697769,0.007537892782,0.009581126232,0.01012183678]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008645602977,0.01075648883,0.01187489697,0.01503629409,0.01638416305,0.0173701577,0.02110508745,0.01872557485,0.02250449564,0.02371399996]}', '', 2013, '', 1, 450, 450, '2016-05-22 06:33:48', '2016-05-22 11:50:32', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7044, 111, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02690650154,0.1078348646,0.1903039782,0.2375764177,0.3335581184,0.302596667,0.6720409558,1.029623783,2.246022917,4.251386594]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0372953924,0.1512185139,0.2368884708,0.3140341323,0.5666157501,0.9253061346,1.479336798,3.646402873,7.66188996,16.421823508]}', '', 2013, '', 1, 450, 450, '2016-05-22 06:33:48', '2016-05-22 11:50:32', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7045, 334, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001399634641,0.004469532238,0.007748418202,0.007825851139,0.009362054499,0.002998601373,0.01492615369,0.04986950577,0.08941780278,0.1221856723]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03223462214,0.07202979084,0.1199717121,0.2269679752,0.355454714,0.5686477763,1.121008226,1.538844497,3.027465862,5.955751489]}', '', 2013, '', 1, 450, 450, '2016-05-22 06:33:48', '2016-05-22 11:50:32', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7046, 335, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00138927953,0.004520683949,0.005281965329,0.004709296666,0.005537882567,0.002401884318,0.00619121105,0.009387295349,0.010836071,0.01758381164]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02772591495,0.05228346181,0.1155913747,0.2092995735,0.3549475603,0.4865158194,0.8680784199,1.582309774,2.90662592,5.808567403]}', '', 2013, '', 1, 450, 450, '2016-05-22 06:33:48', '2016-05-22 11:50:32', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7047, 327, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4504025324,1.623615384,3.115042076,2.511027817,1.720660932,1.053216813,1.060843115,null,null,null]}', '', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:33:48', '2016-05-22 11:50:32', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7048, 328, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5517272856,1.59727041,3.162256823,2.605067716,1.812724011,1.227126015,1.49504121,null,null,null]}', '', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:33:48', '2016-05-22 11:50:32', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7049, 329, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06625739895,0.4520800403,1.236591086,1.426924104,1.064706198,0.5766268822,0.3782676594,null,null,null]}', '', '', '', 2013, '', 1, 450, 450, '2016-05-22 06:33:48', '2016-05-22 11:50:32', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7050, 297, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.001112888,1.228078006,1.518235531,2.07194343,3.368602464,6.411555511,14.146818939,23.693057534]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.46237073,2.93653747,5.741612977,10.106369554,17.934835312,26.97466171,46.00990594,71.34327984]}', '', 2013, '', 1, 450, 450, '2016-05-22 06:33:48', '2016-05-22 11:50:32', '', '0000-00-00 00:00:00', 3, '', 1, ''),
(7065, 335, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001105645254,0.006631396347,0.006615406272,0.005405251236,0.006172693722,0.001960028445,0.003947251202,0.005232439341,0.005435262009,0.01015001841]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04987814195,0.09041525742,0.1830926139,0.315955429,0.5348047727,0.7189884071,1.222331732,2.174597277,3.942299236,7.966587325]}', '', 2010, '', 1, 450, '', '2016-05-23 14:56:46', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7407, 142, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[357.986620036,411.494457569,486.086240773,521.89407145,524.615926104,500.552310117,457.551478323,415.341298844,370.875483235,324.648809674]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[175.504094027,202.380821605,244.994838899,262.610453381,257.892616642,245.752091934,229.279276005,210.948892536,190.208211995,167.978669956]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7408, 143, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.339142349,31.822789444,32.042646936,33.212218713,35.569212758,34.796136575,30.740106963,29.319861135,29.72339107,29.157849145]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.531649313,28.450759133,29.157456656,30.198121061,31.997976696,31.201905295,27.723739564,25.488863153,24.497529329,23.320241974]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7409, 337, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[121.282927947,156.928938341,158.179427574,216.216189279,329.766587332,357.481713746,301.8876231,293.207680831,329.670376149,322.835212774]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.69131432,85.458433579,90.839314229,120.442079215,173.558188189,182.253707129,148.51905011,133.40711417,136.925338387,126.962638979]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7410, 152, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.339706167,6.626224328,4.488248558,3.370932147,2.298022976,1.819550988,1.334329832,1.006541138,0.7550587123,0.5311853212]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.057401737,15.28819332,10.987989265,7.611609881,5.043492292,3.859653421,2.817933602,2.238189366,1.656304027,1.115867954]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7411, 154, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1441.601160266,1829.455443499,1996.227991277,2126.894171363,2243.983273422,2333.120938355,2362.266030838,2385.712751609,2398.28678556,2398.551301255]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[764.819047062,966.281178745,1028.60901463,1070.80693692,1104.271297393,1134.861933434,1166.082244039,1199.040512815,1227.951011432,1247.167297482]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7412, 155, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1360.878280037,1682.557356399,1802.061119742,1900.896262104,1993.948659,2065.516712924,2087.950730947,2112.586427929,2129.998402914,2135.325947218]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[712.498918388,871.517872687,903.913730895,926.717820597,946.737238888,968.050912943,995.96128928,1029.291412957,1060.479945493,1082.530050958]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7413, 156, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.722880229,146.898087101,194.166871535,225.997909259,250.034614422,267.604225431,274.315299891,273.12632368,268.288382646,263.225354037]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.320128673,94.763306058,124.695283735,144.089116322,157.534058505,166.811020491,170.120954759,169.749099858,167.471065939,164.637246524]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7414, 159, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.264322253,236.104026004,299.611420896,290.168861144,259.605239009,226.593738323,201.934131621,188.88397968,177.488906356,167.577852073]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.043141087,192.807497147,239.345191092,230.118351181,204.4712743,177.41961463,158.337077666,147.020844744,138.556110408,129.789832337]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7415, 160, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[632.446976282,678.880515664,668.035504774,624.740692253,571.513904618,519.715964471,490.170898787,476.398857961,467.404707977,459.676760305]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[471.256425547,460.618532733,432.0975833,398.347373572,357.645186151,322.174373696,308.126563463,303.82681146,305.059162551,303.533873791]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7416, 339, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.783881798,103.662030662,84.816271387,57.927486928,34.766520987,14.074383832,4.760563606,null,null,null]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.314629787,26.317036901,20.37044863,13.041859034,6.504064755,1.122834175,0.1162255895,null,null,null]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7417, 340, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.901018551,66.312567977,64.148274275,61.243693539,58.692255344,56.578346458,54.624550072,53.272239064,51.235428193,49.44776408]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[202.616467803,195.394364919,187.989962498,181.06346236,173.336783627,166.498765895,160.122366698,154.88184886,149.588323895,143.930748068]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7418, 162, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.143752633,46.35040758,44.885726727,42.702362132,40.81071354,39.319077435,37.940175035,37.003930971,35.61898895,34.265882799]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[124.77727745,120.071794717,115.435915439,111.155997537,106.132738453,101.891639171,97.592614332,94.454175009,91.14529975,87.800052665]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7419, 163, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.757265918,19.962160398,19.262547547,18.541331407,17.881541804,17.259269023,16.684375037,16.268308093,15.616439243,15.181881281]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.839190354,75.322570201,72.554047059,69.907464824,67.204045173,64.607126724,62.529752366,60.427673851,58.443024145,56.130695403]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7420, 164, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.20744833,5.117577819,1.164120094,0.2402254424,0.04513162726,0.007165164534,0.001018172443,0.0001310803868,1.547428244e-5,1.692773267e-6]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.842680878,13.467788881,3.299027861,0.7305001599,0.1596352859,0.03071499813,0.005524720068,0.0009375330925,0.0001514886123,2.350306684e-5]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7421, 165, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[237.043490317,23.477910401,null,null,null,null,null,null,null,null]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[581.260071636,116.471991293,null,null,null,null,null,null,null,null]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7422, 166, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[267.917948472,239.868425589,212.35585981,186.248078765,165.95040727,150.756012456,139.781661602,131.720209697,123.455586743,114.785890771]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[406.707955768,368.683194722,331.354659022,295.132784464,262.993751981,237.776048159,217.767997989,199.982256267,183.277400283,166.617704106]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7423, 198, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[529.726166574,850.905971496,1199.220575876,1530.667212431,1848.214259868,2104.185095397,2302.820139642,2512.052913593,2715.960173188,2876.591507261]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[646.258389974,978.868556326,1291.391725244,1583.726248269,1858.872907838,2127.084431636,2397.927839473,2656.065184673,2888.658668566,3044.772092184]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7424, 199, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[245.686371247,346.652158855,440.4828721,546.03815749,665.962137621,817.731874505,1000.441954244,1190.464089387,1382.489740661,1579.53583256]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[391.867115645,553.320693874,690.836124597,836.64039519,992.612086002,1191.341419844,1438.014348471,1668.380777094,1876.620965593,2058.13665323]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7425, 200, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[284.039795327,504.253812641,758.737703776,984.629054941,1182.252122247,1286.453220892,1302.378185399,1321.588824205,1333.470432526,1297.055674702]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[254.391274329,425.547862452,600.555600647,747.085853079,866.260821836,935.743011792,959.913491002,987.68440758,1012.037702973,986.635438954]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7426, 201, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008075645209,0.05488857394,0.1515158701,0.2832279683,0.4378573135,0.6204522363,0.8695300514,1.191649185,1.604971288,1.831434713]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02562405679,0.1730126953,0.4616547983,0.839162467,1.279218543,1.799400258,2.299926501,3.101979035,4.013580803,5.058935138]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7427, 207, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2435390242,0.1763460754,0.07250980236,0.01688540151,0.003000229726,0.0004856889424,7.987863884e-5,1.379658455e-5,2.268699753e-6,3.151524177e-7]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3033864752,0.2210374084,0.09185117743,0.02162925215,0.003760161249,0.0005674419724,9.787151192e-5,1.982449712e-5,3.149202019e-6,3.499987454e-7]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7428, 346, 118, '', '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01543196349,0.05751759211,0.05609531383,0.0537914433,0.05113874895,0.04840163215,0.04596461917,0.01161185,0.01102515359,0.01037069415]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7429, 212, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[158.31321599,160.9906927,163.080982888,167.097128596,171.298825821,168.019399009,154.145519752,141.520613683,129.226730153,123.576095275]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.022173273,133.7713907,139.530612126,147.479040031,155.060337581,151.578649597,136.304546659,122.199844978,108.834197279,101.986206791]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7430, 213, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.605739341,65.058399284,74.490416135,79.859072233,83.333331633,86.403219946,89.334637844,93.378902483,97.562788608,101.758409187]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.039673272,68.771864183,78.710113007,84.536303632,87.425126927,89.201683393,92.364308255,95.864395509,99.830718724,104.683771092]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7431, 216, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.291789497,21.433781423,21.126659109,20.930550133,20.742788853,20.129050094,18.510610978,17.157851506,16.048150146,13.686851243]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.264231463,24.615176141,23.496397372,22.475776077,21.520422012,20.496751694,19.093080237,18.050282754,17.050672371,13.501512299]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7432, 217, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.900656289,58.941654409,55.918290051,55.425093861,57.361730812,59.432377222,61.555194845,63.997732688,66.309063609,68.467172145]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.737988612,91.996198663,86.65478259,83.438096898,82.026311596,80.764703297,79.608076676,78.744196693,78.025665516,77.180746712]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7433, 218, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.778987582,54.937196729,44.470138088,34.197428259,24.23161667,18.812713293,20.253971435,22.087600845,23.669827124,25.41721782]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.704823345,64.948510976,51.912337907,38.848615427,26.184588385,18.873577011,20.405563428,22.647125362,24.850376018,26.975209464]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7434, 219, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[314.140961212,189.808769436,102.469325213,56.479672597,40.204765748,24.124795993,14.37770526,10.628021498,6.886428974,4.767251527]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[319.145977951,177.930456649,94.730293264,53.117288625,38.72962971,24.558053887,15.508369397,11.271256016,7.086926235,4.732700019]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7435, 220, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.972188409,2.108543654,2.678055531,3.181181351,3.68322412,4.041461396,4.023468245,4.053343041,4.092282326,4.232014265]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.645263495,2.831238519,3.37696295,3.955842403,4.643845172,5.145730936,5.178632592,5.296176395,5.26105476,5.605554845]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7436, 221, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0008790313239,0.0009590089967,0.001268936425,0.001578859403,0.001888786876,0.002265543978,0.002709128931,0.003152712391,0.003596297817,0.004390039628]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002623353018,0.002704189832,0.00333040239,0.00395660887,0.004582817748,0.005494536742,0.006691763136,0.007888988288,0.009086216498,0.01109387092]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7437, 222, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.57892017,39.616731244,44.289261799,48.767466447,53.080246391,56.866531936,60.355280228,63.899391322,67.068806807,70.135068082]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.231739105,53.724437218,62.390356808,70.949104149,79.452281402,82.866393784,82.015996289,81.01385565,80.378082331,79.308843495]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7438, 225, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[214.76475367,243.59550207,288.658784238,350.820631408,428.923385224,570.214699433,784.304021578,1050.760231336,1358.553204007,1760.85739131]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[229.312103463,263.487750875,317.111121934,391.777741358,484.432715891,651.305697485,896.641926899,1158.002606788,1426.449367291,1776.894780573]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7439, 229, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.542343166,97.086324524,106.154573874,118.153568793,132.564022531,179.674163033,258.655590959,334.879510748,403.953008696,503.258027209]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.585503728,109.679423339,122.132975871,136.534262732,151.537232464,202.784175001,288.914230472,363.742945352,424.793232998,511.761542297]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7440, 230, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.579321856,85.707985783,109.683325719,147.256486267,197.353401971,272.25660823,369.4357589,501.572070863,651.495483257,811.844705588]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.183604097,108.657159339,141.0678041,192.254949756,260.050177329,360.520985857,482.113743621,623.790180251,764.56708883,913.024842977]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7441, 231, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.578968409,11.132569535,14.080964431,18.813221342,25.697310393,31.748266364,36.480935705,42.028745276,49.40737499,63.194193654]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.225470318,10.6398403,13.549527603,17.979250955,24.162789357,27.935594635,30.094573791,37.274271868,48.007776843,65.889699907]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7442, 232, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.064120238,39.752197359,45.775877986,48.680153266,48.209915268,50.479637238,55.022418513,65.253582844,80.938336957,93.848473659]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.317525321,29.166041996,33.381148192,35.432485356,35.534648198,36.994977919,39.601975119,46.477868052,57.569470781,67.071478402]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7443, 233, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.33146401,126.268996062,140.978817446,167.677968247,206.194830504,253.887930011,312.565935708,392.57461714,525.544228725,713.004480827]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.931777997,116.525074855,131.101125669,154.449397009,188.423531646,232.110689251,289.118287697,362.276215526,466.241179238,606.661155309]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7444, 235, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.415673385,47.598580714,44.447940004,43.907898775,43.439740677,42.293212745,40.679188796,38.886093659,36.456419942,33.037197044]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.873407705,47.39782814,44.512303351,43.694756875,43.211342274,42.286026374,40.87924675,39.279942531,37.490688592,34.978636163]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7445, 347, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.112247816,9.014895925,13.573169681,16.868181558,19.607436913,22.200763891,28.531732926,37.239942379,42.225825583,42.762309303]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.593001402,13.231606193,19.780454398,24.230618003,28.391390412,33.248474213,43.509040006,56.985228967,65.636011547,68.212138901]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7446, 348, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.803542808,66.676048406,68.608070704,70.960713561,73.933008547,75.818574981,76.888317994,77.701481642,78.124374661,76.512663857]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.46536889,53.487470461,55.623995564,57.753553718,59.498307561,60.866536266,61.755221163,61.842992196,61.169367969,59.204608693]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7447, 352, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5135998728,0.6903831818,0.8560627404,0.9288136025,0.9060420314,0.8946741926,0.8956763025,0.9007365757,0.9042346939,0.9498287192]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6592162112,0.9063598062,1.170536545,1.300377129,1.268040474,1.252989264,1.263852758,1.289681268,1.325565583,1.421308594]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7448, 354, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2849825378,0.4202246552,0.4181573459,0.5158944418,0.9430899,1.356234454,1.681979529,1.91770609,2.039097432,2.261223185]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7291023073,0.7571042932,0.901402865,1.12111663,1.585775554,2.060185557,2.628918464,3.132041302,3.662284153,4.143015715]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7449, 355, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02179903774,0.08440993722,0.152721818,0.1369248857,0.2697013096,0.3742812705,0.577516632,0.7780773249,0.8572561209,0.9335782225]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04537932161,0.1555636469,0.2560582201,0.2362601699,0.4991634694,0.6625334347,0.8404141519,1.092021879,1.342920963,1.548630926]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7450, 356, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2631835001,0.335814718,0.2654355279,0.3789695561,0.6733885904,0.9819531832,1.104462897,1.139628765,1.181841311,1.327644963]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6837229856,0.6015406463,0.645344645,0.88485646,1.086612085,1.397652122,1.788504312,2.040019423,2.319363189,2.594384789]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7451, 342, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.452274589,9.782033717,10.44748043,11.753592088,13.305582357,13.469000204,13.604865261,10.241452311,10.464419438,10.969824324]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.675222525,1.057475868,0.9933693324,1.101803981,1.177647888,1.57638202,2.414366771,2.891029121,3.048749868,3.686569524]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7452, 343, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.595600813,1.497905187,1.549568801,1.396241877,0.8632568965,0.7999954333,0.6961707781,0.5152048645,0.5873846518,0.3748344749]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2181772813,0.2127277932,0.2028782627,0.2385737151,0.2137436222,0.2871827134,0.4280646957,0.3682380445,0.2153425541,0.186477998]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7453, 60, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.399059362,19.084123622,22.71373731,23.782149029,21.858994168,17.704784368,9.481558384,2.762662897,0.9704838086,0.08540405741]}', '', '', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7454, 184, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.420153023,9.916783578,14.346515385,19.870450743,23.690535095,29.141122608,15.171174529,null,null,null]}', '', '', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7455, 187, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.501192636,123.560295583,153.054667997,160.11770632,143.138068761,163.455636061,97.40803594,null,null,null]}', '', '', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7456, 345, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1277996801,0.117995329,0.09761344113,0.06945886377,0.0475902682,0.03239474446,0.02209603657,0.009004351055,0.005926898493,0.003657838017]}', '', '', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7457, 344, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.883600362,0.7200335564,0.1369292259,0.1233585891,0.1012330691,0.1044288937,0.1031035228,0.07884086618,0.08002562919,0.0819041965]}', '', '', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7458, 167, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,226.998482338,40.556938787,174.286927693,156.645175821,112.376691673,130.351969465,175.701440478,126.61549137,108.934849834]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,377.408043559,291.572767002,177.103017725,239.36195203,230.07997378,259.357584493,255.266817864,234.502797418,180.60605686]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7459, 179, 118, '', '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,14.946948236,15.623965401,16.600704838,17.773168106,15.982544792,null,null,null,null]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7460, 226, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,9.916424869,12.964042228,17.917201739,25.098735061,32.027945067,38.723635644,46.640906519,57.432150002,78.921820343]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,5.3452859,6.979666168,9.576792559,13.147868543,16.00977242,17.992286973,23.442701125,32.301176085,48.061467278]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7461, 236, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,2.979471017,14.349637058,35.941174353,69.214644368,113.575378395,166.466695992,238.74709946,368.73760854,560.692310622]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,2.408170061,11.184372357,28.770468414,57.3224914,95.709652398,142.974779778,204.168051832,301.945111129,444.265771552]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7462, 197, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,37.447878495,140.078261009,268.700765642,431.495923073,626.562827163,834.19483339,1047.336223483]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,23.269571347,85.770422471,163.257057444,263.727126107,384.497006057,513.083236585,645.269412774]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7463, 178, 118, '', '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,5.987679727,24.724003003,75.236816662,241.812030007,502.422288215]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7464, 227, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,4.028079501,11.794512763,40.992633868,88.806046651,173.624240841]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,7.060191653,19.853299036,37.596500823,61.796893536,118.066362353]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7465, 228, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,null,14.191169094,19.392781217,26.520803454,36.165930016]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,null,18.071817887,25.678139317,37.413728218,53.01938736]}', 2013, '', 1, 450, '', '2016-05-23 14:59:55', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7466, 372, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.899732995,5.090485122,10.95593932,9.116967572,11.26759089,10.762529082,14.594204474,26.797556344,54.589463857,143.166840688]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.439581605,2.848665082,8.776640498,10.799853029,15.33272867,22.068622466,37.599736829,62.819184621,114.80892293,252.826653816]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7467, 375, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.545803849,4.24204397,6.090374369,5.507645448,7.050166417,7.276760852,9.984997366,17.423712975,36.969703081,100.138201704]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.555828126,2.786558185,4.724601516,6.196442836,9.269184066,13.321334391,21.070248856,33.614014909,65.098700387,149.684521339]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7468, 359, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004845598468,0.01000830743,0.01658330451,0.0114569144,0.02510865865,0.01848845474,0.01923286258,0.02871567241,0.03283723772,0.06644734746]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003780777836,0.006175777625,0.010306257,0.009315049337,0.02408913582,0.02528629126,0.02990190248,0.03986847208,0.04344197144,0.07761146144]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7469, 365, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0004634482721,0.001032978255,0.001706225705,0.001262291367,0.002870608207,0.002308806169,0.002472338234,0.003539389135,0.003788603747,0.007777920288]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0006435334295,0.001092998636,0.001880285454,0.001752264567,0.004758432448,0.00585523773,0.007831993606,0.01121521347,0.01171826704,0.02041972634]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7470, 376, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.755952612,125.867886429,547.641956794,1097.934170223,1158.617134223,1290.516157478,1284.112717995,1137.332313678,874.389907959,764.88552239]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.163352661,58.288883448,327.598297463,892.121779622,1157.418922094,1366.577931303,1394.136256533,1202.285493164,839.447690393,717.797273447]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7471, 377, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.113390856,6.343559539,5.26333563,3.454154053,3.447113362,2.615571358,2.901805651,3.905548953,6.56779982,13.313552463]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.779749757,3.1126094,3.722032488,3.368981463,3.691739176,4.022283343,5.241304136,6.197480568,9.466855119,15.95925063]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7472, 316, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.005878706,2.447713637,1.723050678,1.044944443,0.8412740511,0.6025408694,0.5797893789,0.6427385947,0.8157970706,0.9507006552]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.879071703,1.842666954,1.666161404,1.30406806,1.192880795,0.9900406841,0.8961481064,0.8431052304,0.8835535491,0.8788614334]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7473, 317, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5715587821,0.6907939007,0.4779658935,0.2833818476,0.226146886,0.1570643387,0.1504875873,0.1631087192,0.2096755785,0.2486519165]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4928121431,0.4841483376,0.4561708055,0.3650667686,0.3284623636,0.2684437147,0.2402233185,0.2233751367,0.2251571601,0.2097493671]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7474, 318, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01062383448,0.02269406644,0.03139481241,0.02013531342,0.01738891229,0.01183127649,0.01043110493,0.01414549451,0.01939680622,0.02463848454]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0138669034,0.01982303558,0.03425003302,0.0289759447,0.02403451895,0.02144184639,0.02352778832,0.02386472758,0.02889167898,0.0419809321]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7475, 25, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03229379115,0.06108461493,0.06011615311,0.0475648583,0.04755038083,0.03909186539,0.04067251126,0.04688032323,0.06122730374,0.06727349822]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02144379459,0.03300526102,0.0433747883,0.04465826284,0.04854166046,0.04899196107,0.05478740716,0.06208395208,0.07681215378,0.07400129595]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7476, 320, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03229379115,0.06108461493,0.06011615311,0.0475648583,0.04755038083,0.03909186539,0.04067251126,0.04688032323,0.06122730374,0.06727349822]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02144379459,0.03300526102,0.0433747883,0.04465826284,0.04854166046,0.04899196107,0.05478740716,0.06208395208,0.07681215378,0.07400129595]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7477, 332, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01417653513,0.02410830868,0.04057044745,0.05772583062,0.03945825611,0.08403262899,0.1238269914,0.2571447825,0.5671122917,1.10624092]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01409664571,0.0221312082,0.04057441439,0.03605559384,0.1331174602,0.2962589883,0.6297662028,1.338148019,2.621054989,5.810938197]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7478, 333, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001815137396,0.003964984228,0.006188260959,0.004209913187,0.005926092407,0.001124644978,0.003206150287,0.003936196549,0.004863385395,0.01149982269]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01957423154,0.02352051137,0.04585698854,0.04674307649,0.08627957309,0.1426590327,0.2834117388,0.5724568805,0.9343568316,2.087165815]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7479, 334, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001998133543,0.007420091241,0.009704172382,0.008304345747,0.00942199682,0.002429377387,0.00940963764,0.02437955008,0.04558221196,0.07351552192]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04030039683,0.0784175139,0.08183580968,0.1008383823,0.1643315369,0.2634782511,0.5715913553,0.9000017415,1.930614633,5.51766339]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7480, 335, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001855904184,0.006029107974,0.004644102061,0.003463584341,0.003908971344,0.001379622057,0.002833385863,0.003415432291,0.004008316538,0.007531312121]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02755759873,0.04277401803,0.05885398585,0.07003795146,0.1208589142,0.1731317249,0.3226569745,0.629752774,1.252547644,3.582855577]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7481, 336, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006697595875,0.04391410596,0.06322988966,0.04437394933,0.0533236282,0.03139865362,0.06164764732,0.08349220746,0.1749848917,0.4687203189]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06220250897,0.09349578076,0.1471634974,0.1619011454,0.2605827375,0.3977831251,0.7678401595,1.065901435,2.254616356,6.190271066]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7482, 338, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04462098649,0.4320570087,0.6843345277,0.4654211318,0.264498513,0.1059618486,0.05301214963,null,null,null]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005134044828,0.01534448852,0.03682940484,0.04742047779,0.03795764133,0.02642512049,0.01933230084,null,null,null]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7483, 341, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5987103989,1.485750962,1.407688575,1.108563592,0.7669672469,0.6598984847,0.5444810807,0.7071609252,0.9011334185,2.017791778]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6903496842,1.000140359,1.159550674,1.253885984,1.328572006,1.385095624,1.231134164,1.625230742,2.590411879,4.722592557]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7484, 349, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.383074513,2.456777729,1.528349497,1.156065522,0.9185728978,0.9018160366,0.4906484866,0.5564638279,0.4526811549,1.046590165]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.168557319,7.991196125,10.752347927,6.507641199,5.949508585,6.823350011,5.151436505,5.13786167,9.023503441,5.520675394]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7485, 350, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7874881717,1.702818648,1.279719459,0.8417169803,1.144108215,0.753029025,0.7848835466,1.24435525,1.815198758,3.453590421]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.505384068,6.916786618,10.120246736,5.941865545,5.779519396,7.612823821,6.250540637,5.512832254,6.797219938,9.391377399]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7486, 351, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7718626848,1.686350796,1.265464351,0.8301461614,1.130176349,0.7444730271,0.7769996345,1.232073171,1.79855193,3.433935745]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.439497232,6.770410737,9.981681716,5.828712632,5.664623926,7.476170252,6.119271613,5.279163815,6.527928661,9.123645752]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7487, 353, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01562548689,0.01646785176,0.01425510724,0.01157081889,0.01393186669,0.008555997936,0.007883912085,0.01228207912,0.01664682878,0.01965467588]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06588683609,0.1463758811,0.1385650193,0.1131529133,0.1148954696,0.1366535692,0.1312690243,0.2336684388,0.2692912763,0.267731647]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7488, 327, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.103994681,8.320744191,12.613843413,7.659677679,3.604029978,0.7084298026,0.1975138533,null,null,null]}', '', '', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7489, 328, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8298598432,4.925487058,7.382273456,4.392826051,2.045130698,0.459294132,0.1748446506,null,null,null]}', '', '', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7490, 329, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1087170902,2.541531205,6.577751591,4.330111219,1.81764908,0.3403442563,0.1005122231,null,null,null]}', '', '', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7491, 357, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,1.243726837e-5,0.0007154642476,0.002344688957,0.0005768172938,0.007745466096,0.02357690708,0.1223005464,0.5635374835,2.182428529]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,3.860701555e-7,0.0001274683287,6.520748614e-5,0.01823985145,0.125752447,0.5907704003,2.335010493,7.597458216,27.494674039]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7492, 358, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.180803117e-5,8.649373913e-5,0.0004388880106,0.0007354587511,0.002268771779,0.005691368094,0.01814808587,0.0423968359]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001014494867,0.000189455509,0.001573810779,0.00395692372,0.01781471072,0.03893633228,0.1022985954,0.2058201573]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7493, 360, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.27717115e-5,1.768171783e-5,5.352331434e-5,9.03058701e-5,0.0001907444994,0.0004590641284,0.001490988215,0.003420620059]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.693894562e-5,3.191287025e-5,0.0001606524374,0.0004007168651,0.001203791159,0.002626719106,0.006846293007,0.01394271111]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7494, 361, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.521864563e-5,2.131050333e-5,0.0001084029117,0.0001855870273,0.0005627306272,0.00137694383,0.004532603493,0.01053195477]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.506863442e-5,4.783538908e-5,0.0003975292429,0.001016780114,0.00453817621,0.009963547946,0.0257006007,0.05286052993]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7495, 362, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,5.954442664e-5,8.212221595e-5,0.000418445984,0.0007063820992,0.002202576331,0.005363079235,0.01746580768,0.04102111072]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.287169484e-5,0.0001548431443,0.001321575048,0.003312635305,0.0145775951,0.03226553191,0.08429986764,0.1693245303]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7496, 363, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0006281016141,0.0008647055511,0.004418348748,0.007514035531,0.02327918516,0.05620590941,0.1845799448,0.4377034963]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.00159014025,0.003008552838,0.02494463921,0.06351023638,0.280204656,0.6030419793,1.590979824,3.257237313]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7497, 364, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001247864527,0.001718998268,0.008696094366,0.01464598453,0.04521215509,0.109296174,0.3566877683,0.8408061859]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001227553859,0.002295696879,0.01941415804,0.04916735215,0.2152733073,0.4653402841,1.224150538,2.498365203]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7498, 366, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0002519338086,0.0003476140217,0.001773151636,0.002975418117,0.009021200978,0.0227188706,0.07427496628,0.1705399898]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0004458777415,0.0008258589257,0.006843481035,0.01764810875,0.07969753722,0.1713070308,0.4505902349,0.8988997482]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7499, 367, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001346606204,0.0001860983292,0.0009554873597,0.001591241247,0.004957108593,0.01206434787,0.03918349571,0.09200216804]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0002136798662,0.0004050860435,0.003396981034,0.008642016712,0.03812199757,0.08247097877,0.2212361018,0.4415078162]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7500, 368, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0002907638923,0.000402718983,0.002033882519,0.0034343574,0.01070550065,0.0257998547,0.0848447113,0.1971732554]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.00125069791,0.002370573916,0.01958219297,0.05005590584,0.2202779072,0.4753326395,1.255961966,2.543498857]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7501, 369, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001668511144,0.0003105309254,0.001025492561,0.00130366229,0.004477903977,0.009371323579,0.02752982467,0.05296859582]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003768675615,0.0004871984391,0.002525562773,0.009400321228,0.042833378,0.094642836,0.2721333706,0.4796565839]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7502, 370, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.410840015e-5,1.795658812e-5,4.281061366e-5,5.540280141e-5,0.0001274877441,0.000325524465,0.0008272398032,0.001817005413]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.446574447e-5,1.54653493e-5,8.496702837e-5,0.0001559087364,0.0006143128592,0.001077456486,0.00329836546,0.006279704207]}', '', 2010, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7503, 301, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.827991101,10.591516151,9.83301001,6.361492808,5.56082653,4.864723477,5.854272149,8.373763298,15.397561555,32.0258352]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.866753555,7.524650942,9.602092555,9.167211228,8.719702806,9.270353277,12.531974394,15.662747025,24.580631365,43.289357767]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7504, 302, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.409549464,9.670104768,8.973779669,5.807092607,5.077176046,4.442887088,5.348077127,7.6504959,14.066287329,29.251084025]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.530188335,6.86643218,8.760556067,8.36848066,7.963913817,8.460613585,11.447268129,14.296012868,22.427752891,39.524439701]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7505, 303, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.939481732,4.25324931,3.950566193,2.558653778,2.236343372,1.954258485,2.350724365,3.361697188,6.176647914,12.86992593]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.556368195,3.03069547,3.860954857,3.684512708,3.506252525,3.729684962,5.044871731,6.296867778,9.882181236,17.395220858]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7506, 372, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8158431961,2.372302646,5.35667188,4.462139828,4.87173885,5.377630123,8.240423753,16.619625855,36.851617695,97.61163559]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.873402614,2.039216213,6.510845683,8.082901788,10.006309418,14.172041014,25.433673592,44.976367128,85.207381378,193.439132827]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7507, 304, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4685408662,1.36400661,2.736216767,2.295693569,2.519835668,2.825952954,4.371826961,8.617616976,18.951439489,50.723630695]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5019492012,1.171749367,3.604183707,4.41284251,5.530788394,7.863120275,14.091397717,24.569753995,46.295716532,105.498859533]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7508, 306, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3815743201,1.107917896,2.830503442,2.345629476,2.551204909,2.779685426,4.214247722,8.601055304,19.029358582,49.650748333]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4081234501,0.9531336127,3.204670541,3.989708986,4.855262218,6.786478777,12.033620926,21.212690924,39.816468119,89.632893322]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7509, 309, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.401715262e-10,1.050010235e-9,0.2720289716,0.2737878112,0.3589035288,0.4977117006,1.03632962,2.62586236,6.461560346,18.377076904]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.048968139e-10,1.207380513e-9,0.2898050501,0.4281384168,0.7072797443,1.333283921,3.207319554,7.386683768,15.551891045,38.107415862]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7510, 310, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4250069188,1.519964369,1.829281218,1.348215415,0.9786428184,0.7406816111,0.9826314621,0.9660409376,1.813835444,5.073322937]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2646444172,0.511131594,0.7419598303,0.8324980303,0.7878338702,0.8269569007,1.181993793,1.3723164,2.407377183,6.044443461]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7511, 284, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4250069186,1.519964363,1.829281219,1.348215412,0.9786428163,0.7406816104,0.982631462,0.9660409376,1.813835444,5.073322937]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2646444172,0.511131594,0.7419598303,0.8324980303,0.7878338702,0.8269569007,1.181993793,1.3723164,2.407377183,6.044443461]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7512, 274, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.398698001,30.789457092,36.381882692,29.992457633,30.200016052,28.381805538,32.050650921,38.310961322,60.636532664,115.645331979]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.088397301,95.560931052,123.70133198,121.820798685,112.655838035,119.247569487,143.155894109,153.924827781,209.821829388,281.031332345]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7513, 275, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.971438475,21.631546129,24.259284263,15.847782402,14.306734006,12.52941935,16.154512348,24.752426673,48.839053336,102.85611614]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.845150948,86.746523297,109.743744104,100.264075499,83.605531612,83.896853687,106.042540264,124.281215024,185.106046902,257.66905267]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7514, 276, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.453832465,9.229776437,12.230842827,14.244530645,16.020973524,15.970034057,16.035738264,13.723592521,12.029059404,13.129390007]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.350135354,9.113049098,14.280177671,21.854817027,29.376956248,35.669002681,37.460521972,30.004169953,25.19438986,23.726651682]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7515, 265, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.961273701,2.843682176,12.852864731,10.83318043,10.902200678,13.338314811,22.236384222,45.932499985,110.146360405,256.788201407]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6660367975,1.565910898,11.287053088,16.660508683,21.889965587,31.789923584,58.2978575,101.166195432,196.734597874,375.470994206]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7516, 267, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4224209944,1.082053887,6.578608469,7.272141499,9.619112078,13.23586476,23.737684368,52.842608201,124.403410629,355.319698971]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4459861466,1.219040053,9.338101225,13.282137349,18.715290284,30.456042238,59.713845561,115.448739587,231.543887792,567.509566127]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7517, 277, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1188516916,1.102819006,1.862899288,1.820780229,1.867360033,1.854920696,2.029236637,2.757093228,4.379773396,5.89678628]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4364646231,3.406422511,5.80382942,6.877453059,7.632488116,8.82434028,12.675814337,19.892283128,34.567407765,60.760916061]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7518, 278, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003837682571,0.008170808128,0.01429288429,0.01165589973,0.02775139135,0.0359538879,0.09223622867,0.2590794922,0.9480086117,2.844964073]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003706477809,0.007517822727,0.01609735031,0.01836561332,0.09033271031,0.2501677418,1.086741688,3.382890641,9.849179561,30.172961031]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7519, 279, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008650752089,0.2199321521,0.4505166363,0.3967272695,0.3868438006,0.368664001,0.4720306346,0.6633910363,1.008180296,0.948116181]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0219421008,0.2450663017,0.6529313908,0.9322175941,1.309858013,1.567630605,2.677832452,4.0951147,6.593555353,7.781412812]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7520, 283, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004238441947,0.1250434499,0.2887610828,0.2482464688,0.2779913436,0.2947500799,0.3914252528,0.86504774,1.67048062,1.798320561]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008069779819,0.1430983859,0.563231291,0.9425890041,1.238171826,2.007921483,4.064908088,7.990870289,14.38977624,20.61144838]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7521, 280, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102124815,0.7496725957,1.109328684,1.164150591,1.185038951,1.181166713,1.076729724,0.9695749591,0.753103868,0.3053854648]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4027462647,3.010740001,4.571569388,4.984280848,5.019836814,5.029158972,4.88217399,4.453454038,3.734896612,2.195093839]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7522, 313, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.126254919,27.566566874,57.646252634,101.474772039,135.087895142,147.213388991,140.981795254,115.143588257,74.181771151,57.338042781]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.87897088,5.410081353,5.641265206,4.464984011,2.737152541,2.476151344,2.894897428,2.859451893,3.041703922,3.640153558]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7523, 314, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2054831326,0.4281467932,0.3275102963,0.1615059175,0.1459361163,0.1084075119,0.1165958957,0.1444867557,0.1917815069,0.3088732434]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.87897088,5.410081353,5.641265206,4.464984011,2.737152541,2.476151344,2.894897428,2.859451893,3.041703922,3.640153558]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7524, 375, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8266726338,2.286124354,3.504163292,3.144155564,3.645321731,4.372896452,6.701556985,12.783682337,29.622146305,81.003210944]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.127943711,2.452048305,4.084386179,5.322368466,6.899680189,9.714621662,16.338191779,27.761998616,55.512563262,130.971231919]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7525, 359, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003519367501,0.007457582885,0.0115677413,0.008329528657,0.01612722912,0.0141288229,0.01567015263,0.02407959694,0.02618827758,0.05245453253]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003183043944,0.00642542789,0.009978475798,0.00903701624,0.02005647739,0.02121284878,0.02706625026,0.03575203499,0.03708279219,0.06517233199]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7526, 365, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0003200557773,0.0007199233313,0.001118854797,0.0008383333531,0.00169453712,0.001605357518,0.001836760174,0.002761536632,0.002823131301,0.005842884825]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0005250238547,0.001098398622,0.001776041202,0.001658449484,0.003884935166,0.004862533566,0.007007926715,0.009716399578,0.00943824523,0.01663340567]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7527, 376, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.551706473,143.944926032,464.048720183,928.772559666,1107.556533462,1116.59424716,1055.032896848,915.71097278,646.202484465,546.81413594]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.418992497,67.330967362,291.260867669,740.17727626,1144.46405969,1388.389272609,1352.278127277,1131.53340158,799.671202001,619.058105534]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7528, 377, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.489676536,3.261166561,3.03448623,1.959132149,1.714589695,1.497682506,1.800677763,2.574993595,4.735969633,9.853204029]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19491152,2.322533281,2.957505392,2.824494031,2.681836574,2.85203287,3.85690947,4.826205015,7.585564011,13.315269043]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7529, 1, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.389300942,187.015911949,526.18488419,989.89436497,1166.119384122,1167.564567225,1100.774494875,952.524627159,670.555154666,561.501439756]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.488628387,89.215181907,346.154329512,832.570218421,1263.54201244,1525.669972936,1508.545479916,1293.053267493,992.21093457,846.515363685]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7530, 2, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.938101444,39.003761685,47.818509645,30.096166271,21.97139177,14.580351076,13.917423037,15.154219402,24.525651464,40.92300284]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.968882716,18.372490994,39.600262911,53.165526669,58.00323053,62.643240496,83.072665394,99.803837771,148.53379434,193.364528649]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7531, 3, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.451199498,148.012150277,478.366374571,959.798198706,1144.147992379,1152.984217744,1086.857075507,937.370409167,646.029503218,520.57843699]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.519745671,70.842690919,306.554066601,779.404691751,1205.538781911,1463.02673244,1425.472814522,1193.249429723,843.677140237,653.150835036]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7532, 4, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.295787807,7.920349989,25.923146094,51.904786712,61.793692262,62.087950432,58.789136007,51.056864837,35.521753906,28.965973951]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.952958079,4.776315343,21.387052946,55.24297131,86.492693005,106.008601113,104.570980067,88.240848969,63.101992518,49.341446683]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7533, 5, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.155411707,140.091800216,452.443228746,907.893411774,1082.354298716,1090.896267106,1028.067938733,886.313544176,610.50774926,491.612463407]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.566787515,66.066375622,285.16701343,724.161720349,1119.046087861,1357.018130335,1320.901835995,1105.008581582,780.575147837,603.809389164]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7534, 6, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.17493188,29.79122952,32.782496559,23.112112971,20.707777429,17.946972219,21.720858629,31.360090171,58.014315321,135.650836493]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.424927637,24.610883021,37.720539666,40.252906053,40.343055616,43.922342538,60.843587065,80.038311832,127.073584735,267.398159218]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7535, 7, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.522373763,9.212693789,8.918351702,5.844372327,5.24006309,4.646597698,5.70359325,8.329363392,15.649075198,33.309437207]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.45330149,6.191748005,8.626749446,8.539192156,8.343545157,9.103408682,12.568611149,15.876904011,25.282819273,45.24027932]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7536, 8, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.645519001,2.128777057,1.620844113,0.9724795946,0.7151587969,0.5633928435,0.5649099509,0.6320289434,0.8291382495,0.9530550592]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.690613912,1.871993426,1.675444235,1.289599083,0.9958981833,0.8266886788,0.8425450964,0.8948710698,1.03733368,1.090787051]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7537, 316, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.264021992,1.635666561,1.243818476,0.7471357425,0.5551649015,0.4399854711,0.4422101541,0.496617023,0.657173819,0.75798679]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.241411361,1.391153041,1.24658047,0.9709264813,0.7543160776,0.6294257439,0.6458230459,0.68875299,0.7968672808,0.8350656664]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7538, 317, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3751672984,0.4789879819,0.3552779886,0.2122368502,0.1512515863,0.1155066137,0.1137297318,0.1259281991,0.1571272066,0.1753385662]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4393848745,0.4654697979,0.4009681733,0.2945891193,0.224805184,0.1836138612,0.1811389682,0.1880008011,0.2147710816,0.2214387925]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7539, 318, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006329710572,0.01412251356,0.02174764798,0.01310700187,0.008742309057,0.00790075868,0.008970064971,0.009483721364,0.0148372239,0.01972970302]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009817676115,0.01537058707,0.02789559192,0.02408348222,0.01677692172,0.01364907371,0.01558308231,0.01811727879,0.02569531739,0.0342825918]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7540, 9, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.214621841,15.167809016,19.165830383,14.321951228,13.192659976,11.49984703,14.035091794,20.766079142,38.820556012,97.21045594]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.584860486,13.032840812,23.402435635,26.829303125,27.723833794,30.787972739,43.501577821,59.07177199,94.792407353,212.429259652]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7541, 10, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005230952627,0.03206650794,0.06627920168,0.04484290382,0.03287771443,0.02075002397,0.01943035898,0.01818733362,0.02801051857,0.03462816381]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006923988525,0.01670104931,0.04132417002,0.05354730757,0.06135762349,0.05103395954,0.07067159171,0.06154139106,0.08923776722,0.09489914134]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7542, 11, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01027432786,0.01952518895,0.02754753211,0.01467289264,0.007813869823,0.0140744383,0.009151489152,0.02016256789,0.05729414271,0.0633924461]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0224997224,0.02212199168,0.03653031692,0.01351276967,0.02529719815,0.02006856864,0.02714123442,0.05483547453,0.1152212905,0.1790698665]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7543, 12, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.533287599,2.783671895,2.557158271,1.621712178,1.282667807,1.012656313,1.172860802,1.324492956,2.165907368,3.484923885]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.359234146,3.093822804,3.423925334,3.072971755,2.739726989,2.669081967,3.270521028,3.453088959,4.819180344,7.177160401]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7544, 13, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2473647961,0.4545256728,0.4055565163,0.2477193062,0.1871024044,0.1504319092,0.1921775739,0.2266936551,0.3681270572,0.5931170962]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.355441611,0.491261613,0.5942409244,0.5433316807,0.4629834982,0.435193519,0.5254501511,0.5612846833,0.8326659357,1.249235355]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7545, 14, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2962183009,0.4328033843,0.338078179,0.1918681061,0.142511185,0.1064079024,0.1183929403,0.1291662208,0.2039838584,0.3133623324]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3953897664,0.4411627233,0.4744837388,0.400664103,0.3257530817,0.2960660084,0.34870865,0.3594061288,0.4964440421,0.7057893222]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7546, 15, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6233712471,1.087333456,0.9490671084,0.5824493833,0.455629786,0.3558067386,0.4073801255,0.4604332116,0.7540309234,1.23941321]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9151086705,1.134928789,1.169490881,1.014499797,0.9035241153,0.8784762255,1.071681731,1.118567521,1.514034671,2.308063079]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7547, 16, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3663332558,0.8090093819,0.8644564669,0.5996753811,0.4974244293,0.4000097612,0.4549101618,0.5081998681,0.83976553,1.33903125]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6932940987,1.026469677,1.18570979,1.114476175,1.047466291,1.059346213,1.32468049,1.413830629,1.976035692,2.914072644]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7548, 17, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1367046209,0.2997941182,0.2954917627,0.199546555,0.1596980246,0.12220465,0.1423897155,0.1740716319,0.3161828533,0.398588141]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2030554213,0.2592385683,0.4024252771,0.3150969356,0.3271536274,0.3384411455,0.3960417318,0.4461949584,0.6627161051,0.9075478856]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7549, 18, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008119988524,0.02551887873,0.03667535146,0.02855366339,0.02287990839,0.01393745392,0.01758130419,0.01025952596,0.01096256483,null]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0099484378,0.0132802078,0.02734571287,0.04457546748,0.04328155908,0.04315614421,0.06035876765,0.05052114652,0.03496966125,null]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7550, 19, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03893102698,0.05405779881,0.03235761142,0.01742906731,0.01253461074,0.01059251334,0.01143450776,0.01604094786,0.02527138173,null]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03685011299,0.03508557254,0.02426009679,0.01901259281,0.01339204297,0.01842725932,0.01919166246,0.01819419984,0.03828108749,null]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7551, 20, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01455592882,0.0133800649,0.01585960642,0.01434252575,0.01526840465,0.02487683677,0.02229735656,0.04746122419,0.07577930358,0.1486181814]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02096495843,0.03616972139,0.02325371674,0.04244650196,0.04024367282,0.04099497598,0.06011448045,0.08134074382,0.1560647946,0.2207064238]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7552, 21, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03584364022,0.03315967832,0.0171403342,0.007967432755,0.004501050081,0.002754453266,0.002003122417,0.002016306519,0.002417791785,null]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02769638773,0.01864967835,0.00961015338,0.00582721788,0.003713798537,0.003014467469,0.003035252751,0.003192121745,0.005016167118,null]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7553, 22, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009469190028,0.02077552722,0.02896069049,0.02424260258,0.02165417505,0.01528796611,0.02011497837,0.01992620085,0.0337199372,0.04773746943]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008978574687,0.01923118369,0.0272355733,0.02782114123,0.02561197144,0.02005395097,0.0237772501,0.02585576609,0.04033721213,0.05844947615]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7554, 23, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2839492021,1.417227895,2.229886573,1.735220873,1.264289719,0.8170941981,0.6976076462,0.7313598668,0.9738822569,1.259764043]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.36557038,0.8935859315,2.016725927,2.739813306,2.906518192,2.727535596,3.297494,3.046636153,3.652981146,3.863079535]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7555, 24, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1130139937,0.7054121732,1.079830901,0.8372302581,0.5265734475,0.2929956935,0.208123515,0.1859285788,0.270501219,0.3310904294]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1890869111,0.4202759554,1.04152429,1.465608185,1.487892934,1.386334462,1.771729055,1.444785827,1.694549491,1.694530314]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7556, 25, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01733976565,0.03601971461,0.03993711677,0.03218787901,0.02927286819,0.02838648005,0.03458786618,0.04596937063,0.07057969876,0.0878774343]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0134863378,0.02426062081,0.03190401828,0.03262020747,0.03022431787,0.02969242617,0.0348792809,0.04109628081,0.05147067791,0.05174521202]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7557, 320, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01733976565,0.03601971461,0.03993711677,0.03218787901,0.02927286819,0.02838648005,0.03458786618,0.04596937063,0.07057969876,0.0878774343]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0134863378,0.02426062081,0.03190401828,0.03262020747,0.03022431787,0.02969242617,0.0348792809,0.04109628081,0.05147067791,0.05174521202]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7558, 26, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03739042801,0.267808791,0.572687646,0.4926866214,0.4211064933,0.2791283208,0.2464279683,0.2420086654,0.352194416,0.4779192247]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05878827645,0.1576228943,0.4310233953,0.6957726532,0.8318722379,0.8217891093,0.9413488101,0.9879767467,1.268473122,1.341793212]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7559, 27, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004353251982,0.04100123734,0.1044337562,0.09116392352,0.05787007366,0.03065595462,0.02089855324,0.01679354782,0.01966245476,0.02103720694]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004252119274,0.01454987673,0.04903433947,0.07974840335,0.07105291829,0.05608083255,0.04980752385,0.04172071604,0.04392839528,0.03829409191]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7560, 28, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00888644177,0.05379133954,0.1005751441,0.0670123461,0.04262195312,0.02305066593,0.01625561196,0.01376068401,0.01852822357,0.02294105661]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008399998515,0.01848315607,0.04569864778,0.05673665609,0.05062517138,0.04076482555,0.03745269162,0.03308913796,0.04006484813,0.04039215232]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7561, 30, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00978408465,0.009644822194,0.008414799185,0.004831925282,0.004760570864,0.004424683337,0.005476658764,0.007986156964,0.01181127061,0.01559257189]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009766074427,0.01327234027,0.009601173,0.008402515436,0.006873792917,0.005952753106,0.007122193162,0.007534195862,0.009927973977,0.01200959799]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7562, 31, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01575169949,0.01319591728,0.01053703052,0.00874633304,0.007105162138,0.01574541859,0.008386886266,0.02520925724,0.01697329627,0.05091266118]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02518064322,0.02211722465,0.02011229565,0.01375315889,0.009528431372,0.01144763363,0.02044042979,0.0116454886,0.01673058411,0.05487743351]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7563, 32, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002438017016,0.01640314054,0.02740732108,0.01924892494,0.01306456359,0.007656294708,0.005048223611,0.003840629661,0.004448707952,0.008619960697]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004563893684,0.006843203836,0.01641900677,0.02231672564,0.02057221473,0.01785234997,0.01419395099,0.01302677151,0.01424953258,0.01643615623]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7564, 33, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.002438017016,0.01640314054,0.02740732108,0.01924892494,0.01306456359,0.007656294708,0.005048223611,0.003840629661,0.004448707952,0.008619960697]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004563893684,0.006843203836,0.01641900677,0.02231672564,0.02057221473,0.01785234997,0.01419395099,0.01302677151,0.01424953258,0.01643615623]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7565, 36, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07499151976,0.2739507597,0.286062858,0.1821126617,0.1619145863,0.1350506865,0.1524023629,0.1898629764,0.20918297,0.2437734973]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05204612554,0.2161606593,0.3714087605,0.3648548012,0.3978761736,0.3576212036,0.4205200649,0.4657609888,0.5135865209,0.6130013658]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7566, 49, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5196518443,1.615731462,1.91374343,1.405007353,1.24791838,1.173129345,1.539322989,1.847815076,3.375789106,8.673074368]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4487229952,0.9437274036,1.569521229,2.046321993,1.922493314,2.177799818,2.967362687,3.806049699,5.917958287,12.950157068]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7567, 50, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1563167481,0.6050090699,0.8856620431,0.591339848,0.5067983553,0.4448260702,0.5113950817,0.7752201082,1.349945188,3.143356429]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1621682644,0.3927856076,0.7345064641,1.091719606,1.009751729,1.205006633,1.598555401,2.205941627,3.110298241,6.259995477]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7568, 51, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006073017243,0.02538260073,0.03478014061,0.02984676532,0.0217888859,0.01008945776,0.007341347418,0.007046446558,0.01342659401,0.02432471557]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004575892876,0.009085415567,0.01581520201,0.02511117518,0.02066926286,0.01639337626,0.01646776158,0.01726237187,0.02719901326,0.04100136408]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7569, 53, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.334546302,0.9042715976,0.9046822192,0.715768484,0.6615653093,0.6586512544,0.9495100844,0.9660409376,1.813835444,5.073322937]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2646444172,0.511131594,0.7419598303,0.8324980303,0.7878338702,0.8269569007,1.181993793,1.3723164,2.407377183,6.044443461]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7570, 54, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.022715777,0.08106819263,0.08861903088,0.06805225537,0.05776583133,0.05956256297,0.07107647525,0.09950758216,0.1985818788,0.4320702856]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01733442074,0.03072478663,0.07723973484,0.09699318467,0.1042384515,0.1294429121,0.1703457313,0.2105292976,0.3730838554,0.6047167774]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7571, 55, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.268466216,3.444282469,3.673031929,2.71510999,2.214483036,1.835555954,2.10025606,2.679564792,3.61679542,5.494176052]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.570269822,1.371195459,2.864108998,3.627062954,4.070804217,3.871293178,4.975990009,5.481004121,8.337283826,9.186733474]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7572, 56, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.135488709,0.4330375419,0.5725111947,0.3979751683,0.378458698,0.2801268419,0.2922491145,0.2748307265,0.3443034747,0.3468177497]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01237747507,0.0492053575,0.1018324966,0.1515237468,0.1939714498,0.2248733162,0.265768445,0.3428981698,0.3482077618,0.5467691251]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7573, 57, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04674332954,0.1695412232,0.2270466147,0.1670780637,0.1539084021,0.1188746011,0.1250290631,0.1310060701,0.1857372796,0.1951413628]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00557880429,0.02290809593,0.05064101219,0.08065649838,0.1105291293,0.1350116116,0.1678405207,0.236751457,0.2500394318,0.4073699137]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7574, 59, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02841495245,0.08773263964,0.1183417414,0.07987104035,0.0795475094,0.05678765788,0.0604078315,0.05277391683,0.06161587427,0.06115604282]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003613679422,0.01419861763,0.02847050518,0.03918975395,0.04620783818,0.04985048563,0.05478071439,0.06312367735,0.06095098555,0.09136499576]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7575, 61, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02911336333,0.08494237222,0.1124843523,0.0749711474,0.07188991015,0.05102190111,0.0525179887,0.04457294674,0.04790968127,0.04574399558]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003184991365,0.01209864394,0.02272097938,0.03167749432,0.03723448237,0.04001121864,0.04314720968,0.0430230353,0.03721734471,0.04803421509]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7576, 62, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8959147805,2.259107746,2.326574029,1.741148204,1.366200267,1.146849623,1.281111846,1.70135153,2.213751101,3.720252161]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3846148911,0.7223928955,1.604017821,2.203350357,2.563171234,2.443149818,3.011710405,3.047086006,5.091831973,5.132464318]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7577, 63, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1705725831,0.2591174309,0.2398419286,0.1845993603,0.148210596,0.1245818473,0.1235816393,0.1276939244,0.1291881915,0.1585701019]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07111522952,0.1015885064,0.1933710572,0.2361098877,0.2537761085,0.217467912,0.2335702126,0.1794599979,0.2266634237,0.1548764764]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7578, 64, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1686858381,0.3724395908,0.5074381789,0.5065828331,0.5239286033,0.5813957641,0.7808091771,1.163752843,1.660374234,3.00580945]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1060021023,0.223934876,0.6350503954,1.015076964,1.333686204,1.461797601,2.014292643,2.20993564,3.964215369,4.296363509]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7579, 65, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0165134143,0.0268316904,0.02849160271,0.02588912142,0.02567404112,0.02667856679,0.03442585881,0.04797524212,0.06449612219,0.1064954972]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005726137682,0.01015462123,0.02773073246,0.04453812184,0.05779226643,0.05946157346,0.08228778217,0.08609568575,0.1426087863,0.1304156292]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7580, 66, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5401429464,1.600719032,1.550802321,1.02407689,0.6683870268,0.4141934436,0.3422951714,0.3619295176,0.3596925552,0.4493771132]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.201771422,0.3867148912,0.7478656384,0.9076253852,0.9179166543,0.7044227361,0.6815597688,0.5715946831,0.7583443857,0.5508087109]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7581, 68, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237062726,0.7521371812,0.7739467053,0.5759866173,0.4698240707,0.4085794885,0.5268951,0.7033825359,1.058740845,1.427106141]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1732774558,0.5995972056,1.158258681,1.272188851,1.313661533,1.203270043,1.698511159,2.091019945,2.897244091,3.507500031]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7582, 69, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.749526347,5.594120867,9.000980967,10.529610429,16.061719989,21.79254041,36.121325772,69.148610682,141.225470259,290.791302974]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.750329338,5.665070238,7.550298261,9.603734747,14.442920432,24.630818506,52.108794453,108.374803689,227.928804073,465.982997625]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7583, 70, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02729338808,0.1356075304,0.2447761033,0.3120425699,0.5409290977,1.171119,2.507976036,6.396411687,14.262206361,31.352255076]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02351954662,0.08672516576,0.2316731513,0.5036706687,1.276758877,3.400221397,8.59815736,20.451631743,44.786734968,79.030554824]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7584, 71, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01682752794,0.1254091084,0.2049623036,0.2094805358,0.3403283639,0.4448302596,0.7961095509,1.669705346,3.469633963,8.831376389]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05659115096,0.1227567286,0.245270661,0.3680786903,0.7759893694,1.11275517,2.629000934,4.769326453,9.385391511,18.070961074]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7585, 72, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09095524538,0.3121151123,0.5097833086,0.5610408161,0.6059059534,0.8260252943,1.276876823,2.230527705,4.813010576,9.202166165]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2046828948,0.5763520144,1.209732709,1.574871046,2.233799173,2.691893562,4.315600081,7.658188743,14.377381055,26.383738473]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7586, 73, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03311230444,0.1207702,0.1915755385,0.2033091589,0.2113226905,0.2781033019,0.412117771,0.67765036,1.3583834,2.392095651]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1221609789,0.3408056402,0.6946888167,0.882839907,1.218670443,1.421507951,2.225541552,3.736822236,6.475779158,10.955505202]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7587, 74, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0192379214,0.07342013259,0.1317494291,0.1590198241,0.1870377876,0.2741741579,0.4549371594,0.848972075,1.925306645,3.863697354]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02887035196,0.09154150493,0.2104291788,0.2908318832,0.4385185563,0.5696580516,0.9309311251,1.815082599,3.781321487,7.585590945]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7588, 75, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001418815784,0.009982222921,0.02125420412,0.02879974048,0.03752963286,0.06092618088,0.1109256653,0.2229437115,0.5373245399,1.142528173]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.007772736213,0.04215907375,0.1065711737,0.1632958601,0.2707084644,0.371937874,0.6925938602,1.370210325,2.822824595,5.625925083]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7589, 76, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03718620381,0.107942557,0.1652041376,0.1699120934,0.1700158427,0.2128216543,0.2988962264,0.4809615587,0.9919959884,1.803844991]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04587882759,0.1018457966,0.1980435373,0.2379033966,0.3059017106,0.3287896852,0.4665335424,0.736073579,1.297455822,2.216717247]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7590, 77, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008696119257,0.02244422708,0.01786098205,0.03273617116,0.0374647082,0.05585968936,0.1363533549,0.3201190808,0.7399986334,1.544440773]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01721335584,0.03467167057,0.05842828067,0.0657332831,0.1104074793,0.3975966195,1.162134883,2.658162865,5.953952735,11.015405315]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7591, 78, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05401715294,0.1050010241,0.1768958806,0.2474797828,0.4291909742,0.8214326726,1.77751344,4.663981322,11.860675084,28.889045435]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06048968176,0.120738052,0.2818267595,0.5339560467,1.366920223,3.5368194,9.181847186,21.902471405,45.616609596,98.608682315]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7592, 79, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09200146238,0.3479233283,1.319394364,2.288064523,4.439667578,5.68953947,8.652709192,15.092080976,26.988812165,45.331128997]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01054482174,0.01695336708,0.05195979641,0.0508330312,0.1012719899,0.1222878711,0.2601392099,0.546095251,0.8958035518,1.63892563]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7593, 82, 192, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01512239392,0.04421646409,0.03844987888,0.06208806217,0.09261901147,0.2420517995,1.073685543,4.275974723,14.473214736,45.290363437]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7594, 83, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1132241307,0.2846094988,0.4925948203,0.5379150915,0.7443154128,1.068967453,1.972748347,4.93082124,12.279780891,27.302989611]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1566327546,0.4490373998,0.62207155,0.8019132311,1.161251529,1.842764169,3.889227735,7.699691378,17.153212124,38.731683819]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7595, 84, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01703509753,0.07919528891,0.1176788958,0.1111920561,0.129237785,0.2285602736,0.4550651904,1.069299337,2.249778507,5.137508026]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06657608241,0.09560516456,0.1673402194,0.216970346,0.4209625315,1.04201335,2.483328744,4.571796025,8.599012184,14.546998704]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7596, 85, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02003418626,0.03987122176,0.03165067631,0.03804057089,0.05032278417,0.06192426969,0.1065468245,0.150202809,0.2810991299,0.651419453]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0541271967,0.07761844471,0.0868000026,0.08482642627,0.1278913882,0.2240151224,0.4744882392,0.7137085217,1.223381159,2.005711991]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7597, 86, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009378547301,0.01611639204,0.02120197766,0.02548672419,0.02521332564,0.03445289045,0.06191449347,0.233130935,0.4888626862,0.8385131046]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01984961144,0.04251231104,0.04603968596,0.08477035163,0.1210846125,0.2934382747,0.70431319,2.537741394,5.653024937,13.915100919]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7598, 87, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02480585267,0.0412619664,0.06172611883,0.07277559386,0.08184057828,0.1402677704,0.3178413082,0.5944558387,1.412384879,3.520584708]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01150001953,0.02227464083,0.02720980197,0.05162288447,0.107159264,0.1253171516,0.2733220745,0.6333667979,1.513146218,3.26569242]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7599, 88, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03772471619,0.05904956562,0.09647201135,0.1428265235,0.277142954,0.4496390272,1.003061915,2.636863282,6.039583266,14.488522468]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06001473835,0.08402601653,0.1629604312,0.2827311673,0.550686397,1.15807285,2.637063323,5.646060164,11.462349142,25.851607583]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7600, 89, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01947137599,0.0642078532,0.1254626728,0.1257227026,0.1811391267,0.1958070086,0.2994470397,0.6200962733,1.146805603,2.493987564]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03377739788,0.1044881334,0.1709221889,0.2724380688,0.3044045866,0.4979883293,0.8545531887,1.372112881,2.520331889,5.430340566]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7601, 90, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01970532483,0.08328595308,0.09243924586,0.08779996561,0.07373218034,0.1324579304,0.2022071208,0.2738890517,0.5170457516,1.087175172]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02314938776,0.05985564094,0.1322929194,0.1694757618,0.1871799214,0.3099569349,0.4451062344,0.8193200919,1.767434248,2.892753818]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7602, 92, 192, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07482301383,0.1574916092,0.1722061615,0.1649505993,0.1411881157,0.1544407904,0.2551111945,0.3109571231,0.5215196222,1.060565111]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7603, 93, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03545936283,0.05480244763,0.08239512507,0.1039056788,0.08492300579,0.129425218,0.2036579748,0.5687515937,1.112007279,2.491182176]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0501226811,0.08400456287,0.1191876061,0.1215112132,0.2004226703,0.3639371719,0.8700387479,1.654185833,3.808982611,7.451973327]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7604, 94, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009013784916,0.04225561883,0.06419067973,0.08705402282,0.1119407632,0.145695452,0.2424064492,0.4802200395,0.8180744694,1.730916382]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01064602722,0.03233757009,0.06335338292,0.1098535852,0.1191434639,0.2548863901,0.6305219093,1.221932474,2.827338511,7.25561033]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7605, 95, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149819672,0.1924511579,0.2681195809,0.198558485,0.2726347247,0.3218533386,0.5362611157,0.8786378096,1.931197002,2.833884763]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.198196951,0.2312741495,0.3015647904,0.3494779773,0.4397443736,0.6522712384,1.192990065,1.96600663,3.491370634,5.909148425]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7606, 96, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01225315406,0.03612023321,0.02990961576,0.03133464248,0.04060803043,0.07506261626,0.1107340909,0.3323422953,0.7017573549,1.136414817]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01282325148,0.03159502145,0.02639774855,0.04626293856,0.04704589112,0.07681216701,0.1575834564,0.2905011309,0.6369077557,1.044601183]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7607, 332, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009565778896,0.01282760976,0.02221662523,0.03165406102,0.01950024714,0.04816793084,0.08357997298,0.1815748603,0.4476627692,0.8813267301]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01087327829,0.02153524687,0.03931946699,0.03452013302,0.1138502537,0.2447126642,0.5392964008,1.25218795,2.433131673,5.352846423]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7608, 97, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05526824412,0.1000661015,0.1334889094,0.1073053741,0.08349639956,0.0771224293,0.129354621,0.129099718,0.2112400975,0.348598734]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1014083549,0.1361716822,0.1902554441,0.174334535,0.2298484553,0.2423015391,0.3849472553,0.2722187236,0.5405061505,1.045148677]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7609, 98, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1955736322,0.3751410291,0.4530148141,0.3593100945,0.4130572627,0.4825712864,0.7585071713,1.52735997,3.354526207,7.408637677]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4753479287,0.7369362863,0.8492049991,0.9454685134,1.118086556,1.515431351,2.54620577,4.521510556,9.025900819,16.87642221]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7610, 99, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01491956022,0.04095185525,0.06151016071,0.05087478142,0.102311307,0.2005226511,0.4289230954,1.069282512,2.494537677,5.265108315]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02847026165,0.03206842968,0.03920017331,0.1021295463,0.1600992878,0.3844714017,0.7939931269,1.623210422,3.274980664,6.224111544]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7611, 100, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5928109944,0.7027305907,0.6197221702,0.4317763984,0.5433061575,0.4694159178,0.7304072712,1.115888198,2.401546252,4.838779467]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9002136094,0.9690296445,0.7989047508,0.7293459094,0.8726007893,0.9392741034,1.50181166,1.998714319,3.768500572,6.805637952]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7612, 101, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9142805056,1.490618688,1.835058552,1.571743285,1.598128683,1.757407685,2.649694676,3.898706902,7.670327069,14.552464376]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.073612946,1.294794821,1.417725701,1.701900731,2.062504223,2.805087688,4.254326939,7.007730092,12.218685007,20.278411555]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7613, 102, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.640179642,9.986631947,12.817795867,11.597661231,14.181616021,17.689149309,30.616238075,64.056178163,151.354613856,422.72714504]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.416857717,8.855617751,12.244062746,15.872269,22.812967559,37.230699034,74.006683541,139.938697621,292.733994986,720.120531544]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7614, 103, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4722330328,1.152908431,1.027133112,0.774599784,0.7325559902,0.6739798671,0.9151595518,0.9849746478,1.641459868,3.105317225]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5619361562,0.7127312129,0.7391767191,0.6781358115,0.6424382888,0.7281088351,1.193668374,1.065739914,2.055360034,4.899997786]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7615, 104, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4082302068,1.201385702,1.966004571,2.146083255,2.919075264,4.246373827,7.504046838,15.886010098,39.750155038,102.115256612]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8488981055,1.995707906,3.16256803,4.522721745,7.931314888,13.806335044,29.787788271,55.627437909,120.769943924,286.485305647]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7616, 105, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6913697174,1.902071472,2.453560983,2.510626456,3.604485687,4.973978375,9.365490071,22.934283352,55.597209806,187.552194232]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.321809131,2.744254771,3.480653049,4.705231657,6.578914863,11.142563533,21.759940754,44.757614708,89.436873695,249.110100474]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7617, 106, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1039522697,0.3901148402,0.4468776578,0.4950001052,0.6053737153,0.7924183582,1.441667136,7.727838061,19.947086258,71.176597556]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1737267573,0.3197296059,0.6020339577,0.8452607296,1.165253578,2.05458428,4.151794123,15.870377608,34.198986127,103.328797393]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7618, 107, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5874174485,1.511956632,2.006683324,2.015626351,2.999111973,4.181560025,7.923822936,15.206445284,35.650123557,116.375596539]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.148082373,2.424525166,2.878619089,3.859970931,5.413661296,9.087979242,17.608146642,28.887237159,55.237887412,145.781303237]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7619, 108, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1706042891,0.5636855021,0.9553790325,1.073413733,1.774330628,2.773675267,5.050355052,10.851092391,25.473310042,61.358335959]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1684651618,0.3701481541,0.64329508,1.005493405,1.815736095,3.570912572,7.750249836,14.220670414,30.492195036,69.336662463]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7620, 109, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.101265923,3.234775872,4.142841154,3.392085,3.265142651,3.105774872,4.964990981,5.495383349,11.953363562,27.859711229]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7006887917,1.492266237,2.422460897,3.139923139,3.765663035,4.691686069,7.946130172,13.732502775,26.980784388,55.278473736]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7621, 111, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03726633718,0.1417370102,0.1642440251,0.1531613218,0.1996590458,0.1963109171,0.3991181081,0.711612478,1.591027738,4.01256762]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0471377608,0.2159148104,0.2370165449,0.2471833809,0.348423662,0.4850218132,0.789425196,2.017029246,4.610612661,13.120178439]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7622, 113, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1150940395,0.2045328871,0.2172569716,0.1208278746,0.1423857931,0.1353530877,0.2005887592,0.2197239408,0.3678870581,0.963966305]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1921994727,0.2929488789,0.3327440665,0.2747257139,0.3147222065,0.3653666676,0.6526104701,0.7526175686,1.580986049,3.988944293]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7623, 114, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6441160955,1.585535069,1.891376013,1.358209575,1.441082293,1.357028128,1.785980384,6.21219747,12.903222793,30.475892498]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5757231378,1.031645777,1.22614835,1.251771886,1.362701465,1.849596992,3.015284508,5.342723762,11.288824802,25.370323549]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7624, 115, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.643582301,5.876271959,8.42006102,7.029958935,7.086675142,7.026700039,10.192112374,19.01863293,41.490373621,99.369789887]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.725464544,3.216355871,6.623168877,9.172837955,12.327846178,17.213807155,33.023527702,64.262609029,129.640191532,274.006785181]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7625, 116, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3926613668,1.68256419,2.756591187,2.264171363,2.49458347,2.646546972,3.956986511,9.454911133,22.740247891,57.24604846]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.344200048,0.9597859929,2.653477853,4.156491863,5.454482833,8.810490305,18.195394303,38.658728873,80.825910366,177.825918827]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7626, 117, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.008331827079,0.03002699882,0.04332943975,0.03118294482,0.03405267058,0.01990637735,0.04858376071,0.08156765175,0.1788099431,0.4581010454]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1056435248,0.1998913989,0.264982091,0.2993731608,0.4442799081,0.6798811423,1.458994419,2.497851648,5.290503189,15.273167015]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7627, 333, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00141684614,0.002520078737,0.004246924925,0.002852064744,0.003638798483,0.0008328025557,0.002606819604,0.003298650601,0.004289850839,0.01060283861]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01361781132,0.01920158525,0.03498423544,0.03506202804,0.05799590866,0.09482492694,0.2036312954,0.427960558,0.7465263747,1.792930621]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7628, 334, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001566781047,0.004764397936,0.006728377942,0.005677742907,0.005824972472,0.001823670899,0.007714513396,0.0205788284,0.04045745316,0.06745249288]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02860187716,0.06632867891,0.0663180405,0.08013883322,0.1162309851,0.1857733169,0.430977636,0.714146156,1.611234982,4.872036534]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7629, 335, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00144828818,0.003851082538,0.003205805037,0.002356316681,0.002407102193,0.00102990439,0.002305196694,0.002863262258,0.00355168068,0.006864324883]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02026985139,0.03853844689,0.05254415984,0.0621985762,0.09521997556,0.1339823165,0.2669289243,0.5330729681,1.076255158,3.212240783]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7630, 336, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003899911707,0.0188914396,0.02914833183,0.02029682047,0.02218179741,0.0162199995,0.03595723099,0.05482691059,0.1305109586,0.3731813893]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04315398514,0.07582268816,0.1111356554,0.1219737235,0.1748330381,0.2653005825,0.5574565641,0.8226719691,1.856486672,5.395959066]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7631, 118, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9332379093,3.498956149,4.924709951,4.176151975,4.008916865,3.79260716,5.304841586,8.18998524,15.757387898,34.75052816]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9627703047,1.621941726,3.06829909,4.096256617,5.726364651,6.837676814,11.952533854,19.568182192,36.603156989,66.997021551]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7632, 119, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1548110275,0.3898650469,0.4100780545,0.3318357426,0.3606623988,0.3967227529,0.6250966662,1.069225544,2.380944065,5.707486974]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08657185889,0.278457946,0.3924640599,0.4537713271,0.507647757,0.6747588651,1.13908295,2.893320056,5.735525771,11.554411274]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7633, 120, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1545401698,0.2748595704,0.2853523838,0.226616908,0.1884597414,0.1709167787,0.2566038577,0.2229433582,0.4329839003,1.207625176]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2262788082,0.1562788027,0.243945788,0.1669450012,0.1950710508,0.2109999954,0.2775221659,0.6445261996,1.185095275,2.356266784]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7634, 121, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.487841066,1.167393344,1.671331852,1.648879724,2.074366668,2.473185732,3.942260129,5.989834255,10.369758994,20.088209398]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5743878543,1.344731187,2.522132029,4.482272978,6.394670902,8.973049948,14.62233705,21.521353451,35.558258351,58.314784059]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7635, 122, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09868826242,0.258650161,0.3805806366,0.3897819502,0.5093607958,0.6338544363,1.04961542,1.568315312,2.534898985,4.625995987]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09214097822,0.2043903167,0.3811982044,0.6699883889,0.9490220503,1.33425195,2.172523351,3.207305036,5.314412459,8.765782975]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7636, 123, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113714674,0.2911414169,0.4095269265,0.3953545919,0.4802951287,0.5502246124,0.8331422979,1.333798486,2.596609221,5.48636954]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05275519366,0.1120920502,0.1996900829,0.3368459255,0.4575372669,0.6147175388,0.9649311319,1.526484588,2.938283529,5.467581142]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7637, 124, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0341958653,0.1663731122,0.3052963227,0.3623592718,0.5346322651,0.7267088919,1.307697027,2.137152527,3.829069815,7.615308435]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1435134504,0.5675800075,1.200775537,2.353376491,3.63907346,5.454249837,9.406041167,14.201924973,23.432601862,38.347462201]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7638, 125, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2412422645,0.4512286555,0.5759279658,0.5013839095,0.550078479,0.5623977912,0.7518053839,0.9505679236,1.409180976,2.360535416]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2859782318,0.4606688107,0.7404682073,1.122062174,1.349038127,1.56983061,2.078841384,2.585638843,3.872960499,5.73395768]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7639, 126, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7674420979,2.21301454,2.807831852,2.284937232,2.280698517,2.228723313,3.193287424,5.421503428,10.430996523,23.077055969]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.119469736,2.54401706,4.184402347,5.050389767,5.729439239,6.851070915,9.977550878,14.501450849,23.204750617,41.167459332]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7640, 127, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08880625775,0.2751535898,0.337815673,0.2766107443,0.2927567583,0.2962570351,0.4656574054,0.8444711895,1.843050242,3.975200758]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08848681977,0.2865534392,0.4229703745,0.5408310605,0.6807776918,0.9064095037,1.519567807,2.45825008,4.237808285,7.355170465]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7641, 128, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05531288153,0.1471583383,0.1758085107,0.1248937783,0.1325265415,0.1328742185,0.1943084946,0.2930463287,0.6168913461,1.315146664]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08163282237,0.1383685789,0.2358174842,0.2951406995,0.3450198363,0.421746603,0.611837666,0.8743097444,1.40792745,2.249394937]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7642, 129, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1076093667,0.1859989991,0.1901768376,0.1416603147,0.1090581216,0.07426688255,0.08470105171,0.1426261971,0.2097910407,0.5607760493]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1933223074,0.207896538,0.2080616847,0.2857609978,0.2252760955,0.2759088462,0.3293387097,0.4751185872,0.472832079,1.360734767]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7643, 130, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2054793205,0.564259326,0.6564411172,0.5705126631,0.620100553,0.616224272,0.8458207281,1.422022636,2.672283067,6.446888453]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3952191747,0.7535318901,1.196080844,1.3402236,1.508940654,1.861555956,2.72460314,4.036321719,5.978903974,11.307530545]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7644, 131, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01711266567,0.02741397365,0.03315901615,0.03846921476,0.04262148288,0.07346462213,0.1054933251,0.2045503977,0.3962805686,0.7814405032]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02425340695,0.07661699236,0.09203561147,0.09868376435,0.1223116887,0.129136266,0.2075478154,0.3094269108,0.4985787115,0.8120493007]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7645, 132, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09678611722,0.3175339756,0.3292286994,0.2393998985,0.2359120004,0.2201584209,0.3372361869,0.5388129408,0.9444134712,1.700116292]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07721052423,0.3070998523,0.508064836,0.5241954149,0.5910910335,0.6867823138,1.017943019,1.45805245,2.34086989,3.451646835]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7646, 133, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004564613498,0.02000593625,0.05523466235,0.05567189786,0.05490438248,0.06174501282,0.1068040947,0.1863982431,0.4407406131,1.082066584]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02177997096,0.07365765141,0.1397037718,0.1195772013,0.1521436301,0.220351917,0.3095044668,0.4819691573,0.8532083399,1.47354765]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7647, 134, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03791690581,0.1342240908,0.2396978408,0.2206466831,0.2643910278,0.2513292735,0.3735000725,0.7970511202,1.528122858,3.043249922]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03193682048,0.08239950263,0.1698429733,0.2818967424,0.3632088401,0.3780484809,0.6366000898,0.9805476843,1.993198064,4.447887085]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7648, 135, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02774264444,0.1000526801,0.1864735131,0.1378958501,0.1491071261,0.1540509259,0.2193733396,0.3259840659,0.5884780641,1.033911831]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0540935994,0.2706441289,0.5962748416,0.746949478,0.8498387577,0.960901208,1.282116102,1.576191612,2.257713299,3.180316332]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7649, 136, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1261113246,0.4412136326,0.6037959875,0.4791761861,0.3793205218,0.3483526493,0.460392724,0.6665403001,1.19094526,3.138258915]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1515342899,0.3472484846,0.6155499209,0.8171308047,0.890831013,1.010229821,1.338492063,1.85126291,3.163710528,5.529181376]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7650, 137, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.391618806,4.942913655,5.612458193,4.067348944,4.149999191,3.267699147,3.731817491,4.823132342,8.867985639,16.7712173]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.833802029,6.146867951,7.556944363,9.057825746,10.044438323,10.576764231,13.389751976,16.809433589,22.820946494,40.97341606]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7651, 140, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.234523169,4.494464699,5.121098636,3.631434631,3.545192425,2.762493563,2.934986057,3.470002948,5.097589482,8.005951777]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.314869438,5.607918356,7.083359838,8.412116699,9.368172202,9.70721609,12.100253561,14.382129213,16.099783774,24.111822561]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7652, 144, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1570956366,0.4019351078,0.438714472,0.3925100264,0.5275674078,0.4113436504,0.5943733137,0.8125259493,1.679007687,2.960109744]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5189325913,0.497127179,0.4148015914,0.5661854394,0.611399255,0.7294965651,1.06480558,1.688027558,2.866612507,4.750038066]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7653, 145, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.197460516,9.19258374,9.532207775,5.813662191,5.349814041,4.589198319,4.976695387,4.379485292,6.463796503,10.43213576]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.452147323,21.930327278,28.473961513,25.131432902,16.607815846,18.385102594,23.787386655,18.452409338,20.821831191,27.081008827]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7654, 147, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4603141686,1.459726231,1.77792208,1.041809891,1.189399227,1.0896996,1.239845874,1.798022032,2.630414433,4.386098351]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.555711392,15.273454217,20.636920353,18.317125328,10.754037735,12.139370522,16.288921508,15.010210084,16.279199615,21.326779047]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7655, 148, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.713210459,7.509568296,7.271891083,4.422342367,3.91415895,3.31360151,3.535665361,2.368657569,3.457988888,5.372507316]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.892284532,6.643460589,7.56126328,6.455112074,5.446761478,5.751200959,6.806091728,2.602805949,3.373228723,4.20776027]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7656, 149, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3497719749,0.8033126014,0.7911199264,0.4561263247,0.4004917191,0.3185716476,0.3336804475,0.2240105366,0.3102319554,0.4789270421]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2864104535,0.7370421931,0.8542330922,0.7039902386,0.5850197263,0.5813260743,0.6740171953,0.2594178424,0.3166062204,0.3903741321]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7657, 150, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02567193851,0.0459552919,0.04685491575,0.02766642567,0.02375095305,0.01844838421,0.01941425385,0.01009269822,0.015645026,0.0217916094]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01238951281,0.02559159089,0.02945295662,0.02525985336,0.02044885622,0.02019312112,0.0229101828,0.006941292706,0.009435662298,0.01082415191]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7658, 151, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02064233353,0.03330187197,0.0310667305,0.01819333434,0.01587196387,0.0123608686,0.01269947729,0.01034840949,0.01484568494,0.02116471612]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.009452190815,0.01702565708,0.01859591469,0.01546570635,0.01262248445,0.01265361469,0.01409684818,0.006585454704,0.008285727104,0.009883913845]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7659, 153, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.317124206,6.626998536,6.402849501,3.920356288,3.474044323,2.964220612,3.16987118,2.124205928,3.117266221,4.850623944]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.584032381,5.863801147,6.658981307,5.71039627,4.828670397,5.137028153,6.095067507,2.32986136,3.038901112,3.796678074]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7660, 161, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02393588902,0.2232892134,0.358209526,0.2431008846,0.125180456,0.06218547753,0.03552063402,null,null,null]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004151398301,0.01341247255,0.03058815403,0.03752821443,0.02598397506,0.01994845001,0.01465260972,null,null,null]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7661, 338, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02393588902,0.2232892134,0.358209526,0.2431008846,0.125180456,0.06218547753,0.03552063402,null,null,null]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004151398301,0.01341247255,0.03058815403,0.03752821443,0.02598397506,0.01994845001,0.01465260972,null,null,null]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7662, 168, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.288365078,12.977901139,15.856708458,13.6427386,15.175733684,18.079963835,29.05157117,55.487751005,122.871468347,274.02147796]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.096713052,7.461540961,12.134900486,16.794178431,18.852920807,26.945348205,47.052234555,80.462989681,158.183730546,303.608335426]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7663, 169, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9453699426,2.826564985,3.358942206,3.429701997,5.188913251,8.319055711,15.778279322,34.465466853,85.286131175,194.67993779]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6487729627,1.537259438,2.777041689,4.027641874,6.990501999,13.142446097,28.196047392,53.436869439,109.887256159,213.56985578]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7664, 170, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02409009726,0.04124189817,0.04021791609,0.0286185507,0.03530003709,0.0260358044,0.01246019731,0.01924738923,0.04732230187,0.05562718625]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01636562342,0.02418713694,0.05210751825,0.03658084089,0.0354282249,0.03642622789,0.04187485223,0.03816549915,0.1141423262,0.216395272]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7665, 171, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8266726344,2.286124355,3.084496052,2.646425736,2.864083871,3.151787325,4.369085471,7.158780698,15.257951844,36.046078376]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.127943711,2.452048301,3.560665313,4.511077136,5.500173088,7.023910385,10.526496127,15.77592055,29.142667677,62.012473373]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7666, 172, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01590375838,0.01711719086,0.01589741425,0.007502769585,0.006525514289,0.006561352434,0.007348359539,0.01067185437,0.01532152513,0.01728795363]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01726383482,0.02865146008,0.01932154635,0.01560184715,0.01153220906,0.00847644788,0.01026808028,0.01052003621,0.01407558327,0.01773969449]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7667, 173, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2518167054,0.5183683847,0.8452193231,0.9530432245,1.487353046,1.834106654,2.874720488,5.128530816,11.492362111,28.165457641]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2775209848,0.8488918984,1.383790982,1.912490617,2.802574064,3.999955003,6.720041976,10.472392639,19.957375512,45.639825765]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7668, 341, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2889046722,0.7171333036,0.7059067786,0.5577218933,0.3460618152,0.3465583922,0.3182659281,0.4592486871,0.6300496848,1.444658868]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4750118426,0.8535395355,0.9792302269,1.037851734,0.9270915602,0.9526462696,0.8530320942,1.194286094,2.00069041,3.8164772]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7669, 174, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2700474978,1.033505475,1.517472533,1.128157852,1.024143492,0.9645609284,1.168750689,1.560329338,3.120218531,6.418673873]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3581470487,0.7209654109,1.178322558,1.545132941,1.758975247,2.062832671,2.943153988,4.098721767,7.170526185,12.538430743]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7670, 175, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2256923412,0.853684457,1.04043614,0.9522381451,0.824895353,0.6880445764,0.9025111667,1.375703907,2.612730289,5.973015175]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2281015107,0.4716995244,1.014828276,1.451089769,1.568813041,1.855928139,2.386364515,3.545177594,6.186461953,11.945153445]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7671, 176, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1549472147,0.4766493085,0.608853026,0.5234726207,0.441622409,0.3621600114,0.5483300928,0.8514501443,1.551086521,3.361518626]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08406199122,0.1991121233,0.4733563578,0.5749414635,0.5727910424,0.7409283257,0.860546416,1.413669537,2.203237512,3.786185442]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7672, 177, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01001112189,0.0176285976,0.02345260146,0.01713846151,0.02167997819,0.01740842554,0.03091555433,0.0231918468,0.08670637178,0.09556332796]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01102220124,0.01626338432,0.02041890703,0.01312690216,0.03031246708,0.03653720001,0.04444204241,0.09126019318,0.195538142,0.2112460356]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7673, 180, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06073400443,0.3594065509,0.4081305139,0.4116270627,0.3615929657,0.308476139,0.3232655186,0.501061916,0.9749373953,2.515933207]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1330173181,0.256324017,0.5210530113,0.8630214044,0.9657095316,1.078462614,1.481376062,2.040247866,3.787686297,7.947721966]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7674, 189, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3926239693,0.8578971982,0.7789335445,0.5505105044,0.6217450589,0.6766802785,1.09034179,0.6927225271,1.238362417,2.98495198]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.317783661,0.5160366079,0.6076673295,0.6380015538,0.6629428763,0.7745551178,1.207311619,0.8672095339,1.559532578,2.963227618]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7675, 190, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04656821967,0.08882095998,0.03330418561,0.008173920503,0.001941872969,0.0004758232535,0.0003326514054,0.000238225104,0.0002239585043,0.0003162391249]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07083189493,0.08391071156,0.0641040637,0.04800415008,0.005649685721,0.000592344635,0.0002786749947,0.0004207569595,0.0004309174739,0.0004340144367]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7676, 191, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01468028074,0.04412805373,0.03667506561,0.02276626235,0.020999306,0.01872262377,0.02201333918,0.01740261825,0.01632729887,0.0265055518]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01162366087,0.01480596954,0.01634128321,0.02392698665,0.01583594799,0.01457795174,0.01458488063,0.02666754962,0.02810911884,0.02621339857]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7677, 192, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0297016487,0.0995083082,0.07967282582,0.05145178564,0.05410571062,0.04689680394,0.05016038536,0.04273472389,0.04966045164,0.08616162174]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03696046562,0.05625286086,0.07031783674,0.1090255585,0.07310775434,0.06268845796,0.05878690189,0.1075861597,0.1260353836,0.1415649899]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7678, 193, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3016738198,0.625439877,0.629281468,0.4681185358,0.5446981697,0.6105850272,1.017835415,0.6323469588,1.172150708,2.871968565]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1983676395,0.3610670655,0.4569041454,0.4570448568,0.5683494883,0.6966963632,1.133661157,0.732535068,1.40495716,2.795015218]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7679, 194, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.845528902,6.029433636,7.426604952,5.937045481,5.561291407,5.156108159,6.849278384,11.711879537,18.318962439,34.10460888]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7577455833,2.460309953,4.12259036,6.129787257,4.095061577,4.112082239,4.694140051,6.799647064,11.293669854,12.901229939]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7680, 195, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4406752893,0.99374119,1.389298981,0.9066891794,0.8424852311,0.8509668422,0.9924573883,1.556617582,2.69495446,4.861469717]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1770253247,0.2774897481,0.5288961294,0.7087535502,0.6923047853,0.8032089114,1.226372188,1.669732116,3.042412401,5.241894798]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7681, 196, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02694967341,0.06888265096,0.1348108625,0.1302131889,0.1240603374,0.1402885243,0.204837295,0.4053113834,0.8632875819,1.566105062]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02743285392,0.03320645061,0.06888352129,0.07761130813,0.1292367687,0.09451038412,0.222208009,0.4519642586,0.669569329,1.318139836]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7682, 202, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4137256164,0.9248585391,1.254488117,0.7764759909,0.7184248939,0.7106783191,0.7876200917,1.151306197,1.831666878,3.295364656]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1495924708,0.2442832973,0.4600126078,0.6311422441,0.5630680172,0.7086985274,1.004164178,1.217767859,2.372843071,3.923754974]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7683, 203, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8161254154,1.804101917,2.336962995,1.722737468,1.414451463,1.283527831,1.785638571,2.384125415,4.578604989,9.002991705]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9046644066,1.311165676,1.674053859,2.131691425,2.22665628,2.718522546,3.395834004,4.316195316,6.662124036,11.718073298]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7684, 204, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5444860686,0.8383205068,0.7471871249,0.4743995598,0.4323971626,0.3967889771,0.5832304609,0.6294319462,1.353876051,2.630704174]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6905770277,0.8324008125,0.6938430391,0.7248224939,0.7374577034,0.8877100565,1.207683611,1.354146939,1.917693903,4.330433479]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7685, 205, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02845891425,0.03476653113,0.02324398202,0.02875662493,0.0175852903,0.01829825139,0.01423481792,0.02889248769,0.02781173995,0.05025032007]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03269913242,0.04878216043,0.02388855298,0.03127377348,0.02323424213,0.02752192399,0.04095269473,0.04904757272,0.06316648438,0.09445207797]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7686, 206, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2696497967,0.4347227675,0.3380741267,0.2061802134,0.1761789978,0.1655257525,0.2258948573,0.2129940002,0.4636875531,1.111550106]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3215989552,0.4167054774,0.3559263727,0.322717316,0.3075481143,0.3820767648,0.4943600258,0.4643824283,0.555239193,1.598751671]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7687, 208, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03330579762,0.056471951,0.0451680634,0.0262564536,0.02868674824,0.02221088621,0.04352318479,0.06321670865,0.1754734312,0.2267873097]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05579137779,0.07354588174,0.07749168368,0.104045608,0.09707608694,0.1210269023,0.2203158384,0.1887375379,0.2716474926,0.4331328107]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7688, 209, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0213659614,0.04484340295,0.03938713209,0.03020990311,0.03013292908,0.02739502117,0.05038965456,0.006686248905,0.01905779631,0.02575014844]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01386910913,0.0157177487,0.01211689241,0.007817094988,0.006668960018,0.01006682637,0.01307535875,0.01590179972,0.02636665545,0.03287384235]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7689, 210, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1917055993,0.2675158539,0.301313821,0.1829963645,0.179813198,0.1633590651,0.249187946,0.3176425014,0.6678455295,1.216366284]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2666184535,0.2776495442,0.2244195383,0.2589687006,0.3029303004,0.3470176391,0.4389796908,0.6360776003,1.001274078,2.171223078]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7690, 211, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2716393468,0.9657814102,1.58977587,1.248337908,0.9820543001,0.886738854,1.20240811,1.754693469,3.224728938,6.372287531]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2140873789,0.4787648635,0.9802108202,1.406868931,1.489198577,1.83081249,2.188150393,2.962048377,4.744430133,7.387639819]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7691, 214, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03905424293,0.1827367541,0.3306744855,0.1974125852,0.1697832996,0.1568111428,0.2300099148,0.3492207613,0.7359088007,1.459599243]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03210683196,0.07897726615,0.1368143741,0.2672007973,0.2952103054,0.3757627693,0.4576114478,0.6475465103,1.359557334,2.099111499]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7692, 215, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07771659474,0.4156125896,0.669442569,0.5917152269,0.3874558186,0.2745166227,0.3917220563,0.6128971318,0.9633134019,1.734367748]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08024617584,0.1973837373,0.4325695147,0.653518209,0.6613407337,0.8414783887,0.9988875357,1.202648267,1.8231995,2.634092155]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7693, 223, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.09477862894,0.2122671927,0.3620403692,0.2993530249,0.2489268131,0.2865025571,0.379582462,0.5350128238,1.137394156,2.488193248]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07430349185,0.1626927558,0.2839226774,0.32949571,0.3441821273,0.4065582651,0.5185232597,0.7944144771,1.27174796,2.241229181]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7694, 224, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.06008988019,0.1551648745,0.2276184471,0.1598570749,0.1758883674,0.1689085331,0.2010936755,0.257562752,0.3881125778,0.6901272887]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02743087928,0.03971110387,0.1269042525,0.1566542131,0.1884654115,0.2070130652,0.2131281525,0.317439126,0.2899253322,0.4132069756]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7695, 238, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.570115237,14.689256335,13.291651138,8.501569214,7.261655109,5.988419133,6.498420393,6.215590777,9.252321803,15.168539558]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.430883615,48.109410655,53.034043449,44.644148626,36.4666905,31.931691472,34.355115844,27.142511796,30.87034063,39.715763549]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7696, 239, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.422937229,14.356538528,12.903364492,8.221515508,7.027179227,5.815832894,6.313038501,5.728639925,8.525799561,14.090823933]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.94220424,46.711069634,51.566206535,43.250133099,35.265515273,30.923994379,33.076250502,25.781701291,29.369446232,37.938593835]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7697, 240, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9650566539,1.969991175,1.852754539,1.05295282,0.9809565538,0.836208894,0.9301241148,1.756080929,2.664760834,4.483458481]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.117851921,5.529179307,6.418868672,5.138052408,4.531116534,4.175985228,4.490046704,7.979202293,9.01525579,11.471734863]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7698, 241, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4838014805,1.073824322,1.02333514,0.5987154497,0.5289395354,0.4327789142,0.4597510825,0.7793954707,1.091563721,1.828824237]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.284925961,3.444142732,3.869787221,3.306167068,2.824030395,2.269722474,2.619840586,5.141101484,6.470838239,7.846418252]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7699, 242, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3497022939,0.8554022685,0.7385028921,0.5223783079,0.3793731438,0.322128435,0.3330895594,0.06968298863,0.08927107055,0.1350200725]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.110918074,11.801021839,12.535160943,10.605327805,8.869379638,7.846185497,7.821748445,2.615141637,2.777316982,3.545943341]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7700, 243, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.612434035,10.439448982,9.271026552,6.033261481,5.127324863,4.211380596,4.580821096,3.115032958,4.639083696,7.62421121]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.253870808,25.460828408,28.303644949,23.807312394,18.721244179,16.313547915,17.816507534,9.281060123,10.152782496,13.693216869]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7701, 244, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01194276203,0.01787178923,0.01774536115,0.01420745243,0.01058512368,0.01333605935,0.009252641998,0.008447568815,0.04112024568,0.01930994834]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1746374533,0.4758974225,0.4387447563,0.3932733071,0.319744526,0.3185532884,0.3281072513,0.7651957115,0.9532527663,1.381280509]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7702, 245, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1471780069,0.332717822,0.3882866711,0.2800536998,0.2344758926,0.1725862348,0.1853818984,0.4869508491,0.726522231,1.077715597]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4886793739,1.398340928,1.467836791,1.394015513,1.201175279,1.007697067,1.278865286,1.360810508,1.500894337,1.777169679]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7703, 246, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.176349308,12.203611318,11.506476166,7.794327645,6.910322864,5.742502857,6.313160403,11.405780929,18.118821386,33.317369544]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.534771546,46.135765345,53.841960529,38.79018427,31.512735042,30.547624409,31.647827068,41.493144546,54.879696798,73.456830707]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7704, 247, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2778371986,0.5481955288,0.5008203378,0.3569023723,0.3469415264,0.2671933842,0.3569729627,0.8799598255,1.39624192,2.572607045]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.260140194,2.448998766,2.905652865,2.361341688,1.928201601,2.011234288,2.300783873,3.639659829,4.527150801,6.636908433]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7705, 248, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4874603062,0.9570760527,0.7375500812,0.5719331263,0.4504856265,0.3552482793,0.3435880395,0.8719827321,1.336858207,2.03602886]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.462858097,5.086817544,4.909846868,3.97895415,3.194037361,2.694525197,3.137483698,3.452798553,4.177007067,4.890438712]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7706, 249, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8975227962,2.323903639,2.271301847,1.640963456,1.474474209,1.133070169,1.184344894,1.630692396,2.414406372,4.954921764]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.129945026,3.753867098,4.585424104,3.643279002,3.255604357,2.788501742,3.035083635,4.22034527,5.257301956,8.316423225]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7707, 250, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4588310822,1.161070316,1.005210287,0.6352366635,0.5634022912,0.479344876,0.4894306504,0.6022987603,0.9275556672,1.48602302]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2650751763,0.6869470299,0.7950793218,0.6530240373,0.6227196212,0.5685192035,0.6894302445,1.098238843,1.445239271,2.314412964]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7708, 251, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.674523072,4.004061098,3.581743927,2.221241561,1.85837386,1.494793607,1.299713859,2.023931559,2.650889306,4.412184138]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.975340747,25.429715743,29.267311586,19.569669214,15.035486636,13.382881421,11.916276487,12.369964694,17.099476555,16.361147103]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7709, 252, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7633432524,2.323874014,2.366197222,1.342343194,1.173049669,0.8174291543,0.7751697629,1.225476316,1.747549165,2.510910102]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.874719906,16.83780229,18.901697182,12.708656234,9.578908245,7.756151853,6.972794524,6.437823836,8.351127629,9.060739831]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7710, 349, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7521447822,1.29915091,0.8878398253,0.6443589048,0.4642294242,0.5106000142,0.346406964,0.3806429059,0.3335551689,0.7779467233]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.041145018,5.983578476,7.693569662,4.828533605,3.745784783,4.179979428,3.407459643,3.689626803,6.307540404,4.171643792]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7711, 253, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1590350378,0.3810361734,0.32770688,0.2345394615,0.221094767,0.1667644389,0.178137132,0.4178123374,0.5697849718,1.123327313]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.059475823,2.608334977,2.672044743,2.032479375,1.710793608,1.446750139,1.53602232,2.242514054,2.440808523,3.128763481]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7712, 254, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5595391723,1.463674351,1.74529003,1.346064552,1.131761393,1.178382968,1.630607472,3.651421579,6.562135314,12.929688241]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7079193463,1.210105652,1.72161669,2.106519623,2.122151187,2.784703684,4.341042351,9.078086647,13.013856833,21.857522448]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7713, 255, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08141945587,0.2162923876,0.3672090548,0.1534232814,0.1440011831,0.1016632478,0.1966107874,0.3569232398,0.6777883468,0.9307964593]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2059393923,0.3568661807,0.5074308674,0.4165457145,0.3611071778,0.3662756196,0.5312292692,0.4200530054,0.8241049378,0.987688925]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7714, 256, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05912572422,0.1592966756,0.320519833,0.1155489851,0.1075397186,0.0671896837,0.1497971223,0.2166580112,0.4431270524,0.6311168046]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1172366167,0.1669884321,0.2821962075,0.2402665504,0.147679558,0.2013121623,0.2855392412,0.2610340967,0.6042365251,0.6948905276]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7715, 257, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02229373182,0.05699571216,0.04668922278,0.03787429642,0.03646146453,0.03447356423,0.04681366533,0.1402652298,0.2346612938,0.2996796536]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08870277541,0.1898777489,0.2252346596,0.1762791639,0.2134276201,0.1649634569,0.2456900274,0.1590189095,0.219868414,0.292798397]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7716, 350, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4441572463,0.9330625895,0.7372314833,0.4841699785,0.5928747831,0.4595017476,0.5412691979,0.9417046573,1.493193407,2.907939687]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.864665725,5.683802735,7.544073575,4.718387117,3.996805153,5.069990089,4.653244704,4.457396155,5.702242841,8.275671462]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7717, 351, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4337860395,0.9216437104,0.7268078149,0.4758409352,0.5838995377,0.4531488004,0.5347291672,0.9312664943,1.478620021,2.890926631]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.81491276,5.546873905,7.413148125,4.612611261,3.902495386,4.959403395,4.540175963,4.249802902,5.46086958,8.029759186]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7718, 353, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01037120675,0.01141887916,0.01042366837,0.008329043251,0.008975245474,0.006352947234,0.00654003074,0.01043816297,0.01457338602,0.01701305644]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.04975296504,0.1369288292,0.1309254499,0.1057758566,0.09430976671,0.1105866945,0.1130687418,0.2075932524,0.2413732611,0.245912276]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7719, 258, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2950589776,0.5962753548,0.5601191175,0.3843926534,0.3480079906,0.2733045784,0.2706225406,0.4468661794,0.6597528472,1.087180331]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6628878428,1.478644596,1.605524651,1.342463724,0.9966219477,0.880993165,1.043252805,2.756601551,2.833316537,3.816617435]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7720, 259, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.97420697,28.639506621,31.205913474,18.196125572,13.15127872,7.968845223,7.077408058,6.622296853,8.039901603,12.525362469]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.959821127,115.690260798,132.180456664,107.466477875,78.496282613,56.943208026,52.116982816,46.720948866,48.044211664,53.282992154]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7721, 260, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.330956485,8.140292074,7.599097829,4.624270057,3.981665351,2.814599942,2.984605091,3.364943473,4.375396339,7.68724211]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.945345271,45.427948749,42.531677619,32.524185252,22.314455229,18.415104338,20.898587449,23.731231294,27.468202885,33.998402465]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7722, 261, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.643250486,20.499214547,23.606815645,13.571855514,9.169613369,5.15424528,4.092802968,3.25735338,3.664505264,4.838120358]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.014475856,70.26231205,89.648779045,74.942292624,56.181827385,38.528103688,31.218395367,22.989717572,20.576008778,19.284589689]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7723, 262, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.146846193,4.931196814,5.511608754,3.228526761,2.051794555,1.185122738,0.8466324462,1.057054787,1.377822302,1.602100725]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.932034714,9.256172481,14.121841847,12.453355942,10.084557162,7.216168951,5.750016949,4.107723329,4.392162414,3.908260563]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7724, 263, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.291082296,9.164440674,11.236998053,6.467323817,4.101572312,2.436838472,1.940992364,1.147156837,1.080545952,1.585823404]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.049176756,44.627649317,51.868232868,41.18672963,28.671248104,19.043137795,14.990092336,12.10577751,9.781645509,9.084688885]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7725, 264, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.20532199,6.403577112,6.85820881,3.876004935,3.016246499,1.532284069,1.305178163,1.053141755,1.206137006,1.650196227]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.033264372,16.378490246,23.658704366,21.302207045,17.426022117,12.268796987,10.478286094,6.776216701,6.402200828,6.291640258]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7726, 315, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.955898738,27.25544632,57.41204625,101.361961178,134.979460492,147.129149107,140.890869747,115.02543197,74.021477261,57.081675033]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7727, 37, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.81477392,18.555414882,30.273439204,20.129919644,8.931918919,2.145213015,0.8459298599,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7728, 38, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1997787287,1.398626801,2.281557542,1.790681714,1.009442526,0.2263837428,0.05457912885,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7729, 39, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2519169936,1.624662252,2.419939949,1.489572584,0.6371295204,0.201716712,0.121273827,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7730, 40, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5804802732,3.126981312,4.448248359,2.750650538,1.245360301,0.2680005383,0.07514057349,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7731, 41, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1436552895,1.046511988,1.899152616,1.185101161,0.412183637,0.08293150944,0.02934669269,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7732, 42, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2546072824,1.69312813,2.766532399,1.835932611,0.8056399437,0.2688319592,0.167633641,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7733, 327, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.5146762908,3.600644164,5.41785773,3.540747124,1.659010799,0.3800926839,0.1231430185,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7734, 328, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4472366222,2.585662856,4.176555657,2.663507517,1.113012779,0.2681323052,0.1125601978,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7735, 43, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3614491773,2.282833792,3.353526938,2.166726375,1.025493211,0.2473097259,0.09161888069,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7736, 58, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03121706369,0.09082130654,0.1146384862,0.07605491662,0.07311287611,0.05344268229,0.05429423205,0.04647779322,0.04904063938,0.04477634877]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7737, 80, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.08118308625,0.4634771286,1.526430479,2.257598985,4.124867557,5.73988377,8.879363875,14.3525579,25.558236811,47.217744619]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7738, 81, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01062130709,0.03679484463,0.03532364179,0.07392582677,0.1112348968,0.1991162187,0.3059432993,0.7869859181,1.964381846,5.8554249]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7739, 91, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1175871374,0.3297854915,0.3567012521,0.4319651674,0.5992801308,0.8254128871,1.496121522,2.945618083,6.01029793,15.559707074]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7740, 181, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02838719088,0.08295460892,0.1270776473,0.09819818472,0.07950470501,0.06225198048,0.04961483984,0.06395009378,0.1100078805,0.177258574]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7741, 182, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.001746921481,0.004584614621,0.01404106721,0.01176531628,0.01536415088,0.01185199081,0.02026705204,0.02493636882,0.02345290732,0.03749531652]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7742, 183, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.003476363105,0.007999794596,0.01064543394,0.006642951693,0.004039257573,0.001941955498,0.001311485947,0.0015448554,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7743, 185, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006334995292,0.01520082251,0.02153689213,0.01617196129,0.01154653121,0.009598470069,0.005099384778,0.00620019349,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7744, 186, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005754843566,0.01363885639,0.01798874579,0.01230044997,0.009220314205,0.007422901437,0.004097586174,0.00750590278,0.02104276579,0.03599611888]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7745, 188, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01107406745,0.04153052081,0.0628655083,0.05131750539,0.03933445128,0.03143666268,0.01883933084,0.02376277327,0.06551220734,0.1037671386]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7746, 329, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05468628178,1.170951764,3.45812696,2.659893886,1.002590692,0.1965294242,0.06866744702,null,null,null]}', '', '', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7747, 139, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01784829932,0.01812889281,0.01271017064,0.01454949727,0.02424960159,0.04156417289,0.1269160312,0.4856451401,1.183069603]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.02719254588,0.04626112084,0.04629337507,0.03627886055,0.05885243779,0.09693501416,0.2329559427,0.6502278878,1.962082852]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7748, 141, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.0286655485,0.03451619172,0.03069411564,0.06268986006,0.06790179799,0.1356347699,0.2198087405,0.3965903382,0.5808603048]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,0.01462986936,0.01252181262,0.03323023188,0.0285880051,0.08011645669,0.1108876454,0.1325587122,0.2691591526,0.3992281679]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7749, 307, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1185763766,0.09803849429,0.1081507207,0.1138380695,0.1703887565,0.4074899148,0.9792633975,2.476581977]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1146005154,0.179310557,0.2358145435,0.3799572946,0.7846947823,1.667530038,3.488956089,7.688790278]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7750, 305, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.01986568074,0.02811031312,0.04653755076,0.09190802637,0.192409662,0.5139173109,1.312383925,3.161375105]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.03165627035,0.06024514995,0.1515402977,0.3916361498,1.012364623,2.408804789,5.01379993,10.892787715]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7751, 308, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2521632907,0.2456774983,0.3123659776,0.4058036737,0.843919957,2.111945041,5.149176415,15.215701806]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2581487797,0.3678932676,0.555739445,0.9416477682,2.194954927,4.977878949,10.538091081,27.21462816]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7752, 266, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.140457604,1.408719662,1.918647953,2.674492926,4.592412824,10.241773315,21.960644053,47.145414949]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.9053015,3.206466501,5.55082093,9.081285786,17.949817922,30.127003002,50.529969284,90.443539765]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7753, 268, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,13.244464683,12.6362096,18.372203929,24.531328727,43.00470814,90.463972209,202.261860593,484.319583861]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.081302676,11.426295083,19.025292046,33.200496047,63.986250945,116.90895586,223.550428129,455.000174892]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7754, 286, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.73848236,7.736419707,10.776980746,15.307102566,27.235935015,57.76907515,132.850284784,340.713323287]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,9.318507932,12.758719129,20.158088965,34.724376495,71.101123597,132.846456405,265.189942762,590.84085143]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7755, 287, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.260109539,2.289174872,3.189078125,4.446744099,7.954751247,17.142122745,39.342194898,111.586024616]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.488300279,4.67852298,7.022962045,12.16524862,24.261090029,46.089926249,90.968442351,208.680038952]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7756, 288, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.84969534,1.826165535,2.408500296,3.133589123,5.519572315,11.57172284,25.870112659,75.352647788]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.729210709,3.564626266,5.022807363,7.8984411,15.230848436,26.923557561,50.744688345,121.867132395]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7757, 289, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.062721679,1.991082128,2.690351602,3.717123614,6.401049498,12.843910754,28.571723393,67.055680822]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,2.428516311,3.184495185,4.840335732,7.882422696,15.231158074,26.106885308,48.798687327,99.919836347]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7758, 290, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.364463398,1.379445883,1.845502738,2.651702869,4.462304246,8.986921097,20.472517729,46.529810351]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.746356827,2.376262985,3.914602844,6.579677759,13.149420349,23.119862816,45.471720419,95.669371983]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7759, 291, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.07479071415,0.08144472543,0.112487178,0.1622321535,0.2974621616,0.743955735,1.842829143,4.047625305]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.09432159865,0.1214242581,0.1768246203,0.2803135832,0.5883299645,1.161708964,2.574365336,5.754974036]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7760, 292, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.3256453001,0.3050830094,0.4262177262,0.6197847195,1.094728102,2.260939736,5.293019323,10.641028636]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2815642143,0.3720475445,0.5837169706,0.9991492394,1.995304787,3.52178953,6.79889953,12.042068235]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7761, 293, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.6905078267,0.6340169162,0.8939626492,1.332503666,2.389815178,4.348545642,8.22964858,14.810185228]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.6892983363,0.83193432,1.28950791,2.091191183,4.130417697,6.873087534,13.368033835,25.274269145]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7762, 294, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.582368003,1.379088257,1.871394044,2.448377824,3.818602034,6.950780525,13.587646006,28.349932314]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.314951271,1.698236553,2.731791439,4.554803892,9.024208503,15.479503724,26.161597738,40.859067359]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7763, 295, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.4309159499,0.4645628162,0.6158303218,0.88363194,1.508620586,3.206979545,7.341564652,17.198980542]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.6424479874,0.8821218554,1.488814371,2.46944824,4.855581787,8.463827927,16.323385454,35.409392532]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7764, 296, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1031044825,0.1113293202,0.1559281293,0.2145103735,0.3702344207,0.8827571966,2.177945616,4.972708423]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1284402617,0.1628374868,0.2294348502,0.3654536258,0.8330525989,1.742951293,4.032646638,9.569704188]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7765, 297, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.6860747005,0.7121035347,0.9038405925,1.234749878,2.045152366,4.025743299,9.329480125,21.674808246]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.10728533,1.505397781,2.471395573,4.037168978,8.155843378,14.040083935,28.359417218,60.960728699]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7766, 298, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2913999045,0.314441589,0.419029897,0.5685499465,0.9847350782,1.892035117,4.30357054,10.148605971]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.5029847865,0.703677264,1.192556898,1.944286685,4.148153937,7.175805983,14.092560577,29.036083916]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7767, 299, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2851607712,0.2642161916,0.2966068233,0.3711064385,0.6215858207,1.184835307,2.699607351,6.143614655]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.4451067406,0.5297487473,0.7559824591,1.110685053,2.340941681,4.045426925,8.262470301,17.493690828]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7768, 300, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.310285992,1.326612231,1.839736747,2.541773653,4.555872198,9.745730168,22.281667891,62.484963338]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.63639484,2.305076106,3.508223292,5.916126095,11.957160229,22.435646918,44.254655602,108.345888835]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7769, 270, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.630235567,1.776414687,2.581996374,3.747802318,6.496371459,14.270242238,34.242963634,88.023557873]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.878744245,2.574651342,4.199331769,7.239311077,14.951980223,29.368859448,61.609018921,143.046020248]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7770, 357, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.171847332e-5,0.0002951064058,3.650340382e-5,0.001441808491,0.009518683034,0.06208656703,0.3650200886,1.459521755]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0002008484025,6.843876788e-5,0.01198239709,0.08225888032,0.4123875023,1.869976985,6.157838137,23.017039469]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7771, 358, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.24266511e-5,4.601148479e-5,0.000213643287,0.000404814982,0.001409438012,0.003835333153,0.01230454222,0.02999741208]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.754772421e-5,0.0001452475439,0.001068878743,0.002726859442,0.01283447157,0.03075223225,0.07959416533,0.1708656768]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7772, 360, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.757553915e-6,9.516836173e-6,2.616204429e-5,5.030303412e-5,0.0001192702806,0.0003114986991,0.001023837593,0.002429398232]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.346399484e-5,2.542108134e-5,0.0001133367028,0.00028694768,0.000900646561,0.002147657762,0.005516313509,0.01193671182]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7773, 361, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.20553166e-6,1.158397042e-5,5.398486031e-5,0.0001048345582,0.0003558826723,0.0009443515453,0.003144457303,0.007572738547]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.935360992e-5,3.718385299e-5,0.0002726476664,0.0007094650087,0.003301287318,0.007919929948,0.02015923825,0.04412953573]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7774, 362, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,3.186238638e-5,4.436799921e-5,0.0002067747714,0.0003965751682,0.001390679551,0.00367953189,0.01207161163,0.0294427694]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,6.425966555e-5,0.0001201762314,0.0009097458091,0.002316679737,0.01063968497,0.02578517116,0.06636151585,0.1417112105]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7775, 363, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003518711943,0.0004891097284,0.002287294062,0.004420232516,0.01540520343,0.04029099567,0.1337572227,0.3292953452]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.001246920405,0.002370725161,0.01739384019,0.04500510422,0.2068287584,0.4875278064,1.267713809,2.759922573]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7776, 364, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0006752655747,0.0009371131395,0.004343506339,0.008306267141,0.02886854491,0.07553404628,0.2494287448,0.6108678648]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0009537840132,0.001790413096,0.01340406798,0.0344504292,0.1575529582,0.3722843384,0.9663041176,2.097607025]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7777, 366, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001336878621,0.0001849217803,0.0008598300525,0.001643624355,0.005572316521,0.01530843584,0.05045899357,0.1202694469]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003419533653,0.0006357953725,0.004672614262,0.0122098815,0.05758667414,0.1352099725,0.3508510161,0.7463171238]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7778, 367, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,7.402783375e-5,0.0001033617313,0.0004819140865,0.00091401523,0.003215200838,0.008418969674,0.02771519193,0.06765796469]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.000167287627,0.0003184069197,0.002360655843,0.006090174959,0.02807100184,0.06624566684,0.1757296319,0.373057271]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7779, 368, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0001606079807,0.0002240126808,0.001037313436,0.001983254356,0.00697855698,0.01817825764,0.0603912082,0.1458762264]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0009556958018,0.001817751963,0.01330932692,0.03455984794,0.1588322979,0.3744992578,0.9765447789,2.102942869]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7780, 369, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.452220315e-5,0.0001521368128,0.0004753439337,0.0007055950777,0.002713220967,0.006292316476,0.01897492989,0.0385221598]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.0003255813477,0.0003800936795,0.001797655012,0.006479922925,0.03236632202,0.07500333632,0.2108809717,0.3901465059]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7781, 370, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,8.088921668e-6,1.017036608e-5,2.227516723e-5,3.374514697e-5,8.645743835e-5,0.0002412524773,0.000615118634,0.00137709726]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,1.357875955e-5,1.393927692e-5,6.68700388e-5,0.0001207321654,0.0005109757015,0.0009774034751,0.002790382915,0.005491939347]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7782, 146, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.1241850859,0.1064090491,0.1210754083,0.123711732,0.1656635178,0.2128056911,0.3753931823,0.6735300933]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,0.2451897267,0.3216672854,0.3810326569,0.4745826633,0.6777208089,0.8393933056,1.169402854,1.546469509]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7783, 271, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,4.960178791,6.281106977,7.623033095,10.631280487,26.060543334,62.321947922,160.79584227]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,24.51349753,29.278934996,45.065555293,82.055671883,139.631562539,274.173931607,571.7330443]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7784, 273, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,4.365511926,5.620874676,6.929670203,9.567858154,24.413383982,59.439445782,154.124391042]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,24.448893958,29.1521627,44.823652425,81.464064915,138.366966093,271.585651126,565.357551584]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7785, 272, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.5946668652,0.6602323043,0.6933629012,1.063422349,1.647159358,2.882502118,6.671451224]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.06460358481,0.1267722816,0.2419028567,0.5916069614,1.264596488,2.588280422,6.375492812]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7786, 110, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.06865424326,0.1028986552,0.1057147376,0.208231818,0.3216142392,1.029982173,2.742734112]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,0.04708226918,0.05305306051,0.1328489046,0.2316863207,0.5100951895,1.330403603,3.552681033]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7787, 269, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.3338456631,0.5496898917,1.355563283,2.466868527,4.451524416]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,1.193879745,2.278264511,2.904864755,4.291766769,7.195413669]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7788, 112, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.1209601978,0.2222765452,0.4392862162,1.046995679,2.541169571]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.458258597,0.8798997016,1.91226631,4.188010743,8.977863922]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, ''),
(7789, 138, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.001710534218,0.02525917789,0.1938786721,1.209152991,4.041225872]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[null,null,null,null,null,0.001082681158,0.01687017571,0.3737621634,2.935163172,9.750244413]}', '', 2013, '', 1, 450, '', '2016-05-23 16:04:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, '');





--
-- Dumping data for table `#__costbenefitprojection_currency`
--

INSERT INTO `#__costbenefitprojection_currency` (`id`, `alias`, `codethree`, `decimalplace`, `decimalsymbol`, `name`, `negativestyle`, `numericcode`, `positivestyle`, `symbol`, `thousands`, `params`, `published`, `created_by`, `modified_by`, `created`, `modified`, `checked_out`, `checked_out_time`, `version`, `hits`, `access`, `ordering`) VALUES
(1, '', 'AED', 2, ',', 'United Arab Emirates dirham', '{sign}{number} {symbol}', 784, '{number} {symbol}', 'د.إ', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 23),
(2, '', 'AFN', 2, ',', 'Afghan afghani', '{sign}{number} {symbol}', 971, '{number} {symbol}', '؋', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 24),
(3, '', 'ALL', 2, ',', 'Albanian lek', '{sign}{number} {symbol}', 8, '{number} {symbol}', 'Lek', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 25),
(4, '', 'AMD', 2, ',', 'Armenian dram', '{sign}{number} {symbol}', 51, '{number} {symbol}', 'դր.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 26),
(5, '', 'ANG', 2, ',', 'Netherlands Antillean gulden', '{sign}{number} {symbol}', 532, '{number} {symbol}', 'ƒ', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 27),
(6, '', 'AOA', 2, ',', 'Angolan kwanza', '{sign}{number} {symbol}', 973, '{number} {symbol}', 'Kz', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 28),
(7, '', 'ARS', 2, ',', 'Argentine peso', '{sign}{number} {symbol}', 32, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 29),
(8, '', 'AUD', 2, '.', 'Australian dollar', '{sign}{symbol} {number}', 36, '{symbol} {number}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 5),
(9, '', 'AWG', 2, ',', 'Aruban florin', '{sign}{number} {symbol}', 533, '{number} {symbol}', 'ƒ', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 30),
(10, '', 'AZN', 2, ',', 'Azerbaijani manat', '{sign}{number} {symbol}', 934, '{number} {symbol}', 'ман', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 31),
(11, '', 'BAM', 2, ',', 'Bosnia and Herzegovina convert', '{sign}{number} {symbol}', 977, '{number} {symbol}', 'KM', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 32),
(12, '', 'BBD', 2, ',', 'Barbadian dollar', '{sign}{number} {symbol}', 52, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 33),
(13, '', 'BDT', 2, ',', 'Bangladeshi taka', '{sign}{number} {symbol}', 50, '{number} {symbol}', '৳', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 34),
(14, '', 'BGN', 2, ',', 'Bulgarian lev', '{sign}{number} {symbol}', 975, '{number} {symbol}', 'лв', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 35),
(15, '', 'BHD', 2, ',', 'Bahraini dinar', '{sign}{number} {symbol}', 48, '{number} {symbol}', 'ب.د', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 36),
(16, '', 'BIF', '', '', 'Burundian franc', '{sign}{number} {symbol}', 108, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 37),
(17, '', 'BMD', 2, ',', 'Bermudian dollar', '{sign}{number} {symbol}', 60, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 38),
(18, '', 'BND', 2, ',', 'Brunei dollar', '{sign}{number} {symbol}', 96, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 39),
(19, '', 'BOB', 2, ',', 'Bolivian boliviano', '{sign}{number} {symbol}', 68, '{number} {symbol}', '$b', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 40),
(20, '', 'BOV', 2, ',', 'Mvdol', '{sign}{number} {symbol}', 984, '{number} {symbol}', 'BOV', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 41),
(21, '', 'BRL', 2, '.', 'Brazilian real', '{symbol} {sign}{number}', 986, '{symbol} {number}', 'R$', ',', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 17),
(22, '', 'BSD', 2, ',', 'Bahamian dollar', '{sign}{number} {symbol}', 44, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 42),
(23, '', 'BTN', 2, ',', 'Bhutanese ngultrum', '{sign}{number} {symbol}', 64, '{number} {symbol}', 'BTN', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 43),
(24, '', 'BWP', 2, ',', 'Botswana pula', '{sign}{number} {symbol}', 72, '{number} {symbol}', 'P', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 44),
(25, '', 'BYR', '', '', 'Belarusian ruble', '{sign}{number} {symbol}', 974, '{number} {symbol}', 'p.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 45),
(26, '', 'BZD', 2, ',', 'Belize dollar', '{sign}{number} {symbol}', 84, '{number} {symbol}', 'BZ$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 46),
(27, '', 'CAD', 2, '.', 'Canadian dollar', '{symbol}{sign}{number}', 124, '{symbol}{number}', '$', ',', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 7),
(28, '', 'CDF', 2, ',', 'Congolese franc', '{sign}{number} {symbol}', 976, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 47),
(29, '', 'CHE', 2, ',', 'WIR Euro', '{sign}{number} {symbol}', 947, '{number} {symbol}', '€', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 48),
(30, '', 'CHF', 2, ',', 'Swiss franc', '{sign}{number} {symbol}', 756, '{number} {symbol}', 'CHF', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 6),
(31, '', 'CHW', 2, ',', 'WIR Franc', '{sign}{number} {symbol}', 948, '{number} {symbol}', 'CHW', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 49),
(32, '', 'CLF', '', ',', 'Unidad de Fomento', '{sign}{number} {symbol}', 990, '{number} {symbol}', 'CLF', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 50),
(33, '', 'CLP', 2, ',', 'Chilean peso', '{sign}{number} {symbol}', 152, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 51),
(34, '', 'CNY', 2, ',', 'Chinese renminbi yuan', '{sign}{number} {symbol}', 156, '{number} {symbol}', '元', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 9),
(35, '', 'COP', 2, ',', 'Colombian peso', '{sign}{number} {symbol}', 170, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 52),
(36, '', 'COU', 2, ',', 'Unidad de Valor Real', '{sign}{number} {symbol}', 970, '{number} {symbol}', 'COU', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 53),
(37, '', 'CRC', 2, ',', 'Costa Rican colón', '{sign}{number} {symbol}', 188, '{number} {symbol}', '₡', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 54),
(38, '', 'CZK', 2, ',', 'Czech koruna', '{sign}{number} {symbol}', 203, '{number} {symbol}', 'Kč', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 57),
(39, '', 'CUP', 2, ',', 'Cuban peso', '{sign}{number} {symbol}', 192, '{number} {symbol}', '₱', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 55),
(40, '', 'CVE', '', '', 'Cape Verdean escudo', '{sign}{number} {symbol}', 132, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 56),
(41, '', 'DJF', '', '', 'Djiboutian franc', '{sign}{number} {symbol}', 262, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 58),
(42, '', 'DKK', 2, '.', 'Danish krone', '{symbol}{sign}{number}', 208, '{symbol}{number}', 'kr', ',', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 19),
(43, '', 'DOP', 2, ',', 'Dominican peso', '{sign}{number} {symbol}', 214, '{number} {symbol}', 'RD$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 59),
(44, '', 'DZD', 2, ',', 'Algerian dinar', '{sign}{number} {symbol}', 12, '{number} {symbol}', 'د.ج', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 60),
(45, '', 'EGP', 2, ',', 'Egyptian pound', '{sign}{number} {symbol}', 818, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 61),
(46, '', 'ERN', 2, ',', 'Eritrean nakfa', '{sign}{number} {symbol}', 232, '{number} {symbol}', 'Nfk', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 62),
(47, '', 'ETB', 2, ',', 'Ethiopian birr', '{sign}{number} {symbol}', 230, '{number} {symbol}', 'ETB', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 63),
(48, '', 'EUR', 2, ',', 'Euro', '{sign}{number} {symbol}', 978, '{number} {symbol}', '€', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 2),
(49, '', 'FJD', 2, ',', 'Fijian dollar', '{sign}{number} {symbol}', 242, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 64),
(50, '', 'FKP', 2, ',', 'Falkland pound', '{sign}{number} {symbol}', 238, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 65),
(51, '', 'GBP', 2, '.', 'British pound', '{symbol}{sign}{number}', 826, '{symbol}{number}', '£', ',', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 4),
(52, '', 'GEL', 2, ',', 'Georgian lari', '{sign}{number} {symbol}', 981, '{number} {symbol}', 'ლ', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 66),
(53, '', 'GHS', 2, ',', 'Ghanaian cedi', '{sign}{number} {symbol}', 936, '{number} {symbol}', '₵', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 67),
(54, '', 'GIP', 2, ',', 'Gibraltar pound', '{sign}{number} {symbol}', 292, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 68),
(55, '', 'GMD', 2, ',', 'Gambian dalasi', '{sign}{number} {symbol}', 270, '{number} {symbol}', 'D', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 69),
(56, '', 'GNF', '', '', 'Guinean franc', '{sign}{number} {symbol}', 324, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 70),
(57, '', 'GTQ', 2, ',', 'Guatemalan quetzal', '{sign}{number} {symbol}', 320, '{number} {symbol}', 'Q', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 71),
(58, '', 'GYD', 2, ',', 'Guyanese dollar', '{sign}{number} {symbol}', 328, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 72),
(59, '', 'HKD', 2, ',', 'Hong Kong dollar', '{sign}{number} {symbol}', 344, '{number} {symbol}', '元', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 13),
(60, '', 'HNL', 2, ',', 'Honduran lempira', '{sign}{number} {symbol}', 340, '{number} {symbol}', 'L', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 73),
(61, '', 'HRK', 2, ',', 'Croatian kuna', '{sign}{number} {symbol}', 191, '{number} {symbol}', 'kn', '.', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 74),
(62, '', 'HTG', 2, ',', 'Haitian gourde', '{sign}{number} {symbol}', 332, '{number} {symbol}', 'G', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 75),
(63, '', 'HUF', 2, ',', 'Hungarian forint', '{sign}{number} {symbol}', 348, '{number} {symbol}', 'Ft', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 76),
(64, '', 'IDR', '', '', 'Indonesian rupiah', '{symbol}{sign}{number}', 360, '{symbol}{number}', 'Rp', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 77),
(65, '', 'ILS', 2, ',', 'Israeli new sheqel', '{sign}{number} {symbol}', 376, '{number} {symbol}', '₪', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 20),
(66, '', 'INR', 2, ',', 'Indian rupee', '{sign}{number} {symbol}', 356, '{number} {symbol}', '₨', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 16),
(67, '', 'IQD', '', '', 'Iraqi dinar', '{sign}{number} {symbol}', 368, '{number} {symbol}', 'ع.د', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 78),
(68, '', 'IRR', 2, ',', 'Iranian rial', '{sign}{number}{symb0l}', 364, '{number} {symbol}', '﷼', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 79),
(69, '', 'ISK', 2, ',', 'Icelandic króna', '{sign}{number} {symbol}', 352, '{number} {symbol}', 'kr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 80),
(70, '', 'JMD', 2, ',', 'Jamaican dollar', '{sign}{number} {symbol}', 388, '{number} {symbol}', 'J$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 81),
(71, '', 'JOD', 2, ',', 'Jordanian dinar', '{sign}{number} {symbol}', 400, '{number} {symbol}', 'د.ا', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 82),
(72, '', 'JPY', 2, ',', 'Japanese yen', '{sign}{number} {symbol}', 392, '{number} {symbol}', '¥', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 3),
(73, '', 'KES', 2, ',', 'Kenyan shilling', '{sign}{number} {symbol}', 404, '{number} {symbol}', 'Sh', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 83),
(74, '', 'KGS', 2, ',', 'Kyrgyzstani som', '{sign}{number} {symbol}', 417, '{number} {symbol}', 'лв', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 84),
(75, '', 'KHR', 2, ',', 'Cambodian riel', '{sign}{number} {symbol}', 116, '{number} {symbol}', '៛', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 85),
(76, '', 'KMF', '', '', 'Comorian franc', '{sign}{number} {symbol}', 174, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 86),
(77, '', 'KPW', '', '', 'North Korean won', '{sign}{number} {symbol}', 408, '{number} {symbol}', '₩', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 87),
(78, '', 'KRW', '', '', 'South Korean won', '{sign}{number} {symbol}', 410, '{number} {symbol}', '₩', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 21),
(79, '', 'KWD', 2, ',', 'Kuwaiti dinar', '{sign}{number} {symbol}', 414, '{number} {symbol}', 'د.ك', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 88),
(80, '', 'KYD', 2, ',', 'Cayman Islands dollar', '{sign}{number} {symbol}', 136, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 89),
(81, '', 'KZT', 2, ',', 'Kazakhstani tenge', '{sign}{number} {symbol}', 398, '{number} {symbol}', 'лв', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 90),
(82, '', 'LAK', '', '', 'Lao kip', '{sign}{number} {symbol}', 418, '{number} {symbol}', '₭', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 91),
(83, '', 'LBP', '', '', 'Lebanese pound', '{sign}{number} {symbol}', 422, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 92),
(84, '', 'LKR', 2, ',', 'Sri Lankan rupee', '{sign}{number} {symbol}', 144, '{number} {symbol}', '₨', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 93),
(85, '', 'LRD', 2, ',', 'Liberian dollar', '{sign}{number} {symbol}', 430, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 94),
(86, '', 'LSL', 2, ',', 'Lesotho loti', '{sign}{number} {symbol}', 426, '{number} {symbol}', 'L', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 95),
(87, '', 'LTL', 2, ',', 'Lithuanian litas', '{sign}{number} {symbol}', 440, '{number} {symbol}', 'Lt', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 96),
(88, '', 'LVL', 2, ',', 'Latvian lats', '{sign}{number} {symbol}', 428, '{number} {symbol}', 'Ls', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 97),
(89, '', 'LYD', 3, ',', 'Libyan dinar', '{sign}{number} {symbol}', 434, '{number} {symbol}', 'ل.د', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 98),
(90, '', 'MAD', 2, ',', 'Moroccan dirham', '{sign}{number} {symbol}', 504, '{number} {symbol}', 'د.م.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 99),
(91, '', 'MDL', 2, ',', 'Moldovan leu', '{sign}{number} {symbol}', 498, '{number} {symbol}', 'L', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 100),
(92, '', 'MGA', 2, ',', 'Malagasy ariary', '{sign}{number} {symbol}', 969, '{number} {symbol}', 'MGA', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 101),
(93, '', 'MKD', 2, ',', 'Macedonian denar', '{sign}{number} {symbol}', 807, '{number} {symbol}', 'ден', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 102),
(94, '', 'MMK', 2, ',', 'Myanmar kyat', '{symbol} {sign}{number}', 104, '{number} {symbol}', 'K', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 103),
(95, '', 'MNT', 2, ',', 'Mongolian tögrög', '{sign}{number} {symbol}', 496, '{number} {symbol}', '₮', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 104),
(96, '', 'MOP', 1, ',', 'Macanese pataca', '{symbol}{sign}{number}', 446, '{symbol}{number}', 'P', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 105),
(97, '', 'MRO', 2, ',', 'Mauritanian ouguiya', '{sign}{number} {symbol}', 478, '{number} {symbol}', 'UM', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 106),
(98, '', 'MUR', 2, ',', 'Mauritian rupee', '{sign}{number} {symbol}', 480, '{number} {symbol}', '₨', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 107),
(99, '', 'MVR', 2, ',', 'Maldivian rufiyaa', '{sign}{number} {symbol}', 462, '{number} {symbol}', 'ރ.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 108),
(100, '', 'MWK', 2, ',', 'Malawian kwacha', '{sign}{number} {symbol}', 454, '{number} {symbol}', 'MK', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 109),
(101, '', 'MXN', 2, ',', 'Mexican peso', '{sign}{number} {symbol}', 484, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 8),
(102, '', 'MXV', 2, ',', 'Mexican Unid', '{sign}{number} {symbol}', 979, '{number} {symbol}', 'MXV', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 110),
(103, '', 'MYR', 2, ',', 'Malaysian ringgit', '{sign}{number} {symbol}', 458, '{number} {symbol}', 'RM', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 111),
(104, '', 'MZN', 2, ',', 'Mozambican metical', '{sign}{number} {symbol}', 943, '{number} {symbol}', 'MT', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 112),
(105, '', 'NAD', 2, ',', 'Namibian dollar', '{symbol} {sign}{number}', 516, '{symbol} {number}', 'N$', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 113),
(106, '', 'NGN', 2, ',', 'Nigerian naira', '{sign}{number} {symbol}', 566, '{number} {symbol}', '₦', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 114),
(107, '', 'NIO', 2, ',', 'Nicaraguan córdoba', '{sign}{number} {symbol}', 558, '{number} {symbol}', 'C$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 115),
(108, '', 'NOK', 2, ',', 'Norwegian krone', '{symbol}{sign}{number}', 578, '{symbol}{number}', 'kr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 18),
(109, '', 'NPR', 2, ',', 'Nepalese rupee', '{sign}{number} {symbol}', 524, '{number} {symbol}', '₨', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 116),
(110, '', 'NZD', 2, ',', 'New Zealand dollar', '{symbol}{sign}{number}', 554, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 10),
(111, '', 'OMR', 3, '.', 'Omani rial', '{sign}{number} {symbol}', 512, '{number} {symbol}', '﷼', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 117),
(112, '', 'PAB', 2, ',', 'Panamanian balboa', '{sign}{number} {symbol}', 590, '{number} {symbol}', 'B/.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 118),
(113, '', 'PEN', 2, ',', 'Peruvian nuevo sol', '{sign}{number} {symbol}', 604, '{number} {symbol}', 'S/.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 119),
(114, '', 'PGK', 2, ',', 'Papua New Guinean kina', '{sign}{number} {symbol}', 598, '{number} {symbol}', 'K', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 120),
(115, '', 'PHP', 2, ',', 'Philippine peso', '{sign}{number} {symbol}', 608, '{number} {symbol}', '₱', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 121),
(116, '', 'PKR', 2, ',', 'Pakistani rupee', '{sign}{number} {symbol}', 586, '{number} {symbol}', '₨', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 122),
(117, '', 'PLN', 2, ',', 'Polish Złoty', '{sign}{number} {symbol}', 985, '{number} {symbol}', 'zł', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 123),
(118, '', 'PYG', '', '', 'Paraguayan guaraní', '{symbol} {sign}{number}', 600, '{symbol} {number}', '₲', '.', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 124),
(119, '', 'QAR', 2, ',', 'Qatari riyal', '{sign}{number} {symbol}', 634, '{number} {symbol}', '﷼', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 125),
(120, '', 'RON', 2, ',', 'Romanian leu', '{sign}{number} {symbol}', 946, '{number} {symbol}', 'lei', '.', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 126),
(121, '', 'RWF', 2, ',', 'Rwandan franc', '{sign}{number} {symbol}', 646, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 128),
(122, '', 'SAR', 2, ',', 'Saudi riyal', '{sign}{number} {symbol}', 682, '{number} {symbol}', '﷼', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 129),
(123, '', 'SBD', 2, ',', 'Solomon Islands dollar', '{sign}{number} {symbol}', 90, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 130),
(124, '', 'SCR', 2, ',', 'Seychellois rupee', '{sign}{number} {symbol}', 690, '{number} {symbol}', '₨', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 131),
(125, '', 'SDG', 2, ',', 'Sudanese pound', '{sign}{number} {symbol}', 938, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 132),
(126, '', 'SEK', 2, ',', 'Swedish krona', '{sign}{number} {symbol}', 752, '{number} {symbol}', 'kr', '.', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 11),
(127, '', 'SGD', 2, ',', 'Singapore dollar', '{sign}{number} {symbol}', 702, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 14),
(128, '', 'SHP', 2, ',', 'Saint Helenian pound', '{sign}{number} {symbol}', 654, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 133),
(129, '', 'SLL', 2, ',', 'Sierra Leonean leone', '{sign}{number} {symbol}', 694, '{number} {symbol}', 'Le', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 134),
(130, '', 'SOS', 2, ',', 'Somali shilling', '{sign}{number} {symbol}', 706, '{number} {symbol}', 'S', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 135),
(131, '', 'SRD', 2, ',', 'Surinamese dollar', '{sign}{number} {symbol}', 968, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 136),
(132, '', 'STD', '', '', 'São Tomé and Príncipe dobra', '{sign}{number} {symbol}', 678, '{number} {symbol}', 'Db', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 137),
(133, '', 'RUB', 2, ',', 'Russian ruble', '{sign}{number} {symbol}', 643, '{number} {symbol}', 'руб', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 12),
(134, '', 'SVC', 2, ',', 'Salvadoran colón', '{sign}{number} {symbol}', 222, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 138),
(135, '', 'SYP', 2, ',', 'Syrian pound', '{sign}{number} {symbol}', 760, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 139),
(136, '', 'SZL', 2, ',', 'Swazi lilangeni', '{sign}{number} {symbol}', 748, '{number} {symbol}', 'L', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 140),
(137, '', 'THB', 2, ',', 'Thai baht', '{sign}{number} {symbol}', 764, '{number} {symbol}', '฿', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 141),
(138, '', 'TJS', 2, ',', 'Tajikistani somoni', '{sign}{number} {symbol}', 972, '{number} {symbol}', 'ЅМ', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 142),
(139, '', 'TND', 3, ',', 'Tunisian dinar', '{sign}{number} {symbol}', 788, '{number} {symbol}', 'د.ت', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 143),
(140, '', 'TOP', 2, ',', 'Tongan paʻanga', '{sign}{number} {symbol}', 776, '{number} {symbol}', 'T$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 144),
(141, '', 'TRY', 2, ',', 'Turkish new lira', '{sign}{number} {symbol}', 949, '{number} {symbol}', 'YTL', '.', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 15),
(142, '', 'TTD', 2, ',', 'Trinidad and Tobago dollar', '{sign}{number} {symbol}', 780, '{number} {symbol}', 'TT$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 145),
(143, '', 'TWD', 2, ',', 'New Taiwan dollar', '{sign}{number} {symbol}', 901, '{number} {symbol}', 'NT$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 146),
(144, '', 'TZS', 2, ',', 'Tanzanian shilling', '{sign}{number} {symbol}', 834, '{number} {symbol}', 'Sh', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 147),
(145, '', 'UAH', 2, ',', 'Ukrainian hryvnia', '{sign}{number} {symbol}', 980, '{number} {symbol}', '₴', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 148),
(146, '', 'UGX', 2, ',', 'Ugandan shilling', '{sign}{number} {symbol}', 800, '{number} {symbol}', 'Sh', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 149),
(147, '', 'USD', 2, '.', 'United States dollar', '{symbol}{sign}{number}', 840, '{symbol}{number}', '$', ',', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 1),
(148, '', 'UYI', 2, ',', 'Uruguay Peso', '{sign}{number} {symbol}', 940, '{number} {symbol}', 'UYI', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 150),
(149, '', 'UYU', '', '', 'Uruguayan peso', '{symbol}{sign}{number}', 858, '{symbol} {number}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 151),
(150, '', 'UZS', 2, ',', 'Uzbekistani som', '{sign}{number} {symbol}', 860, '{number} {symbol}', 'лв', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 152),
(151, '', 'VEF', 2, ',', 'Venezuelan bolívar', '{sign}{number} {symbol}', 937, '{number} {symbol}', 'Bs', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 153),
(152, '', 'VND', '', '', 'Vietnamese Dong', '{sign}{number} {symbol}', 704, '{number} {symbol}', '₫', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 154),
(153, '', 'VUV', 2, ',', 'Vanuatu vatu', '{sign}{number} {symbol}', 548, '{number} {symbol}', 'Vt', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 155),
(154, '', 'WST', 2, ',', 'Samoan tala', '{sign}{number} {symbol}', 882, '{number} {symbol}', 'T', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 156),
(155, '', 'XAF', '', '', 'Central African CFA franc', '{sign}{number} {symbol}', 950, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 157),
(156, '', 'XCD', 2, ',', 'East Caribbean dollar', '{sign}{number} {symbol}', 951, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 158),
(157, '', 'XOF', 2, ',', 'West African CFA franc', '{sign}{number} {symbol}', 952, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 159),
(158, '', 'XPF', 2, ',', 'CFP franc', '{sign}{number} {symbol}', 953, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 160),
(159, '', 'YER', 2, ',', 'Yemeni rial', '{sign}{number} {symbol}', 886, '{number} {symbol}', '﷼', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 161),
(160, '', 'RSD', 2, ',', 'Serbian dinar', '{sign}{number} {symbol}', 941, '{number} {symbol}', 'Дин.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 127),
(161, 'south-african-rand', 'ZAR', 2, ',', 'South African rand', '{symbol} {sign}{number}', 710, '{symbol} {number}', 'R', '', '', 1, '', 845, '0000-00-00 00:00:00', '2015-08-30 22:07:36', '', '0000-00-00 00:00:00', 2, '', 5, 22),
(162, '', 'ZMK', 2, ',', 'Zambian kwacha', '{sign}{number} {symbol}', 894, '{number} {symbol}', 'ZK', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 162),
(163, '', 'ZWD', 2, ',', 'Zimbabwean dollar', '{sign}{number} {symbol}', 932, '{number} {symbol}', 'Z$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 163),
(164, '', 'ZZZ', 2, ',', 'Reserved', '', '', '', 'O', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 164);

--
-- Always insure this column is large enough for all the access control values.
--
ALTER TABLE `#__assets` CHANGE `rules` `rules` MEDIUMTEXT NOT NULL COMMENT 'JSON encoded access control.';
